GSelector Overview

GSelector basics

This topic is intended to give you an overview of the fundamental principles used in GSelector. For a more process-specific view, see the key processes topic, or see help for any window by pressing F1 on your keyboard.

Basics
How GSelector works
Set your Goals
...... Goal Scores
Action and Reaction
Adjusting Demand
Putting it all together

Basics

GSelector represents a completely new approach to Music scheduling for Radio. If you're coming to GSelector from another scheduling system, you will find GSelector has new fields and, especially, new functions you will not have seen before.

When you first start out with new software, things can seem confusing. But at RCS can offer you as much help and support as you need as you start on this journey. You can get help for any window in GSelector just by pressing F1 on your keyboard from the window you’re working in.

As you would expect with any music scheduling program, we ask you to cover some essential ground when setting up your station (or stations) for the first time. Once your initial Songs and Links are added, we ask you to organize your Songs into sections - Categories and Category Groups - and to think how those sections of your library will be used, hour by hour, when you build your Clocks.

It’s also a good idea to add some descriptive codes to Songs and Links. You can use these with your GSelector Goals to separate Songs and Links from each other in the schedule. GSelector Goals are applied in several ways. Some essential Goals are fixed; others can be used when you need them. Goals are activated in the Priorities window where you rank Spread Goals and the Timing goal by importance. You can also apply Clock Goals and Clock Constraints to work on individual Clock positions in your schedule.

That's the basic editorial work you need to do to when you set up your station, and we can't do it for you. How much editorial detail you want or need to add after this initial stage is up to you.

How GSelector works

As you build your library and your clocks, GSelector analyzes the natural demand The demand for each item in your library, calculated by the demand for the item's Category, and the number of calls for that Category in Clocks.. When scheduling, GSelector automatically separates your Songs and Links, working with key Goals that are always in force, and with the Spread Goals that you call for. But it goes much further than that. Every descriptive attribute that you define, that you then allow to be a factored in calculating the natural demand is interdependent on every other element in your library. Adjusting demand in one area will affect, to a greater or lesser extent, every other area - automatically.

So when you add a Song to an existing Category, or in any way increase play of one kind of music, it means you reduce plays of other material elsewhere in your system. When you set your goals, GSelector shows you just how adjusting demand will impact on the rest of your system. That way, you can work towards the perfect balance.

While GSelector also works through your clock positions in the scheduling process, Category by Category, it does this while keeping an internal tally, and we show this in the Editor score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. field: indicating how well this item does in this clock position and how it meets the natural demand.

This means that GSelector will not just pick a Song or Link that does not break any important rules: it picks the best Song or Link for that clock position. And as it goes, it constantly re-tests each position as the schedule is completed, adjusting if necessary.

Set your Goals

Think about how you might want to describe your Songs or Links. Are they Fast or Slow? Noisy or Gentle? Short or Long? New or Old? Do they have Male or Female Vocalists? The Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. information you define and apply to your Songs or Links can be used to control the flow of Songs or Links in your schedule.

  1. When you add coding (Mood, Sound Codes, Energy, Themes, or Participant information, for example) to a Song, make sure that your entire library is appropriately and accurately coded. GSelector works with what you give it. It can only meet your goals if it knows how you see your library. Coding should be accurate and thorough if it is to work right.
  2. For each Attribute or Participant, turn on the relevant Spread Goal A Spread Goal separates Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes or values defined for that attribute. in the Priorities window. Spread Goals separate Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes defined for that attribute. This lets GSelector to spread, to best effect, by any of the descriptive elements you have used when coding your library.
  3. Then rank your Spread Goals in order of importance. Remember that you can apply infinite degrees of control, within each Attribute and Participant's Balance window. So if, for example, you use the Artist Spread Goal, GSelector will apply that Goal to Songs by that Artist according to the demand you specify for each Artist. If you boost or reduced the demand for a specific Artist, then GSelector will spread Songs by that Artist the way you have set this up.

Goal Scores

Think of your goals as your scheduling ideal. In the Editor window, the score fields tell you how you're meeting your goals: you can see exactly how far your scheduling goals are from the natural balance that you call for in your library and clocks.

Unless you apply one or more of the advanced scheduling tools (Song or Link Clock Constraints, the Rotation Rules, or Song and Link Score Thresholds) GSelector will always schedule the best match for your goals. The further it has to stray from the goals you have defined, the lower the value displayed in this field in the Editor. So if you're getting a string of high scores, close to the maximum of 100, in the score field in the Editor, then things are going to plan. For more information, see the Score field notes in the Editor topic, and the Failure details pane notes.

Action and Reaction: See the natural demand in your system

There are only 24 hours in a day, and you can only fit so many Songs into each of those hours. So shifting emphasis in one area will affect all other areas to a greater or lesser degree - step one type of music up, and the rest of your library has to make way.

You can see this in forensic detail In the Goals section Categories and Balance screens. GSelector shows you the natural demand The demand for each item in your library, calculated by the demand for the item's Category, and the number of calls for that Category in Clocks. for your library, analyzing and displaying how your library structure and Song coding works with your clock structure. And that goes for everywhere you work in the program. The attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. coding you define, the Songs you assign to Categories, the balance you set between the Songs in the Categories, the share allocated to each Category in its Category group, and the presence of Category Groups in Clocks - all of which can be varied across dayparts - are all instantly computed and displayed on each screen. So you can review how your library will work from day 1. Then if you feel that adjustments need to be made, you can go right to the areas that need tweaking.

For example, a Rock station might typically activate a large number of Metallica and Chevelle Songs in major Categories. Clicking Goals | Balance | Artists shows a high natural demand for these artists, expressed as a turnover one hour and eighteen minutes and one hour twenty four minutes respectively. Every other artist has a turnover of two hours or more.

Clicking the demand shift buttons in the Shift column allows you to pull the demands for these artists back to closer to a two hour turnover. That's all you have to do: no special rotation devices or separate rules are needed. The significant Metallica shift and the lesser Chevelle shift are reflected in a minor balancing shift in turnover and demand for all the other artists.

Adjusting Demand

The Demand Shift [image] buttons are used everywhere you need to adjust Demand - whether it is between Songs or Links, Categories, Artists, Song or Link Attributes , or Song or Link Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. . If something is important and you wish to emphasize that part of your station library in the schedule, you can step it up in its window. If you feel that all of a sudden, you're playing too much of one artist, or one kind of artist, then you can pull that element down in your schedule just as easily. However, we suggest - especially with Songs or Links or Artists - that it's much better to manage Song, Link or Artist Demand by assigning Songs, Links, or Songs for that Artist to different Categories.

Remember, there are no hard and fast rules! A balance may be appropriate for one station and not for another. GSelector gives you infinite flexibility. You may feel that you don't want to draw a line between 'major' and 'minor' Songs - maybe, for you that line changes all the time. GSelector can handle that too. You can set goals Song by Song in the Categories window or even artist by artist in the Goals/Artist demand window.

To learn more about setting your Category goals, see the Categories notes.
To learn more about setting your priorities, see the Priorities notes.
To learn more about putting Songs into Categories for each station, see the Song window notes.
To learn more about putting Category groups into clocks, see the Clocks Definition window notes.

Putting it all together

With all scheduling projects, you should have a good idea of what you want to achieve. Before you start, invest some time in this process - it will repay you later. Start by examining the music you want to play.

  1. Think about the basic kinds of music you want to use. Then group your Songs together in Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups. and Category Groups A group of categories, generally containing songs or links that are similar in nature or function, depending on scheduling requirements; Category Groups are used in scheduling. . Don't think that the decisions you make now are permanent. You always have room to move, and your goals may change as you go. With GSelector, it's easy to adjust.
  2. Think, too, about how you might want to further describe your Songs or Links - are they Fast or Slow? Noisy or Gentle? Short or Long? New or Old? Do they have Male or Female Vocalists? This will help you define Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. information
  3. Once you've sketched out your Categories, think about which of those Categories are most important to you, and work in the Categories window to group Categories together into Category Groups, and balance demand between the Categories.
  4. Add Songs or Links to your station Library. As you go, apply descriptive information Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. information.
  5. Then, in Clocks, define some basic Clocks for different times of day, and set these up in a Clock Assignment Grid.
  6. Now you can see the Natural Demand The demand for each item in your library, calculated by the demand for the item's Category, and the number of calls for that Category in Clocks. for your station. In the Goals Section Categories and Balance windows, look at how your Songs work together. Is there the right balance of Categories? In the Balance tab: Artist Demand window, is there too much demand for one or more Artists? A simple fix is to shift the demand for that artist, to reduce plays of Songs by that artist. A better fix is to move some of the Songs by that Artist to a lesser Category.
  7. And continue to adjust your goals as you go along - look at sound code balance, or artist group, or role. As you refine and polish your library, you're getting closer to that sweet scheduling spot. In an imperfect world, it's always difficult to get the perfect balance - but GSelector will help a lot.

Supply and Demand

Each Goal screen in GSelector shows you how elements interact.

In this illustration, we're looking at the Sound Codes window in Goals. The Demand field shows that of all the Sound Codes for Songs in rotation, which for M - Hard Rock/Metal - has the greatest demand. This is because, in this station, Songs with this Sound Code are in higher rotation than Songs with other Sound Codes, so GSelector displays the demand for Songs with this Sound Code. This demand is instantly adjusted by clicking the right or left arrows in the shift column. In this illustration, stepping down the demand for this sound code by a factor of 8....

cuts the frequency for these Songs from 1 in 6 to 1 in 15, and slows the turnover from 26 minutes to 1hour 6 minutes. It also has a dramatic effect on the other main sound codes, increasing turnover on all Songs. Note, however, that the two bottom sound codes, which are only assigned to two Songs each, are not affected: their turnover is so light that this shift does not affect them.

And that, simply put, is exactly the way you adjust demand all over your system. For any or all Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. , make any change, or adjust any attribute, and this is automatically factored into your GSelector calculations. And GSelector always shows you how things will work out - whether you are working on Artist distribution, Sound Codes, Songs or Links or any other attribute or participant. GSelector always gives you the best possible natural separation, given what's in your library and how your clocks are set up. From that start point, you can further adjust and refine your library, by banning, boosting or cutting exactly the demand you need to adjust.

TIP: While it is tempting to manipulate demand simply by using the Demand Shift buttons, we would recommend that you first adjust demand by ensuring that the Songs and Links in your library are assigned to the right Categories. If there is a very unbalanced natural demand for Song by one Artist, for example, we suggest that you move some Songs by this Artist to lesser Categories to reduce the demand, rather than just shift demand down if the balance Artists tab. This will give you a more accurate natural demand.

GSelector Overview


Welcome

RCS World Headquarters
445 Hamilton Avenue, 7th floor,
White Plains, New York 10601
United States of America

Support:
+1 914 259 4900
support@rcsworks.com

© 2004-2016 RCS. All Rights Reserved. RCS, RCS

Sound Software, GSelector and their logos are

registered trademarks, and Music Scheduling

Reinvented is a trademark of RCS. The GSelector

goal-driven demand-based scheduling engine is

covered by U.S. Patent 6,910,220

Click here to visit RCS on the World Wide Web

Document Compiled 17-Aug-16

New to GSelector?

Read the Getting Started topic here.

Balance, Action and Reaction

GSelector measures each action you take, and shows you the reaction. After all, your station schedule is fixed - there are only so many songs you can play each day. If you step up plays of songs of one kind, it has an effect on all other plays in that day. If you reduce plays of one song type, you increase play of all other song types.

GSelector shows you how this works , on all Balance and Categories screens . You see exactly what effect your scheduling goals will have, so you can keep your scheduling balanced the way you want it. From the way your Songs turn over in their Categories, to the way you spread your Artist or Sound Codes, GSelector offers the same clear way to get the right balance. And GSelector helps you through each and every change, on each Goal and Category window.

About GSelector

GSelector provides a simple and fast way to build station libraries, and to test and define your scheduling goals to get the station sound you want. You build a library which can serve multiple stations. In each station, you add songs or activate songs and links from the library , and then balance your songs and links to create your station sound. Jumping from station to station is quick and easy, and copying songs, links, notes and schedules between stations likewise. If your station is a stand-alone operation, it's even simpler, as you have just one library. Follow any of the links below for information on these areas, or scroll down this page to read more.
Launching the Program

Navigating

The Help System

Working with Browses

Menu functions

Using Audio

About the Help System

How the Help System Works

Using the Help System

About RCS

RCS Support and Feedback

Surf to RCS

The Help System and how it works

Each section has links to let you jump to other related areas of GSelector help. To learn more about that linked topic or term, click on its link. To get back to where you were in the Help System Viewer, which you are using right now, click on the help window back button.

The Back button is a great tool to use when navigating GSelector help. It works just the same way as in an Internet Browser, tracing your path back through all the screens you visit in any one session. For an overview on how the help system works, see Using the Help System.

This online help system is a continuously developing project, and we welcome your feedback. Feel free to pass along any problems, comments or suggestions via E-mail to Theresa Fisher at RCS (tfisher@rcsworks.com).

return to start of topic


Key processes

If you are new to GSelector, this topic is provided as a start point. Follow any link for a brief overview of the selected feature, and from there, click further links for detailed information

Building your Library

Clock Construction

Goals

Scheduling

Editing your schedule

Exporting your Log or your Data

Analysis Tools

Configuration tools

Building your Library

Songs and Links are entered into your library in several ways. It is possible to import a complete Song and/or Link Library from a 3rd party scheduling engine, or from one of RCS's sequencers Zetta Zetta is the a RCS automation and audio playout system. and NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. . Alternatively, a Song and/or Link Library can be created in GSelector by converting up from a Selector 12 or Selector 15 database, or by importing Song and/or Link Library details in XML format. Where database conversion is required, you should consult your local RCS Support office for guidance.

When it comes to adding new Songs, you can work in the Song window to add Songs manually, or if you have an interface to either Zetta or NexGen, you can use the CD ripper tools in these programs, and these will be propagated to the GSelector database, depending on your configuration.

Almost all the information for each Song is entered in the main Song window. The window allows you to configure most of your descriptive settings on directly from the window itself, so you don't have to navigate away to create a setting or a value, and then return to your original window. Songs are assigned to Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups. , which in turn are organized into Category Groups A group of categories, generally containing songs or links that are similar in nature or function, depending on scheduling requirements; Category Groups are used in scheduling. . These are defined in the Goals section Categories window. See the notes on Defining Categories and Category Groups. Category Groups are then assigned to individual Clocks.

The process for adding and defining Links is very similar to that for Songs. However, Links are organized into Categories only. These are defined in the Link Goals Categories window.

The Browse and Link Browse windows allow you to search, organize and filter lists of Songs and Links, and the Multi-Song Changer and Multi-Link Changer windows allow you to apply mass changes to any Song or Link list.

Follow these links for more information:

Song window

Link window

Browse Window

Link Browse window

Multi-Song Changer

Multi-Link Changer

Clock Construction

If the Songs and Links in your Song and Link Libraries represent the basic supply of material, then your Clocks define the demand.

Working in the Clocks Definition window, you specify the Song Category Groups and Link Category groups in the Clocks you build. You can also select from a range of specialized Clock Elements, and apply a range of conditions to any Clock positions.

  1. Build the clocks for each hour in the Clocks Definition window.
  2. You can build as many Clocks as you need for your scheduled hours.
  3. For a summary of the steps to take, see the Process notes in the Clocks Definition window topic.
  4. When you've built your Clocks, assign them to hours and days in the Assignment window.

Goals

In the Song Goals and Link Goals sections, you specify the conditions under which Songs and Links can interact with each other.

Working in the Segue Bans window, you control which Songs (or Links) can play next to each other.

Working in the Priorities window, you defined your most important goals.

Working in the Categories window, you can set a default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. , and control the order in which Category Groups are scheduled. Additionally, you define how much demand The amount, expressed in both percentage terms and in Graph form in Goals Balance windows and the Categories window, to show how much GSelector calls for any song or link, or songs or links with this attribute, album or participant . The greater the demand, the more the song or link, or songs or links with this attribute, album or participant will schedule. to apportion to each Category within a Category Group.

Working in the Balance windows, you define how much demand The amount, expressed in both percentage terms and in Graph form in Goals Balance windows and the Categories window, to show how much GSelector calls for any song or link, or songs or links with this attribute, album or participant . The greater the demand, the more the song or link, or songs or links with this attribute, album or participant will schedule. to apportion to each Artist, Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants., Song, Song Group or Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling..

All the above settings are Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. -specific in that different values can be applied in any Daypart.

There are further advanced Goals that can be applied in GSelector: see the notes for Advanced Scheduling Goals.

Scheduling

With your Song and Link Library in place, Clocks defined and Goals assigned, scheduling can take place. This can be a straightforward process, from selecting a date and hour range by dragging and dropping, in the days/hours grid, or you can opt for more complex scheduling conditions

For a full overview, see the introductory notes for GSelector Scheduling.

Advanced Scheduling tools

Under normal circumstances, GSelector fills every position in the log to best effect, offering you optimum rotation on any Song, Artist, Album, or any Song or Link Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. or Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. that you might wish to apply a Spread Goal A Spread Goal separates Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes or values defined for that attribute. to.

As you become more familiar with GSelector, you may wish to use some of the more advanced scheduling tools. Some of these set limits or thresholds that you may wish to apply to positions, or scores below which you might not wish to see a Song or Link being scheduled. For full details on these, see the notes on Song or Link Clock Constraints, the Rotation Rules, or Song and Link Score Thresholds. GSelector also offers a very detailed Analysis and debugging tool, in the Audit Trail windows.

Editing your schedule

The Editor has a wide range of editing tools and preview tools to allow you to manually select material. GSelector takes you directly to this window from the Scheduler window. You can view your schedule in a number of formats, and configure the display. Follow these links for more information:

Arranging Editor windows

Editor Consideration window

Editor Failure Details window

Editor History Pane

Editor Hotspots filter pane

Editor Notes pane

Editor Test Bar

Working in the Editor window

Exporting Log or Data

The Interface section is used to export logs, song or link details, or import data from the GSelector database. Follow these links for more information:

Export XML window

Exporting a Playlist

Exporting a Schedule

Exporting Song details

Exporting Link details

Exporting to Master Control

Exporting to NexGen

Printing your Log or Reports

Work in the Reports section to design reports and log formats. You can then print out saved Song and Link lists in any Report format, or selected date ranges for Logs.

Reports window

Analysis Tools

The primary analysis windows allow you to Analyze output for Songs or Links, across a single station or multiple stations. See the notes for:

Analysis window

Cross-Daypart Analysis

Multi-Station Analysis

Configuration tools

You can apply Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. that you design to a number of areas to allow you to customize the look of GSelector.

You can also customize and apply Browse formats Custom-designed sets of fields, ordered to suit the user. Browse formats are assigned in several different areas of GSelector. to most key browses.

You can set the Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window. to start your broadcast and scheduling day at any hour in the day.

You can specify the dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. you need in which different Goal settings can be applied.

Date and Time formats follow the defaults you specify in your Windows Regional settings window.

Security Settings can be specified for all users by any User with Admin privileges.

Follow these links for more information:

Appearances definition and assignment

Browse Formats design and assignment

Broadcast Start Hour

Dayparts definition and assignment

Working with Security

Topic Overview: Key Processes


Navigating in GSelector

The Navigation bar is always visible in GSelector. Moving from section to section is straightforward. Each GSelector section is accessed by clicking its tab in the top level of the Navigation Bar, as shown here: clicking the Library tab opens the Library navigation bar below the main Navigation Bar. This image shows the Navigation Bar for the Library with the Browse tab selected from the Library options, for the selected station. In the top bar, In between the Menu and the Navigation history buttons are the audio controls. Across the top of the window is the GSelector version, the logged in users name, the stations name and the location in the application.

The Navigation Bar

The Menu Bar

On Air button

F2 - Save Changes

F12 - User Definable Navigation

F11 - Song and Link Navigation

Navigation History buttons

Multi User Synchronization

Multi User Schedule Synchronization

Multi User Song and Link Synchronization

Multi User Notification

The Navigation Bar

NOTE: The Linker tab will only be displayed if Linker is Licensed for the selected station.

The Menu Bar

Administrative functions and this Help document can be accessed from the menu bar in any section of GSelector. Click here for the menu functions topic.

On Air button

The On Air button [image] next to the Menu will open the Editor to the current day and play position in the Editor. GSelector determines the current position as the event with an airtime that is less than or equal to the system time. If the system is integrated GSelector determines the current position as the event after the last event with a status of Played in the current day. There is also an On Air button in every History Map found in GSelector. When clicking the On Air button in a History Map, the map will jump to the date and hour containing an Airtime less than or equal to the system time or, when integrated with Zetta or Master Control, the map will jump to the data and hour containing the most recent Played status. The Shift + Home keyboard keys will also open the Editor to the current day and play position.

F2 - Save Changes

the F2 function key on the keyboard can be used to save changes in any window in GSelector having a Save button in the toolbar.

F12 - User Definable Navigation

Use the F12 keyboard key to open a User Definable Navigation window. This Navigation window can be used to create a customized menu and customized Keyboard shortcuts to fit each user's needs.

F11 - Song and Link Navigation

Using the F11 keyboard key in a field or tab in the Song and Link windows will navigate to a configuration setting or window for that field/tab. For example pressing F11 in the Category field of a song window will navigate GSelector to the Goals | Categories window.

Navigation History buttons

The Navigation History buttons are available everywhere in GSelector. They are located at top right of each window. When you first access GSelector, the launch window displays the buttons in grey; that's because at launch there is no navigation history.

When you navigate between windows, the buttons change color, to show there is navigation history for this session. This lets you jump back and forth between windows. If you click the back button, GSelector jumps to the previous main tab section you were in. For example, if you go to Scheduler then double-click on a date/hour in the grid to go to the Editor, the back button takes you back to the Scheduler tab. Then if you click the forward button, it takes you to the Editor again.

There is also a drop down list to the right of both the forward and back buttons listing the sections visited.

TIP: You can also move back and forward between screens by using the keyboard shortcuts Alt+< and Alt+> to move backwards and forwards, respectively

Multi User Synchronization

Multi User Synchronization has been added to version 4.2.1 of GSelector to allow changes made by one user to be immediately saved and viewed by other users of the same window.

Multi User Schedule Synchronization

Schedule changes made in the Editor are now automatically pushed to all workstations. For example, if User A deletes a scheduled song in a particular hour and User B is looking at that same hour at another workstation, User B will immediately see the change made by User A. It is no longer necessary to use the View | Refresh command to display the latest updates in the Editor.

Multi User Song and Link Synchronization

Changes made to songs and links are now automatically pushed to all workstations. For example, say User A is working in Category Changer and moves a song from Category A to Category B and saves the change. Further suppose User B is looking at the same song in the editing window. When User A saves the change User B will immediately see the song’s Category assignment change from A to B. Song and Link changes propagate to the editing windows, browse lists, Category Changer and all of the Goals | Balance windows for both songs and links. For example, if User A is working on implementing the results of a new music test by changing song category assignments this will affect demand. If User B is looking at the Goals | Balance | Songs window she will see the window update immediately according to the actions of User A.

Multi User Notification

The multi user notification system is a message box that pops open in the upper right area of the main GSelector window whenever another user has made a change to a song, a link or a schedule. The message indicates the change made and the user who made the change. It does not show changes you make, just others. This feature works best when users have been defined under GSelector security. Note that you can open the notifications message box any time by clicking the notification icon [image] in the upper right of the main GSelector window.

Show Notifications checkbox

The Show Notifications checkbox will turn off the notification window. However, failure notifications will still be displayed.

Topic Overview: Navigating in GSelector


Launching

Launching GSelector

The GSelector install process places a shortcut launch Icon on the desktop.

GSelector requires SQL server to be installed and running, If the SQL service is not available, GSelector will notify the user and abort the launch process.

Specification warning dialog

Launching from a single default server

Launching from multiple servers

Internet Updates

Basic Password Protection

Full Password Protection

The Login window

See also the notes for the GSelector Launch window and User Definable Navigation

Specification warning dialog

During the launch process, GSelector analyzes each machine on the system and prompts if it considers a machine is under powered or lacking in RAM, when GSelector is launched on that machine. If there has been an error such as a time out, GSelector will indicate the probable cause.

Launching from a single default server

Double-click the Launch Icon to start. Where there is a single default GSelector server, the user is taken directly to the Login window. If you have not assigned any passwords, the Login window is bypassed during the startup process.

Launching from multiple servers

Double-click the Launch Icon to start. Where multiple servers have been configured for GSelector, the user is taken to the Server Selection window (see Server Selection window notes), where a Service Host and/or Database server is selected. Clicking the connect button in this window takes the user to the Login screen.

For full details on working with multiple servers, see the Manage Servers and Server Selection topics.

Launching using Command Line

This option for launching GSelector is useful in enterprise environments containing multiple stations and/or databases. Use a command line of GSelector /d:<database>, where <database> matches the ‘Description’ in the Tools | Servers | Database Server tab, to launch GSelector and automatically open the specified database. Use a command line of GSelector /r: <remote service host> where <remote service host> matches the ‘Description’ in the Tools | Servers | Remote Service Host tab, to launch GSelector and automatically connect to the specified service host. Use a command line switch of GSelector /s:<station>, where <station> matches the ‘Name’ in the Tools | Administration | Stations window, to launch GSelector and automatically open the specified station. If desired, all three switches can be used in tandem. If there is a space in the name of the Remote Service Host, Database, or Station, put in the name in double quotes (ex: /d:"WRCS Dbase").

Internet Updates

Each time GSelector is launched it will check RCS's servers Update site to see if there is a newer version than the current one you are running. Should one be found we will prompt you and offer the option of downloading updates. See the Internet Update topic for full details.

Basic Password Protection

Where an Administrator password has been created, but no further password protection has been applied, the Login window is bypassed, and the user is taken directly to the Front window with the User Defined Navigation open.

See the notes on assigning passwords in the Administration Users window.

Full Password Protection

Where Password protection has been applied, the Login window (see Login window notes) is opened to allow a User A person with Password-protected access to GSelector. Users many not have full access to the program; access is set by the Administrator or Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. to log in. Where GSelector has been installed for the first time, or a backup from versions earlier than 1.11 has been restored, special provisions apply to define an emergency Administrator password. See the First-time access notes in the Working with Security topic.

Login window

TIP: For more information on configuring GSelector security, see the Working with Security notes.

The Login window prompts the user to enter a Password. This detail image shows the Login pane. For full details, see the Login window notes.

  1. Select a Username In GSelector, used to identify a User for security purposes. from the drop down field.
  2. Where a User is associated with 2 or more Organizations , select an Organization.
  3. Finally enter the Password for the Username. Usernames are created and Passwords assigned in the Administration Users window.
  4. Click OK to open GSelector.
  5. When GSelector is started with a multiple station database, the user is taken to the Front Window. If GSelector is launched with a single station database, the user is taken directly to the Library section Browse window.

Note: If you access GSelector using a general password and then wish to work in the Administration windows, you will need to enter the Administration password.

To use Windows Login credentials see the Users tab in the Administration Security tab.

Topic overview: Launching GSelector


Front window

The GSelector Front window

When GSelector is started with a multiple station database, the following window presented. If GSelector is launched with a single station database, the user is taken directly to the Library section Browse window. However, if the user of the multi-station database only has rights to one station then this option will bypass the Front window and take the user directly to the Library section Browse window or the section selected based on the User Definable Navigation Settings. If Show User Definable Navigation is selected in the User Definable Navigation Settings window, the user will see the User Defined Navigation window in front of this window.

NOTE: The GSelector startup process varies according to your system configuration and the number of stations in your database. For full details see the Launching GSelector notes.

From the GSelector front window, the user can select a station to open. From this window the user can also select any of the Menu functions, access the Administration windows, and so on. The window also presents some key information in the Licensee and Station Information boxes. These cannot be edited; they are for information only. Once a station is selected and opened, the user can access all program functions.

Click any area in the image for help

Click any area in the image for help

Topic Overview: GSelector Front window

Information Panels

The General and Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. Information panels display song statistics and license information, both for the overall Library in the GSelector Database (the Licensee In GSelector, the organization licensed to use the program. One or more stations can share a common database. A Licensee must have at least one station.) and the selected Station. This data is for information only; the two areas you can access are the station selection field and the launch button. The station you last accessed in the previous session of GSelector is displayed in the station selection pane.

Selecting a Station

Click the drop-down arrow to access a list of all current stations. The station pane will display the last station accessed. Click the arrow to access all current stations.

NOTE: You can jump to any station from any other station in a GSelector database by selecting that station from the Stations list in any menu. See the Menu functions notes for details.

Opening a Station

When launching GSelector, select a station and click the Launch button. This will open the location defined in the Startup Options section of the User Definable Navigation Settings window. From there you can access any part of GSelector using the navigation tabs and menus. See the Navigating in GSelector notes for full details.

NOTE: GSelector displays the last station open in the previous editing session, by default.

Navigation History buttons

The Navigation History Buttons are available in all sections of GSelector. See the notes in the Navigating in GSelector topic.

The Menu Bar

Administrative functions and this Help document can be accessed from the menu bar in any section of GSelector. Click here for full details on menu functions.

Topic Overview: GSelector Front window


Manage Servers window

NOTE: This window assumes a basic working knowledge of SQL. If in doubt, contact RCS support.

The Manager Servers window lets authorized users set up access to multiple Remote Service Hosts and Database Servers. For example, a group PD may need access to a GSelector server in another market in addition to his local server. If one or more servers are defined, GSelector prompts the user at launch to pick one (see the select a server notes). If no servers are defined in Database Servers, GSelector automatically loads the default server, and goes directly to the launch window.

This window also enables multiple databases to be accessed from within GSelector. For example, a group PD might wish to copy an existing Database to experiment with different scheduling approaches across the group. The Add menu options offer a full range of database configuration options.

About Servers and GSelector

Accessing this window

Features in this window

Working in this window

Database Management

About Servers and GSelector

The GSelector program communicates with a server A computer that in this program runs a dedicated GSelector web service, processing requests for HTML and other component documents. or servers using the HTTP HyperText Transfer Protocol. An acronym for the protocol used to request and transmit GSelector and other files, especially webpages and webpage components, over the Internet or other computer network. protocol. When GSelector is installed, a local default server is always specified, whether GSelector is set up on a stand-alone machine, or for use over a network. In the Remote Service Hosts tab, click the green Plus button to add a new connection consisting of a Description and Address for a remote connection. Once configured, Remote Service Host servers on a network can be accessed by being specified in the Remote Services Hosts tab, and selected at launch using the Server Selection window. The connection will be made from the local GSelector client to the remote Service Host.

In the Database Servers tab, click the green Plus button to add a new database connection consisting of a Description and Database name. Each user will choose from among the entries made here when they start GSelector or by using the File | Open Database menu command. The connection is made from the Default Service Host, or the currently used Remote Service Host, to the specified database.

NOTE: If there are previously defined remote database connections, these will need to be manually reentered after upgrading to this GSelector 4.2.1 release. Do this by pointing to the Remote Service Host instead of the Remote Database Server. Often the Remote Service Host and Remote Database Server computers are different machines. We cannot do this automatically as we do not know the machine name or IP address of the Remote Service Host. These changes were necessary to enable the new Multi User Synchronization features in this release to work under remote connections.

When a different database server is specified in the Register New Database connection or Edit Database windows, the SQL SQL is an abbreviation for Structured Query Language. SQL is a standardized query language for requesting information from a database. named instance and the SQL database name are set as "GSelector" and "GS" by default, but users can apply their own named instances and database names.

Where a group network is extended or has a particularly complex structure, you may wish to work with your IT manager to configure settings. Once configured, remote GSelector servers on a network can be accessed by being specified in the Database Servers window, and selected at launch using the Server Selection window.

Accessing this window

In the Tools menu, select Servers to open the Manage Servers window. This option is enabled only when the user is connected to the Default Service Host, otherwise it is disabled and cannot be accessed. This prevents users from adding remote connections to systems other than their own.

The window displays all Remote Service Host servers and all Databases that have been added, in addition to the default GSelector database [Default], which is not displayed. You cannot edit any of the files in the browse directly, although you can access the Description and Database fields when Adding a blank Database or when using any of Restore a Database methods. When Registering a New Databases Server connection, or Editing Database server details, you can access and edit all fields. However, if you are not familiar with Databases, we suggest that you contact RCS support for guidance. In all cases, we recommend strongly that you take a backup before working in this window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Manage Servers window

Features in this window

Remote Service Hosts

Remote Service Host description

Remote Service Host Address

Database Servers

Description field

Database Server field

Database Instance field

Database field

Remote Service Hosts

The Remote Service Host tab list all the registered Service Host servers. From the toolbar, the user can Add or Delete Server connections, or change the Description or Address for any existing Server.

Remote Service Host description

This field cannot be directly edited. It holds text describing and identifying the Server - for example, location or function. Information for this field is entered when adding or editing Server details.

Remote Service Host Address

This field cannot be directly edited. The Remote Service Host Address is the IP Address of the Remote Service Host server. Information for this field is entered when editing the server details.

Database Servers

The Database Servers tab list all the Local and Remote registered SQL database servers. From the toolbar, the user can Add or Delete Server connections or registrations, or change details for any existing Server.

Click any area in the image for help

Click any area in the image for help

Database Server description

This field cannot be directly edited. It holds text describing and identifying the Server - for example, location or function. Information for this field is entered when adding or editing Server details.

Database Server Name

This field cannot be directly edited. The Database name is used when specifying a path. Information for this field is entered when editing Database details or when Registering a Database Connection.

Database Instance

GSelector allows the creation of multiple Database Instances on a single Database Server. As different instances are created in the Add Server window, so they can be associated with servers. Each Instance can host one or more GSelector databases, i.e. GS or GS2. Information for this field is entered when editing Database details or when Registering a Database Connection.

Database

This field displays the Database associated with the Database Server. Databases can be associated with different servers within GSelector, subject to the network design.

Topic Overview: Manage Servers window

Working in this Window

Working in the Remote Service Hosts tab

Add a Service Host Server

Edit a Service Host Server

Delete a Service Host Server

Working in the Database Servers tab

Add options

Delete options

Edit

Database Management

Working in the Remote Service Hosts tab

Add a Service Host Server

In the Toolbar, click the Add button to open the Add Remote Service Host window.

Enter a Description and the IP Address of the Remote Service Host Server.

Edit a Service Host Server

In the Toolbar, select the server to be edited then click the Edit button to open the Edit Remote Service Host window. Edit the Description and the IP Address of the Remote Service Host Server.

Delete a Service Host Server

In the Toolbar, select the server to be deleted then click the Delete button. Confirm the deletion of the server from the Remote Service Hosts list.

Connecting to a different Remote Service Host Server within GSelector

Where Multiple Service Host Servers are defined, the client can change the service host server being used by selecting Connect to Remote Service Host... under File in the in the Menu. When this option is selected GSelector will restart, allowing the client to select a different Service Host from a drop-down list.

Topic Overview: Manage Servers window

Working in the Database Servers tab

Add options

In the Toolbar, click the Add button to select an option. All of these options allow you to Add a Database to the current Server, and the Register tool allows you to specify a different Server. :

Register Database Connection

Create an Empty Database

Restore from an Existing Backup to a New Database

See also notes on Restoring into an Existing Database

Receive from Data Exchange to a New Database

See also notes on Receiving from Data Exchange to an Existing Database

Copy from Existing Database to a New Database

See also notes on Copying to an Existing Database

Register a Database Connection

NOTE: This window assumes a basic working knowledge of SQL. If in doubt, contact RCS support.

Select this option to Register a New Database connection. This window is used to make an unregistered Database visible to GSelector. Enter a Description, specify the Database Servers Name and enter the name of the Database instance. if the instance is the default instance for the entered database server this field can be left blank. Click the Verify Database Connection button and select the database from the drop-down. Click the OK button to register the database entry. See also the notes on Unregistering a Database connection.

Create an Empty Database

Select this option to create a new SQL database in the current Server. Note that the Database Server and Database Instance fields are grayed out. You can only create a new Empty Database on the current Database Server and Database Instance. You cannot use an existing Database name on the current server.

Restore a Database from an Existing Backup

Select this option to open the Restore window in Restore into New Database mode. As with the Create Empty Database window, the database can only be restored to the current Database Server and Database Instance. Note that you cannot use an existing Database name on the current Server.

TIP: When accessed from the File option in the Menu, the Restore window offers Restore to Existing as well as Restore to New Database functionality. See the Security notes.

Receive a Database from Data Exchange

This option allows you to create a new Database sent to you via Data Exchange. Click to open a modified version of the Data Exchange receive database window, allowing you to Restore the Data Exchange Backup to a New Database. Use the Match on ID for Station Restore when receiving a Station backup via Data Exchange to match incoming song and/or link records exclusively by Media ID.

TIP: When accessed from the File option in the Menu, Data Exchange offers Restore to Existing as well as Restore to New Database functionality. See the Security notes.

Copy existing Database, creating new Database

When opened from the Database Server window, this dialog box allows you to select an existing Database to copy to a new Database.

Copy existing database window

When accessed from the File option in the Menu, the Copy Database window offers Copy to Existing as well as Copy to New Database functionality.

Edit details for an existing Server
  1. Select a Database, and click the Edit [image] button in the toolbar to open the Edit Database window

  2. Work in this window to change details.
  3. Click the Verify Database Connection button to test the Database is connected to its Server and Database instance.
  4. Clock OK to confirm and close the Edit entry window.

Delete options

Unregister a Database Connection

Delete a Database

Unregister a Database Connection
  1. Select a Database.
  2. Click the Delete button in the toolbar.
  3. Select the Unregister Database option.

  4. You are prompted to continue with the action.
  5. Confirm to Unregister the Database.

NOTE: This action does not delete the Database, but it does remove it from the list of GS-connected Databases in the Database Servers window. The Database connection can be registered again to the same or a different server.

Delete a Database
  1. Select a Database.
  2. Click the Delete button in the toolbar.
  3. Select the Delete Database option.
  4. You are prompted to continue with the deletion.
  5. Confirm to delete the Database from your server.

Topic Overview: Manage Servers window

Database Management

Opening GSelector when configured with Multiple Databases

Changing Databases from within GSelector

Restoring or Copying to a new Database Server

New and Existing Database Options available from the File Menu

Security issues

Changing Databases from within GSelector

Where Multiple Databases are used, you can jump directly to another database from anywhere in GSelector, using the Open Database option under File in the in the Menu . The currently selected Database is grayed out, and available Databases can be selected. When you open a new database, you are asked to Login .

Restoring or Copying to a new Database Server

To copy the source Database to a new Database on a different Database Server:

  1. Work in the Register Database Connection window to specify a New Database on a different Server
  2. Then open GSelector in the new database
  3. Finally, select the Restore from Backup, or the Receive from Data Exchange, or the Copy from Existing Database option.

New and Existing Database Options available from the File Menu

When accessed from the File option in the Menu, the Restore window, the Data Exchange window and the Copy Database window all offer Existing as well as New Target Database functionality. See the Security notes.

Security issues

Protecting the Database is important, although the Administration section is password protected, some windows can be directly accessed from the File and Tools section of the Menu. These windows are:

Manage Server window using the Servers... menu option in the Tools menu

Restore Database window (Use an existing and Create New)

Copy Database window (Use an existing and Create New)

Data Exchange Receive Database window (Use an existing and Create New)

If you don't want this functionality to be generally accessible, these Menu-accessible windows can be also be protected from general access, by defining one or more Roles Roles determine what areas or sections of GSelector each user can access. Roles are defined in the Administration Roles window. in the Security Roles window which limits access, and assigning Roles to users as required.

Topic Overview: Manage Servers window


Server Selection window

This window is only used when GSelector has been set up for multiple Service Host Servers and/or Database Servers. If multiple servers have not been implemented, GSelector opens directly to the Launch window.

Accessing the Server Selection window

From the desktop, click the GSelector icon. Where Remote Service Host Servers have been defined in the Manage Servers window the user will need to select a Service Host server to connect to from the Server Selection window. Where multiple Database servers have been implemented the user will need to select a Database server to connect to from the Server Selection window. Servers are managed in the Manage Servers window.

Select a Service Host and/or Database in the drop-down fields, and then click the Connect button.

Flat Option Listing

Changing the ShowFlattenView setting in the gselector.user.config to True will display the ServiceHost/Database using a single drop-down selection at login instead of a selection drop-down for each.

<Entry>
<key xsi:type="xsd:string">ShowFlattenView</key>
<value xsi:type="xsd:string">true</value>
</Entry>

The default setting is false. If the setting is false, the window will display separate Service Host and Database drop-downs. Only the databases for the selected service host is visible. If the setting is true, a single drop-down listing both the service host and database. is displayed.

Topic Overview: Server Selection Window


Licensing

RCS offers an efficient and speedy re-licensing service over the Internet. Most GSelector clients use the Internet to renew their system license. The GSelector license is renewed for all Stations.

NOTE: You must be connected to the Internet to use Internet Licensing and to get User IDs. If you are not connected to the Internet, you should follow the steps detailed in the Manual Licensing process notes.

Accessing the License window

Features in this window

Working in this window

On-Air licensing: Each GSelector system is allocated a set number of On-Air and Off-Air licenses . This allows, for example, users to exchange databases, Consultants to access station database, and scheduling experiments to take place without affecting output from main stations with On-Air licenses. For full details see the On-Air Station window section of the Stations window.

Accessing the License windows

From any window in GSelector, click the Tools option in the Menu . Then select Licensing.

Note that when launching GSelector, if the database is not licensed, GSelector will open the License window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Licensing

Features in this window

System Information
Internet License Checkbox
Internet License Pane
Remember User ID and Password

System Information

The top four fields in this window cannot be directly edited. They list the program, the Licensee In GSelector, the organization licensed to use the program. One or more stations can share a common database. A Licensee must have at least one station. name, the Server and the current GSelector version.

License Count

This field displays the total Selector or Linker license count.

Expiry Date

Licenses are renewed for set periods. This field displays the current expiry date, and is used in reminders to the users when the expiry date is close.

Licensed Box

This field cannot be directly edited. It shows what the Licensee license includes with GSelector. If a component is not licensed the options will not be available in GSelector. Example: If Linker is not Licensed the Linker tab will not be available.

Internet Licensing Checkbox

Check this box to use Internet Licensing with your RCS User ID and RCS Password. Uncheck the box to access the Site Code and Site Key fields when licensing Manually..

Internet License Pane

Enter your RCS User ID and RCS Password information before clicking the Get License button. You have the option to store the User ID and Password on this machine. Check the box to store this information on your machine. To use Internet Licensing, you must obtain a User ID. To do this, click the Get User ID link to start the process. You will access a page on the RCS Website where you can obtain a User ID and have your password E-mailed to you. When this information is returned to you, enter your user ID and password click the Get License button. To disable Internet Licensing and enable Manual Licensing, uncheck the Internet License box.

Remember User ID and Password

Check this box to store your user ID and password. When this feature is implemented, and your ID and password are correctly entered, Internet Licensing is automatically implemented when the dialog box is opened.

Get License button

Click this button to License this machine once you have entered your User ID. Note that this button is only activated once you enter your User ID and Password.

Site Code

GSelector generates a Site Code in this field for the machine you are working on when you uncheck the Internet License Checkbox when licensing Manually. You will need this code when you contact RCS support for a Site Key code.

Site Key

Enter the Site Key code from RCS in this field when licensing Manually.

Manual License Button

To enable Manual Licensing, uncheck the Internet Licensing box . Once you have generated a Site Code and entered the Site Key from RCS Support, click this button to license this machine manually. See the Manual Licensing Process notes.

Kill License

This is used to Kill your current license. You should only use this under instructions from RCS support.

Topic Overview: Licensing

Working in this window

Renewing a License using the Internet

Manual licensing

Licensing reminders

Renewing Licenses - the process described

  1. Ensure that you are on line.
  2. Check the Internet Licensing checkbox to activate the Internet Licensing section of the License window.
  3. Enter your RCS User ID and Password. If you do not have a User ID follow the Get User ID link.
  4. Then click the Get License button in the Internet Licensing pane.
  5. If you have entered your ID and password correctly and checked the Remember ID and Password box , the licensing process starts automatically.

Manual License - the process described

  1. Deselect the Internet Licensing checkbox to activate the lower License section of the License window.
  2. Contact your local office and give them the Code in the Site Code field.
  3. Enter the Site Key RCS Support gives you.
  4. Click the Manual Get License button.

Licensing reminders

If your license is coming up for renewal, GSelector will pop a reminder window to tell you to renew your License. RCS GSelector licenses are issued for set periods. The expiry date is displayed in the License window.

RCS User ID page

When you click the Get UserID link in the License window, you are taken to a page like this on the RCS Web site. If you are an existing customer with a GSelector contract, enter the E-mail address that RCS has on file to request your User ID and password. To go directly to the screen, follow this link .

Topic Overview: Licensing


Automatic Internet Update

Internet Update

When you launch GSelector from a machine that is online, it will check RCS servers for updated versions. Should one exist, we offer the option to download file information, or notify the user of a new available update. You have to be logged in as an Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. to install the update.

TIP: If you don't want to receive this update information, you can disable this feature completely by checking the Disable Automatic Internet Update Prompt box in the Configuration window.

The update screen varies according to your role , as determined by GSelector when you log in. For full details of logins, passwords, and user roles, see the Working with Security notes.
Administrator Login Update screen

Release Notes

Non-administrator Login

Administrator Login Update screen

If you are logged in as an Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. , you can choose to accept the current update, defer it, skip it, or skip an update for this version. If you choose to defer the update, you can use the Administration Section Internet Update tool at a later stage to collect the same update.

Non-administrator Login Update screen

If you are logged in as with a non-administrator role , GSelector notifies you of the presence of an update. You can opt to be reminded, or skip notifications.

To accept the update, select the default option and click OK. GSelector initiates the download, displays a progress bar to allow you to monitor the download progress, and then runs internal checks, prior to returning you to the Launch window.

Release Notes

You can access the GSelector Release Notes document directly from the update screens to get update information for the new version.

Topic Overview: Internet Update


Service Manager

The Service Manager is a troubleshooting tool that can be used to check GSelector Services and the Windows Services that GSelector uses. This tool can be used to stop, start and see the status of these services. This window is available on a Standalone system, a Database/Service Host Server and in the case of a larger installation, a Service Manager will be found on both the Service Host Server(s) and the Database Server.

An example of when this tool might be useful is when a GSelector Error occurs similar to the following:

Accessing this window

Features in this window

Accessing the Diagnostic window

To Access the Service Manager window:

  1. Click the Windows Start button
  2. In Windows 7 and lower select Programs | RCS | GSelector to locate the Service Manager
  3. In Windows 8 and 8.1 go to Apps | RCS to locate the Service Manager.

The following image shows the Service Manager window for a Database/Service Host Server. This window will be different base on the type of GSelector Installation being used. See the GSelector Installation Guide for additional information on the different types of GSelector Installations.

Click in image for additional help.

Click in image for additional help.

Topic Overview: Service Manager

Features in this window

Services tab

Service Manager Toolbar

Services Grid

Log tab

Services tab

The Services tab is the default view for the Service Manager window. The Services tab is used to stop, start and see the status of the GSelector Services and the Windows Services that GSelector uses.

The services tab has the following features:

Service Manager Toolbar

Services Grid

Service Manager Toolbar

The Services Toolbar can be used to Fix all the services, a Refresh button to refresh the view and a System Status icon to show the status of the entire system.

Fix - The Fix button will check all the services that GSelector uses and start or restart them if needed. This process may take a few minutes; the user will receive a success message when the process is complete.

Refresh - The refresh button will refresh the Service Manager window.

System Status - The System Status will show a green circle with a check when all services are running and the status is good. If a service(s) is not running and the system is in a bad state the icon will change to a yellow alert icon.

Services Grid

The Services grid shows all the services GSelector needs to run and communicate with other systems. The grid list is divided into two sections a GSelector section with all the GSelector Services and a Windows section with all the Windows Services that GSelector uses. Each section has a Start and Stop button to start or stop all the services in the section.

Name

Status

Start

Stop

Name

The Name column list all the services by name. The list is divided into two sections a GSelector section with all the GSelector Services and a Windows section.

Status

The status column shows a runner [image] when the service is running and a stop icon [image] when the service is not running or has been stopped.

Start

The Start column can be used to start a section or start each individual service if it is not running. For each service that is running the start [image] button will be gray in color when the service is stopped the start [image] button will be blue in color.

Stop

The Stop column has a stop button for each section and a stop button for each service listed. The stop button can be used to stop the service(s). When a Service is running the stop [image] button is red in color, when a service is stopped the stop [image] button is gray in color.

Log tab

The Log tab shows information about the starting and stopping of the services in the Service Manager.

Topic Overview: Service Manager


Balance Windows

The GSelector Goals Balance windows, Categories window, and Linker Goals Categories and Link Balance window provide a snapshot of current supply and demand, and let you adjust the relative demand of Categories within Category Groups, Songs, Song Categories, Links, and Link Categories, Song/Link Demand by Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. or Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants., and Songs by Artist. Demand Adjustment in all windows works the same way - see the notes here.

Accessing Balance windows
Balance window features
Working with Balance windows

See also the notes for Category Demand and Demand by Daypart in Song window

Accessing Balance windows

Click the Goals tab or the Linker | Link Goals tab, then select Balance, and finally one of the tabs for Artists , Participants , Attributes , Song Groups or Songs, or the Links tab.

This image displays the Artists for a station in the Goals/Balance/Artists tab . Click any area in the image for help

Click any area in the image for help

Topic Overview: Balance Windows

Balance window features

Daypart selection field
Clock Assignment Grid selection field
Toolbar
Find (CTRL+F)
Demand Pane

Activated items
Name field
Count and Totals fields
Totals Analysis button
Frequency
Demand Percentage
Turnover
Shift Column and Demand Shift Buttons
Plays per hour
Clear Adjustments
Demand Graph
Minimum Separation

Toolbar Buttons

The toolbar is common to all Balance windows. From it you can Save or Cancel Changes to your settings, Copy settings from one Daypart to another, view an analysis for demand across multiple Dayparts , view only items where Adjustments have been made to demand, clear adjustments for this window, access the Rotation Rules window, or assign an Appearance .

Save Button

If you have changed any settings in this window, the Save changes button is activated. Click to save changes.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copy settings to a different Daypart

Click to copy your settings to other dayparts. This accesses the Copy Daypart dialog box. See the Copy Daypart Dialog Box notes for full details. The Copy Daypart Dialog box is also accessed from the Categories and Dayparts Definition windows.

NOTE: When copying to a Daypart from the Song or Link Categories windows or any Balance window - Artist, Attribute, Participant or Song - the default setting in the Copy Daypart dialog box will be to copy the setting for that Goals Categories or Balance window. You can select other settings to copy as well.

Cross Daypart Analysis

Click the Cross Daypart Analysis button in this window to open the Cross Daypart Analysis view, which displays turnover figures for two or more dayparts in combination. In this view, you may not make any changes to settings. These are made by Daypart in the main window. For more details, see the Cross-Daypart Analysis topic.

Closing Cross Daypart Analysis windows

In Goals Balance windows, once a Cross Daypart Analysis view is accessed, the Balance toolbar button shown here, to the left of the Cross Daypart Analysis button, is activated. Click to return to the default single Daypart mode.

In the Goals Categories window, once a Cross Daypart Analysis view is accessed, the counterpart Categories toolbar button, shown here, also to the left of the Cross Daypart Analysis button in the toolbar, is activated. Click to return to the default single Daypart mode in Goals categories.

Adjustments button

This button is used in all Goals Balance windows. Click this button to filter out all items where no changes have been made to the shift field, and only display items where an adjustment is in force. Note that as a change in the limit field places a value in the shift field, this change is shown when you click the Adjustments button.

NOTE: Clicking this button will not show changes made in the optional Minimum Separation or Maximum Per Hour fields.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments dialog box. The Clear Adjustments dialog provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Rotation Rules

This button accesses the Rotation Rules window (see notes here ). The Rotation Rule window allows you to set Rotation Rules that can be applied to any Artist, Attribute, Participant or Song in the relevant Balance window. The Rules you enable in Priorities Definition, and the Settings for each rule, are applied, for each Category where you define a value.

TIP: When you enable the Minimum Separation rule, you can apply a specific Minimum Separation value for any Song, Artist, Attribute or Participant directly in the relevant Balance window. Values you enter for specific elements in the Balance windows will override any value you set in the Rotation Rules window for Minimum Separation.

Define Appearance toolbar button

This toolbar button allows you to select any balance window item (Artist, Attribute, Song Title or Participant) and assign a predefined Appearance . Select the item, and click the button to open a dropdown menu to select from existing Appearances. See the notes on Appearances definition and Using Color .

Applying Attribute Appearances

You can also assign Appearances working in the browse.
1. Select the balance window item (Artist, Attribute, Song Title or Participant).
3. Right-click to see all Appearances.
4. Select the desired Appearance to apply to the balance window item (Artist, Attribute, Song Title or Participant)
5. Repeat as required.
6. All assigned Appearances are displayed in Library browses with the selected foreground and background color, alignment and font.
7. In the Editor and Clock windows, field-specific Attribute Appearances override globally assigned Appearances.

Topic Overview: Balance Windows

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option, click the pane to search and press the CTRL+F keys on the keyboard. The Find option is available in all the Goals Balance windows.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Daypart selection field

Click the drop down arrow in the Daypart field in any Song or Link Goals Balance window to select a Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. . The Goals Balance display updates to reflect the demand generated by the settings for the selected Daypart. This applies to s. See the Dayparts Assignment window for details on creating and assigning Dayparts.

See the notes on selecting a Daypart in this topic.

Clock Assignment Grid selection

Where two or more Clock Assignment Grids have been defined, this panel is displayed in all Song and Link Goals Balance windows. Click the drop down arrow to select a different Clock Assignment grid. The display instantly updates to reflect the demand generated by the Clocks in the selected Grid. For details on Clock Assignment Grids, see the Clock Assignment window topic.

Demand Pane features

Activated items field
Name field
Count and Totals fields
Totals Analysis button
Frequency
Demand Percentage
Turnover
Shift Column and Demand Shift Buttons
Plays per hour
Demand Graph

Minimum Separation
Optional fields
...... Limit field
...... Maximum Per Hour

Play column: Active in this Daypart

This check mark in the Play column (at the left of all Goals Balance and Categories in the default Browse format ) shows that this Category, Artist, Participant, Attribute or Song is active for the selected daypart. Uncheck the box to block the Category, Artist, Participant, Attribute or Song play in the selected Daypart. When you uncheck a Category, Artist, Participant, Attribute or Song, it will drop to the bottom of the list in the Balance pane, if the Balance pane is sorted by demand. You can, however, sort by clicking the Play header as well.

TIP: To rapidly locate an item that you have unchecked, click the Adjustments button in the toolbar. Or click the Play header re-sort the list by Play status, or by the Demand or Demand Percentage column.

Name

This column displays the Name of the Category, Artist, Song, Attribute or participant. You cannot edit this field.

Count and Total fields

These columns display the number of active An Active item - a Song, Link or Note - is available to schedule in the current station. songs (songs that are not banned, implicitly or explicitly ) for each Artist, Attribute or participant, and the Total field shows all Songs with this Artist, Attribute or Participant. You cannot edit this field.

NOTE: Count and Totals fields are not used in the Songs Balance window.

Totals Analysis

Click the More Information button in the Totals column in any Balance window to access a Summary window detailing the Category distribution for the selected Attribute, Artist, or Participant. See the Summary window topic for more details.

Frequency

This column displays the Frequency A turnover rate for a Song, or Artists, Attributes or Contributors, for the Daypart being viewed or edited. for each Category, Artist, Song, Attribute or participant in the selected field. You cannot edit this field. This figure reflects changes made using the Demand shift buttons.

Demand Percentage

This column displays the demand The amount, expressed in both percentage terms and in Graph form in Goals Balance windows and the Categories window, to show how much GSelector calls for any song or link, or songs or links with this attribute, album or participant . The greater the demand, the more the song or link, or songs or links with this attribute, album or participant will schedule. , in percentage terms, for each Category, Artist Song, Attribute or participant in this daypart. You cannot edit this field. This figure reflects changes made using the Demand shift buttons.

In the Categories window, this column toggles between Demand Percentage and Frequency by clicking the more information button.

Turnover

This column displays the turnover time, in hours and minutes, for each Category, Artist Song, Attribute or participant in this daypart. You cannot edit this field. This figure reflects changes made using the Demand shift buttons.

Shift Column and Demand Shift buttons

This field allows you to shift demand for any item in a Balance window. You can also fix a limit on plays for any item: see the Limit field notes. When you first access this column in any window, the figure displayed is 0. This means that demand has not been modified. You can get an instant snapshot of all Shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. and Bans When a Song, Link or Note, or an associated Attribute is banned, the Song Link or Note is prevented from playing that in one or more dayparts. Bans can be Implicit or Explicit. in the Goals Balance and Song Adjustments windows . And you can instantly clear all shifts for this window using the clear adjustments toolbar button. Adjustments The current list of all shifts and bans made in the selected daypart for the Song or Attribute. apply only to Shifts and Bans. Adjustments to the maximum per hour, minimum separation and limit balance settings are not shown in the Adjustments tab.

Click the up or down arrows to shift the demand. As you do, the value in this column increases or takes a negative value, to indicate the boost or cut you are giving to this item. At the same time, the values in the Frequency , Demand Percentage and Turnover columns will change for the selected Category, Artist Song, Attribute or participant, and for all the Category, Artist Song, Attribute or participant this change will affect.

NOTE: When you slot a Category Group in the Category Group Options window , you disable any shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. or bans When a Song, Link or Note, or an associated Attribute is banned, the Song Link or Note is prevented from playing that in one or more dayparts. Bans can be Implicit or Explicit. made to Attributes, Participants, Songs, Titles or Categories in this Category Group. A slotted Category Group ignores all balance settings and schedules in strict sequence. This sequence can be edited and viewed in the Kick Override Order window.

A dramatic change to one item in a large list may not always have a perceptible impact on overall demand. If you have long turnovers, you can experiment with the effect of significant but focused changes in demand within a goal. The smaller the overall number of items of which you are changing an item, the greater the impact for the changed items, but the less overall impact there will be on the other items. However, if you need to make a dramatic change, it can often be more practical to review the overall balance of songs in your Categories and Groups.

Note that if the Limit field for any item is activated, the Shift field is disabled. The shift required to meet the target set in the Limit field is displayed in red in the shift Column, and the boost/cut buttons are grayed out. To reactivate Manual shifts, delete the value set in the limit field.

Plays Per Hour field

This field displays the number of plays per hour for the Artist, Attribute, Participant, Song or Link. The field cannot be directly edited, but it updates according to changes made in the Shift column.

Optional fields

These fields can all be enabled in the Station - Features window
Maximum Per Hour
Limit field

Maximum Per Hour

This field allows you to specify a maximum number of plays per hour in any Daypart for any Song, Attribute, Participant, Album or Link. This field can be enabled or suppressed for all Balance windows by going to the Setup Features window and selecting or deselecting the Maximum Per Hour checkbox. If you enter values for one or more Song or Link Balance windows, and you then deselect the box for this setting in the Setup Station Features window, you will be prompted to confirm that you are deleting those settings. Adjustments The current list of all shifts and bans made in the selected daypart for the Song or Attribute. to this setting are not shown in the Adjustments tab.

Limit Plays per Hour field

This field is displayed by default, but can be suppressed for all Song and Link Balance windows by going to the Setup Station Features window and unchecking the Demand Limit checkbox. In this field, you can enter a value to limit the number of plays per hour to a value smaller that the Plays per hour value, in any Daypart, for the selected Artist, Song, Attribute or Participant or Link If you enter values for one or more Song or Link Balance windows, and you then uncheck the box for this setting in the Station - Features window, you will be prompted to confirm that you are deleting those settings. . If not displayed, activate the Limit Field by checking the Demand Limit box in the Station - Features window. Adjustments The current list of all shifts and bans made in the selected daypart for the Song or Attribute. to this setting are not shown in the Adjustments tab. To apply a limit, follow these steps.

1. In the Song or Link Balance window browse, select the Item to limit.
2. The initial, Natural Demand The demand for each item in your library, calculated by the demand for the item's Category, and the number of calls for that Category in Clocks. value is displayed in the Plays per hour field.
3. Enter a value smaller than the value displayed in the Plays per hour field, using the numeric 0.0 format. GSelector lets you apply a limit greater than the Plays per hour field, but this will not change demand.
4. The Balance window updates to show the new Demand percentage and Turnover figures.
5. Click the Save button
6. Setting a limit disables adjustments in the Shift column for the selected item, and enters a value for the equivalent Adjustment, displayed in red in the Shift column, as shown above .

Demand Graph

This bar, in any Goal or Categories window, reflects overall demand The amount, expressed in both percentage terms and in Graph form in Goals Balance windows and the Categories window, to show how much GSelector calls for any song or link, or songs or links with this attribute, album or participant . The greater the demand, the more the song or link, or songs or links with this attribute, album or participant will schedule. for all items in the window, in a Bar Graph display. This field reflects changes made using the Demand Shift buttons.

Topic Overview: Balance Windows

Working with Balance windows

Sorting contents in Balance and Categories windows
Manual Play Shifts: Making Adjustments: the Demand shift buttons
Setting a Play/Hour limit: the Plays per Hour and Limit fields
Selecting Dayparts
The <Twofers> Daypart
Selecting Clock Assignment Grids
Jumping to the Song window
Jumping to the Link window
Adjustments windows
Minimum Separation

Clear Shift and Ban Adjustments
Assigning Appearances in Balance Windows

Selecting a Daypart

The settings you make in Goal windows are daypart-specific. When you open the window, GSelector sets up to the first Daypart in the Daypart Definition window list (see notes here). To view and edit demand for any other Daypart, select it from the Dayparts field. You can also define very specific and targeted settings when using Artist Blocks , as GSelector applies a dedicated <Twofer> Daypart when scheduling Artist Blocks.

TIP: The Copy function provides a quick way to set Goals for all dayparts - simply copy to a new Daypart and adjust your goals for the new time.

Working with the <Twofers> Daypart

In the Goals Balance Artist window, you can select the <Twofer> Daypart in the Daypart selection box . When you select the <Twofer> Daypart in this box , a further selection box opens, letting you pick any Artist Block. The window will then display only those Artists who meet the Artist Block requirement.

You can also apply specific balance requirements in any Balance Pane, by selecting the <Twofer> Daypart in that Pane, and adjusting the Balance or Banning play by any Attribute, Participant, or Song. This is a very precise scheduling tool: <Twofer> Daypart settings are applied just at the point of scheduling an Artist Block. This, for example, would allow users to block songs from being scheduled by a specific Artist in Artist Blocks where an unwanted Vocalist participant is featured.

Adjusting Demand

This works the same way when setting relative demand in categories , or adjusting the Balance in the Balance Artist , Attributes , Participants or Song demand windows, or any other area in GSelector. For each Category, Artist, Participant, Attribute and Song, you can shift relative demand up or down by clicking the Demand Shift buttons.

Sorting Contents in Balance windows

Click any column header in any Balance or Categories window to sort by the contents of the column, in ascending or descending order. When you re-sort by any field, the currently selected record is displayed in the re-sorted view. This makes it easier to follow a selected Artist, Participant, Attribute, Song, etc.

If you are using the Shift Demand buttons to modify demand, the item whose demand you shift will move to reflect its new demand figures in the default Browse view. This can make it complicated to ascertain relative demand. To get a clearer picture of how demand shifts work in relation to other items, sort by Title or Artist; that way, the display does not instantly adjust.

Jumping to the Song window

1. In any Song Goals Balance window, select a Song, an Attribute, a Participant or an Artist.
2. Press Enter on your Keyboard or double-click to view the selected Song or associated Songs in the song window.
3. If viewing a list of Songs by Artist, Attribute or Participant, all Songs can be viewed - see the notes for viewing a list in the Song window topic.
4. When jumping from the Songs Balance window, you go directly to the selected Song window.

Jumping to the Link window

1. In the Link or Link Categories Balance window, select a Link.
2. Press Enter on your Keyboard or double-click to view the selected Link in the Link window.

Minimum Separation

The Minimum Separation field in Balance windows
Implementing Minimum Separation
Using Minimum Separation

The Minimum Separation field in Song and Link Balance windows

GSelector offers effective separation for any Song, Link, Attribute or Participant, driven by the natural demand in your library. But where you need to control separation of individual Songs, Links, Artists, attributes or participants, this field can be brought into use. Setting a time value in the Minimum Separation Days and Minutes and Seconds fields will enforce a separation for the set time for that Song, Artists, Participant, Attribute or Link. This would allow a user to, for example, specify a very precise Minimum Separation value for a particular Artist. Where a Minimum Separation time value is defined as over 50% of the natural turnover value in any balance screen, the value is displayed in RED. Adjustments The current list of all shifts and bans made in the selected daypart for the Song or Attribute. to this setting are not shown in the Adjustments tab.

NOTE: If you enter values for Minimum Separation in Song or Link Balance windows, and you then remove the Minimum Separation Rule from the assign Priority List the values defined in this column will be ignored. See the following section on Implementing Minimum Separation.

To implement Minimum Separation:

1. In the Goals | Priorities Definition window create a new Priority List

2. Add the Minimum separation Legacy Rule to the Priority List at the level desired.
3. Select the appropriate field in the desired Artist, Attribute, Participant, Song Groups, Song or Link Balance demand window
4. In all Balance windows, the field is divided into two columns, for Days and Hours and Minutes.
5. Select the days field and enter a value or use the [image] spin edit buttons Keys used to Adjust number values. to adjust values up or down.
6. Repeat for the hours and minutes field.
7. Finally, save your changes.

When implemented, Minimum Separation is also displayed as a filter option in the Hotspots filter pane , and Minimum Separation values assigned to any Attribute, Participant, Artist or Song are displayed in the Adjustments Daypart tab window. Settings that you make in the Balance windows will override global Category-based Minimum Separation settings made in the Rotation Rules window.

Using Minimum Separation

Minimum Separation should be handled with care. If you apply a very different Minimum Separation value from the natural demand to an Artist in high rotation, you will notice the difference. However, if you apply a very specific Minimum Separation value to an individual Sound Code in the Balance Attributes window, the overall difference may not be so noticeable, although there will be a clear difference from the Sound Code Spread goal set in the Goals Priorities window, which works on Natural Demand. Where there are difficult scheduling situations, you can set an absolute minimum for one or more categories. In general, it's best to go for as good a natural demand as you can get, and work with that. Then, only use minimum separation sparingly if at all, and apply it to those very specific areas of your scheduling which could benefit from this very specific kind of adjustment.
You can also apply Category-wide Default Minimum Separation values for Songs, Artists, Participants or Attributes. See the Rotation Rules window topic for details. Values set in Balance windows override Category-wide Default Minimum Separation values.

Clear Shift and Ban Adjustments

Occasionally there is a need to clear the adjustments made in the Balance windows to get back to the baseline.

  1. In the Goals | Balance select the balance window item (Artist, Attribute, Song or Participant) to clear.

  2. Click the [image] Clear Adjustments button to open the Clear Adjustments window.

  3. Select the Daypart or select All to select all dayparts

  4. Select the options to Clear

  5. Click OK

Topic Overview: Balance Windows


Working with Browses

This topic is provided as a reminder of basic GSelector functionality. While most people find GSelector intuitive and simple to use, this topic is provided as a reference tool when learning the program. All browse windows and panes in GSelector work in essentially the same way. While their functionality may differ, many features are common across many windows.

There are two basic modes of browse screen or pane:

Display Mode - where you cannot edit information, and
Edit Mode - where you can change settings, adjust demand, and so on.

Sorting by Field Header

Sorting by two field headers

Setting Sorts In the Browse Formats window

Sizing Browse fields

Field Order

Format design

Modify/Remove Columns

Activating and Deactivating by Daypart

Toolbars

Find (CTRL+F)

Playing Audio

Hot-key searching in Browses

Sorting by field header

Selecting a field in a browse window or pane and then clicking on the sort direction arrow in the header will order the browse by the contents of that column. Click again to re-sort in the alternate direction.

Sorting by two field headers

Having sorted on one field header, you can then do a secondary sort using the Shift + Enter (or left-click) command. For example, in the Library Browse window, if you click on the Artist field header to sort by Artist, you can do a sub-sort by Title by pressing the Shift key combination while clicking on the Title field. To reverse the sort order, click again on the header for that column.

To clear the complex Sort, release the Shift Key and click any Header to apply a single Sort.

TIP: When working in the Browse Window Advanced Search window, your Sort Order is displayed in the Search Summary Pane.

Setting Sort Orders in the Browse Formats window

You can configure permanent, more complex sort orders, with ascending and descending sort orders and sub-sort orders in any field, for any Browse format, working with the sort options in the Setup section Browse Format design window.

Sizing Fields

Some browse fields can be resized. Click the edge of a column and drag to the desired width. Some browses only allow a limited amount of sizing.

Field Order

In many windows, the field sequence can be re-ordered by clicking on a column header and still clicking, dragging the header to a new location in the browse.

Library windows
The Library Browse and Link Browse windows
Editor windows
The Editor, the Consideration and Failure Details windows
Analysis
The Analysis and Link Analysis Spins windows.
Notes
The Notes Browse window.

Format design

Any window with a Browse Format [image] button can have a custom-designed format. These custom formats can be created in the Browse Formats Design window.

Modify/Remove Columns

Columns can be added, removed or changed by right-clicking a column header and selecting an the Modify or Remove Column menu option.

Remove will remove the selected column. Modify will open the Modify Browse Format window, a window similar to the Browse Formats Design window. Drag and drop fields to add or remove them from the Browse Format. Optionally, use the center Add and Remove buttons. Use the center line to adjust the size of the right and left panes as needed.

Using the Browse Format [image] button drop-down menu, these changes can then be saved using the Save or Save As menu options and then Assigned using the Set Selected Format as Assigned option.

Activating and Deactivating by Daypart

Click the Icon in the Play column at the far left of any Goal browse for Song, Artist, Attribute, Participant or Category to toggle between banned and active for the current daypart.

Toolbars

Browses with Edit functionality come with a toolbar immediately above the browse at the left of the GSelector window.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option, which is available in the Browse windows within GSelector, allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. Most of the Grids within GSelector support the CTRL+F keyboard option. Simply click the Grid to search, then press the CTRL+F keys on the keyboard.

Find Search Syntax

In its simplest form, search criteria consist of a single word. If you want to search for a string containing a space character, specify this string in quotation marks. Without quotation marks, words separated by the space character are treated as individual conditions (using the OR logical operator by default). You can search against a specific column by preceding a search string with the column's display name plus a colon character.

ColumnName:SearchString or Artist:Aerosmith

Instead of the complete name, it is possible to partially specify the display name, using the initial characters of a column's display name. A search will be performed against the first found column whose display name starts with the specified substring.

Precede a condition with "+" to select records that match this condition. Other records will be excluded from the result. The "+" specifier allows you to implement the logical AND operator.

Precede a condition with "-" to exclude records that match this condition from the result set.

Here are search criteria examples.

Search Criteria | Description
register | Selects records that contain the "register" string in any search column.
check register Dave | Selects records that contain either "check" or "register" or "Dave" strings in any search column.
"check register" | Selects records that contain "check register" in any search column.
screen +"Richard Fisher" | Selects records that contain both "screen" and "Richard Fisher" in search columns.
data +entry -mark | Selects records that contain both "data" and "entry" in search columns, excluding records that contain "mark".
menu mask -file | Selects records that contain "menu" or "mask", excluding records that contain "file".
Album:"Greatest Hits" +Artist:"Tom Petty" | Selects records that contain "Greatest Hits" in the column that starts with "Album", and also contain "Tom Petty" in the column that starts with "Artist".
Love -Artist:Steve | Selects records that contain "import" in any search column, excluding records that contain "Steve" in the column that starts with "From".

Find Keyboard Commands

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a Browse List, CTRL+F11 will play the element having focus if the Browse list has focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus if the Browse List has focus. When that element finishes playing, the next element lower in the Browse List will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Hotkey Searching in Browses and Lists

In most Browses, GSelector offers Hotkey searching. This is especially valuable when searching a large list.

  1. Select a field;
  2. Then type the first letter for the item you are searching for;
  3. GSelector jumps to the first item in that field with that first letter. See the illustration below.

Typically, a user could HotKey search for an Artist, and with that Artist selected, click on the Title header to see all Songs by the selected Artist. In a list of several hundred or more items, this is a faster way to get to the desired items than to sort alphabetically and then scroll. The feature is available in the following sections:

Library windows:

The Artists, Albums, Title, Attributes, Media and Participants tabs in the Library Browse window.

The Attributes and Participants tabs in the Song Coding window.

The Results pane in the Song Browse window.

The Category panes and the Inactive list in the Category Changer.

Editor windows:

The Schedule pane in the Editor window.

The Consideration window in the Editor window.

Goal windows:

The Balance Artists, Participants, Attributes and Song Demand windows in Goals.

Clock windows:

The Breaknotes, Spotset, Exact Time Markers, Constraints and Voice Track browses in Clocks.

Linker

The Link Browse window

The Song List in the Add Song Segment window.

Notes

The Notes Browse window.

In the image below, the top song in the browse is selected. The Artist field is highlighted.

Typing the letter J moves the selection highlight to the All Along the Watchtower by Jimi Hendrix, which is the first song in the browse by an Artist beginning with the letter J.

Topic Overview: Working with Browses


Date and Time Range Panes

Date and Time Range Pane

In many GSelector areas, such as the Scheduler window, the Multi-Station scheduler, the Export Playlist, Analysis, Reports and Multi-Station Analysis windows, where the user needs to select a Date and Time Range, or choose a date (the Editor, Link, Notes, Song window Future Moves, and Packets windows) versions of this Pane are used.

Accessing the Date and Time Rage pane

Selecting a Date and Time Range

Wrap, Block or Hour Grid Selection

Reports Calendar Controls

Accessing the Date and Time Rage pane

From any of the above windows, click in any Date or Time field, or click the Enter Dates button, to access this window.

TIP: When working in the Editor, you can open the Date control, and click or enter on a selected Date to view the log for that Date.

Selecting a Date and Time Range of an individual date

  1. Click the Dropdown arrow in the From Date field to open the Calendar tool.
  2. The image here shows the Calendar tool opened from the From Date field.
  3. Navigate to a different Month by clicking the forward or back buttons at the top of the tool.
  4. The current date can be entered into the From Date field by clicking the Red Today date box at the bottom left of the Calendar Tool window. Clicking this box in the illustration would write 12/11/2003 into the From date box.
  5. Click a date to enter that date in the From Date window field, or the Date for the specified action or process.
  6. Repeat if required for the To Date field.
  7. Select or enter the Start and end Hours. The time range begins at the start of the Start Hour and finishes at the end of the End hour.
  8. Finally, click the OK button to display the selected Date and Time Range.

Wrap, Block or Hour Grid selection

After selecting the From Date and Time and the Thru Date and Time the user can select how to interpret the range using the Wrap, Block or Hour Grid options.

Wrap: GSelector will consider all hours starting at the From Date and Time thru the Thru Date and Time.

Block: GSelector will consider the From and Thru times as a block of time within each date within the range. An example using a From date of 1/1/2011 and a From Time of 10:00am with a Thru Date of 1/17/2011 and a Thru Time of 2:00pm, GSelector will include the 10:00 AM through the 2:00 PM hours within each date from January 1, 2011 through and including January 17, 2011.

Hour Grid: The user will select an existing Hour Grid from a drop-down list. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected. The user can also Import an Hour Grid from another station, in the database, when selecting the Grid Inclusion or Grid Exclusion options.

Reports Calendar Controls

When generating a Report with a Spins field, the Calendar Control offers you the option of filtering out items from the report with less than the specified number of spins.

Overview: Date and Time Range Pane


Print, Export & E-Mail

The GSelector Print tool allows the user to Print, Export and E-Mail, customized contents from Browse and other windows (see below for a list of Print-enabled windows).

The Print tool opens a Print Preview window which displays any grid or browse in the selected window. The Preview pane carries much of the functionality of the source window - where a display can be expanded in the main window; it can also be expanded in the Print Preview window. Colors used in source windows are replicated, with the exception of the graduated colors used in Demand Graph fields.

Accessing the Print window

Features in the Print window

Working in the Print window

Accessing the Print window

From any print-enabled window, select the Menu File option and then the Print option, or press Ctrl+P, to open a Print Preview of the source window, similar to this illustration of the Print Preview pane displaying a zoomed in view of the Category Goals window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Printing

Features in the Print window

Menu

Toolbar

Preview pane

Menu

Many of the toolbar options are also available in the Menu. This allows the user to disable the toolbar to give more viewing space in the preview window.

File Menu

The options listed below are available from the File menu:

Page Setup - The Page Setup option opens a page setup window to specify the paper size, orientation and margins to use for printing.

Print - The Print option is used to select an installed printer, set the preferences for the selected printer, print a selected range and print multiple copies of the previewed information.

Quick Print - The Quick Print option will print the preview to the windows default printer.

Export Document... - The Export Document option is used to Export the previewed information to a file. The file can be exported to a variety of file formats; PDF, HTML, MHT, RTF, XLS, XLSX CSV, TXT, as well as various Image formats (BMP, JPEG, GIF, TIFF, PNG, EMF and WMF).

Send via E-Mail... - The Send via E-Mail option will export the file to the selected file format and will then open a new empty E-Mail message with the file attached. This option requires an E-Mail program to be installed on the computer.

View Menu

The options listed below are available from the View menu:

Page Layout - A document can be previewed in two modes; facing and continuous. When the Facing layout is selected, the pages are arranged side-by-side. When using Continuous, the pages are arranged as a continuous vertical column.

Toolbar - The Toolbar option is used to add or remove the toolbar from view on the main preview window. This option is also available by right-clicking the toolbar.

Status Bar - The Status Bar option is used to add or remove the status bar from the bottom of the main preview window. This will remove the page information and Zoom bar at the bottom of the window. This option is also available by right-clicking the toolbar.

Customize... - The Customize option is used to open the Toolbar Customization window. The customization window is used to create and change the Toolbars. This option is also available by right-clicking the toolbar.

Background Menu

The options listed below are available from the Background menu:

Color - The Color option is used to select a background color for the document.

Watermark - The Watermark option opens the Watermark window to insert a Text or Image watermark into the background of the document

Toolbar

Click any control in this image for help

Search

The Search toolbar button will open a Find window that can be used to search for words or combinations of words. Click the Search button, type in the word of phase, set the Matching desired and the direction to search from the location being viewed in the preview window. Alternatively, press CTRL+F to invoke the Find window.

Customize window

The Customize toolbar button opens the Print Options windows. Click this button to open the window to Customize the printing options.

Open

The open toolbar button allows the user to open a previously saved .prnx file for viewing and printing. When a .PRNX file is opened, many of the customizing options are available, however the line items can no longer be collapsed or expanded, the Page Setup and Scale buttons will also be disabled.

Save

The Save button allows the user to save the information in the preview pane to a .PRNX file. This file can be opened, from any Print Preview screen within GSelector, using the Open [image] button from the toolbar. When a .PRNX file is opened, many of the customizing options are available, however the line items can no longer be collapsed or expanded, the Page Setup and Scale buttons will also be disabled.

Header And Footer

The Header/Footer button will open the Header-Footer settings window allowing the user to make changes to the default header and footer.

Scale

The Scale button opens a drop-down window to allow the user to adjust the scaling, of the printed material, to fit to a specific percentage of the original size or to a specific number of pages.

Scroll tool

The Scroll / Hand tool can be used in the absence of a mouse scroll wheel. Click the Hand Tool button to display the hand icon in the preview pane, then click in the preview pane to drag the displayed information up or down, or from page to page, using the mouse.

Zoom buttons

Magnifier - The Magnifier button is used to Zoom in, setting the zoom to 100% or Zoom out to view the whole page in the preview window. Click the Magnifier button to turn on the feature, and then click the mouse to zoom in or out. The Zoom out percentage is based on the size of the preview window. Click the Magnifier button again to turn off the feature. Use the Zoom In button described below to view the information at greater than 100%.

/ [image] Zoom Out / Zoom In - The Zoom out and Zoom In buttons allow the user to magnify the display, to zoom in and out by 5% increments. To zoom in or out of a document using the mouse, hold down CTRL and rotate the mouse wheel.

Zoom percentage - The Zoom drop-down allows the user to select the degree of magnification or manually enter any value into the Zooming box. The Zoom percentage can be viewed here or in the status bar.

Navigation buttons

These four buttons allow the user to move through multiple pages in a Print Preview. The buttons let the user jump to the start, go back one page, go forward one page, or jump to the last page.

Multiple Pages

To preview two or more pages at one time, click the Multiple Pages button on the toolbar. Then, in the invoked dialog, select the required number of pages icon to close it and apply changes to the document view.

Close Preview pane button

The Close button is used to close the Preview pane.

Add or Remove Buttons

To the far right of the Toolbar there is a drop-down arrow that can be used to add or remove buttons from the Toolbar or open the Customize Toolbar window.

Preview pane

The preview pane displays the contents of the browse in the underlying window. There are a number of ways to customize the display of information in this window, including specifying content for the Header and footers. Where additional data is available, such as in the Categories Browse window, the information can be collapsed or expanded similar to the source window as seen below.

Status bar

The status bar at the bottom of the page displays the current page, the number of pages in the preview, and the zoom factor. By clicking the Zoom bar in the Status bar, the user can activate the mouse scroll wheel for zooming in and out of the preview pane using the mouse scroll wheel. Clicking any area of the preview pane will return the mouse wheel to scrolling up and down in the pane.

Topic Overview: Printing

Working in the Print window

Printing and Assigning a Printer

Page Setup, Paper Size and Orientation

Customize settings

Header and Footer settings

Exporting the Document to a File

Sending the Document in an E-Mail

Background color and Watermark

Zooming in and out

Customize Toolbar

Printing

When finished Customizing the information and adding the Header and footer, simply click the Print [image] button to select a Printer and printer settings or the Quick Print [image] button to print to the default printer using the default settings. See the Printer documentation for details on how to use the printer settings.

Page Setup, Paper Size and Orientation

From the Toolbar or the File Menu, click Page Setup [image]. This accesses a standard Windows™ page setup window, to specify the Paper size, Orientation and Margins for the information to be printed.

Note: If you try to print a document whose margins are outside of the printable area, a warning message will be displayed. Click Yes, if you are sure that the printer supports the specified page margins.

Customize Print Options Window

The window, accessed from the toolbar using the customize button, is divided into two panes. On the left, the Options tab allows the user to check any box to insert a feature into the display. On the right is a preview mock-up of how this would look. The behavior tab allows you to expand nodes and expand column widths automatically for best effect. If you're going to do a lot of printing, it's worth experimenting with these different settings.

Header and Footer settings

To insert a page header and page footer into a document, click the Header and Footer [image] button on the toolbar. This will invoke the Header and Footer dialog.

The window has three boxes for both the Header and the Footer, in which the user can enter any text. GSelector Header-Footer default settings are to display the Station Logo (specified in Station Settings: Name and Logo ) at left, the window in which the user is working at center, and any filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. used at the right. The user can add page numbering, print date, print time, user name (specified in the Administration Users window ) and other images, where this is available, by selecting either Header or Footer, and clicking the relevant toolbar button. If needed, the user can also adjust vertical alignment and font settings from the toolbar. Click OK to save changes and close the dialog.

Exporting the Document to File

The Export Document option is used to Export the previewed information to a file. The file can be exported to a variety of file formats; PDF, HTML, MHT, RTF, XLS, XLSX, CVS, TXT, as well as various Image formats (BMP, JPEG, GIF, TIFF, PNG, EMF and WMF). To export a document and save the resulting file on your hard drive, click the arrow near the Export Document... button in the toolbar or in the File Menu. Choose the required format from the invoked list.

Depending on the selection made, specific Export options can be selected. Click OK once the options are set, the windows Save As dialog will open where the location and filename for the file can be selected. Click Save to save the file. If the corresponding software is installed, to view the file, the file can then be opened.

Sending the Document as an Attachment in an E-Mail

The Send via E-Mail option will export the file to the selected file format and then open the default installed E-Mail program with the file attached. The file can be sent in a variety of file formats; PDF, MHT, RTF, XLS, XLSX, CSV, TXT, as well as various Image formats (BMP, JPEG, GIF, TIFF, PNG, EMF and WMF). To send a document in an E-Mail, click the arrow near the Send via E-Mail... button in the toolbar or in the File Menu. Choose the required format from the invoked list. Depending on the selection made, specific Export options can be selected. Click OK once the options are set, the windows Save As dialog will open where the location and filename for the file can be selected. Click Save to save the file. GSelector will then open a new empty E-Mail message, using the default installed E-Mail program, with the file attached.

Background Color and Watermark

Background Color

To add a background color to a document, click the Color [image] button on the toolbar, or click Color... from the Background menu. The Background Color dialog will be invoked.

Then, choose a color from the Custom, Web or System palettes.

Watermark

To add a watermark to a document, click the Watermark [image] button on the toolbar, or click Watermark... from the Background menu. The Watermark dialog will be invoked.

Use the Text Watermark tab to add text as the watermark. Input the required text, or choose one from the provided options. If required, define other text properties, such as direction, color, font, size, transparency, etc.

Use the Picture Watermark tab to add an image as the watermark. Load the image and customize its properties, such as size mode, horizontal and vertical alignment, tiling, transparency, etc.

Specify the required pages to apply a watermark in the Page Range section of the dialog. Separate page numbers with commas, or specify page ranges using a dash.

Use the Clear All button to remove the Watermark from the preview window.

Customizing the Toolbar

To open the Toolbar Customization window, do one of the following:

  • Click Customize... from the View Menu
  • Right-click any bar or the empty space, and select Customize...
  • Click the drop-down button displayed at the right edge of any bar. Then select Add or Remove Buttons and then Customize...

  • Double-click the empty space, not occupied by any bar.

The Toolbars tab allows you to hide specific bars and display hidden ones.

The Commands tab allows you to access bar commands and add them to bars. Simply Drag the bar command from the Commands list onto a toolbar or menu.

The Options tab allows you to control options affecting the display of menus and bar commands.

Print-enabled GSelector windows

Many screens in GSelector with a grid or browse are print enabled. The most useful are listed below:

Categories and Link Goals Categories windows

Kick Override Order tab

Balance tab: Artist Demand windows

Balance tab: Attributes Demand windows

Balance tab: Participants Demand windows

Balance tab: Song Demand windows

Priorities and Link Priorities windows

Segue Ban and Link Segue Ban windows

Song Browse and Link Browse windows

Clock Assignment

Clocks Definition

Breaknotes

Spotsets

Voice Tracks

Exact Time Markers

Constraints

Scheduler

Editor window

Analysis and Link Analysis windows

Topic Overview: Printing


Working with Security

GSelector Security is managed by setting Roles, which are sets of access levels for the different parts of GSelector, which you assign to Users. The same User can have different Roles for different Stations or Organizations. In GSelector you are either a regular User A person with Password-protected access to GSelector. Users many not have full access to the program; access is set by the Administrator or an Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program.. Administrators have access to the Administration windows, and specify User levels of access. GSelector requires that you assign Roles and Organizations to each User.

TIP: You don't have to implement Security if you don't want to. Leaving the Organizations, Roles, and Users windows at their default install settings, as described in the First-time setup section below, will allow all users access to all areas of the program on all stations. But the more complex your requirements, the stronger the case there is for good Security.

First-time setup Defining Administrator login and assigning a password

The Process Described Defining other logins

Assigning Passwords to Users

Security Levels

Applying Restrictions

Forgotten Password - Administrator

Forgotten Password - User

Restoring Backups

See also the Administrator Login window, Change Password window, and Emergency Password Dialog box notes

Organizations are groups of stations. When you define Organizations to assign to a User, you set the stations that User can work on. An Administrator can create as many Organizations as needed, with different combinations of stations. Stations can be part of more than one Organization. An example might be: A Group of stations is divided into two sections: East and West. Both groups are programmed by their own Group PDs, with overall responsibility for all Stations, and full read-write access to all stations in their Groups. A User can be a member of multiple organizations having different rights levels for the stations in each of the organizations. Users can only access the stations selected for the Organization that they are logged into. However, users can Copy Schedules from any station from any organization for which they are a member. All the stations the user has rights to view from any organization will be listed in the Source station drop-down of the Copy Schedule window.

Roles determine what areas of GSelector each User can access. For each Organization, sets of Roles are defined. Role assignments, or credentials A User's Credentials are the Roles assigned to that User for one or more Organizations. A User can have several different sets of Credentials, for different Organizations. , are set for each section of the program. So for each Role, the administrator can determine how far each user can go into specific areas of GSelector.

In our example, both PDs also have read-write access to the Scheduler, Editor and Library sections of each other's Groups, for emergency and holiday coverage, with read-only access to the other sections. So, in the User tab, the PD would be assigned PD role, with full access, for his own group, and PD (Deputy) role for the other group.

Credentials can be set to read/write, read only, or no access for each section of the program. For each User, one Role only is assigned to any Organization. Each User is given password access to GSelector for one or more Organizations, with a Role assigned to govern levels of access. When the user logs in, they will be asked which Organization they want to use.

Organizations are defined in the Organizations tab of the Administration window.
Roles are specified in the Roles tab of the Administration window.
Users are added in the Users tab of the Administration window.

First-time Setup: getting the Administrator password

After a new GSelector install, the first task for the user is to set the Administrator password. This takes place in the Emergency Password Dialog box , which opens when GSelector is started after a new install. This dialog box prompts the user to enter an initial Emergency Password. You will need to contact RCS support for this process.

  1. On opening GSelector, contact RCS Support, and follow their instructions.
  2. At the end of this process, the Change Password window opens with the Username set to “Administrator”.
  3. Enter a case sensitive new password in both the Password and Confirm Password fields.
  4. Click OK.
  5. A '"Password Changed" message box appears.
  6. Click OK.
  7. A message box appears: “Configuration of the ‘Everyone’ user for Read & Write access to all Stations completed. Logging on as ‘Everyone’."

From this point, any user can access the complete system, by logging on as 'Everyone', with the exception of the Administration windows, which can only be accessed with the Administrator password using the Administrator Login window. The Administrator can then add further levels of security , applying password protection for specified Users. To define Users and Passwords, the Administrator works in the Administration Users window .

The Process Described

  1. Make sure that the steps above have been followed for first-time initialization.
  2. The Administrator then clicks Tools and then Administration... from the menu.
  3. The Administrator Login window opens.
  4. Enter the password defined in the First-time setup process.
  5. In the Organizations window, define as many groups of stations as are required for security purposes. This may change as security or organizational requirements develop.
  6. In the Roles window, define roles for staff that need password-protected access.
  7. In the Users window, define user names and titles, and assign one or more Organization/Role credentials for each user.

Assigning Passwords

  1. Select the File option from the Administration window menu.
  2. Select the Change Password option.
  3. In the Change Password window, select a Username.
  4. Enter new, or modify existing Password details. You cannot change the text for an existing Password.
  5. Click OK to confirm.
  6. Repeat for all users.

Security Levels

If the Administrator does not want to limit access for any users, then no further action is required once the basic Administrator password has been created. If no further User Passwords are defined, when GSelector is started, the Login window will not appear, and users are taken direct to the Launch window. By default, an “Everyone” user is automatically generated with a “Default” role with full access to the “All” stations organization. No password is used.

For increased security, the Administrator could assign a single password to the Everyone user. Then the Login window will appear. Users would select the “Everyone” user name for the “All” organization In GSelector, a group of one or more Stations where the User has a role. Organizations determine the stations Users can work on. , then enter the common password.

To apply Roles Roles determine what areas or sections of GSelector each user can access. Roles are defined in the Administration Roles window. to each User, the Administrator works in the Roles window.

To define Organizations , the Administrator works in the Organizations window

To allow users different access rights at different stations, the Administrator can combine roles and organizations to create credentials in the Users window.

Applying Restrictions

The Administrator can specify what areas are available to each Role , and then assign a Role to each User for the Organizations that User has access to. If access is restricted, the user will, depending on the window and the access level applied, be prevented from editing or saving anything in the window, or in some cases, be prevented from accessing the window.

With Security restrictions in place, Users will see [image] a Grey Circle on each read-only sub-menu tab, [image] and a Banned symbol sign on each no access sub-menu tab. Users can still switch to these windows, but the grids/fields/controls are hidden.

Note: Security restrictions have no effect on the Administrator login.

Forgotten Password - Administrator

At any point, if the Administrator forgets their password, she or he will need to contact RCS. The following steps should be taken:

  1. Select Tools in the main Menu,
  2. Then select Administration...
  3. In the Administrator Login window, click the Forgot password link to access the Emergency Password dialog box.
  4. Contact RCS support for the next steps.
  5. The Emergency Password dialog box can also be accessed from the Login window by selecting “Administrator” in the Username field.

Forgotten Password - User

If a user forgets their password:

  1. Click the Forgot password link in the Login window.
  2. If the Administrator has entered the user’s email address in the Users window and set the appropriate SMTP parameters in the File section in the Administration window menu , an email with the password will be sent to the user.

Restoring Backups

You must log in again after restoring a backup . Because security settings are stored in the main database, when restoring a backup, you must either enter a valid user name/organization/password trio or the Administrator password to get in to GSelector after the restore. Otherwise, follow the Emergency Password instructions.

Topic Overview: Working with Security


Using Color

You can use color in browses, the editor, clocks and reports. You assign background and foreground (for lettering) colors, use any supported font in any size and style, and specify right-, left-, or center alignment. Each set of colors, fonts and alignments is called an Appearance. For the Editor and Clocks, you assign a global Appearance to selected entry types. You can also assign attribute-specific Appearances to any Artist, Attribute, Participant, Song Title or Link Title. You can select global or attribute colors in Reports.

Preparing for Color use

Color Picker box

Color Edit tool

Designing Appearances

GUI notes

Applying Appearances globally

Applying attribute-specific Appearances

Applying Appearances in Reports

Preparing for Color use

While you can design and name an infinite range of color and font setting combinations to use in Appearances - see the gui notes - it's worth giving some thought to how you will use your Appearances. If you are mainly going to use Appearances in the Clock and Editor, across more than one station, then your Appearance names should probably reflect this. If you are going to use Appearances for attribute-specific use with Balance window elements, either with or without the use of Appearances in Clocks and Logs, you might wish to use a less specific naming system, while still differentiating from the existing globally assigned Appearances.

Color Picker Box

The Color Picker box is a third party color selection and editing tool. It is opened from the Appearances definition window design pane. You use it to select or design colors to apply to Appearances in the foreground and background color fields.

  1. Select either the foreground or background color field.
  2. Click the dropdown arrow to access this box.
  3. A range of default colors are presented in all three tabs; we suggest you stick with the default Custom tab pane.
  4. Select an existing color in the Custom tab.
  5. Or use the more limited sets of color options in the Web and System pages.
  6. To design a different color to use in Appearances, right click on any blank square pane in the lower section of the window to open the Color Edit tool.

Color Edit Tool

This tool will be familiar to many GSelector users who may have experimented with font colors when working with other applications. In GSelector the Color Edit tool allows you to custom design a color which you can then apply to an Appearance as a background or foreground color. You can select a color by moving the cursor in the central color selection panel, and then selecting brightness in the right hand scale field. Alternately, you can enter values in the Hue, Saturation and Luminosity fields, along with values for Red Green and Blue. The color values are also displayed in the design pane for foreground and background colors.

Once you have selected a color, click the Add to Custom Colors button to close this window and display the new color in the bottom two rows of the Color Picker box. Colors are available for the duration of the editing session, although they are permanently assigned to any Appearance you use them in.

Designing Appearances

You design Appearances in the Options Appearances definition window. This is accessed from the Tools menu option. Appearances can be applied to Editor entry types, as well as to any selected Artist, Attribute, Participant, Song Title or Link Title.

Applying globally to Editor Entry Types and Editor functions

  1. Work in the Options: Appearances definition window to design as many Appearances as required.
  2. Select one or more Editor Entry Types and Editor functions - focused row (the selected item), juggled or highlighted item.
  3. Click the drop down arrow for each Entry type or Editor function, to select an Appearance.
  4. Save the changes.
  5. The Log Editor updates immediately. When a filter applied, an item is juggled or an item is selected in the log, the appearance is applied and will override an appearance applied to a Category, Artist or Title.

NOTE: An Appearance applied in this window is applied to the entire Editor entry type, to all stations in the database.

Assigning Attribute-specific Appearances

Attribute Appearances can be assigned to any selected Artist, Attribute, Participant, Song or Link Title or Link Category. Attribute Appearances are assigned in Goals Balance windows or the Link Categories window, and assigned fields are displayed in the Clock Definition window, Goal windows, the Library Browse window, the Link Category window and the Category Changer. Some users find it helpful to assign a family of colors to Categories. Here, Categories have been assigned different shades of blue in the Goals Balance Attributes window.

  1. Work in the Options: Appearances definition window to design as many Appearances as required.
  2. Select the Artist, Attribute, Participant, or Song Title in the appropriate Goals Balance window, or the Link Title in the Link Goals window.
  3. Right-click in any field in the selected row to see available Appearances or click the [image] Assign Appearance button in the Balance window toolbar.
  4. Select the desired Appearance to apply to the Artist, Attribute, Participant, Song Title or the Link Title
  5. Repeat as required.
  6. All assigned Appearances are displayed in Library browses (see below) with the selected foreground and background color, alignment and font.
  7. In the Editor, and the Clock Definition window, attribute-specific Appearances override any globally assigned Appearance set up in the Editor.
  8. You can choose to also apply Attributes appearances in the Reports Appearances window by checking the Apply Attribute Appearances box.

NOTE: Attribute-specific Appearances are station-specific, but can be assigned to multiple stations .

Attribute-specific Appearances displays in Browses

This detail illustration shows how a Library browse looks with attribute-specific Appearances assigned to Categories, as in the example above. You can assign Appearances to any field used in a Browse. So for example, you could apply Appearances to Categories, as show here, and also apply Appearances to a specific Artist, or to a Sound Code. However, use of multiple Appearances can be confusing. Again, we suggest that you start with one Appearances scheme to start with before considering using further Appearances.

Applying appearances in Reports

Each Report has an Appearance Tab. Click this to select and apply Appearances either globally or for any Attribute. For full details, see the Reports Appearances topic.

Graphic User Interface considerations

You can design an infinite variety of color, alignment and font combinations to apply in GSelector. Some users like a very colorful screen, while other users limit their use of color to for example, Appearances assigned to the Category field. Many users find it helpful to start with a limited range of Appearances, for simplicity. This example shows Appearances assigned to Categories in the Editor window. The Appearance is simply displayed in the Category field.

Alternately, this example shows a single globally assigned Appearance for Scheduled and Inserted Song Entry Types, using the Appearances Assignment window.

This example shows the same assignment to which field-specific Appearances assigned to Categories in the Goals Balance Attributes window have been added. These override the Global Appearance in the Category field.

If you choose to globally assign Appearances to, for example, Editor entry fields, and selected attribute-specific Appearances, you could rapidly generate a very confusing set of color combinations. As you can see the Editor screen is starting to look busy. This is a matter of personal preference, of course.

Global Appearances in Clocks

Assigning Appearances globally to Editor elements alters the display in the Clocks definition window. The appearance is displayed for the entire entry type.

Song Category Group and Link Category Appearances in Clocks

When you assign Attribute Appearances to Song Category Groups and Link Categories, the Appearance is displayed in the Clock Browse Description field, over-riding the global appearance for that entry type, and in the Clock Mockup pane for each Song and Link Position.

Topic Overview: Using Color


Backup window

The Backup window is used to take a Backup of the entire database, and all schedule information for all stations or one or more specific stations. Backup will backup all active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Song and Link information, any active Note information and all Station schedule information for each Station. In all cases this information is copied to the designated Backup Path in the Configuration window. The default setting when a backup is initiated is to make five Rolling Backups; if SQL Server is being used, Automatic Backups can also be configured, working in the Configuration window. All Backups are then available to restore in the Restore window.

NOTE: If the Audit Trail feature is enabled, the extra Audit Trail information created when generating a schedule can be backed up along with the rest of the database information. This can impact on the time it takes to create and restore backups.

Accessing

Backup window features

See also the notes on Backup settings in the Configuration window

Accessing

From the File option in the Menu bar, select Backup to open the Backup window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Backup window

Backup window features

Database tab

Stations tab

Database tab

The database tab can be used to create a backup of the entire database using the default name or the user can select New Name and specify the name for the backup. Use the Description field to add a comment or description of the backup. The backup description is displayed in the Restore window as a fly-over tooltip when the user hovers the mouse over the desired backup. The Backup Audit Trail option can be used to include Audit Trail information.

Note: Control characters such as, ?, : or * are not valid in the New Name field. This new name will be the name of the folder, in windows, that the backup is placed.

Stations tab

When the stations tab is selected, check one or more Stations to make Backups. When backing up a Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. the associated Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. is also backed up, these two stations are shown linked in the Stations tab. See the Format Parents notes for more details. Use the Description field to add a comment or description of the backup. The backup description is displayed in the Restore window as a fly-over tooltip when the user hovers the mouse over the desired backup. When using the Stations option, the Backup Audit Trail option can be used to include Audit Trail information.

Backup Audit Trail

Select Backup Audit Trail to backup the Schedule Audit Trails stored in C:\ProgramData\RCS\GSelector\<SQL Instance Name>\AuditTrail\ folder of the Database Server. This will backup all future schedule audit trails and the last four days in the past to the gs.zip file of the backup. To use this option, Enable Audit Trail in the Setup | Stations | Features | Miscellaneous tab must be enabled.

OK button

Click OK to start the Backup.

Topic Overview: Backup window


Restore window

To restore a backup , work in this window, from which you select the Backup to restore. When you restore database, GSelector automatically re-licenses the database. This window has two modes, allowing you to restore a database by Using the Current database, or by restoring to a new database.

NOTE: After restoring a backup, the User must Log In again, using his or her Username In GSelector, used to identify a User for security purposes., Organization In GSelector, a group of one or more Stations where the User has a role. Organizations determine the stations Users can work on. and Password. See the Working with Security notes on Restoring Backups .

Accessing

Features in this window

Use Current Database Mode

Create New Database mode

Working in this window

NOTE: If you enable the Audit Trail feature, the extra Audit Trail information you create when generating a schedule will be backed up along with the rest of your database information. This can impact on the time it takes to create and restore backups.

Accessing

From the File option in the Menu bar , select Restore to open the Restore window. The window opens in the default Use Current Database Mode

Click any area in the window for help

Click any area in the window for help

Topic Overview: Restore window

Features in the Use Current Database Mode

Mode radio buttons

Oops Directory

GSelector Versions

Database tab pane

Station tab

Match on Media ID

Mode radio buttons

In addition to restoring by using the current database - the one you are working in right now - you can also use the Restore tool to create a new database. Click the Create New Database radio button to open the window in Create New Database Mode, and specify Database characteristics.

OOPS directory

GSelector provides a default recovery directory - the OOPS directory - to which the current database can be copied as a safety measure before restoring the selected Backup. This allows you to get back to your previous database in the event of the wrong restore. The RCS recommended default setting is to always make an OOPS Backup. If you have restored a backup, an OOPS backup is then displayed in the Restore window the next time you open the window. To skip this step, uncheck the OOPS backup option checkbox.

GSelector versions

The current version of GSelector in use on your system is displayed at top left in the Database and the Stations restore window view. All backups in the list pane are shown with GSelector version information. When restoring a backup, GSelector will automatically restore and update the data for any backups made in an earlier version of GSelector. However, it cannot restore a backup that has been taken from a version of GSelector that is later than the one which you are using now.

Database tab pane

The default view lets you make a single backup of all stations in the database. All current backups are listed in this pane. A backup description is displayed as a fly-over tooltip when the user hovers the mouse over the desired backup.

Station tab

Click the Station tab to select a station backup to restore. Note that you can make individual station backups in the Backup window .

All individual Station Backups are listed in this pane. The window works in the same way as the Database backup pane in either Use Current Database or Create New Database mode. See the separate notes on Restoring Format Parents and Child Stations in the Format Parents section of Help. A backup description is displayed as a fly-over tooltip when the user hovers the mouse over the desired backup.

Match on Media ID for Station Restore

By default when a Station Backup is restored in GSelector, the restore process will attempt to match an incoming song record with an existing song in the database using an exact match on Internal ID or, failing that, a string match on Title, Artist and Version. GSelector will attempt to match an incoming link record with an existing link in the database by an exact match on Internal ID or, failing that, a string match on Title. By selecting the Match on Media ID for Station Restore checkbox after selecting the Station tab, GSelector will match incoming song and/or link records exclusively by Media ID. If a record already existing in the database that has the same Media ID as an incoming record, the incoming record will become associated with the existing record. There will be no further checks once the Media IDs are matched. If no record existing in the database has the same Media ID as an incoming record, a new record will be created and activated in the station being restored or received. This option is particularly useful for large enterprises using a universal numbering system for IDs who wish to merge a number of separate databases into one GSelector database.

Restore window in Create New Database mode

This window is also opened from the Admin section Database Servers window when Restoring a Database from a Backup.

Click any area in the window for help

Click any area in the window for help

Mode radio buttons

New Database Description fields

Oops Directory

GSelector Versions

Database tab pane

Station tab

New Database Description fields

When you Create a new Database, GSelector opens a Database Description pane allowing you to enter a Descriptive Text field and to a name for the Database. Values in these fields must be unique. For full details on Database fields see the Database Servers window topic.

Topic Overview: Restore window

Working with the Restore window

Working with multiple Licensee databases

Manual and Automated backups

Restore overwrite warning

Restoring the entire Database

Restoring individual Station Backups

Sorting and Searching

Working with multiple Licensees

When working with multiple licensees , backups from the different databases can be stored in the same GSelector Backup folder. The contents of this folder are accessed by the Restore window, and the name of each Licensee is displayed in the backups list. This also includes backups sent to the folder through Data Exchange (see Data Exchange notes) .

Manual and Automated backups

Working in the Configuration window, you can specify a daily time to generate Automatic Backups. All backups, manual and automated, are displayed in the Restore window. Automated Backups are shown as auto1, auto2, auto3, and so on; Manual Backups are displayed as data01, data02, data03, or by the day the backup was taken.

Restoring database overwrite warning

When restoring the same or a different database that than currently running in GSelector, you are warned that you are overwriting the current database. Click Yes to confirm and continue with the restore process.

TIP: Many users find it useful to take a backup anyway prior to restoring, whether they are restoring a different database or not.

Restoring the entire Database

  1. In the Restore window, click the Database tab.
  2. Select a Backup date to restore from.
  3. Optionally choose to make an Oops backup of the present database to the Oops directory.
  4. Click the Restore button
  5. All Stations in the Database are restored.

Restoring individual Station Backups

  1. In the Restore window, for any Station, click the Station tab.
  2. Optionally select Match on Media ID
  3. Select a Station and Backup date to restore from.
  4. Optionally choose to make an Oops backup of the present database to the Oops directory.
  5. Click the Restore button.
  6. The selected Station is restored.

Sorting and Searching

All fields can be sorted by clicking on the column header. You can also Hot-key search in any field.

Topic Overview: Restore window


Configuration window

Configuration window and Backup Reminders

This window is used to configure settings for using an External Audio Player, Backup configuration, purging the Schedule and enabling/disabling Alerts.

Accessing

Features in this window

See also the notes on the Backup window.

Accessing

From any Menu bar in any window, select Tools and then Configuration, to open a window similar to the illustration below. This window will vary depending on the rights of the user. To adjust the rights of the user see the Tools | Configuration section of the Security | Roles window in the Administration window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Configuration window

Features in this window

External Audio Player

Use External Player checkbox

External Audio Player path

Non-ASX mode checkbox

Backup options

Number of Rolling Backups

Backup Path

Include Audit Trail in Backup

Reminder options

Automatic Backup

Automatic Schedule Purge

Alerts

External Audio Player

The External Player section is used to enable the use of a third party player for playing the audio specified in the audio path of the asset. This section is only visible when the user has rights to the External Audio Player section of the Tools | Configuration of the Security | Roles window in the Administration window.

Use External Player checkbox

Check this box to activate the Non-ASX checkbox and the External Player Path field. When this box is selected, some of the functionality of the Audio Controls on the Audition toolbar are disabled. The only operational buttons are the Play Rest, Play This buttons and the Seek Slider.

For more information see the Using Audio in GSelector topic.

External Audio Player Path

The field next to the Use External Player checkbox is used to specify the location of the external player. The location is machine-specific: a player location must be specified for each machine that runs GSelector. If the location path is left empty then the default player for asx This is a Windows Media file, which provides information about ASF (Advanced Streaming Format) media files, including descriptions of multimedia content such as playlists. When a browser links to an ASX file, the ASX file in turn links to its associated ASF file on a server. files on the current machine will be automatically invoked. For more information see the Using Audio in GSelector topic.

Non-ASX mode

Check this box if the Third Party Player does not support the use of Windows Media Player playlist files (*. asx This is a Windows Media file, which provides information about ASF (Advanced Streaming Format) media files, including descriptions of multimedia content such as playlists. When a browser links to an ASX file, the ASX file in turn links to its associated ASF file on a server. ).

Backup Options

The Backup section is only visible when the user has rights to the Backup section of the Tools | Configuration of the Security | Roles window in the Administration window.

Number of Rolling Backups

Backup Path

Reminder options

Automatic Backup

Scheduling Backups

Number of Rolling Backups

The Rolling Number of Backups field is used to specify the number of Rolling Backups stored in the specified Backup Path.

Backup Path

The Backup Path is the location of the Backup folder that GSelector will backup the SQL database and data specified. This is also where the Audit Trail files with be backed up when the Backup Audit Trail option is selected when creating a manual backup. This can be a local drive or a UNC path to a shared folder.

Include Audit Trail in Backup

GSelector will create an Audit Trail that can be used to troubleshoot scheduling goals. The Include Audit Trail in Backup option include this information in the backups performed when the user is prompt to backup the database when they login or logout of GSelector and when the Automatic backup option is enabled. The Schedule Audit Trails are stored in C:\ProgramData\RCS\GSelector\<SQL Instance Name>\AuditTrail\ folder of the Database Server. This will backup all future schedule audit trails and the last four days in the past to the gs.zip file of the backup. To use this option, Enable Audit Trail in the Setup | Stations | Features | Miscellaneous tab must be enabled.

Reminder options

The reminder section is used to setup reminders to the user to backup the database. The reminder can be setup to occur On Entry, when the GSelector application is launched, or On Exit, when the GSelector application is closed.

Reminder After (Days)

The Reminder After (Days) option is to set the number of days after the last backup at which GSelector will generate a reminder that a backup has not been taken.

Backup Selection

Select a radio button to specify a backup of either the entire database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases., or the current station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database..

Automatic Backup

The Automatic options are only available with a full version of SQL server. If the system is running GSelector on SQL Express, this pane is grayed out. Use the Enable Automatic Backup checkbox to setup automatic backups of the GSelector SQL database. This section is used to specify the frequency and timing.

Every (x) Days

Backup Scheduled At

Backup Frequency options

Scheduled End Time

Every (x) Day(s)

The Every (x) Days field is used to set how often the Backup occurs during the week.

Backup Scheduled At

The Backup Scheduled At field is used to set the time of day for GSelector to perform the backup

Backup Frequency options

The Occurs Once option allows for a single backup per day.
The Occurs Every option allows for an interval in hours. Typically, the first time is the time the Backup is Scheduled At and the second time is the Backup Scheduled End time for automatic backups. For example, an automatic backup can be performed once an hour each day from 9:00 AM through 5:00 PM.

Backup Scheduled Until

The Backup Scheduled Until option is used to set the end time for a single Backup or a Backup Frequency period.

TIP: When a station broadcasts for less than a 24 hour period, using networked output for some of the time, the Backup is Scheduled At field and the End time are used to denote the active hours.

Scheduling Backups
  1. Select Enable Automatic Backup
  2. Set the Frequency of the backups
  3. Set the start time in the Backup Scheduled At field.
  4. Optionally, specify a single occurrence using the Backup Frequency options to call for one daily backup.
  5. Alternately, set a frequency by calling for regular interval backups.
  6. Optionally, set an end period for this in the Backup Scheduled End time field.
  7. Click the OK button to exit this window.

Automated Backups are saved with the name auto1, auto2, auto3, etc, in the designated Backup Path.

TIP: This option is particularly useful when running several stations on a network. It will generate a backup for all GSelector stations from the central server, whether the local GSelector machines are running at the time or not.

Automatic Schedule Purge

Enabling the Automatic Schedule Purge will allow the user to set a time for GSelector to automatically Purge the expired schedule from the database. This can be done manually using the Purge Expired Schedule option in Housekeeping. This option is only visible when the user has rights to the Miscellaneous section of the Tools | Configuration of the Security | Roles window in the Administration window. This task is for databases running on a full version of SQL Server. RCS recommends doing this task in the middle of the night when the system is not in use.

Alerts

The Alerts section is only visible when the user has rights to the Miscellaneous section of the Tools | Configuration of the Security | Roles window in the Administration window.

Exit Confirmation Dialog

Disable Automatic Internet Update Prompt

Exit Confirmation Dialog

Check the Exit Confirmation Dialog box in the Options Configuration window to post a reminder window, shown here, that prompts the user to confirm that they wish to exit GSelector. This is enabled by default.

Disable Automatic Internet Update Prompt

Check this box to disable Automatic Internet Update prompts.

OK / Cancel buttons

Click OK to save any changes and close this window; click Cancel to close the window without saving the changes.

Topic Overview: Configuration window


Data Exchange

RCS Data Exchange allows GSelector users to send secure copies of their database (in full or for selected stations), or simply a station schedule for a selected period, to other machines or users over the Internet. The data is sent and received by RCS software; there is no need to take a backup, use file attachments, or mail diskettes. Data in transit is stored on RCS file servers for seven days. Data Exchange is also a safe way to keep an off-premises backup.

Accessing Data Exchange

The Process described

Sending a Database

Sending a Schedule

Receiving a Database

Receiving a Schedule

Using Data Exchange to backup and retrieve your own database

Security

Accessing Data Exchange

Select the File option from the Menu.
From here, select the Data Exchange Option, and then the Send or Receive option.

How it works: The Process described

You must be online to use Data Exchange. Each Sender is allocated 5 MB of storage space on the Data Exchange server. Databases are removed at the end of the day on which they expire. Each upload of the same database is given a separate backup on the Data Exchange Server. Each database can be kept on the RCS Server a maximum of seven days. If you need to have a database removed from the server, contact RCS Support. The process takes a few minutes, depending on data size and Internet speeds. Using the Send Dialog box, intended recipients are specified by E-mail address(es). This window also contains fields (Subject and Message) for comments or instructions. You can send data to your own E-mail address, creating an "Internet Backup" available to download from another computer or location.

NOTE: When you send an On-Air station database to a remote location, the database received at the remote location will be Off-Air. See the On -Air Status notes in the Admin Stations window topic.

Sending a Database

The Send Database command makes, when specified in the Data to send pane, a backup of the whole GSelector database, or of selected stations, and copies these to the RCS Data Exchange Server.

Sending a Schedule

The Send Schedule option in the Data to send pane lets you send a single station's schedule for a specified date and time range.

Once the database or schedule has been received at RCS, the recipient is notified by E-mail. The E-mail contains the Subject and Message information specified by the Sender, and a Data Exchange ID, used to "pick up" the data. Recipients can pick up the data from the RCS Data Exchange Server within seven days.

The Recipient uses the Receive command to retrieve the database or schedule, entering the Data Exchange ID contained in the E-mail (copy and paste works fine) and entering their E-mail address as a confirmation. GSelector then contacts the RCS Data Exchange server to begin downloading the database or schedule. This too only takes a few minutes, depending on data and Internet speeds. The database is copied to a dedicated Data Exchange folder in the backup folder of the recipient's station. The database is then accessed through the Restore window .

See receiving a database and receiving a schedule for full details.

Security

To keep Data confidential, you can specify a Private Password before sending Data to the RCS server. If used, the recipient must be notified by another, external, means (phone, email, text, etc). Without the Password, no one can collect the data, even if they have the Data Exchange ID. The Private Password also prevents RCS from accessing the database. Only the original Download password can unlock the database.

Database versions

Where several versions of GSelector are in use worldwide. Data Exchange keeps track of the version used. If a recipient uses an older version, Data Exchange will alert them that they will need to update their GSelector. This happens before the data is sent to the Recipient. Similarly, if a recipient is on a later version, it reminds them that the incoming data is older. The newer software will automatically convert the database to the latest format, but then the recipient would not be able to send it back to the sender, as their version would be lower.

Topic Overview: Data Exchange

Send Database window

Click on any area in the image for help

Click on any area in the image for help

RCS User ID

Your E-mail address goes here (or the RCS User ID you were assigned if you don't have E-mail). Remember, your E-mail address or User ID has to be on file at RCS in order to use Data Exchange. If it isn't please contact RCS Support to have it added.

RCS Password

Type your RCS password in this box.

Get Now button

If your E-mail address is on file at RCS, click this button to go to the RCS Web site and request a User ID and Password via E-mail.

To

Put the E-mail address of the person you are sending the database to. The database is not sent by E-mail; the recipient(s) get a notification to pick up the database. The E-mail address used here can be anyone's E-mail address, but only GSelector licensees can access the database you send them. If you wish to specify more than one recipient, put in multiple E-mail addresses in this box with a comma separating each one.

To send the data to RCS Support, enter support@rcsworks.com.

Subject

This optional field will be the subject line of the E-mail notification sent to the recipient(s).

Message

This optional field will be a text message which the E-mail notification sent to the recipient(s) contains. Do not put your Download password in this message.

Private Download Password

If you want to improve security, put a hard-to-guess password in this optional box. This will encrypt your database before sending it to RCS, and it will remain encrypted on the RCS server. The Recipient will need the Download Password in order to retrieve the database. Without this password, no one can access the database you are sending. RCS strongly suggests you use a Download Password at all times. Do not include the Download Password in the Subject or Message. Send this to the Recipient(s) separately (use private E-mail, phone calls, etc.).

NOTE: If you do not use a password to password-protect the Data exchange process, the option is ignored.

Data to Send pane

Choose from
Previous Backup to select from a list of previous database backups you have made on this computer.
Current Data to take a fresh backup of the database of the station you are working in as it is right now.
Stations to activate the Station Selection pane and select multiple stations to back up. See the Sending a Database notes.
Schedule to select a specific date range to send to the specified location. See the Sending a Schedule notes.

Stations Selection pane

Click the Stations radio button to activate this pane. In it, select stations to back up by checking the box for each station.

Schedule Period Selection

This option allows allow any station to easily transport schedules. This allows stations originating or receiving programming in different markets to easily move schedules from one location to another.

  1. In the originating GSelector database, access the Send Database window.
  2. In the Data to Send pane, select the Schedule Radio Button
  3. Specify a destination E-mail, and add Message as required
  4. Specify the Station.
  5. Select start date and time
  6. Select end date and time.
  7. Click the Send button

Backup Audit Trail

When the Enable Audit Trail option is enabled in the Station - Features window. GSelector will create an Audit Trail that can be used to troubleshoot scheduling goals. The Backup Audit Trail option will backup and include this information in the data exchange when selecting the Current Data or Stations option in the Data to Send section.

Send button

Click the Send button to conclude the Send Data function. The software will display the progress of backing up and sending the data to RCS. Depending on the Internet connection speed this will take several seconds to several minutes. The message "Data sent successfully" appears when the transfer is complete. When the database is available on the RCS Server, an E-mail message is sent out to each Recipient E-mail address specified. Depending on how busy the RCS Data Exchange server is, this may take several minutes before the E-mail notifications are sent.

Using Data Exchange to back up the database

Following the process detailed above, but opting to send the data to your own E-mail address, creates an "Internet Backup" of the database. You can then follow the process detailed below to retrieve the database from another computer or location, or from your existing location. Bear in mind, however, that backups sent to an RCS server are stored for a maximum of seven days.

Sending a Database

To use Data Exchange your E-mail address must be on file with RCS.

  1. From the menu select File, then Data Exchange and finally Send.... This opens the Send Database window.
  2. In the window, specify the RCS User ID, enter a Download password, the recipient's E-mail address, and optionally Subject, Message and a private download password.
  3. In the Data to send pane select a previous backup, the current complete database, or backups for one or more selected stations.
  4. Finally, click the Send button.

Sending a Schedule

  1. From the menu select File, then Data Exchange and finally Send.... This opens the Send Database window.
  2. In the window, specify the RCS User ID, enter a Download password, the recipient's email address, and optionally Subject details and a private download password.
  3. In the Data to send pane select the Schedule option
  4. Specify an individual station, and a date and time range in the Schedule Period Selection pane.
  5. Finally, click the Send button.

TIP: GSelector will not allow you to create Notes for any station with the same title. Notes with the same title can exist on different stations. However, if you have created a Note in one station which shares the same title with a Note in another station, GSelector will not allow you to export that note in your schedule to the target Station.

Receiving Data with RCS Data Exchange: the Receive Database window

NOTE: As with the Restore window, you have the option to Use the Current Database or Create a New Database. When creating a New Database, the Oops database backup option is disabled.

To receive RCS Data Exchange information, you must have a Data Exchange ID. This ID is contained in an E-mail notification that you have been sent an RCS database. This will contain a text message such as: " Your Data Exchange ID is 010F0104001054"

When you have received your ID via E-mail, follow these steps to retrieve the database:

  1. From the menu select File, then Data Exchange, and finally Receive Database
  2. The Receive Database window appears.
  3. Select a Radio Button to specify whether you are Use the Current Database (the default setting), or Creating A New Database.
  4. If you are using the default setting to Use Current Database, go to step 6
  5. If you are creating a New Database, see the Receive Database from Data Exchange notes in the Database Servers window topic, and then go to step 6
  6. In the E-mail Address box, specify your own E-mail address. This must match the address the sender used to notify you.
  7. In the Data Exchange ID box, type or paste in the Data Exchange ID from the E-mail.
  8. If a Download Password was used, enter it in the Private Password box. If there is no Private Password box visible in the receive database window, this is because no password was specified when sending the data.
  9. If you are Using the Current Database, optionally uncheck the default Back Up Current Database to OOPS box (not recommended)
  10. If you a merging databases, optionally check the Match on Media ID for Station Restore.
  11. Click OK to begin receiving the data.

GSelector will display the progress of retrieving the data from RCS, unzipping it and licensing it. Depending on your Internet connection speed this will take several seconds to several minutes. The message "Data successfully received" appears when the transfer is complete. Internet Licensing is automatically invoked to create a license for the database on your computer. If the license is successful, you may begin using the data. If not, contact RCS to resolve any licensing issues.

Receiving a Schedule - transferring Schedule Information from one station to another

NOTE: When transferring schedule information, either from one machine to another for the same station, or from one station to another, the information contained in the Media ID The Media ID field in Song and Link windows is used to identify a Song or Link, often in conjunction with a Playout system database. fields for Songs and Link must be common to all machines and/or stations.

  1. From the menu select File, then Data Exchange, and finally Receive.
  2. The Receive Database window appears.
  3. Select a Radio Button to specify whether you are to Use Current Database (the default setting), or Create A New Database.
  4. In the E-mail Address box, specify your own E-mail address. This must match the address the sender used to notify you.
  5. In the Data Exchange ID box, type or paste in the Data Exchange ID from the E-mail.
  6. If a Download Password was used, enter it in the Private Password box. If no Private Password box is visible in the receive database window, it's because no password was specified when sending the data.
  7. Optionally, deselect the default Back Up Current Database to OOPS box (not recommended)
  8. Click OK to begin receiving the data.

  9. The Receive Schedule Dialog opens, displaying the station and the schedule date and time range.
  10. Select a station to restore the schedule into.
  11. Click OK to restore the schedule information.
  12. Schedule items restored into the target schedule are marked as Imported in the Editor window status field.

Topic Overview: Data Exchange


Converting Selector databases to GSelector

GSelector and Selector 12 and 15 differ in a number of ways. For a full overview of the differences, see the GSelector and Selector compared topic.

This has a direct effect on a conversion from Selector databases to GSelector. Many GSelector screens (and the fields in them) are new or rethought; not all fields in Selector have a direct GSelector equivalent. So we will ask you to make some choices at different stages in the conversion process. If you have a very developed and detailed database, using a lot of fields to carry information, you many need to do some configuration work in your Selector database before converting up to GSelector. Your Selector database may be very complex, or it may be very straightforward. But we suggest you go through these notes in full before starting the import process.

The import process: an overview

Preparing your Selector database

Launching the Import wizard

Can I start over?

The Import Process

The Selector - GSelector import tool reads your Selector Database, or your multiple Selector Databases in sequence, and asks you, one window at a time, to make decisions that affect how we handle your data. This is not a difficult process, but it does involve detail work. The more complex your Selector database, the more you may need to take a little time to work out your best options. However, you may not need to change any settings in these windows, as the default settings we provide are designed to suit the majority of formats.

The import tool will translate key Selector information - Clocks, Library, Category structures, Browse Requests. and Schedule History - from Selector to GSelector equivalents. We ask you to select your most important Priority List and apply that as the basis for Goal settings, and we also ask you to review your Category and Level settings to reflect the GSelector structure. Other settings like multiple Policies, Last Play window, and many others are simply superseded by GSelector's powerful built in spread tools.

TIP: If after completing the import procedure, you find your settings are horribly wrong, you can always start over. Follow the steps outlined here.

Preparing your Selector database

Make sure your Selector data is present and correct. If Selector 12/15 song or link data is missing, those items are not imported, and are listed in a discrepancy list in the progress report pane. For most Selector users, the import process is straightforward.

However, be prepared copy or move data in the Conditional Changer/Changer window to a new source field. For example, many stations no longer use the Selector Album field for its original purpose. As it offers the ability to separate songs, this field is used in many innovative ways by Selector users. Moving this information to an unused Selector field (say Research Notes) and then importing from this source field lets your data be copied to a User-defined field in GSelector. Once in GSelector, songs with this information can be browsed, and a new Sound Code or Attribute can be applied as required.

Topic Overview: Converting Selector 12 and 15 to GSelector

Launching the Import wizard

  1. Close GSelector.
  2. Navigate to the RCS/GSelector folder, and double-click v12toGS.exe to access the Import wizard start screen.

  3. Select the Version of Selector to convert and click Next.

TIP: This image shows conversion windows for a V12 Selector database. The windows will always indicate the version of Selector you are converting. However they are largely the same, except where noted.

  4. Specify or accept the default RCSMenu drive, and where different, your Selector data drive. If required, map to these drives before launching the Import wizard.
  5. Then check the boxes to pick databases to import. You can import multiple Selector databases to create individual stations in one GSelector library database.
  6. Multiple versions of the same song in different Selector databases will create one library entry in several stations, if the Selector 12/15 title, artist and Media ID field information is exactly the same.
  7. If the title and artist information is the same but the Media ID field is different from station to station, individual records are created for each station, with the Selector 12/15 Media ID written to the GSelector song information pane. See the notes below on Media ID configuration.
  8. Finally, click the Next button to move to the next window.

Topic Overview: Converting Selector 12 and 15 to GSelector

Import Wizard windows

Specifying Selector ID source fields for GSelector Media ID fields

Specifying Selector fields to GSelector User-defined fields

Artist Options

Station Name, Research, Alternate Category and Scalar options

Database Settings

Assigning Categories to Groups

Progress Report

I already have a GSelector database - where does data go?

Specifying Selector ID source fields for GSelector Media ID fields

GSelector uses a single global Media ID for Songs in all stations in the GSelector database, and also allows a Local ID for each station if you need this.

Here, you select the Selector source field for data to ID data to copy to the GSelector global ID field. We list the most commonly used Selector ID fields. If you use other Selector 12/15 fields, use the Selector 12/15 Conditional Changer Copy or Move tool to transfer this data to one of the fields below, and then import from that field. See the notes on preparing your Selector database in this topic.

  1. For both Songs and Links, select one of the Selector media fields to import. (Note the Media ID option is a combination of these two Selector fields).
  2. Check the Station Specific Media Field box to enable the Station-specific ID field in the GSelector song window and copy ID information to this field as well as the Media ID field.
  3. Check the Linker breaknote check box to force all Breaknotes to Link category b.
  4. Check the Convert Stopset check box to change existing Selector Breaknotes specified as Stopsets - where these are used to mark Spotsets These are used in Clocks as place holders for Spots. Spots are integrated into the schedule by your traffic program in Selector - to actual Spotsets in GSelector.

  5. If necessary, step back to the previous window and change any settings.
  6. Finally, click the Next button.

NOTE: If you are importing Selector songs into an existing GSelector database and you want you import a Selector database with different ID attributes, you will be asked to change your Selector parameters, or the settings in Setup section Station - Media IDs window. See the notes on this topic on working with existing Selector Databases.

Specifying Selector fields to GSelector User-defined fields

GSelector offers ten User-defined fields in the Song and Link Additional Information windows. They share common names and functions in both windows, but you define what data these fields can hold.

In this conversion window you pick supplementary Selector 12/15 fields to copy their contents to the GSelector user defined fields; the selected fields are also renamed in GSelector, unless you set the associated field to blank. This process is library-wide, not station-specific. In this window we suggest the ten most-used supplementary fields in Selector.

TIP: If you already use User-Defined fields in the GSelector target database, you can protect these. Click the drop down arrow in any User-defined field to see the Selector 12/15 fields list, and scroll up so that the entry for this field is blank. This will prevent original GSelector data from being overwritten.

  1. Click any field's dropdown arrow to view the list of available Selector fields.
  2. Scroll up or down to select a different Selector field, or scroll up to the top to leave this field blank

  3. If necessary, step back to the previous window and change any settings.
  4. Finally, click the Next button.

TIP: For more information on this and other areas, see the GSelector and Selector compared topic.

Artist options

In Selector 12/15, you can have a maximum of four Artists per song, and you can convert all of Artist fields, or just the Artist fields you wish to convert into the Artist field in GSelector. In GSelector you can specify an unlimited number of Artists, called Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. , for any song. In GSelector, Participant roles are used to classify the contribution each Participant makes to the song. GSelector has Participant roles like Vocalist, Musician, Composer and more.

In GSelector a Participant can take on multiple roles: someone like John Mayer, for example, could have Vocalist, Musician, Producer and Composer roles. In the conversion process, you pick which Participant role should be assigned to the Artists in the four Selector Artist fields. In most Popular music formats, you will be categorizing just your Artist 1 and Artist 2 as Vocalists. Some users will opt to also Categorize Artist 3 and Artist 4 as well.

Any combination of the four Selector Artist fields can be combined into one GSelector Artist Name field.

  1. Check each Artist field to include that field's data as part of the GSelector Artist name field.
  2. Optionally select a Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. for each Artist field.

  3. For each Artist field, specify whether you wish the selected Participant to have Artist (all Songs by this Artist) or Song (individual Song) associations. The default setting is Artist. For more on this, see the Attributes and Participants tab notes in the Song window.
  4. If necessary, step back to the previous window and change any settings.
  5. Finally, click the Next button.

Station Name, Research, Alternate Category and Scalar options

This window allows you to select options for Station Name, Research and Alternate Categories areas. You can also set the scale range (5 or 9) you want in the Texture field.

Station Name

Research

Alternate Category

Scalars

Click any area in this pane for help

Click any area in this pane for help

Station Name

Click one of the three options here to specific what information is copied into the Station Name field The field used to identify each station in a GSelector database. Stations are opened by selecting from the Stations option in the GSelector Menu. Text in this field can be as long as you like. in GSelector. You can select basic information (the Selector Call Letters field) or more detailed information (the Selector Slogan field, the folder name), or a combination.

Research

These two options allow you to decide how the information in the Selector rows is treated. If you always use the same score type (for example, you always do Auditorium research), then select the first option. But if you use different score types for one date (for example, Auditorium and Call-out), select the second option.

Alternate Category

TIP: Selector Alternate Category uses, especially the hours used in the defining Selector Station Dayparts, can vary enormously. If the Selector Station Daypart stretches across all hours of the day - for example with a checkerboard pattern - it is possible that any Songs with this Daypart will not be assigned to their target Category at all, but instead to their Alternate Category, especially if you select the Any Hours option. If you are such a user of Dayparts when working with Selector Alternate Category, you might wish to consider reviewing your use of Dayparts before converting up.

In GSelector, you can have as many Alternate Categories as you have active dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. for any Song or Link. In Selector 12/15, you assign one Alternate Category to a Song or Link, in hours set by the Selector 12/15 Station Daypart (the equivalent of the GSelector Hour Restriction ) assigned to the song or link. So, in the import window, you decide where the existing Selector Alternate Category is to be allocated.

Select the default Majority of hours option to specify the Alternate Category in the GSelector Daypart that most closely matches the hours in the Selector Daypart. The other option is to allow Any Hour to be used. Here, the conversion program assigns the Selector Alternate Category in all GSelector Dayparts which have any hour assigned for the Selector Alternate Category.

Master Control fields

Where your source Selector database is used with Master Control, check the box if you wish to use GSelector Master Control Integration, and enter details for the XML Server and 15 Database.

Scalars

Scalar fields - Mood, Energy and others - are so called because they work on a scale of, say , 1 to 5. GSelector offers two options, to match those available in Selector - a scale of 1 to 5 or 1 to 9.

Database Settings

This window allows you to confirm or modify server, security and database settings. GSelector will display your default settings, and under most conditions, you won't need to change these. If you are importing Selector to create or add one or more stations with the same GSelector library , you don't need to change these settings. The database name and server location are specified during the GSelector install process.

NOTE: This topic covers importing to one GSelector database. If you want to create a separate further GSelector database, see the notes on adding a GSelector database.

In this window, enter (or accept the default) Server and Database name details. You can run the import program from any GSelector machine, providing it is mapped to the appropriate server. Some GSelector sites have multiple databases, where mapping is required, but the default name is the most common option. Once you've selected your options in this window, if necessary, step back to the previous window and change any settings, and finally click the Import button.

I already have a GSelector database - where does the new data go?

TIP: This option is for advanced users. If you are installing for the first time, skip this section.

If you want to add new Selector stations to an existing GSelector library, you don't need to change your existing settings.

If you are importing Selector station databases to a new GSelector database, and you do not plan to share data between GSelector library databases, you must create one (or more) new GSelector databases. To do this:

  1. In GSelector, select Tools from the GSelector menu.
  2. Select the Administration... option, and log in.
  3. Though step 4 creates an emergency recovery backup, many users choose to take a regular backup as well.
  4. From the Administration window menu, select the Restore Empty Database option. This backs up the current database automatically (to the Oops directory This is a directory in which the current database is stored when a database is restored or overwritten, or when an empty database is restored. ), and creates a new, empty database.
  5. License this database in the usual way.
  6. Then follow the steps listed below.
  7. When you reach the Database Settings window, specify the Server and Database Name to create the GSelector information in the new database, on the specified server.
  8. If the Selector databases use different ID formats - for example Numeric or Alphanumeric - you may need to adjust settings in your source Selector database, or in the target GSelector database.

Topic Overview: Converting Selector 12 and 15 to GSelector

Category Groups, Category Assignment and Priority Lists

GSelector uses Category Groups which can have as many Categories as you want. Selector 12 allows up to three Levels per Category; Selector 15 up to nine. So this window offers you the option to reassign your old Selector levels to existing or new GSelector Category Groups A group of categories, generally containing songs or links that are similar in nature or function, depending on scheduling requirements; Category Groups are used in scheduling. . In many cases, however, you won't need to change your existing Selector structure; the import process will simply convert this to GSelector Category Groups and Categories.

The final decision is to select a Priority list. We suggest you select a list associated with a major Gold or Recurrent category. If you do need to change things, follow the instructions below.

TIP: GSelector uses a very different method of prioritizing rules: Dayparts handle Policy Assignments, and you have complete flexibility in adjusting demand in every daypart.

Features in the Category Groups/Category Assignment window

Working in the Category Groups/Category Assignment window

Click any area in this image for help

Click any area in this image for help

Features in the Category Groups/Category Assignment window

Group Name list

Pass Order list

Priorities selection field

Add Category Group button

Move buttons

Delete button

Group Name list

In GSelector, Songs are organized into Categories, and Categories into Category Groups, which can hold as many Categories as you want.

The import process assigns the old Selector Categories to GSelector Category Groups, and the old Selector Category Levels into Categories within those Groups. The window shows how your Selector Category structure will be converted into the GSelector Category Group structure. Click any Category Group node to view all Categories assigned to that Category Group.

In many cases, you will not need to edit the structure. However, where you call for a Selector Category Level Clock position (see the 9/1, 9/2 and 9/3 Groups shown in the list in the image), the GSelector Import wizard treats these Category Levels as single-Category Groups. This allows your Clock Structures to be precisely duplicated, with GSelector Category Groups clock positions taking the place of Selector Category and Category Level clock positions in all cases.

NOTE: You can view the content of each Group, and reassign Categories to different or new Category Groups. However, if your Selector Clocks have Category Level positions, you might have to edit your GSelector Clocks after conversion if you reassign your Selector Categories and Levels. If you do not explicitly call for Category Level Clock positions, this is not an issue.

Order list

The Order list for Category Groups is taken from your Selector 12/15 Pass Orders, and is copied to the Category Group Importance window. You can edit the order by using the move Up and Down buttons.

Priorities selection field

GSelector does not use separate Priority Lists, as does Selector. In this window, we ask you to pick the Selector Priority list that you feel is most representative of the type of control you want, and the GSelector import process will do the rest. Many users select a Selector Priority List that is associated to a high pass order Category, where their most important rules are assigned.

Editing pane

This pane is used to move Categories between Groups, or to 'park' Categories that won't be imported; parked Categories do not copy across to GSelector during the import process.

Category Move buttons

Click to move a Category from its original group to the Category Group Edit pane, and to reassign this Category to a different group. See the notes on reassigning Categories in this topic for full details.

Add Category Group button

Click this button to create a new Category Group.

Move Up or Down buttons

Select a Category Group and click the Up or Down move buttons to change that Category Group's priority.

Delete button

Click this button to delete a selected Category Group. You cannot delete a Category Group with assigned Categories; they have to be moved to the Edit pane first.

Topic Overview: Converting Selector 12 and 15 to GSelector

Working in the Category Groups/Category Assignment window

Viewing Category Group Content

Reassigning a Category

Creating a Category Group

Changing a Category Group's priority

The Process described

Viewing Category Group content

  1. Select a Category Group in the left hand Category Groups pane.
  2. Click the node to expand the Category Group.
  3. All Categories in this Group are displayed. They can then be moved to the edit pane for reassigning or parking

Reassigning a Category to a different Category Group
  1. Select a Category Group in the left hand Category Groups pane.
  2. Expand the node to view all Categories.
  3. Select a Category.
  4. Click the right-pointing Category Move button.
  5. The Category is displayed in the Edit Pane.
  6. Select or Create a Category Group.
  7. Select the Category in the Edit pane.
  8. Click the left-pointing Category Move button.
  9. The Category is reassigned to its new Category Group.

Creating a Category Group
  1. Click the add Button to open the New Category Group window.

  1. Enter a name for the Category Group and Click OK.
  2. The new Category Group is displayed in the Category Group list.
  3. You can assign categories to the new Group, and change the priority.

Changing a Category Group's priority
  1. Select a Category Group.
  2. Click the Move Up and Down buttons to move the Category Group to a new priority. This information is copied to the Category Group Importance window in GSelector.

The Process described
  1. Decide if you want to modify your Category Group structure from the default display shown.
  2. Optionally reassign one or more Categories to Category Groups.
  3. Optionally create one or more new Category Groups.
  4. Optionally delete Category Groups if required.
  5. Optionally change the Category Group priorities.
  6. Finally, click the OK button to start the import process.

Progress Report

Once the import process is complete, a copy status box is displayed. This will show any discrepancies in the source Selector database. This data will not have been coped across to the new GSelector station. In the unfortunate event of the window displaying a huge list of discrepancies - none of which will have been copied over - then the best option is to delete the station in GSelector, and start again. You should re-enter the Selector database, correct all discrepancies and start over. If, as here, there are a small number of inaccuracies, you also have the option to research these in the Selector database, and then enter the songs manually in GSelector.

Can I start over?

Once the import process is complete, launch GSelector and schedule a few days. Then look (and listen) to the results. You may wish, after a few days, to make one or two adjustments. If so, the Getting Started with GSelector and Key processes notes are a good place to start.

However, if you find that the conversion options you selected really aren't what you wanted, you can always start again from scratch.

  1. In GSelector, select the Stations Menu option.
  2. Click the close option.
  3. This will close the station you have been working in and return you to the GSelector launch window
  4. Now select the Tools menu option
  5. Select the Administration... option, and log in.
  6. Then go to the Stations window
  7. Select the station you have just created, and delete it.
  8. Now you can launch the Import wizard afresh.

Topic Overview: Converting Selector 12 and 15 to GSelector


GSelector and V12 Selector compared

This topic is written for V12 Selector users. GSelector is different from what you may have been used to - it's a completely new take on scheduling for Radio, the web and more. In many areas there are no direct equivalents between the two programs. GSelector has new fields and, especially, functions you won't have seen before. So layout, navigation and commands may seem strange at first. Some V12 Selector fields have been superseded; the familiar V12 function keys have been replaced by clickable buttons.

Many GSelector screens (and the fields in them) are new or rethought. Not every field has a direct equivalent. If you have a very developed and detailed database, using a lot of fields to carry information, you many need to do some configuration work in your V12 database before converting up from V12 to GSelector. For notes on importing your V12 Selector database into GSelector, see the Importing Data topic.

While we start by looking at Basic Principles, and then Navigation and common commands, this topic is generally organized by V12 Selector and Linker Main menu headings. Scroll down or follow the Links to each section. You can then follow Links to more detailed topics if you wish.

Basic Principles

Navigation

Saving and Cancelling Changes

Selector Library

Linker Library

Policy

Clocks

Schedulers and Editor

Utilities

Analysis

Print the Log

Reports

Backup and Restore

Basic Principles

Both V12 Selector and GSelector ask you to cover some basic ground when setting up your station (or stations) for the first time. We ask you to organize your Songs into sections - Categories in V12 Selector, Category Groups in GSelector - and to specify how those sections of your library will be used, hour by hour, when you build your Clocks. We also ask you to add some descriptive coding to each Song or Link, and in V12 Selector, to apply some rules - both unbreakable, must-obey rules, and also rules you would like observed if at all possible - to the Songs or codes you have applied. That's the basic editorial work you need to do to start setting up your station, and we can't do it for you. How detailed you want or need to get from this initial stage is up to you. But we'll start from there.

In the scheduling process, V12 Selector works through your clock positions, category by category, and picks the first Song from the top of each category list which does not break any of the rules you have set up. When it gets to the next clock position, it does the same thing. Scheduled items drop to the bottom of their respective category lists, and work back to the top as further items are scheduled. V12 Selector looks at all the clock positions for your most important category, then moves on to the second category, and so on. Each item is looked individually, with only those rules that you have applied - to protect against, say, the same Artist, or to separate Songs with the same descriptive coding - coming in to play.

GSelector starts with a different approach. As you build your library and your clocks, GSelector analyzes the natural demand The demand for each item in your library, calculated by the demand for the item's Category, and the number of calls for that Category in Clocks. for your library - by Song (or Link), Artist, Title, Album, Category, and also by any of the descriptive codes you have applied. This information is always instantly available in the Goals section Categories and Balance screens. GSelector automatically separates Songs and Links, working with key Goals that are always in force. But it goes much further than that. Everything that goes to make up the natural demand is interdependent on every other element in your library. Adjusting demand in one area will affect, to a greater or lesser extent, every other area - automatically. So while GSelector also works through your clock positions, category by category, it does this while keeping an internal score: how well does this item in this clock position, meet the natural demand? This means that GSelector will not just pick a Song or Link that does not break any important rules: it picks the best Song or Link for that clock position. And as it goes, it constantly re-tests each position as the schedule is completed, adjusting if necessary.

GSelector and V12 Selector compared

Navigation

GSelector offers tab navigation to access each section of the program: see the notes on the Navigation bar in the Navigating in GSelector topic. Additionally, you can jump back and forward between recently visited topics using the Navigation Arrows. As with V12 Selector, you can jump to Song and Link windows by selecting and double-clicking in the Editor, as well as a number of new GSelector screens. GSelector has User Defined Navigation allowing the user to select the Selector V12 Navigation Template.

Task | In V12 Selector | In GSelector
Navigation | Vertical navigation through menus | Tab
Escape | Press Escape Key and go back up through menus | Click any Tab heading, or use the Navigation arrows
Jump to Log item | Select and press Enter | Select and double-click
Open new Station | Escape to RCSMenu, select Selector and station | Select Station from the menu
Open Linker | Escape to RCSMenu, select Linker | Click the Linker tab ( where licensed)

Frequently used commands

 | In V12 Selector | In GSelector
Save | Press F2 function key | Click the Save toolbar button
Cancel | Press Escape key and confirm | Click the Cancel toolbar button
Schedule | Press F10 function key in Day Scheduler window. | Click Schedule Button in the Scheduler
Print | Press F9 for Print Options where available | Select Print from the menu. See Printing for more information.

Selector Library

Song window

Browse window

Changer

New in GSelector Library

GSelector organizes Songs in one Library database, shared between stations . Each Song can be activate or inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. in any station. Songs share common ID, Title, Artist, Album and Runtime information across stations, while local station-specific coding can be applied as needed in a range of fields. You don't have to leave the Song window to define attributes like Sound Code. Energy, Themes and Role.

Some of the main Song Window features and differences are:

 | In V12 Selector | In GSelector
Add a Song | Select Add Song in Library Menu. Songs are manually added or copied to other stations. | Click the Add menu button in any Song window to open the Add Song window. Songs can be assigned to multiple stations at once in the Multi-Station window.
Delete a Song | Enter Song ID in Delete Song in Library Menu | Click the Delete Button in the selected Song window. You can delete completely, or choose to deactivate the Song for this station.
Artist Information | Four Artist fields available | One Artist field, with Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. assigned as needed
Sound Codes | Up to 5 from a maximum of 52, defined in Music Policy / Characteristics Rules | No limits; defined in Station Attributes window, off the Song window. Once defined, available for all stations, but assigned station by station.
Roles | Up to 2 from a maximum of 26, defined in Music Policy / Characteristics Rules | Use Vocalist, Instrument or Genre attribute; no limits; defined in Song Coding window. Once defined, available for all stations, but assigned station by station.
Themes | As many as you want up to 999, defined in Library / Theme Management | No limits; defined in Song Coding window, off Song window, then available for all stations, but assigned station by station.
Alternate Category | 1 per song, assigned in hours set with a Daypart Grid. | You can assign as many alternate Categories as there are active Dayparts.
Hour Restrictions | Up to 250, defined in Policy / Rotation /Standard Dayparting | No limit, defined in Setup / Hour Restrictions
ID field | Obligatory | Optional; use Library-wide Media ID field, and Station-specific Station ID field if needed
Audio assignment | From the Alt+I Digital Information window | Much more flexibility. See Using Audio in GSelector
Packets | Up to 9999, defined numerically; packet must be assigned to Songs in the same Category and Level | No limit; alphanumerical, with short and long names; one packet can be assigned to Songs in any Category
Alternate Packet | Not available | You can assign as many alternate Packets as there are active Dayparts.
Song History | Press F7 key from Song window | Displayed in Song window
Research | Press Alt+R from Song window; four cells and four dates only | Tab access in History Pane in Song window; no limit on cells and dates.
Additional Information | Press F6 from Song Window; 1 user-defined field | Click Additional tab. 10 user defined fields
Link to Audio files | With Master Control and Linker only | Much more flexibility. See Using Audio in GSelector
Re-order Category | Option 8 in Library Menu | Use Kick Order for small categories.
Adjustments | Not available | In Songs, the Adjustments tab displays Packeting, Shifts and Minimum Separation and Hour Restriction information - great for quickly troubleshooting a Song.

GSelector and V12 Selector compared

Some of the main Browse window features and differences are listed here:

Task | In V12 Selector | In GSelector
Browsing | Type or F5 select criteria in Library / Browse / Conditional Changer window | Select Criteria from Artist, Song title, Attributes and Participants, singly or together using tabs in Browse window
Include / Exclude | Use Dos operators | Select item in browse pane and click to include, or click again to exclude
Wildcard text search | Enter in field, use Dos operators | Enter in search pane in Artist Album and Titles search pane tabs
Sorting | Specify Sort Order in Browse request in Library / Browse/Conditional Changer window | Click Header in Browse; Shift Click to sort second field. See Working with Browses
Viewing fields browsed by | Browse; save browsed list; design Report format; print or view | Browse, design format with required fields; permanently assign or temporarily select in Browse window.
Saved requests | Press Ctrl+S | Click Save button or Save As button, select Filter
Saved lists | Press Alt+S | Click Save button or Save As button, select List
Retrieve request | Ctrl+G, select Request | Click dropdown arrow in filter/list selection box, select from list
Retrieve list | Alt+G, select List | Click dropdown arrow in filter/list selection box, select from list
View Songs in other stations | Not available | Browse the complete active and inactive database in the Browse Window Advanced Search pane.
Hotkey list searches | Not available | See Hot-Key search notes.
Changing | Press F10 from browsed list | Click Multi-Song Changer tab from browsed list.
Browse Formats | Not available | Custom design Browse formats
Color | Not available | Assign Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to Song Titles, Artists, Participants and Attributes

Some of the main Changer features and differences are listed here.

Task | In V12 Selector Conditional Changer | In GSelector Multi-Song Changer
Accessing | Press F10 from a browsed list | From any Song in a browsed list, click Multi-Song tab
Adding/Deleting | Select function, specify field content, press F2 | Select Field, enter content, specify function, click Change button
Adding/Deleting at same time | not possible | possible
Add Sound Codes and Attributes | not possible | directly from window in Station Attributes window and Song Coding window.

GSelector and V12 Selector compared

GSelector new Library features

The Category Changer window lets you drag and drop Songs to reassign them to different Categories.

The Library level Daypart, Hour Restriction and Packet Adjustment tabs let you view all Adjustments The current list of all shifts and bans made in the selected daypart for the Song or Attribute. applied to an individual Song.

The Audio Analysis window lets you analyze Audio for any Song and derive Times and Energy, Key and other settings to apply to that Song window.

You can apply Browse formats to the Browse window and Category Changer.

You can assign appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to Song Titles, Artists, Participants and Attributes.

The Advanced Search tool in the Browse window allows very precise searching across any station.

Linker Library

The Linker window is very similar to the Song window in functionality. There is no Sponsor field in GSelector..

GSelector new Linker Library features

In the Linker Link window, you can associate Songs and Themes to any Link for use in programming.

In the Link window Additional tab, you can declare Song Segments used in a Link for copyright return purposes.

Policy

GSelector Goals features

In GSelector, the Goals section allows you to define Spread Goals and Segue bans . In GSelector, you set up your Goals a lot faster in V12 Selector policies. For example, GSelector automatically separates out Songs and Links, by any Attribute activated in the Priorities window, to best effect. There is one, quick and simple Priorities window to activate Spread Goals and Segue Bans. You can jump to settings for Segue Bans where required.

Function | In V12 Selector | In GSelector
Dayparts | Up to 9 | No limit; defined in Setup Dayparts Definition
Policies | Up to 9 | No limit; function combined with GSelector Dayparts
Category structure | Up to 20 Categories, in up to 3 levels | No limit; organized into Category Groups and Categories
Priorities window | Up to 9 Policy settings; rules implemented here | One setting; Dayparts handle Policy function; Goals activated here
Twofering | By Artist | By Artist and other fields also Artist Blocks using Artist Image
Timing | Set up in Pass Orders and Clocks with ETMs | Set up in Priorities Definition window and with the Timing Goal and ETM definitions.
Minimum Separation | Set up by analyzing turnover and calculating or estimating MinSep values by policy | Automatic with Song Spread Goals ; optional fine-tuning by Minimum Separation for any Song, Attribute, Participant or Album in Balance windows. Minimum Separation can however be implemented as an option.
Percentage Back | Implemented in Song and Link Window | Available by adjusting in Balance windows for any Song, Attribute, Participant or Album
Adjustments tab | Not available | In the Balance tab the Adjustments tab displays all Packeting, Shifts, Minimum Separation and Hour Restriction information - great for quickly troubleshooting areas in the schedule.

GSelector Goals features

All Balance windows and the Categories windows offer instant rotation and turnover analysis, and the ability to infinitely shift demand for any Song, Link, Attribute, Participant, Song Category or Link Category, in any daypart. This allows much more flexible variations in demand to meet your scheduling goals than in V12 Selector.

GSelector automatically adjusts its calculations across the entire station when any change is made, or when a record is added, or rested.
Instantly view Adjustments The current list of all shifts and bans made in the selected daypart for the Song or Attribute. for any Daypart, Hour Restriction or Packet.

GSelector and V12 Selector compared

Clocks

Clock Definitions give you a clock face mockup of your clock content as you build each clock. You define all the specific clock elements in the Clocks section subsidiary tabs. Some of the main Clock features and differences are listed here.

Function | In V12 Selector | In GSelector
Inserting Items | Scroll to position, select from F5 menu | Select position, click Add position button, select from drop down menu
Moving items | Press Alt+M, and arrow up and down | Select position, and click clock content menu Up/Down arrows
Cut/Copy/Paste and Drag and Drop | Not available | Available
Editing Position | Delete and re-insert | Select new Clock Element for position
Power Screen | Press F8 | All functions available in Designer pane
Clock Goals | Ban or enforce by Sound Code, Energy, Artist Group, Energy, Pattern, Tempo Type, or Opener | Maximize or Minimize for Mood, Energy, Tempo or Opener; also use constraints
Constraints | Not available | For any position, Match or Avoid any Attribute/Participant/Album/Song
Force and Fallback | Available | Not available
Assignments | Up to 9 grids; assign clock by cell and then copy | Unlimited grids; assign clocks with drag and drop, cut copy and paste
Schedule Assignment grids | In Clocks Menu / Clocks Parameters / F7 | From Clock Assignment window
Color | Not available | Assign Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to Clock Elements

Schedulers and Log Editor

Scheduler Tasks

Editor Tasks

GSelector new Editor features

In GSelector, Editor functions are in a dedicated Editor tab. The Editor section has a range of new functions as well.

Scheduler Task | In V12 Selector Schedulers | In GSelector Schedulers and Editor
Schedule/Unschedule | Separate windows | Both in Scheduler window
Schedule Multiple Stations | Not available | The Multi-Station scheduler allows this, and can protect against the same Song being scheduled at the same time on several stations.
Not-scheduled view | Separate window | In Scheduler window; toggle to scheduled positions view, for Songs or Links
End of Schedule run | Sets up to next Unscheduled day | Sets up to next Unscheduled day; jump to any scheduled hour in active days
Kick | Set up off Schedulers window | Set up Slotted Category Groups in the Category Importance window in Goals. Then work in the Kick Override window.
Reorder Category | Available | Set up the Kick Order in the Kick window for Slotted Category Groups

Editor Task | In V12 Selector Log Editor/Manual Scheduler | In GSelector Editor
Access | from Manual Scheduler or Not-Scheduled window | from Schedulers Scheduled pane or Schedulers tab
Edit functions | Shortcut keys | Toolbar commands, but optional V12 shortcut commands (see list) are largely duplicated
Color | Limited display | Assign Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to Clock/Log Elements
Browse Formatting | Not Available | Custom design Browse formats for the Log and Consideration windows
Secondary panes | Consideration pane and Test bar - no formatting | Consideration window and Test Bar - can be sized and moved
History Pane | F7 opens History Menu - no formatting | History Pane and History Attributes toolbar button - pane can be sized and moved
Look for weak spots | Search in Audit Trail | Editor Hotspots filter pane
Scheduling Scores | Not Available | Displayed by default in all Log formats for each item and averaged for each hour
Cut/Copy/Paste and Drag and drop | Not Available | Available

GSelector New Editor Features

The familiar Windows© drag and drop, and cut, copy and paste functions are available in the Editor.
You can select a font and apply foreground and background color to any Log Element using Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. .
The Editor Hotspots filter pane lets you zoom into the weakest areas of your schedule, fix these and retest.

GSelector and V12 Selector compared

Utilities

Function | In V12 Selector | In GSelector
Log Window setting | In Station Parameters option off Utilities menu | In GSelector Setup / Station / Features
Station Name | Set in RCS Menu | Edit in Stations section of main GSelector Menu
Interfaces | Utilities option | In GSelector Setup / Station / Station - Interfaces
Simulcast / Repeat / Duplicate | Utilities option | Scheduler Copy Schedule window
Copy Songs | In Copy to Other Databases | All Songs shared between stations
Copy Clocks | In Copy to Other Databases | Copy Clock function in Clocks definition window
Audits | Utilities option | Refresh and Reload functions in View section of GSelector Menu
Enhancements | Utilities option | Accessible at upgrade or install; also in Help section of GSelector Menu
Association Reports | Utilities option | Association Reports section in Export tab
Print File Manager | Utilities option | No equivalent. See Printing notes.

Analysis

Many Analysis functions are now presented directly in the Song and Link Goals Balance and Categories screens. Open a Balance window to get an instant view of demand for any Song, Album, Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. (Sound Code, Role, Theme, etc) or Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. (Composer, Performer, Musician, etc). This allows you to view demand or exposure at a much more detailed level than in V12 Selector. Time-specific Analysis functions are handled in the GSelector Analysis window.

Function | In V12 Selector | In GSelector
History Map | Historical Analysis option | Map Option for any Song, Link, Attribute or Participant
Frequency Graph | Historical Analysis option | Totals can be displayed for any element
Daypart Distribution | Historical Analysis option | Totals can be displayed for any element by daypart
Most Frequently Played | Historical Analysis option | Default display option in Analysis window
Rotation History | Historical Analysis option | No direct equivalent
Artist / Title Analyses | Historical Analysis option | No direct equivalent
Actual Turnover Report | Historical Analysis option | Turnover displayed for any Song, Link, Attribute or Participant in Goal Balance windows; Minimum, Maximum and Average Separation figures for any Song, Link, Attribute or Participant in Analysis window.
Schedule composition | Song, Link, Attribute or Participant | No direct equivalent
Gross Impressions | Historical Analysis option | No direct equivalent
Projected Turnovers | Historical Analysis option | Turnover column in Categories window
Characteristic and Segue coding | Historical Analysis options | In Goals Balance windows
Artist / Artist Group Distribution | Historical Analysis options | Summary window for Artists, Participants or Attributes
Demand Analysis | Historical Analysis option | No direct equivalent
Category Exposure | Historical Analysis option | Demand Percentage column in Categories window
Print | No formatting | Print the screen fields you call for

GSelector New Analysis Features

You can add or remove any relevant field to an analysis browse.

You can analyze any element by any Daypart or combination of dayparts.

GSelector and V12 Selector compared

Print the Log

In GSelector, most of the V12 Selector Reports and Print the Log functions are combined into one Reports section. Other areas are handled by the

Task | In V12 Selector Print The Log | In GSelector Reports and Export
Log Formats | Up to nine; 80 columns max, limited font range | Unlimited; full windows formatting in Reports window
Print Log | Call by date range, send to printer | Call by date range, send to printer
Export Running order | Select or design format, specify date range, send to file | Select or design format, specify date range, send to file
Export Song / Link list | Browse list, select list, send to file | Select Filter, specify format, send to file.
Preview | Not available | Preview pane in default Reports tab window
View | Select view option from Print Menu | Zoom and print from preview window
Export to PDF format | Not available | See Exporting in PDF or Excel
Export to Excel | Not available | See Exporting in PDF or Excel

Reports

Task | In V12 Selector Reports | In GSelector Reports and Export
Report Formats | 80 columns max, limited font range | Unlimited; full windows formatting in Reports window
Preview | Select view option from Print Menu | Preview, zoom and print from preview window
View | Select view option from Print Menu | Zoom and print from preview window
Export to PDF format | Not available | See Exporting in PDF or Excel
Export to Excel | Not available | See Exporting in PDF or Excel

Backup and Restore

These options are available anywhere in GSelector from the File menu option.

GSelector and V12 Selector compared


Menu functions

GSelector Menu

This topic gives a brief overview of GSelector menu functions.

Click on any Menu item for Help

File menu options

The functions in the section of the menu can be password-protected if required. See the Working with Security topic, and the security notes in Database Servers.

Save (Ctrl+S)
Save any changes in the current window.

Connect to Remote Service Host...

Restarts the GSelector client so the user can select a different Service Host to connect to.

Backup...
Opens Backup window

Restore...
Opens Restore window

Copy Database...
Opens Copy Database window in Use Current mode. You can also select the Create New Database option in this window.

Open Database...
Where you have multiple databases , this allows you to select a database to open. See the Database Management notes for more information.

Data Exchange...
Send and Receive Database options. See the Data Exchange notes for more information.

Print (Ctrl+P)
Access Print preview pane or the selected window, where enabled.

Exit (Alt+F4)

View menu options

Back and Forward
The menu versions of the Navigation History button functions.

Refresh (F5)
In Multi-user mode, select to see the latest work done in the current window.

Reload Station (Shift + F5)
In Multi-user mode, select to completely update all changes for the station.

Stations menu options

Click the Stations option to display a list of all stations, the station are sorted in alphanumerical order when logged in as Administrator.
The current station is grayed out, along with its On-Air status icon where assigned.
Stations with current On-Air licenses assigned are indicated with an On-Air license icon.

Note that only licensed stations are displayed in the list, and where a User A person with Password-protected access to GSelector. Users many not have full access to the program; access is set by the Administrator only has rights to access stations in a specified Organization In GSelector, a group of one or more Stations where the User has a role. Organizations determine the stations Users can work on. , only those stations will be displayed.

Opening a Station

Select any station in the list and click to open that station.

Editor menu options

The Editor menu is only visible while in the Editor. This menu corresponds to the top toolbar in the Editor. This menu can also be used to restore the Default Toolbar, Reset Toolbar after is has been Customized and Hide/Show Toolbar.

Tools menu options

Administration...
Accesses a Log in window to open the Administration window.

Servers...

Accesses the Manage Server window for Remote Service Hosts and Database Servers. This option is only available when the user is connected to the Default Service Host Server.

Licensing...
Accesses the Licensing window.

Login...
Accesses the Login window to allow the current user to Log in as a different user if required.

Logout
Select to Log out from the currently Login

Interfaces...
Accesses NexGen and Zetta integration and Research tab windows.

User Activity

The User Activity menu option opens the Activity Log window. Set the Days to retain Non-Schedule Edit History in the History tab of the Setup | Station | Features tab.

Navigation

The Navigation menu option opens a second menu to the Menu F12 (User Definable Navigation), Navigation Templates and Navigation Settings.

Global Settings...
Accesses the Global Settings window, which has five tabs. All tabs apart from Sing Groups have subsidiary tabs allowing you to make Song- and Link-specific setting.
Media IDs, to set configure numbering options;
Song Groups, to create and define settings for Song Groups Song Groups are collections of Songs. You can search and sort by Song Groups. A Song Group is global, and contains the same Songs in all stations. Song Groups can contain active and inactive Songs. An Attribute setting for a Song in a Song Group, activated for that Song Group, is applied to that Song in all Stations. You can also use Song Groups like packets. ;
User-Defined Fields, used to name fields in the Song and Link Additional Information windows;
Appearances Definition and Assignment windows;
and the Artist to Vocalist Settings window.

Configuration...
Accesses the Configuration window, used to define Audio paths and make Backup Reminder settings.

Help menu options

Contents
Click to access Help displaying the Table of Contents

Index
Click to access Help displaying the Index

Dynamic Help (F1)
Click to access Help for the current GSelector window

Enhancements
Select this option to view a list of Enhancements and Updates to this version of GSelector

About
Information for this version of GSelector.

Topic Overview: Menu Functions


Administration window menu

This topic summarizes options available in the Administration windows. .

NOTE: The Administration windows are password-protected. See the notes on Working with Security for access details.

File Menu Options

Note that these options are only accessible when the user is logged in as Administrator.

Change Licensee...

Click to access the Licensee window

Change Password...

Click to access the Change Password window.

Internet Update

Click to update GSelector over the Internet

Database Maintenance

Restore Empty Database: Select to back up the current database to the Oops directory This is a directory in which the current database is stored when a database is restored or overwritten, or when an empty database is restored. , and go back to an 'as installed' empty database.

Housekeeping: Click to access the Housekeeping dialog box

Reset Service Host Cache For Current Database

Reset Service Host Cache For Current Database will reset the cache on the current Service Host server for the current Database. This will prompt all users that the Station cache has been reset and force a station re-load. Pending changes will be saved.

SMTP Simple Mail Transfer Protocol - the standard E-mail format used on the Internet. Parameters...

Click to access the SMTP settings window

Duplicate Check

Click to check for duplicate songs. Songs with different versions are treated as separate songs. Duplicates are displayed in the Duplicate Songs window.

Logs

Show Log Viewer... will open the GSelector Log Viewer window.

Zip... allows the user to save all the selected log files to a compressed zip file.

Setting Persistence

The Setting Persistence option will open the Settings Persistence window.

Exit

Click to exit

Help option

Click this option to open the Help window for the Administration window.

Topic Overview: Administration window menu


Duplicate Songs window

This window allows the user to locate instances of songs which have been duplicated.

GSelector will not allow a duplicate Song to be deliberately created. However, Song duplicates can be created accidentally during the import process, and it is important to be able to spot and correct any discrepancies.

Working from this list, the user can browse errant songs and go to the song window for any active or inactive duplicate sing in any station, to correct any discrepancies.

The window is opened from the File option in the Administration window menu, which is accessed in turn in the Tools option in the Main menu .


Housekeeping

The Housekeeping Dialog box allows you to perform various database maintenance tasks. This window is password-protected. See the notes on Working with Security for Admin Window access details.

Accessing this window

Features in this window

Accessing this window

  1. From the Main GSelector menu, click Tools and then Admin to access the Admin windows - see the Administrator Login window notes for login details.
  2. Once logged in, select the File option in the Administration windows menu.
  3. Click the Database Maintenance option, and then the Housekeeping Option to access this window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Housekeeping

Features in this window

Check any process to select it and then click the Apply button.

Run Everything

Compress/Rebuild Data

Rebuild Full Text Catalog

Purge Expired Schedule

Run Custom Script

Run Everything

The 'Run Everything' option runs all GSelector's internal database maintenance routines.

Compress/Rebuild Data

Click to run this housekeeping function. This maintenance routine should be undertaken if you notice unusually sluggish performance in GSelector.

Rebuild Full Text Catalog

Selecting this option cleans up and updates the SQL Full Text Catalog within the database. Use this option if you notice issues with the search feature not locating correct data.

Purge Expired Schedule

This option cleans up old schedule information, and can, in some cases, improve performance. This option is not normally needed; but RCS Support may asked for this maintenance routine to be selected when running Housekeeping.

Purge Research Scores

This option applies the settings that have been made in the Research Settings window to purge Research Data by Days or By Entries.

Run Custom Script

This routine is used to run a custom script which RCS Support may need to send to solve a particular issue. Do not use this function unless specifically told to do so by RCS.

Include Audit Trail in Backup

GSelector will create an Audit Trail that can be used to troubleshoot scheduling goals. The Include Audit Trail in Backup option will include this information in the backup performed during Housekeeping. The Schedule Audit Trails are stored in C:\ProgramData\RCS\GSelector\<SQL Instance Name>\AuditTrail\ folder of the Database Server. This will backup all future schedule audit trails and the last four days in the past to the gs.zip file of the backup. To use this option, Enable Audit Trail in the Setup | Stations | Features | Miscellaneous tab must be enabled.

Topic Overview: Housekeeping


Administration section Internet Update

This Administration section window is used to update GSelector over the web. You should normally not access this window without first checking with RCS support. The User must have Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. rights in GSelector and be an Administrator of the computer. to access this window.

Accessing this window

Working with this window

See also the Automatic Internet Update notes. This process takes place during the startup process, where required.

Server or Stand-Alone users

  1. From any GSelector window, click the Tools menu option, and then Administration.
  2. Enter a password to access the Administration section. See Working with Security for details.
  3. Select the Administration tab.
  4. In the Menu, select File.
  5. Select Internet Update.
  6. Follow the instructions.

Workstation Users

GSelector automatically checks to see if the server has been upgraded to a newer version. If your server has been upgraded, you will be prompted to upgrade the workstation.

Accessing this window

  1. Access the Administration section (see the Administrator Login window notes)
  2. In the Administration windows menu, select File and then Internet Update, to access this window

Working with this window

Available new versions of GSelector releases and downloads are listed in the top pane. Descriptions of each item where applicable are listed in the bottom pane. Select an update, and click the Download button.

Release Notes

You can access the GSelector Release Notes document directly from the update screens to get update information for the new version.


SMTP settings

This window allows the SMTP Simple Mail Transfer Protocol - the standard E-mail format used on the Internet. server and SMTP Port # to be specified, along with an optional SMTP Username and SMTP password. This window is used to allow E-mail to be sent to a User who has forgotten their password, who then clicks the Forgotten Password link in the Login window. This window can only be accessed by a User with Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. rights.

Accessing this window

  1. Access the Administration section (see the Administrator Login window notes)
  2. In the Administration windows menu, select File and then SMTP Parameters to access this window.


Security Organizations

Organizations window

TIP: If this is your first visit to this topic, read the Working with Security topic first.

In GSelector, for security purposes, Organizations are groups of Stations. As many Organizations as required can be defined. Many groups use just one Organization; others use several. Stations can be part of several Organizations if required. Users are given access to an Organization in the users window, and varying levels of access can be defined in the Roles window for any User. A User can be a member of multiple organizations having different rights levels for the stations in each of the organizations. Users can only access the stations selected for the Organization that they are logged into. However, users can Copy Schedules from any station from any organization for which they are a member. All the stations the user has rights to view from any organization will be listed in the Source station drop-down of the Copy Schedule window.

This window is also used to set the order of importance for stations when working with the Multi-Station scheduler.

Accessing this window

Features in this window

Working in this window

See also the Working with Security, Administration window menu , and the Roles and Users window topics.

Accessing this window

  1. From the Tools section in any GSelector window menu, select the Administration option.
  2. This opens the Administrator Login window
  3. Enter your password and click OK to access the Organizations window.
  4. Select the Security section tab.
  5. Select the Organizations tab to open this window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Organizations window

Features in this window

NOTE: In this and all Administration windows, all changes are automatically saved.

Toolbar

Organizations list

Organization member Stations toolbar

Organization member Stations pane

Include New checkbox

Priority Buttons

Toolbar

From the Toolbar, Organizations can be Added , Edited and Deleted.

Organizations browse List

This window lists all existing Organizations. To edit or to review an Organization, select an Organization then check or uncheck Stations for that organization if required.

Organization member Stations pane toolbar

This toolbar allows the user to Adjust Station Importance and to check or uncheck all Stations for this Organization. The Priority up and down buttons allow each Station to be ranked by Priority for each Organization. This is used when scheduling multiple Stations. See the Station Priorities notes in this topic. Click the Check button to place a check in all station checkboxes; click the block button to clear all checks.

Organization member Stations pane

All Stations for the selected Organization appear. This in turn is determined by the Login credentials. Stations activated for the selected Organization are displayed with checks in the Active checkboxes. The organization's name is displayed at the top of this pane.

NOTE: Users with Administrator rights see all Stations, active or otherwise.

Active/Inactive Checkboxes

For each Organization, check these boxes to define those Stations that are active for scheduling purposes for that Organization.

Stations List

Stations cannot be created in this window. To add a Station, see the Creating a Station notes. To delete a Station, see the Deleting a Station notes. The station list can be sorted by station name by clicking the Station header of the list.

NOTE: Clicking the Station Header will change the station priority order.

Format Parent status

Where a station is a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. , its Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. Station is indicated here. See Format Parents for full details.

Include new Stations checkbox

Check this box to ensure that when Stations are created or cloned , they are automatically included in this list.

Topic Overview: Organizations window

Working

NOTE: In this and all Administration windows, all changes are automatically saved.

Adding an Organization

Add New Organization window

Editing an Organization

Deleting an Organization

Setting Station Priorities for Multi-Station Scheduling

Adding an Organization

Click the Add button in the Organization toolbar to open the Add New Organization window.

Add New Organization window

This window has a Name field and a Description field.

  1. Enter a Name and Description and click the OK button.
  2. The new Organization is then displayed in the Browse list.
  3. Select it and double-click or click the detail tab.
  4. Select Stations in the detail Stations pane.

Editing Organization details
  1. Select an Organization in the Browse list.
  2. Click the Edit toolbar button or double click to open the Edit Organization window, similar to the Add Organization window above.
  3. Enter a different Name and/or Description.
  4. Click Ok to close the window and save your changes.
  5. Assign Users to the revised Organization in the Administration Users window
  6. Change selected Stations in the Stations pane.

Deleting an Organization
  1. In the Administration section Organizations window select an Organization in the Browse list and click the Delete button in the Toolbar.
  2. The Organization is removed from the Organization browse list.
  3. Note that where an Organization is assigned to a User in the Users window , you cannot delete that Organization.

Station Priorities

Setting the Station Priority Order

Station Priorities, used with the Multi-Station scheduler, are defined in this window. This lets the user rank Stations by importance, for each defined Organization.

This allows GSelector to deal with conflicts, as each Station is ranked by priority. In a multiple scheduling run, GSelector checks Stations in sequence, looking at the most important Station first, then checking for conflicts in the next Station in the list, and so on. The Stations order set in each Organization should reflect the relative importance of each Station: the most important Station should be at the top of the list, and the least important at the bottom. The station list can be sorted by station name by clicking the Station header of the list.

TIP: GSelector lets you set up a Stations priority list for every Station in each Organization list, if you so wish. In general, most users tend to do Multiple Station scheduling from their 'main' Station. However, using the same list, common to all Stations, allows the user to initiate Multiple Station scheduling from any Station.

NOTE: Clicking the Station Header will change the station priority order.

Settings made here are displayed in each Station's Station Selection pane in the Multi-Station scheduler window.

Setting the Station Priority Order
  1. Select an existing or create a new Organization.
  2. Select a Station in the list.
  3. Click the Toolbar Priority Buttons to move that Station up or down in the list.
  4. Repeat for all Stations in the list.

Topic Overview: Organizations window


Administration Roles window

Roles window

TIP: If this is your first visit to this topic, read the Working with Security topic first.

In this window the user defines Roles Roles determine what areas or sections of GSelector each user can access. Roles are defined in the Administration Roles window. and assigns Access levels for those Roles. All GSelector sections are presented to have settings applied in this window, in top-level Navigation tab order. Where those tabs open to secondary navigation bars, a node icon is displayed at left. Click this icon to expand the node. See the Sections pane and Assigning Access Levels notes for details.

Accessing this window

Features in this window

Working in this window

See also the Working with Security , Administration window menu , and the Users and Organizations window topics.

Accessing this window

  1. From the Tools section in any GSelector window menu, select the Administration option.
  2. This opens the Administrator Login window
  3. Enter a password and click OK to access the Organizations window.
  4. Select the Security tab.
  5. Select the Roles tab to access a window similar to this illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Roles window

Features in this window

NOTE: In this and all Administration windows, all changes are automatically saved.

Toolbar

Name and description fields

tab nodes

Set All to... buttons

Add New Role window

Toolbar

From the Toolbar, Roles can be Added , Edited and Deleted .

Roles List pane

The Name and Description fields display information for the selected Role. These fields cannot be directly edited. See the notes on Editing a Role . The Description field is a free form text field can be used to show the function of the Role, or the areas to which as User with that the Role can access.

Sections pane

All GSelector sections are listed in top-level Navigation tab order, from the top to the bottom of the pane. To the left of each section, where that section has a secondary set of windows, is an expansion node. Click this node to expand the section and display the secondary windows. See the notes on Assigning Access Levels for details.

Set All to... buttons

Set all Nodes to Read-Write, Read Only or No Access.
Click any of these three buttons below the tab nodes pane to set all Nodes to be globally set to the three Access levels .

Topic Overview: Roles window

Working in this window

NOTE: In this and all Administration windows, all changes are automatically saved.

Adding a Role

Deleting a Role

Assigning Levels

Selecting Access levels

Editing Roles

Adding a Role: The Add New Role window

  1. In the Administration Roles window, click the Add button in the Toolbar.

  2. Enter a unique Name for the new Role in the Name field.
  3. Optionally add a description ion the Description field
  4. Check the 'Base on existing Role' box to copy another Role's settings to this Role.
  5. Edit the Access Level settings in the Sections pane.
  6. Click the OK button to close the window and save your settings.
  7. The new Role is displayed in the Roles List pane.

Deleting a Role

  1. In the Administration Roles window, select a Role in the Roles list pane.
  2. Click the Delete button in the Toolbar.
  3. The Role and associated Access Level details are removed.
  4. Note that where a Role is assigned to a User in the Users window, you cannot delete that Role.

Assigning Access Levels

  1. Add a new or select an existing Role.
  2. Select the section in the Sections pane and left-click to toggle through Access Levels.
  3. Where there are several sub-sections reflecting secondary Navigation tabs, click to open that section node.
  4. The Access Icon changes to reflect the Access level selected.
  5. Changes are automatically saved.

Database and Station Library security levels

When working in the Library Section, you can expand the Library node to select security levels for these areas: the Browse, Song, Multi-Song Changer, Category Changer, Merge Duplicates and Swap Songs. In the Song and Multi-Song Changer nodes, can further be expanded to specify Security Access Levels to two distinct areas in each window. Access Levels can be specified for Global fields, which apply to all Stations, on the left side of the Song and Multi-Song changer windows, and Station-specific fields, on the right-hand side of the Song and Multi-Song Changer windows.

Note: Security restrictions have no effect on the Administrator login.

Access Levels

Access is specified at three levels. You can set a global section restriction, or drill into the menu structure and make more restrictive settings. For example, to set Goals to Read-Only but Goals | Categories to No Access, toggle Goals to Read-Only then right-click on Goals | Categories and choose No Access.

To change levels, click the icon to toggle between the 3 states. Or, you can right-click on the icon to select a specific state.

Read-Write: the User can View and Edit in this area.

Read-Only: the User can View in this area, but not make changes

No Access: the User cannot access the area at all

NOTE: Where an Access Level is set for the top level of a section, the subsidiary sections are given the same Access Level. You can assign a lower Access Level to a subsection which has a higher Access Level, but not the other way around: for example, you cannot give Full or Read-Only access to a subsection whose main section has been blocked for this Role. Similarly, if you try to toggle a 'child' section whose parent section is set to No Access, the first toggle changes the 'child' to Read-Write, which in turn forces the 'parent' node to Read-Write also.

Editing Roles

  1. Select a role in the Browse list.
  2. Click the Edit toolbar button or double click to open the Edit Role window.
  3. Enter a different Name and/or Description.
  4. Assign Access Levels as described.
  5. Click OK to close the window and save your changes.

Topic Overview: Roles window


Security Users window

Administration Users window

TIP: If this is your first visit to this topic, read the Working with Security topic first.

This window is used to add and delete Users, and to assign one or more sets of Credentials A User's Credentials are the Roles assigned to that User for one or more Organizations. A User can have several different sets of Credentials, for different Organizations. (a combination of Organization and Role) to each User.

Accessing this window

Features in this window

Working in this window

See also the Working with Security , Administration window menu , and the Roles and Organizations window topics.

Accessing this window

  1. From the Tools section in any GSelector window menu, select the Administration option.
  2. This opens the Administrator Login window
  3. Enter your password and click OK to access the Organizations window.
  4. Select the Security section tab.
  5. Select the Users tab to access a window similar to this illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Administration Users window

Features in this window

NOTE: In this and all Administration windows, all changes are automatically saved.

Users Toolbar

Credentials Toolbar

About Credentials

Username List

Credentials Pane

Email field

New Credentials window

New User window

Users Toolbar

TIP: The Users and Credential toolbar buttons are identical; if in doubt, hover the mouse button over any Toolbar button for a tool tip definition of that button's role.

The left-most toolbar in the Users window is used to Add , Edit and Delete Users and User Credentials. The use of Windows Users and Windows Groups can also be enabled from the Users Toolbar.

Credentials Toolbar

The right-most toolbar in the Users window is used to Add Credentials or Delete Credentials . The Add New Credentials button is disabled if the selected User already has a role in all Organizations.

About Credentials

A User's Credentials are the Roles assigned to that User for any or all Organizations. A user can have several different Credentials, depending on the access granted for different Organizations. The larger the Organization the more call there is to allow differing levels of access across different stations. These are all listed in the Credentials pane. Credentials are assigned to a User using the Credentials Toolbar .

For example, a consultant might need access to the just some selected Stations in GSelector. The administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. would define two organizations , one with the consultant’s Stations and one without. The consultant would only be assigned a role for those Stations he consults, and would only be able to access those Stations. Or, a PD might have full access to her own stations but have limited access to other stations. Here, two organizations and two roles are needed. The 'all access' role is assigned to the PD for the 'Stations' organization, and the 'limited access' role to the PD for the organization with the others.

Username List

All current users are displayed in this list. Select any user to edit that User's Credentials. When a Windows User Name is used for the user the Credentials pane is disabled, but instead the Credentials are setup in the Windows Group tab.

Credentials Pane

This pane displays the Credentials (Organization and Role) assigned to the User selected in the Username List .

NOTE: When a User is logged in for the selected Organization, only stations selected for that Organization can be accessed.

Username Email

This field allows storage of an Email address for the User selected in the Username List. This address is used when the user clicks forgot password in the Login or change password windows.

Topic Overview: Administration Users window

Working in this window

NOTE: In this and all Administration windows, all changes are automatically saved.

Adding a User

Adding a Windows User

Deleting a User

Adding Credentials to an existing User

Deleting Credentials from an existing User

Editing a User

Adding a User

  1. In the Administration window Users tab pane, click the Add Button in the (leftmost) Users Toolbar.

  2. This opens the Add New User window
  3. Enter a brief name (which must be unique for the Organization) in the User Name field.
  4. Enter a full name in the Full Name field. This does not have to be unique; only Username information is used for Security purposes.
  5. Then enter and confirm a unique password.
  6. You have the option to base Credentials on an existing User. This is useful if adding a range of Users with common Roles, giving a very specific range of access rights.
  7. Finally, click the OK button.
  8. The User is now displayed in the Users List, ready to have a Credential assigned.

Adding a Windows User

  1. In the Administration window Users tab pane, click the Enable Windows User/Group check box
  2. Click the Add Button in the Users Toolbar

  3. This opens the Add New User window. Enter a brief name (which must be unique for the Organization) in the User Name field.
  4. Enter a full name in the Full Name field. This does not have to be unique
  5. Enter the Windows User Name (domain\WindowsUsername)
  6. Finally, click the OK button. The password is not needed as it is compared to Active Directory when the user logs into GSelector.
  7. The User is now displayed in the Users List
  8. When the User Logs into GSelector they will be presented with a list of possible Windows Groups they are authorized to in Active Directory.

Deleting a User

  1. In the Administration window Users tab pane, select a User in the Users list pane.
  2. Click the Delete button in the (leftmost) Users Toolbar.
  3. The User and associated Credentials are removed.

Adding Credentials to an existing User

  1. If necessary, Add a new User
  2. Select that User or an existing User in the Username List
  3. Click the Add Button in the (rightmost) Credentials Toolbar

  4. This opens the New Credentials window.
  5. Select an Organization from the dropdown list in the first field.
  6. Select a Role from the dropdown list in the second field.
  7. Click the OK button to close this window.
  8. The new Credentials are displayed in the Credentials Pane

Deleting Credentials from an existing User

  1. Select a User in the Users list pane.
  2. If the \user has multiple Credentials, select the set to delete in the Credentials Pane
  3. Click the Delete Button in the (rightmost) Credentials Toolbar
  4. The selected Credentials is removed for the selected User.
  5. Note that you cannot delete Credentials for a logged-in User.

Editing User details and Credentials

  1. Select a User in the Users list pane.
  2. Click the Edit Toolbar button or double click to open the Edit User window.
  3. Edit the User Name, Title and Windows User Name if enabled.
  4. If the user is a GSelector User modify Credentials as above. If the user is a Windows User modify the Credentials using the Windows Groups tab.

Topic Overview: Administration Users window


Administrator Login window

This window is used to Log in to the Administration windows, once the Administrator Password has been defined or created for the first time, it is used to access the Administrator windows. The default window in the Administration section is the Stations window.

Accessing this window

Select the Administration... option from the Tools option in the Menu.

If the user is connected to a Remote Service Host the Service Host Address will be shown just above the login.

Enter the Administrator password and click OK. Users also have the option to click the Forgot Password link.

See the notes on Changing Passwords to alter the current Admin Password.


Emergency Password window

WARNING: To use this window box, you need to contact RCS support.

Emergency Password window is used under two very specific circumstances:

  1. When the Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. has forgotten his or her password;
  2. When first installing GSelector to a new machine (see the First-time install notes).

Accessing this window

Features in this window

Working in this window

See also the notes on Working with Security.

NOTE: This window is designed to be used in an emergency. If you have forgotten your Admin password, then RCS support can get you back into the Administration section using this window. However, once you're back in Administration, you should set a new password in the Change Password window. To do this, select the Change Password option from the File option in the Administration menu.

Accessing this window

This window is opened automatically when restoring an early version backup or after a new GSelector install.

When the Administrator has forgotten his or her password, either:

Click the Forgotten Password link from the Administrator Login window, or

Click the Forgotten Password link from the Login window, accessed from the main Tools option in the main Menu.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Emergency Password window

Features in this window

Service Host

The Service Host address is visible when a Remote Service Host server is registered in the Manage Servers window. This allows the user to see which server they are connected to before using the Emergency Password option.

Old Password, New Password, Seed Code and System Date fields

These fields cannot be edited. Values are generated automatically when this window is opened. RCS Support needs to know the information in these fields to give you the RCS code.

RCS Code field

This field allows you to enter the Code supplied to you by RCS Support.

OK/Cancel buttons

Click the OK button once you have entered the RCS code.
This will allow the access to the Administrator windows, or will access the Change Password window box to create a permanent password.

Working in this window

1. After accessing this window, leave it up on screen.
2. Contact RCS support.
3. Follow instructions to generate an RCS code.
4. Enter this value in the RCS code field.
5. Click the OK button.
6. Depending on how the window was opened, the user is either taken to the Change Password window or into the Administration windows.

Topic Overview: Emergency Password window


Change Password window

This window is used to change Passwords, or to assign a Password for the first time. Administrators can change any Password; Users can only change their own Passwords. User Passwords are normally assigned for the first time in the Administration Users window.

NOTE: If you have accessed GSelector using a general password, and then wish to work in the Administration windows, you will need to enter the Administration password.

Accessing this window

Features in this window

Changing User Passwords

Changing any Password (Administrators only)

See also the First-time setup and Assigning Passwords notes in Working with Security.

Accessing this window

Administrators: From any Administration window, select Change Password from the File option in the Administration menu. If the client is connected to a Remote Service Host the Service Host Address will be shown just above the Username.
Users: From the Tools option in the main Menu , select Login to open the Login window, then click the Change Password link.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Change Password window

Features in this window

Service Host Address

Username field

Existing Password field

New Password field

Confirm New Password field

OK - Cancel buttons

Service Host

The Service Host address is visible when a Remote Service Host server is registered in the Manage Servers window. This allows the user to see which server they are connected to before changing the password.

Username field

This field displays the current logged in User. When changing a User password, it cannot be edited. When accessed by the Administrator, any User or the Administrator can be selected.

Existing Password field

To initiate the process, enter the current Password.

New Password and Confirm New Password fields

Enter a New Password, and Confirm the New Password in these two fields respectively.

OK - Cancel buttons

Click OK to confirm. The Passport Changed dialog box appears to confirm the change.

Or click Cancel to exit this window without changing the Password.

Changing a User password

  1. From the Tools option in the main Menu, select Login.
  2. In the Login window, click the Change password link.
  3. Enter the existing password, then enter the new password twice.
  4. Click OK to confirm.

Administrators only: changing any Password

TIP: When assigning Passwords where previously none existed, tab past the blank Existing Password field, leaving it blank.

  1. From any Administration window, select Change Password from the File option in the Administration menu.
  2. Select the User from the Username field
  3. Enter the existing password then enter the new password twice.
  4. Click OK to confirm.

Topic Overview: Change Password window


Stations window

Administration Stations Definition window

This is the default window when accessing windows in the Administration section.

The Stations | Definition window lists all stations in the current database and shows Stations with On-Air licenses. See the notes on On-Air Licensing in this topic. From this window you can create, copy, delete and edit details for any station and assign On-Air status to any station.

Accessing this window

Features in this window

Working in this window

Accessing this window

  1. From any GSelector window, click the Tools menu option, and then Admin.
  2. Enter a password to access the Administration section. See Working with Security for details.
  3. Click the Stations tab.

Click any area for help

Click any area for help

Topic Overview: Administration Stations window

Features in this window

Toolbar

Stations List

On-Air Stations window

Toolbar

The toolbar offers create , copy , delete , edit functions, and also a button to access the On-Air Station window.

Stations List

All stations are listed in this pane, along with On-Air status for each station. From this pane, select a station to copy , delete . edit or modify On-Air status. The station list can be sorted by name by clicking the Name header of the list.

On-Air license status

The GSelector database license allows for a set number of On-Air and non-On-Air licenses which can be applied to GSelector stations. GSelector stations can be assigned On-Air licenses through the RCS Licensing system, working in the On-Air Station window, which is opened from the Stations window.

A GSelector Station with an On-Air license can export, print, and copy Schedules; a Station without an On-Air license may not. Subject to certain restrictions, On-Air licenses can be assigned or removed from any GSelector stations.

This allows, for example, consultants to maintain and update GSelector databases, working with stations without On-Air licenses or users can create experimental databases to test new scheduling goals or rotations, or create “launch pad” databases for developing new formats. Another option with On-Air and Off-Air status would be to take a database backup away to work away from base, and then restore it later at the station. A Station with an On-Air license can be sent to a remote location using Data Exchange, but the Station database received at the remote location will not have an On-Air license.

Topic Overview: Administration Stations window

Working from this window

Adding a Station

Editing Station details

Deleting a Station

Copying a Station

Assigning an On Air license

Assigning On-Air license status

  1. In the Stations window, select a station.
  2. Click the Edit button or double-click the Station entry to open the Edit Station Details window.
  3. Select to place a check in, or to clear, the On-Air checkbox as required.
  4. Click OK to confirm.
  5. Alternatively, click the On-Air [image] button in the toolbar to open the On -Air Stations window, and work on one or more stations at once.

On-Air Licensing window

This window allows the user to assign or remove On-Air license status to any or all stations in their GSelector database. It is accessed from the Stations definition window by clicking the On-Air toolbar button.

NOTE: Full Schedule Audio Playback is only available on stations with On-Air Licenses

Adding On-Air license status

Removing On-Air license status

Adding On-Air license status

If a station does not have On-Air licensing, it is listed as Not Approved in the Status column. To assign On-Air Status:

  1. Ensure the machine you are working on is On-line so it can query the RCS licensing server.
  2. In the On-Air Station window, select the station.
  3. Click the activate [image] button to approve an On-Air license for this station.
  4. Subject to the number of On-Air and Off-Air licenses for your GSelector database, On-Air status will be approved.

Removing On-Air license status

If a station has an On-Air license, it is listed as Approved in the Status column. To remove On-Air Status:

  1. Ensure the machine you are working on is On-line so it can query the RCS licensing server.
  2. In the On-Air Station window, select the station.
  3. Click the remove On-Air license [image] button.
  4. On-Air license status is removed from the Station.

Topic Overview: Administration Stations window


New Station window

You use this window to create a new Station. This station can immediately access songs in the existing Database, though they will be Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window.. See also the Copying, Editing and Deleting station topics. You can also assign a previously created Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. station to any station you create.

NOTE: You can also create a Station by copying. This allows you to model a new Station on an existing Station, but then develop it as an individual free standing Station. See the Copy Station window notes.

Accessing this window

Features in this window

Working in this window

Format Parents

Accessing this window

1. From any Administration window, click the Station tab option.
2. This opens the Stations window.
3. Click the Add [image] button in the Stations window toolbar.
4. This opens the Create New Station window

Click any area in this image for help

Click any area in this image for help

Topic Overview: New Station window

Features in this window

Station Name field

Days in Past

On-Air Station checkbox

Select Format Parent field

Remove Format Parent button

Attributes List

Category Group and Category assignments

Ignore, Copy and Inherit Radio settings

Save and Cancel Buttons

Station Name

Enter a Station name in this field. The Station Name must be unique to this GSelector Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases.. Stations can be renamed at any time in the Edit Station window and the Setup section Station - Name and Logo window. Note that you can only name a new Station in the Admin section, which is password-protected, but once created, you can rename a station in the main section of GSelector. Extended characters are not supported in the station name (ex: Größer).

Days in Past

This is the History Days in Past setting that is also found in the Setup | Station | Features | History window. Set the number of days to retain Play history in this field. The default setting is 500 days, but a minimum of 31 days and a maximum of 999 days can be specified. History for plays beyond the set value in the past is deleted when a station is loaded.

On-Air Station checkbox

This field allows you to the station's on-air status . For more details of On-Air Status, see the notes in the Stations window topic.

Don't Copy Options

These options allow you to Lock Don’t Copy positions in a schedule from being changed by restricted users. Don’t Copy options are used in conjunction with the Don’t Copy positions in the Clock. To expose the Don't Copy column in both the Clocks Definition window and in the Editor enable the Don't Copy checkbox in the Advanced Clock/Schedule Columns group in the Station - Features window in Setup. Checking the Don’t Copy option for a position in a clock will cause the Don't Copy setting to be rolled into the associated schedule position when that clock is scheduled. These schedule positions are affected when selecting the Duplicate/Repeat options in the Scheduler - Copy Schedule window. Repeating into a target station respects the Don't Copy clock positions in the target station as well as the Don't Copy schedule positions in the source station. Duplicating will completely replace the Target schedule with the contents of the Source schedule no restrictions will be applied.

Lock Don’t Copy Positions – This option will lock all the Don’t Copy positions in the Schedule based on the Lock option selected to the right of the drop down.

Lock All Except Don’t Copy Positions – This option will lock all positions that do not have a check in the Don’t Copy column in the Clock based on the Lock option selected to the right of the drop down.

Lock Options:

Lock Position - Selecting the Don’t Copy column for a position in the Clock will lock that position in the Editor when scheduled. This option will prevent the user from Deleting/Cutting or Moving/Dragging the position but will not prevent the user from Juggling, Replacing or Unscheduling the position.

Lock Position and Content – Selecting this option will lock the position and the content of the position, this will prevent the user from Deleting/Cutting, Moving/Dragging, Juggling, Replacing or Unscheduling the position.

Select Format Parent

This field is used when Assigning a Format Parent to the Station being created or edited. Click the dropdown arrow to select a Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. Station.

Remove Format Parent Button

When editing a Station, click this button to remove a Format Parent assignment from the selected Station.

Attributes List

All Attributes that can be shared from the selected Format Parent Station to the selected Child Station are listed in this pane. You cannot edit this list, but you can specify, for each Attribute, whether the attribute settings in the Format Master station are Ignored, Copied, or Inherited. The settings are implemented for these Attributes:

Active
Category Group
..... Category
Daypart
Packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet.
Mood This scalar attribute is used to separate or control segues between Songs or Links by a mood description you define and apply across the entire library. The Mood scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup/Station/General window.
Energy This attribute is used to separate or control segues between Songs or Links according to the Energy of the Song or Link. Energy can be used with Mood, or instead of Mood; it's up to the user. Energy levels are on a scale of from 1 to 5, and can be renamed in the Setup/Station/General window.
Tempo This scalar attribute is used to separate or control segues between Songs or Links. Each Song or Link can have two tempo values. The next Song or Link's Tempo level is allowed or banned according to settings in the previous Song or Link's Tempo value. Tempo values are on a scale of from 1 to 5; the values are set in the Tempo fields in the Song and Link windows. Tempo scale values can be renamed in the Setup/Station/General window.
Opener This scalar attribute is used to specify whether a Song or Link can be used as an Opener. The value for the Song or Link is set in the Opener field in the Song or Link window. Many users code 'neutral' items using a value of 3 and the center point of the scale, using 4 and 5 to indicate strong openers, and 2 and 1 for weak opener. Opener scale values can be renamed in the Setup/Station/General window.
Texture This scalar attribute is used to separate or control segues between songs and/or links according to the Texture of the song or link. Texture can represent the 'thickness' of the song or link sound. Texture values are set in the Texture field in the song window. Texture values of 1 to 5 can be renamed in the Setup/Station/General window. (Open and Close)
Sound Code Sound Codes are user-defined Attributes, spreading, or controlling segues between, songs with similar or different "sounds." Typical Codes could be: Long, Short, instrumental, Christmas, Metal, Country, Ballads, etc.
Hour Restrictions Hour Restriction grids are used to prevent the Song, Note, or Link to which it is applied from scheduling in specific hours. You can design as many Hour Grids as you need, and they can be applied interchangeably to Songs, Links and Notes. Hour Grids are designed in a dedicated window, accessed from the Song, Link or Note window.

Station-Specific Attributes:

  1. Station Artist Group

  2. Station Content

  3. Station Era

  4. Station Genre

  5. Station Instrument

  6. Station Theme

  7. Station Vocal

Active

When you select Inherit for the Active An Active item - a Song, Link or Note - is available to schedule in the current station. Attribute, the Parent/Child status of Category Group is set to Inherited as well, and vice versa. These two Attributes are interdependent, and GSelector will only allow you to select workable Inherit and Copy settings combinations.

Category Group

You can choose to specify Ignore, Copy or Inherit Parent settings for all Category Groups. Alternatively, you can open the tree control to specify Song and Link Category Groups Ignored, Copied, or Inherited settings.

Category assignments

Click the Category Group node to expand the tree control Also called 'treeview', this tool displays data in a hierarchical order, with major areas at top level, and subsections underneath, accessed by clicking nodes in the control. and see the Link and Song Category Groups in the Parent Station. You can then apply individual Ignore, Copy or Inherit settings to any Category Group.
See the notes on working with Individual Category settings in this topic for more information.

In the Child Station, Song/Link Categories that are Inherited from the Parent are marked with a check in the left-most column; this means that these Songs/Links cannot be modified in any way, although they can be browsed and scheduled in the usual way. See the notes on working with individual Category settings for more information.

Daypart

When you select Inherit for the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. Attribute, this will also apply to Shifts, Bans, Limit, Maximum Per Hour and Minimum Separation.

Station-Specific Attributes

The Station Specific Attributes can be set to Global or Station specific in the Attributes tab of the Setup | Station | Features window. When creating a Child station, if these settings are set to inherit the Attribute Type cannot be changed.

Parent Attributes | Child Attributes

Save and Cancel Buttons

Click to Save or Cancel your changes.

Topic Overview: New Station window

Working in this window

Adding A Station Step by Step

Adding a Station by Copying an existing Station

Format Parents and Child Stations

Working with Individual Category settings

Adding a Station Step by Step
  1. Access the New Station window.
  2. Enter a Station Name in the Station Name field. The Name must be unique to this GSelector Database.
  3. Check the On Air checkbox box to assign On-Air licensed status to this station. See the On-Air Status notes for more information.
  4. Click OK to create a blank named station database. You can add songs to the new Station library from the overall library by activating existing songs.

Adding a Station by Copying an existing Station

If you need to start a Station that is modeled on another existing Station in your database, work in the Copy Station window, which is accessed from the Stations window. This will provide you with a free-standing Station, containing all the settings from the originating source station. You can then edit this new Station, which is completely independent from its originating source station.

Format Parent and Child Stations

NOTE: This GSelector feature creates one or more Stations whose Attribute settings can be permanently linked to or copied from an originating Parent Station. To create an independent Station, use the Copy Station process. This creates a free-standing Station that takes its settings from an existing Station, but, once created, can then be edited wholly independently.

When you use this GSelector feature, some or all of the settings in the designated Format Parent Station are automatically referenced by the Child Station. When a Format Parent is selected for any Station, that Station becomes a Child Station to the Format Parent. A Format Parent can have multiple Child Stations, and the relationship can vary from Child to Child. This allows, for example, one Format Parent station to supply output to multiple Child Stations. Any Station can be a Format Parent to one or more Child Stations. Format Parent settings can be set individually for each Category Group.

While you can specify that a Child Station takes its overall settings from its Format Parent, you can maintain completely different Clocks if you so wish. So you can build in Clocks to take account of local programming requirements, while using a library and settings that are determined by the Format Master Station. Additionally, you can choose to inherit active or inactive library settings. The Inherit setting means Child Station songs are automatically updated when active/inactive changes are made in the Format Parent.

Note: You can only clone Songs in Format Parent or regular stations. This facility is not available in Child stations.

Assigning a Format Parent to a Station

Changing a Format Parent in a Child Station

Removing a Format Parent from a Child Station

Settings buttons

Ignore Setting

Copy Setting

Inherit Setting

Backing up and Restoring Child Stations

Maintaining 'Local' Songs in Child Stations

Using Links and Clocks with the Format Parent feature

Working with individual Category settings

Assigning a Format Parent to a station

To Create a Station follow these steps to open the Add Station window.
To Edit a Station, follow these steps to open the Edit Station window.
Then in the Add or Edit Station window

  1. Select an existing Station from the dropdown list.
  2. Specify or Modify the Ignore, Copy and Inherit settings for each Attribute.
  3. Click the Save button to confirm your changes.
  4. The Header bar for the Child Station updates to show the associated Format Parent station.

In this illustration GSelector WRCS-FM is the Format Parent to VTRCS-FM.

Remove a Format Parent from a Child Station

In the Add or Edit Station window, click the Remove Format Parent Assignment button. Then click the Save button to confirm your changes. When you remove a Format Parent, the Child Station becomes an independent free-standing station; all settings can then be edited. Note that you cannot edit Format Parent Status for the station currently open in GSelector; to do this, switch to a different station in the Stations section of the Menu.

Change a Format Parent in a Child Station

1. Click the Remove Format Parent Assignment button.
2. Follow the steps to Assign a new Format Parent.
3. Specify or Modify the Ignore, Copy and Inherit settings for each Attribute.
4. Click the Save button to confirm your changes.

Settings buttons

GSelector allows great flexibility when configuring a Child Station. You can have multiple Child Stations referencing settings in one Format Parent, but careful use of the settings allows you to offer a wide differentiation between those Child Stations. For example, you could specify that a Child Station inherits most of its settings from its Format Parent, but that it ignores Mood This scalar attribute is used to separate or control segues between Songs or Links by a mood description you define and apply across the entire library. The Mood scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup/Station/General window. and Energy This attribute is used to separate or control segues between Songs or Links according to the Energy of the Song or Link. Energy can be used with Mood, or instead of Mood; it's up to the user. Energy levels are on a scale of from 1 to 5, and can be renamed in the Setup/Station/General window. , and that Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. and Hour Restrictions Hour Restriction grids are used to prevent the Song, Note, or Link to which it is applied from scheduling in specific hours. You can design as many Hour Grids as you need, and they can be applied interchangeably to Songs, Links and Notes. Hour Grids are designed in a dedicated window, accessed from the Song, Link or Note window. are copied rather than inherited, so that they can be modified for local use. Other stations could stick more closely to the same Format Parent, or diverge to a greater or lesser extent according to market conditions. In all cases, changes made in the Format Parent Station will be instantly updated in those Child Stations that Inherit those Attributes.

For each Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. in the Edit or New Station Attributes List pane, you can select one of the following settings by clicking on the Radio Button:
Ignore: Settings for this Attribute are not copied to the Child Station; optionally you can set independent values for the attribute in the Child Station.
Copy: The Format Parent settings for this Attribute are copied to the Child Station; you then make independent settings in the Selected station. Note that you cannot apply this setting to the Active An Active item - a Song, Link or Note - is available to schedule in the current station. or Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. status of Songs in the Format Parent station. When you edit the attributes of a song in a Parent station, this automatically copies the attribute setting to the song in all Child Stations with this Copy setting. Activating a song on a Parent Station will automatically copy this song coding to Child stations with this Copy setting.
Inherit: The Format Parent settings for this Attribute are referenced by the Child Station, and automatically updated in the Child Station whenever a change is made in the Format Parent Station. With Inherited status, you cannot edit settings in the Child Station; see the Song window Child station notes for more details. When you specify the inherit setting you cannot apply Shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. to adjust Demand in a Child Station. For full details on using Shifts, see the Shift notes in the Balance windows topic.

Backing up and Restoring Child Stations

When you set up a Format Parent-Child Station relationship, specifying a Format Parent for a Child Station, whether you Ignore, Copy and Inherit settings in any combination, the stations are treated as one entity for Backup purposes.

This image shows the Backup window as accessed from Child FM. The station that is backed up will be the Format Master, along with the Format Master settings that define its relationship with Child FM. The same options are presented when calling for a Backup from the Format Master Station itself.

When restoring a Format Master or Child Station, selecting the Station Restore option, the same principle applies: The Restore window lists all Stations available to restore individually from a previously taken Station Backup. You restore the Format Master along with its Child Station settings. The GSelector Restore window will indicate which Stations have a Format Parent and Child Station relationship.

For more information, see the Backup window and Restore window notes

Maintaining 'Local' Songs in Child Stations

When you create a Station in any GSelector database, it has access to all the Songs in the GSelector library, both active An Active item - a Song, Link or Note - is available to schedule in the current station. and inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. . Any Station can add Songs to its Station Database; these will be active for that Station, but inactive elsewhere. So it is possible to have a Station which inherits Active Song settings from its Format Parent for the entire Song Library, but also to add more Songs individually to that Station.

Further, a Child Station can independently activate songs that are inactive in the Parent to create “local” content where the Copy setting is applied to the Active attribute. Two or more Child stations can activate the same “local” songs, and where the Add or Edit Station dialog box settings allow, they can apply different settings according to their programming requirements. Child stations may also create new songs.

NOTE: When a new song is created in a Child station, that Song is active An Active item - a Song, Link or Note - is available to schedule in the current station. for that Station only and inactive for all other Stations, including the Parent Station. Attributes set to Inherit will behave as if they were set to Ignore or Copy. That is, they will be editable in the Child station for that Song. If however you then activate the Song in the Parent station, you will then apply the Parent settings to that Song, possibly overriding the attribute values for the song in the Child Stations.

Using Links and Clocks with Child Stations and Format Parent Stations

Links and Clocks are Station-specific. You can create a duplicate Link library and duplicate all your Clocks for any station in the new target Station with the Copy Station feature. You can also copy Links from one Station to another with the Copy Link window, and copy Clocks from one Station to another with the Copy Clocks window.

Working with individual Parent/Child Category settings

When you apply individual Category Groups settings in this window - typically specifying some Parent Station Category Groups as inherited in the Child station, and either ignoring or copying other Category groups in the Child station - there are some limitations on how you can work with Browses and Lists in the Child Station.

Browses and Lists

While you can create and save Filters and Lists in the Browse Window in any Child station, GSelector will not allow changes in the Multi-Song Changer or Multi-Link Changer to Inherited Attributes in Child stations. However, Attributes which are not inherited - for example Copied Categories, or a Category which have been created in the Child Station - can be changed in the Child Station's Multi-Song/Link Changer window. See the notes for Child Stations in the Multi-Song Changer topic.

Song/Link Window

In the Song/Link window in a Child Station, any Song/Link with an inherited Category has restricted functionality in the Station Coding pane. See the notes for Child Station functionality in the Song window topic. Any Inherited Attribute is also restricted.

Category Changer

In the Category Changer window in a Child Station, you cannot drag a Song/Link from an inherited Category to another Category, nor can you change its Active status. You can change the Category of a Song/Link in a copied Category, or in a Category that you have created in the Child Station, as long as the target Category is not Inherited.

Topic Overview: New Station window


Copy Station window

This window is used to duplicate an existing Station. All elements of the selected Station are duplicated in the new Station; this includes Hour Restrictions, Alternate category assignments, Appearance assignments, Slotted Category settings, Yesterday definitions and Media ID settings, as well as Clocks, Songs and Links, and Priorities. Stations can be copied as freestanding Stations, and then edited in the Admin Section Stations window.

NOTE: The Copy Station Process creates a free-standing Station that takes its settings from an existing Station, but, once created, is then wholly independent. To create or modify a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. that is associated with an existing Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. station, specify a Station in the New Station or Edit Station window, where some or all of the Station settings will be referenced by the Child Station.

Accessing this window

Features in this window

Working in this window

Copy Station Parent-Child Notes

Accessing this window

  1. From any GSelector window, click the Tools menu option, and then Admin.
  2. Enter a password to access the Administration section.
  3. Click the Stations tab.
  4. Select the Copy Station [image] toolbar option.

Click any area in this image for help

Click any area in this image for help

Topic overview: Copy Station window

Features in this window

Source

Target

On-Air status

Copy Schedule

Date Range

Copy and Cancel buttons

Source Station picker

This drop down picker field allows you to select the Source Station to copy from. When you first access this window, the field displays the selected Station in the underlying Stations window.

NOTE: This option allows Stations to be created which take attributes and settings from an existing Station. The new Stations are free-standing, and can be then developed individually. Stations can also have a Parent-Child Relationship, where by the Parent provides the core information which is automatically updated in the Child Station or Stations. For full details see the Format Parent notes in the New Station window topic.

Target Station name

This field allows a new Station name, unique to this database, to be entered. All Station Names in any GSelector database must be different from each other. Extended characters are not supported in the station name (ex: Größer).

On-Air status checkbox

Check this box to assign On-Air status to the new station, subject to the terms of your license. For more information, see the notes on On-Air Status in the Stations window topic.

Copy Schedule checkbox

When copying a Station you have the option to copy the source Station's schedule history over to the new Station. Check this box to select this option, and then specify a date range.

Date Range for Schedule Copy

These start and end date fields are activated when the Copy Schedule box is checked. It allows the user to specify a start and end date range in the future. The date range displayed in this box shows the earliest scheduled date allowed in the period set by the history cutoff point in the past, along with the most recent scheduled date.

TIP: This field allows users to specify when fresh scheduling will start in the copied Station. This is useful when copying a Station and then modifying the database for a new service, but at the same time retaining schedule history for the songs and links that remain from the original database.

Copy / Cancel buttons

Click the Copy button to copy the selected Station as specified. This button is activated when a Station name is entered in the Target Station field.

Working in this window
  1. In the Copy Station window, select a Source Station in the Source field.
  2. Enter a name for the new Station in the Target field.
  3. Optionally check the Copy Schedule Box to copy the Source Station schedule history over to the Target Station.
  4. When copying schedule history, specify a date range in the Dates field.
  5. Clock the Copy button to create a new Station.

Working with Parent Formats and Child Stations

To Create a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited.;

  1. Copy an existing Station or Create a New Station.
  2. Then work in the Stations window to edit the Station and assign a Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. Station.

Topic overview: Copy Station window


Deleting a Station

Follow this routine to permanently remove a Station from the GSelector Database. When a station is deleted the songs are not deleted for that station. However, any Song that was only active An Active item - a Song, Link or Note - is available to schedule in the current station. in the deleted Station will need to be activated for use in other Stations.

See also Copying a Station and Editing a Station.

  1. From any GSelector window, click the Tools menu option, and then select the Administration... option.
  2. Enter a password to access the Administration section.
  3. Click the Stations tab.
  4. In this window, select the Station to delete.
  5. Click the Delete toolbar button.
  6. Confirm the deletion.

NOTE: You cannot delete a Station that is used as a Format Parent to one or more Child Stations. To delete such a Station, first remove the Format Parent assignment then delete the Source Station.


Edit Station window

You use this window to edit the On-Air license status of a selected Station. You can also edit the details of a station that is a child station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. of a format parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. station.

Accessing this window

Features in this window

Working in this window

Accessing this window

From any Administration window, click the Station tab option. This opens the Stations Definition window. Select a Station in this window. Then click the Edit button in the Stations Definition window toolbar . Or, double click a Station in the Stations list, to open the Edit Station window.

Click any area in this image for help. Note that help for Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. areas is in the Add Station window topic.

Click any area in this image for help. Note that help for Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. areas is in the Add Station window topic.

Topic Overview: Edit Station window

Features in this window

Station Name

On-Air Station checkbox

These fields are common to this window and the Add Station window. Full details are in the Add Station topic.

Select Format Parent

Remove Format Parent Button

Attributes List

Ignore/Copy/Inherit radio buttons

Station Name

This field displays the Station name. Stations are named in the Add Station window. Stations can be renamed here and in the Setup section Station - Name and Logo window. Extended characters are not supported in the station name (ex: Größer).

Days in Past

This is the History Days in Past setting the is also found in the Setup | Station | Features | History window. Set the number of days to retain Play history in this field. The default setting is 500 days, but a minimum of 31 days and a maximum of 999 days can be specified. History for plays beyond the set value in the past is deleted when a station is loaded.

On-Air Station checkbox

This field displays the station's on-air status . You cannot edit this field in this window. On Air Status is assigned in the Stations window.

Don't Copy Options

These options allow you to Lock Don’t Copy positions in a schedule from being changed by restricted users. Don’t Copy options are used in conjunction with the Don’t Copy positions in the Clock. To expose the Don't Copy column in both the Clocks Definition window and in the Editor enable the Don't Copy checkbox in the Advanced Clock/Schedule Columns group in the Station - Features window in Setup. Checking the Don’t Copy option for a position in a clock will cause the Don't Copy setting to be rolled into the associated schedule position when that clock is scheduled. These schedule positions are affected when selecting the Duplicate/Repeat options in the Scheduler - Copy Schedule window. Repeating into a target station respects the Don't Copy clock positions in the target station as well as the Don't Copy schedule positions in the source station. Duplicating will completely replace the Target schedule with the contents of the Source schedule no restrictions will be applied.

Lock Don’t Copy Positions – This option will lock all the Don’t Copy positions in the Schedule based on the Lock option selected to the right of the drop down.

Lock All Except Don’t Copy Positions – This option will lock all positions that do not have a check in the Don’t Copy column in the Clock based on the Lock option selected to the right of the drop down..

Lock Options:

Lock Position - Selecting the Don’t Copy column for a position in the Clock will lock that position in the Editor when scheduled. This option will prevent the user from Deleting/Cutting or Moving/Dragging the position but will not prevent the user from Juggling, Replacing or Unscheduling the position.

Lock Position and Content – Selecting this option will lock the position and the content of the position, this will prevent the user from Deleting/Cutting, Moving/Dragging, Juggling, Replacing or Unscheduling the position.

Topic Overview: Edit Station window

Working in this window

Edit Station details

Edit Format Parent Details

Edit Station details
  1. In the Stations window, select a Station and then click the Edit button or double-click the station in the Stations list.
  2. To assign or remove On-Air licensed status to this station, work in the On-Air Station window , accessed from the main Stations window . See the On- Air Status notes for more information.
  3. To rename a Station, edit the station name field or work in the Station - Name and Logo window in the Setup section.
  4. Click OK to confirm your changes.

Edit Format Parent details
  1. In the Stations window, select a Station and then click the Edit button or double-click the station in the Stations list.
  2. To assign a Format Parent, select an existing Station from the drop-down list.
  3. To change a Format Parent, click the Remove Format Parent Assignment button and select a different existing Station from the drop-down list.
  4. To remove a Format Parent, click the Remove Format Parent Assignment button.
  5. Modify Ignore, Copy and Inherit settings.
  6. Click OK to confirm your changes.

Topic Overview: Edit Station window


Station - General

Station Settings: General

In this window, you can import a Station Logo image to display in GSelector, edit the Station name, modify Scalar Definitions and specify Audio Paths.

Accessing this window

Features in this window

Working in this window

See also the Edit Station Details window topic; this window lets you modify Server and License details.

Accessing

From any window in GSelector, click the Setup tab, then the Station tab, then the General tab if required. The General tab is the default window. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Overview: Station Settings General tab window

Features in this window

Toolbar

Station name

Logo

Scalar Definition pane

Attribute Values

Reset to Default button

Audio Paths pane

Toolbar buttons

When you make a change in this window, the Save button is activated. Click to save your changes. If you do not click this button before exiting the window after editing a Station setting, your changes are not saved. Click Cancel to abandon any changes.

Station Name

GSelector displays the Station name for the current Station in this field, but you can change this if you wish. In the Name Pane of the Stations Settings window in Setup:

  1. Select a Station from the Stations list in the Menu.
  2. Enter a new Station name for the selected Station. Extended characters are not supported in the station name (ex: Größer).
  3. Click the Apply button. Your change takes place immediately.

TIP: You can assign any name to a station in this field, as long as it is unique in the Licensee In GSelector, the organization licensed to use the program. One or more stations can share a common database. A Licensee must have at least one station. database

Logo pane

This pane allows you to import a Logo image, which can be displayed at the top of the GSelector window. The image is Station-specific.

Scalar Definitions pane

This pane allows you to rename any of the following attributes for any station:
Mood

Energy

Opener

Tempo

Texture

All these Attributes use a scale of 1 to 5, with 3 as the center point for Mood, Energy, Tempo and Texture, representing average values - hence the description of these attributes as Scalar. Openers work slightly differently. A value 3 might be used to indicate a marginal opener, with 4 and 5 representing good and great opener values, and 1 and 2 indicating week and very weak opener values. The station attributes pane allows you to use your preferred descriptive expressions for all of these attributes.

NOTE: To get the best out of GSelector, it is important to accurately code all your songs for the goals you use. If you do not assign a value to a Song when using the Mood, Energy, Opener and Tempo scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attributes, GSelector will assign a default value of 3 when evaluating Songs for Clock Goals . This prevents non-coded songs from meeting Clock Constraints for the wrong reasons.

Attribute values

This set of fields displays the current descriptive values that are applicable for the selected attribute. When you select an attribute to edit, you can also rename the values. See the Renaming Attribute Values notes in this topic.

Reset Default Attribute Names

Click the Reset Default Names button to reset all Attribute names to their default settings.

Audio Paths

NOTE: To configure GSelector to use an external third party player, work in the Configuration window to specify a path for each GSelector machine.

If you use the GSelector audio feature, enter the path to the folder(s) where your audio files are stored. GSelector can then access the audio for each Song or Link respectively, in the Library and Editor windows. You can also specify macros in these fields, which give you a more advanced range of options. See the Using Audio in GSelector notes for more information.

Overview: Station Settings General tab window

Working in this window

Importing a Station Logo

Renaming a Station

Changing Attribute Names

Renaming Attribute Values

Defining Audio Paths

Importing a Station Logo

In the Logo Pane of the Stations Settings window in Setup:

  1. Select a Station from the Stations list in the Menu.
  2. Click the Search button to navigate to an existing Logo image on your system.
  3. GSelector displays a thumbnail image of your log in the Logo pane.
  4. To clear the image, click the Clear button.
  5. Otherwise, click the Apply button.
  6. GSelector supports these popular image file formats: BMP, JPG, GIF and PNG.
  7. Your Station Logo is displayed in the Menu bar in between the Menu Options and the Audio Controls.

Renaming a station

  1. Select a Station from the Stations list in the Menu.
  2. Enter a new name in the Name pane.
  3. Save your changes.

NOTE: Existing stations can be renamed at any time. Note that you can only name a new station in the Admin section New Station window, which is password-protected.

Changing Attribute Names and Values

  1. Select any Attribute
  2. Click the Edit [image] Button to open the Change Attribute name pane

  3. Type in a description in the Name field.
  4. Click OK to close the window.
  5. Repeat for each Attribute as required

Click the Save toolbar button in the Setup Pane to save your changes. Your new Attribute name will replace the existing Attribute for the Attribute(s) you have edited for this Station.

NOTE: Texture Values are used for both Songs and Links. This lets you control transitions between Songs and Links, and vice versa. See the Song-Link Texture Bans notes in the Segue Bans topic.

Renaming Attribute Values

  1. Select an Attribute in the Attribute pane.
  2. Click the Edit button to access the Value fields.
  3. Type in a set of names or values for the Attribute.
  4. Click the Save toolbar button in the Setup Pane to save your changes. Your new Attribute values will replace the existing Attribute values for the selected Attribute in this Station.

Overview: Station Settings General tab window


Diagnostics - Connected Workstations

This window shows the Connected Workstations for the GSelector database. This window is typically used for troubleshooting issues with GSelector.

Accessing this window

Connected Workstations

Accessing the Connected Workstations window

To access the Connected Workstations window, click Tools | Administration then click the Diagnostics tab. The default tab of the Diagnostics tab is the Connected Workstations tab.

Click in image for additional help.

Click in image for additional help.

Topic Overview: Diagnostics Connected Workstations

Connected Workstations

The Connected Workstations section shows information about each computer that is connected to the database and the user that is logged into the computer. It shows an ID, Host, Port and Message Count for every workstation currently using GSelector. The ID is a unique identifier used for multi-user messaging between workstations. The Host is the machine name of the workstation. The Message Count is the number of multi-user notifications received by the workstation since it connected. The User Name is the name of the account that is logged into the computer. This information is updated whenever a workstation connects to or disconnects from the Service Host and as when workstation receives a notification. This information can be helpful to RCS Support when troubleshooting multi-user issues at a GSelector site.

Topic Overview: Diagnostics Connected Workstations


Diagnostics - Server Requests

The Server Requests tab is currently used for emergency-only recovery of bad Station Message Queuing. The Server Requests window is for viewing current and outstanding server requests. This window will show all current and previously completed requests. Current requests can canceled in this window.

Accessing this window

Features in this window

Accessing the Server Request window

To access the Server Request window, click Tools | Administration then click the Server Request tab in the Diagnostics tab.

Click in image for additional help.

Click in image for additional help.

Topic Overview: Diagnostics Server Requests

Features in this window

Reset

Outstanding > 0

Reset

When a request is current the Outstanding column will show a value greater than zero. When a request has an outstanding value greater than zero a Reset [image] button is available in the first column for the Server Request listed. Click this button the cancel the server request.

Note: Resetting a server request will not warn the client or show the request as canceled on the client side. The client will still need to cancel whatever process is running on their machine or restart GSelector.

Outstanding > 0

Deselecting the Outstanding < 0 check box at the bottom of the Server Request window will change the view to show all the completed requests.

These requests will have a value of zero in the Outstanding column and there will be no Reset button available.

Topic Overview: Diagnostics Server Requests


Log Viewer

This window shows the contents of the Log files created by GSelector. This window is typically used for troubleshooting issues with GSelector.

Accessing this window

Features in this window

Accessing the Log Viewer

To access the Log Viewer:

  1. Click the Show Log Viewer option from the Logs menu option in the File menu of the Tools | Administration window.

Or

  1. Click the Windows Start button
  2. In Windows 7 and lower select Programs | RCS | GSelector to locate the GSelector Log Viewer.
  3. In Windows 8 and 8.1 go to Apps | RCS to locate the GSelector Log Viewer.

Topic Overview: Log Viewer

Features in this window

Tools Menu

Logs

Tools Menu

The Tools menu has two options, Settings and Zip.

Settings

The Settings option will open the Settings window allowing the user to change the path of where the log files are read from. This option is typically used by our support team.

Enter a path to use or use the ellipse [image] button to browse the computer for the location of the file. Use the Reset [image] button to reset the path to its default location (C:\ProgramData\RCS\GSelector\Logs\).

Zip

The Zip option allows the user to save all the selected log files to a compressed zip file. Selecting the Zip menu option will open a browse window allowing the user to select where they would like the file saved.

Logs

The left side of the Logs section shows the name of the log files created by GSelector. The Logs section will typically show a list of exception types and exception log files that can be used to troubleshoot issues in GSelector. Click the log file name to view the contents of the selected log file in the right pane. Use the arrow to the left of the log name to expand the Logs pane to filter the selected log file by date. Selecting a date for a log file will show only those entries for the specific date selected. This window is used by our support team so they can easily get details to help troubleshoot various issues. These files are read from the C:\ProgramData\RCS\GSelector\Logs\ folder of the machine on which the Log Viewer program is running.

Topic Overview: Log Viewer


Settings Persistence window

The Settings Persistence window can be used to change how GSelector saves the setting/layout changes made by the user in the Editor, Scheduler, Browse Formats and Dynamic Statistics. These settings are saved in the database so the user will see their settings on any machine that they log into for that database.

Accessing this window

Features in this window

Accessing this window

  1. From any GSelector window, click the Tools menu option, and then Administration.
  2. Enter a password to access the Administration section. See Working with Security for details.
  3. In the File Menu click Settings Persistence.

Click any area for help

Click any area for help

Topic Overview: Settings Persistence window

Features in this window

Editor

Scheduler

Browse Formats and Dynamic Statistics

Editor

In the Editor section of the Setting Persistence window there are two options, User or the default User and Station.

User - User means any setting/layout changes made by the user in the Editor will be saved for that user for all stations they access. That means that if the user makes a change in the Editor window, such as the Content displayed, for station one and they then switch to station two, that layout change will be carried over to the Editor in station two for that user.

User and Station - User and Station means setting/layout changes made by the user are applied only for the current station for that user.

Settings that are persistent in the Editor are as follows:

Browse Format selected

Consideration window - The pane selection (History, Test Bar and Failure Details) and where the panes are docked.

History Map Plot - ticked boxes

Highlight Choice

Parameters

Dynamic Statistics

Consideration Window sort order

Linear Violation on/off

Interactive Scheduling settings

Multiple pane settings

Advanced Search criteria, Quick Filter and Criteria Filter setting in Editor.

Toolbar Edits - The adding and removing of buttons.

Scheduler

In the scheduler section of the Setting Persistence window there are two options, User and the default Global.

User - User means any setting changes made by the user in the Scheduler will be saved for that user for all stations they access. That means if the user selects Songs only as the Settings for Schedule, that Songs only will be selected as that setting for all Stations that user logs into in that database.

Global - Global means and setting/layout changes in the Scheduler are applied Globally to all stations for all users.

Settings that are persistent in the Scheduler are as follows:

Schedule Settings (Songs, Links, Related, Notes)

Station selections in Multi Station and Copy Schedule

Exclusions in Copy Schedule

Browse Formats and Dynamic Statistics

In the Browse Formats and Dynamic Statistics there are three options, User, User and Station or the default Station.

User - User means the setting/layout changes that are made are specific to the user and the setting/layout changes are common for all stations accessed by the user. This means User A can have a different assigned browse format than User B.

Station - Station means the setting/layout changes that are made are specific to the station for all users and that different stations have separate settings. This means if the assigned browse format is Format 1 then both User A and User B will have Format 1 assigned for the selected station.

User and Station - When User and Station is selected nothing is shared. Settings are unique for each user in each station.

Topic Overview: Settings Persistence window


Licensee window

NOTE: This window can only be accessed by a User with Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. rights.

Each instance of GSelector, be it a group of stations, or a standalone operation, is licensed by means of a unique Licensee name. This window allows you change the Licensee name for your group or single station.

Accessing

From the Administration window menu, select File and then Licensee... to access a window similar to the illustration here, which has been reduced to better fit in the help window.

Old License Name field

This window displays the current Licensee name. You cannot directly edit this field. It is used in the Licensing window.

When changing a Licensee name, you must call local RCS support team. Note that Licensee names must be UPPERCASE.

They will ask you for the Seed code generated in this window, and then will give you an RCS Code to type in to the relevant field.

Once the RCS code is entered, click the OK button to close the Licensee Name window.

Topic Overview: Licensee window


Login window

The Login window appears when launching GSelector, or when selecting a different Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. from the file menu option. Where no password protection exists apart from the Administrator In GSelector security, the Administrator has access to the Administration windows, and has full access rights to the program. password, the Login window is bypassed, and the user is taken directly to the Launch window.

The Login window is also used after a User A person with Password-protected access to GSelector. Users many not have full access to the program; access is set by the Administrator has logged out during a session, allowing a different User to log in.

NOTE: If you have not assigned a password, this window is bypassed during the startup process.

Logging Out

To Log Out, select the Log Out Option from the Tools section of the Menu .

Accessing this window

Features in this window

Working with this window

Accessing this window

1. When Launching GSelector, this window is automatically opened.

2. When working in GSelector, click the Tools option in the Menu, and select the Login... option

NOTE: If you have accessed GSelector using a general password, and then wish to work in the Administration windows, you will need to enter the Administration password. See the notes on assigning passwords in the Administration Users window

Click any area in this image for help

Click any area in this image for help

Topic Overview: Login window

Features in this window

NOTE: When first accessing this window after installing GSelector, special provisions apply. See the notes on first-time installation in Working with Security .

Login Type

Username selection field

Organization field

Password field

Change Password link

Forgot Password link

OK/Cancel buttons

Login Type

When the Enable Windows User/Group checkbox in the Tools | Administration | Security | Users tab is selected, the user will need to select a Login type. GSelector User uses a user configured only in the GSelector database. The Windows user is configured in the GSelector database to match with a Windows Group in Active Directory

Username selection field

This drop-down field lists all currently defined Usernames. These are defined in the Administration Users window.

Organization field

This drop-down field lists all currently defined Organizations. These are defined in the Administration Organizations.

Password field

This field is provided to enter the Username password. This is assigned to the user in the Administration Users window.

NOTE: When first accessing this window after installing GSelector, special provisions apply. See the notes on first-time installation in Working with Security .

Change Password link

Click this to change your Password. See the notes on Changing Passwords.

Forgot Password link

Click this if you have forgotten your Password. See the notes on Forgotten Passwords in the Working with Security topic.

OK/Cancel buttons

Click OK to confirm and enter GSelector, or Cancel to close this window.

NOTE: When first accessing this window after installing GSelector, special provisions apply. See the First-time installation notes in Working with Security.

Topic Overview: Login window

Working with this window

Login process

  1. Select your Username in the Username field.
  2. Select where required, the Organization in the Organization field. If only one Organization has been defined, this field is grayed out.
  3. Enter your password in the Password field. Where basic universal access is available to all users, the Password field can be left blank. See the notes in the Users window.
  4. Click the OK button.

Topic Overview: Login window


Tools Interfaces NexGen window

There are two ways to configure GSelector to synchronize with NexGen. This will depend on whether you wish to place GSelector at the center of your operations, maintaining your Songs and Link databases in the GSelector database, generating output from GSelector, and then exporting this to NexGen - or whether you already have a fully developed NexGen database, and prefer to continue maintaining your library within this system, but wish to use GSelector as your scheduling engine.

GSelector-driven Synchronization

NexGen-driven synchronization

TIP: View the general NexGen Export overview notes here.

GSelector-driven Synchronization

This option provides a simple approach to NexGen and GSelector integration, and is especially suited to synchronizing a new NexGen database with a new or existing Selector database. When this option is selected, enabled, GSelector is the main “control point” of system integration. Spots will be integrated in GSelector and exported to NexGen as part of the schedule. Clocks and Schedules are created and edited in GSelector without the need to make corresponding Clocks and Schedules in NexGen. This option supports all GSelector Log events and exports them to NexGen.

NexGen-driven Synchronization

This option is often used when the user already has full working knowledge of the NexGen system, and wishes to integrate an existing system with GSelector as a new scheduling engine.

NOTE: It is only possible to synchronize one external playout system to one database. To enable the interface for Zetta, NexGen must be disabled.

Accessing this window

Features in this window

Working in this window

Accessing this window

The Global NexGen-driven synchronization window is accessed by selecting Interfaces from the Tools menu option, and clicking the NexGen tab. In this window, click the GSelector Driven or the NexGen-driven radio button.

Click any area in this image for help

Click any area in this image for help

Topic Overview: NexGen Integration

Features in the NexGen Interfaces window

Toolbar

Enabled Checkbox

GSelector and NexGen-driven integration options

URL

Username and Password

Station Associations pane

Eligible field

Hold Categories Setup Button

Automatic Synchronization pane

Miscellaneous pane

Setup NexGen button

Create Master File button

Toolbar

Click the Save button to save changes, or the cancel button to clear any changes.

Enabled checkbox

Check this box to enable settings.

NOTE: The Media fields in the Multi-Song Changer are not displayed when GSelector is integrated with NexGen.

GSelector and NexGen-driven synchronization options

Select a radio button to implement GSelector or NexGen-driven synchronization. For more on this process, see the general NexGen Export overview notes here.

URL

Enter the correct URL for the NexGen sequencer web service Web services allow organizations to communicate data, no matter what operating system or programming language is used. Web services allow different applications from different sources to talk to each other without custom coding. All communication is in XML. . You may need to work with your Network manager and RCS NexGen support to obtain the correct service and pathing information.

Username and Password

Enter your assigned NexGen Username and Password.

NOTE: This window can also be password-protected within GSelector. GSelector allows very detailed security access. In the Security Roles window, you can define three access levels for any user A person with Password-protected access to GSelector. Users many not have full access to the program; access is set by the Administrator : Read, Read and Write, and No Access. To restrict access to this window, you work in the Roles window in the Tools section to assign access rights to selected users. See Working with Security for more details.

Station Associations pane

All GSelector Stations are listed in this pane. However, you can only associate a GSelector station when it is marked as eligible. These stations have approved On-Air licenses . For each eligible GSelector Station, you can specify a NexGen Station to interface with its GSelector Station. You can only associate one NexGen Station with one GSelector Station. You can also use the Hold Categories Setup button to assign Hold Categories for each GSelector station.

Hold Categories setup button
Click this button to access the Hold Categories window. Hold Categories are required in GSelector stations integrated with NexGen. When deleting a Song or Link in NexGen, that item is moved to the Hold Category for its counterpart GSelector station. This retains play history and station-specific information for the item, which would otherwise be lost.

Eligible field

If the GSelector station has an approved On-Air license Each GSelector database license contains a set number of On-Air and non-On-Air licenses. A GSelector Station with an On-Air license can export, print, and copy Schedules; a Station without an On-Air license may not. Subject to certain restrictions, On-Air licenses can be assigned or removed from any of your GSelector stations by an Administrator., and Song and Link Hold Categories have been assigned for this GSelector station, it can be associated with a NexGen station.

Eligibility status is indicated with a Green check.

If a station is ineligible, it is indicated with this icon.

Setup NexGen button

If you have to rebuild a database after a network failure, click this button to send to NexGen all Songs in the GSelector database, and all Links in each station associated with NexGen. Do NOT use this button unless you have an existing corresponding NexGen database.

Create Master File... button.

Click this button to generate a text file listing all items in the GSelector database. GSelector will prompt the user for a file path location and then open the saved file.

Automatic Synchronization pane

Click this tab to specify which database elements to synchronize.

The default setting is to enable All elements. With the enable all selected changes are sent immediately upon completion of the change. Deselect this box to clear the elements in the details pane and select which elements to Automatically synchronize. When the Unschedule Log option is not enabled an Unschedule NexGen checkbox is made available in the Scheduler to allow this option to be used on a case by case basis. When the Synchronize Schedule Only When Ready for Export option is selected Automatic Synchronization for the Scheduler and Editor will be deferred until the publication status for the scheduled hour is changed to Ready for Export. This allows the user to make multiple changes to the schedule before the changes are sent to NexGen. The Set Ready for Export button is available in the Editor toolbar when this option is selected.

NOTE: Automatic Synchronization for the Editor is disabled. Use the Export to NexGen toolbar button in the Editor to send schedule changes to NexGen. To make this easier GSelector will detect those hours that have been changed and show a ‘Synchronize Changed Hours’ option.

Miscellaneous pane

Click this tab to access miscellaneous settings.

Check the Create Vocalist(s) box to automatically create a Vocalist when importing a new artist. You can add Artist Information in either GSelector or NexGen.

Exporting to other systems

To work with other, third-party, systems, use the GSelector Export windows to send out Song details, Link details and Other item details. You configure the information for your third party system using the Formatting table in each window, and finally, you export your schedule. If you work with XML, use the Export XML window for design and export.

Topic Overview: NexGen Integration

Working in this window

Configuring

Manual Synchronization

Configuring

  1. First check the enable button to activate this window.
  2. Then enter the NexGen URL value for your system. You may need to work with your Network manager or RCS support.
  3. Once this is entered, enter your NexGen Username and Password where used.
  4. Specify settings in the Automatic Synchronization pane, and in the Miscellaneous pane.
  5. Then associate the GSelector Stations you will play out on NexGen with their counterpart NexGen Stations.
  6. Assign Hold Categories Hold Categories are required in GSelector stations integrated with NexGen. When deleting a Song or Link in NexGen, that item is moved to the Hold Category for its counterpart GSelector station. This retains play history and station-specific information for the item, which would otherwise be lost. if required using the Hold Categories Setup Button.
  7. Finally, save your changes.

Manual Synchronization (disable Automatic Synchronization)

NOTE: Generally, RCS recommends that users accept the default setting in the Automatic Synchronization pane, which ensures that all items and schedules in the GSelector and NexGen databases are automatically synchronized. However, when there is a good programming case to maintain separate local data prior to synchronizing, this option can be selected.

  1. To enable Manual Synchronization, uncheck the default checked setting Enable Automatic Synchronization box.
  2. This activates a NexGen [image] button in the toolbars in the Song and Link windows, the Song and Link Browse windows and the Editor.
  3. Click this button in these windows to export the selected Song, Link, the Song or Link Browse list or the Schedule to NexGen.

Topic Overview: NexGen Integration


Tools Interfaces Research window

This window is used to interface GSelector with one or more external research tools, by specifying a web address for each research service. The address is accessed by GSelector when importing Research data from these services in the relevant window in the Interfaces section. Research data from these services can then be used in GSelector as Attributes . GSelector can combine Research Data from Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050., Mediabase Mediabase is a music industry website containing in-depth charts and analysis based on the monitoring of 1,836 radio stations in the US and Canada, in 175 radio markets. Mediabase features real-time charts in 25 radio formats, based on radio airplay. and Rate The Music Rate The Music (RateTheMusic.com) is a public website giving music listeners the chance to rate a variety of music styles. The service is also available to Radio Stations to allow listeners to rate station output. , importing data from each service to use as specific Research attributes .

NOTE: GSelector also supports the import of third party research GSelector offers direct interfaces to Media Monitors, Rate The Music and Mediabase research services. Other research service data can be imported in the Setup Research Import window. data. Users of these services should see the Importing Research Scores topic.

Accessing this window

Working in this window

Setup/Reset buttons

See also the notes on Using Research scores as Scheduling Attributes.

Accessing this window

Select the Interfaces option from the Tools option in the menu. Then click the Research tab.

Working in this window

Setup/Reset

The buttons are provided for use in case you need to reset the research information service. All three dialog boxes function in the same way:

  1. Click the Setup Mediabase/Rate The Music/Media Monitors button to access a dialog box:

  1. Check the top box to delete the Existing Mediabase/Rate The Music/Media Monitors internal GSelector references.
  2. Check the bottom box to delete the Current Scores.
  3. Click Execute

Overview: Tool Interface Research window


Tools Interfaces Zetta window

This window is used to configure the selected GSelector database to interface to the Zetta Zetta is the a RCS automation and audio playout system. playout system. Starting with version 4.2.1 of GSelector, RCS recommends running Zetta version 2.9.0 or higher for integration. If running Zetta version 2.9.0 or higher GSelector version 4.2.1 or higher must be installed. Contact RCS Support for the new version of these software packages. Zetta must be licensed for this option to be available for configuration.

NOTE: To enable the interface for NexGen, the Zetta interface must be disabled.

Accessing this window

Features in this window

The interface process

Accessing this window

The Zetta Interfaces window is accessed by selecting Interfaces from the Tools menu option, and clicking the Zetta tab.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Tools Interfaces Zetta window

Features in this window

Toolbar

Enabled Checkbox

URL field

Version

Station Associations tab pane

Hold Categories Setup Button

Eligible stations

Auto Synchronization tab pane

Miscellaneous tab pane

Toolbar

Click the Save button to save changes, or the cancel button to clear any changes.

Enabled checkbox

Check this box to enable settings.

URL

Enter the correct URL for the Zetta sequencer web service Web services allow organizations to communicate data, no matter what operating system or programming language is used. Web services allow different applications from different sources to talk to each other without custom coding. All communication is in XML.. You may need to work with your Network manager and RCS Support to obtain the correct service and pathing information.

Version

The version information displayed is the version of Zetta running on the integrated Zetta system.

Station Associations tab pane

See also the Auto Synchronization tab pane and Miscellaneous tab pane notes, below.

The Station Associations tab pane is the default pane when first accessing the Zetta Interfaces window. All GSelector Stations are listed in this pane. However, you can only associate a GSelector station when it is marked as eligible. These stations have approved On-Air licenses . For each eligible GSelector Station, you can specify a Zetta Station to interface with its GSelector Station. You can only associate one Zetta Station with one GSelector Station. You can also use the Hold Categories Setup button to assign Hold Categories for each GSelector station.

Hold Categories setup button

Click this button to access the Hold Categories window. Hold Categories are required in GSelector stations integrated with Zetta. An asset deleted in Zetta by default will only be deactivated in GSelector. This retains play history and station-specific information for the item, which would otherwise be lost. However this process can be changed by using the Treat asset deletion from Zetta as: Deactivate or Delete option in the Miscellaneous tab.

Eligible field

If the GSelector station has an approved On-Air license Each GSelector database license contains a set number of On-Air and non-On-Air licenses. A GSelector Station with an On-Air license can export, print, and copy Schedules; a Station without an On-Air license may not. Subject to certain restrictions, On-Air licenses can be assigned or removed from any of your GSelector stations by an Administrator. , and Song and Link Hold Categories have been assigned for this GSelector station, it can be associated with a Zetta station.

Eligibility status is indicated with a Green check.

If a station is ineligible, it is indicated with this icon.

Automatic Synchronization tab pane

Click this tab to specify which database elements to synchronize.

The default setting is to enable All elements. With the enable all selected changes are sent immediately upon completion of the change. Deselect this box to clear the elements in the details pane and select which elements to Automatically synchronize. When the Synchronize Schedule Only When Ready for Export option is selected Automatic Synchronization for the Scheduler and Editor will be deferred until the publication status for the scheduled hour is changed to Ready for Export. This allows the user to make multiple changes to the schedule before the changes are sent to Zetta. The Set Ready for Export button is available in the Editor toolbar when this option is selected.

NOTE: Automatic Synchronization for the Editor is disabled. Use the Export to Zetta toolbar button in the Editor to send schedule changes to Zetta. To make this easier GSelector will detect those hours that have been changed and show a ‘Synchronize Changed Hours’ option.

Miscellaneous tab pane

Click this tab to access miscellaneous settings.

Check the Create Vocalist(s) when importing new Artist box to automatically create a Vocalist when importing a new artist. Artist Information can be added in either GSelector or Zetta. The Transfer minimal schedule data option is used with Zetta versions 2.7 and 2.8 only to transfer a minimal amount of data to Zetta when scheduling the log. This reduces the amount of network traffic between the GSelector database and the Zetta database, thus increasing the speed of the scheduling process. Selecting this option will transfer only the log information and the notes associated with the events in the log. Deselecting this option will transfer a Full log schedule including each events attributes. In Zetta version 2.9 and higher the integration process has been improved so this is no longer an issue. When an asset is deleted in Zetta it sends a message telling GSelector that it has deleted the asset. The Treat asset deletion from Zetta as: option tells GSelector to Deactivate or Delete the asset when the asset is deleted from Zetta. The default action of Deactivate will tell GSelector to deactivate the asset in all stations.

Setup Zetta button

This option when selected will require the GSelector administrator password. This option is used when data already exists in the GSelector database to push this data to a newly integrated Zetta system. It can also be used to rebuild a database after a network failure. This button should only be used once to setup a new Zetta database, warnings are displayed if the database has previously been synchronized.

Important Note!

The user will not be prompted for the administrator password if they are already logged in as the administrator OR if the administrator does not have a password.

The interface process

Configuring GSelector for Zetta

Configuring Zetta for GSelector

Manual Synchronization

Configuring GSelector for Zetta

  1. First check the enable button to activate this window.
  2. Then enter the Zetta URL web service address for your system. You may need to work with your Network manager or RCS Support.
  3. Specify settings in the Automatic Synchronization pane, and in the Miscellaneous pane.
  4. Then associate the GSelector Stations you will play out on Zetta with their counterpart Zetta Stations.
  5. Assign Hold Categories Hold Categories are required in GSelector stations integrated with NexGen. When deleting a Song or Link in NexGen, that item is moved to the Hold Category for its counterpart GSelector station. This retains play history and station-specific information for the item, which would otherwise be lost. if required using the Hold Categories Setup Button.
  6. Finally, save the changes.
  7. Note that you must also work in Zetta to enable GSelector Integration.

Configuring Zetta for GSelector

For full details on Zetta set up and configuration, see the Zetta online help.

To enable Zetta to talk to GSelector:

  1. Access the Zetta System window, and click the General tab
  2. Select the GSelector Integration option, and specify the machine on which GSelector is running.
  3. Then click the GSelector tab, and enter the IP Address of the GSelector Server. You may need to work with an IT manager and/or RCS Support.
  4. Click the Check Integration button.
  5. Select the GSelector Database to integrate with Zetta.
  6. Select GSelector Station(s) to match to each Zetta station.
  7. Select Active for each configured station.
  8. Click Save to save the settings.
  9. Restart the GSelector services in the Zetta Startup manager.

For more information, refer to Zetta help or contact RCS Support.

Manual Synchronization (disable Automatic Synchronization)

NOTE: Generally, RCS recommends that users accept the default setting in the Automatic Synchronization pane, which ensures that all items and schedules in the GSelector and Zetta databases are automatically synchronized. However, when there is a good programming case to maintain separate local data prior to synchronizing, this option can be selected.

  1. To enable Manual Synchronization, deselect the options in the Automatic Synchronization tab in GSelector and the Auto Send Audio Changes box in the GSelector tab of the Zetta System Configuration.
  2. This activates a Zetta [image] button in the toolbars in the Song and Link windows, the Song and Link Browse windows, and the Editor.
  3. Click this button in these windows to export the selected Song, Link, the Song or Link Browse list or the Schedule to Zetta.

NOTE: Automatic Synchronization is disabled for the Editor under Zetta Integration. Use the Zetta synchronization [image] button in the Editor to sync the Hour, Day or Hour Range to Zetta. To make this easier, GSelector detects those hours that have been changed and show a ‘Synchronize Changed Hours’ option.

Topic Overview: Tools Interfaces Zetta window


Activity Log

The Activity Log displays the user and source activity for a specified date/time range. This window will show the Time the activity occurred for the User or Source that made the change. A User is any user defined in the database Security. A Source is any internal or external source that makes a change, like Zetta or GSelector. This window will show the Station (if applicable) that was affected by the change and the Section of the application where the change occurred. Depending on the section of the application where the change occurred the window will show the Type of data that was changed with a Description and the Operation that was performed. Additional information may also be displayed in the Info column. The Advanced Features of this window allow the information to be sorted, grouped and filtered down to find the change that is needed.

Accessing this window

Features in this window

Accessing this window

To access this window select User Activity from the Tools menu. This option can be disabled from the Tools menu using the User Security window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Activity Log

Features in this window

Date Range

Load

Earlier

Later

Advanced Features

Sort Options

Grouping

Column Options

Filter Editor

Find Panel

Date Range

The Date Range allows the user to select a start and end date. The default is the current day from 12am thru 11pm. Use the down arrow next to the From or Thru date to open the calendar control. Use the arrows to the left and right of the month to move between months of the year. Select the date at the top to select the current date. Use the up and down arrow buttons next to the time to adjust the hour to search.

Load

The Load button will reload the data for the Date Range selected. Use this button with the Earlier and Later button to refresh the data in the pane. This can also be used for the current day to refresh the data as users make changes.

Earlier

Use the Earlier button the Decrease the from date by 24 hours.

Later

The Later button will increase the selected through date by 24 hours. The additional data will be merged with the current data.

Print

The Print button will open a print preview window to allow the user to print the User Activity report to an installed printer.

Topic Overview: Activity Log

Advanced Features

Sort Options

Grouping

Column Options

Filter Editor

Find Panel

Sort Options

The columns in the grid of the Activity Log can be sorted in Ascending order by clicking on the header of the column once. Clicking the header again will sort it in Descending order.

Grouping

Just above the grid in the Activity Log is the Grouping area. To Group the data in the grid by a specific column, drag and drop the desired column into the Grouping area.

To Ungroup the grid, simply drag and drop the column that is grouped from the group area back to the grid between the column headers where it is to be placed.

Column options

The columns available in the grid of the Activity Log are listed to the top far right of the Activity window. To add or remove columns use the checkboxes next to the name of the column.

In the right side of each column is a funnel icon that allows the user to filter the Activity grid by specific values found in the column. The column can also be filtered by Blanks, Non blanks or by using a Custom filter. Selecting Custom opens the Custom AutoFilter window.

Custom Filter

The Custom Filter can be used to create "and" or "or" conditions to filter the information. Custom Filters can also be created using the Filter Editor.

And - All group conditions must be true.

Or - At least one condition from the group must be true.

Use the drop-down to select a condition such as like, equals, is greater than, etc...

Then enter a value for the condition in the field provided. Use % to represents any series of characters. Use _ to represent any single character. Optionally, select And or Or, then select a second condition using the second drop-down and enter a value for the condition in the field. Click OK to run the filter. After the window is filtered, the filter description will be shown at the bottom of the Activity log window with an Edit Filter button to the far right. The Edit Filter button will open the Filter Editor window.

Filter Editor

The Filter Editor can be accessed by clicking the Edit Filter button at the bottom of the Activity Log window when a filter is in use. The Filter Editor window allows the user to add conditions, change the condition, or add additional groups of conditions to the filter.

Each condition group is displayed in red text with a [image] button to the right. Clicking the name of the condition displays the following options:

And - Sets And logical operator for the condition group. All group conditions must be true.

Or - Sets Or logical operator for the condition group. At least one condition from the group must be true.

Not And - Sets Not And logical operator for the condition group. At least one condition from the group must be false.

Not Or - Sets Not Or logical operator for the condition group. All group conditions must be false.

Add Condition - Adds a new condition to the condition group.

Add Group - Adds a new condition group to the current group.

Clear All - This command is available for the top-level condition group only. Removes all conditions and subgroups, leaving only the top-level group node.

Click the plus [image] next to the condition to add a condition. Optionally, use the INSERT or ADD buttons on the keyboard to add a condition. Each column of the Activity report is displayed in blue text. To set another column click on the name of the column and select a new column from the resulting menu.

The operators are displayed in green text. To set the operator for the condition click on the name of the operator and select a new operator from the resulting menu.

The value for the operator is displayed in black text or the words <enter a value> click the text to enter a new value.

Click the delete [image] button next to the condition to remove the condition. Optionally, use the DELETE or MINUS buttons on the keyboard to remove a selected condition. To navigate between conditions and groups, use the UP ARROW and DOWN ARROW keys. To navigate between a condition, operator and value, use the LEFT ARROW and RIGHT ARROW keys. Click Apply to apply the filter changes. Click OK to apply and close the Filter Editor window.

The filter description will be shown at the bottom of the Activity log window with an Edit Filter button to the far right.

Filter Description

As the filter is changed and refined, each applied change is temporarily saved so it can be used again during the filtering session. Use the Filter Description drop-down at the bottom of the Activity Log to view the applied filters. Click a filter to reapply the filter. When the mouse is hovered over the filter the delete button is displayed to the right of the filter; use this button to remove a filter from the list.

Use the red close [image] button to the left of the filters to remove ALL the filters.

Find Panel

Pressing the CTRL+F will open the Find Panel allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

The Clear button clears the search box. The DOWN ARROW will moves focus from the Find Panel to the grid's data area. Use the red close [image] button to the left of the Find Panel to close the panel.

Topic Overview: Activity Log


User Definable Navigation

This Navigation window can be used to create a customized menu and customized Keyboard shortcuts to fit each user's needs. Once the Menu is customized the user can set it to display first, every time the user logs into GSelector. Use the Startup options in the User Definable Navigation Settings window to set the menu to Show User Definable Navigation on startup.

Accessing the User Definable Navigation menu

Features in this windows

Accessing the User Definable Navigation Menu

To access the User Definable Navigation window press the F12 function key on the keyboard. Optionally, click the Menu F12 option from the Navigation menu of the Tools main menu. The Selector V12 Menu [System] template is used until templates are added and assigned in the Navigation Templates window. The Menu Node Description is shown at the bottom of the window when the Menu option is selected. Use the up/down arrow keys to scroll through the menu options to view the description.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: User Definable Navigation

Features in the User Definable Navigation window

Navigation Bread Crumbs

Main Menu Action pane

Show on Startup

Dock/Hide the User Definable Navigation window

Navigation Bread Crumbs

The Navigation bread crumbs at the upper top left corner enable the user to easily go back to the previous menu. Click a crumb to navigate back to that position in the menu.

Main Menu Action pane

The Main Menu displays the menu items added in the Navigation Template as buttons. The buttons have the assigned Name with the Description at the bottom of the window. Clicking the button allows the user to either move to the next level of menu items or fire the action. The buttons also have a number; this number corresponds to a numbered Function key and Number key on the keyboard. For example: the F1 or 1 key will open the Library Management menu, pressing F1 or 1 again will open the Add Song window. The first letter of the Name can also be used, however if there are two buttons that start with the same letter the first button in sequence will be the action that is executed.

When the Add Song window is closed the User Definable Navigation window can be found hidden to the left of the main window visible only by a Navigation tab.

The default menu displayed when pressing the F12 function key is the Home menu. These buttons are all the menu items listed just under Home in the Name column of the Navigation Template.

Show on Startup

The Show on Startup is selected by default when the Show User Definable Navigation is selected in the Startup options of the User Definable Navigation Settings window. Deselect the Show on Startup option to stop the User Definable Navigation menu from showing when GSelector starts.

Dock/Hide the User Definable Navigation window

Once the user selects a button with an action in the User Definable Navigation window will hide itself to the left of the main window visible only by a Navigation tab. Click the Navigation tab to show the User Definable Navigation window. Select a location in the Main application and the Navigation window will auto hide again.

The pin [image] in the upper right corner of the Navigation window can be used to Dock the Navigation window to the left side of the main window.

Click the pin [image] again to set the Navigation window to Auto Hide.

Topic Overview: User Definable Navigation


Tools Navigation Templates

Navigation Templates

This Navigation Templates window can be used to activate, add, delete, save, discard changes, export, import templates to use for the User Definable Navigation window. The Default and Selector V12 Menu templates are provided with GSelector. These system templates can be edited as well as reverted back to there original state.

Accessing the Navigation Templates window

Features in this windows

Working in this window

Accessing the Navigation Templates window

To access the Navigation Templates window click Templates menu option in the Tools | Navigation menu.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: Navigation Templates

Features in the Navigation Templates window

Toolbar

Menu Item pane

Menu Items Action pane

Toolbar

Templates - The Templates drop-down is used to select a template to edit or activate as the User Definable Navigation menu. The template with an asterisks (*) next to it is the currently active template. The Selector V12 Menu [System] is the default active template when GSelector is first installed.
 | Activate - Use the Activate button to activate the selected template as the User Definable Navigation menu.
 | Add - The Add button is used to create a new template. The Template Name window will open allowing the user to give the template a Name. This will be the name that appears in the Templates drop-down list.
 | Delete - The Delete button will delete the currently selected template if it is not currently active. To delete the currently active template, select a new template and activate it, then select the template to delete and click the Delete button. System Templates cannot be deleted.
 | Revert to System Copy - The Revert to System Copy button will revert any changes to the selected system Template to its original state.
 | Edit Name - The Edit Name button will open the Template Name window so the name of the selected template can be changed. System Template Names cannot be edited.
 | Save - The Save button will Save any changes made to the selected Template.
 | Save As - The Save As button allows the user to save the currently selected Template to a new Template. The Template Name window will open allowing the user to enter a new name. The new copy of the template is automatically saved and will show as the selected template in the Templates drop-down. This allows the user to start with a pre-configured template.
 | Discard Changes - The Discard Changes button will reload the selected Template to its last saved state discarding any unsaved changes.
 | Copy Templates - The Copy Templates button will open the Copy Templates window allowing the user to copy their templates to another user.
 | Import - The Import button will open a windows selection window allowing the user to select a Template file from the local computer or network to import into GSelector.
 | Export - The Export button will Export the selected Template so it can be shared and Imported into another GSelector system.

Menu Items

The left pane of the Navigation Templates window displays the current menu items. The Menu Items are listed in an expanded tree format. From this pane the user can Add Menu Node [image] or Delete Menu Node [image] items. When selecting the Add Menu Node button a New Menu Item will be placed below the currently selected item. If there are additional items already in place below the currently selected item then the New Menu Item will be placed at the bottom of that list of items.

Menu Item Actions

The Menu Item Action pane is where the user defines the Action that should be taken when the menu item is clicked or when the user presses the defined keyboard Shortcut while in the F12 Menu.

Name - Use the Name field to give the Menu button in the User Definable Navigation window a short name to identify the buttons function.

Action - Use the Action drop-down menu to select a GSelector Action to perform when the menu button is pressed or the Keyboard Shortcut is used. The Actions follow the tab progression in the main GSelector application.

Description - Use the Description field to describe what happens when the button is executed. This description is shown at the bottom of the User Definable Navigation window when the Menu option is selected. Use the up/down arrow keys to scroll through the menu options and view the description.

Shortcut - The shortcut field is used to add a keyboard key combination to the Action so the keyboard can be used to accomplish the action within the F12 menu. Use the ellipse [image] button to the right of the Shortcut field to open the Shortcut Editor window. Press the keyboard keys to use while in this window to record the keyboard shortcut. Keyboard shortcuts can only be used once per template.

Topic Overview: Navigation Templates

Working in the User Definable Navigation Menu

Add a New Template

Removing a Menu Item from a Template

Activate a Template

Delete a Template

Edit a Template Name

Copy Templates to Other GSelector Users

Import a Navigation Template file

Export a Navigation Template to a file

Add a New Template

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Click the Add button

  3. Type in a Name for the Template. This is the name that will be seen in the Templates drop-down of the Toolbar.
  4. Click OK to close the Template Name window and open the new template.
  5. Click the Add [image] button to the right of Home in the left panel of the Navigation Templates window.
  6. Enter a Name for the New Menu Item
  7. Use the drop-down in the Action field to select the section of GSelector to use for this menu item.
  8. Enter a Description.
  9. If this is a main menu item that will have sub-menu items click the Add Menu Node [image] button to the right of the newly named field in the left panel. The Shortcut and Action are ignored for the main menu item when additional sub-menu items are created.

  10. Enter a Name for the New Menu Item
  11. Use the drop-down in the Action field to select the section of GSelector to use for this menu item.
  12. Enter a Description.
  13. For single menu items or sub-menu items click the [image] button to the right of the Shortcut field to open the Shortcut Editor window.
  14. Press the keyboard keys to use for the Shortcut, they are automatically entered in the field when pressed.
  15. Click OK
  16. Repeat for each main menu item.
  17. Repeat from each main menu item created, to create submenu items.
  18. Click Save [image] when finished.

Removing a Menu Item from a Template

When removing Menu items be aware if a Main Menu item is removed all sub-menu items will also be removed. However, if a string of menu items is mistakenly removed clicking the Discard Changes button will undo all unsaved changes.

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Select the Template to edit from the Templates drop-down.
  3. Select the Menu Item to remove
  4. Click the Delete Menu Node [image] button
  5. Click Save [image] when finished.

Activate a Template

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Select the Template to activate from the Templates drop-down.
  3. Click the Activate [image] button in the toolbar.

Delete a Template

An active template cannot be deleted. If the Template to be deleted is active first Activate a different Template.

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Select the Template to delete from the Templates drop-down.
  3. Click the Delete [image] button in the toolbar.

Edit a Template Name

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Select the Template to edit from the Templates drop-down.
  3. Click the Edit Name [image] button in the toolbar.

  4. Enter a new Name for the Template
  5. Click OK

Copy Templates to Other GSelector Users

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Click the Copy Templates [image] button in the toolbar.

  3. Select the users to copy the templates to or use the Select/Unselect All option to select all the users in the list.

  4. Click OK
  5. Login as one of the selected users to view the copied templates.

Import a Navigation Template file

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Click the Import [image] button in the toolbar.
  3. Browse to the file and click Open. The template is imported and shown as the selected template.

Export a Navigation Template to a file

  1. Select the Templates... menu option from the Navigation option in the Tools menu of the main GSelector menu .
  2. Click the Export [image] button in the toolbar.
  3. Browse to the location to save it and click OK. The file is exported with the Template name with a .udntemplate file extension.

Topic Overview: Navigation Templates


Tools Navigation Settings

User Definable Navigation Settings

The User Definable Navigation Settings window can be used to set the Startup Options for GSelector, the layout of the User Definable Navigation window and set the ESC as the key to launch the User Definable Navigation window.

Accessing the User Definable Navigation Settings window

Features in this windows

Accessing the User Definable Navigation Settings window

To access the User Definable Navigation Settings window click the Settings menu option in the Tools | Navigation menu.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: User Definable Navigation Settings

Features in the User Definable Navigation Settings window

Startup Options

User Definable Navigation Layout

General

Startup Options

The Startup Options in the User Definable Navigation Settings window are used to set how GSelector starts when the user logs in.

With the following options, except for Show User Definable Navigation, when GSelector is started with a multi-station database, the Front Window is presented to the user. Once the user selects a Station the user is taken directly to the section selected. However, if the user of the multi-station database only has rights to one station then the Front window will be bypassed and the user will be taken directly to the section selected. If GSelector is launched with a single station database, the user is taken directly to the section selected.

Load Library - When the Load Library option is selected, the user is taken to the Library section Browse window when GSelector starts. Load Library is the default action on Startup.

Show User Definable Navigation - When the Show User Definable Navigation is selected, after the user logs in the User Defined Navigation window will be presented with the Front window behind it. If the user closes the User Defined Navigation window the Front window is visible.

Last Accessed Section - The Last Accessed Section will take the user to the last section that they accessed before they logged out or exited GSelector.

Specific Section - The Specific Section option enables a drop-down list of sections available in GSelector. Select the section of the application to open first when GSelector starts.

User Definable Navigation Layout

The User Definable Navigation Layout settings allows the user to set how the menu is to display in the User Definable Navigation window at login. This section of the setting window, allows the user to change the layout of the buttons in the menu to display from Left to Right or Top to Bottom.

General

The Press ESC to launch option in the General section of the User Definable Navigation Settings window tells GSelector to open the User Definable Navigation window when the ESC key is selected on the keyboard. The Press ESC to launch option is selected by default. To remove ESC as a shortcut key deselect the Press ESC to Launch option. The F12 function key will also launch the User Definable Navigation window.

The Hide top level tab icons option will hide the icons in the top tabs of the GSelector application. The default is to show the icons in the tabs.

Topic Overview: User Definable Navigation Settings


Global Settings - Media IDs

This window allows the user to specify ID options for the Media ID field in the Song and Link windows. Changes made to Song Media IDs styles are applied across the whole Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. . Changes made to Link Media ID styles are applied to the current Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database..

Accessing this window

Features in this window

Numeric options

Alphanumeric options

Accessing this window

From the GSelector Menu, select Tools, then Global Settings, and finally Media IDs, to open this window. The default view is the Song Media ID view. Both the Song and Link tabs offer the same options.

Click any area for help

Click any area for help

Topic Overview: Media IDs window

Features in this window

Media IDs window Toolbar

Unique Numbering checkbox

Unique Media ID

Type ID selection

Numeric Options pane

Alphanumeric Options pane

Media IDs window Toolbar

This toolbar is activated when a change is made in either the Song or Link view. It allows you to Save or Cancel your changes.

Manage Externally Checkbox

You can determine whether Media IDs may be edited in the user interface. Check this box to disable the contents of the Media IDs tab and disable the Media ID fields in the Song and Link windows. This setting is for use with third-party external sequencers where the sequencer software controls the Media ID value.

Unique Numbering checkbox

Check this box to ensure unique IDs. Uncheck the box to allow the same value to be entered in the Media ID field in multiple Song or Link Windows.

Unique Media ID

If Media ID is set to be unique the Media ID entered for a Song/Link must be unique. If a Media ID is entered that matches the media ID of another Song/Link, a Media ID Error will occur when the user clicks OK and a Media ID Error window will be shown.

GSelector will suggest the next available Media ID and allow the user to click Yes to accept the ID, No to return to the Add/Edit Song/Link window or Cancel returning to the original Song/Link window.

Media ID Type selection

This pane offers three options:
The default None option does not apply any settings. You can enter any form of ID in the Media ID field; it is a freeform text field.
The Numeric IDs option activates the Numeric options pane.
The Alphanumeric IDs option activates the Alphanumeric options pane.

Numeric options pane

Set the number of digits to use in the width field. This updates the Maximum number value.
Set a start and finish number for the range of IDs

NOTE: Leading and Trailing spaces will not be saved to the Media ID. If you enter any leading or trailing spaces in this field a message will be displayed warning that the spaces will be removed.

Alphanumeric options

Using Masks

Upper Case Checkbox

Using Masks in Alphanumeric

You can specify a Format Mask in this window. This allows only a set combination of letters, punctuation, and numbers to be entered in the Media ID field. To specify a Media ID field space that accepts digits only, enter 9; to specify letters, type X. Anything else will be treated as punctuation. To enter any letter, number or punctuation, leave the Media ID field space blank. The Mask must contain no more than 51 characters.

Using XX-999 as a mask lets you enter Media IDs such as aa-123, ab-544, and ZZ-999.
Using c3-XX-999 as a mask lets you enter Media IDs such as c3-aa-123, c3-ab-544, and c3-ZZ-999.

NOTE: Leading and Trailing spaces will not be saved to the Media ID. If you enter any leading or trailing spaces in this field a message will be displayed warning that the spaces will be removed.

Upper Case Checkbox

Check the box to specify that Media ID letters are always entered in UPPER CASE.

Topic Overview: Media IDs window


Global Settings Song Groups

Song Groups

This tool allows you to automatically share any specified attribute with all Songs in a Group. When you assign a Song to a Group, the selected attributes that have been specified for that Group are shared across all songs. This can, depending on your settings, include such fields as Title, Album Title, and Version, as well all Copyright and Participant fields. When creating a Song Group, and when assigning a Song to a Song Group, we recommend that you review the Shared Attribute settings, and take a backup prior to applying changes.

Song Groups allow users to globally organize Songs in their database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. . Song Groups can be used as Attributes in scheduling. A Song Group, once created, is available in all station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. databases. Song Groups are different from Song Packets in a number of ways, although they can be used in scheduling as a Packet, if you choose. Song Groups can contain both Active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. songs, in any Category Group and Category, differing from Station to Station. When you create a Song Group, you do not change the status of the Song in any Station, apart from its inclusion in the Song Group. However, any change that you make to an Attribute for a Song in the Song group thereafter is applied to all Songs, active and inactive, in the Song Group. A Song can only be associated with one Song Group.

NOTE: Setting up Song Groups is a two-step process:
In this window, you manage Song Group settings - defining, editing and deleting Song Groups, and specify which attributes will be shared across all Stations by Songs in this Song Group. Song Group content - the Songs in each Group - is set in the Add Song or Edit Song windows, accessed from the Song window. See the Implementing notes in this topic.

Accessing the Song Groups window

Features in the Song Groups window

Working in the Song Group window

Implementing Song Groups in Scheduling

Accessing the Song Groups window

From the Tools Menu option, select Global Settings, and then Song Groups, to access a window similar to this illustration. The Song Groups definition window is the default view. Click the Settings tab to access the Song Groups Settings window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Song Groups

Features in the Song Groups window

Song Groups window toolbar

Song Group Name

Treat as Packet Checkbox

Attributes lists

Song Groups window toolbar

The Song Groups window toolbar allows you to Add a Song Group, Edit or Delete a selected Song Group, Save changes to a new or edited Song Group, or Save changes to an edited Song Group as a New Song Group.

Song Group Name selection field

This drop-down field allows you select an existing Song Group to review or edit. Click the drop-down arrow at the right of the field to select a Song Group.

Attributes Lists

Global Attributes

Station Attributes

List Checkboxes

Both Panes, beneath the Song Group Name field, display Attributes that can be Shared on Songs in this Group. The two panes list Global and Station attributes separately. To share an Attributes, check the box for that attribute, and to unshare an Attribute, uncheck the box. Shared Attributes apply to all Songs in the Group, whether Stations are Active or Inactive. Beneath each Pane is a Checkbox that allows you to Check or Uncheck all Attributes for that pane. Note that shared Global and Station Attributes apply to Songs in different ways: Global Shared Attributes will apply to Songs in a Group across all stations, while Station Shared Attributes will apply to Songs in a Group just for the current station.

Global Attributes list and checkbox

Attributes in this pane are Global Attributes. The default setting is to share all attributes with other Songs in the Group globally, but you can uncheck any attribute to prevent settings being shared. When you share a Global Attribute in a Group, that attribute is shared across all Songs in the Group globally - that is, in all stations. For example, if you assign a Film Name value to a Song in a Group, and that Attribute is shared, it will be applied to all Songs in the Group in all Stations.

Station Attributes list and checkbox

Attributes listed in this pane are Station attributes. The default setting is not to share all attributes, but you can check any attribute to share it with other Songs in the Group for the current station. When you share a Station Attribute in a Group, that attribute is shared across all Songs in the Group, but only for the current station. For example, if you assign a Sound Code value to a Song in a Group, and that Attribute is shared, it will be applied to all Songs in the Group, but just for the current Station.

List Checkboxes

Check to Share or uncheck to remove a Share status for all Attributes in either List.

Treat as Packet Checkbox

For each Song Group, check this box to ensure that all active An Active item - a Song, Link or Note - is available to schedule in the current station. items in the Song Group are rotated as if they were in a Packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet. . Uncheck this box for the active Items to rotate independently of each other.

Topic Overview: Song Groups

Working in the Song Group window

Sharing Attributes

A dding a Song Group

Editing a Song Group

Deleting a Song Group

Saving a Song Group

Saving a Song Group as a new Song Group

Sharing Attributes

1. Create a New Song Group or select an existing Song Group to Edit.
2. Select either the Global Attributes pane or the Station Attributes pane.
3. Check the boxes in each pane for the attribute or attributes you want to share.
4. Click the Save button in the toolbar.

CAUTION: GSelector allows you to share any attribute, including Title, Album Title, and Version, as well all Copyright and Participant fields to all Songs in a Song Group. When assigning a Song to an existing Group, we recommend that you review the Shared Attribute settings, and take a backup prior to applying changes.

Adding a Song Group
  1. Click the Add [image] button in the Toolbar to open the Song Group Add-Edit dialog box.

  2. In this dialog box, enter a unique name for the New Song Group.
  3. Click OK to close this window.
  4. Then implement Song Group settings by selecting boxes for the Song Group Attributes whose settings you want to share across all Songs in the Group. Note that when you create a New Group, all the Attribute boxes are checked by default.
  5. Optionally check the Treat as Packet checkbox.
  6. Finally click the Save button in the toolbar.

Editing Song Group settings
  1. Click the dropdown arrow in the Song Group Name field.
  2. Select a Group to edit
  3. Click the Edit [image] button in the toolbar to open the Song Group Add-Edit dialog box.

  1. Modify the selected Song Group Name by entering a new Name if required, and then click OK.
  2. Then modify the selected Song Group settings by checking Attribute boxes.
  3. Optionally check or uncheck the Treat as Packet checkbox.
  4. Finally click the Save button in the toolbar.

Deleting a Song Group
  1. Click the drop-down arrow in the Song Group Name field.
  2. Select a Group.
  3. Click the Delete [image] button in the toolbar.
  4. Shared Attribute settings that were applied globally to Songs in the Song Group will no longer be shared across all Stations.
  5. If the Treat as Packet checkbox had been checked for this Song Group, Songs will now rotate independently.

Saving a Song Group

After creating or editing a Song Group, click the Save button to save changes for the currently selected group.

Saving a Song Group as a new Song Group
  1. After creating or editing a Song Group, click the Save button to save these changes to a new Song Group.
  2. The Song Group Add-Edit dialog box opens.

  3. In this dialog box, enter a unique name for the new Song Group.
  4. The New Song Group is created. Note that this Group will not have any Songs until you add them to the Group.

Topic Overview: Song Groups

Implementing Song Groups in Scheduling

The Process Described

Adding a Song to a Song Group

Controlling which settings are shared from one Song to others

Adding a List of Songs to a Song Group

Searching for Song Groups in the Browse window

Display Options

Song Group Appearances

Spreading Song Groups

Using Song Groups as Packets

Viewing Song Group Content

Navigating from Song to Song in a Song Group

Browsing a Song in a Song Group

Moving Songs in Song Groups in the Category Changer

See also the notes on Loading a Song Group to the Browse window in the Song window.

The Process Described
  1. Define one or more Song Groups as specified above.
  2. In the Add Song or Edit Song windows, accessed from the Song window, for each Song in the Group, add the selected Song Group Name to the Song Group field. See the detailed notes on Adding a Song to a Song Group in this topic.
  3. Save your changes.

Adding a Song to a Song Group

  1. Select the Song in the usual way.
  2. Open the Song window, and access Edit Mode.
  3. In the Song Group field, select a Song Group from the drop-down list.
  4. Click OK and Save in the main Song window.
  5. For more details, see the Editing Song with Song Groups notes in the Edit Song Window topic.

NOTE: When you select a Song Group with at least one Song, then all shared attributes are automatically copied to the new Song's fields.

Controlling which settings are shared from one song to others

To ensure the settings you wish to see shared between songs in the group, you should 'seed' the group with one Song, with specific values in the shared attributes fields.

  1. Follow the steps outlined in the Sharing Attributes section.
  2. Select one Song that you plan to add to the group.
  3. Ensure that the shared attribute values in this song are correct and appropriate for the group.
  4. Add the Song to the Group and save your changes
  5. Then add the remainder of the Songs for that group, and save your changes again.

Adding a List of Songs to a Song Group
  1. Browse a List of Songs in the Browse window in the usual way.
  2. Open a Song from the list.
  3. Click the Multi-Song Changer.
  4. Click the Add button to the right of the Song Group field
  5. Select a Song Group.
  6. Click the Save changes button in the toolbar.
  7. All Songs in the list will be added to the Song Group, and will share all settings for the group.

Searching for Song Groups in the Browse window

Song Groups can be used like any other Attribute in the Browse window.

  1. In the Browse window, click the Attributes tab.
  2. Scroll down the filter selection pane, and click the Song Groups Heading.

  3. This shows all existing Song Groups to which Songs have been assigned. Note that you can create Song Groups in the Song Groups definition window, but that unless they have had Songs assigned to them, they are not show in the Browse window selection pane.
  4. Select a Song Group to view the contents of the group.
  5. See the Working in the Browse window section of the Browse window topic for full details.

Display Options

Subject to your Browse Formats Design, you can choose to display the Contents of Groups or to display Groups as expandable options in the Browse window. See the notes in the Song Groups Settings window.

Song Group Appearances

A Song Group is an Attribute. So it can have an Appearance assigned, working in the Goals Balance Attributes window, described here. When you view a Song which is in a Song Group to which an Appearance has been assigned, all shared Attributes are displayed in the Song or Browse windows with the assigned Appearance. You may wish to simply assign a foreground color to the Appearance, as in this example.

For more on Appearances, see the Appearances Definition topic. You can only assign one Appearance; it is common to all Groups.

Spreading Song Groups
  1. Go to the Goals section Priorities window.
  2. Select Song Groups as a Spread Goal, click the Balance tab.

See also the notes on Adjusting Demand for the contents of Individual Song Groups in the Balance Tab: Song Groups window.

Using Song Groups as Packets
  1. Select the Song Group.
  2. Check the Treat as Packet checkbox.

Viewing Song Group Content
  1. Browse the Song Group in the Browse window and open the Song Group as described here.
  2. Select a Song in a Group and Click the Song Group tab.

Navigating from Song to Song in a Song Group
  1. In the Song window for a Song in a Song Group, click the Song Group tab to view all Songs in the group.
  2. Select a Song in the Song Group content list.
  3. Double-click.

Browsing a Song in a Song Group

If, working in the Browse Window, you search for a Song that is in a Song Group, and you are using a Browse Format in the Results pane to display results, the Song will be displayed, as well as the Song Group it is part of.

Moving Songs in Song Groups in the Category changer

When working in the Category Changer, special provisions govern moving Songs in Song Groups Song Groups are collections of Songs. You can search and sort by Song Groups. A Song Group is global, and contains the same Songs in all stations. Song Groups can contain active and inactive Songs. An Attribute setting for a Song in a Song Group, activated for that Song Group, is applied to that Song in all Stations. You can also use Song Groups like packets. . Because Song Groups can contain songs in multiple categories, they will only be displayed together in any Changer Category pane if they are in the same category, and the only way to determine if they are in a group is to use a browse format displaying the Song Group field. When you drag a Song in a Group to another Category, you will move that Song in the usual way, whether the Song is in a Group or not. But if the Song Group has a shared Category Attribute, all the Songs will display in the same Category pane, and dragging one Song takes all the other songs with it to the new Category.

Topic Overview: Song Groups


Global Settings: User-Defined Fields

The Global Settings User-Defined tab, accessed from the Tools menu option, allows users to define headings for up to ten Additional Information supplementary fields in the User Defined pane of the Additional Information tab in the Song window for Songs, and in the Link Additional Information tab for Links. User-defined fields can be used in Library searches and included in Export and in Report formats.

Accessing

From any Menu bar in any window, select Tools and then Global Settings, then click the User Defined tab in the Options window to open a window similar to the illustration below.

User Defined tab

User-defined fields are used to store supplementary information that is needed for program information by a station. These fields could be used by a Classical station to provide dedicated fields for Conductor, or Orchestra, for example. These fields are not used with any Goals; they are provided to store information. This information can be used in Reports and for Browse window searches in the Library Browse window . To rename a field from the default settings of UD1, UD2, etc, simply type in a new value and click the OK button. The next time GSelector is started, these values will be displayed in the Song window Additional tab. Note that when naming fields, you cannot assign the same name to more than one field.

Results of using this window

In the above image, the fields specified are displayed in the Additional Information pane as follows:

Topic Overview: Options User-defined fields window


Global Settings Appearances Definition

This window allows you to design the way fields in Library and Editor Browses appear. In this window you design combinations of alignment, font and color settings - appearances - ready to assign to Editor elements or Name or Title fields in Balance windows. The selected Appearance displays across the whole Editor entry. You can also assign attribute-specific Appearances to any Song, Song Category or Category Group, Link Title, Artist, Attribute, Participant, Link Category or Link Category Group, so that the selected item in the specific field displays the assigned Appearance. For more details, see the notes in Using Color. Appearances are Station-specific.

TIP: Editing Appearances can be detailed and complex work. It pays to Save your work regularly as you develop your Appearances.

Accessing this window

Features in this window

Working in this window

See also the notes on assigning Editor and Clock-specific, Reports Appearances, attribute-specific Appearances, and Using Color in GSelector.

Accessing this window

In the GSelector Menu, select Tools and Global Settings. Then click the Appearances tab to access a window similar to the image here.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Appearances Definition

Features in this window

Toolbar

Appearances List

Appearances design pane

Appearances mock-up pane

Toolbar

The toolbar is used to Add a new Appearance, Edit or Delete an existing Appearance, Save the current Appearance, save an existing Appearance as a New Appearance and Cancel any changes.

Appearances List

The left pane displays the Appearances that have already been designed. Select any appearance to see its details in the Design pane.

Appearance design pane

This pane is used to specify Background and Foreground Color, Font and Alignment for the selected Appearance.

Appearance mock-up pane

This pane displays a mock-up of the Appearance.

Topic Overview: Appearances Definition

Working in this window

Creating an Appearance

E diting an Appearance

Editing an Appearance Name

D eleting an Appearance

S aving Changes

S aving an Appearance as a New Appearance

C ancelling changes to an Appearance

S etting the Background and Foreground Colors

R emoving Color settings

S pecifying a Font style

S etting the Alignment

Creating an Appearance

  1. Click the Add [image] button in the Toolbar.
  2. This opens the Edit/New Appearance Dialog box.

  3. Enter a Name for the Appearance and Click OK
  4. The new Appearance is displayed in the Appearance list, ready to edit.
  5. Save the changes.

Editing an Appearance

  1. Select an Appearance in the List pane.
  2. Modify foreground and background Colors, Font and Alignment to suit.
  3. Save the changes.

Editing an Appearance Name

  1. Select an Appearance in the List pane.
  2. Click the Add [image] button in the Toolbar.
  3. This opens the Edit/New Appearance Dialog box.

  4. Edit the Appearance Name and Click OK
  5. The edited Appearance name is displayed in the Appearance list.
  6. Save the changes.

Deleting an Appearance

  1. Select an Appearance in the List pane.
  2. Click the Delete [image] button in the Toolbar.
  3. Confirm that you wish to delete this Appearance.
  4. Save the changes.

Saving Changes

The Save [image] and Cancel [image] toolbar buttons are activated when you change or add an appearance Name, or edit any field in the design pane window. To save your changes, click the Save toolbar button. If you do not save your changes, you will be prompted to save them when you select a different Appearance name.

Saving an Appearance as a New Appearance.

  1. Select an Appearance in the List pane.
  2. Modify foreground and background Colors, Font and Alignment to suit.
  3. Click the Save as New [image] button.
  4. This opens the Edit/New Appearance Dialog box.

  5. Enter a Name for the Appearance and Click OK
  6. The new Appearance is displayed in the Appearance list, ready to edit.
  7. Save the changes.

Cancelling changes to an Appearance

Cancel [image] any unsaved changes by clicking the Cancel button in the toolbar.

Setting the Background and Foreground Colors

  1. Select an Appearance in the List pane.
  2. Select the foreground or background color row in the design pane.

  3. Click the drop down arrow to open the Color dialog box.
  4. Select a Color to apply to foreground or background; repeat for the other color if required.
  5. The results are displayed in the mockup pane.
  6. Save the changes.

Removing Color settings

Click the No Color button at the far right of the Background or foreground Color line to clear the color settings and return to your default system color settings.

Defining a Custom Color

See the notes in the Using Color topics.

Specifying a Font style

  1. Select an Appearance in the List pane.
  2. In the design pane, select the font row.

  3. Click the Edit button to open a standard font formatting dialog box.

  4. Select any Font supported by your system, and specify Font Style and Size.
  5. Finally click OK to close this dialog box.
  6. The results are displayed in the mockup pane.
  7. Save the changes.

Setting the Horizontal Alignment

  1. Select an Appearance in the List pane.
  2. In the design pane, select the Horizontal Alignment row.
  3. Click the drop-down arrow.
  4. Select from the default setting, Far (at right of the field), Center (in the middle of the field), or Near (same as default - at the left of the field).
  5. The results are displayed in the mockup pane.
  6. Save the changes.

Topic Overview: Appearances Definition


Global Settings Appearances Assignment

Global Settings: Assignments for Everyone

This window is used to assign existing Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to Entry Types used in Clocks and the Editor, or to Editor fields selected for specific functions. Optionally Global Appearances can be applied to Advanced Search Query Types, and the Consideration window. Appearances are designed in the Appearances definition pane. If no users are defined in the Security Users window then the Appearances assigned in this window are applied to everyone. Appearances are assigned to all stations in the Database. When an Appearance is assigned to an Editor Entry type, it is used across all fields in the Editor, unless an attribute-specific (see notes here ) Appearance has been assigned, working in Goals Balance windows or the Link Goals window. When users are defined in the Security Users window the tab caption will have the users name and will only change the logged in users appearances.

Accessing this window

Features in this window

Working in this window

See also the notes on the Appearances definition window, assigning field-specific Appearances and Using Color in GSelector.

Accessing this window

In the GSelector Menu, select Tools, then Global Settings, then the Appearances tab, and finally the Assignments for Everyone tab. This image shows many of the nodes closed. Click any node in the image for help for that node. Use the + and - to the left of the node to expand and contract the nodes.

Click on any area in this image for help.

Click on any area in this image for help.

Topic Overview:: Appearances Assignment window

Features in this window

Toolbar

Appearance assignment field

Advanced Columns

Advanced Search

Audio

Consideration window

Editor function list

Entry Type List

Entry Type Status

History Plot

Publication Status

Rotation Rules

Schedule Subscription

Split Behavior

Test Bar

Toolbar

Save - The Save button is activated when a change or assignment is made. To save the changes, click the Save button.

Cancel - Use the Cancel button to cancel any unsaved changes.

Clear All Assignments - Click the delete button to remove all assigned Appearances for the user.

Set Default Font - The Set Default Font button has a menu when clicked to Set the Default Font for all windows in GSelector or to Reset to the System Default. When the system font is changed using either option GSelector will require a restart to apply the change. This font change will affect all windows where a specific appearance assignment has not been set. Selecting a font that is overly large could make GSelector unreadable.

Copy Appearances - The Copy Appearances button is available when logged in as Administrator. This button will open the Copy Appearances window allowing the administrator to copy the appearances from one user to many users.

Import Appearances - The Import Appearances button is used to import the appearances that were exported from another user. This can be from the current database or another database. When Appearances is imported the Definitions for the user are handled in the following way:

  • It adds any new definitions found in the file.
  • It overwrites any existing definitions that are found in the import file.
  • It leaves any existing definitions that are not in the import file alone.

Export Appearances - The Export Appearances button is used to export the appearances for the current user so it can be shared and imported for another user in the current database or another database. This will export both the Definitions and the Assignments to a file.

Restore Default Appearances - The Restore Default Appearances button will restore the RCS default Definitions/Assignments and automatically save it for the user.

Tip: It is a good idea to export the current appearance as backup before restoring the default or importing new appearances.

Appearance Assignment column

The last column allows any defined appearance to be assigned to the selected area or function. Use the drop-down arrow to see the list of defined appearances.

Advanced Columns

GSelector allows you to assign Appearances for Don't Copy and Fixed. These are respected in the associated column of both Clocks and the Editor.

Advanced Search

GSelector allows you to assign Appearances to Queries in the Browse Window Advanced Search pane.

Analysis

GSelector allows you to change the appearance of the Analysis History tab for the selected date range. These settings will exist everywhere the Analysis history map is displayed with Date Range controls (Analysis | Current Station and Multi-station as well as the Linker Analysis | Current Station and Multi-station). Changes to the highlight color in Global settings takes effect upon saving the change.

Audio

The Audio appearance works with the Play and Play Rest features. When the user uses the Play or Play Rest controls, the playing asset is highlighted when it is in view in the Song Browse, Link Browse, Song Category Changer, Link Category Changer, Editor, Song Analysis, Link Analysis, Song Categories, Link Categories, Song Balance and Link Balance windows.

Consideration window

GSelector allows you to assign an Appearance to Songs and Links in the Editor Consideration window which exceed the Search Depth setting defined in the Category Group Options window. This section can also be used to assign an Appearance to Songs and Links in the Editor consideration window which exceed the Maximum Separation, Maximum Skip setting in the Rotation Rules window and which exceed the Airplay Starvation percentage set in the Maximum Airplay Starvation Turnover Percentage option in the Setup | Station | Features | Advanced tab

Editor Function list

GSelector allows you to assign Appearances to items in the Editor that are Highlighted, Juggled, selected (Focused) in the Editor. Copied, meet a Score Threshold, show Schedule resolution or Turnover Threshold to Show Linear Violation. If a value is not assigned, they will retain their default values.

See the notes on Using Appearances with Score Thresholds.

Entry Type List

This section of the Assignment window lists all Editor Entry types. Each of these can be assigned an Appearance. When an Appearance is assigned, the description field displays the background and foreground (font) colors, font style and alignment. For details on assigning these values in an Appearance, see the Appearances definition topic.

Entry Type Status

Entry Types are listed for both Scheduled and Unscheduled Status, and GSelector lets you apply different Appearances to both Scheduled and Unscheduled Entry types in the Editor. So you could assign an Appearance to alert you to an unscheduled Song or Link.

History Plot

GSelector allows the user to change the appearance of the Advanced History Map Options when enabled in the Setup | Station | Features | History tab. The Song, Artist, Vocalist and Artist Group are respected in the Song window history and the Editor History Pane. The quarter hoursettings are respected in all history panes found in GSelector when the 1/4 hr plot checkbox is used. Weekends are respected in the History Map and the Scheduler.

Publication Status

GSelector allows you to change the appearance of the Schedule Publication Status positions in the Scheduler Window. The S3 Locked option is used when Schedule Subscription is enabled. Contact RCS for more information on the Schedule Subscription feature.

Rotation Rules

GSelector allows you to change the appearance of the Breakable, Unbreakable and Unassigned Rules in the Rotation Rules window.

Schedule Subscription

GSelector allows for the Locking of Don't Copy Positions and Content using the Don't Copy Options when configuring a Station. This appearance setting is used to change the appearance of these Locked positions in the Editor. This option is also used when Schedule Subscription is enabled. Contact RCS for more information on the Schedule Subscription feature.

Split Behavior

GSelector allows you to change the appearance of the Splits Behavior of a Song or Link. The Split Behavior option is enabled in the in the Setup | Station | Features | Miscellaneous tab.

Test Bar

Define and apply an Appearance to a Test Bar failure according to thresholds specified. Appearances can be applied to these Test Bar items:

Once Appearances have been defined click the Parameters toolbar button in the Editor to set a threshold for each Test Bar item. When a given Test Bar item’s threshold is met, the Appearance will be applied to that item. This can help you quickly spot issues as you are navigating the schedule or checking a song.

Topic Overview: Appearances Assignment window

Working in this window

Assigning a Global Appearance

Assigning field-specific Appearances

Copy an Appearance to other users

Import/Export an Appearance

Assigning a Global Appearance

  1. First work in the Appearances definition window to design the required Appearance(s).
  2. Find the Area or Function to edit.
  3. Click the drop-down arrow in the corresponding Appearance Assignment column.
  4. Select a defined appearance.
  5. The area or function description updates to show the assigned Appearance.
  6. Optionally, use the Set Default Font to change the system font for all windows where a specific appearance is not assigned.
  7. Click the Save button to save the changes.
  8. Optionally, apply Global Appearances to Report entry types in the Reports Appearances (see notes here) window.

Assigning Field-Specific Appearances

  1. First work in the Appearances definition window to design the required Appearance(s).
  2. In the Goals Balance or Categories windows, select any Artist, Attribute, Participant, or Category or Category Group Name.
  3. In the Link Goals Categories window, select any Link Category Group or Link Category.
  4. Click the Appearance button in the toolbar or right click in the Song Title, or Artist, Attribute, Participant, or Song or Link Category or Category Group Name field.
  5. Select an Appearance to apply.
  6. Click the Save button to save the changes. The Appearance is assigned to the selected Artist, Attribute, Participant, Category or Category Group Name.
  7. The Appearance will override a Global Appearance for the selected field in the Clock and Editor browses, and in the Clock Mockup pane for Category Groups.

Copy an Appearance to other users

  1. Login to GSelector as the Administrator
  2. Go to Tools | Global Settings in the Menu
  3. Select the Assignments for: Administrator tab
  4. Select the Copy Appearance [image] button from the toolbar.

  5. Use the From drop-down to select the user with the appearances to copy.
  6. Use the To pane to select the users to copy the appearances to.
  7. Click OK

Topic Overview:: Appearances Assignment window


Global Settings: Artist to Vocalist Settings

This window allows you to manage the text Separators These are symbols or text strings, used in the Artist field of the New or Edit Artist windows, to indicate more than one Artist, Performer or Vocalist. , or delimiters, that GSelector uses for parsing multiple Vocalists in a single Artist name (creating Vocalists from an Artist entry during the Add or Edit Song process), or when importing songs, with NexGen integration and in the Master Control interface.

Accessing this window

Features in this window

Working in this window

Accessing this window

From the GSelector Menu, select Tools, then Global Settings, and finally Artist to Vocalist Settings.

Click any area in the image for help

.

Features in this window

Toolbar
Create Vocalist Checkbox
Delimiter list
Cancel buttons

Toolbar

The controls in this toolbar allow you to Add a delimiter, save your changes, and Cancel all unsaved changes.

Create Vocalist Checkbox

The default setting for this box is checked. To disable this feature, uncheck the box.

Delimiter list

This list shows all existing delimiters.

Cancel buttons

Click any cancel button to remove the delimiter in that line.

Working in this window

Adding a Delimiter
Deleting a delimiter
Working with Delimiters

Adding a Delimiter
  1. Click the Add [image] button in the toolbar to open the Delimiter window

  2. Enter a Text String - typical strings could be And, Featuring, Feat. , F. , with, and so on.
  3. Click OK
  4. The new delimiter is shown in the Delimiter List.
  5. Click the Save [image] button

Deleting a delimiter
  1. Select a Delimiter in the delimiter list.
  2. Click the Cancel button at right for that delimiter.
  3. Save your changes.

Working with Delimiters

Once you have defined the range of delimiters you plan to use when adding Song information, working in this window, the process of assigning Vocalist Participants is automatic.

In the Add Song window, enter Artist details in the usual way. For full details, see the notes in the Add Song window topic.

Once the new Song has been added, GSelector displays the Artists as Vocalist Artist Participants in the Song window participants grid. Of course, you can then edit settings if required.

Topic Overview: Artist to Vocalist Settings


About GSelector window

This window is accessed from the Help option in the menu. It displays key Database and Licensee information and other aspects of GSelector and SQL. If the user logged in is using a Windows User Login type, this window will also display information about Windows Users and the Windows Group being used by the user.

Scroll down in this window to display connection information for Service Host (Database) Latency, Service Host Latency and Marvin Latency. This information can be used to troubleshoot connectivity issues with the system. Information in this window cannot be edited.


Security Windows Groups

Administration Windows Groups

TIP: If this is your first visit to this topic, read the Working with Security topic first.

This Windows Groups feature allows a GSelector Administrator to optionally designate credentials in GSelector according to Windows Groups. This option allows the administrator to quickly manage GSelector Security according to Windows Groups matched against Security Groups in Active Directory. Using this feature any Windows Group can be assigned a Role and Organization. The Roles and Organizations created in GSelector will be inherited by any member of that Windows Group when they log into GSelector. For this feature to work, Windows Users and Window Groups will need to be created within GSelector. GSelector will validate the Windows User created against Active directory to match the user to a Windows Groups in GSelector and Active Directory and supply the user with a drop-down to select a Windows Group in the GSelector Login window. When a Windows User is logged into GSelector the information, about the User and the Group, is displayed in the Help | About window.

Accessing this window

Features in this window

Working in this window

See also the Working with Security , Administration window menu , and the Roles, Organizations, and Users window topics.

Accessing this window

To activate this feature you must first select the Enable Windows User/Group checkbox in the Tools | Administration | Security | Users window. This will create a new Tools | Administration | Security | Windows Group tab, to associate one or more Windows Groups with one or more GSelector Organizations and Roles.

  1. From the Tools section in any GSelector window menu, select the Administration option.
  2. This opens the Administrator Login window
  3. Enter your password and click OK to access the Organizations window.
  4. Select the Security section tab.
  5. Select the Users tab.
  6. Enabled the Windows User/Group checkbox in the Users Toolbar
  7. Select the Windows Group tab

Click any area in this image for help

Click any area in this image for help

Topic Overview: Administration Windows Group

Features in this window

NOTE: In this and all Administration windows, all changes are automatically saved.

Windows Groups Toolbar
Windows Group List

Windows Group Toolbar

The toolbar in the Windows Group tab is used to Add, Edit and Delete Windows Groups.

Windows Group List

All current Windows Groups are displayed in this list. Select any group to edit that groups Organization or Role.

Topic Overview: Administration Windows Group

Working in this window

NOTE: In this and all Administration windows, all changes are automatically saved.

Adding a Windows Group

Deleting a Windows Group

Editing a Windows Group

Login to a Windows Group

Adding a Windows Group

  1. In the Administration window Users tab pane, click the Enable Windows User/Group check box
  2. Select the Windows Group tab
  3. Select the New Windows Group button

  4. Enter the Windows Group name. This name must match a Windows Group that is in Active Directory.
  5. Select the Organization
  6. Select the Role
  7. Click OK to save the Windows Group.
  8. When the User Logs into GSelector they will be presented with a list of possible Windows Groups they are authorized to in Active Directory.

Deleting a Windows Group

  1. In the Administration window Windows Group tab, select a Windows Group in the list pane.
  2. Click the Delete button in the Windows Group Toolbar.
  3. The Group and associated Credentials are removed.

Editing a Windows Group

  1. Select a Windows Group in the list pane.
  2. Click the Edit Toolbar button or double click to open the Edit window.

  3. Edit the Group Name, Organization or Role as needed
  4. Click OK to apply the changes.

Login to a GSelector with a Windows User/Group

When Windows User/Groups is enabled the login screen will change presenting the user with the option of a Windows login or a GSelector user login.

If the user selects the Windows login they will need to use their domain user (domain\User name) to login to GSelector. Once they have entered a valid Username GSelector will check the Windows Groups in GSelector against the Active Directory Groups for the domain and display the Groups the user has rights to in the list of Windows Groups. The user can then select a Windows group from the drop-down and enter their domain password. Click the OK button to enter GSelector using the Organization and Role associated with the user’s Windows Group. These credentials are saved so the next time the user launches GSelector on this computer they will be auto logged into GSelector. The user can use the Tools menu to Logout, to login as a different user. The last windows user to login to GSelector on the computer will have their credentials saved for future logins on the computer.

Topic Overview: Administration Windows Group


Browse window

The Browse window is the first window you view upon opening GSelector. The filter pane at left is where you select or filter Songs. The results browse pane at right shows the Songs you've selected, displayed in a customizable browse format. In this window Songs can be hidden, or de-selected from display. In the filter pane at left, you can search by any Attribute, Artist, Participant, Media field, Album or Song title, or by any combination of these. The combination of elements you search, or filter by - your search criteria - can be saved off and recalled for later use. These are called Saved Filters, and you can use them in many areas of GSelector. You can also save browsed Songs as Browse Lists, which can be recalled or used later for a specific Clock position.

Accessing this window

Features in the Browse window

Working in the Browse window

see also the topics for the Library Song, Multi-Song Changer and Category Changer topics.

Accessing the browse window

The window opens when launching a station. If you're already working in the station, click Library, then Browse.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Browse window

Features in the Browse window

Find (CTRL+F)

Advanced Search button

Saved Filter and Saved Song List selection box

Filter Pane tabs

Selecting and excluding in the Filter pane

Selected and Excluded totals

Attributes tab

Artists, Title and Albums tabs

'And' / 'Or' radio buttons (Artist, Album and Title searches)

Participants tab

'Any' / 'All' radio buttons (Participant searches)

Media tab

Searching by Runtime

Results Pane

Toolbar

Browse window headers

Show unselected Songs

Displayed Songs counter

Filter yield

More and All buttons ( used with Advanced search results only)

NexGen and Zetta synchronization buttons

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in both the Results pane and in the Filter Pane tabs for this window.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Advanced Search button

GSelector offers a range of search options in the Browse window. In addition to the regular search tools, you can also search using the Advanced Search pane, which replaces the default Filter Pane tabs and selection tools. For details see the Browse Window Advanced Search topic.

Saved Filter and Saved Song list selection box

As with the Link Browse window, you can select and apply any previously saved Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window., or display any saved List of Songs. Click the selection arrow at right to see the list of saved Filters and Lists.

Select or scroll down to the desired Filter or List, and click or enter to display Filtered Songs or a Saved List of Songs in the Results pane. Song Filters are shown in Red and Song Lists are shown in Green. A Saved Song List is also available in the Browse List pane and can be used to schedule a Clock Position.

You can apply any previously saved Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. , or display any saved Song List , either to initiate a new search, or to filter an existing search.

  1. Click the selection arrow to access the list of saved Filters and Song lists.
  2. Where more Saved filters or Song lists exist than can be displayed, use the scroll bar to select.
  3. Select or scroll down to the desired Filter or Song list
  4. Click the saved filter or list or press enter to display Songs by the selected Filter, or the saved Song List in the Results pane.

For more information see the notes on working with Filters and Lists in the Filters and Lists Enter Name box topic.

TIP: The Saved Filters and Song Lists you define here can also be used in the Analysis window and the Category Changer.

Filter Pane tabs

Click any tab in the image, or follow any Link below, for more details

Attributes tab

Artists, Title and Albums tabs

Participants tab

Media tab

Click one of the tabs above the Filter selection pane to open either a list of Artist names, Song or Album Titles, an expandable Attribute or Participant list, or an expandable Media settings list in the Filter selection pane. Selecting one or more items in the Filter selection pane will open a list of Song matches in the browse pane.

Selecting and excluding in the Filter pane

In any filter tab, select from the list of Attributes, Artists, Participants, Albums, Titles or Media values by clicking the Neutral [image] icon for the item in the list for that tab. All selected Songs with that Attribute, Artist, Participant, Album or Title will be displayed in the results pane. In the illustration here, showing a list of Category Group attributes, the category group Long Songs is selected. When any item is selected, not selected items are excluded from the browse display.

The rest of the category groups are not selected. When items are selected, non-selected items are excluded. When items are excluded, not-selected items will be displayed in the results pane. Clicking Long Songs again will exclude the songs in the Long Songs category group and display the songs from the other categories in the browse window if no other item is selected.

You can click multiple items in each tab to display Songs with selected multiple Attributes, Artists, Participants, Albums, Titles or Media values. This lets you display Songs with combinations of Artists, Participants, Albums or Titles by using the Any or All radio buttons in the Participants tab, or the And or Or radio buttons in the Artists, Albums or Titles tabs.

Optionally, there is a right-click menu that allows the user to easily return a selected/rejected Attribute, Artist, Participant, Album, Title or Media back to Neutral [image]. This right-click menu can also be used to Select [image], Reject [image] or Select Only. Select Only will select the current Attribute, Artist, Participant, Album, Title or Media and change all other selected or rejected attributes back to neutral. Using the CTRL key and clicking an Attribute, Artist, Participant, Album, Title or Media will also perform the Select Only function.

Selected and Excluded totals

When one or more Attributes are selected or excluded in the Browse, GSelector displays the selected and excluded totals for each Attribute. In this illustration, three Categories are selected, and one is excluded. The totals for selected and excluded items is shown in the header for the Attribute. The total songs in each element within the attribute is displayed to the right of the elements name.

Attributes tab

Last Edited Attributes

Research Attributes

Dayparts listed in the Attributes tab

Date and History Attributes

NOTE: This image shows the Browse Attributes pane with the Film Name field enabled. See the Enable Film Attribute notes for details.

The Attributes Filter tab is the default tab for the Browse window. This tab displays all assigned Song attributes and also all Dayparts.

When searching by Attribute, if no Song has been assigned that Attribute, the Attribute will not be shown in the list. Although Dayparts are not Attributes, they are treated as Attributes for search purposes in the Library Browse window Attributes tab. So Dayparts are included in the Attributes list, and can be expanded for selection and searching. See below for more information.

Attributes can be descriptive, in describing the Song in some way, or historical, in marking dates when the song's status changed, or research-related, in marking the song's current research score for a demographic cell. For a full list of descriptive Attributes, see the Attributes topic.

Special conditions apply with Research Attributes and Research Columns Attributes. For details see Using Research Attributes in this topic.

Click any Attribute node to expand the list showing the attribute name and the number of Songs with that attribute. You can jump to an Attribute name for any Heading by opening the node and typing the first letter of the name. See the Hot Key search notes in the Working with Browses topic.

In the Attributes/Artists/Participants/Albums/Titles the count for each attribute value is shown to the right of the elements.

For Example: If you open the Category Group node in the Attributes tab, you'll see the counts for each category. In the Media tab, you will only see counts for the Opening and Ending nodes.

Last-Edited Attributes

GSelector supplies three different Last-Edited Date Attributes.
Last Edited stores the most recent date a Song’s global data was changed.
Most Recent Last Edited stores the most recent date a Song’s data (station specific or global) was edited.
Station Last Edited stores the most recent date a Song’s data was edited in the current station.

Dayparts as Attributes in the Browse window

GSelector supplies five default dayparts (Overnight, AM Drive, Midday , PM Drive and Night) on initial installation of the program, or after creating a new station. The install dayparts are assigned in the Daypart Assignment window, and can be viewed in the Attributes tab of the Browse window. These settings can be edited or deleted. Select one or more Dayparts, and use the selection options to show Songs according to their status for that Daypart. If, for example, you use the selection options to exclude a Daypart, then all Songs which are excluded by having no Category Demand for that song's Category in the Category window, or banned in the Song window for that Daypart are displayed. See the Banning by Daypart notes in the Song window for more information.

Date Attributes

The Date Activated, Date Added, Last Edited (Global, Most Recent and Station) and Research Score Date Attributes all work the same way: You can select a predefined Date or Date range, or click the Custom button, which allows you to select a custom date range. Click the close Icon to display the defined date range in the Custom line. Then select in the usual way.

Artists, Albums and Title tabs

See the Notes on using the 'And' and 'Or' radio buttons when searching in these tabs.

Each of these tabs displays a single list of, respectively, Artists, Albums and Titles in the station database. Use the selection options to display Songs with the selected Artists, Albums or Titles. In the Artists, Title, Albums, Participants and Media filter pane tabs, you can do wildcard A text character like an asterisk (*) or a question mark (?) used to represent one or more characters in search text panes. searches. See the notes here.

TIP:: You can search by Hotkey in the Artist, Album and Title lists list: select a field and type a letter to jump to the Artists, Albums or Titles beginning with that letter. See the Hot key notes in Working with Browses for more information.

And / Or radio buttons

Click the And radio button to search by a single selected criterion, or a specific combination of criteria. Each time you click a tab and select a criteria, you add another condition to your search. If the And button is selected, your search will get narrower until eventually no Songs may show.

Click the Or button to search by the selected criterion or another search criterion from any other tab. These conditions will also be cumulative, but will increase your results if records meet the new criteria.

Click the reset button to clear this set of criteria and start a new search filter.

Participants tab

See the Notes on using the 'Any' and 'All' radio buttons when searching in this tab.

TIP: In the Artists, Title, Albums, Participants and Media filter pane tabs, you can do wildcard A text character like an asterisk (*) or a question mark (?) used to represent one or more characters in search text panes. searches. See the notes here.

Click the tab to select Songs by any Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants.. This tab lists all assigned participants for the active library list. If a participant has been defined for at least one Song, that participant will be listed under the relevant Participant heading.

Click any node heading to display the options to search by under that node. Use the selection options to display Songs in the browse pane. With the Any radio button selected, you can select and display Songs by multiple participants, including Songs searched for under other tabs. Note that the Show Unselected Song count field shows all unselected and all Selected Songs.

TIP: You can rapidly jump to a named Participant under any Heading by opening the node and typing the first letter of the Participant name. See the Hot Key search notes in the Working with Browses topic.

Any and All Radio buttons

These two Participant tab Radio buttons allow the user to specify the display of Songs by any of the participants, or only Songs featuring all of the selected participants.

With the Any radio button selected, select one or more Participants to display Songs with any selected Participants. In this illustration, GSelector is displaying any song with Steve Tyler and any song by Joe Perry as Composer Participants. Note, too, that as well as the selected composers (Steve Tyler and Joe Perry, both shown with a [image] Green check), all other Composers associated with at least one of the Songs are also indicated with a [image] Gray check.

But if we select the All radio button, GSelector looks for Songs with All selected participants. In this case, it has to find Songs with both Tyler and Perry as Composers.

TIP: The All Participants display option is a powerful tool, but only in very specific situations. In many cases, GSelector will not display anything under the All setting. Asking for All Songs by, for example, Bill Idol and Britney Spears will produce an empty display. The more detailed your lists of Participants, the more useful this display option becomes.

Media Filter tab

TIP: In the Artists, Title, Albums, Participants and Media filter pane tabs, you can do wildcard A text character like an asterisk (*) or a question mark (?) used to represent one or more characters in search text panes. searches. See the notes here.

Click the Media tab to open a list of media-related fields to Filter by.

For the Hook Start and Hook End, Opening, Ending and Media ID nodes, each field in the Media tab can be expanded to display all existing settings that you have defined. The Hook, Intro, Media ID, Opening or Ending notes all offer a Custom field, detailed below. This lets the user can type in a value and either click the Search button or press Enter on your keyboard to start the search.

The External node allows selection of any items which have External Audio status assigned.

The other fields are all time-related, and allow you to search by preset time values. So you could search for all Songs with an intro value of between 15 and 30 seconds, or all Songs with runtime values of under 2:30, or between 3:30 and 4:30, for example. Special provisions apply when searching by Runtime, and this is covered below. You can also enter a value in the search field for Media ID, Opening or Ending. Select the attribute to Filter by, and then enter your criteria, then click the Search button. Click the Clear all button to remove all search criteria.

Searching by Runtime in the Filter pane

Clicking the Runtime header in the Media tab opens a range of Runtime selection options. Selecting one or more of these options will display matching Songs in the Results pane. Click the [image] More Details button in the Custom header bar to open a further window, which allows you to specify a time range. The fields accept |values in Minutes and Seconds. The selected Time Range can be as broad or as narrow as you wish. Click OK to display songs which match the selected time range. So for example, you could specify Songs with a selected duration option of 3:30 - 4:30, and a custom duration of 5:45 - 6:15, specified in the custom pane.
Close the selection pane by clicking the close button. For more information, see the Custom Attribute Values topic.

Topic Overview: Browse window

Results pane

Toolbar

Active and Inactive Song display

Browse window headers

Show unselected Songs Checkbox

Displayed Songs Counter

The results of searches and list display requests are displayed in the Results pane. This pane can be formatted to display the fields of your choice; additionally, you can apply a predefined format from the toolbar. The browse allows hot key searching, sorting and a range of other functions. See the list of Results pane tasks in this topic, as well as the working with Browses notes.

However, the first two columns in any Browse window format are fixed.
The first column displays the selected or deselected icon.
The second status column displays either the Active or the Inactive icons

Active and Inactive Song display

When working with a complex browse, active and inactive Songs can often be shown together in the results pane. Active or Inactive status is shown by the icons in the status column

Active status.
When a song is active An Active item - a Song, Link or Note - is available to schedule in the current station. for this station, its Category is shown with a Category appearance where this has been assigned.

Inactive status
All Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs are displayed with the Inactive Icon in the status column. If the song has been previously active in this station, its last assigned category is shown.

Browse window Headers: Applying Sorts using Headers

Click any field header to sort the displayed browse by that field's contents. Click again to re-sort in the reverse order.
To sort on multiple headers, press the Shift Key, and click on a second Header. Repeat to reverse the sort order. Select further Headers, still pressing the Shift Key, to add further Sort Orders. Right-click any column header to Modify or Remove Columns. Selecting Modify Columns will open the Modify Browse Format window.

TIP: When working in Advanced Search mode, your Sort Order is displayed in the Search Summary Pane.

Toolbar

In the Toolbar, save any existing Filter or Song list, save a modified Filter or Song list as a new filter or Song List, or delete the existing Filter or Song list.

The buttons at the right these controls allow you to invert the Song Selection, reset the Filter, display Dynamic Statistics for this browse, export to XML. The toolbar also allows you to apply a different browse format, Merge Duplicates, Swap Songs and open the Browse List pane.

Filter or Song List selection field

Save Filter or List button

Save existing Filter or List as New button

Save Filter or List window

Delete Filter or Song list button

Invert Selection button

Reset button

Dynamic Statistics

Export to XML File

Reports

Browse Format Selection

Merge Duplicates

Swap Songs

Browse List

Show History Pane/Hide History Pane

History Attributes

Add Song

NexGen and Zetta synchronization buttons

Save Filter or Song list button

Click this button to save changes to an existing Filter or Song List, or to Save a new Filter or Song List. If you are saving a new Filter or Song list, the Enter Name dialog box opens.

NOTE: When Saving a Song list, Unselected Songs are not saved, whether or not the Show unselected Songs box is checked.

Save Filter or Song list As.. button

To save a modified Filter or Song list , click the Save As New Filter or Song list button to open the Enter Name dialog box.

This dialog box is used in the Song, Link and Notes browse windows. It has a range of secondary functions, allowing, for example, with Songs and Links (but not Notes), the ability to merge a List with a previously saved list. To save a Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. or a Song list , click the appropriate radio button, enter a name and click OK. For full details on working in this dialog box, see the Filters and Lists - the Enter Name box topic.

Delete Filter or Song list button

To permanently delete any Filter or Song list, select that Filter or Song list and click the Delete button. The library browse pane returns to its unfiltered state, and the Filter or Song List is removed from the saved list.

Invert Selection button

Click this button to reverse the selections for all Songs in the Browse pane. If a Song is selected, it will become unselected; conversely, unselected Songs will be selected.

Reset button

To clear a modified Filter or Song list from the browse without deleting the saved Filter or Song list, click the Reset Filter button. The library browse returns to its unfiltered state, but the Filter is retained in the saved Filter list.

TIP: When you have added or edited some attributes or participants, using the Multi-Song changer, click this button to refresh the attribute or participants lists.

Dynamic Statistics

Click this button to access the Dynamic Statistics window, which allows you to analyze and measure the contents of your browse in a number of ways.

Export to XML File button

Click this button to view and select formats, designed and specified in the Export XML window, for Song XML export types. Select a format and click to export a XML file of the currently browsed Songs details to the selected destination for that format. See the notes on Working with XML for more information.

Note: To enable this Export to XML File button you must first a Format of Type Station Songs in the Interface Export XML window.

Reports

The Reports button displays a drop-down menu of possible reports.

Double-click the Report name to open the report in the Reports View window.

Browse Format Selection button

The Browse Formats [image] button can be used to select a browse format for the Song Browse window or Browse List. It can be used to save the default format as a new format, save changes to an existing format, save an existing format to a new browse format, set a selected format as the assigned format for the window or temporarily assigned just for the session. Formats can also be permanently assigned to the Browse window in the Browse Formats Assignment window. This feature is available for Active songs only. Browse Formats can be designed in the Browse Formats Design window.

  1. Click the arrow to the right of the button.

  2. Select Library.

  3. Select a format.
  4. The new format is temporarily assigned to the browse window.
  5. Optionally, click the arrow to the right of the button again and select Set Selected Format as Assigned.
  6. Optionally, right-click a column header to Modify or Remove columns.
  7. Click the arrow to the right of the button again.
  8. Click Save or Save As if desired.

For more information on custom designing formats, see the Browse Formats Design and Browse Formats Assignment topics.

Merge Duplicates

This Merge Duplicates button enables users to resolve the common problem of having duplicate songs in an enterprise database and the need to eliminate some or all of the duplicates after selecting one of the duplicate records to remain standing as the survivor. Schedule history and station-specific attributes will be moved over to the surviving record for each station of which the surviving Song is to become active. See the Merge Duplicates topic for additional details.

Swap Songs

This Swap Songs button opens the Swap Songs window allowing the user to replace a current version of a song with a new version of the same song, essentially moving the schedule history of the current version to the new version.

Here is an example where this option might be used: Two stations (Station A and Station B) begin playing a new song at the same time. Weeks later a new version of the song is released. Station A wants to continue playing the current version while Station B wants to move to the new version but retain the schedule history of plays of the song under the older version. When this option is executed, all schedule instances of the older version will be replaced with the newer version in Station B. This will allow the newer version to show plays from when the older version of the song was in place. It will preserve the entire schedule history of the song, even though it was played under two different versions.

Browse List

Click the Browse List button to open the Browse List pane. From the Browse List pane the user can create lists of Songs for scheduling special programming, such as holiday countdown shows, “A to Z” weekends and other forms of programming in which an arbitrary list of songs must be scheduled in sequence. Lists created using the Advanced Search window are available in the List drop-down of this pane and can be edited from this Browse List pane. Audio can be played from a Browse List when the browse list has focus. See the Using Audio in GSelector topic for more details.

Automation synchronization buttons (NexGen, Zetta and master Control users only)

An additional button is displayed when a GSelector station is associated with either a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems., Zetta Zetta is the a RCS automation and audio playout system. or a Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. station, and the Enable All and Song boxes in the NexGen Manual Synchronization, Zetta Manual Synchronization or Master Control Manual Synchronization panes respectively are unchecked . Under these conditions, this button allows the user to synchronize the selected Song Browse with the NexGen, Zetta or Master Control Song details in the interfaced NexGen, Zetta or Master Control database.

NOTE: You can only interface one playout system with any GSelector station.

Show History Pane

TIP: Press F7 to toggle pane open or closed.

Click this button to open the History pane for the selected song. This history map works similarly to the History Map in the Editor.

Hide History Pane

TIP: Press F7 to toggle pane open or closed.

Click this button to close the history pane.

History Attributes

Click this button to select an attribute to display in the History Pane when a Song is selected in the results pane. The display options are:

The Song selected in the results pane.

The Title of the Song selected in the results pane.

The Packet of the Song selected in the results pane. If the current Song is not in a packet, GSelector displays the history of the Song.

The Artist or Vocalist for the Song selected in the results pane. See the notes on viewing Vocalist History in the Editor History Pane topic.

The Album for the Song selected in the results pane.

The Song Group of the Song selected in the results pane. If the current Song is not in a Song Group, GSelector displays the history of the Song.

Add a Song
  1. In the Browse window or any Browse window tab, click the Add [image] button in the toolbar to add a Song.
  2. This opens a separate Add Song window. See the Add Song window notes for full details.

Show Unselected Songs checkbox

When you view the results of a search in the Results Browse pane, the Songs have selected status. This is shown by a check in the Selected Column at left. You can remove any Song from the Results Browse pane by clicking on the Selected field. All Songs that are not selected for display are unselected. GSelector will keep a tally of the number of selected and unselected Songs. If you check the Show Unselected Songs box, you will display all unselected Songs in the Browse Display pane. See selecting Songs in the Browse pane for more information. When saving a list, only selected Notes are saved, whether the unselected Notes are displayed or not. GSelector maintains a record of selected and unselected Songs.

TIP: If you have removed Songs from the Results Browse Pane and you want to see what Songs you have removed, view the removed Songs by checking this box.

Displayed Songs counter

This pane, above the Song browse pane, displays the total number of selected Songs in the browse, and the number of the selected Song.

Filter yield

GSelector displays a yield count pane below the browse.

More and All buttons

Used with Browse Window Advanced Search only.

These buttons are displayed in the main Browse window, but are only active in Advanced Search mode. See

Topic Overview: Browse window

Working in the Browse window

The Browse Process summarized

Using the Filter selection pane

Clear Filter

Deleting a Filter or Song List

Saving a Filter or Song List

Modifying a Filter or Song list

Hot Key Searching

Selecting or excluding in the filter pane

Searching by Daypart under Attributes

Searching by Runtime

Starting over

Using Research Attribute

Wildcard searches

Searching by Saved Filter or Saved List

Browse Format Selection

Merge Duplicates

Swap Songs

Browse List

Add Song

Results display pane tasks

Hot Key Searching

Playing Audio

Selecting Songs in the Browse Display Pane

Inverting selections

Sorting by header

Applying Complex Sort Orders

Text Grid Title searching (Predictive text)

Using the Advanced search Option

Searching Inactive Songs

Exporting a Browse in XML

Customizing formats in the Browse Pane; see also the notes on assigning and designing Browse Formats.

Viewing Song details from a browse

The Browse Process Summarized

  1. In the Filter selection pane, select what Filter Tab element (Attributes tab, Artists, Title or Albums tabs, Participants or Media tab) to search by
  2. In the Attributes or Participants tabs, open one or more nodes to display the options to search by.
  3. Optionally, in the Artists Title and Albums tabs, click to search by one option or that option plus another search element.
  4. Optionally, in the Media tab open one or more nodes to display the options to search by, or use the Search field.
  5. To include or exclude search elements, or use a combination of these, click to select or exclude. For more details, see the Filter selection pane notes.
  6. Save any combination of search criteria (see Save Filter and the Save Filter as... notes) for later use.
  7. Or bring up a Saved Filter in the Filter selection box.
  8. The results of your search are displayed in the Results pane (see the Results pane notes).
  9. Information in the browse Display Pane is displayed in a standard format GSelector allows you to specify what fields to use in Editor, Analysis and Library Browses. You can select any relevant field, order in any sequence, and save the results as a Format. Saved Formats can be assigned using the Format toolbar button in the above windows. . You can design different formats in Setup, and apply Saved formats on the fly.
  10. Sort the browse by any header field by clicking the header.

Hot-Key or Quick Searching

You can 'Hot-Key' search in any field in any format, customized or otherwise. Select the field, and type in the first letter to search by. In the Browse, selecting the Artist Field and typing M will move the highlight to Metallica. For more details, see the Hot-Key notes in the Working with Browses topic.

Playing Audio Shortcuts

Keyboard Shortcuts can be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a Browse List, CTRL+F11 will play the element having focus if the Browse list has focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus if the Browse List has focus. When that element finishes playing, the next element lower in the Browse List will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Viewing Song details from a browse

Double-click a song in the results pane to jump to the Song Window to view the details for that song. Optionally, hold the CTRL key while double-clicking an attribute field for the song within the results pane, to jump to that specific field in the Song Window with the cursor in the field ready for editing.

For Example: If you hold the CTRL key while double-clicking the Runtime field of a song, GSelector will jump to the Runtime field for that song in the Song Window with the cursor in the Runtime field ready for editing.

Customizing a Browse format

You can design one or more custom browse formats to use in this pane, by working in the Browse Formats Design window. Once you have designed one or more new formats, you can assign a default format to use in the Browse Display pane in the Browse Formats Assignment window. You can also assign an existing format to the Results pane using the toolbar Format button. This lets you use any field in the Song window or Additional Information window in the format.

TIP: See also the Working with Browses topic for more ways to manage and sort information

Modifying a Filter or Song list

GSelector has a feature to remind you when you are working with a changed Filter or Saved List. This gives you the option to use the changed Filter or List temporarily in this editing session, or to save it permanently (see the notes here). With any previously saved Filter or List, changing the Filter request in any way - re-filtering the List or deleting items in the List - changes the Filter or List name, appending an asterisk to the end of the Filter or List name. In this illustration, the A1 Category Filter name, having been modified by additionally selecting B1 Secondary, is now renamed to A1 Category*. Changed Filter or Lists are available for the duration of the current session. To reset the Filter or List to its original value, click the Reset (see notes here) button, or exit the window, or GSelector completely without saving any changes.

Using the Filter pane in the Browse window

TIP: In the Browse window Artists, Title, Albums, Participants and Media filter pane tabs, you can also do wildcard A text character like an asterisk (*) or a question mark (?) used to represent one or more characters in search text panes. searches. See the notes here.

To select and view Songs, you work in the Filter pane.

  1. Select the appropriate Filter tab to display Songs by Attribute, Artist, Participant, Album or Artist in the Filter selection pane.
  2. If you select the Attribute, Participant or Media tab, you will see a further display of all Attributes or Participants where at least one value has been assigned to at least one Song; in the Media tab, all values are permanently displayed.
  3. Scroll to the selected Attribute, Participant, Song, Title, Album or Media item.
  4. Click a selection.
  3. The Filter pane element now displays total songs for the attributes.

The unselected icon changes to a selected icon, and the associated Songs are displayed in the browse display pane.

Clicking the selected element a second time reverses the selection process, and displays every Song not associated with this Attribute/Participant/Artist/Title/Album. See notes on selecting.

  6. When you have displayed a list of Songs searching under one element, you can then repeat the process to drill down into your library to Filter the displayed list further.
  7. So you could display all Song in a given Category, by selecting that category, and then search for Songs with a specific sound code within that category.

Wildcard searches

In a keyword search, a symbol may sometimes be inserted in the middle of a search term to retrieve words containing any character in the designated position. The Artists, Title, Albums, Participants and Media filter pane tabs allow the use of Wildcards. In GSelector, the default setting in all these windows is a single asterisk. For example, typing wom*n will retrieve both "woman" and "women." Typing A* will retrieve all Artists / Titles / Albums / Participants / Media entries beginning with A. Used on its own, this will find everything in the database. This illustration shows the results of a full wildcard search. In the Participants tab, the default value of all is entered in the search pane. Clicking the Find button will retrieve everything for this station, and select them all for display. Here, the search has returned 765 selected Composers, 643 selected Musicians, and 60 selected Vocalists.

Text Grid searching (Predictive text)

When searching through a long Song list in the Browse pane, select the Song Title, Artist, or Album field, and type in the first letter to jump to all Song titles starting with that letter. Type in a second letter to narrow down your search. This is a handy way to rapidly get to the Song, Artist or Album you want. See the Hot key search notes in the Working with Browses topic for further details.

Selecting Songs in the Browse list

When you apply any criterion in any of the Filter tabs, you are selecting Songs. All Songs that are not selected for display are unselected.

Songs can be also be unselected from display in the Browse Display pane by clicking on the song status field. If the Show unselected song checkbox is unchecked when you click the song status field, the Songs are removed from display.

Check the Show Unselected box to display all Songs that are unselected in the Browse Display pane, and if necessary, to change their status again. The caption displays the total of unselected and selected Songs. If Songs are unselected from the default main Library view, and you check the Show unselected box, these Songs can be displayed along with any Filtered view later on. Selecting and unselecting Songs does not remove them from eligibility to be scheduled. For details on banning Songs from Scheduling by Daypart, see the Banning by Daypart notes in the Song window topic.

TIP: When saving a list, only selected Songs are saved, whether the unselected Songs are displayed or not.

TIP: This form of selection can be changed to the Standard Windows Selection, where the SHIFT and CTRL keys on the keyboard or used for multiple selection, by changing the Library Browse Selection Mode in the Setup | Features | Miscellaneous tab.

Using Research in the Attributes pane

This section should be reviewed along with the companion Song window Research tabs topics, and the Setup section Attributes and Columns topics.

Research Attributes

Research Column

Research Score Date

Research Attributes

All Attributes that are currently assigned to Songs are displayed under this node. See Using Research scores as Scheduling Attributes for full details. Typically a user might search by Research Attributes with a specific Research Score Date.

Research Columns

You can select any defined Research Column and specify a score range within the range you have defined in the Research Column window. This would allow you to view Songs by score ranges, allowing a wider range of scores that would be possible with a single Research Attribute.

  1. Click the Research Column Node to view all Columns.
  2. Click an individual Research Column note or click the [image] More details button to open a pane where you can specify the number range to use.
  3. Enter a range and click OK.
  4. Or click the [image] clear button to close the pane.

Research Score Date

The date on which the Research Score was collected. This Attribute is displayed in the Song window Research pane. As well as the preset values, Custom dates can be entered in the Browse window. This works like the other Date Attributes.

Topic Overview: Browse window


Custom Attribute Values

Custom Attribute Values: the Custom definition pane

When working in the Active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. views in the Browse window, the Notes Browse window or the Link Browse Window, when selecting a Date or Time-related Attribute or Media value, you can specify a custom Date or Time range or value. This lets you specify very precise search criteria.
Accessing
Working with the Custom definition pane

See also the notes for the Browse filter pane, Link Browse filter pane, or Note Browse filter pane.

Accessing Custom definition panes

1. Click the Browse tab in the Library, Note or Linker sections.
2. In the Filter pane, for any of the following Attribute or Media tab values:

Date Activated (Song and Note Browse windows)
Date Added (Song, Note and Link Browse windows)
Entered Category (Song and Link Browse windows)
Hook Start (Song Browse window only)
Hook End (Song Browse window only)
Intro 1/2/3 (Song Browse window only)
Research Score (Song Browse window only)
Runtime (Song and Link Browse windows)
Start Time (Link Browse window only)
End Time (Link Browse window only)
Start Date (Note Browse window only)
End Date (Note Browse window only)
Last Edited (Song Note and Link Browse windows)
Anniversary (Note Browse window only)

3. Click the node to [image] open the Attribute or Media value range for the selected attribute. The Custom field is at the bottom of the range of options in all cases.

Topic Overview: Custom Attribute values

Working in Custom definition panes

1. Select the Custom option, and click the [image] More details button.
2. This opens a pane with fields to enter time or date values.

3. Enter a date or time range as appropriate.
4. Click OK to confirm. The selected values are shown in the Custom option.

5. Any items that match the selected values are displayed in the results pane.
6. To exclude items, click the [image] check icon to toggle to an [image] excluded icon. See the notes on including and excluding for more information.
7. To select a different value range, click the [image] More details button again.
8. The value range remains active until you leave the Browse window or you click the [image] close button.

Topic Overview: Custom Attribute values


Dynamic Statistics windows

Dynamic Statistics windows: Library and Editor

Dynamic Statistics windows are very powerful instant analysis tools: they update instantly as you change the contents of a browse list or Log. You can use view a simple count, a percentage figure, or a ratio, of Songs or Links by any Attribute, measured against the entire library, or any subset - like a Song List , or a Category , or a Category Group .

When working in the Song or Link Browse windows you can analyze the content of the current Browse. Another way to use Statistics would be to get a readout of Songs in your Browse by Sound Code Sound Codes are user-defined Attributes, spreading, or controlling segues between, songs with similar or different "sounds." Typical Codes could be: Long, Short, instrumental, Christmas, Metal, Country, Ballads, etc. , or Theme This Attribute is used to separate or control segues between songs by a general description you define and apply across the entire library. There is no limit to the number you can define. Themes can be applied any way you choose. Examples could be 'War and Peace'; 'Love Songs'; 'Songs for Budget Day', and so on. . Or you could select a Song List, or a Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. , and, again, measure those Songs against any section of your station library, up to and including your entire library station library.

In the Editor, you can view Statistics for the current Hour, the current Day, or any selected period in the current day.

Setting each Statistic up takes moments, and this is then applied instantly to browsed Songs and Links in the Browse window or the Link Browse window , or the contents of your Log in the Editor. You can define as many Statistics as you need. Once defined, the Statistic is permanently displayed in the Statistics window, and updates as your library is modified.

From this window, you can define new Statistics and edit and delete existing Statistics.

Accessing this window in the Library Browse and Link Browse windows

Accessing this window for the Editor

Features in this window

Working in this window

Accessing this window in the Library Browse or Link Browse windows

From the Library section Browse window, or the Link Browse window, select the right-most button in the toolbar to access this window. The window stays open until you close it.

Accessing this window in the Editor

In the Editor toolbar, click the rightmost button in the toolbar to access this window. The window stays open until you close it.

The window displays all defined Statistics.

The Name of each Statistic is entered in the Name field in the Statistic Definition window, together with a value derived by comparing your Primary Criteria with your Against Criteria.

This image shows two of the three Statistic types that you can select when defining a Statistic: Percentage and Count.

Features in this window

The Toolbar controls allow you to Add a new Statistic, or to Edit and Delete any Statistic. All Statistics are listed in the list pane.

Topic Overview: Dynamic Statistics

Working in this window

Defining a Statistic: the process described

Adding a Statistic

Editing a Statistic

Deleting a Statistic

Defining a Time Range for Editor Dynamic Statistics

Defining a Statistic

Click the Add toolbar button to open the Statistic Definition window.

Editing a Statistic

Select a Statistic and click the Edit button to open the Statistic Definition window.

Deleting a Statistic

Select a Statistic and click the Delete button to remove this Statistic.

Topic Overview: Dynamic Statistics

The Statistic Definition window

Defining a Statistic: the process described

The Statistic Definition window is divided into three panes.

In the top Name fields , you name, define a time range (Log Window only) and specify the numerical type of Statistic.

In the Primary pane , you set the primary criteria to analyze - for example, Vocal Attributes with a Male Value.

In the Against pane , you set the Criteria to Analyze against - for example all Vocal Attributes.

Click any area in this window for help

Click any area in this window for help

Statistics Name fields

Name

Time

Type

Primary Pane fields

Primary Target

Primary Attribute

Primary Value

Against Pane fields

Against Target

Against Attribute

Against Value

Statistics Name fields

These fields are used to define the basics for each Statistic.

Name

Enter a Name for the Statistic here. Enter a name that clearly defines the function and purpose for this statistic. This is displayed in the main Statistics window, together with the value derived by comparing your Primary Criteria with your Against Criteria.

Time (used in the Editor window only)

This field allows you to set a time range for the Statistic, when working in the Editor window. There are three options: you can select the Current Hour, or the Current Day, or you can specify a time range within the Current Day. Time Ranges are continuous for the Start to the End Hour.
Defining a Time Range

Deleting a Time Range

Editing a Time Range

Defining a Time Range for Editor Dynamic Statistics

  1. In the Time field, click the Add Time Range [image] button at the right of the Time field to open the Hours pane.
  2. In this pane, enter a Name and select a Start and End Hour.
  3. Click OK to close this window and display the named Hours Range in the time field.
  4. This Hours range is then available to select for any Dynamic Statistic used in the Editor.

Deleting a Time Range
  1. In the Time field, select a Time Range from the Drop-down Time Range list, so that Time Range is displayed in the Time field.
  2. Click the right-most Clear [image] button in the Time field
  3. The selected Time Range is removed.

NOTE: You cannot delete the Current Hour and Current Day Time Ranges.

Editing a Time Range
  1. In the Time field, select a Time Range from the Dropdown Time Range list, so that Time Range is displayed in the Time field.
  2. In the Time field, click the Add Time Range [image] button at the right of the Time field to open the Hours pane showing your existing settings.
  3. Modify Name and Hours as required.
  4. Click OK to close this window and display the named Hours Range in the time field.
  5. This Hours range is then available to select for any Dynamic Statistic used in the Editor.

Type

You can select three types of Statistic to display:
Count: The window shows a total count of Songs that match Primary settings. Values in the Against settings are ignored.
Percentage: The window shows the percentage of Songs that match Primary settings as a percentage of Songs that match Against settings.
Ratio: The window shows the Ratio of Songs that match Primary settings against the Songs that match Against settings.

Primary settings

These three fields let you specify what you wish to display for the Statistic. The criteria you select are shown by Type in the Statistics window: as a count, or percentage or ratio of value in the Against settings.

Primary Target

Select either the Attribute, or Song or Link Filter options, or All Elements, then narrow down your options in the next, Attribute, field.

Primary Attribute

In this field, you select from either a list of your Attributes and Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. , or your Filters and Song or Link Lists , depending on the selection in the Target field, or select all Elements to view the statistics for the entire library.

For example, if you selected Attribute in the target field, you might then select Energy in this field. Or if you selected Song Filter, would then choose a Filter or Song List in this field.

Primary Value

In this field you can further specify a Value for an Attribute or Participant specified in the Primary Attribute field.

Against Pane fields

These three fields let you compare your Primary settings against settings that you specify here. If you do not enter any values in this window, GSelector will measure your Primary settings against the Station library.

Against Target

Select the Attribute, Song Filter or Total Elements options. If selecting Attribute or Song Filter, narrow down your options in the next, Attribute, field. Total Elements will provide an analysis against the entire Station Library.

Against Attribute

In this field, as in the Primary Attribute field, you select from either a list of your Attributes and Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. , or your Filters and Song Lists , depending on the selection in the Target field.

Against Value

In this field you can further specify a Value for an Attribute or Participant specified in the Against Attribute field.

Defining a Statistic: the Process Described
  1. Access the Statistics [image] window in the normal way in the Library or Link Browse windows, or the Editor window.
  2. Click the Add button to open the Statistics Definition window
  3. Enter a descriptive name for the Statistic - for example, Content percentage, or Openers count - in the Name field.
  4. From the Editor only, select or define a Time range in the Time field.
  5. Specify Count, Percentage or Ratio in the Type field.
  6. In the Primary Target field select either the Attribute, Song/Link list or Total Elements option.
  7. Where required, go on to select a specific Attribute, and then a Value for the Attribute or Filter/List.
  8. Repeat as required to design an optional Target value in the Target field to allow percentage or ratio readouts.
  9. Click OK to close this window and return to the Dynamic Statistics window.
  10. The new Dynamic Statistic is displayed in the window, and updates according to the underlying browse list or the selected hour or period in the Log.

Topic Overview: Dynamic Statistics


Browse Window Advanced Search

Advanced Search tool

Along with the regular search tools in the Song, Link and Notes browse windows and the Editor window, GSelector offers an Advanced Search tool in these windows. This allows the user to search across the entire Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases., or to search within one or more Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. libraries, combining ranges of criteria, building in multiple sorts. In the Song and Link Browse windows, Advanced searches can include active An Active item - a Song, Link or Note - is available to schedule in the current station. and inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. songs.

A modified version of this tool is available in the Interfaces Media Monitors window, used to search for matching Songs when importing Media Monitors data. See the notes in this topic, and the Find Songs Tool notes

TIP: In the Browse and Editor, the Advanced Search tool does not offer a default search, showing all Songs Links or Notes in the current Station: there is no data in the Filter Pane or the Results Pane. You search in this window by working in the blank Filter Pane, and adding one or more queries, before clicking the Search Button.

Accessing this window

Songs

Links

Notes

Editor

Interfaces Media Monitors

Features in this window

Working in this window

Accessing this window

From the Library Browse window, click the Advanced Search button at the top left of the Filter pane. This opens the Advanced Search Pane in the Browse window, as shown below; it replaces the Filter Selection pane.

From the Linker Browse window, click the Advanced Search button at the top left of the Filter pane. This opens the Advanced Search Pane in the Links Browse window, replacing the Filter Selection pane.

From the Notes Browse window, click the Advanced Search button at the top left of the Filter pane. This opens the Advanced Search Pane in the Notes Browse window, replacing the Filter Selection pane.

From the Editor Toolbar, click the Advanced Search [image] button. This opens a freestanding Advanced Search Pane, shown below.

In the Interfaces Media Monitors window, click the Search [image] button at the right of any Song entry in the Map Songs pane to access the Find Songs version of the Advanced Search tool.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Browse Window Advanced Search

Features in this window

Filter selection

Advanced Search Filter Pane

Advanced Search pane for Editor window

Add query button

Delete query button

Search Options

Close Advanced Search button

Find Songs Advanced Search tool

Find Song Results Pane

Select Button

Queries

Fetch Number of songs

Search Button

Query Window summary pane

Results pane (Browse windows and Editor window)

Toolbar

More and All buttons

Results Pane (Interfaces Media Monitors Find Songs tool)

Filter or Song/Link/Notes list selection box

You can apply any previously saved Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window., or display any saved List A saved list of Songs, Links or Notes, browsed and saved in the Song, Link or Notes Browse window respectively..
Click the selection arrow to access the list of saved Filters and Lists.
Where more Saved filters or lists exist than can be displayed, use the scroll bar to select.
Select or scroll down to the desired Filter or List, and click or enter to display Songs/ Links/Notes by the selected Filter, or the saved List in the Results pane.

For more information see the notes on working with Filters and Lists in the Filters and Lists Enter Name box topic.

Advanced Search Filter pane for Song, Link and Notes Browse windows

This pane allows you to assemble a browse by specifying a query, and then, line by line, combining it with further queries. Every query, or element of your Browse request, is listed in the Search Summary pane. For full details on using the tools in this window, see the Building Search Request notes in this topic. The search criteria is automatically saved so the next time the Advanced search is used the previous search criteria is displayed. This saved criteria is persistent until GSelector is restarted.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Browse Window Advanced Search

Advanced Search pane for Editor window

When you access the Advanced Search pane in the Editor, you can only search Active songs for the current station, as shown by the default first query line. Completing a search will close this pane and open the search results in the Editor Consideration pane. The search criteria is automatically saved so the next time the Advanced search is used the previous search criteria is displayed. This saved criteria is persistent even after closing and restarting GSelector.

Click any area in the image for help.

Click any area in the image for help.

Add Query button

Click the Add Query [image] button to open a Query. Each Query in the search occupies a separate line.

Delete Search element button

Click the Clear All [image] button to delete all Queries in the current search. Note that you can clear an individual query directly from the query line.

Search Options

This drop-down allows the user to search the current station or All Stations in the database. Click the Search drop-down to change from the default Station Specific: Current Station to Station Specific: All Station.

Close Advanced Search button (Browse windows only)

Click the Close Advanced Search [image] button or press the ESC key to exit Advanced Search mode and return to the main Browse window.

Find Songs Advanced Search tool

This version of the Advanced Search tool is used when importing data from Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050.. The window is used to match Song data in the GSelector and Media Monitors databases. It is opened for a specific Song from the Interfaces Media Monitors window, showing Artist and Title data Search Elements taken from the Media Monitors database, and in the Results Pane, possible matches in the GSelector database. The default Search Type in the Search Elements pane is Partial Text Match, which offers the best chance of matching the Media Monitors Song Title and Artist text to the GSelector Song Title and Artist names. Selecting a match closes this window and returns you to the Interfaces Media Monitors window.

If there is no satisfactory search result in the Results Pane, you can use the advanced search tools to locate the correct item. See the notes in this topic on working in the Advanced Search window.

Click any area in the image for help.

Click any area in the image for help.

Find Song Results Pane

The Find Songs Results pane shows all Songs active on your current station that are a partial text match for the search criteria in the Search Elements.

Select Button

Click the Select button to match the selected item in the results pane with the Media Monitors Song entry.

Queries

Operator

Attribute

Search Type

Search Text

Clear button

See also the Building Search Request notes in this topic.

Each element of your search is added by clicking the Add Query button. When you add a query, it is added on a new line. In each line, you first select the Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. by clicking the drop down arrow, and then the search type, which varies according to the Attribute, and finally a Search Text qualifier. In the Song Browse example here, we are looking for Active Songs (selected in the Attribute Column, and True in the Search Type column), in Utopia FM as specified in the Search Text and finally the Station. So this search element calls for Active Songs on Utopia FM.

Click any area in this image for help

Operator

This boolean operator Named for the 19th century mathematician George Boole, the terms AND, OR, and NOT are used in logical expressions to construct search statements in databases. field is used on the lines for second and subsequent queries. See the notes on Combining Queries in this topic for details.

Attribute

Click the drop-down arrow to select any Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. to use in the query. All Attributes, Additional Attributes and User-Defined Attributes and Song Media ID are included in this drop-down list. The Attribute you select will determine the available Search type and Search Text. So if you select the first Attribute in the list - Active - you can apply True or False. If you select a descriptive Attribute you can apply a range of Search Types. The full list of Search Types is listed below.

Note: Total Plays is not available as an Attribute selection at this time.

Search Type

The Search types available in this field are determined by the selected Attribute.
True/False: Two options only: the selected Attribute is either included or excluded.
Text Attribute fields: GSelector provides a range of options to match or exclude partial or complete parts of the text. You can select any one of these in a search line, or use a combination in different search lines. See the Text Search Type Options notes for more information,
Number, Date and Time Attribute fields: GSelector provides a range of options to specify a range or a greater or lesser value, sometimes qualifying the values using the Search Text.

Search Text

The values in this field are determined by choices in the Attribute and Search Type fields. With Stations, you can select from a Station Database, All Stations or Any Station. With Text fields, you enter Text to match or avoid, and with Numeric or Time values you enter a number or number range to match or avoid.

Clear button

To clear any query line, click the button at far right of the line.

Fetch Song Number (Browse windows only)

The Fetch value determines the number of records that will be displayed in the Results Pane when the Search is executed. Clicking the More button will fetch another number of songs. If Fetch is set to 100, then the first Search will display 100 records. The More button will then fetch the next 100 records, and will continue to do so each time the button is clicked. This is particularly useful when reviewing a search across a large database covering multiple stations.

Search Button

Click to initiate the search once you have defined your search.

Query Window summary pane

All elements in the search are summarized in this pane. For query a new line is added which summarizes the element defined in the Advanced Search pane.

TIP: You can assign an Appearance to the Text in this pane. In the Appearances assignment window, select an Appearance for the Query Window under the Advanced Search heading. The Appearance will be applied in all stations in the main advanced search browse window and the editor advanced search window

Topic Overview: Browse Window Advanced Search

Results Pane (Browse windows and Editor window only)

Results Pane Toolbar
More and All buttons

See also the notes in this topic for the Find Songs Results Pane

This pane displays the results of your search. It works in exactly the same way as the results pane in the main Browse Window. However, there is one feature that is exclusive to this window, which is disabled in the main Browse window: The More and All buttons.

Results Pane Toolbar

In the Toolbar, save any existing Filter setting or list, save a modified Filter or List as a new Filter or List, or delete the existing Filter or List.

The buttons at the right of these controls allow you to invert the Selection, reset the Filter, Show Dynamic Statistics for this browse and export to XML. The Toolbar for the Songs and Links results pane also allows you to apply a different browse format, Merge Duplicates and open the Browse List window.

Invert Selection button

Reset button

Save Filter or List button

Save existing Filter or List as New button

Browse Format Selection button

Save Filter or List window

Dynamic Statistics

Export To XML

Browse Format Selection

Merge Duplicates

Browse List

Save Filter or Song list button

Click this button to save changes to an existing Filter or Song List, or to Save a new Filter or Song List. If you are saving a new Filter or Song list, the Enter Name dialog box opens.

NOTE: When Saving a Song list, Unselected Songs are not saved, whether or not the Show unselected Songs box is checked.

Save Filter or Song list As.. button

To save a modified Filter or Song list , click the Save As New Filter or Song list button to open the Enter Name dialog box.

This dialog box is used in the Song, Link and Notes browse windows. It has a range of secondary functions, allowing, for example, with Songs and Links (but not Notes), the ability to merge a List with a previously saved list. To save a Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. or a Song list , click the appropriate radio button, enter a name and click OK. For full details on working in this dialog box, see the Filters and Lists - the Enter Name box topic.

Delete Filter or Song list button

To permanently delete any Filter or Song list, select that Filter or Song list and click the Delete button. The library browse pane returns to its unfiltered state, and the Filter or Song List is removed from the saved list.

Invert Selection button

Click this button to reverse the selections for all Songs in the Browse pane. If a Song is selected, it will become unselected; conversely, unselected Songs will be selected.

Reset button

To clear a modified Filter or Song list from the browse without deleting the saved Filter or Song list, click the Reset Filter button. The library browse returns to its unfiltered state, but the Filter is retained in the saved Filter list.

TIP: When you have added or edited some attributes or participants, using the Multi-Song changer, click this button to refresh the attribute or participants lists.

Dynamic Statistics

Click this button to access the Dynamic Statistics window, which allows you to analyze and measure the contents of your browse in a number of ways.

XML Export button

Click this button to view and select formats, designed and specified in the Export XML window, for Song XML export types. Select a format and click to export a XML file of the currently browsed Songs details to the selected destination for that format. See the notes on Working with XML for more information.

Browse Format Selection button

While formats can be permanently assigned to the Browse window in the Browse Formats Assignment window, this button allows you to temporarily select and apply any format that you have designed in the Browse Formats Design window. This feature is available for Active songs and links.
1. Click the arrow to the right of the button.
2. Select a format and double-click or press enter.
3. The new format is assigned to the browse window.

For more information on custom designing formats, see the Browse Formats Design and Browse Formats Assignment topics.

Merge Duplicates

This Merge Duplicates button enables users to resolve the common problem of having duplicate songs or links in an enterprise database and the need to eliminate some or all of the duplicates after selecting one of the duplicate records to remain standing as the survivor. Schedule history and station-specific attributes will be moved over to the surviving record for each station of which the surviving Song or Link is to become active. See the Merge Duplicates topic for additional details.

Browse List

Click the Browse List button to open the Browse List pane in the Song or Link Browse windows. From the Browse List pane the user can create lists of Songs or Links for scheduling special programming, such as holiday countdown shows, “A to Z” weekends and other forms of programming in which an arbitrary list of songs or links must be scheduled in sequence. Lists created using the Advanced Search window are available in the List drop-down of this pane and can be edited from this Browse List pane.

Displayed Songs counter

This pane, above the Song results pane, displays the total number of Songs in the browse, and the number of the selected Song.

More and All Buttons

Searches across a large enterprise database can turn up very large search results. With some computers, or if working across LAN A Local Area Network. This is often implemented across one site. or WAN A Wide Area Network. This is used to link remote locations. networks, displaying all search results can put a strain on system resources. If this is the case, you can choose to view the search results bit by bit, each bit according to the number you have specified in the Fetch Number field. Click the More button to view the next batch of Songs. Click the All button to fetch all the Songs.

Topic Overview: Browse Window Advanced Search

Working in this window

Building a Search Request

The basic Search Process described

Text Search Type options

Clearing a query line

Combining Queries

Grouping Queries

The Grouping Process

Un-grouping

Applying a Sort

Searching for inactive Songs

Changing the Appearance of Searches

Merge Duplicates

Browse List

Building a Search Request

When you design a search, you enter a series of queries, adding them line by line. You should set these out in order of importance in the Filter Pane - that is, the most important query of the search should be the first line of your search. You can group elements by dragging and dropping.

The basic Search Process described
  1. Click the Add button to add an query line

  2. Click the drop-down arrow in the Attribute field and select an attribute from the drop down list.
  3. Click the drop-down arrow in the Search type field and select a Search type. Note that Search Types vary according to the selected Attribute; see the Text Search Type options notes below.
  4. Click the drop-down arrow in the Search Text field and enter a value or values.
  5. The search criterion you have entered is displayed in the Search Summary Pane
  6. Click the Add button again to add a new line.
  7. Optionally Group Queries together to create more complex search statements.

Text Search Type options

When working with a text Attribute (such as Artist, Title, Participant, Album Title, Film Name, and so on), GSelector offers a very powerful range of search type options. You can, for example, search for a part of the name, or look for the beginning or the end of text information, exclude material, or even try fuzzy matches if you are not quite sure of the exact wording. This is a very powerful tool, and is particularly useful when searching in large databases. You could, for example, set up a combined search across multiple stations (or even the entire library, by specifying both active and inactive songs for your current station in successive lines), and then add a fuzzy match query for an artist. This should bring up all potential spellings (and mis-spellings) added to your selected stations or the global database for this artist.

Combining Queries

When you add a second of further query to a search, the Operator field in this line offers you two options:

And: Add the criteria in this query line to the criteria in the previous line to provide a set of criteria, all of which must apply in the search.

Or: Apply the criteria in this query line to the criteria in the previous line to provide a set of criteria, any of which can apply in the search.

So in this image, you are looking for active Songs on either of two stations - Utopia FM and Child FM. If you select the and operator, you would be looking for Songs which were active on both Utopia FM and Child FM, you would select the and operator.

Grouping Queries

This feature allows you to combine two or more Queries together so that they are treated as one Query line in relation to other Queries. In this example, the search request is for a grouped search expression (M vocal code or G vocal code songs), which have a runtime of between 2:30 and 4:14. This expressed in the summary pane with brackets around the first two, grouped, search expressions. Grouped Queries are shown in an expandable group, which can be closed or opened as required by clicking the group node.

The Grouping process described

To combine Query lines into one statement is a straightforward process. Select an Query and drag to another Query. Any Queries in between the selected Query and the target Query will be grouped together.

  1. Click row indicator to select a Query line.

  2. Still clicking, drag the Query onto another Query, moving up or down.

  3. A right-pointing arrow at the left of the Queries list appears to show where the Query will be dropped.

  4. Release to group all the Queries that have been dragged over into one group.

  5. The grouped Queries are shown in an expandable group under a group header line, which can be closed or opened as required by clicking the group node.

Un-grouping Queries

Select and click the clear button at right of the group header to delete the group. The Queries are not deleted, but simply ungrouped. See the notes here about clearing a single Query line.

Applying a Sort

When defining a search, you can also apply one or more Sorts.
Click any Header in the Browse Results pane to apply a single Sort order, ascending or descending. The results of your search are displayed in the Query Window.

To add another secondary Sort order, press the Shift Button and click a second header. This will add a second element to your Sort Request.

You can repeat adding further Sort orders, only limited by the number of fields in your Browse Format . For more information, see the Sort notes in the Working with Browses topic.

Searching for Inactive Songs
  1. Click the Advanced Search button in the Library Browse window
  2. Click the Add [image] Button above the Advanced Search pane.
  3. The Attribute column defaults to Active. Set the Search Type column to False from the drop-down menu.
  4. The Search Text defaults to the current station, but can be changed to any station using the drop-down.
  5. Click the Add [image] Button again to search by a specific Attribute such as Artist. See Group Queries for more information.
  6. Click the dropdown arrow in the Search type field and select a Search type. Search Types vary according to the selected Attribute.
  7. Click the dropdown arrow in the Search Text field and enter a value or values.
  8. Save the list to a Filter or List.

When activating a Song, the Song is first selected from the inactive list, and then activated in the Song window or the Library window. If you are activating a new Song that has never been activated before in any station, you will need to fully code the Song in the Song window according to your goal preferences. If you are re-activating a Song, its previous settings in this station are retained.

Changing the Appearance of Searches

Working in the Appearances definition window, you can design a custom Appearance for the text in the Queries window. You can then assign this appearance in the Options: Appearances Assignment window.

  1. Design an Appearance.
  2. In the Options: Appearances Assignment window, select the Appearance for the Query window, under the Advanced Search node.

Topic Overview: Browse Window Advanced Search


Filter and List Enter Name box

Filters and Lists - the Enter Name box

The Enter Name dialog box is used in the Song Browse , Link Browse and Notes Browse windows to save either Browse contents or Browse criteria as Lists or Filters. It has a further function, allowing the user to merge existing Lists with Saved Lists. Once saved, the dialog box closes and you are returned to the underlying Browse window.

Accessing this window

Features in this window

Working in this window

Working with Filters and Lists

Accessing this dialog box

In the Song Browse, Link Browse and Notes Browse window, once you have browsed a set of Songs Links or Notes, click the [image] Save or [image] Save as New toolbar buttons, to access this window.

Click any area in the image for help

Features in this Dialog Box

Filter and List radio buttons

Name field

List Merge option

Target Merge List name

Filter and List radio buttons

Select the Filter option to save your current search criteria as a Filter. Select the List option to create a Saved list of the items in your browse pane. When you select the List option, you activate the Merge checkbox and Target fields.

Name field

Enter a Name for the List or Filter in this field. You must enter a Name; a Filter or List without a Name cannot be saved.

List Merge Checkbox

Check this box when the List Radio Button is selected, to opt to merge the selected Browse contents with an existing list, selected in the Target field.

Target Merge List name

Select a Target saved List from the dropdown list in this field, to merge with the current contents of the browse, when working with Lists.

NOTE: You can only merge like with like. Song Lists cannot be merged with Link Lists.

Overview: Filters and Lists Enter Name dialog box

Working in this Dialog box

Save a Filter
Save a List
Saving as New
Merging Lists
Working with Filters and Lists

Save a Filter

1. Browse Songs, Links or Notes in the usual way, applying whatever filter criteria required.
2. Click the Toolbar Save button to open the Enter Name box.
3. Select the Filter radio button.
4. Enter a brief descriptive name.
5. Click OK.
6. Your Filter criteria are saved and can be recalled in the browse window Filter selection box , as well as in other areas of GSelector.

Save a List

1. In a Browse window, browse Songs, Links or Notes in the usual way, applying whatever filter criteria required.
2. Click the Toolbar Save button to open the Enter Name box.
3. Select the List radio button. Note that the Merge fields are activated, should you wish to use these.
4. Enter a brief descriptive name.
5. Click OK.
6. Your List is saved and can be recalled in the browse window Filter selection box , as well as in other areas of GSelector.

Saving as New

1. In a Browse window, open a Filter or a List from the Filter selection box , and modify as required. See the Browse window notes on Modifying Filters or Song Lists .
2. Then click the Save As New button.
3. The Enter Name dialog box opens.
4. Follow the List or Filter steps outlined above.

Merging Lists

1. In a Browse window, browse Songs, Links or Notes in the usual way.
2. Click the Save button.
3. Select the List radio button. Note that the Merge fields are activated.
4. Check the Merge Checkbox, and select an existing List.
5. Click OK. The new browsed material is saved to the selected list.

Filters and Lists

A Filter is a set of search criteria.
Once you have specified a combination of Song, Link or Notes search criteria in the Library Browse window, the Link Browse window, or the Notes Browse window respectively, you can save this combination as a Filter and recall it for later use. You can create, name, modify, save and delete any Saved Filter. The results are displayed in the relevant Browse window, or viewed in sequence in the Song, Link or Notes window.

NOTE: Individual Song Link or Note filtering is not saved in a Filter: if you unselect an item from a browse, this does not change the saved filter.

A List is a browsed list or set of Songs, Notes or Links, filtered or otherwise.
Lists are created when applying a Filter, saved or otherwise. Any List can be re-filtered using a different saved or new Filter. Once you have created a List, you can save this as a Saved List and recall it for later use. When saving a List, only the items displayed in the Browse pane are saved. You can create, name, modify, save and delete any List. The contents of a list can be viewed in the browse, or viewed in sequence in the Song, Link or Note window.

NOTE: A Filter will always generate a list that is completely up to date, while a Saved List will not be updated once it is generated, unless you edit it. To generate a current list of Category Group A Songs, filter by Category Group A. If you save this as a Song List, it will reflect changes made to the Songs, but will not update to reflect new additions to the Category Group.

Overview: Filters and Lists Enter Name dialog box


Browse Lists

Browse List pane

The Browse List pane is available in the Song and Links browse windows using the Browse List button. The Browse list pane can be used to Add or Edit Lists created in this pane or in the Advanced Search window. A Browse List can be specified for a Clock position. When the scheduler encounters the position it will use the “next” element in the browse list to fill the position. This feature allows users full control when scheduling special programming such as holiday seasons, countdown shows, “A to Z” weekends and other forms of programming in which an arbitrary list of songs or links must be scheduled in sequence. Audio can be played from a Browse List when the list has focus. See the Using Audio in GSelector topic for more details.

Accessing this window

Features in this window

Working in this window

Accessing

The Browse List pane can be accessed from the Songs or Links Browse windows by clicking the Browse List [image] button in the toolbar.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview Browse Lists pane:

Features in the Browse List pane

Toolbar

Browse List Selection

Bookmark

End of List

Direction

Counter

Browse List Management

Browse Format Selection

Enter Name window

Right-click Menu Options

Spread

Invert

Kick

Sort

Shuffle

Toolbar

The toolbar in the Browse List pane allows the user to accomplish the following tasks.

Save - Click Save to Save changes to an existing Browse List or to Save a new browse list. When saving a new browse list the Enter Name window will open.

Save As - The Save As button can be used to Save the changes as a new list. When saving an existing browse list as a new list the Enter Name window will open.

Undo Changes - the Undo changes button will undo all changes made to the current list.

Delete - Click the Delete button the delete the currently highlighted position(s) in the list.

Remove Duplicates - The Duplicate toolbar button will remove all the duplicates found in the selected list.

Browse List Selection

Click the Browse List selection drop-down to select an existing browse list or to create a new Browse List by selecting [New Browse List].

Bookmark

The Bookmark field is used to Bookmark where GSelector should start when scheduling from the list. The bookmarked position is highlighted in red. The Bookmarked position can be set using the up and down arrows next to the bookmark field or by double-clicking the position in the list.

End of List

The End of List is used to tell GSelector what to do when it reaches the end of the Browse List when scheduling. Use the drop-down to select Stop or Repeat. When this option is set to Stop, when GSelector reaches the end of the list, it will leave all remaining browse list positions Unscheduled. When this option is set to Repeat, GSelector will Wrap back to the starting point of the list. The direction it uses when repeating the list is based on the Setting selected for the Direction field.

Direction

The Direction drop-down is used to select the direction in the list, starting from the bookmark, GSelector will look for the next Song or Link to Schedule. GSelector can schedule the list in Forward or Reverse order.

Counter

When a browse list is scheduled each song or link is numbered. Users can see these numbers in the log. The Counter setting determines how those numbers will be constructed. When Bookmark is selected GSelector will use the song position number from the browse list. When Count Up is selected GSelector will use 1 for the first song or link scheduled from the browse list and count upward from there. When Count Down is selected GSelector will use the total number of songs or links in the browse list for the first song or link scheduled and count downward from there.

Browse List Management

The Song Browse List displays the Position, Title, Artist, Category, Total Plays, and the date and hour Last Played for the song for the current station. The Link Browse List displays the Position, Title, Category, Total Plays, and the date and hour Last Played for the link for the current station. The Browse List can be sorted by clicking on any of the column headers. When the list is resorted by these column headers the list must be saved to play the browse list in the newly sorted order. When the list is saved the Position numbers will be updated for the newly sorted order. If the newly sorted list is not saved the list will play in the previous Position order. Click the Pos column, so position 1 is at the top of the list, to return the list to the previous position order. Songs or Links can be added to a song or link Browse List by clicking and dragging the songs or links to the List.

Browse Format Selection

The Browse Formats [image] button, in the Song or Link Browse window, can be used to select a browse format for the Song/Link Browse window or Browse List. It can be used to save the default format as a new format, save changes to an existing format, save an existing format to a new browse format, set a selected format as the assigned format for the window or temporarily assigned just for the session. Formats can also be permanently assigned to the Browse window in the Browse Formats Assignment window. Browse Formats can be designed in the Browse Formats Design window.

  1. Click the arrow to the right of the button.

  2. Select Library.

  3. Select a format.
  4. The new format is temporarily assigned to the browse list window.
  5. Optionally, click the arrow to the right of the button again and select Set Selected Format as Assigned.
  6. Optionally, right-click a column header to Modify or Remove columns.
  7. Click the arrow to the right of the button again.
  8. Click Save or Save As if desired.

Save or Save As.. button

To save a new list, click the Save [image] button to open the Enter Name window . To save changes to a list with a new list name, click the Save As [image] button to open the Enter Name window. The Enter Name window is used to give the new list a name. The Filter and Merge options a not available from the Browse list pane. See the Advanced Search topic for information on creating filters and merging lists.

Right-click Menu Options

The Browse List right-click menu can be used in two ways, to make changes to the entire list or to a range of selected elements in the list. The range of selected elements can be a consecutive group (using the SHIFT key) or non-consecutive (using the CTRL key). The right-click menu can be used to Spread, Invert, Kick, Sort and Shuffle.

Spread

The Spread option, of the right-click menu, can be used to spread All (F8) or only the Currently selected elements by the value of the selected attribute. F8 on the keyboard can also be used to Spread All elements in the browse list.

Invert

The Invert option, of the right-click menu, can be used to invert the list. When only one element is selected in the list, selecting Invert will invert the entire list. If multiple elements are selected from the list, Invert will only invert those elements selected. F6 on the keyboard can also be used to invert elements in the browse list.

Kick Current Row

The Kick Current Row option, of the right-click menu, can be used to kick the currently selected element. When only one element is selected in the list, selecting Kick Current Row will kick the element to the bottom of the order list. If multiple elements are selected from the list, Kick Current Row will kick all the selected items to the bottom of the list. F3 on the keyboard can also be used to Kick the selected elements in the browse list.

Sort by

The Sort by Title option, of the right-click menu, can be used to sort the list in Ascending or Descending order. When only one element is selected in the list, selecting Sort by Title will sort the entire list by the selected sort order. If multiple elements are selected from the list, Sort by Title will sort only those elements selected by the selected sort order.

Shuffle

The Shuffle option, of the right-click menu, will shuffle the entire list if only one element is selected. If multiple elements are selected from the list, shuffle will only shuffle the selected elements. When the list is shuffled the elements are placed in a random order. F4 on the keyboard can also be used to shuffle elements in the browse list.

Total Number

The number at the bottom of the Browse List window shows the total number of assets in the list.

Topic Overview Browse Lists pane:

Working in the Browse List pane.

Create a New Song Browse List

Create a New Link Browse List

Edit a Browse List

Spread or Sort

Create a New Song Browse List
  1. Select the Browse tab from the Library window.
  2. Click the Browse List [image] button from the toolbar to open the browse list pane. The list will default the [New Browse List]

  3. Click and drag the desired songs to the Browse list from the Browse window. When a Duplicate song is added to the list the user will receive the following prompt.

  4. Click Yes or No if the message is displayed.
  5. Optionally, click and drag the songs in the Browse List to resort them as needed.
  6. Double-click a song in the list to set the bookmark or use the up and down arrow next to the Bookmark field.
  7. Set the End of List option
  8. Set the Direction that GSelector is to schedule the list from the bookmarked position
  9. Select the Counter option to use when scheduling the list.
  10. Click Save or Save As to open the Enter Name window.
  11. Enter a Name for the New Browse List.

Create a New Link Browse List
  1. Select the Browse tab from the Linker | Link Library window.
  2. Click the Browse List [image] button from the toolbar to open the browse list pane. The list will default the [New Browse List]

  3. Click and drag the desired links to the Browse list from the Browse window. When a Duplicate song is added to the list the user will receive the following prompt.

  4. Click Yes or No if the message is displayed.
  5. Optionally, click and drag the songs in the Browse List to resort them as needed.
  6. Double-click a link in the list to set the bookmark or use the up and down arrow next to the Bookmark field.
  7. Set the End of List option
  8. Set the Direction that GSelector is to schedule the list from the bookmarked position
  9. Select the Counter option to use when scheduling the list.
  10. Click Save or Save As to open the Enter Name window.
  11. Enter a Name for the New Browse List.

Edit a Browse List
  1. Select the Browse tab from the Song Library or Linker Library window.
  2. Click the Browse List [image] button from the toolbar to open the browse list pane.
  3. Use the List Selection drop-down to select an existing List.
  3. Click and drag the desired links to the Browse list from the Browse window.
  4. Optionally, click and drag the song/link in the Browse List to resort them as needed or use the Alt+Up and Alt+Down to move the selected song/link up and down the list.
  5. Double-click a link in the list to set the bookmark or use the up and down arrow next to the Bookmark field.
  6. Set the End of List option
  7. Set the Direction that GSelector is to schedule the list from the bookmarked position
  8. Select the Counter option to use when scheduling the list.
  9. Click Save to save changes to the existing List
  10. Or click Save As to open the Enter Name window to create a new list.
  11. If Save As was clicked, Enter a Name for the New Browse List.

Spread or Sort
  1. Select the Browse tab from the Song Library or Linker Library window.
  2. Click the Browse List [image] button from the toolbar to open the browse list pane.
  3. Use the List Selection drop-down to select an existing List.
  4. Right-Click the List to Spread or Sort the entire list. Optionally, use SHIFT or CTRL keys to select specific elements from the list, then right click the selection.

  5. Select the Spread or Sort option. If you choose Spread you will see options of All and Current. Select All to spread all the elements by the attribute value. Select Current to spread only the currently selected elements by the attribute value. When the Sort is selected you will see options of Ascending and Descending to control the sort order.
  6. Click OK to complete the changes.
  7. Click Save to save the changes.

Topic Overview Browse Lists pane:


Merge Duplicate Songs/Links

The Merge Duplicate window is used to resolve the common problem of having duplicate songs or links in an enterprise database. It allows you to eliminate the duplicates after selecting one of the duplicate records to remain standing as the survivor. During the merge, schedule history and station-specific attributes will be preserved for each station in the surviving record. Filters and Browse List sorts can be used to narrow the amount of songs or links that are displayed in the Duplicates window. When the Merge occurs, GSelector copies the station-specific data from the disposed songs or links to the survivor for that station. The Global data is copied from the disposed songs or links, which does not exist in the survivor, to the survivor. All scheduled instances of the disposed songs or links are replaced with the survivor. Merge Duplicates is a powerful option to which some GSelector administrators will wish to block access. Security can be set for this option by changing the access to the Merge Duplicates node under Library in the Tools | Administration | Security | Roles window. When set to anything other than Read/Write, the Merge Duplicates toolbar button in the Library | Browse window becomes hidden.

Accessing Merge Duplicates
Features in the Duplicates window
Working in the Duplicates window

Accessing

The Merge Duplicates window can be accessed from the Song or Link Browse window using the Merge Duplicates [image] button.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Features in the Merge Duplicates window

Toolbar
Merge List

Toolbar

The Toolbar is used to Merge selections and undo or redo a selection.

Merge List

The Merge List is pulled from the Filtered or Browse List being viewed in the Browse window before the Merge Duplicates button was clicked. The following columns are visible in the Merge List:

Include - The Include column is used to remove songs so they will not be included in the merge.

Title - The Title shows the Title of the Song or Link.

Artist / Album / Version - These columns help identify different instances of the same song.

Media ID - The Media ID column identifies a Song or Link.

Runtime - The runtime column shows the runtime of the Song or Link

Source Attributes - The Source Attribute column is used to select the Song or Link that has station-specific attributes that you want to keep for the survivor. These source attributes will replace the station-specific attributes of the surviving Song or Link in the current station.

Survivor - The Song or Link selected as the Survivor will be the single record that survives the merge with the other Songs or Links in the list.

Working in the Merge Duplicates window

  1. Using the Song or Link Browse window create a Filter or Browse List.
  2. Click the Merge [image] button from the Browse window toolbar
  3. Verify the assets in the Duplicates window are the assets you wish to merge, use the Include column to remove assets that are not to be merged
  4. Select the Survivor asset using the survivor column.
  5. Optionally select the Source Attributes column to replace the station-specific attributes for the asset on the survivor
  6. Click the Merge [image] button
  7. Confirm the Merge of the Songs or Links by clicking OK or Cancel to return to the Merge window.

Topic Overview Merge Duplicate Song/Links window:


Song window

The Song window carries detailed Song information. The Song can be selected from the Browse window, or several other areas in GSelector. Although information in the Song window is Song-specific, you can create and apply information in this window that can be applied both to the Song and the Artist, at Station and Database levels. Information on the left side of the window is global, or system-wide, while information on the right side of the window is station-specific. Using the F11 keyboard key in a field or tab in the Song window will navigate to a configuration setting or window for that field/tab. For example pressing F11 in the Category field of a song window will navigate GSelector to the Goals | Categories window.

TIP: GSelector offers custom security access to different areas in the Song window. See the notes on Song Window Security Access in this topic.

Accessing this window

Features in the Song window

Working in the Song window

See the notes for the Additional Information, Notes, Audio Analysis, Adjustments and Multi-Station Song window tabs.

Accessing this window

From the Library Browse window select a Song and double-click or press Enter on your keyboard to open the window for that Song. Optionally, hold the CTRL key while double-clicking an attribute field for the song within the results pane, to jump to that specific field in the Song Window with the cursor in the field ready for editing.

From the Goals Categories window click the display Songs button , select the Song from the category group and category, and double-click the Song.

From the Editor select a Song and double-click.

From the Goals Balance tab: Artist Demand window select any Artist and double-click to open a browse of all Songs by that Artist in the Song window.

From any Goals Balance tab: Attributes Demand , Balance tab: Participants Demand or Balance tab: Song Demand window select any item and double-click to open a browse of Songs with the selected Participant, Attribute or Song in the Song window.

From the Analysis window select a Song and double-click.

Click any area in the image for specific help.

Click any area in the image for specific help.

Topic Overview: Song window

Features in the Song window

Song window Toolbar

Zetta and NexGen synchronization buttons

Multi User Song Synchronization

Fallback Attributes

Global Song Information

Song Information fields

Cover Art

Attributes, Participants, Song Groups

Media pane

Station Coding pane

Active checkbox

Category selection field

Packet field

Dayparts tab

Alternate Category and Alternate Packet

Hour Restrictions tab

Run Dates tab

Miscellaneous tab

Station-Specific Attributes

Song Attribute fields (Mood, Energy, Tempo, Opener and Texture)

History Panes

History Map

Broadcast Start Hour

Change History pane

History Research tabs

SongTrack ® Graph

See also the topics for these windows, accessed from the Song window: Song Coding window, Add and Edit Song Windows, and Station Song Attributes window; or the Song window tabs displaying supplementary data for each Song: Additional Information window, Multi-Song Changer and Audio Analysis.

Song window Toolbar buttons

This toolbar is displayed in the main Song window, and the Song window Additional Information, Audio Analysis, Adjustments and Multi-Station Song Window tabs.

Click any toolbar button for help

Along with the usual Save, Add, Cancel, Edit and Delete functions, the toolbar buttons allow you to navigate a Browsed Song List (see notes here ) by clicking on the navigation buttons, to Clone this Song, to export this Song's details in XML in a preset XML format, to specify History Map display options, and to access Media Monitors.

Automation synchronization buttons (NexGen, Zetta and MC users only)

An additional button is displayed when a GSelector station is associated with either a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems., Zetta Zetta is the a RCS automation and audio playout system. or a Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. station, and the Enable All and Song boxes in the NexGen Manual Synchronization, Zetta Manual Synchronization or Master Control Manual Synchronization panes respectively are unchecked. Under these conditions, this button allows the user to synchronize the selected Song with the NexGen, Zetta or Master Control Song details in the interfaced NexGen, Zetta or Master Control station database.

NOTE: You can only interface one playout system with any GSelector station.

Multi User Song Synchronization

Changes made to songs and links are now automatically pushed to all workstations. For example, say User A is working in Category Changer and moves a song from Category A to Category B and saves the change. Further suppose User B is looking at the same song in the editing window. When User A saves the change User B will immediately see the song’s Category assignment change from A to B. Song and Link changes propagate to the editing windows, browse lists, Category Changer and all of the Goals | Balance windows for both songs and links. For example, if User A is working on implementing the results of a new music test by changing song category assignments this will affect demand. If User B is looking at the Goals | Balance | Songs window she will see the window update immediately according to the actions of User A.

Multi User Notification

The multi user notification system is a message box that pops open in the upper right area of the main GSelector window whenever another user has made a change to a song, a link or a schedule. The message indicates the change made and the user who made the change. It does not show changes you make, just others. This feature works best when users have been defined under GSelector security. Note that you can open the notifications message box any time by clicking the notification icon [image] in the upper right of the main GSelector window.

Show Notifications checkbox

The Show Notifications checkbox will turn off the notification window. However, failure notifications will still be displayed.

User Modification Warning

If two users are changing the same song the user that saves last will receive the following warning about the other users change:

If there are no pending changes, the user just viewing the Song will see the update without any prompt.

Fallback Attributes

A Fallback attribute is an attribute that GSelector can fallback to if the normal attribute scores too low to be scheduled. For Example: A Song is normally genre “Dance” but could be treated as genre “Crossover” in a scheduling pinch because of the fallback attribute. If the Attribute Fallback Score Threshold is set to 65 in Goals | Priorities. The Scheduler will treat the song as “Dance” unless the song scores below 65, then it will treat the song as “Crossover” and test it again. Fallback Attributes can be defined in the Attributes tab of the Setup | Station | Features window. When an attribute is selected in the Fallback Attributes pane additional columns to assign these attributes will be available in the song and link windows. Use the drop-down in the Fallback column to assign a fallback attribute. Fallback Attributes can be added to the system using the Song Coding window or Station Attributes window.

Topic Overview: Song window

Global Song Information

The left side of the Main Song window contains settings and information about the Song that is Global or system-wide for all stations in the GSelector database.

Click any area in the image for help

Click any area in the image for help

Song Information pane

Media ID

Cover Art

Global Attributes, Participants and Song Groups

Attributes grid

Keep checkbox

Participants grid

Fallback Attributes

Song Groups pane

Load Song Group to Browse window

Media pane

Runtime, Intro, Opening and Ending, Hook, Trim, Early NTP, External and Filename fields

Song Information pane

NOTE: The following image shows the Song window information field with the optional Film Name field activated. See Enable Film Attribute for details.

The Song Information Pane contains the Media ID field, and the Title, Version This field allows multiple versions of a Song/Artist combination to be entered in the Database. For example, some stations like to use combinations of a regular mix and an extended dance mix., Artist, Album fields and the optional Film Name field. These fields cannot be directly edited - see the notes on the Edit Song window for full details. The Song, Title, and Artist fields are mandatory fields: you can't save information in a Song window unless you have entered values in these fields. Artist information is stored in one Artist Name field, which can be up to 256 characters in length. All these fields can be used in custom browse formats in the Editor, Consideration window, and Library Browse windows. See the notes on designing and assigning Browse formats. The ID field has specific properties, which vary according to whether GSelector is integrated with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. and Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. .

NOTE: In addition to the Artist field, GSelector also lets you define as many Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. as you need. A duet performance can also have two Vocalist Participants. Songs can be separated in scheduling using both Artists and Participant Spread Goals . See also the notes on Adding Artist information in the Add and Edit Song windows topic, and implementing Artist to Vocalist settings to automatically define Vocalist Participants from an Artist field entry.

Media ID field

The function of the ID field varies according to GSelector's integration status with playout systems. The field is common to all stations in the Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases.. You can specify various Numeric or Alphanumeric format options. If the ID format you enter in this window do not match the ID format specified in the Setup Window, GSelector will prompt you to change the format. See the notes on the Station - Media IDs window and the Media ID error dialog box for details. You cannot edit this field directly from this window, and when GSelector is Integrated with NexGen or Master Control, the field is completely locked once library information has been synchronized. When GSelector is integrated with Zetta the Media ID will match up to the External ID found in Zetta for the song asset. The ID can be edited from either application.

NOTE: Leading and Trailing spaces will not be saved to the Media ID. If you enter any leading or trailing spaces in this field a message will be displayed warning that the spaces will be removed.

Integrated with NexGen or Master Control

Not Integrated with NexGen or Master Control

Integrated with RCS NexGen or RCS Master Control

When GSelector is integrated with either RCS NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. or RCS Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. , the value in the ID field takes the function of common identifier between the GSelector and the sequencer databases. The field is locked to its corresponding entry in the playout system. When working with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. only, a secondary associated field is used - as shown above. This is known as the Cut field. See the notes on the Media ID field with NexGen in the Add Song window topic for more details. See the notes on Interfacing with Master Control and NexGen information added in the Add Song window or edited in the Edit Song window, always displayed for this Song.

Not Integrated with NexGen or Master Control

The ID field is used as a straightforward alphanumeric text field when GSelector is not interfaced with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. or Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. . In this case, when adding a Song in the Add Song window, the field can be used for any ID numbering system. The field can be used to store the address of an audio file, or the physical location of a back-up CD. You can use this field to store named Audio files. See the detailed notes in the Using Audio in GSelector topic.

TIP: You can also apply a separate ID value in the Station-Specific ID field that can be used for each Station individually. This can take any format value you choose to apply.

Cover Art

If you have access to Cover Art for each Song, you can import images and use them in the GSelector Song window. The image files can be stored in a dedicated folder anywhere on your system if you wish, but this is not strictly necessary, as GSelector stores a copy of the image. Each image file can be associated with one or more Songs, and will then be automatically displayed when that Song is accessed in the Song window. Click the Album Image button above the image to open the Import Album Cover window. Unless information is already stored in the Album field in the Song Information fields pane, the Find button is inactive. For details on working with Album Images, see the Using Cover Art notes.

Global Attributes, Participants grids and Song Groups

Three areas share this section of the Song window:

Attributes and Participants

Song Groups

The pane immediately beneath the Song Information pane contains three tabbed grids, displaying Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. details for this Song and the Artist performing the Song, and the Song Group pane. To access the Song Coding window to edit the contents of these grids, click the Edit Button or place the mouse pointer on either grid and double-click.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Song window

Attributes and Participants Tabs

These tabs display assigned Global Attributes and Participants respectively. The Attributes grid is the default view; click the Participants tab to view Participants. Both grids operate the same way. Attributes and Participants are defined and assigned in the Song Coding window (see notes here), accessed by clicking the Edit button. Fallback Attributes can also be defined in these tabs. For full lists of Attributes and Participants, see the Attributes and Participants topics.

TIP: Attribute and Participant details can be used in custom browse formats in the Editor, Consideration window, and Library Browse windows. See the notes on designing and assigning Browse formats.

Keep? Checkbox

This setting is checked by default for all Artist level Attributes and Participants. There are times you will want to ignore one or more artist participants / attributes on a song to which they don’t apply. For example, you might have coded Stevie Nicks as an artist participant for Fleetwood Mac. By deselecting this checkbox on those Fleetwood Mac songs in which Stevie Nicks is not the central vocalist, other songs by Stevie Nicks will not be protected from those songs when testing Priorities.

Artist Attributes and Participants Grids

These grids list, respectively, all Global Attributes or Participants assigned to the Artist for the currently selected Song. If Keep is checked on the song, the artist participant/attribute applies to this song. If Keep is NOT checked on the song, the artist participant/attribute does NOT apply to this song. To make a vocalist the Primary Artist Vocalist of the song simply click and drag the vocalist entry to the top of the list. This is useful when using the Advanced History Map options to see the artists history in the Song History Map and the Editor History Map.

TIP: When adding Songs by multiple Artists, you can optionally select to automatically enter each Artist individually as Vocalist Participants. This is an automatic process, implemented in the Artist to Vocalist Settings window.

Song Attributes and Participants Grids

These grids list, respectively, all Global Attributes or Participants assigned to the currently selected Song. The Percentage column in the Song Attributes and Song Participants panes in the lower left corner of the song editing window, allows you to define participation levels less than the 100% default. The major use for this will be with song participants, particularly in Urban and CHR formats where the trend is songs with multiple performers.

Edit Attributes and Participants button

Click this button to open the Song Coding window.

Song Groups tab and Song Groups list

If a Song is part of a Song Group , this pane displays all Songs in that Song group. For more information , see the Song Groups topic.

See also the Load Song Group To Browse notes, and Song Group Attribute Appearance notes below.
Click the tab to see the Songs in the Song Group associated with this Song. Where there is no Song Group for this song, the pane will be empty.

The Song Group pane displays Title, Artist, Version and Active An Active item - a Song, Link or Note - is available to schedule in the current station. / Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. status. None of the fields can be edited in this window. Click on any Song to open the Song window for that Song.

Load to Browse options in Song Groups tab
  1. Right-click anywhere in the Song Groups tab pane.

  2. A pane opens offering the option to load all Songs in the Group to the Browse window.
  3. Select the Active Songs option or the All Songs Option.
  4. The Song Group is loaded to the Browse window.
  5. The selected Song is still displayed in the Song window, but now you are able to navigate only in the list of Songs in the Group.
  6. Click the Multi-Song Changer tab to apply changes to all Songs in the Group.

Media pane

Runtime

Intros

Opening and Ending

Hook, Start and End fields

Trim Start and End fields

External checkbox

File Name

Early NTP

This central pane in the Song window stores fields for duration, intros and hook start and end fields. All values in the media pane can be used as search criteria in the Browse window . See also the notes on Custom Attribute Values .

TIP: Media pane field information can be used in custom browse formats in the Editor , Consideration window , and Library Browse windows. See the notes on designing and assigning Browse formats.

Runtime field

This numeric field allows entry of the Song duration in minutes and seconds. Like the ID field, information in this field is common and shared across all stations. Many Audio Editors allow you to enter this value automatically, expressed as the difference between the trim out value and the trim in value in the Audio Editor.

NOTE: Durations in the Runtime and Intro fields can be entered in two ways: by typing a value such as 4:23, or by simply typing 423. Where a Song Runtime or Intro is longer than ten minutes, typing 1141 or 11:41 , for example, will enter the same time value in this field.

Intros

These three fields allows entry of values for Intros 1, 2 and 3 in minutes and seconds. Many audio editors allow you to enter at least one intro value automatically. Like the ID field, information in these this fields is common and shared across all stations.

Opening/Ending fields

These fields allow you to enter an optional freeform text description of the start and ending of the Song. There is no limit to how many characters you can use, but most programmers restrict the characters to one or two. Like the ID field, this field is common to all stations and the library.

Hook Start and End fields

Used in research, these fields store timing, expressed in minutes and seconds, for the start and end of the hook. These values are normally entered automatically when you set this information in your audio editor. Like the ID field, this field is common to all stations.

Trim Start and Trim End fields

Immediately above the File Name field are the Trim Start and Trim End fields. These values can be directly edited, and, when working with audio files, can be entered automatically when using the Analyze tool in the Song window's Audio Analysis tab window.

External checkbox

Select this option when the audio for the Song will be played from an outside source or storage system that is different from what is defined within the sequencer system. This feature was designed for use with Zetta Zetta is the a RCS automation and audio playout system., but can be used with any suitably configured system. When this option is selected the Filename field can be edited.

Filename field

GSelector supports MP3, MP3, wma and wav file formats. This pane displays the filename for the audio file associated with this song. The filename and path are also displayed in the Audio Analysis tab filename field. Where this filename is automatically assigned by GSelector during the import/association process, it should not be edited. To associate an audio file manually with a Song or Link, see the notes on Associating Audio in the Using Audio in GSelector topic. See also the notes on using the Filename Audio Paths in the same topic. The Keyboard Shortcuts CTRL+F11 can also be used to initiate the play of the song. When the Filename path is longer than what is visible use the mouse to hover over the field to view the entire filename and path.

NexGen users: This field will display the filenames for each Song, with a path from the NexGen Audio folder after synchronization in NexGen.

Early NTP

Early NTP is the Early Next to Play position in the song. Currently this value has no specific use other than providing information. In the future this may be updated for integration with an automation system to use these values for Link/Song Chains.

Topic Overview: Song window

Station-Coding pane

The right side of the Main Song window contains information and settings specific to the selected Station.

Click any area in the image for help

Click any area in the image for help

The Station Coding pane allows the user to activate or deactivate a Song, change the Song's Category, and assign and create Packets. There are four tabs in this pane: the default Dayparts tab view, you can balance or block demand Daypart by Daypart for the current Song. The Hour Restrictions tab shows the Hour Grid (if any) is assigned to this song, and gives access to the Hour Restriction pane which allows the user to assign an Hour Grid to the selected Song. See the notes on working with hour grids for full details. The third tab, Run Dates, allows you to specify Start and End Dates and Times for the selected Song. The last tab, stores Miscellaneous Station-specific data.

Active Checkbox - Activating and Deactivating Songs

Category field

Packet field

Optional Alternate Category and Alternate Packet fields

Dayparts tab

Balancing or Banning a Song by Daypart

Hour Restrictions tab

Run Dates tab

Miscellaneous tab

Station-Specific Attributes

Song Attribute fields

Station Coding pane in Child stations

Active Checkbox - Activating and Deactivating Songs

See also the notes on Deleting or Deactivating Songs Links and Notes .

Activating

Reactivating

Deactivating

When you add a Song, you select the Song's Category for the station you are working in. It is then active in that station. You may also opt to add a Song and keep its status as inactive. It can then be activated for other stations. Any Song, Inactive or Active can be viewed in the browse window in any station.

To activate an inactive Song

Access the Song window in the selected Station, and in the Station coding pane, check the Active box.

NOTE: When you work in a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. with a Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. whose Active/Inactive settings are inherited by the Child station, you cannot change the Active/Inactive status in the Child Station. See the Format Parent notes for more details.

Reactivating a Song

When reactivating a Song, GSelector assigns the last Category that was assigned to the song, where this Category still exists. If this Category does not exist anymore, the song is assigned the Default Category , and where a Default Category is not assigned, the song is assigned the top Category in the Categories window . Existing Songs, when reactivated, retain their previous attribute settings for the station.

NOTE: While you can add a Song to a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. at any time, and apply Station-specific settings to the Song just in that station, if you activate the Song in the Child Station's Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. Station, you will overwrite Active/Inactive status and all other inherited settings in the Child Station. See the Format Parent notes and Adding Songs to Child Stations notes for more details.

Deactivating a Song

Access the Song window in the selected Station, and in the station coding pane, uncheck the Active box. This will deactivate the song. When an asset is deactivate it is not unscheduled. When an asset is deactivated the History and Total Plays for the asset are retained. This means when an asset is deactivated the History in the Songs/Links window and the Editor will still show the previous and future history for the asset. The deactivated asset will remain in the schedule regardless of whether it is scheduled to play in the future or past. The asset will also still be visible in the analysis window but show as inactive. The Total Plays column, where used, will still show the total plays for the inactive asset.

See also the notes on Deleting or Deactivating Songs.

Category Field

The Category field is located in the station coding window at the top of the Song window. The Category field allows the user to assign or change Category for any Song. Note that you can also assign or change a Song Category in the Category Changer window. Click the drop-down arrow to view Categories. When re-activating a Song, by default the Song is assigned the Category to which it was previously assigned. See also the notes on using Alternate Categories. Pressing F11 on the keyboard while this field is active will open the Goals | Categories window.

Note: When the category of a song/link is changed, the daypart shifts resets to 0. Given that the daypart shifts are relative to the category, they need to be reset when the category changes.

Packet field

The Packet field is located in the station coding window at the top right of the Song window. You can assign an existing Packet to any Song, or create a new Packet from any Song window. Packets can be used to group any number of Songs together. Songs can be in any Category. When Songs are grouped in a Packet, their rotation is reduced in direct proportion to the number of Songs in that packet. From this window, click the Packet Management button at the far right of the field to add, delete and rename Packets in the Packet Management window. For full details on working with Packets, see the Packets topic. See also the notes on using Alternate Packets

Dayparts tab pane

The Dayparts tab pane allows you to individually tailor demand for any Song, Daypart by Daypart, or to ban the song from any Daypart.

Click any area in the image for help

In the above example, the Song can play in the AM Drive, Mid-Day and Night Dayparts, but it is explicitly banned from the PM Drive Daypart. You can apply an Explicit ban by clicking on the Play field for any Daypart. However, you cannot change the status of an Implicit Ban in this window. See the Play status notes in the Categories topic for more details.

NOTE: Daypart settings made in the station coding pane are not affected when Dayparts are grouped , so settings are shared between Dayparts in the same group. So, for example, play for a Song can be banned or boosted or cut for any Daypart, and this setting will not be duplicated for any other Daypart in the group.

Daypart Play/Ban field

Dayparts list

Frequency, Turnover and Demand Graph fields

Shift buttons

Restriction Percentage

Optional Alternate Packet and Category fields

Dayparts list

All Dayparts are listed in this field. They are ranked in order of importance , as specified in the Setup section Dayparts Definition window .

Frequency, Turnover and Demand Graph fields

These fields work in exactly the same way as their counterpart frequency , turnover and demand fields in the Goals Balance windows. Frequency and Demand for each Daypart is adjusted using the arrows in the shift column.

Shift Buttons

These buttons allow you to shift demand for the selected Song for any Daypart. Click to increase or reduce demand relative to the other Dayparts. See the banning or balancing by daypart notes in this topic for more information. When the category of a song/link is changed, the daypart shifts resets to 0. Given that the daypart shifts are relative to the category, they need to be reset when the category changes.

Restriction percentage

Where an Hour Restriction partially prevents scheduling in a Daypart, the percentage of restricted hours is shown in this column. In the illustration above, the 6a-8a Hour Restriction prevents the song from scheduling in 75% of the hours in the AM drive daypart.

Optional Station Coding Pane features: Alternate Category and Packet fields

You can assign a song to an alternate category and/or alternate packet for any Daypart. For example, a CHR station can have a young-appeal song that is normally in category B be assigned to category A at night. To enable this feature, check the Alternate Category checkbox in the Setup section Station Features window to display these two fields in the Station coding pane.

NOTE: You cannot use Alternate Category if you use the Kick feature. If a Category Group is kicked, its Categories are not available for assigning as Alternate Categories.

To assign an Alternate Category or Packet for a specific Daypart:
1. Select the Daypart tab.
2. Click the Dropdown arrow in the Alt Cat or Alt Pack fields to see available Categories or Packets.
3. Select the desired Alternate Category or Packet for each Daypart.
4. Save your changes by clicking the Save button in the Toolbar .
5. You can also assign or remove Alternate Category or Packet assignments to a browsed list of songs in the Multi-Song Changer . See the notes on working in the Dayparts pane of this window.

Alternate Categories and Alternate Packets can be displayed in any Browse format by adding the Alternate Category or Packet field to the desired format. See the notes on custom-designing Browse formats . In a browse where multiple Alternate Categories or Packets are assigned to Songs in different Dayparts, the multiple Alternate categories and Packets are displayed together in the Alternate Category or Alternate Packet field.

NOTE: If you enter values for either any Alternate Category or Packet in one or more Song windows, and you then uncheck the box for that setting in the Station - Features window, you will be prompted to confirm that you are deleting those settings.

TIP: Alternate Category and Packet assignment is determined by Dayparts, so Dayparts can be used in the Browse window to view Songs with Alternate assignments. Select the Daypart and the Alternate Category or Packet to view all Songs which are assigned to that Alternate Category or Alternate Packet in that Daypart.

Hour Restrictions tab pane

Click the Hour Restrictions tab to open the Hour Restriction pane, where you can assign an existing Hour Grid to the selected song or use the import button to Import an Hour Grid from another station within the database. Where no Hour Grid is assigned, the hours of the week grid is blank; where an Hour Grid is assigned from the drop-down arrow in the selection field, the selected grid is displayed. Hour Restrictions for a Song are also displayed in the Song History Map and the Editor History Pane . In all cases, the name of the Hour Grid, where assigned, is displayed on the tab. You can view all Songs with Hour Restrictions by Days and Hours in the week in the Adjustments by Hour Restriction window.

See the Hour Grids topic notes on creating and assigning Hour Grids, as well as the notes on working with hour grids. As with Hour Restrictions in Songs or Notes, you can edit an hour grid directly from this window by clicking the Edit button to access the Hour Restriction Setup pane .

NOTE: Heavy use of Hour Restrictions can have a direct effect on Songs available to schedule, by restricting the choice in the Search Depth you specify for each Category Group. You can compensate for this if required by unchecking the Count Daypart Band and Hour Restriction box in the Station - Features window.

Run Dates tab pane

For any Song, you can limit the period in which it is scheduled by setting a Start and End Date and Time. Check one or both checkboxes to enable this feature. if you leave the boxes unchecked, the Song can be scheduled immediately, and is available indefinitely. The default values in the Date fields are today's date, and the default Start Time is today's Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window., and the default End time is the current Hour by your system clock. Enter a date and time or adjust the values by selecting the Calendar Control or the time selection arrows. All values in the run dates pane can be used as search criteria in the Browse Window and Advanced Search pane. See also the notes on Custom Attribute Values. When working in the Consideration pane of the Editor, any song with a Start Date and Time after the airtime of the schedule position or any song with a End Date and Time before the airtime of the schedule position will not be shown.

Miscellaneous tab

Station-Specific ID field

This field is enabled for use for both Songs and Links in the Setup section Station Settings: Features window. It allows the user to specify an alphanumerical text string to identify this Song for this station only. This field can be used when designing Library Browse , Editor and Consideration window formats. Where Station-Specific ID is enabled, and IDs exist, this field information can be used in custom browse formats in the Editor , Consideration window , and Browse windows. See the notes on designing and assigning Browse formats.

TIP: When reconciling output, if this field is used as well as or in addition to the main ID field, GSelector will use this field.

Split Behavior

A Split Behavior is set on the Songs, Links or Spot Blocks that are to be scheduled on a Zetta® Split Master Station where a split is to occur. The Split Behavior is respected in the On-Air, Hot Keys and Stacks modules of Zetta. The Split Behavior of an asset is set in the Miscellaneous tab of the assets song or link window. The Split Behavior of a Spot Block is set on the Spot Block in the Clocks | Spot Blocks tab. When a Spot Block has a Split Behavior it will override any Split Behavior of an Asset scheduled within the Spot Block.

None - A Split Behavior of None will play the asset through a stream enabled as Normal in the Player. Nothing will be sent to the Split Client.

Master Audio - A Split Behavior of Master Audio tells the Master station to play the audio and send a signal to the subscribing Split Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the same asset as the Master Station, if the asset is active on the subscribing station.

Master Silent - A Split Behavior of Master Silent tells the master station to be silent and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the asset scheduled on the Master station, if the asset is active on the subscribing station.

Master Monitor - A Split Behavior of Master Monitor will route the audio for the asset to the configured Monitor streams of the Player for the Master Station and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the client station will play the same audio asset that is scheduled on the Master Station, if the asset is active on the subscribing station. Master Monitor allows the user to hear the audio locally for the Master Station even though nothing is playing over the air for the Master Station.

See the Zetta® Help Guide for additional information on the Splits Feature and Tagging Assets.

Station-Specific Attributes

This pane lists all assigned Attributes and Fallback Attributes for this Song for the station. To access the Station Attributes window to edit the contents of this pane, click the Edit Button or place the mouse pointer anywhere in the pane and double-click. These station-specific attributes are optional. Values entered here can be used for analysis, and will only be used in scheduling if their associated goals are set up in the Priorities window.

Percentage

The percentage column in the Attributes window allows you to define levels less than the 100% default. For example; if a song has a sound code of harsh but the song is only somewhat harsh, you can lower the percentage thus allowing other harsh songs to be scheduled closer to the semi-harsh song than would normally occur.

Song Attribute fields

At the left of the station Attributes pane are five further attribute fields. The use of these fields and the attributes pane is optional. Values entered here can be used for analysis, and will only be used in scheduling if their associated goals are set up in the Priorities window. Each field allows you to set a value for an attribute:

Mood

Energy

Tempo

Opener

Texture - This has two fields to allow you to define the texture of the Song at Open and Close.

Each field accepts a value of between 1 and 5, or a descriptive value that you have previously defined in the Setup section Station - General window, as shown in the Energy and Texture fields. This information can also be viewed and edited in the MAPS pane of the Audio Analysis window. Fallback attributes can be assigned based on the Fallback Attributes defined in the Attributes tab of the Setup | Station | Features window.

Station Coding pane in Child stations

Songs in Child stations, with inherited settings defined in its Parent station, have a number of fields disabled. If the Category is inherited, you cannot Activate or Deactivate the Song, or change its Category. Other attributes such as or Packet. or edit Dayparts, Hour Restrictions or Mood, Energy, Tempo, Opener, Texture or station-specific Attributes are also restricted if they are inherited. However, any changes made in the Parent station to inherited Attributes are automatically reflected in the Child station. For more information, see the Format Parents notes in the New Station window topic.

History pane

The History pane in the Song window has seven tabs, allowing the user to view:
A History map showing plays for the selected Song or plays by Title, Packet, Artist/Vocalist, Album or Song Group, according to the History Attribute selection in the Toolbar,
Change History for the selected Song,
enter (or display imported ) Research scores,
display SongTrack ® Graph for those scores,
view current Research Attributes for each Song, and
specify Future moves for this song, and
view Interface references
note that from the Interface References tab, Media Monitors users can also view MScore data.

The default tab is the History Map tab. The Research Scores, SongTrack ® Graph and Research Attributes tabs work together to display and use Research findings for this Song. See the notes for the Research Tabs and Using Research scores as Scheduling Attributes.

Scroll through the tabs by clicking the navigation buttons at the far right of the tab interface.

Song History Map

History Map Plots

Flyover Tooltip

Jumping to the Editor from the Song window History map

Broadcast Start Hour and the History Map display

Click a tab to go directly to Help for that tab.

The default History map view displays all instances of this Song from the last day scheduled back the number of days specified in the Days in Past setting. The view can be changed to display the history for the Song Title, the Song's Artist/Vocalist, the Songs in the current Packet, Album or Song Group. This is selected from the Toolbar History Attribute button [image] menu. When selecting Artist/Vocalist from the History Attribute drop-down, the Artist History is displayed by default. However, if Vocalist separation is more important to you than Artist separation, use the Vocalist Spread Goal in the Priorities window, and remove the Artist Spread goal. This will display Vocalist History instead of Artist History. By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use the History Map Plot check boxes displayed below the Song History tab. You can view the entire active date range using the right Scrollbar. See the notes on Viewing Packet History in the Packets topic for more details. All Category changes are recorded in the Change History tab. Where an Hour Grid has been applied, the restricted hours (in the image above, 6a-8a) are marked on the History Map in gray. The current hour (as defined by your date and time settings) is displayed in green See the Hour Restriction notes in this topic, and also the Setup Hour Grids topic. Where a Song is banned, whether implicitly or explicitly for specific hours, those hours are also marked the same way. The History Map is automatically updated whenever you make a change in the Editor.

History Map Plots

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use these History Map Plot check boxes. Each cell in the History Map is divided into four invisible, vertical quadrants. These represent, from left to right, the first, second, third and fourth quarter hour of the hour. Using the 1/4 hr plot option will replace the X with the vertical plot line positioned in the appropriate cell quadrant to denote the songs scheduled position within the hour. There are additional options for artist, vocalist and artist group in all song History Maps. Enabling any of these options will plot other songs by the artist(s), vocalist(s) and/or artist group(s) of the current song. In these modes, each cell in the History Map is divided into four invisible, horizontal quadrants within each vertical quadrant. These represent, from top to bottom, the song, the artist, the vocalist and the artist group. Color coding further helps to distinguish these plots. Any combination of these new options can be used, while clearing all of them returns the History Map to its default behavior. The colors used for these options can be changed by working in the new History Plot section of the Tools | Global Settings | Appearances | Global Assignments dialog box. The Hide button can be used to quickly hide the Artist, Vocalist and Artist Group plots. Click the Show button to quickly show the Artist, Vocalist and Artist Group plots again. The slider bar to the right of the check boxes allows the user to zoom in on the History Map and the Show All History +/- to the far right will toggle the amount of days shown in the History Map. When the + is showing the History only shows the number of days specified in the History Cutoff setting, while clicking the - will show the number of days specified in the History Days in Past setting.

On Air button

The On-Air button [image] to the right of the 1/4 hr Plot can be used to show the current day and play position of the scheduled log in the History map. GSelector determines the current position as the event with an air time that is less than or equal to the system time. If the system is integrated GSelector determines the current position as the event after the last event with a status of Played in the current day.

Flyover Tooltip

Using the mouse to hover over any of the plots in the History Pane, in either the Standard or Advanced mode, will display details about the song scheduled.

Jumping to the Editor from the Song window History map

You can jump directly to the Editor window for any Day and Hour in the History Map by selecting the Hour and double-clicking. If you select an Hour with plays recorded in the History Map, the Editor will open showing the Song with a highlight. If the Hour shows plays for more than one item - for example , where there are two instances of the same Artist in the same hour - GSelector will open the Editor highlighting the first of the multiple items. The default appearance of this highlight is the Focused Row Editor appearance. It can be modified in the Appearances Definition window.

Broadcast Start Hour and the History Map display

The History Map starts from the time specified in the Broadcast Start Hour, defined in the Daypart Assignment window. The default value is 12a, but can be set to any hour from 12a to 11p.

Change History tab

Click a tab to go directly to Help for that tab. Not all the tabs are in view at once; click the navigation arrows at right for more tabs.

The Change History tab displays the Category Change History for the Song, as well as the total number of Plays, the date the Song was Added to the library, the date the Song was Activated for this Station, and the most recent date on which the Song Details were edited. You cannot directly edit any information in this tab pane. These values can be used as search criteria in the Browse window.

TIP: The information in these fields, along with the most recent date in the Category Change History pane (the Date the Song Entered its present Category), can be displayed in Browse formats used in the Editor window, the Consideration window, and the Browse window. See the detailed notes on designing and assigning formats.

Research tabs

Depending on the version of GSelector being used the tabs may be in a different order than seen below. Not all the tabs are in view at the same time; click the navigation arrows at right to see more tabs.

Research Groups pane

Adding a Research Date
Deleting a Research date
See also the Importing Research Scores topic.

Click a tab to go directly to Help for that tab. Not all the tabs are in view at the same time; click the navigation arrows at right to see more tabs.

Click the Research Groups tab to access the Research Groups. This pane displays the tabs for any defined Research Groups. Each tab displays the Column Names added to each Group. The Columns are defined in the Research Columns window. The Research Groups tab allows the user to enter Research Scores for the selected Song for each Column Name field, for any Research session date. Research Scores can be sorted by Date in ascending or descending order by clicking the Date Header field.

TIP: Research Scores and Research Attributes can be used when generating Reports . Select the fields to include from the Available fields in the Reports Columns window .

As with any Browse in GSelector, the Columns can be dragged and sized, to better display information in the pane. If more Column Names or Dates are used than can be displayed in the pane, scrollbars allow access. Once data is entered in this window the results, can be displayed in the SongTrack ® Graph tab, and any applicable Research Attributes are displayed in the Research Attributes tab.

TIP: If you use a lot of Column Names, keeping their descriptions as short as you can, so as many Column Names as possible can be displayed.

SongTrack ® Graph pane

Click a tab to go directly to Help for that tab. Not all the tabs are in view at the same time; click the navigation arrows at right to see more tabs.

Selecting Columns to display in the Graph

Once Research Data is entered into the Research Scores tab for the desired Research Group, the findings are displayed here in Graph form. Click the SongTrack ® tab to access the SongTrack ® graph pane then select the tab for the desired Research Group. The Pane automatically displays Research scores for all dates, for the selected Columns displayed in the Column pane at top left. This display can become very crowded, so it is worth considering how many Research Dates are stored for each Song, and the number or Column Names to graph at any one time. Use the mouse to hover over any data point in the graph to display a tool tip with the research column and score.

Displaying by Column

Click the arrow in the Column display pane at top left in the Research Graph window, to open the Columns Display pane. The Column Names you define in the Research Columns window are listed here. All scores for the checked Columns are displayed in the Research Graph pane. Check any Column to graph the scores for that column.

Click the Clear button to clear all Column Headings.

Click the Select All button to display all Column Name Headings.

Then confirm by clicking the OK button in this pane, and finally click the Save button in the main Song window toolbar.

Print Chart

The print chart button is used to print the displayed chart.

Show Labels

The show labels button will display the data labels on the graph represented in the Research Scores tab.

Graph Type

The Graph Type drop-down menu allows the user to select the type of graph to display. The Line graph is the default graph displayed.

Research Attributes pane

Click a tab to go directly to Help for that tab. Not all the tabs are in view at the same time; click the navigation arrows at right to see more tabs.

This pane will displays the Research Attributes that currently apply to the selected Song. Research Attributes are triggered by the most recent score displayed for the Song in the Research Scores tab . For more details, see the Research Attributes window and Using Research scores as Scheduling Attributes topics .

TIP: Research Scores and Research Attributes can be used when generating Reports . Select the fields to include from the Available fields in the Reports Columns window .

Future Moves

Click a tab to go directly to Help for that tab. Not all the tabs are in view at the same time; click the navigation arrows at right to see more tabs.

The Future Moves tab in the Song and Link window allows the user to specify changes that will be made in the future to the selected song/link based on the selected Date or Number of Plays. When a Date is used, in defining a future move the move takes place at the start of the specified date, prior to scheduling. If Number of Plays is used, when the plays count is reached, the song will be moved at the start of the next scheduling session. If both the Date and Number of Plays is set, GSelector will move the song based on whichever comes first. Moves based on a move date can optionally be set to change on a Yearly basis. RCS recommends scheduling a day at a time if using the Future Moves feature. For full details on Future Moves, see the Future Moves topic.

Interface References

GSelector provides a Setup section Interfaces window to use at station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. level with Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050. , Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. and Selector Enterprise, and a Menu Tools option for global interfaces with Mediabase Mediabase is a music industry website containing in-depth charts and analysis based on the monitoring of 1,836 radio stations in the US and Canada, in 175 radio markets. Mediabase features real-time charts in 25 radio formats, based on radio airplay., Zetta Zetta is the a RCS automation and audio playout system., and NexGen. This lets the GSelector database connect with the external databases, establishing Interface Reference Numbers in these systems to facilitate export and import of data for broadcast, research and reconciliation purposes. As schedules and library information are exported, GSelector tracks each item's association with a unique reference number for each exported item. When a Song has been associated through exporting into one of these external databases, the association is displayed along with the individual unique reference number. This tab also displays the database GUID for the Asset. A song can have multiple interface references.

Note: You can delete Interface References for Mediabase, Rate The Music and Media Monitors in the Tools Interfaces Research window, using the relevant Setup Button.

TIP: Once an Interface Reference Number has been established between GSelector and any external program or database, that reference serves as the common permanent point of contact. The Song's details can then be modified locally if required, as long as the Interface Reference number remains unchanged.

Viewing Media Monitors details

NOTE: Internet Explorer is required and must be set as the default browser in Windows in order to jump from a GSelector song to the Media Monitors data for that song.

When your station is interfaced with Media Monitors, you can jump directly to the Media Monitors MScore Media Monitors Mscore Switching calculates an index of switching in and out of a station when radio panelists react to songs on the radio. window for the selected Song from this window, if the Song displays a Media Monitors reference. This shows it has been already been Matched with its counterpart Song in Media Monitors, working in the Media Monitors Data Import window.

1. Select a Song in the usual way. You can view all Matched Songs in the Media Monitors Data Import window in Interfaces, or browse all Matched songs by the relevant Research Column attribute in the Browse Window.
2. Click the Interface References tab in the History Pane.
3. Then click the Media Monitors [image] button in the toolbar. This will open a Media Monitors window displaying the latest MScore results.

Topic Overview: Song window

Working in the Song window

Toolbar functions
Create Attributes and Participants , at Artist and Song Level
View and Navigate Songs in a Song Group
Create and Assign Station Attributes
Navigating in a Browse list of Songs

Assigning Packets
Activating and deactivating Songs
Banning Songs by Daypart
Balancing demand by Daypart
Assigning an Hour Restriction

See also: Viewing Play History in the History Map , Entering Research Scores in the Research Scores tab, which allows viewing of SongTrack ® Graph , and currently assigned Research Attributes .

Adding a Research Date
Deleting a Research date (See also the Importing Research Scores topic.)
Using Research scores as Scheduling Attributes

Song Window Security Access
Song Group Attribute field Appearances
Enabling Vocalist display in History Maps
Jumping to the Editor from the Song window History map

Song window toolbar functions

The Song window toolbar functions are common to all Song window tabs.
Add a Song
Delete a Song
Editing a Song
Viewing and Navigating a Browse list
Save changes
Cancel changes
Clone Song
XML export
Media Monitors button

Navigating in a Browsed List

The navigation buttons at the left of the Song window toolbar allow the user to move through a browse list of Songs. Move to the Next or Previous by one Song, or jump to the First or Last in the browse. The Song counter pane in the toolbar updates as the user moves through the list. Optionally, use the following keyboard shortcuts to navigate through the songs.

Go to the First song - CTRL+Home

Go to the Previous song - CTRL+Left

Go to the Next song - CTRL+Right

Go to the Last song - CTRL+End

TIP: You can open a browse list of Songs from several areas in GSelector. See the accessing notes in this topic for more details. Once you have viewed the list, you can click the Back Navigation button to get back to the original window.

Save Song Changes

The Save and Cancel toolbar buttons are activated when you edit any field in the Song window or any Song window tab. To save your changes, click the Save toolbar button.

If you do not save your changes, you will be prompted to save them and enable Auto-Save when you leave the current Song window. You can enable Auto Save in the Station - Features window, by checking the Enable Auto-Save box. When you enable AutoSave after working in the Song, Link or Notes window, you enable it for all three elements.

Cancel Song Changes

The Save and Cancel toolbar buttons are activated when you edit any field in the Song window or any Song window tab. To cancel your changes, click the Cancel button. This will return the window to where it was when it was last saved. If you do not save your changes, you will be prompted to save them when you leave the current Song window.

Add a Song

  1. In the Song window or any Song window tab, click the Add [image] button in the toolbar to add a Song.
  2. This opens a separate Add Song window. See the Add Song window notes for full details.

Delete a Song

  1. In the Song window or any Song window tab, for the selected Song, click the Delete [image] button in the toolbar.
  2. You will be prompted to confirm your action.
  3. When you delete a Song you delete it from the station you are working in and from the entire library. If you do not want to delete the Song, but just to remove it from scheduling, you can Deactivate (see notes here ) the Song in the Station Coding pane. For more details, see the Deleting or Deactivating Songs, Links or Notes.

Edit Song information

1. First select - browse to or navigate to - the desired Song window or any Song window tab.
2. To change Song title, artist or album information for this Song, click the toolbar Edit button.
3. This takes you to the Edit Song window (see notes here ), where you can modify Song title, Artist or Album details before returning to the Song window.

TIP: Another handy way to edit Song information is to click on the Title, Artist or Album fields in the Song Information Pane; this opens the Edit Song window .

Clone Song button

Click this toolbar button to make a copy of this song. Clicking the button opens the Edit Song window with information from the existing Song displayed, allowing you to modify information, starting with the Version field, then add different settings in the main Song window, and save your changes. See the notes on Cloning a Song in the Edit Song window topic.

NOTE: This button is disabled in Child Stations .

XML Export button

Click this button in the Song window or any Song window tab to view and select formats, designed and specified in the Export XML window, for Song XML export types. Select a format and click to export a XML file of Song details to the selected destination for that format. See the notes on Working with XML for more information.

TIP: This toolbar button allows you to export details of the Song in this window. To export the entire station Library, work in the Export XML window.

View History Display Options

This Song Window toolbar button allows you to select what is displayed in the History Map. Click the button to display a menu from which you can select:
Song history
Title history
Packet history - this shows history for all Songs in the Packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet..
Artist/Vocalist history - this shows history for the Artist or Vocalist. If Vocalist separation is more important to you than Artist separation, use the Vocalist Spread Goal in the Priorities window, and remove the Artist Spread goal. This will display the selected Vocalist History. See the notes on Multiple Vocalists display, below.
Album - this shows history for all Songs on the Song's Album.
Song Group - this shows history for all Songs in this Song's Song Group, where the song is assigned to a Group.

History Map display with multiple Vocalists

If you have enabled Vocalist Spread as described above, and are looking at Vocalist history for a Song with two or more Vocalists, the History Display Options will offer you the choice of all Vocalists for this song. See the notes on configuring Artist to Vocalist settings for more information.

Media Monitors button

Click to open Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050. . Clicking this button will go directly to the Media Monitors MScore Media Monitors Mscore Switching calculates an index of switching in and out of a station when radio panelists react to songs on the radio. window for the current Song, if the Song is matched with its counterpart Song in Media Monitors.

Banning and Balancing by Daypart

The Dayparts section of the Station Coding pane lets you balance demand by Daypart, or to exclude a Song completely from a Daypart.

Click the icon in the Selected column to ban (block) this Song from the selected Daypart. Note that heavy use of Daypart Bans can have a direct effect on Songs available to schedule, by restricting the choice in the Search Depth you specify for each Category Group. You can compensate for this if required by unchecking the Count Daypart Band and Hour Restriction box in the Station - Features window.

Or click again to re-enable the Song for the selected Daypart.

You can also shift demand using the Demand Shift buttons by Daypart for any Song.

TIP: You can search for excluded or included Songs by any Daypart in the Library Browse window. See the notes on searching by Daypart in the Library Browse window topic for details.

Adding a Research Date

1. Click the Add tab in the Research Score toolbar.
2. Select a date from the Calendar Control.
3. The new date is displayed in the Research Scores pane.
4. Enter or import Research Scores for the new date.
5. Click the Save button in the Song window toolbar to save your changes.

Deleting a Research date

1. Select a Date to delete.
2. Click the Delete button in the Research Score toolbar.
3. Click the Save button in the Song window toolbar to save your changes.

See also the Importing Research Scores topic.

Song Window Security Access

When applying Security Settings in the Security Roles window, you can set security Access Levels for Browse, Category Changer, Song and Multi-Song Changer windows. In the Song Window and Multi-Song Changer windows, you can further specify Security Access Levels for Global fields, which apply to all your Stations, on the left side of the Song window, and Station-specific fields, on the right-hand side of the Song window.

Song Group Attribute field appearances

Songs can be organized in Song Groups Song Groups are collections of Songs. You can search and sort by Song Groups. A Song Group is global, and contains the same Songs in all stations. Song Groups can contain active and inactive Songs. An Attribute setting for a Song in a Song Group, activated for that Song Group, is applied to that Song in all Stations. You can also use Song Groups like packets. . A Song Group is an Attribute. So it can have an Appearance assigned, working in the Goals Balance Attributes window, as described here. When you view a Song which is in a Song Group to which an Appearance has been assigned, all shared Attributes are displayed in the main and additional windows with the assigned Appearance. You may wish to simply assign a foreground color to the Appearance, as in this example.

For more on Song Groups, see the Song Groups topic. For Appearances, see the Appearances Definition topic.

Topic Overview: Song window


Add Song window

The Add Song window is accessed from the Song window. It allows the user to add or modify Media ID The Media ID field in Song and Link windows is used to identify a Song or Link, often in conjunction with a Playout system database. values, Title, Artist, Version, Album, Song Group and Category information to define a new Song.

NexGen users have a secondary field appended to the ID field. This is the Cut field. See the Media ID field when configured for NexGen notes.

TIP: When you add a number of Songs at once, the Newly Added Spread goal is applied to these added songs until they have been played for the first time. This spread goal will separate the first play of newly added songs to best effect, no matter what category each song is assigned to.

Accessing the Add Song window

Features in the Add Song window

Working in the Add Song window

Accessing the Add Song window

Click the Library tab, and then the Song tab. In the Song window, click the toolbar Add [image] Button, to open the Add Song window. Optionally, select the Add Song button from the Library Browse window.

NOTE: This image shows the Add Song window with the optional Film Name field activated. See Enable Film Attribute for details.

Click any area for help

Topic Overview: Add Song window

Features in the Add Song window

Media ID field

Unique Media ID

Media ID field when working with NexGen

Title and Artist fields

Runtime

Version field

Album field

Film Name field (when enabled)

Category Field

Media ID field

This field allows you to specify an ID value for this song. The field can accept any value, but can be specified as unique and can be Alphanumeric or Numeric, according to the settings you call for in the Setup section Station - Media ID window. The field is also used when working with external playout systems. If the ID format options specified in this window do not match the format value you enter in the ID field, GSelector will prompt you to change the format of the ID you are trying to enter. See the notes on the Media ID error dialog box for details. When GSelector is integrated with Zetta the Media ID will match up to the External ID found in Zetta for the song asset.

NOTE: Leading and Trailing spaces will not be saved to the Media ID. If you enter any leading or trailing spaces in this field a message will be displayed warning that the spaces will be removed.

Unique Media ID

If Media ID is set to be unique in the Song tab of the Global Setting | Media IDs window the Media ID entered must be unique. If a Media ID is entered that matches the media ID of another Song, a Media ID Error will occur when the user clicks OK and a Media ID Error window will be shown.

GSelector will suggest the next available Media ID and allow the user to click Yes to accept the ID, No to return to the Add Song Link window or Cancel returning to the window (Browse or Song Window) where the Add Song button was clicked.

Media ID field when working with NexGen

A secondary NexGen-associated field is used when GSelector is interfaced with NexGen. This field is the NexGen Cut field. When entering Song details, you can enter any three digit numerical value in this field, or leave it at ifs default value of 000. When the GSelector Song entry is then synchronized with NexGen, this value will be overwritten by the synchronization process. The two Media ID fields are then permanently assigned to the Song. For more details, see the notes in the Exporting to NexGen topic . See also the notes on Adding Songs in the Adding Songs and Links using NexGen topic.

Title and Artist fields

In the Add Song window, the Title and Artist fields are mandatory fields - that is, you will not be allowed to save information in a Song window unless you have entered information in these fields. The Artist field allows you to select existing names from active songs in the station, or to enter one or more Artist names. See the notes on entering multiple Artists in this topic.

TIP: When adding Songs by multiple Artists, you can optionally select to automatically also enter each Artist individually as Vocalist Participants. This is an automatic process, implemented in the Artist to Vocalist Settings window.

Runtime field

This numeric field allows entry of the Song duration in minutes and seconds. Like the ID field, information in this field is common and shared across all stations. Many Audio Editors allow you to enter this value automatically, expressed as the difference between the trim out value and the trim in value in the Audio Editor.

NOTE: Durations in the Runtime field can be entered in two ways: by typing a value such as 4:23, or by simply typing 423. Where a Song Runtime is longer than ten minutes, typing 1141 or 11:41 , for example, will enter the same time value in this field.

Version field

The Version field is used when working with two or more different mixes or versions that you wish to use, but that you also wish to differentiate between, of the same song.

TIP: You can also clear information from any field by selecting the field and pressing the Delete key on your keyboard. Doing this while Category is selected returns the field to Inactive.

Album field

The Album field allows you to select existing Album Titles associated with names from active songs in the station, or to enter a new Album name.

Song Group field

The Song Group field allows you to select an existing Song Group when adding or editing Song Details. If you add a Song in a Song Group, any attribute which is shared will be populated in the Song window. For example, if you select a Song Group which has a shared Album attribute, the Album details will be added in the Album field in this window. Click the drop-down arrow to select a Song Group.

See the Adding a Song In a Song Group notes in this topic, and the Song Groups and Song Groups Settings topics for more details.

Film Name field (when enabled)

This optional field is exposed when the Film Name Attribute is activated. See the Enable Film Attribute notes for details. This field allows you to select existing Film Names from active songs in this station database, or to enter a Film Name.

Category Field

The Category field displays the Default Category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. where this has been assigned in the Categories window. Where no Default Category has been specified, the field displays Inactive. You can select any defined Category by clicking the Dropdown arrow.

Entering multiple Artists

GSelector has a single Artist field. When working with Artist Spread (see the Priorities window notes) information in this field is used. However, GSelector allows information entered in this field to be separated and optionally used as Vocalist Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants.. To enter more than one Artist for a song, define one or more separators These are symbols or text strings, used in the Artist field of the New or Edit Artist windows, to indicate more than one Artist, Performer or Vocalist. in the Global Settings: Artist to Vocalist Settings window. Using a defined symbol - for example & or f/ - allow the user to optionally specify each Artist as an Artist Vocalist participant.

Topic Overview: Add Song window

Working in the Add Song window

Adding a Song

Selecting an existing Title, Artist, Album or Category

Adding a new Title, Artist, Album or Category

Clearing a field

Adding an existing (inactive) Song

Adding Songs to Child Stations with Parent Station formats

Adding a Song in a Song Group

Artist To Vocalist settings

See also the notes for Cloning a Song, working in the Edit Song Window.

Adding a Song: the Add Song window

  1. In any Song window, click the Add [image] toolbar button.

  2. This opens the Add Song Window.

  3. Enter a value in the ID field. NexGen users should refer to the notes in the Exporting to NexGen topic.

  4. Enter information into the Title, Version, Artist, and Album fields by directly typing in text, or by selecting existing information for that field by clicking the drop-down arrow.

  5. This opens, respectively, a Title, Version, Artist, or Album drop-down list to pick from, associated with existing Active songs in this station.

  6. Enter the Runtime of the audio.

  7. Optionally select a Song Group and/or Film Name.

  8. Select a Category. If a default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. has been defined, this is displayed in the Category field; if not, Inactive is displayed.

  9. In the Version, Category, Song Group, Film Name and Album fields, you can also clear information from these fields by clicking the clear button at the right of the field. See the notes on Activating and deactivating songs for full details on Activating a Song.

  10. Finally, click the OK button to close this window and where appropriate, open the define Vocalists window. If the Artist already exists, you will be returned directly to the Song window, where your new information is displayed in the Song window.

  11. You are returned to the underlying Song window. The ID value is placed in the Song Window Media ID field.

NOTE: NexGen users will see the ID and Cut field values combined in the Song window Media ID field.

Selecting an existing Title, Artist, Album or Category

In the Add Song window, click the Drop-down Arrow to the right of the Title, Version, Artist Name, Album Title fields, and in the Add Song window, the Category field to select from an existing full list of Titles, Artist Names, Albums or Categories for active songs for this station. Enter or select information for all fields, and click OK to close the Add Song or edit Song window, window and write this information to the Song window. The information you have added is displayed in the Song information fields .

When working in the Multi-Song Changer, to select an existing Artist or Album title to apply to a list of songs, you use the same method to apply these changes.

NOTE: If you select a Title and Artist combination, GSelector will pop a warning window. Your choices are to go to the with that Tittle and Album or to stay in the current Song window.

Entering New Title, Artist or Album information

If you want to add a New Title, Artist or Album, simply enter the text in the Title, Artist and Album field. Auto-Complete This optional feature suggests a completed spelling for the text field entry you are typing. To accept it, press Enter; to ignore the suggestion, continue typing. Switch the feature on or off by typing Shift +F1 is enabled. When working in the Multi-Song Changer , to add a New Artist Name or Album title to apply to a list of songs, you use the same method to apply these changes.

TIP: When adding Songs by multiple Artists, you can optionally select to automatically also enter each Artist individually as Vocalist Participants. This is an automatic process, implemented in the Artist to Vocalist Settings window.

Clearing Album and Category field text

Select the Album or Category field (Add Song window only) and click the Clear button at right of these fields to remove the contents of those fields.

TIP: Select the Category field and press the Delete key on your keyboard to change the Category value setting to Inactive; press the Delete key on your keyboard on any other selected field to delete the data from that field.

Adding an existing (inactive) Song

The larger the underlying library for any organization, the greater the chance that a version of an existing song already exists, but that it is stored in the inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. part of the library for this station. When adding a song whose details already exist, this warning dialog box is displayed.

Select the appropriate option to either activate the song in this station, or to create an alternate version. See also the notes below on Adding Songs to Child Stations

Adding Songs to Child Stations with Parent Station formats

For more detailed information see the Format Parents notes in the New Station window topic.

Just as with 'regular' stations, when you add a Song to a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. , Station, that Song is active An Active item - a Song, Link or Note - is available to schedule in the current station. for that Station only, and inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. for all other Stations. If that Song stays active for that Child Station only, you can modify any setting locally. If however you then activate the Song in the Parent Station, you will then apply the Parent settings to that Song, any Inherit settings will then override the settings made in the Child Station. if the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. attribute is set to Inherit, this will disable Shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. , Bans When a Song, Link or Note, or an associated Attribute is banned, the Song Link or Note is prevented from playing that in one or more dayparts. Bans can be Implicit or Explicit. , Maximum Per Hour This optional settings field is enabled in the Setup Station Features window. It allows you to set a Maximum per hour for any Attribute, Participant, Song or Artist. and Minimum Separation Optionally implemented in the Setup Station Features window, setting a time value in this field in the Balance windows will enforce a separation for the specified Song, Link, Artist, Attribute or Participant settings in the Child Station.

Adding a Song in a Song Group

For full details see the Implementation notes in the Song Group topic.
When adding a Song, you select an existing Song Group, some fields can be automatically populated if you have opted to share Attributes between Songs in the Group. For example, if you are sharing Album information across Songs in the Group, then assigning a Song to that Group will automatically share Album information across all Songs in the group.

Artist To Vocalist settings

When adding Artist details with multiple performers, you can control how GSelector treats the performers, working in the Artist to Vocalist settings window. This allows you to automatically define each performer as a Vocalist Participant.

Topic Overview: Add Song window


Additional Information

Song window Additional Information tab

This Library section window stores and displays Copyright and catalog information, and User-defined information, as well as Media Information associated with the Song Audio file. User-defined information can be used as Attributes in filters, spread, goals, shift, dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks., and segue bans. Just as with the main Song, Audio Analysis, Notes and Adjustments windows, browsed lists can be accessed, song by song in turn, for editing.

Accessing this window

Features in this window

Accessing this window

Click the Library tab, and then the Song tab, and finally the Additional tab for any selected song.

Click any area in the image for help

Click any area in the image above for help

Topic Overview: Library Additional information tab

Features in this window

Browse Information and Navigation keys

Song Name field

Toolbar

Details pane

User -defined fields

Browse Navigation keys

If you have accessed this window from a browse of songs, you can navigate through the browse list using the arrow keys. The number of songs in the browse and the place the current song holds in this list are displayed. This information automatically updates as you click through the browse.

Song Name field

As you click through the browse, the Media ID, Song Category, Song Title and Artist are automatically displayed in the Song field next to the toolbar.

NOTE: If you move to another Song, having made changes in the current Song window, you are prompted to save or discard those changes before moving to the next Song.

Song window Toolbar

The toolbar is common to all Song window tabs. For details, see the Song Window topic toolbar and toolbar functions notes.

Details pane

These fields are used to store catalogue information. In this pane, you can enter Publisher, Label, ISRC number, Record Number, Promoter, Country, License, Association, and Prefix and Suffix catalogue number information. Auto-Complete This optional feature suggests a completed spelling for the text field entry you are typing. To accept it, press Enter; to ignore the suggestion, continue typing. Switch the feature on or off by typing Shift +F1 is enabled. Not all fields are compulsory for all territories. For further information, consult your local RCS office.

TIP: Information stored in these fields can be displayed in formats used in the Editor window , the Consideration window , and the Song Browse window . For details, see the notes on designing and assigning Browse formats

User-Defined Fields pane

You may optionally add information in the further ten fields provided here. This information is not used in scheduling; it simply allows the station to store more details against any song. You can rename any User-Defined field in the Options User-Defined field (see the Options User-Defined Fields notes) window. When naming fields, you cannot assign the same name to more than one field. Any name that you assign to any of the fields is used in both the Additional information windows in Songs and Links, and is also applied to all stations in your licensee group. Auto-Complete This optional feature suggests a completed spelling for the text field entry you are typing. To accept it, press Enter; to ignore the suggestion, continue typing. Switch the feature on or off by typing Shift +F1 is enabled for all user-defined fields

TIP: Information stored in these fields can be displayed in formats used in the Editor window , the Consideration window , and the Song Browse and Link Browse windows. For details, see the notes on designing and assigning Browse formats.

Topic Overview: Library Additional information tab


Audio Analysis

This window hosts the GSelector Audio Analysis program. This program is available for Songs and Links in the Audio Analysis tab of the selected Library. The program analyzes the audio file for any supported file format for the selected Song/Link. There are two panes in the window, the Maps Pane, and an Edit pane, showing Attributes, Intros and Opening and Ending fields. The values that are generated here in the Analysis process can be edited before being saved back to the Song or Link. Just as with many other windows in GSelector, a browsed list can be accessed making it easier to edit a group of song or links.

Accessing this window

Features in this window

Working in this window

Accessing this window

First work in the Song or Link Browse window to select or create a list. Then click the Song tab in Library or Link tab in Linker Library, and finally the Audio Analysis tab. This illustration shows the Audio Analysis window, for a Link, immediately before an Analysis. See the image below for an illustration of the results.

Click any area in the image for details

Click any area in the image above for details

Topic Overview: Audio Analysis

Features in this window

Toolbar

Song Details

Filename field

MAPS pane

Find (CTRL+F)

Attributes and Timing Edit pane

Analyze button

Toolbar and List Navigation buttons

The Navigation tools and Toolbar are common to all Song tab and Linker tab windows. For details, see the Song Window topic toolbar and toolbar functions notes.

Song Details

The Media ID, Category and Title information for the selected Asset is displayed next to the toolbar. The Song Audio Analysis tab will also display the Artist in this field.

Filename field

This field displays the filename and path. You cannot edit this field in the Audio Analysis tab. Filename details can be manually entered in the main Song or Link window Filename field. GSelector supports MP3, MP3, wma and wav file formats.

NOTE: If there is no valid file name present, GSelector will flash a warning icon next to this field.

MAPS Pane

This pane, on the left side of the window, holds data derived by the Audio Analysis process. The Audio Analysis tool analyzes the selected audio file and displays the results in the MAPS pane fields with a Primary BPM value and where appropriate, an Alternate BPM value, Texture Open and Texture Close values, Intro 1, Intro 2 and Intro 3 values where multiple values exist, Opening and Ending values, an overall Energy value for the asset, and finally, Runtime, Trim Start and Trim End values. If the audio has not yet been Analyzed, the only value displayed is the Runtime value.

After analysis, data is copied to the equivalent fields in the main Attributes and Timing Edit pane, where you may modify any value. Note that MAPS uses a nine-point scale and we convert the MAPS value to the five-point GSelector scale for Energy, Texture Open and Texture Close. Saved data and timing values are copied to the Song/Link window.

Analyze button

Click this button to Analyze or re-Analyze the Audio for the selected song/link. This button is only active with a supported File Format .

Attributes and Timing Edit pane

GSelector displays and allows you to edit, once Analyzed, information for fields displayed in the MAPS pane, with the exception of BPM and time values. Timing information is displayed in the main pane in the Main Song/Link window, where you can edit the information.

TIP: Attribute values assigned by programmers in GSelector are very much a matter of subjective opinion. So the values that are derived automatically by the Analysis process can be edited if they do not match the intended values of the station.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Audio Analysis results pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Topic Overview: Audio Analysis

Working in this window

Using Analysis: the Process described

File Formats

Saving Changes

Canceling Changes

Using the Analysis tool: the process described
  1. First select or browse a Song/Link or list of Songs/Links.
  2. Open a Song/Link window and click the Audio Analysis tab.
  3. Values already entered into the main window are displayed in the MAPS pane.
  4. Where audio is present in the supported file format, the Analyze button is active.
  5. Click the Analyze button. See the image below for an illustration of the results.
  6. GSelector generates new values from the audio file for fields in the Attributes and Media panes. These can be edited if required.
  7. Note that the GSelector Audio Player can be used to play the selected Audio for reference purposes.
  8. Save or Cancel changes before moving to the next Song/Link if working with a list.

This image shows the Audio Analysis window after an Analysis process.

Click any area in this image for help

Click any area in this image for help

File Formats

While the GSelector Audio Player can play any common file format, GSelector supports the linear wav file format exclusively for analysis purposes. When analyzing other file formats, GSelector will automatically create a temporary wav file from your MP2, MP3 or WMA files, for analysis purposes. This file is deleted after analysis.

This process is set up by enabling the AFC (Audio File Converter) when installing or initializing GSelector.

Saving Changes

Click the Save Button in this window's toolbar to save the edited information to the asset.

Cancel Changes

Click the Cancel button to re-read the original settings and return the window to its last saved state.

Topic Overview: Audio Analysis


Adjustments by Daypart windows

Adjustments by Daypart windows are used in the Song/Link window, Link Library, Goals and Link Goals sections. They display, for all Dayparts, current Bans When a Song, Link or Note, or an associated Attribute is banned, the Song Link or Note is prevented from playing that in one or more dayparts. Bans can be Implicit or Explicit. and Shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. , and the Minimum Separation Rotation rule. The second adjustments tab window shows Packet Adjustment information, and the third tab window Hour Restriction information. In the Song/Link window, the Adjustments tab shows Bans and Shifts and Minimum Separation adjustments for the selected Song/Link. In the Goals/Link Goals Balance section, the Adjustments tab shows all Bans and Shifts and Minimum Separation adjustments across the station. These are displayed grouped by Daypart, sorted in alphabetical order.

NOTE: Adjustments to the maximum per hour and limit goals and all Rotation Rules (apart from Minimum Separation) are not shown in the Adjustments tab.

The Adjustments by Daypart windows let you troubleshoot Shifts and/or Bans which need to be adjusted in the light of scheduling inconsistencies. As they are grouped by Daypart, instant comparisons can be made between the same Attribute in different Dayparts. If an individual Song is not scheduling the way you want it to, then the Song Adjustments by Daypart window for the selected song will tell you why.

Accessing Adjustments by Daypart windows

Features in Adjustments by Daypart windows

Accessing Adjustments by Daypart windows

In the Song/Link window for a selected Song/Link, click the Adjustments tab.

In the Goals/Link Goals section, click the Balance tab and then the Adjustments tab to access a window similar to this illustration. The default tab in this window is the Dayparts tab. The other tabs shows adjustments by Packet and Hour Restriction.

Click any area for Help

Click any area for Help

The window opens with all Dayparts displayed in Alphabetical sequence. Note that any part of this window can be sorted in ascending or descending order by clicking on the relevant header. See the Sorting notes in the Working with Browses topic for more information.

For each Daypart, all Attributes or Participants which have been shifted or banned, and which have had a Minimum Separation value assigned are displayed.

In this illustration, in Sound Codes, the Country, Classic and Power Ballad Sound Codes are cut or boosted for the W/E Evenings Daypart, Long Songs (>4.45) and Power Ballads have been cut in the W/E Days Daypart, while Pop is cut In Nights and W/E Mornings. At the same time, the Artist Attribute shows a Minimum Separation value of 0 days 5 hours for the Eagles in the W/E Days Daypart.

Note that this is a very simple illustration. Typically, a station might have several dozen adjustments implemented. Where a Song has been explicitly Banned in a Daypart, it will be displayed in this window under Attribute: Song ID for that Daypart. Note, too that you cannot edit any setting in this window, but that you can jump directly to the Goals/Balance window for any Attribute, from the Goals Adjustments window, or directly to the Song window from the Song Adjustments tab.

The Goals Balance and Song Adjustments by Daypart windows are identical, with the exception that Adjustments in the Song window are displayed for the selected Song, while in Goals Balance, all Adjustments are displayed.

Topic Overview: Adjustments by Daypart window

Features in Adjustments by Daypart windows

Toolbar button

Save button

Cancel button

Clear Adjustments

Find (CTRL+F)

Shift/Ban values

Minimum Separation values

Dayparts and Attributes for each Daypart

Banned items

Boosted or Cut items

Sort Order

Expanding the display

Jumping from the Adjustment window

Toolbar buttons

The Toolbar can be used to Save, Cancel or Clear Adjustments.

Save Button

Click to save your changes in this window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments window. The Clear Adjustments window provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Audio Analysis results pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Shift/Ban values

This column displays the shift or ban applied to the Attribute, Artist, Song or Participant.

Note: When the category of a song/link is changed, the daypart shifts resets to 0. Given that the daypart shifts are relative to the category, they need to be reset when the category changes.

Minimum Separation values

Where a Minimum Separation value has been assigned to the Attribute, Artist, Song or Participant, it is displayed in this column.

Dayparts and Attributes, etc, for each Daypart

This column lists all Dayparts. Each Daypart has a clickable node to allow you to expand the display to see Bans and Minimum Separation assignments for each Daypart.

Banned Items

Where a ban has been implemented, this is displayed in the normal way. In this illustration, all Elton John Artist songs are banned from the AM Drive, while the 3T song 24/7 is banned as well in the Daypart.

Boosted or Cut items

Where a song or song attribute has been boosted or cut, its shift value is displayed in the relevant demand window, and also in the Adjustments by Daypart window under the Shift/Ban column.

Sort Order

Items are sorted in alphanumerical order by Daypart and Attribute name. The Attributes themselves can be sorted in ascending or descending order.

Expanding the display: Tree navigation buttons

When you first access an Adjustments by Daypart window, all nodes in the display are open, for all Dayparts. To collapse any part of the display, click any node button.

Jumping from the Adjustment window

To modify any adjustment, select it in the Adjustments by Daypart window and double-click. This will open the relevant window in the selected Daypart. For example, selecting the Country Sound Code in Afternoon in the main illustration would open the Goals/Balance/Attributes window with their Afternoons Daypart selected, and the Country Sound Code highlighted.

Clicking a banned Attribute, Artist, Song or Participant will open the Goals/Balance/Attribute, Artist, Song or Participant window for the selected Daypart, with the selected item highlighted; clicking an item with a Minimum Separation value will do the same.

Topic Overview: Adjustments by Daypart window


Edit Song Window

The Edit Song window is accessed from the Song window. It allows the user to modify Title, Artist, Version, Album information, and where enabled, the Film Name field for existing Songs, and Media ID information under certain conditions.

NOTE: When GSelector is integrated with NexGen, the Media ID field is not available to edit, so this field is not displayed.

Accessing the Edit Song window

Features in the Edit Song window

Working in the Edit Song window

See also the notes for using the Edit Song window in Clone mode when cloning a Song.

Accessing the Edit Song window

In the selected Song window, click the toolbar Edit [image] Button to open the Edit Song window, or simply click the in the Song Information pane. The Edit Song window opens with the existing information for the selected Song displayed in the Title, Version This field allows multiple versions of a Song/Artist combination to be entered in the Database. For example, some stations like to use combinations of a regular mix and an extended dance mix., Artist, Album, Song Group and where enabled, the Film Name field. This window closely resembles the Add Song window, but the ID field is suppressed. When you open this window in Clone mode, the ID field is displayed. Using the F11 keyboard key in a field in this window will close the window and navigate to a configuration setting or window for that field.

Click any area in this image for help

Topic Overview: Edit Song window

Features in the Edit Song window

Media ID

Unique Media ID

Title field

Runtime field

Version field

Artist field

Song Group

Film Name

In the Edit Song window, the Title and Artist fields are mandatory fields - that is, you will not be allowed to save information in a Song window unless these fields are filled.

Media ID field

This field allows you to specify an ID value for this song. The field can accept any value, but can be specified as unique and can be Alphanumeric or Numeric, according to the settings you call for in the Setup section Station - Media ID window. The field is also used when working with external playout systems. If the ID format options specified in this window do not match the format value you enter in the ID field, GSelector will prompt you to change the format of the ID you are trying to enter. See the notes on the Media ID error dialog box for details. When GSelector is integrated with Zetta the Media ID will match up to the External ID found in Zetta for the song asset.

NOTE: Leading and Trailing spaces will not be saved to the Media ID. If you enter any leading or trailing spaces in this field a message will be displayed warning that the spaces will be removed.

Unique Media ID

If Media ID is set to be unique in the Song tab of the Global Setting | Media IDs window the Media ID entered must be unique. If a Media ID is entered that matches the media ID of another Song, a Media ID Error will occur when the user clicks OK and a Media ID Error window will be shown.

GSelector will suggest the next available Media ID and allow the user to click Yes to accept the ID, No to return to the Edit Song window or Cancel returning to the Song window.

Title Field

Select a different title using the drop down arrow, or enter a new title for the selected Song.

Runtime field

This numeric field allows entry of the Song duration in minutes and seconds. Like the ID field, information in this field is common and shared across all stations. Many Audio Editors allow you to enter this value automatically, expressed as the difference between the trim out value and the trim in value in the Audio Editor.

NOTE: Durations in the Runtime field can be entered in two ways: by typing a value such as 4:23, or by simply typing 423. Where a Song Runtime is longer than ten minutes, typing 1141 or 11:41 , for example, will enter the same time value in this field.

Version field

The Version field is used when working with two or more different mixes or versions that you wish to use, but that you also wish to differentiate between, of the same song.

Artist Field

The Artist field allows you to select existing Artist names from active An Active item - a Song, Link or Note - is available to schedule in the current station. songs in this station database, or to enter one or more Artist names. See the notes on entering multiple Artists in this topic.

Album Field

The Album field allows you to select existing Album titles from active An Active item - a Song, Link or Note - is available to schedule in the current station. songs in this station database, or to enter an Album name.

Song Group

This field allows you to assign this Song to an existing Song Group. See the Song Groups notes for details.

Film Name field (when enabled)

This optional field is exposed when the Film Name Attribute is activated. See the Enable Film Attribute notes for details. This field allows you to select existing Film Names from active songs in this station database, or to enter a Film Name.

Topic Overview: Edit Song window

Working in the Edit Song window

Editing a Song

Editing a Song working with Song Groups

Adding a new Title, Artist, Album, Film Name or Song Group

Clearing fields

Entering Multiple Artists

Cloning a Song

Editing Song details

The Edit Song window fields have Drop-down arrows at the right of all fields with the exception of the Media ID.

Click any Drop-down arrow to select from, respectively, an existing full list of Titles, Artist Names, Albums or Album Titles for active songs for this station. Alternately, in any field or in any drop down list, type in the first letter to jump to choices for that field. Enter or select information for all fields, and click OK to close the Add Song or edit Song window, window and write this information to the Song window. The information you have added is displayed in the Song information fields . When working in the Multi-Song Changer, to select an existing Artist or Album title to apply to a list of songs, you use the same method to apply these changes.

Editing a Song working with Song Groups

When editing a Song, if you select an existing Song Group, some fields can be automatically populated if you have opted to share Attributes between Songs in the Group. For example, if you are sharing Album information across Songs in the Group, then assigning a Song to that Group will automatically share Album information across all Songs in the group.

Entering information

If you want to revise a field or add new Title, Version, Artist, Album, Song Group or optional Film Name field information, simply enter the text in the relevant field. Auto-Complete This optional feature suggests a completed spelling for the text field entry you are typing. To accept it, press Enter; to ignore the suggestion, continue typing. Switch the feature on or off by typing Shift +F1 is enabled. When working in the Multi-Song Changer , to add a New Artist Name or Album title to apply to a list of songs, you use the same method to apply these changes. When working with Song Groups, any Attribute fields which have been shared for the Song Group will automatically update.

Clearing field text

Select the field and click the Clear button at right of the fields to remove the contents of the fields.

TIP: Select the Category field and press the Delete key on your keyboard to change the Category value setting to Inactive; press the Delete key on your keyboard on any other selected field to delete the data from that field.

Entering multiple Artists

GSelector has a single Artist field. When working with Artist Spread (see the Priorities window notes) information in this field is used. However, GSelector allows information entered in this field to be separated and optionally used as Vocalist Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. . To enter more than one Artist for a Song, enable Artist separators These are symbols or text strings, used in the Artist field of the New or Edit Artist windows, to indicate more than one Artist, Performer or Vocalist. , and then define separator text strings in the Global Settings Artist to Vocalist Settings window.

Cloning a Song

This process is often adopted by users who work with multiple versions of a Song. This allows them to quickly copy an existing version of the song and then update only the applicable fields in the cloned version. Note that you cannot clone songs in Child Stations .

  1. In the Browse Window , browse to the desired Song, and open the Song window.
  2. In the Song window, click the Clone Song [image] button in the Toolbar .

  3. This opens the Edit Song window in Clone Mode, populated with information for the existing Song.
  4. The cursor is active in the Version field, but you can enter Song information for the new Song in any field.
  5. Note that the Media ID field displays a value of 0. GSelector will not let you save a new Song with an existing combination of Media ID/Title/Artist/Version. Each song must also have a unique Media ID.
  6. NexGen users have a secondary field appended to the Media ID field. This is the Cut field. See the Media ID field when configured for NexGen notes.
  7. Click OK to save the Song. It will be active An Active item - a Song, Link or Note - is available to schedule in the current station. in the current station and inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. an all other stations.
  8. The new Song will retain History from the original Song.

Topic Overview: Edit Song window


Deleting or Deactivating Songs

Deleting or Deactivating Songs, Links and Notes

GSelector offers you several options to remove Songs, Links and Notes from one or more stations. You can delete any Song, Link or Note right from the Song, Link or Note window, or you can opt to deactivate it for future use or place it in a Hold Category. When an asset is deactivate it is not unscheduled. When an asset is deactivated the History and Total Plays for the asset are retained. This means when an asset is deactivated the History in the Songs/Links window and the Editor will still show the previous and future history for the asset. The deactivated asset will remain in the schedule regardless of whether it is scheduled to play in the future or past. The asset will also still be visible in the analysis window but show as inactive. The Total Plays column, where used, will still show the total plays for the inactive asset. If you deactivate and later decide you still want to permanently remove a Song, Link or Note from the Database, you can clean it out from the relevant list of inactive Songs, Links or Notes. When deleting Song, Link or Notes which are inactive in all stations, you are not prompted to deactivate the song.

When you work with Child stations whose Songs Links and Notes are dependent on Inherited settings in a Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. station, you cannot delete or deactivate a Song, Link or Note in the Child station; you have to delete or deactivate from the Format Parent.

Deleting a single Song. Link or Note active on a single Station

Deleting a single Song, Link or Note which is active on multiple Stations

Deleting Multiple Songs or Links active on a single Station

Deleting Multiple Songs or Links which are active on multiple Stations

Deactivating a Single Song or Link

Deleting a SINGLE Song, Link or Note which is active on one station only

In any Song, Link or Note window, select the Delete [image] button in the toolbar. Clicking this button will open a warning message to offer you the option to deactivate the Song, Link or Note. When deleting a Song or Link the warning will also indicating the number of times the song/link is scheduled, the number of plays in the past, the number of plays in the future, the last scheduled date and time.

Click Deactivate to Deactivate the item for the current station.

Click Delete to completely remove the items from your database and all stations.

For notes on activating deactivated songs, see the activating or deactivating songs notes in the Song window topic.

Deleting a SINGLE Song, Link or Note which is active on several stations

In any Song, Link or Note window, select the Delete [image] button in the toolbar. Clicking this button will open a warning message to offer you the option to deactivate the Song, Link or Note. When deleting a Song or Link the warning will also indicating the number of times the song/link is scheduled, the number of plays in the past, the number of plays in the future, the last scheduled date and time and whether it is Active on other stations.

Click Deactivate to Deactivate the item for the current station.

Click Delete to completely remove the items from the database and all stations.

For notes on activating deactivated songs, see the activating or deactivating songs notes in the Song window topic.

Deleting MULTIPLE Songs or Links which are active on one station

NOTE: The bulk delete option is handled from the Multi-Song and Multi-Link window, and so only applies to Songs and Links.

In the Multi-Song or Multi-Link Changer windows, select the Delete [image] button in the toolbar, to delete a browsed list of Songs or Links. Clicking this button will open a warning message to offer you the option to deactivate the Songs or Links in the list.

Click Deactivate to Deactivate the items for the current station.

Click Delete to completely remove the items from your database and all stations.

Deleting MULTIPLE Songs or Links which are active on several stations

In the Multi-Song or Multi-Link Changer windows, select the Delete [image] button in the toolbar, to delete a browsed list of Songs or Links. Clicking this button will open a warning message to offer you the option to deactivate the Songs or Links in the list, while also indicating the Active status of some items on other stations.

Click Deactivate to Deactivate the items for the current station, leaving them active elsewhere.

Click Delete to completely remove the items from your database and all stations.

Deactivating a Single Song or Link

Access the Song/Link window in the selected Station, and in the station coding pane, uncheck the Active box. This will deactivate the song/link. When an song/link is deactivate it is not unscheduled. When a song/link is deactivated the History and Total Plays for the asset are retained. This means when a song/link is deactivated the History in the Songs/Links window and the Editor will still show the previous and future history for the asset. The deactivated song/link will remain in the schedule regardless of whether it is scheduled to play in the future or past. The song/link will also still be visible in the analysis window but show as inactive. The Total Plays column, where used, will still show the total plays for the inactive song/link.

Topic Overview: Deleting or Deactivating Songs, Links or Notes


Future Moves

This pane in the Song and Link window allows the user to specify changes that will be made in the future to the selected song/link based on the selected Date or Number of Plays. When a Date is used, in defining a future move the move takes place at the start of the specified date, prior to scheduling. If Number of Plays is used, when the plays count is reached, the song will be moved at the start of the next scheduling session. If both the Date and Number of Plays is set, GSelector will move the song based on whichever comes first. Moves based on a move date can optionally be set to change on a Yearly basis. RCS recommends scheduling a day at a time if using the Future Moves feature.

Accessing this pane

Features in this pane

Using the Future Moves pane

Accessing this pane

  1. For the selected song/link, access the window in the usual way.
  2. Select the Future Moves tab in the History pane at bottom right of the window to access the Future Moves view. The following window shows the Future Moves tab for a Song.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Future Moves tab

Features in this pane

Toolbar

Add Future Move window

Category

Move Date

Yearly Update

Number of Plays

Start From Date

Edit Future Move window

Toolbar

This toolbar allows you to define a Future Move, edit details in a Future Move, and delete a Future Move.

Add Future Move window

Click the Add Future Moves button to open the Add Future move window.

Category

The Category field lists the Category that the song will change to on the specific move date. This value can only be edited from the Edit Future Move window; double-click to open the Edit Future Move window.

Move Date

The Date field displays the date on which the song/link will be moved to the new Category. If the Number of Plays is also set GSelector will move the song/link based on whichever comes first. This value can only be edited from the Edit Future Move window; double-click to open the Edit Future Move window.

Yearly Update

This field shows if a Yearly Update has been set for this Future move. If a Yearly Update has been specified for this Future Move, the move will take place on the move date each year, and the Move Date is automatically updated to apply for the following year. See Using Yearly Updates for more information. The Yearly Update only refers to the move date and not the plays. This value can only be edited from the Edit Future Move window; double-click to open the Edit Future Move window. In the image above, all Future moves are Yearly Updates: the Song in question will spend three months in a Major 80s Hits Category, and three months in a Hold Category.

Number of Plays

The Plays column in the Future Moves tab shows the Number of Plays set in the add or edit Future move window. The Number of Plays tell GSelector to move the song/link to the selected Category after the song/link Plays n number of times. When the plays count is reached, the song/link will be moved at the start of the next scheduling session. If the Date is also set GSelector will move the song based on whichever comes first.

Start From date

The Start From date is the date GSelector will start counting the number of plays.

Topic Overview: Future Moves tab

Using the Future Moves pane

Adding a Future Move

Editing a Future Move

Deleting a Future Move

Using Yearly Updates

Adding a Future Move

  1. In the selected Song/Link window, click the Future Moves pane tab.
  2. Click the Add [image] button in the Future Moves tab pane toolbar.

  3. In the Add Future Move window, select the Category that the song will move to from the Category drop-down box.
  4. In the Date field, type in a date or click the drop-down arrow to open a Calendar Control to select a Date. This field is optional. If the move date is not set then the Number of Plays will need to be set.
  5. Optionally, check the Yearly Update box so that this change takes place on a Yearly basis. See Using Yearly Updates for more information.
  6. Optionally, Set the Number of Plays.
  7. Optionally set a Start From date. Type in a date or click the drop-down arrow to open a Calendar Control to select a Date.
  8. Click OK to close the window and display your Future Move in the Future Moves pane.
  9. Add more Future Moves as required.
  10. Finally, save changes in the Song window by clicking the Save [image] toolbar button.

The move will take place right before the move date is scheduled. If Number of Plays is used, the song is moved at the start of the next scheduling session once the play count is reached. If both the Date and Number of Plays is set, GSelector will move the song based on whichever comes first. Moves on dates that fall in the middle of a multi-day scheduling range are deferred to the next scheduling session. If this is about to occur, GSelector posts a warning which allows you to cancel the session and break down the multi-day range to smaller periods or individual days.

Editing a Future Move: Edit Future Move window

  1. Select an existing Future Move.
  2. Click the Edit [image] button in the toolbar or double-click on the selected Future Move.

  3. This opens the Edit Future Move window; this is the same as the Add Future Move window, except that it has the details for the selected Future Move.
  4. Modify the Category field if needed.
  5. Optionally, modify the move Date. If the move date is not set then the Number of Plays will need to be set.
  6. Optionally, select or deselect the Yearly Update.
  7. Optionally, adjust the Number of Plays.
  8. Modify the Start From Date if needed.
  9. Click OK to close the window and display the edited Future Move in the Future Moves pane.
  10. Finally, save changes in the Song window by clicking the Save [image] toolbar button.

Deleting a Future Move

  1. Select an existing Future Move.
  2. Click the Delete button in the toolbar.
  3. The selected Future Move is removed from the Future Moves pane.
  4. Finally, save changes in the Song window by clicking the Save [image] toolbar button.

Multi-Day Scheduling

If you have set up one or more Future Moves or Packet Target Dates in the window, that fall within a Multi-Day schedule period, GSelector warns you of this, and gives you options to handle these station-specific occurrences within the multi-day scheduling context. This warning is only shown for Future Move setup with a move Date this warning is not shown for Future Moves setup using the Number of Plays setting. RCS recommends scheduling a day at a time if using the Future Moves feature.

Using Yearly Updates

The Yearly Updates feature saves the user the work of manually entering a Future Move dates every year. If so enabled, Future Moves repeat yearly, and at the time of application, the date is rolled forward by 1 year. Many users set up groups of Future moves to cycle assets back and forth between active and inactive, or between heavy rotation and light rotation. In the example above, Future Moves move a Song into and out of Major 80s Hits on a three-monthly basis. You can enable or disable Future moves at any time working in the Edit Future Moves window. The Yearly Update only refers to the move date and not the plays. A yearly update is indicated in the Yearly Update column.

Topic Overview: Future Moves tab


Hour Grids

Hour Grids Setup Window

Hour Grids are used in many of the windows in GSelector® to make selecting Days and Hours easier. Any window that uses the Date Range selection has the option to use the Hour Grids to select specific Days and Hours of the selected Date Range. Hours Grids are used to select a grid of Days and Hours to be used in the Scheduler to include or exclude specific days and hours from being scheduled. Hour Grids are also used as Hour Restrictions to restrict a Song, Link or Note to which they are applied from scheduling in the hours set in a grid. Any hour can be [image] selected for scheduling purposes. Both the Setup section Hour Grids window and the Hour Restrictions Setup pane (accessed from the Song, Link and Note windows) are used to design Hour Grids. Hour Grids are applied in the Song window Hour Restrictions pane, in the Link window Hour Restrictions pane, in the Multi-Song Changer Hour Restrictions pane, in the Multi-Link Changer Hour Restrictions pane, and in the Note window Hour Restrictions pane, and are displayed in History Maps in the Song, Link and Note Windows and the Editor.

Hour Grids can be used in the Browse window: you can search for Songs, Links or Notes by Hour Restriction. You can also include Hour Grids in Browse Formats and Export formats. The start hour for the grid is set in the Daypart Assignment window Broadcast Start Hour field.

Accessing this window

Accessing the Hour Restrictions Setup pane from Song, Link and Note windows

Features

Working in this window

Working with Hour Grids

Accessing this window

Click the Setup tab then the Hours tab and finally the Hour Grids tab.

Click any area in the image for help

Click any area in the image for help

Accessing an Hour Grids Setup window directly from Song, Link and Note windows

From individual Song, Link and Note Windows, you can access the Hour Grids Setup window. This works exactly the same way as the Setup Section Hour Grids window. So you can create and modify Hour Grids on the fly, without having to leave the window you are working in. Any Hour Grid you create in this pane, as in the main Hour Grids pane, is available to use in any Song, Link or Note window. When using the Hour Grids for the Hour Restriction of a song the selected hours in the grid will restrict the Song, Link or Note from being scheduled.

  1. In any Song, Link or Note window, using the Hour Restrictions tab, click the Edit button.
  2. Note that in Songs and Notes, the Song or Link has to be active An Active item - a Song, Link or Note - is available to schedule in the current station..
  3. This opens the Hour Grids Setup pane.
  4. Work in this window to create or modify Hour Restrictions.
  5. Close the window after saving your changes to return to the underlying Song Link or Notes window.

Topic Overview: Hour Restrictions

Features

Hour Grids Toolbar

Grid List

Import Hour Grid

Grid Pane

Right Click Menu options

Hour Grids Toolbar

The Hour Grids toolbar allows you to Add a new grid, Rename a grid, Delete a grid, select or remove all hours in the grid, Save changes, Save an edited Grid as new, Cancel unsaved changes, Import a Grid, and where Zetta Zetta is the a RCS automation and audio playout system. is integrated with GSelector (Automatic Synchronization of Hour Restrictions is disabled), export the Hour Grids to Zetta.

Keyboard Shortcuts

CTRL+C - Copy

CTRL+V - Paste

CTRL+F - Fill

F2 - Save changes to the Clock Assignment window.

F3 - Copy same Hour of the Previous Day: Copies the cell contents from the cell above the selected cell into the current cell and then advances to the next cell down. When in the last cell of a column it will wrap to the top cell in the next column. When in the last cell of the last column it will wrap to the top cell in the first column.

F4 - Copy Previous Hour: Copies the cell contents from the cell on the left into the current selected cell and then advances to the next cell on the right. When in the last cell of a row it will wrap to the first cell of the next row. When in the last cell of the last row it will wrap to the first cell of the first row.

F8 - Copy Previous Day: Copies the contents of all cells in the row above into the current row and then advances to the next row down.

Grid List

All station specific Grids are displayed in this list. Click on a name in this list to select the grid.

Import Hour Grid

Click the Import Hour Grid button to view a list of All the Hours Grid for every station in the current database. Double-click the desired Hour Grid or use the select all button to select all grids available. Click OK to import the Grid.

Grid Pane

This is a 7 x 24 grid representing every hour and day of the week. Click on any cell to toggle or select the hour. See the notes on editing grid contents.

Right Click Menu options

The grid toolbar, Hour and Day edit functions are also available in a menu pane. This pane is opened by right-clicking anywhere in the grid. The functions in the menu are applied to the cell, or the hours row or day column in which you right-click, or to selected hours when copying and pasting. When copying and pasting, select an hour and day range by clicking and dragging the mouse. See the copy and paste notes here. See the notes on editing grid contents for more information. Some of the options in this menu can also be performed using keyboard shortcuts.

Topic Overview: Hour Restrictions

Working in this window

Add a grid

Edit a Grid Name

Edit Grid contents

Delete a Grid

Selecting Hours

Toggling Status

Select All or Remove Selection from all hours in the Grid

Save Changes

Save as a New Grid

Cancel

Copying and Pasting

Add a grid

  1. Click the Add button in the Hour Grids window toolbar to open the Hour Restrictions name box.
  2. Enter a Grid Name in the Grid name box and click OK.
  3. The Grid Name is displayed in the Grid List
  4. Edit the Grid contents in the Grid pane.
  5. Finally Save your changes.

Edit a Grid Name

  1. Click on a Grid name in the Grid List pane to select that grid.
  2. Click the Edit button in the toolbar to open the Grid name box (see above).
  3. The selected Grid name is displayed. Edit this name to suit.
  4. Edit the Grid contents if required.
  5. Save your changes.

Delete a Grid

  1. Click on a Grid name in the Grid List pane to select that grid.
  2. Click the Delete [image] button in the toolbar to delete the grid.
  3. In the next window, confirm that you wish to delete.
  4. Save your changes.

Selecting Hours

Click and hold to select any Hour. Still clicking, drag to select a contiguous day and hour range.

Toggling Hour status

Click and release to toggle an hour's selection status. Click and release to toggle the status again.

Select All or Remove Selection from all hours in the Grid

The Select All Hours and Remove Selection - All Hours buttons allow you to rapidly completely fill or completely remove selections in every grid position. This is a useful way to quickly construct new Grids from a fully selected Grid, or to clear all selections if required.

Save Changes

The Save and Cancel toolbar buttons are activated when you edit any field. To save your changes, click the Save toolbar button. If you do not save your changes, you will be prompted to save them when you leave the window.

Save as a New Grid

  1. Click on a Grid name in the Grid List pane to select that grid.
  2. Edit the contents of the Grid as required.
  3. Click the Save as New [image] button to open the Grid name box.
  4. Enter a Grid Name in the Grid name box and click OK.
  5. The new Grid Name is displayed in the Grid List.
  6. Finally Save your changes.

Cancel

Click the Reset Grid [image] button in the toolbar to cancel any unsaved changes.

Topic Overview: Hour Restrictions

Working with Hour Grids

Assigning a Grid to an Item

Assigning or Removing in the Multi-Song Changer

Edit Grid Contents

Hour Restrictions display notes

Hour Restrictions and Turnover

Hour Restrictions and Daypart bans

Hour Grids used with Date and Time Range

Searching in the Browse window

Clear all hours in the grid

Copying and Pasting

Setting a different Broadcast Start Hour

Assigning a Grid to a Song, Link or Note

  1. Design one or more Grids as specified above.
  2. In the Song Link or Note window, click the Hour Restrictions tab.

  3. Click the Hour Grids drop-down arrow to see all available Hour Grids.
  4. Click on the list to select and apply the grid
  5. Click the toolbar Save button.

Assigning or Removing in the Multi-Song Changer (Songs only)

You can select an Hour Grid and apply it to all Songs in a browsed list in the Hour Restrictions field in the Multi-Song Changer. Alternately, you can select the Delete button and remove either all Hour Restrictions, or a selected Hour Restriction, from all Songs in a browsed list.

Hour Restrictions display notes

When an Hour Grid is assigned to a Song, Link or Note, restricted hours are shown as dashes in the history map or grid. Note that where a song or link is implicitly or explicitly banned in specific hours, these restrictions are also shown the same way. Hour Restrictions are also displayed in the Editor History map pane. The Hour Restrictions tab also displays the name of the selected Hour Grid; this allows the user to see if a Grid has been applied to the Song, Link or Note when working with Dayparts.

Hour Restrictions and Turnover (Songs or Links only)

Note that when an Hour Restriction is applied to a Song or Link, it has an immediate effect on Turnover. This is reflected in all Balance screens, where the reduction in demand affects the demand for other Songs or Links. Clearly, the greater the demand for a Song or Link, the greater effect an Hour Restriction will have on overall turnover.

Hour Restrictions and Daypart bans (Songs and Links only)

You can apply a Daypart ban and an Hour Restriction to Songs and Links. These can overlap, or can apply at different times of day. The setting in the Hour Restriction will ban the Song or Link from being scheduled, irrespective of any pre-existing ban applied to a Daypart.

Hour Grids used with Date and Time Range

Hour Grids can be used in many of the windows in GSelector® to make selecting Days and Hours easier. In the windows that have the Date and Time Range selection such as the Scheduler, Analysis, Linker Reconciliation and Linker Traffic windows a Hour Grid can be selected from the drop-down to work with the Date and Time Range selected to include or exclude specific days or hours from being scheduled or analyzed. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified for the desired action. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected for the desired action.

Searching in the Browse window

Once you have defined one or more Hour Grids, they can be used like any Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. . You can search (or exclude from the search) Songs, Links or Notes by Hour Restriction, and set up complex filters including Hour Restrictions, and save and recall these. As with any other Attribute, any Hour Restriction can have an Appearance assigned for display purposes. See the notes on applying appearances to Attributes in the Using Color topic.

Clear all hours in the grid

Click the Remove Selection - All Hours toolbar button.

Edit Grid contents - Selecting or Un-selecting a Day or an Hour across the week

  1. Click on a Grid name in the Grid List pane to select that grid.
  2. Click any cell to toggle that cell's status between selected or cleared for scheduling purposes, or click the Select Hour or Remove Hour Selection option in the Menu.
  3. Or click the Day row header at left to toggle the entire day, or click the Select Day or Remove Day Selection option in the Menu
  4. Or click any Hour column header to toggle those hours across the week, or select the Select Hours or Remove Hours Selection option in the Menu.
  5. Optionally adjust for specific hours.

TIP: You can also apply a Selection to all Hours, or clear all Selections from any grid, using the Select All or Remove Selection toolbar buttons.

Copying and Pasting

You can copy and paste any block of hours - selected or otherwise - to any other area in the grid.

  1. Click and hold to select an hour.
  2. Still clicking, drag to select the hour block across one or more days and hours and release. The block of hours is highlighted in blue-grey color.
  3. Right click to open the menu pane.
  4. Select the Copy option
  5. Click once to select the top left hour of the target hour and day range.
  6. Right click to open the menu pane.
  7. Select the Paste option.
  8. You cannot Paste across Midnight or from Sunday to Monday, but GSelector will accept the selected ban pattern in the available hours that match the selected hours.

Setting a different Broadcast Start Hour

This Grid can start from any hour in the day. The default value is 12 midnight, but you can edit this by setting a different value in the Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window. field in the Daypart Assignment window.

Topic Overview: Hour Restrictions


Song window Multi-Station tab

The Song window Multi-Station tab allows any single Song or a Browsed List of Songs to be individually activated or deactivated , to be assigned to a different category or categories in any station or Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited., from any currently selected station or Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited..

Accessing this window

Features in this window

Working in this window

See also the notes for the Multi Song Changer Multi-Station tab. This window allows you to apply the same set of changes globally to a Browsed List of Songs.

Accessing this window

Click the Library tab, then the Song tab. Or access the Song window from another area in GSelector. Then in any Song window, click the Multi Station tab to access a window similar to this illustration. Just as with the main Song, Additional Information, Audio Analysis and Adjustments window, a browsed list of songs can be accessed, song by song in turn, for activation or category assignment in any station or child station.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Song window Multi-Station tab

Features in this window

Toolbar

Station List

Active Checkbox

Category fields

Toolbar

The Song window Multi-Station tab shares the same toolbar with all other Song window tabs. For details, see the Song Window topic toolbar and toolbar functions notes.

Song Details

The Media ID, Category, Title and Artist information for the selected Song is displayed next to the toolbar.

Station List

All Stations in the GSelector database are listed here. Select a station to edit active status and change Category for the current song. .

Active Checkbox

Check or uncheck this field to activate or deactivate the selected Song for a specific station. When a song is activated, the default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. for that Station (or where there is no default category, the category at the top of the Categories list in the Goals Categories window) is assigned in the Category field.

Category field

For any Active Station, click the drop down arrow to view available Categories and Attributes for that station. When a station is active, the current Category is displayed. The current Category for the song in the selected station is indicated with an asterisk.

Copy Attributes from Station

For any station, click the drop down arrow to see a list of Stations from which to copy Attributes over to the Song in the target station. The field will list all potential target stations as well as a <none> option.

NOTE: Values are only copied if there a matching Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. in the target station. However, Research Scores, being generally station-specific, are not copied. Dayparts, Hour Restrictions and Packets are matched on their names, and Categories on their short names. If a name does not exist in the selected target station or stations, the value will not be copied, and existing target station data will be preserved. Daypart Shifts and Bans will be copied to matching Daypart names in the target station. Every Note associated with an Attribute existing in the target station will be activated in that station.

Topic Overview: Song window Multi-Station tab

Working in this window

Activating or Deactivating a Song

Changing a Category

Working with a browsed list of songs

Activating or Deactivating a Song in any station
  1. Select a song and access this window.
  2. Select the station in the station list.
  3. Check or uncheck the box to activate or deactivate the song for the selected station.
  4. When a song is activated, the default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. (or where there is no default category, the category that is at the top of the Categories list in the Goals Categories window ) is presented in the Category field.

Changing a Category
  1. Select a song and access this window.
  2. Select the station in the station list.
  3. Ensure the station is active.
  4. Click the drop-down arrow.
  5. Select the Category from the available Categories list for that station.

Working with a browsed list of songs

The navigation buttons at the left of the Song window toolbar allow you to move through a browsed list of Songs. You can move forward or backwards by one Song, or jump to the beginning or end of the browse. The Song counter pane in the toolbar updates as you move through the list. Each song can be modified for as many stations as you require; however, you will also need to save your changes before jumping to the next song.

TIP: You can open a browse list of Songs from several areas in GSelector. Once you have viewed the list, you can click the Back Navigation button to get back to the original window.

NexGen Hold Category

GSelector provides a Hold Categories window to handle Songs that are deleted in a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. station. The item is placed in the designated Hold Category for its counterpart GSelector station, retaining all play history and station-specific information for the Song, which would otherwise be lost. Songs can be assigned to that category in this window. You can also assign songs to the designated Hold Category in GSelector.

Topic Overview: Song window Multi-Station tab


Notes tab window

Notes tabs in Song and Link windows

The Notes tabs in the Song and Link windows allow the user to see and edit all Note Associations for the selected Song or Link. Notes are not created in the Song and Link Note tab windows; they are created and associated with Songs, Links and Attributes, in the Notes section (see the Notes window and Note Association window topic for more details) . You can view and modify those associations in the Song and Link window notes tab.

TIP: You can also view all Songs or Links with Note Associations in Song and Link browses, by including the Note field in a Browse format. See the Working with Notes topic for more details.

Accessing this window

Features in this window

Working in this window

Accessing this window

From a Song or Link window, click the Notes tab in the Navigation bar underneath the Song or Link window Toolbar, to access a window similar to this illustration. This image shows the Song window Notes tab; Link window Notes functions are identical. However, the Link window offers Link Toolbar functions.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Notes tab in Song and Link windows

Features in this window

Toolbar

Find (CTRL+F)

Notes List pane

Song/Link Details

Song or Link window toolbar

This is common to all Song or Link subsidiary windows. Click for details for the Song or Link window toolbar features.

Toolbar

Notes are stored in the GSelector database independently of Songs or Links, and can be associated with any Song or Link in any Station. The Toolbar allows you to Add more Note Associations to this Song or Link, and to Delete any existing Note Associations from this Song or Link.

Song/Link Details

The Media ID, Category, Artist (Songs only) and Title information for the selected Song or Link is displayed next to the toolbar.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Notes List pane

The Note list shows all Notes associated with this Song or Link, listed alphabetically by Attribute or Participant association. Notes are associated with individual Songs or Links using the Note Association window accessed from the Notes window , but these can be edited, and further associations added, in the Add Note Associations window .

Add Note Association Button

Click the Add button in the toolbar to open the Add Note Associations window.

Topic Overview: Notes tab in Song and Link windows

The Add Notes Associations window

Existing Note associations for the selected Song or Note are shown in the left hand pane. All potential Association types are displayed in the dropdown pane at top right, and all available Notes are shown in the pane at right.

Click any area in this image for help

Existing Note associations

Association Types dropdown list

Available Notes

Add-Remove Association buttons

Add New Note button

OK/Cancel buttons

Existing Note associations

All existing Note Associations for this Song or Link are show in this pane, grouped, as in the Notes tab window, by Attribute or Participant (for Songs only).

Association Types dropdown list

All existing active Attributes and Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. (for Songs only) for this Song or Link are listed in this drop down pane. The default Association Type displayed in this field is for the Song or Link from which you opened the Add Note Association window. However, all Attributes and Participants (for Songs only) are also listed. This would, for example allow you to create a Note Association between any of the Notes in the available pane, and any of the Attributes or Participant associated with the Song or Link.

If no value for an Attribute or Participant is assigned in the Song or Link window, that Attribute or Participant is not displayed in the dropdown pane.

Available Notes

All Notes not already associated with the Song or Link are listed in this pane.

Add-Remove buttons

These are used to add or remove an association.

Add New Note button and New Note window

You can Add a Note directly from this window , and then create Note Associations . Click the Add New Note button to open the New Note window.

Note that you are limited to creating Note Associations with just the Attributes and Participants for the underlying Song or Link, and you cannot apply Date restrictions. To add a Note and apply Associations across your entire Database, and also Apply Date Restrictions, work in the Notes Window .

OK/Cancel buttons

Click OK to confirm your changes and close this window, or Cancel to close the window without saving your changes.

Topic Overview: Notes tab in Song and Link windows

Working in this window

Adding a New Note Association to the selected Song or Link

Deleting a Note Association from the Selected Song or Link

Adding Notes in the Notes Tab window

Adding a Note Association to a Song or Link
  1. Click the Add button in the toolbar to open the Add Note Associations window.
  2. In the Add Note Associations window, select an Association Type at the top right in the Association Type list.
  3. Select an available note in the right hand Available Note list.
  4. Click the left pointing Add (see Add-Remove notes) button
  5. Repeat as needed
  6. Finally click OK to close this window.
  7. The new Note Associations are displayed in the Notes List Pane.
  8. Click the Save button in the main toolbar to save your changes.

Deleting a Note (removing a Note association) from the Selected Song or Link

In the Main Notes tab window

  1. Select a Note in the Notes List pane.
  2. Click the Delete button
  3. In the next window, confirm that you wish to remove this Note Association.
  4. Click the Save button in the main toolbar to save your changes.

In the Add Notes pane

  1. Select a Note in the Existing Note Associations list.
  2. Click the right pointing Remove (see Add-Remove notes) button.
  3. Repeat as needed
  4. Finally click OK to close this window.
  5. The revised Notes and Associations are displayed in the Notes List Pane
  6. Click the Save button in the main toolbar to save your changes.

Adding Notes in the Notes Tab window
  1. Click the Add Note Button
  2. Enter a title for the Note.
  3. Specify that the note is active in this station or all stations.
  4. Click OK to close this window.
  5. The new Note Title is displayed in the Available Notes list
  6. Now follow the steps for Adding Note Associations.

Topic Overview: Notes tab in Song and Link windows


Packets

Packets group Songs, Links or Notes together in one unit for scheduling purposes. Instead of the Song, Link or Note, the Packet itself rotates, and when it is available for scheduling, GSelector makes its best choice from the list of items within the packet. Songs or Links can be packeted from multiple Categories. Packeting can be used to control the rotation of items that have some kind of common association that can't be dealt with using attributes like Sound Code or Album Separation. Once a Packet is defined and assigned, GSelector automatically adjusts demand for all Packeted items in direct proportion to the number of items in that Packet; there are no settings to implement. Packets are station-specific.

GSelector also offers a separate Packets window in the Setup section. This allows users to manage all existing Packets, and add, delete, or assign Packets to Songs, Links, or Notes without having to access the Packets field in an individual Song, Link or Note window. See the Packets window in Setup topic.

NOTE: Songs, Notes and Links can't be Packeted together; but the same Packet name can be used for Songs, Notes and Links.

Packet Management Window

Packet fields in Song and Link windows

Working with Packets

Packets and the Multi-Song changer

See also the Packets window in Setup topic.

Song, Link, Multi-Song Changer and Note window Packet fields

The Packet field is in the Station Coding Pane for the Song and Link windows, and in the Station Coding pane in the Multi-Song Changer and Multi- Link Changer windows. In the Note window, it is immediately above the Hour Restrictions pane. From this field, users can assign or remove an existing Packet. Click the Edit Details [image] button, at right of the Packet Selection field in the selected Song, Link or Note window, or in the Multi Song/Multi Link Changer Packet field to jump to the Packet Management window to create, edit or delete Packets.

Assigning a Packet

Removing a Packet

Packet Management Window

The Packet Management window can be used to edit, organize, create and delete Packets. To open this window, click the Edit Details [image] button, at right of the Packet Selection field in the selected Song, Link or Note window, or in the Multi Song/Multi Link Changer Packet field. The window opens with a Browse of Packets sorted in strict Alphanumerical order by their Short Name. Packets can be sorted in ascending or descending order on either the Shortname or Name field by clicking on the field header. See the sorting notes in the Working with Browses topic for more details. All Packet Management windows can be used to Add, Rename, or Delete a Packet from all selected Songs, Links or Notes. A target rotation can also be set for the Packet in the Edit Packet window.

Add New Packet window

Edit Packet window

Deleting an Existing Packet

Add New Packet window

The Add New Packet window is accessed by selecting the Add [image] button in the toolbar of one of the tabs in the Setup | Packets tab or by selecting the add button in the Packet Management window by clicking the Packet Details [image] button, at right of the Packet Selection field in a Song, Link or Note. This window allows the user to define a Share, Days or Spins Packet Type. A Packet Type and Start Date can be assigned to a Song or Link Packet.

The Add New Packet window of the Note Packet only allows for the adding of the Short name and the Name of the Packet. Notes always have a Packet Type of Share with a 1:1 share.

Short Name

The Short Name can be up to four digits and is a reference name that will be used in other windows such as the Library Browse window in GSelector. The name can be as long as needed, but only a limited number of digits are displayed in the Packet field.

Name

Use the Name field to give the packet a descriptive name. The name can be as long as needed, but only a limited number of digits are displayed in the Packet field.

Packet Type

The Packet Type is used to select Share, Days or Spins. The Packet Type works with the target number set for each song to achieve the target rotation desired. Target rotation is used to apply a different style of rotation to the Songs or Links in a Packet. Notes always have a Packet Type of Share.

Days is used for setting up a rotation based on a target number of Days. When days is selected as the Packet Type, the user can specify that an item will persist at the top of the Packet 'stack' for the target number of days that is specified for the song/link/note. Once it has been scheduled, ideally across a number of dayparts, for the target number of days, it is placed at the bottom of the Packet stack, and the next item is considered for scheduling, and will also persist for the set target number of days.

For Example: With two songs in the packet, the first song A with a target of 3 and the second song B with a target of 2, this means play song A for 3 days then play song B for the next 2 days. On days 1-3 you will get song A and on days 4-5 you will get song B. Optionally, a Start Date can be set as the target date to start using this target rotation. When the start date is set the songs will have a 1:1 share until the start date set.

Spins is used to call for a target number of plays. When spins is selected as the Packet Type, the user can specify that an item will play for the target number of times that is specified for the song/link/note. Once it plays, for the target number of times, it is placed at the bottom of the Packet stack, and the next item is considered for play, and will also persist for the set target number of plays. This is similar to the "Comet" approach from V12/V15 where each song plays n times, then rests for a while.

For Example: With two songs in the packet, the first song A with a target of 3 and the second song B with a target of 2, this means play song A 3 times then play song B 2 times. With these target number of plays you will get a pattern of A/A/A/B/B. Optionally, a Start Date can be set as the target date to start using this target rotation. When the start date is set the songs will have a 1:1 share until the start date set.

Share is used to set up a ratio like 3:2 for a percentage of the Packet plays.

For Example: With two songs in the packet, the first song A with a target of 3 and the second song B with a target of 2, this means play song A 60% of the time and play song B 40% of the time. With these target number of plays you will end up with a pattern similar to A/B/A/B/A.

The target number for the above examples is set on each song/link in the packet using Target column the Edit Packet window.

Note: Although the UI for Note packets in 4.3.3 and earlier had the "Enable Target Days", "Target # of Days" & Target Date options, these did not work. You always got a 1:1 share between the notes in the packet. In 4.4.0, you will see the Packet Type disabled showing "Share". You are not able to set a Share Target for each packeted note. Note packets will always have a 1:1 share.

Start Date

The Start Date is optional but can be set for a Packet Type of Days or Spins. The Start Date is the target date the GSelector will use the Packets target settings. When the Start Date is set the songs/links in the packet will have a 1:1 share until the start date. When the down arrow next to the Start Date field is clicked, a calendar control is shown allowing the user to select a date. The current date is selected by default. Use the left and right arrow buttons to scroll through the months. Use the current date at the top to return to the current month and date. Use the Clear option at the bottom to clear the date from the Start Date field.

Edit Packet Window

The Edit Packet window can be used after the songs/links/notes have been added to the packet to set the Main version and the Target number for the packet items. The Edit window differs slightly depending on the Song, Link or Note Packet selected.

The Edit window of the Note Packet only allows for the editing of the Short name and the Name of the Packet. Notes always have a Packet Type of Share with a 1:1 share.

Main

The Main setting is used to set the song/link as the Main version of the packet. This is an optional setting but is helpful in the Analysis window. In the Analysis window, if Spins is set to Packet and the Flatten (Not Coded) is checked, the non-packeted songs will be commingled with the packets. The song selected as the main version will be shown for the packet. If a Main version is not selected the packet Short Name and Name will be used.

Title

The Title column displays the Title of the Song or Link.

Artist

The Artist column is shown in a Song packet and displays the artist for the song selected for the packet.

Version

The Version column displays the version of the Song/Link found in the Version field of the Song or Link window for the item.

Target

The Target column is used to set the target rotation based on the Packet Type selected for the packet and the rotation desired. Notes do not have a target setting. Note packets will always have a 1:1 share.

Topic Overview: Packets

Working with Packets

Assigning a Packet to a Song or a Link

Removing a Packet from a Song or a Link

Creating a Packet

Editing a Packet

Set target rotation within a song/link Packet

Deleting a Packet

Viewing the Contents of a Packet

Viewing Packet History

Multi-Day Scheduling and Target Packets

Assigning a Packet

To assign a Packet

  1. Click the drop-down arrow in the Song, Link or Note window Packets field (see Packets field notes).
  2. All existing Packets are listed in the drop-down list, and are available to assign.
  3. Select a Packet and click to assign it.
  4. Then click the Save button in the Song, Link or Note window toolbar
  5. You can also assign Packets to a list of Songs in the Multi-Song and Multi-Link changer windows. See the Multi-Song Changer Packet and Multi-Link Changer Packet notes.

Removing a Song Link or Note from a Packet

To remove an existing Song Link or Note from a Packet

  1. In the Packets field in the Song Link or Note window, select the <None> option.
  2. Then click the Save button in the Song Link or Note window toolbar to confirm your change.
  3. You can also remove Packet assignments from a list of Songs in the Multi-Song Changer. See the Multi-Song Changer Packet and Multi-Link Changer Packet notes.

Creating a Packet

  1. Select the Packets field in the relevant Song, Link or Note window or...
  2. ...In the Multi Song or Multi Link Changer, activate the Packets field: toggle the Packets setting to Add or Delete, either will work. See the Multi-Song Changer Packet and Multi-Link Changer Packet notes.
  3. Then click the Packet Details [image] button, at right of the Packet Selection field, to open the Packet Management window (see the Packet Management notes).
  4. In this window, click the Add button to open the Add New Packet window.
  5. Alternately, in the Setup | Packets window, select the Song, Link or Note tab, and click the Add [image] button.

  6. Enter a Short name of up to four digits in the Short name field
  7. Enter a Name. This is a longer, more descriptive, name than the Short Name. The Name can be as long as needed, but only a limited number of digits are displayed in the Packet field.
  8. Select the Packet Type to use for a Song or Link Packet.
  9. Optionally set a Start Date to start the target rotation of the song or link packet. See the notes on handling Start Dates in Multi-Day scheduling.
  10. Click OK to create the Packet.
  11. The new Packet is then available to assign in the Song, Link or Note window or the Multi-Song Changer.

Editing a Packet

  1. Select the Packets field in the relevant Song, Link or Note window or...
  2. ...In the Multi-Song Changer, activate the Packets field: toggle the Packets setting to Add or Delete, either will work. See the Multi-Song Changer Packet and Multi-Link Changer Packet notes.
  3. Then click the Packet Management button to open the Packet Management window.
  4. In this window, click the Edit [image] button to open the Edit Packet window.
  5. Alternately, in the Setup section Packets window, select the Song, Link or Note tab, select a Packet, and click the Edit [image] button

  6. Optionally edit the Short name (up to four digits), and the longer, more descriptive, name in the Name field.
  7. Optionally, change the Packet Type to use for the song or link Packet.
  8. Optionally, set or change the Start Date to start the target rotation of the song or link Packet. See the notes on handling Start Dates in Multi-Day scheduling.
  9. Optionally, set one of the Songs/Links to be the Main version of the packet. This is helpful in the Analysis window.
  10. Optionally set a Target number for the Packet Type of the song or link packet. If you are just starting out, we suggest you get used to regular rotation in Packets before moving to this more advanced step.

  11. Click OK to confirm the changes and close this window.

Set target rotation within a song/link Packet

  1. Select the Packets field in the relevant Song or Link window or...
  2. ...In the Multi-Song Changer, activate the Packets field: toggle the Packets setting to Add or Delete, either will work. See the Multi-Song Changer Packet and Multi-Link Changer Packet notes.
  3. Then click the Packet Management button to open the Packet Management window.
  4. In this window, click the Edit [image] button to open the Edit Packet window.
  5. Alternately, in the Setup section Packets window, select the Song, Link or Note tab, select a Packet, and click the Edit [image] button

  6. Set a Target number for song using the up down arrows in the target column.
  7. Click OK to confirm the changes and close this window.

Deleting an existing Packet

  1. Select the Packets field in the relevant Song, Link or Note window or...
  2. ...In the Multi-Song Changer, activate the Packets field: toggle the Packets setting to Add or Delete, either will work. See the Multi-Song Changer Packet and Multi-Link Changer Packet notes.
  3. Then click the Packet Management button to open the Packet Management window (see the Packet Management notes).
  4. Select the Packet and click the Delete button.
  5. The Packet is permanently deleted from all Songs or Links to which it is assigned, and the Packet Names are removed from the Station.
  6. Alternately, in the Setup section Packets window, select the Song, Link or Note tab, select a Packet, and click the Delete button.

Packets and the Multi-Song and Multi-Link changer windows

Packets can be assigned or removed in bulk from browsed lists of Songs or Links in the Multi-Song or Multi-Link changer windows. Existing packets can be assigned or new packets can be create before or during the process.

To assign a Packet to Song or Links in the Multi-Song or Multi-Link changer windows:

  1. Optionally, create a new Packet if required.
  2. Browse a list of Songs or Links in the Song Browse window or the Link Browse window.
  3. Click the Multi-Song tab or Multi-Link tab.
  4. Activate the Packet field by clicking the Add or Delete button.
  5. Select the Packet (or create it at this stage).
  6. And apply the Packet using the Packet field to the Browsed List in this window.

To delete a Packet from a list of Songs or Links

  1. Browse Songs or Links by the selected Packet in the Attributes tab of the Song Browse window or Link Browse window.
  2. Open a Song or a Link from the Browse list.
  3. In this window, click the Multi-Song or Multi-Link tab.
  4. Activate the Packet field by clicking the Delete button.
  5. Select the Packet in the Packet field drop-down list.
  6. Click the Delete button at top left of the Multi-Song or Multi-Link Changer window to delete the Packet from the Songs or Links in the browsed list.

Viewing the contents of a Packet

To view the contents of a Packet:

  1. Browse the Packet in the Song, Note or Link Browse windows, or
  2. Jump to the contents of a Song Packet from the Adjustments Packet window (see the Adjustments by Packets window notes) .

Viewing Packet History

History Panes in Song, Link and Notes windows can display the selected Song, Link or Note, and also but also History for the Song, Link or Note Packet. The Song and Link windows also offer Title History, and the Song window History offers display options for Song Artist/Vocalist and Song Album. Click the History Attribute toolbar button in the Song, Link or Note window, and select the display option. This illustration shows the Song History Attribute options, The tab in the History pane updates to show the History for the selected History Attribute. Song, Link and Note history is indicated by an X in each hour where the Song, Link or Note plays, while all other Attribute - Title, Packet, Album and Artist - plays are indicated by numeric values.

Multi-Day Scheduling

If one or more Future Moves or Packet Start Dates is setup in the Song window that fall within a Multi-Day schedule period, GSelector warns the user of this before starting the scheduling process. If Yes is clicked, GSelector will schedule the selected days and apply the Future Move at the beginning of the next scheduling session. Click No to break down the multi-day range to shorter ranges or individual days.

Note: GSelector does not move a song in the middle of a single day or multi-day scheduling range. It is moved at the start of the next scheduling session once the play count is reached.

Topic Overview: Packets


Song Coding window

The Song Coding window is an extension of the Song Window and Multi-Song changer Attributes and Participants grids (see the Song window and the Multi-Song Changer notes) . It displays and allows editing of Attributes, Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. and Song Groups Song Groups are collections of Songs. You can search and sort by Song Groups. A Song Group is global, and contains the same Songs in all stations. Song Groups can contain active and inactive Songs. An Attribute setting for a Song in a Song Group, activated for that Song Group, is applied to that Song in all Stations. You can also use Song Groups like packets. for the Artist and Song in the current song window or the browsed Song List. From here, you can create, add, (and in the Song window only, remove) Attributes and Participants, for both Artists and Songs. Attributes and Participants that are added or edited in this window are added across the full Database, even though they might only be assigned to Songs in one Station.

For a list of Attributes, see the Attributes topic.
For a list of Participants, see the Participants topic.

Accessing Song Coding window Attributes view

Accessing Song Coding window Participants view

Features in the Song Coding windows

Working in the Song Coding windows

Topic Overview: Song Coding window

Accessing the Song Coding Attributes window

Place the mouse pointer in the Song window or Multi-Song Changer Attributes/Participants grid and double-click.

Or Click the Edit button at top right in the Song window or Multi-Song Changer Attributes or Participants pane to open this window. The window opens displaying the last tab view accessed. The image in the window illustration below is the Attributes tab view. See here for the Participants tab view.

Click any area in the image for help.

Click any area in the image for help.

TIP: You can rapidly jump to any Attribute in a long list by typing the first letter of the Attribute code. See the Hot Key search notes in the Working with Browses topic for more details.

Topic Overview: Song Coding window

Features in the Song Coding windows

Artist Attribute grid

Song Attribute grid

Attributes list pane

Artist Attribute grid

Attributes List pane

Artist Participant grid

Song Participant grid

Participants list pane

Participants Search box

Add/Remove buttons

Edit Buttons

New Buttons

Delete Buttons

Artist Attribute grid

This grid lists all Attributes assigned to this artist.

Song Attribute grid

This grid, shown below the Artist Attributes, lists all Attributes assigned to this song.

Participants tab

Click this tab to close the Attributes tab and open the Song Coding in Participants view.

Available Attributes list pane

This is an expanding pane which allows you to select codes and descriptions to assign to the listed Attributes. By clicking the New button, you can add a heading or code to the Attributes list. See the notes for Creating and Assigning Attributes in this topic. The attributes listed here can be dragged and dropped into the Artist Attribute grid or the Song Attribute grid using the mouse. The Add/Remove buttons can also be used to assign attributes.

Song Coding window: Participants view

Click the Participants tab from the Song Coding window Attributes view to access the Participants view.

Click any area in the image for help.

Click any area in the image for help.

TIP: You can rapidly jump to any Participant by typing the first letter of the Participant's name. See the Hot Key search notes in the Working with Browses topic for more details.

Attributes tab

From the Participants view, click this tab to work with Attributes. The Attributes view is the default view both in the song window and the song coding window.

Artist Participant grid

This grid lists all Participants assigned to this artist.

Song Participant grid

This grid lists all Participants assigned to this song.

Available Participants list

This pane allows you to select names to assign to Participants. By clicking the New button, you can add a name under any Participant heading. See the notes for Creating and Assigning Participants in this topic. The participants listed here can be dragged and dropped into the Artist Participant grid or the Song Participant grid using the mouse. The Add/Remove buttons can also be used to assign attributes.

Participants Search text box

Enter the part or all of the name of a Participant and click the Search button.

Display this Station or All Stations

Select either the Station or the All radio button to show assigned Attributes or Participants for this station, or all Attributes or Participants across the entire Library . Results are shown in the in Attributes list pane or the Participants list pane.

Searching for Participants across all Stations

In many Library databases, the list of potential Participants can often run into the thousands. GSelector automatically displays all Participant names for the current station, when you select the Station radio button. When searching for Participants across all Stations in the Library, select the All Participants radio button, and a Text Search box is activated, in the same way that you search in the Browse window for Inactive songs. Enter all or part of the Artist name in this box, click the search button at right of the text field, and GSelector automatically displays any matches for the string entered here. The Participant can then be selected or edited in the usual way.

Edit button

Click to edit a selected Attribute or Participant. See the Editing notes.

New button

To create a new Participant or Attribute, click to create a new Attribute or name a new Participant

Delete Button

Click to delete a selected Attribute or Participant. See the Deleting notes.

Add/Remove buttons

There are two sets of add-remove buttons, one set for Artist-level Attributes and Participants next to the artist-level Attribute or Participant grid, and one for Song-level Attributes and Participants, next to the song-level Attribute or Participant grid. The buttons move items into and out of the Attribute or Participant grids lists and their associated panes in each view. Click the left-pointing buttons to move the selected Attribute and Participant to its grid at Artist or Song Level. Click the right-pointing buttons at Artist or Song level to remove the selected Attribute or Participant from the artist or song grid.

Close button

Click this button to close the Song coding window and return to the underlying Song window.

Topic Overview: Song Coding window

Working in the Song Coding windows

Attributes

Creating and assigning Attributes

Assigning an Existing Attribute

Removing an Assigned Attribute

Deleting Attribute codes

Editing Attribute codes

Participants

Creating and assigning Participants

Assigning an Existing Participant

Removing an Assigned Participant

Deleting Participant names

Editing Participant names

Creating and assigning a New Attribute

  1. In any Song coding window, click the Attributes tab to view Attributes (see the Attributes tab notes).
  2. In the Attributes view, click the Add Attribute [image] button to open the Create New Attribute window.

  3. Select an Attribute (see the Attributes notes for full details) in the left hand field from the drop-down list.
  4. Type in a Name for the code.
  5. If creating an Attribute for later use but not adding the it to this Song or Artist, select the Do not assign option.
  6. Click OK to confirm and close the Create New Attribute window.
  7. If Do not assign is selected the new attribute is displayed in the Attributes list under its specific Attributes heading.
  8. Select the new Attribute.
  9. Drag and drop the attribute at Artist or Song level to add to the relevant grid. Optionally, click the Add button at Artist or Song level to add to the relevant grid.

TIP: It is very easy to create overlapping names and descriptions for Attributes. Before creating a new Attribute, check the list of Attributes already created by expanding the Attributes list .

Creating and assigning a new Participant

  1. In the song coding window, click the Participant tab to view Participants (see the Participant s tab notes).
  2. In the Participant view, click the Add Participant [image] button to open the Create New Participant window.

  3. Select the Participant Role from the drop-down field
  4. Enter a Name in the name field,
  5. If creating a Participant for later use but not adding it to this Song or Artist, select the Do not assign option.
  6. Click OK to confirm and close this window.
  7. Depending on the options selected for adding to Song or Artist, the Participant will be displayed in the appropriate pane of the Song Coding window, or added to the Participants list pane, and highlighted ready for selection.

Assigning an existing Attribute

  1. In the Attributes window, click the option to view this station's Attributes or all Attributes.
  2. Double-click an Attribute Header to view all Attribute codes for that Attribute.
  3. Select an Attribute.
  4. Drag and drop the Attribute to the Artist grid to assign to the Artist level, or to the Song Attribute grid to assign it at Song level. Optionally, Click the Add to button to add the attribute.

Removing an Assigned Attribute

In the Artist or Song Attributes grids, drag the attribute to be removed from the grid and drop it in the Available Attributes. Optionally, select the attribute to remove, and click the right-pointing button. The code is removed from the Attributes grid. Click Close to close the window and return to the song window.

Assigning an existing Participant

  1. In the Participants window, click the option to view this station's Participants or all Participants.
  2. Select a Participant.
  3. Drag and drop the participant at Artist or Song level to add to the relevant grid. Optionally, click the Add to button at Artist level to assign a role for the Participant in the Assign Artist Participant window, or at Song Level to assign a role for the Participant.
  4. This opens the Assign Participant window.

  5. Click the drop-down arrow in the Role field to select a Participant role.
  6. Click the OK button to confirm the Role for this Participant, and close the window.
  7. The Participant is now displayed in the Artist Participant grid or the Song Participant grid.

TIP: You can edit Participant roles at any time right in the grid. Click the Participant role to display a list of roles.

Removing an Assigned Attribute

In the Artist or Song Participants grids, drag the Participant to be removed from the grid and drop it in the Available Participants. Optionally, select the attribute to remove, and click the right-pointing button. The code is removed from the Participants grid. Click Close to close the window and return to the song window.

Deleting an Attribute code or Participant name

  1. In the Song Coding window, select the Attribute or Participant tab.
  2. Then in the right hand Attributes or Participants pane, click on the heading for the Attribute or Participant you are deleting.
  3. Select the Attribute code or Participant name from the list.
  4. Click the Delete [image] button.
  5. In the message box, click OK to confirm that you are about to delete this Attribute code or Participant name. This will also remove the Attribute code or Participant name from all of the records in this and all other stations.
  6. Click the Close button to close the Song Coding window.

NOTE: The process of deleting an Attribute code or Participant name is permanent. Once it has been deleted, it is removed from all Songs to which it has been assigned, and the code or name is removed from the library.

Editing an Attribute code or Participant name

  1. In the Song Coding window, select the Attribute or Participant tab.
  2. Then in the right hand Attributes or Participants pane, click on the heading for the Attribute or Participant you are editing.
  3. Select the Attribute code or Participant name from the list.
  4. Click the Edit [image] button
  5. In the message box, click OK to confirm that you are about to edit this Attribute code or Participant name. This will also change the Attribute value or Participant name in all records where it is used in this and all other stations.
  6. Modify the Name or code
  7. Click the Close button close the Song Coding window.

NOTE: The process of editing an Attribute code or Participant name is permanent. Once it has been changed, the change is applied to all Songs to which it has been assigned.

Topic Overview: Song Coding window


Station Attributes

The Station Attributes windows allow you to defined and manage Station-Specific Attributes, which can be then be assigned to any Song/Link. These station attributes can be defined globally, but are assigned to Songs/Links on a Station-specific basis. These Attributes are designated as Global or Station based on the settings in the Attributes tab of the Setup | Station | Features tab. If the Mapping for an attribute is set to Station, then the attribute can be set for the Song/Link in this window for the station. If the Mapping is set to Global, use the Song Coding window or Link Coding window to set a Global attribute for the song/link or artist.

Accessing the Station Attributes window

Features in the Station Attributes window

Working in the Station Attributes window

See also the notes for the Song window, the Link window , the Attributes topics and the Attributes pane in the Multi Song Changer and Multi- Link Changer.

Accessing the Station Attributes window

The Station Attributes window is accessed from any Song/Link window, or from the Multi-Song/Link Changer, by clicking the Edit button at top right of the Station Coding Attributes pane in these windows, or by double-clicking anywhere in this pane.

In the Station Attributes window, the left pane lists all Attributes assigned to the selected song/link for the station. The right pane lists, according to the radio button you select, Station-specific Attributes (codes for this Station), or all Station Attributes that are assigned to at least one song/link in one station (codes for All stations).

You can use Attributes to refine the individual sound of a Station. Unlike the Coding pane attributes and participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants., these attributes are station specific.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Station Song Attributes window

Features in the Station Attributes windows

Attributes

Attributes list

Add/Remove buttons

Edit Button

Add Attribute Button

Delete Button

Attributes

The pane on the left lists the assigned Attributes for the Song/Link for the current station.

Attributes list

The pane on the right is an expanding pane which allows you to select attributes and add descriptions to the listed Attributes. By clicking the Add Attribute button, you can add a station attribute to the Attributes list. See the notes for Creating and Assigning Attributes in this topic. The attributes listed here can be dragged and dropped into the Attributes grid using the mouse. The Add/Remove buttons can also be used to assign attributes.

Display this Station or All Stations

Select either the Station or the All radio button to show assigned Attributes for this station (station), or all Station Attributes across the entire Library (All). Results are shown in the in Attributes list.

Edit button

To Edit an existing Station Attribute click the Edit Attribute button.

Add Attribute

To create a new Attribute to assign to the Song Attributes list, click the Add Attribute button.

Delete Button

Click the delete button to remove the selected attribute from the list of Attributes.

Add/Remove buttons

There is a set of add-remove buttons to use to move attributes into and out of the Attribute list. Click the left-pointing buttons to move the selected Attribute to the Attribute List. Click the right-pointing buttons to remove the selected Attribute from the Attributes list.

Close button

Click the OK button to confirm the changes, close the Station Attributes window, and return to the underlying Song/Link window.

Topic Overview: Station Song Attributes window

Working in the Station Attributes window

Creating and Assigning

Assigning an existing Attribute

Editing an Attribute

Removing an Attribute

Creating and Assigning Station Attributes
  1. From the Song/Link window, click the Edit button in the Attributes pane of the Station coding section for the selected song/link.
  2. In the Station Attributes window, click the Add Attribute button to open the Create New Attribute window.

  3. Select the desired Attribute
  4. Give the attribute a Name.
  5. Finally, click OK. The new attribute is automatically added to the Attributes list.

TIP: it is very easy to create overlapping names and descriptions for Sound codes and attributes. Before creating a new name, description or code attribute, check the list of codes already created, by reviewing the names in the Attributes list for All stations.

Assigning an existing Attribute

In the Available Attributes pane, drag and drop the Attribute name to the Attributes grid to assign it. Optionally, click the left-pointing arrow to place the Attribute in the Attributes list. Then click the Close button to close the Station Attributes and display the newly assigned code in the Attributes pane in the song/link window. Click the save button to save changes, or confirm this change when leaving this song/link window.

Editing an Attribute
  1. From any Song/Link window, access the Station Attribute.
  2. Select an Attribute.
  3. Click the Edit button.
  4. Edit the text.
  5. Click the OK button. Your changes are applied to the attribute and will be displayed in all songs/links to which the code is assigned.

NOTE: If you edit an Attribute name in the Station Attributes window, the changes are applied globally to that Station Attribute in all stations.

Removing a Station attribute

In the Station Attributes window, drag the attribute to be removed from the attributes list and drop it in the Available Attributes. Optionally, select the attribute to remove in the value field, and click the right-pointing button. The code is removed from the Attributes grid. Click Close to close the window and return to the song/link window. The attributes removed will no longer be displayed in the Station Attributes pane. Click the save button to save your change, or confirm this change when you leave the song/link window.

Topic Overview: Station Song Attributes window


Multi-Song Changer

This window allows you to simultaneously modify Song details in multiple fields in browsed Song lists. Working in the Browse window, you prepare a list of Songs to change, then click the Multi-Change tab to access this window. For example, a user might wish to add Theme details to a series of Songs, or to change coding for a group of Songs.

Changes assigned on the left side of the window are applied to the entire database; changes assigned on the right side of the window are station-specific.

TIP: GSelector offers configurable security access to different areas in the Song window. See the notes on Security Access in the Song Window topic.

Accessing the Changer

Features in this window

Working in this window

Accessing the Multi-Song Changer

  1. First work in the Browse window to call up a Browsed List of Songs. See the working in the Browse window notes for details.
  2. Then click the Multi-Song Changer tab. The Multi-Song Changer window opens displaying all areas that can be changed for the selected Song list.

The window opens to the default Song tab, which shows all the Song window fields that can be changed for the selected Songs. Any element can be changed for the selected Songs by first selecting that element or code, then entering the desired value. For more details, see the list of attributes and codes here. To access the Additional fields Multi-Song Changer window, click the Additional tab. A further tab, the Multi-Station tab, allows you to assign Attributes to, and activate Songs in this browse list, for any station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database.

Click any area in this image for help.

Click any area in this image for help.

Topic Overview: Multi-Song Changer

Features in this window

Selected Songs count
Changer Edit Controls
Toolbar
Changer window fields
Multi-Song Changer Additional fields tab
Multi Song Changer Multi-Station tab
NexGen Synchronization button

Selected Songs Count

The number of Songs in the Browsed list is shown next to the Changer Edit controls. This shows the total number of Songs selected. If you have not browsed a list in the Browse window, the entire station Song library is available to change.

The Changer Edit Controls: selecting elements to change

You specify changes to your Song list by selecting the fields to change with that field's edit control. Click on the edit control to cycle through the modes. Each control has two or three modes, depending on the field you are editing.

All fields in the changer window that allow editing initially display the changer control in neutral. This means that no changes will be applied to values for that field. The field is inactive in the changer window.

When working with Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. and Child Stations , any Attributes that are set as Inherited in the Parent station are disabled in the Child Station Multi-Station Changer window. This is indicated by a lighter shade of gray. See the notes on Child Stations in this topic.

To select a field, click on that field's edit control to activate and enable that field for editing. The changes that you apply to the activated field will be applied to all Songs in your Song list.

Some fields allow you to click a second time, to delete or inactivate field information. When you work with a field with a drop-down list, you can also specify that you will delete <all> codes or values from the Songs in your Song list.

For full details on every field you can work with in the changer, scroll down in this topic.

Toolbar: Save Changes, Clear Changes and Delete Song list buttons

When you make a setting change to any field, the Save button is activated. Click Save to apply the changes you have called for in this window, Clear to undo the changes in the window without saving, and Delete to completely delete all Songs in the selected Song browse.

NOTE: When you first access this window, the Delete button is active, allowing you to delete the selected Song List. When you click the Delete Button, GSelector prompts you to deactivate the selected Songs rather than delete them, in the usual way. Once an Attribute is selected to add or delete, the Delete button is deactivated, and the Change button is activated.

NexGen synchronization button (NexGen users only)

An additional button is displayed at the right of the Change-Clear buttons when one or more GSelector stations are associated with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. stations, and the Enable box in the Auto Synchronization pane is checked in the NexGen Interface window. Under these conditions, this button allows the user to synchronize the Song or Song List in this window with the same Song or Songs in the interfaced NexGen database. For more details, see the notes on Manual Synchronization in the NexGen Integration topic.

Changer window fields

Following is a list of fields in which you can modify data. You can apply changes in one or more fields. Changes are applied to your Song list when you click the Change button.
Artist
Album
Version
Song Group
Attributes and Participants

Media fields

Active - Inactive
Category
Packet
Daypart
Run Dates
Mood, Energy, Tempo and Content
Texture
Station-Specific Attributes

Additional Fields
Publisher and Copyright fields
User-Defined

Artist field, Album, Version and Song Group Fields

Just as in the Add/Edit Song windows , the Version This field allows multiple versions of a Song/Artist combination to be entered in the Database. For example, some stations like to use combinations of a regular mix and an extended dance mix. , Artist, Album and Song Group fields (as well as, when enabled, the Film Name This optional attribute is used in some markets to enable users to spread Songs by the associated film in which the song is featured. This attribute is enabled in the Setup Features window. field) have an Add button to enter a New Artist Name, New Album Title, or New Version Name, and a drop down arrow to select an existing Artist Name, Album Title or Version Name.

For more details on using these controls, see the Entering New Titles and Selecting Titles or Artists notes in the Add and Edit Song windows topic. Information you enter here will be applied to all selected Songs.

Attributes and Participants pane

In the Song Attributes and Participants pane, you can Add information only. When working in this pane, you add Attributes and Participants in the same way as you do in the Song Coding window.

  1. Select the Song or Artist Attribute or Participant element to change.
  2. Click the Edit button for that element.
  3. This opens the Song Coding window.
  4. Define new values in this window in exactly the same way that you do in the Song window (see the notes on Creating Attributes and Participants in the Song Coding window ), or simply assign existing Attributes and Participants.
  5. Click OK to close the Song Coding window.
  6. The specified changes are displayed in the Attributes or Participants pane in the Multi-Song Changer. Optionally, set a Fallback Attribute.
  7. If working on Artist Attributes, check or uncheck the Keep? check box to specify if the Attribute or Participant information will be applied to the Songs in the list by the Artists being changed. See the Song window notes for the Keep? checkbox for more details. Note that if the Attribute or Participant is not already assigned to the Song you are changing, your edit in the Keep field is ignored.
  8. Finally click the Save Changes button to make your changes. Field information will then be assigned to all selected Songs.

Topic Overview: Multi-Song Changer

Media fields

Use the Changer to assign or delete a Media value to all selected Songs. Select the field by specifying whether you are adding or deleting data, enter the desired value and click the Change button.

NOTE: These fields, with the Exception of External, are not displayed when GSelector is integrated with NexGen. This data is shared with NexGen, and the Multi-Song Changer works on GSelector fields only.

ID
Runtime
Intros
Opening and Ending
Hooks
External

ID

Use the Changer to assign or delete an ID value to all selected Songs. This is particularly useful when using the ID field as an address field for CDs or other storage media. Select the field by specifying whether you are adding or deleting data, enter the desired value and click the Change button.

Runtime

Use the Changer to assign to the same Runtime value to all selected Songs, or to remove Runtime figures from the selected Songs, leaving a value of 0:00. Select the fields by specifying whether you are adding or deleting data, enter the desired value and click the Change button.

Intros 1, 2 and 3

Use the Changer to assign the same Intro 1 2 and 3 value to all selected Songs, or to remove Intro values from the selected Songs. Select the fields by specifying whether you are adding or deleting data,(see the Edit controls notes for details), enter the desired values and click the Change button.

NOTE: Durations in the Runtime and Intro fields can be entered in two ways: by typing a value such as 4:23, or by simply typing 423. Where a Runtime or Intro is longer than ten minutes, typing 1141 or 11:41 , for example, will enter the same time value in this field.

Opening and Ending

Use the Changer to assign or delete the same Opening and Ending codes to all selected Songs. Select the fields by specifying whether you are adding or deleting data, enter the desired values and click the Change button.

Hook Start and End fields

Use the Changer to assign the same Hook Start and Hook End values to all selected Songs, or to remove all Values form these fields in the selected Song. Select the fields by specifying whether you are adding or deleting data, (see the Edit controls notes for details), enter the desired values, and click the Change button.

External

Apply the Changer Control to this field to either assign or remove External Audio status to all selected Songs. When a Song has External status assigned, Audio for the Song will be played from outside your assigned sequencer system. This feature was designed for use with Zetta Zetta is the a RCS automation and audio playout system. , but can be used with any suitably configured system.

Early NTP

Early NTP is the Early Next to Play position in the song. Currently this value has no specific use other than providing information. In the future this may be updated for integration with an automation system to use these values for Link/Song Chains.

Topic Overview: Multi-Song Changer

Station Coding

Active/Inactive Status

Use the Changer to assign Active or Inactive status to all selected Songs. Select the field by specifying whether you are activating or deactivating Songs, (see the Edit controls notes for details), and click the Change button. When working in the Multi-Song Changer, if an inactive Song is activated, it is assigned the Default Category where this exists. Where no Default Category has been assigned, inactive Songs are activated to the top Category in the Categories window. Changing Multiple Songs to active or inactive in GSelector will also change the active status of the songs in Zetta when GSelector is interfaced with Zetta. See also the notes on Deleting or Deactivating Songs/Links.

Category

Use the Changer to assign the same Category to all selected Songs. Select the field, click the dropdown arrow to select the Category, enter the desired values and click the Change button.

Packets

Use the Changer to assign a single Packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet. to all selected Songs, or remove all Packet information, or a selected Packet, from all selected Songs. You can also create a Packet and assign the new Packet to all Songs. For details see creating packets in the Packets topic.

To add existing Songs to a Packet, select the Packets field, specify that you are adding information (see Edit controls for details), click the dropdown arrow to select a Packet, and finally click the Change button. The new Packet assignment overwrites any existing Packet information for any Song.

To delete Packet information from the Songs in the list, toggle to specify that you are removing information, click the dropdown arrow to select the <All> Packets option, or select any Packet in the list, and finally click the Change button.

Hour Restrictions

Use the Changer to assign a single Hour Restriction to all selected Songs, or remove all Hour Restrictions, or any selected Hour Restriction, from the selected Songs. For more on working with Hour Restrictions, see the Hour Restrictions notes.

To add an existing Hour Restriction to the Songs in a browse, select the Hour Restriction field, field, specify that you are adding information (see Edit controls for details), click the drop-down arrow to select an Hour Restriction or use the import button to Import an Hour Grid from another station, and finally click the Change button. The new Hour Restriction assignment overwrites any existing information for any Song in the browsed list.

To delete Packet information from the Songs in the list, toggle to specify that you are removing information, click the drop-down arrow to select the <All> option, or select any Hour restriction in the list, and finally click the Change button.

Dayparts panel

The Dayparts panel shares space with the Run Dates fields. Each section is accessed using a tab. The Dayparts panel is the default view

NOTE: This image shows the Dayparts panel with Alternate Category GSelector allows a Song to have a different Category in each Daypart. This feature is enabled in the Station Features window, and once enabled, Alternate Categories can be individually assigned to any Song in the Song window, or assigned to a Browse of Songs in the Multi-Song Changer. and Alternate Packet GSelector allows a Song to have a different Packet in each Daypart. This feature is enabled in the Station Features window. enabled. To enable these, check the Alternate Category checkbox in the Setup section Station Features window to display these two fields.

Use the Changer to specify a Daypart boost or cut, assign an Alternate Category or Alternate Packet to a Song or list of Songs for any active Daypart. Changes made here will be applied to all selected Songs.

  1. To shift demand in any Daypart, toggle the Select Edit control to Add status, then click the buttons up or down , and click the Change button to apply your changes.
  2. To block play for all Songs, toggle the Select Edit Control to Delete status, and click the Change button to apply your changes.
  3. To Add an Alternate Category or Alternate Packet, toggle the a/ c or a/p Edit Control to Add status, select from the relevant drop down field , and click the Change button to apply your changes.
  4. To remove All Alternate Categories or Alternate Packets from browsed songs, toggle the a/ c or a/p Edit Controls to Delete status, and select the <All> option, and click the Delete button to apply your changes.
  5. To delete a selected Alternate Category or Alternate Packet, toggle the a/ c or a/p Edit Control to Delete status, select from the relevant drop down field, and click the Delete button to apply your changes.

NOTE: When you delete multiple Alternate Category or Packet information from a range of songs, you are offered the choice to delete all or just selected Categories or Packets.

Run Dates

The Run Dates fields share space with the Dayparts and Miscellaneous tabs. Each section is accessed using a tab. The Dayparts panel is the default view. To access the Run Dates fields click the tab above the Dayparts panel. See the Run Dates notes in the Song window topic for full information.

Use the Changer to add a Start or a End Run Date/Time, or a Run Date/Time range, to a Browsed list of Songs, or to Delete all assigned Run Date and Time Ranges from the selected Songs.

  1. To Add a Start or a End Date and Time in either field to all Songs, toggle the Select Edit control to Add status for that field, then specify the Date and Time in the desired field(s).
  2. To Delete all Start or End Date and Time information in either field from all Songs in the list, toggle the Select Edit control to Delete status for that field. The Date field displays [All].
  3. Finally click the Change button to apply your changes.

Miscellaneous

The Miscellaneous tab shares space with the Dayparts and Run Dates tabs. To access the Miscellaneous settings click the tab above the Dayparts panel. See the Miscellaneous tab notes in the Song window topic for full information.

To change the Split Behavior of Multiple Songs, click the Edit control to select the Split Behavior field, then choose the desired Split Behavior from the drop-down box.

Mood, Energy, Tempo and Opener

The Mood, Energy, Tempo and Opener fields allow you to delete as well as to specify settings. Select the fields by specifying whether you are adding or deleting settings for these fields, (see the Edit controls notes for details),enter the desired settings in the fields, and click the Change button.

If you select Delete when working in these fields, you are initially prompted to delete All settings in this field for the selected Songs.

If you do not intend to delete all the settings, click the drop down arrow and select the setting to delete. Any Songs which do not have this setting will not be affected.
Click the Change button to make your changes.

Texture Open and Close

The Texture Open and Close fields allow you to delete as well as to specify settings. Select the fields by specifying whether you are adding or deleting settings for these fields, (see the Edit controls notes for details), enter the desired settings in the fields, and click the Change button.

If you select Delete when working in these fields, you are initially prompted to delete All settings in this field for the selected Songs. If you do not intend to delete all the settings, click the drop down arrow and select the setting to delete. Any Songs which do not have this setting will not be affected.

Click the Change button to make your changes.

Station-Specific Attributes

This pane allows the changing of assigned Attributes and Fallback Attributes for the Songs for the station. To access the Station Song Attributes window to edit the contents of this pane, click the Edit control to select the panel then the Edit Button. These station-specific attributes are optional. Values entered here can be used for analysis, and will only be used in scheduling if their associated goals are set up in the Priorities window.

Finally, click the Save Changes button to make the changes to the selected Songs.

Additional Fields

The Multi Song Changer window Additional tab allows you to apply Multi-Song changes to the Song window Additional Information window fields.

Click any area in this image for help.

Click any area in this image for help.

Publisher, Label, ISRC, Record Number, Promoter, Country, License, Association, Prefix and Suffix fields

Use the Changer to assign or delete the details to selected Songs. Select the fields, specify whether you are adding or deleting data, (see the Edit controls notes for details), enter the desired values and click the Change button.

These fields are used to store catalogue information. In this pane, you can modify Publisher, Label, ISRC number, Record Number, Promoter, Country, License, Association, and Prefix and Suffix information to a list of Songs simultaneously. Not all fields are compulsory for all territories. For further information, consult your local RCS office. Data for each Song is available in the Additional Information tab.

User-Defined codes 1-10

Use the Changer to assign or delete the same User-defined field values to all selected Songs. Select the fields, specify whether you are adding or deleting data, enter the desired values and click the Change button.

Topic Overview: Multi-Song Changer

Working in this window

The Change Process Described
Selecting elements to change
Deleting a Song Browse list
Multi-Song Changer Window Security Access
Multi-Song Changer in Child Stations

The Change Process Described

  1. First create or access a Song list in the Browse window.
  2. Click the Multi-Song Changer tab from any Library window.
  3. Select the elements to change by clicking that element's edit control.
  4. Enter values or settings as appropriate.
  5. Click the Change button to make your changes.
  6. When you have added or edited some attributes or participants in the Multi-Song changer, click the Browse window reset filter button to refresh the attribute or participants lists.

NOTE: While you can select inactive Songs in the browse window, any edits that you apply to those Songs in the changer will activate them for the station you are working in.

Multi-Song Changer Window Security Access

When applying Security Settings in the Security Roles window , you can set security Access Levels for Browse , Category Changer , Song and Multi-Song Changer windows. In the Multi-Song Changer window, you can further specify Security Access Levels for Global fields, which apply to all your Stations, on the left side of the Multi-Song Changer window, and Station-specific fields, on the right-hand side of the Multi-Song Changer window.

Multi-Song Changer in Child Stations

When you work in a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited., any Attribute that is set as Inherited from its Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. cannot be changed. For more information, see the Format Parent notes in the New Station window topic.

Topic Overview: Multi-Song Changer


Multi Song Changer Multi-Station tab

This tab window is used to bulk change Categories and Attributes of a group of Songs together, including activating or deactivating Links in any Station, and copying different Station Attributes settings. To apply individual changes to Songs in a Browsed list, work in the Song window Multi-Station tab.

Accessing this window
Features in this window
Working in this window

Accessing this window

Click the Library tab and work in the Browse window to create or access a browsed list of Songs. Then click the Multi-Song Changer tab, and finally click the Multi-Station tab.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Multi Song Changer Multi-Station tab

Features in this window

Toolbar
Selected songs counter
Stations list
Activate/Changer options column
Copy Attributes from Station column
Category selection Column

Toolbar

Save or cancel your changes.

Topic Overview: Multi Song Changer Multi-Station tab

Selected songs Counter

The total number of browsed songs is displayed in this counter pane

Stations list

All Stations in the GSelector database are listed here. Select a station to edit Active status apply changes for the selected Songs.

Activate/Changer control column

You specify changes to your Song list, and select each Station to apply changes in, by toggling the control in the Active column for that station. Click on the edit control to cycle through the modes.

The control is initially in neutral: no changes will be applied. The Copy Attributes and Category Selection fields are inactive in the changer window.

To activate the selected Songs for any Station or Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited., click in that Station's Active column to toggle to Active status. The Copy Attributes and Category Selection fields are active in the changer window, allowing you to apply changes in either field. The Category selection field initially displays the Default Category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. for the selected station.

Topic Overview: Multi Song Changer Multi-Station tab

Click a second time, to deactivate the Song list in the selected station. The Copy Attributes and Category Selection fields are inactive in the changer window.

Copy Attributes from Station column

When the Active column is set to Active for any station, the Copy Attributes field allows you to select any Station or Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. to Copy Attributes from. Settings will be applied to all songs in the browsed list on the selected Station. Note that any Attribute values that are not defined in the target station will not be copied.

Category selection Column

When the Active column is set to Active for any station, the Category selection column is active. This allows you to select the Category to apply to all songs in the browsed list on the selected Station.

Topic Overview: Multi Song Changer Multi-Station tab

Working in this window

The process described
Activating Songs
Deactivating Songs

The process described

1. First browse a list of Songs in the Browse window.
2. Access this window.
3. For any target station, click the edit control to toggle between neutral, activate or deactivate status.
4. With Active status selected, optionally specify Attributes from any station to copy to the selected target station.
5. With Active status selected, optionally specify a Category in the target station.
6. Click the Save button in the toolbar.

Activating Songs

1. First browse a list of Songs in the Browse window.
2. Access this window.
3. For any target station, including the current station you are working in, click the edit control to toggle to activate status.
4. Specify a Category in the target station, or accept the default category status.
5. Click the Save button in the toolbar.

Deactivating Songs

1. First browse a list of Songs in the Browse window.
2. Access this window.
3. For any target station, including the current station you are working in, click the edit control to toggle to deactivate status.
4. Click the Save button in the toolbar.

Topic Overview: Multi Song Changer Multi-Station tab


Attributes

Song Attributes

Song Attributes describe or qualify songs. An Attribute is simply something that is to do with the song or the performer. Attributes are applied globally, across the entire database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. and as Station attributes at Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. level. Attributes can be used with Filters, Spread Goals, Shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts., Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks., and Segue Bans.

There are several different kinds of Attributes:

Descriptive Attributes are used to separate songs from other songs in scheduling. When assigning Descriptive Attributes, work in the Song coding window, opened for any song. You choose in this window whether to create an Attribute to be used just for this station, or for all stations.
Descriptive Attributes used at Global level are listed and described here.
Descriptive Attributes used at Station level are listed and described here.

Song History Attributes are automatically applied when the Song is added, or changes Category, or is edited.
Song History Attributes are listed and described here.

Research Attributes are automatically applied following the most recent research score for each song.
Research Attributes are described here.

TIP: Attributes are be automatically applied to Songs in some cases. For example, Attributes defined for Songs in a Song Group are applied globally to those Songs across all stations in the Global Database. Attributes specified with the Format Parent feature in the New Station window are applied automatically to all stations that are take their settings from the assigned to the Format Parent station.

Global/Station Song Attributes - These attributes can be either Global or Station attributes

Global attributes

Station attributes

Artist and Song Attributes and the Keep? checkbox

Using Attributes

Spreading by Attribute

Clock Attribute Goals

Renaming Attributes

Fallback Attributes

Topic Overview: Attributes

Artist and Song Attributes and the Keep? checkbox

Artist Attribute information can be applied to all Songs in the station by the selected Artist. Attribute coding is defined in the Coding window and then displayed in the Song window or Multi-Song Changer Attributes and Participants grids. Click the Save button to apply Artist Attribute information to all Songs by the Artist, except when the Keep? Checkbox (see notes here) checkbox is unchecked. Then the information is applied to just the current song.

How are Attributes used?

Attributes are used to separate by Category, or Artist, or by a defined value - for example, Mood or Sound Code values - using Spread Goals; Attributes are also used to prevent two Songs with specific Attributes from playing next to each other, using the Segue Ban A Segue Ban prevents or controls segues between two songs or sweeps of three songs by selected attributes or participants. goal. In addition, when defining Goals, Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. are used to define Goals. See the Participants notes for full details. An Attribute cannot be assigned to both Artist and Song in the same Song window.

Song Attributes are not user-definable - you cannot create an Attribute. But you can apply descriptions and values to all Attributes.

NOTE: Attribute and Participant Spread and Segue Ban Goals only work when they are appropriately assigned to songs and when their goals are activated in the Goal Priorities window.

Goals: Spreading by Attributes and Attribute Segue Bans

When you use a Goal in the Priorities window to spread by any Attribute, GSelector will try to achieve maximum separation of all songs with that Attribute or Attribute code. When you implement a Segue Ban A Segue Ban prevents or controls segues between two songs or sweeps of three songs by selected attributes or participants. between songs with Attributes, GSelector will try to prevent segues between songs with the Attribute or Attribute code you specify.

While you may wish to fully exploit GSelector to better describe your library and so develop a powerful programming tool, we do not recommend setting too many Goals at first. When first starting out with GSelector, we suggest you work with some basic Goals, and only add further Goals when you need to refine your schedule.

Default Fixed spread Goals

GSelector spreads by default Goals. These are normally fixed in the Priorities Goals window. While these goals are fixed, they can be given a low priority if you wish. Most programmers however, choose to place a high priority for these goals. For details on setting priorities for your goals, see the Priorities window notes.

Using Attributes in Clock Goals

Four Attributes - Mood, Energy, Tempo and Opener - can be used as position-specific Goals in any Clock. See the Clock Goals for more information. Attributes and Attribute Values can also be specified in Clock Constraints - this allows you to call for or avoid Songs with specific Attributes and Attribute values.

Fallback Attributes

A Fallback attribute is an attribute that GSelector can fallback to if the normal attribute scores too low to be scheduled. For Example: A Song is normally genre “Dance” but could be treated as genre “Crossover” in a scheduling pinch because of the fallback attribute. If the Attribute Fallback Score Threshold is set to 65 in Goals | Priorities. The Scheduler will treat the song as “Dance” unless the song scores below 65, then it will treat the song as “Crossover” and test it again. Fallback Attributes can be defined in the Attributes tab of the Setup | Station | Features window. When an attribute is selected in the Fallback Attributes pane additional columns to assign these attributes will be available in the song and link windows. Use the drop-down in the Fallback column to assign a fallback attribute. Fallback Attributes can be added to the system using the Song Coding window or Station Attributes window.

Global/Station Attributes

These attributes can be defined globally or on a station-specific basis. These Attributes are designated as Global or Station based on the settings in the Attributes tab of the Setup | Station | Features tab. If the mapping for an attribute is set to Station, then the attribute can be set for the song/link in the Station Attributes window for the station. If the mapping is set to Global, use the Song Coding window or the Link Coding window to set a Global attribute for the song/link or artist.

Artist Group

Content

Era

Genre

Instrument

Theme

Vocal

Artist Group

This Attribute is used to separate or control segues between songs by artists who are part of the same group - for example, Beyonce Knowles and Destiny's Child.

Content

This Attribute is used, generally but not exclusively, to indicate that the song is, or is not, part of a Content Library. Where local regulations require stations to feature music with specific local content, this Attribute can be used to denote such songs. Use the Content tab in the Goals tab to define the Content Rule Requirement then Apply the Content Rule in the Goals | Priorities | Definition tab.

Era

This Attribute is used to separate songs by era or time period. You can assign codes to fit your programming goals: some stations with longer time ranges in their library select decades as era Attributes; others use far shorter periods.

Genre

This Attribute is used to separate or control segues between songs by the musical genre. You assign and define the genres to use in all stations.

Instrument

This Attribute is used to separate or control segues between songs by Instrumentation. You assign and define the instruments to use in all stations.

Theme

This Attribute is used to separate or control segues between songs by a general description you define and apply across the entire library. There is no limit to the number of descriptors you can define. Themes can be applied in any way you choose. Examples could be 'War and Peace'; 'Love Songs'; 'Songs for Budget Day', and so on. It's up to you, your imagination and your programming needs. You can also build Themes into Clocks, creating Theme Song positions in the Clocks Definition window. See the notes on Theme Scheduling for full details. While a Theme Attribute can be used across globally across all songs, some themes are clearly format-specific. A theme such as 'Friday Party Songs' can mean very different things to different stations.

NOTE: By default, GSelector places Themes last in the scheduling order in the Category Group Importance window. However, under some circumstances, users might wish to give Themes a higher priority. For example, where Gold Category Songs with a major Artist Image are scheduled before Themes, this might correspondingly restrict the range of material available when scheduling the Theme. While much depends on your library, in some cases, good results can be achieved by placing Theme positions higher up in this window.

Vocal

This Attribute is used to separate or control segues between songs by a vocal description you define and apply across the entire library. There is no limit to the number of descriptors you can define. Commonly used descriptors can be 'Male', 'Female', 'Group', and so on.

Topic Overview: Attributes

Global Song Attributes

Note that you can see a list of all Global Attributes in the Song Group definition window.

Album

Artist

Automation System

Film Name

Song Group

Title

Version

Copyright field Attributes

User-defined Attributes

[Song]/[Link]

See the list of station Attributes below.

Album

This Attribute is used to separate or control segues between songs by album. This Attribute is not configured in the song coding window; the information is entered directly in the song window.

Artist

This Attribute is used to separate or control segues between songs by Artist. This Attribute is not configured in the song coding window; the information is entered directly in the song window in the Song information fields. Note that the balance between Artists is defined separately, in the Balance tab: Artist Demand window. When you add a Song with one or more Artists that are new to the GSelector library, you have the option to define the Artists as Vocalists, and apply a Vocalist spread goal A Spread Goal separates Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes or values defined for that attribute. . See the notes on Artist to Vocalist Settings.

TIP: Artist separation is one of the five critical tests displayed in the Editor Test Bar . However, if Vocalist separation is more important to you than Artist Separation, you can use Vocalist separation as a critical test instead. When the Vocalist Spread goal is activated in the Priorities window, and the Artist Spread goal is not, Vocalist Separation is used as a test.

Automation System

Where one or more external Automation Systems have been configured in the NexGen Integration or the Station - Interfaces windows, this Attribute will be displayed for Songs associated with an Automation system. Click to open the node to see the Automation System(s). You can then search for Songs that have been Synchronized to each system.

Film Name

This optional Attribute is used to separate songs by the name of the Film which the song was featured in. This feature is designed primarily for Film music regions, but it can be optionally in any market. This attribute is implemented by checking the Enable Film Attribute box in the Station - Features window.

Song Group

Songs can be grouped together and can share both global and local attributes. A Song Group can be used to spread Songs, and Song demand within a Group can be balanced in the Balance: Song Groups window .

Title

This Attribute is used to separate or control segues between Songs by Title. That is, all Songs with the same Title will be separated to best effect when using Title Spread in the Priorities window, or when using a Title Segue Ban to block specific Title juxtapositions in the schedule. Title Information is entered using the Add / Edit Song window.

TIP: Use Title Spread when there are two different Songs with the same identical title. Where all Songs have a unique title, the Song Linear Spread Goal, which is a fixed Goal, handles separation automatically.

Version

The Attribute defined in this field can be used to Spread or to control Segues with Segue Bans, only affecting songs with the same text in the Version field. For example, if the user wishes to separate all 'Live' Versions of songs, a Spread goal would achieve this. See the Song information fields notes in the Song window topic .

Copyright Information Attributes

The Additional Information window for each Song allows the user to optionally store Copyright Information for each Song in the details pane. Each of the fields can be used as an Attribute. For full details see the Details Pane notes in the Additional Information topic.

User-defined field Attributes

The Additional Information window for each Song allows the user to optionally store Information for each Song in ten User-defined fields. Each of the fields can be used as an Attribute. For full details see the User-Defined Pane notes in the Additional Information topic.

[Song]/[Link]

The [Song] attribute is matched to the SongID. The Song Value will show the Title/Artist/Version that is found in the Song ID section of the song window for the selected song. The [Link] attribute is matched to the LinkID. The Link Value will show the Title/Version that is found in the Link ID section of the link window for the selected link.

Topic Overview: Attributes

Station Attributes

Note that you can see a list of all Global Attributes in the Song Group definition window.

Category

Energy

Hour Restrictions

Mood

Opener

Packets

Sound code

Tempo

Texture

Other Attributes are applied to the song at station level. Stations may use songs in different ways. A song which may be seen as High Energy at one station may be a medium energy station in another. So the following Attributes are set at station level for each song.

Category

This Attribute is used to separate or control segues between songs by category. This Attribute is not configured in the Song Coding window; the information is entered directly in the Song Window. Note that the balance between Categories is defined separately, in the Categories window.

When GSelector is first installed, or when a new station is created , the Category Spread Goal A Spread Goal separates Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes or values defined for that attribute. is placed by default in the Priorities Spread Goals list. However, use of this goal is optional, and it can be deleted or assigned a different priority.

Energy

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to separate or control segues between songs according to the Energy of a song. Energy can be used with Mood, or instead of Mood; it's up to the user. An example of a song with different Energy and Mood values could be 'Don't Know Why' by Norah Jones: many programmers see the song as medium energy but low mood. Energy levels are on a scale of from 1 to 5; the value for the song is set in the Energy field in the song window. The Energy scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Energy Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Song with no assigned Energy value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such song. For best results, we strongly suggest that when using the Clock Energy Goal, all Songs are accurately coded for the selected Attribute.

Hour Restrictions

Hour Restrictions are applied to both Song and Links using Hour Grids. Each Hour Grid specifies the hours where a Song of Link can or cannot be scheduled. They are designed in the Setup Hour Restrictions Grids window, accessible from the Song or Link window, and applied directly to Songs or Links in the Song and Link windows. Once an Hour Grid is applied it is automatically respected in scheduling - there is no need to assign a goal in the Priorities window. See the notes on working with Hour Grids for more details.

Mood

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to separate or control segues between songs by a mood description you define and apply across the entire library. The Mood scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Mood Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Song with no assigned Mood value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such song. For best results, we strongly suggest that when using the Clock Mood Goal, all Songs are accurately coded for the selected Attribute.

Opener

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to specify whether a Song can be used as an Opener. This setting uses a scale of 1 to 5; the value for the song is set in the Opener field in the Song window. While the scale can be used in different ways, many users code 'neutral' songs using a value of 3 and the center point of the scale, using 4 and 5 to indicate good and strongest openers, and 2 and 1 as weak and very weak opener songs. The Opener scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Opener Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Song with no assigned Opener value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such song. For best results, we strongly suggest that when using the Clock Opener Goal, all Songs are accurately coded for the selected Attribute.

Packets

This Attribute is used to group Songs together by any association the user may choose to define. A packet name is added to Song Packet fields. This is then used to spread songs so that they do not schedule close to each other. Packeted Songs can exist in different Categories and Category Goals. For more details, see the Packets notes.

Sound Code

This Attribute is used to separate or control segues between songs according to Sound Code. You define the sound codes you need to use. Examples could be: 'Classic Soul', 'Short Songs', 'Songs over six minutes', and so on. Sound Codes are defined in the Station Attribute window, accessed from the song window.

Tempo

This scalar attribute is used to separate or control segues between Songs according to the Tempo of two adjacent Songs. Each Song can have two tempo values. A segue is allowed or banned between the closing Tempo level and the opening Tempo level of the outgoing and following Songs respectively. Tempo values are on a scale of from 1 to 5; the values are set in the Tempo fields in the Song window. The Tempo scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Tempo Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Song with no assigned Tempo value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such song. For best results, we strongly suggest that when using the Clock Tempo Goal, all Songs are accurately coded for the selected Attribute.

Texture

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to separate or control segues between songs and/or links according to the Texture of the song or link. The use of Texture is again very much down to the programmer: Texture can represent the 'thickness' of the song or link sound - for example, 'Smooth' by Santana has a fairly thick, punchy sound, compared to Kylie Minogue's 'Can't Get you Out of My Head'. Texture levels are on a scale of from 1 to 5; the value is set in the Texture field in the song window. The Texture scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. The codes you define are used for both Songs and Links. These scalar values can be displayed graphically in the Browse Lists using the Texture Graph columns.

TIP: If you use Texture in Songs and Links, be sure to define your Segue Bans for Songs and Links. In Linker Goals Segue Bans , you can specify Segue Bans between Songs and Links, Links and Songs, and from Link to Link. See also the notes on using Texture in the Link window topic.

Topic Overview: Attributes

Research

Research Attributes

Research Column

Research Score Date

Research Attributes

Research Attributes differ from other Attributes, in that they are not permanently applied to Songs. A Research Attribute is applied to a Song when the research score for that song is met for the audience segment or research type. The Goals you define for these Research Attributes will only apply to the songs currently with the Research Attribute. Research Attributes are defined in the Research Settings window. See the notes on Using Research scores as Scheduling Attributes for full details.

NOTE: Because research columns and attributes are station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. -specific and browse formats can be applied to all fields in the entire Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. , any research fields in a browse format created in one station will not display data when that browse format is used in any other station.

Research Columns

You can select any defined Research Column (see the Setup Topic Research Column notes) and specify a score range. This would allow you to view Songs by score ranges, allowing a wider range of scores that would be possible with a single Research Attribute.

Research Score Date

The date on which the Research Score was collected. This Attribute is displayed in the Song window Research pane. As well as the preset values, Custom dates can be entered in the Browse window.

Topic Overview: Attributes

History Attributes

When selecting one of these Attributes, you can select from a set range of date values, as well as a Custom pane to define a specific date or range.

TIP: History Attributes can be used in both Active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. browse views

Date Activated

Date Added

Entered Category

Last Edited

Date Activated

The date on which a song was last activated for this station. This Attribute is displayed in the Song Window Change History pane, and can be used as a search value in the Active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. views in the Browse window. A custom value or range can be entered in the Browse window.

Date Added

The date on which a song was added. This Attribute is displayed in the Song Window Change History pane, and can be used as a search value in the Active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. views in the Browse window. A custom value or range can be entered in the Browse window.

Entered Category

The date on which a song was added to its current Category. This Attribute is displayed in the Song Window Change History pane, and can be used as a search value in the Active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. views in the Browse window. A custom value or range can be entered in the Browse window.

Last Edited

The date on which song details were most recently edited. This Attribute is displayed in the Song Window Change History pane, and can be used as a search value in the Active An Active item - a Song, Link or Note - is available to schedule in the current station. and Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. views in the Browse window. A custom value or range can be entered in the Browse window.

Topic Overview: Attributes


Category Changer

The Category Changer window offers drag and drop Song Category changes. You can display three or more lists of Songs selected by Category. Any Song can be dragged from its original Category pane to any other Category pane, and by so doing be assigned to that Category.

You can also display all Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs in an Inactive Song list , and reactivate these Songs by dragging them to a Category.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Library tab, then click the Category Changer tab.

Click any area in this image for help

Click any area in the above image for help

Topic Overview: Category Changer window

Features in this window

Display Categories window

Toolbar

Undo, Redo and Save

Inactive Checkbox

Browse Format Selection

Show History Pane/Hide History Pane

History Attributes

Category Panes

Find (CTRL+F)

Inactive list pane

Displaying Categories

The Category Changer window opens displaying the first three Categories sorted by Short Category name (see the notes on short and long Category names). To show more or less Category windows, select the number to display in the Category Windows field. Each additional Category pane will squeeze up to accommodate the new Category numbers. The minimum number of panes is 2.

Toolbar

Undo, Redo and Save

Inactive Checkbox

Browse Format Selection

Show History Pane/Hide History Pane

History Attributes

Undo, Redo and Save

The menu bar is used to undo, redo, and save changes. When the Category Changer is opened, the buttons are inactive. Moving a Song will activate the undo and save buttons. Undoing a change activates the redo button.

Inactive Checkbox

Check the Inactive box to display a further window showing all inactive Songs.

Format Selection button

The Browse Formats button can be used to save the default format as a new format, save changes to an existing format, save an existing format to a new browse format, set a selected format as the assigned format for the window or temporarily assigned just for the session. Formats can also be permanently assigned to the Browse window in the Browse Formats Assignment window. Browse Formats can be designed in the Browse Formats Design window.

  1. Click the arrow to the right of the button.
  2. Select a format and double-click or press enter.
  3. The new format is temporarily assigned to all browse panes.
  4. Optionally, click the arrow to the right of the button again and select Set Selected Format as Assigned.
  5. Optionally, right-click a column header to Modify or Remove columns.
  6. Click the arrow to the right of the button again.
  7. Click Save or Save As if desired

For more information on custom designing formats, see the Formats Design and Formats Assignment topics.

Show History Pane

TIP: Press F7 to toggle pane open or closed for the selected Category window.

Click this button to open the History pane for the selected songs. This history map works similarly to the History Map in the Editor.

Hide History Pane

TIP: Press F7 to toggle pane open or closed for the selected Category window.

Click this button to close the history pane.

History Attributes

Click this button to select an attribute to display in the History Pane when a Song is selected in the results pane. The display options are:

The Song selected in the results pane.

The Title of the Song selected in the results pane.

The Packet of the Song selected in the results pane. If the current Song is not in a packet, GSelector displays the history of the Song.

The Artist or Vocalist for the Song selected in the results pane. See the notes on viewing Vocalist History in the Editor History Pane topic.

The Album for the Song selected in the results pane.

The Song Group of the Song selected in the results pane. If the current Song is not in a Song Group, GSelector displays the history of the Song.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Category panes

The Categories are displayed in panes in the main body of the window. The number of panes is set in the Category Windows. You can size and sort the content of all panes at once by clicking on any Category pane header bar. The currently highlighted song position and total number of songs in the Category are shown at the bottom of each pane.

Categories Selection

At the top of each pane is a drop down box. Click the drop-down arrow to open a list of Categories. Select a Category from the list and enter to display the contents of that Category in that pane.

NOTE: A Category can only be selected once. A selected Category it cannot be selected again for another Category pane.

Inactive Songs window

Check the Inactive checkbox to open this window at the right of the Category Changer window. See the displaying Inactives notes for more information in using this pane.

To display Songs in this pane, click the drop-down arrow and select or enter the name of a saved Inactives Filter or saved Inactives Song list. See the working with filters notes in the Filter and List topic. The pane can be 'pinned' by clicking the Pin icon. This means that it will remain easily accessible. The pane collapses to a vertical tab button at the right of the Category Changer pane. It can be partially opened again by clicking this tab, and fully reopened by clicking the Pin icon again. To close the pane, click the close icon at top right.

Topic Overview: Category Changer window

Working in this window

Selecting Categories
Displaying more Categories
Displaying and activating Inactive Songs
Moving Songs from Category to Category
Moving Song Groups from Category to Category

Playing Audio

Sorting and Formatting
Jumping to the Song window
Customizing formats in the Browse Pane: see also the notes on Assigning and Designing Browse Formats.
Working with Child stations

Selecting Categories

  1. In any Category pane, click the drop-down arrow in the Categories selection pane.
  2. Select a Category from the list
  3. That Category' songs is then displayed in the associated Category pane.

NOTE: GSelector will remember what Categories were selected in the previous editing session in this window.

Displaying and activating Inactive Songs

  1. Click to check the Inactive Song window checkbox.
  2. This opens an Inactive Song list pane for this station.
  3. In this pane, select an Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. song filter or song list (see the notes on creating and saving a Filter or List in the Browse window topic).
  4. Filtered Songs or the Song List contents are displayed in this pane.
  5. Reactivate any Song by selecting it and dragging it to a Category.

Moving Songs from Category to Category

  1. First select the source and target Categories in two or more panes.
  2. Select one or more Songs in the source Category pane, and drag to a target Category pane.

Moving Song Groups from Category to Category

Special provisions govern moving Songs in Song Groups Song Groups are collections of Songs. You can search and sort by Song Groups. A Song Group is global, and contains the same Songs in all stations. Song Groups can contain active and inactive Songs. An Attribute setting for a Song in a Song Group, activated for that Song Group, is applied to that Song in all Stations. You can also use Song Groups like packets. . Because Song Groups can contain songs in multiple categories, they will only be displayed together in any Category pane if they are in the same Category, and the only way to know if the Song is in a Group at all is if you use a browse format which includes the Song Group field. When you drag a Song in the Group to another Category, you will move that Song in the usual way, whether the Song is in a Group or not. But if the Song Group has a shared Category Attribute, all the Songs display in the same Category pane, and dragging one Song take all the other songs with it to the new Category. See the Song Groups topic for full details.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Sorting and Formatting

As with all Browses, the columns in each Category pane can be sized and sorted. For full details, see the notes in the Working with Browses topic. GSelector will remember the sorts and column sizes applied in each pane from the previous editing session.

Jumping to the Song window

  1. Select any song in the Category panes or the Inactive Song list.
  2. Double-click
  3. This takes you to the relevant Song window.

Customizing a Browse format

You can design one or more custom browse formats to apply to all Active Category panes, by working in the Browse Formats Design window. Once you have designed one or more new formats, you can assign a default format to use in this window in the Browse Formats Assignment window. You can use any field in the Song window or Additional Information window in the format.

Working with Child stations

In the Category Changer window in a Child station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited., you cannot drag a Song from an inherited Category to another Category, nor can you change its Active An Active item - a Song, Link or Note - is available to schedule in the current station. status. You can change the Category of a Song in a copied Category, or in a Category that you have created in the Child Station, as long as the target Category is not Inherited.

Topic Overview: Category Changer window


Participants

A Song or Artist Participant is any person who has played a part in creating or performing on a song: composers, producers, arrangers, vocalists, musicians and others are all Participants. Participants are defined and assigned to Songs in the Song window at Database level.

How are Participants used?

Goals: Spreading by Participant and Segue Bans using Participants

Percentage Participation

Participants List

How are Participants used?

Participants are used in two ways. Participant details can be used to describe and qualify songs and links. Participants can also be used to define Goals. That is, you can specify a Participant Goal separation or a Participant Segue ban. You create Participant information by entering or selecting a name for the Participant in the song window, and then assigning the Participant role to that name. The same name can be applied to different Participant roles, for example when the same person is the Writer, Producer, and Vocalist, but the same named participant cannot be assigned to both Artist and Song.

NOTE: Attribute and Participant Spread and Segue Ban Goals only work when they are appropriately assigned to songs and when their goals are activated in the Goals Priorities window.

Goals: Spreading by Participant and Segue Bans using Participants

When you set a Goal to Spread by any Participant, GSelector will try to achieve maximum separation of all songs with that Participant. When you set a Segue Ban A Segue Ban prevents or controls segues between two songs or sweeps of three songs by selected attributes or participants. Goal by Participant, GSelector will try to prevent segues between songs with the Participant(s) you specify.

While you may wish to fully exploit GSelector to better describe your library and so develop a powerful programming tool, we do not recommend setting too many Goals at first. When first starting out with GSelector, we suggest you work with some basic Goals, and only add further Goals when you need to refine your schedule.

Artist and Song Participants and the Keep? Checkbox

A Participant can be defined as an Artist Participant or a Song Participant. Information for Artist Participants is applied globally to all Songs by the selected artist. This coding is defined in the Song Coding window and then displayed in the Song window or Multi-Song Changer Attributes and Participants grids. Click the Save button to apply Artist Participant information to all Songs by the Artist, except when the Keep? (see notes here ) checkbox is unchecked. Then the information is applied to just this song. This means you can update Participant information for all Songs by an Artist in all Stations, as the information is applied at Database level.

For more details, see the Song window notes. To assign Participants to Songs or Artists see the notes in the Participants grid in the Song window topic. You can apply multiple Participant information to any Song or Artist - for example, to list all the musicians in a group.

Percentage Participation

The Percentage column in the Song Attributes and Song Participants panes in the lower left corner of the song editing window, allows you to define participation levels less than the 100% default. The major use for this will be with song participants, particularly in Urban and CHR formats where the trend is songs with multiple performers. Take the case of a song by another performer in which Lil Wayne is featured only in an eight-bar rap. Previously GSelector would have attempted to spread that song from all other Lil Wayne songs by the same amount of time. Now, by setting a significantly reduced participation level for Lil Wayne on this particular song, the spread failure between it and any other Lil Wayne songs will be less than it would be for a song on which Lil Wayne has 100% participation. Percentage Participation may be set between 1 and 100, and the total of all participant values does not need to equal 100%. Experiment with values to get a feel for how this feature operates. Note that this same type of percentage control can also be applied to other song attributes such as Genre, Theme, Era, Sound Codes and the like. Before, you might have had a song with Sound Codes of Dance and Edgy. Now you can describe a song’s Sound Codes as being 80% Edgy and 40% Dance. This can provide more precise spread control against other songs having the same Sound Codes. When setting a Participation level less than 100%, demand for the attribute will decrease, but more importantly the actual spread failure will be adjusted proportionally to the percentage participation of the attribute involved. When Percentage Participation is used with Minimum Separation, the scheduler will reduce the minimum separation set in the Rotation Rules window proportionately to the percentage participation set on the attribute. If the min sep is set at 4 hours and the percentage participation is 50%, the scheduler will reduce the min sep requirement to 2 hours.

Topic Overview: Participants

Participants List

Arranger

Composer

Conductor

Musician

Producer

Vocalist

Writer/Lyricist

Arranger

Mainly used by Classical and Jazz stations, this Participant field is used to associate Arranger information with Songs or Artists; generally, this is done on a song by song basis, but this information can be applied to all songs by an Artist. Once coded, Arranger information can be used to specify a Spread or Segue ban by an Arranger or Arrangers

Composer

Mainly used by Classical stations, this Participant field is used to associate Composer information with Songs or Artists; generally, this is done on a song by song basis, but this information can be applied to all songs by an Artist. Once coded, Composer information can be used to specify a Spread or Segue ban by a Composer or Composers.

Conductor

Mainly used by Classical stations, this Participant field is used to associate Conductor information with Songs or Artists ; generally, this is done on a song by song basis, but this information can be applied to all songs by an Artist. You define all Conductor names used in the Song Coding window . Once coded, Conductor information can be used to specify a Spread or Segue ban by a Conductor or Conductors .

Musician

This Participant field is used to associate Musician information with Songs or Artists ; generally, this is done on a song by song basis, but this information can be applied to all songs by an Artist. Once coded, Musician information can be used to specify a Spread or Segue ban by a Musician or Musicians .

Producer

This Participant field is used to associate Producer information with Songs or Artists ; generally, this is done on a song by song basis, but this information can be applied to all songs by an Artist. Once coded, Producer information can be used to specify a Spread or Segue ban by a Producer or Producers .

Vocalist

This Participant field is used to associate Vocalist information with Songs or Artists; generally, this is done on a song by song basis, but this information can be applied to all Songs by an Artist. Once coded, Vocalist information can be used to specify a Spread or Segue ban by a Vocalist or Vocalists. See the notes on Artist to Vocalist Settings, used when adding a Song with multiple Artists that are new to the GSelector Database .

TIP: If Vocalist separation is more important to you than Artist Separation, you can use Vocalist separation as a critical test in the Editor Test Bar , in preference to the default Artist separation tests. When the Vocalist Spread goal is activated in the Priorities window, and the Artist Spread goal is not, Vocalist separation is used as a test. Under these conditions, Vocalist is also offered as an option in the History Map menu in the Song window menu and the History Map menu in the Editor window.

When GSelector is first installed, or when a new station is created , the Vocalist Spread Goal A Spread Goal separates Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes or values defined for that attribute. is placed by default in the Priorities Spread Goals list. However, use of this goal is optional, and it can be deleted or assigned a low priority.

NexGen Users should note that song data exported from NexGen will not be analyzed in GSelector for Vocalist separation, nor will Songs have Vocalists automatically assigned as an Attribute. . To make the best use of the Vocalist Goal, you should review your library contents and assign Vocalist information, working in the Song window and Multi-Song Changer windows, or use Artist Separation instead as a primary Spread Goal.

Writer/Lyricist

This Participant field is used to associate Writer/Lyricist information with Songs or Artists ; generally, this is done on a song by song basis, but this information can be applied to all songs by an Artist. Once coded, Writer/Lyricist information can be used to specify a Spread or Segue ban by a Writer/Lyricist or Writer/Lyricists.

Topic Overview: Participants


Global Settings Song Groups settings

Song Groups Settings window

This window allows you to implement Settings that affect the behavior and display of Song Groups.

Accessing this window

Features in this window

Setting up Song Groups to display by Group in the Browse window

Viewing the Contents of a Song Group

See also the Implementing Song Groups notes in the Song Groups Definitions window topic.

Accessing this window

From the Tools Menu option, select Global Settings, and then Song Groups. The Song Groups definition window is the default view. Click the Settings tab to access a window similar to this illustration.

Features in this window

Toolbar
Group on Song Group checkbox

Toolbar

You can save your settings or cancel changes without saving them.

Group on Song Group checkbox

Check this box to display Songs Groups as one expandable item in the Browse window in the Browse window, subject to your Browse format. See the setting up notes below.

Setting up Song Groups to display by Group in the Browse window

  1. Create Song Groups (see notes here).
  2. Add Songs to Song groups (see notes here)
  3. Design a Browse Format in the Browse Formats Design window that includes the Song Groups field.
  4. Access the Browse window
  5. Assign the selected format in the Browse window, or select the format using the Browse window Format selection button.
  6. Song Groups are shown as expandable items in the browse.

  7. You can sort on the Song Group field by clicking the header. See the Browse window headers notes in the Browse window topic.

Viewing the Contents of a Song Group
  1. Follow the steps above to generate a Browse displaying Song Groups.
  2. Select a Song Group , and Click the Song Group Node in the leftmost column in the browse.

  3. The Contents of the Song Group are displayed in a subsidiary pane.
  4. This pane cannot be moved, but its fields can be dragged and sized. It follows the same format as that selected for the main Browse pane.
  5. To close the pane, click the node at left.

Topic Overview: Song Group Settings


Balance Tab: Song Groups

The Song Group Demand window lets you shift demand and predict rotation for Songs within a Song Group .

Accessing
Features in this window
Working in this window

See also the Artist , Participants , Attributes and Song balance demand topics.

TIP: For detailed information on how Balance windows work, see the Balance Windows topic.

Topic Overview: Song Group Balance window

Accessing this window

Click the Goals tab, then Balance, then Song Group. The Song Group Demand window will open showing settings for the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. assigned the highest Daypart Priority . All Dayparts can be viewed individually using the Dayparts field. To view demand for a combination of Dayparts, click the Cross Daypart Analysis button. The illustration below shows all Song Groups, with one Song Group node opened to show all songs in the group.

Click any area in the image for help. Note that this window is a basic view. Further optional fields (Maximum Per Hour and Demand Limit) are also available.

Click any area in the image for help. Note that this window is a basic view. Further optional fields (Maximum Per Hour and Demand Limit) are also available.

Topic Overview: Song Group Balance window

Features in this window

Toolbar button

Save button
Cancel button
Copy settings button
Cross Daypart analysis button
Single Daypart Analysis button
Adjustments button
Daypart selection pane

Clear Adjustments
Rotation Rules button (when one or more Rotation Rules are enabled)..

Find (CTRL+F)
Clock Assignment Grid selection field
Song Group Name
Activate checkbox field
Song Group contents
Optional Fields

Optional fields

These optional Balance window fields are enabled in the Setup Station - Features window:
Demand Limit
Maximum Per Hour

Topic Overview: Song Group Balance window

Toolbar buttons

Save Button

Click to save your changes in this window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copy settings to a different Daypart

Click to copy your settings to other dayparts. This accesses the Copy Daypart dialog box. See the Copy Daypart Dialog Box notes for full details The Copy Daypart Dialog box is also accessed from the other Balance windows, the Categories and Dayparts Definition windows. When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored.

TIP: A dramatic change to one item in a large list may not have a perceptible impact on overall demand. If you have long turnovers, you can experiment with the effect of significant but focused changes in demand within a goal. The smaller the overall number of items of which you are changing an item, the greater the impact.

Cross Daypart Analysis

Click the Cross Daypart Analysis button in this window to open a Cross Daypart Analysis window, which displays turnover figures for two or more dayparts in combination. For more details, see the Cross-Daypart Analysis topic.

Return to Balance tab view

Once a Cross Daypart Analysis view is accessed, the Return to Balance tab button is activated. Click to return to the default single Daypart mode.

Adjustments button

This button is used in all Goals Balance windows. Click this button to filter out all items where no changes have been made to the shift field, and only display items where an adjustment is in force. Note that as changes in the limit field place a value in the shift field, these changes are shown when you click the Adjustments button.

NOTE: Clicking this button will not show changes made in the optional Minimum Separation or Maximum Per Hour fields.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments dialog box. The Clear Adjustments dialog provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Rotation Rules button

This button allows you to access the Rotation Rules window. In all Balance windows, you can enter settings for any of the Rotation Rules which have been added to a Priority List in the Goals | Priorities Definition window. Rotation Rules defined from this balance window will apply to Song Groups, and will apply by Category to Songs in each Group.

Dayparts selection pane

Click the drop down arrow to select a Daypart. See the dayparts assignment window for detail on creating and assigning dayparts.

Song Group Name

This field displays the Song Group Name. You cannot adjust demand between Song Groups, but you can adjust relative demand between Songs within a Group.

Activate check field

For any selected Daypart, you can activate or deactivate any Song in an opened Song Group node. Click the check to deactivate; click again to activate. For more information see the Activate notes in the Balance windows topic.

Song Group contents

When you open a Song Group node, you display Category Group, Title and Artist information for each song, along with the regular Balance window fields.

Topic Overview: Song Group Balance window

Working in this window

TIP: For general notes on balancing in all Goals Balance windows, see the Adjusting Demand notes.

Activating or deactivating a Song in any Daypart.
Selecting a Daypart
Copying settings to another Daypart
Boosting and cutting demand
Reviewing demand
View and adjust demand for a combination of dayparts

Playing Audio

Jumping to the Song window
Adjustments windows
Minimum Separation

Boosting and Cutting Song Demand in a Song Group

Song Demand within the Song Group is boosted or cut in the selected Daypart with the Demand Shift buttons , and the relative demand is displayed in the Demand Percentage and Demand Graph columns .

Reviewing Song Group demand

To review demand for a Song Group, select the Song Group, and double click or click on the Plus node to view the available Songs.

NOTE: You can also review all Adjustments for the station in the Adjustments window

Reviewing and adjusting Cross-Daypart demand

To view demand for a combination of dayparts , click the Cross Daypart Analysis button.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Jumping to the Song window from the Song Group Balance window

1. Open a Song Group by clicking on the Song Group node.
2. Select a Song.
3. Press Enter on your Keyboard or double-click to view that Song.

Topic Overview: Song Group Balance window


Balance tab: Artist Demand

This window lets you shift demand and predict rotation for Songs by Artist.
Accessing
Features in this window
Working in this window
See also the Attributes , Participants , Song Groups and Song Demand balance topics.

TIP: For detailed information on how Balance windows work, see the Balance Windows topic.

Accessing this window

Click the Goals tab, then Balance, then Artists. The Artists Demand window will open showing settings for the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. assigned the highest Daypart Priority . All Dayparts can be viewed using the Dayparts field. To view demand for a combination of Dayparts, click the Cross Daypart Analysis button.

Click any area in this window for help. Note that this illustration shows three optional fields: Maximum Per Hour and Demand Limit.

Click any area in this window for help. Note that this illustration shows three optional fields: Maximum Per Hour and Demand Limit.

Topic Overview: Balance tab: Artist Demand

Features in this window

Find (CTRL+F)
Toolbar buttons

Save button
Cancel button
Copy settings
Cross-daypart analysis button
Single Daypart analysis button
Adjustments button
Clear Adjustments
Appearances button

Demand Adjustment
Rotation Rules window
Minimum Separation

Optional Fields
Limit field (this field can be optionally disabled in the Setup section Station - Features window)

Optional fields

These optional Balance window fields are enabled in the Setup section Station - Features window:
Maximum Per Hour
Demand Limit

Toolbar Buttons

Save Button

If you have changed any settings in this window, the Save changes button is activated. Click to save changes.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copy Artist settings to a different Daypart

Click to copy your settings to other dayparts. This accesses the Copy Daypart dialog box. See the Copy Daypart Dialog Box notes for full details. The Copy Daypart Dialog box is also accessed from the other Balance windows, the Categories and Dayparts Definition windows. When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored.

TIP: Select any Artist in the Balance Artists tab, and double-click to access a browse of songs by that Artist in the song window. Click the back Navigation button to return to the Balance Artists window.

Cross Daypart Analysis

Click the Cross Daypart Analysis button in this window to open the Cross Daypart Analysis view, which displays turnover figures for two or more dayparts in combination. In this view, you may not make any changes to settings. These are made by Daypart in the main window. For more details, see the Cross-Daypart Analysis topic.

Closing Cross Daypart Analysis windows

Once a Cross Daypart Analysis view is accessed, the Close button is activated. Click this button to return to the default single Daypart mode.

Adjustments button

This button is used in all Goals Balance windows. Click this button to filter out all items where no changes have been made to the shift field, and only display items where an adjustment is in force. Note that as changes in the limit field place a value in the shift field, these changes are shown when you click the Adjustments button.

NOTE: Clicking this button will not show changes made in the Minimum Separation or the optional Maximum Per Hour fields.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments dialog box. The Clear Adjustments dialog provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Rotation Rules window

This button allows you to access the Rotation Rules window. In all Balance windows, you can enter settings for any of the Rotation Rules which have been added to a Priority List in the Goals | Priorities Definition window. Rotation Rules defined from this balance window will apply to Artists, and are set by Category.

Appearances Button

This button allows you to assign an appearance to any Artist. Select the appearance, and click the button to apply an appearance from the drop down menu. See the notes on defining appearances , and the notes on using Appearances with Attributes in the Using Color topic. You can also assign Appearances directly in the Browse.

Dayparts selection pane

Click the drop down arrow to select a Daypart. See the dayparts assignment window for detail on creating and assigning dayparts.

Topic Overview: Balance tab: Artist Demand

Working in this window

TIP: For general notes on balancing in all Goals Balance windows, see the Adjusting Demand notes.

Increasing or reducing demand
Selecting a Daypart
Copying settings to another Daypart
Viewing demand for Artist Block Artists
Cross Daypart Analysis
Jumping to Songs from Balance windows
Adjustments window
Assigning an Appearance to Artist fields
Assigning Appearances
Jumping to an Artist name in the Browse
Clear Shift and Ban Adjustments

Increasing or reducing demand

Artist Demand is increased or reduced in the selected Daypart with the Demand Shift buttons, and the relative demand for each Artist is displayed in the Demand Percentage and Demand Graph columns .

Cross Daypart Analysis

To view demand for a combination of dayparts, click the Cross Daypart Analysis button.

Copy Artist Settings to another Daypart

Click the Copy settings button to copy your settings to other dayparts. This accesses the Copy Daypart Dialog Box . When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored.

Jumping to the Song window from any Balance window

1. In any Balance window, select either a Song, an Attribute, a Participant or an Artist.
2. Press Enter on your Keyboard or double-click to view the selected or associated Songs in the Song window.

Assigning an Appearance to Artist fields

You can assign any Appearance to any Artist. This can allow you to spot certain Artists more easily in the Browse window or in the Editor.
1. Design as many Appearances as required in the Options: Appearances definition window .
2. Select the Artist in the Goals Balance Artist window list.
3. Right-click to see all Appearances.
4. Select the desired Appearance to apply to the Artist.
5. Repeat as required.
6. All assigned Artist-specific Appearances are displayed in Library browses with the selected foreground and background color, alignment and font.
7. In the Editor, Artist-specific Appearances override any globally assigned Appearance set up for the Editor in Artist fields.

Jumping to an Artist name in the Browse

You can jump to any Artist name in this window by clicking any Artist Name field, and typing the first letter of the name. See the Hot Key search notes in the Working with Browses topic for more information.

Clear Shift and Ban Adjustments

Occasionally there is a need to clear the adjustments made in the Balance windows to get back to the baseline.

  1. In the Goals | Balance select the balance window item (Artist, Attribute, Song or Participant) to clear.

  2. Click the [image] Clear Adjustments button to open the Clear Adjustments window.

  3. Select the Daypart or select All to select all dayparts

  4. Select the options to Clear

  5. Click OK

Topic Overview: Balance tab: Artist Demand


Balance tab: Participants Demand

The Participants Demand window lets you shift demand and predict rotation for songs by Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. . This pane lists all active Participants for the selected station. It displays Participant types in order, each of which can be opened to review or adjust demand by that named Participant.

Accessing this window
Features in this window
Working in this window

See also the other Artist Demand , Attributes Demand , Song Groups Demand and Song Demand Balance topics.

TIP: For detailed information on how Balance windows work, see the Balance Windows topic.

Accessing this window

Click the Goals tab, then Balance, then Attributes. The Participants Demand window will open showing settings for the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. assigned the highest Daypart Priority. All Dayparts can be viewed using the Dayparts field. To view demand for a combination of Dayparts, click the Cross Daypart Analysis button. The illustration here shows the Participants window accessed for the default Daypart, and with the Vocalist Attribute list open.

Click any area in the image for help. Note that this illustration shows a basic window. Further optional fields (Maximum Per Hour and Demand Limit) are also available.

Click any area in the image for help. Note that this illustration shows a basic window. Further optional fields (Maximum Per Hour, and Demand Limit) are also available.

Topic Overview: Participants Demand

Features in this window

Toolbar buttons

Save button
Cancel button
Cross Daypart analysis button
Single Daypart button
Adjustments button
Clear Adjustments
Rotation Rules window

Find (CTRL+F)
 Demand Adjustment fields
Optional Fields
Demand Limit field (this field can be disabled in the Setup section Station - Features window)

Optional fields

These optional Balance window fields are enabled in the Setup section Station - Features window:
Maximum Per Hour
Demand Limit

Toolbar buttons

Save Button

Click to save your changes in this window.

Copy Participant settings to a different Daypart

Click to copy your settings to other dayparts. This accesses the Copy Daypart dialog box. See the Copy Daypart Dialog Box notes for full details. The Copy Daypart Dialog box is also accessed from the other Balance windows, the Categories and Dayparts Definition windows. When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Cross Daypart Analysis

Click the Cross Daypart Analysis button in this window to open a Cross Daypart Analysis window, which displays turnover figures for two or more dayparts in combination. For more details, see the Cross-Daypart Analysis topic.

Topic Overview: Participants Demand

Closing Cross Daypart Analysis windows

Once a Cross Daypart Analysis view is accessed, the Close button is activated. Click this button to return to the default single Daypart mode.

Adjustments button

This button is used in all Goals Balance windows. Click this button to filter out all items where no changes have been made to the shift field, and only display items where an adjustment is in force. Note that as changes in the limit field place a value in the shift field, so these changes are show as well when you click the Adjustments button.

NOTE: Clicking this button will not show changes made in the Minimum Separation or the optional Maximum Per Hour fields.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments dialog box. The Clear Adjustments dialog provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Rotation Rules window

This button allows you to access the Rotation Rules window. In all Balance windows, you can enter settings for any of the Rotation Rules which have been added to a Priority List in the Goals | Priorities Definition window. Rotation Rules defined from this balance window will apply to the Participants you select, and are set by Category.

Appearances Button

This button allows you to assign an appearance to any Participant. Select the Participant , and click the toolbar button to apply an appearance from the drop down menu. See the notes on defining appearances , and the notes on using Appearances with Participants in the Using Color topic. You can also assign Appearances directly in the Browse .

Dayparts selection pane

Click the drop down arrow to select a Daypart. See the dayparts assignment window for detail on creating and assigning dayparts.

Clock Assignment Grid field

This allows demand to be viewed and adjusted for different Clock Assignment grids, where more than one Clock Adjustment grid exists. For more information see the Assignment Grid notes in the Balance windows topic.

Topic Overview: Participants Demand

Working in this window

TIP: For general notes on balancing in all Goals Balance windows, see the Adjusting Demand notes.

Copying settings to another Daypart
Selecting a Daypart
Increasing or Reducing Demand
Viewing demand for Participants by type
Viewing Demand for multiple Dayparts
Jumping to the Song window from any Balance window
Assigning Appearances to Participant fields

Minimum Separation
Clear Shift and Ban Adjustments

Increasing or Reducing Demand

Participant Demand is boosted or cut in the selected Daypart with the Demand Shift Buttons , and the relative demand for each Participant is displayed in the Demand Percentage and Demand Graph columns .

Viewing demand for Participants by type

To review and shift demand for any Participant type, select and double click, or click to open the node for that Participant type. You can rapidly jump to a named Participant under any Participant Heading list by opening the node and typing the first letter of the Participant name. See the Hot Key search notes in the Working with Browses topic.

Viewing Demand for multiple Dayparts

To view demand for a combination of dayparts , click the Cross Daypart Analysis button. Click the View single Daypart button to return to the single view.

Jumping to the Song window from any Balance window

1. In any Balance window, select either a Song, an Attribute, a Participant or an Artist.
2. Press Enter on your Keyboard or double-click to view the selected of associated Songs in the Song window.
3. If viewing a list of songs by Artist, Attribute or Participant, all Songs can be viewed - see the notes for viewing a list in the Song window topic .

Assigning an Appearance to Participant fields

You can assign any Appearance to any Participant. This can allow you to spot certain Participants more easily in the Browse window or in the Editor.
1. Design Appearances as required in the Options: Appearances definition window .
2. Select the Participant in the Goals Balance Participant window list.
3. Right-click to see all Appearances.
4. Select the desired Appearance to apply to the Participant.
5. Repeat as required.
6. All assigned Participant-specific Appearances are displayed in Library browses with the selected foreground and background color, alignment and font.
7. In the Editor, Participant-specific Appearances override any globally assigned Appearance set up for the Editor in Participant fields.

Clear Shift and Ban Adjustments

Occasionally there is a need to clear the adjustments made in the Balance windows to get back to the baseline.

  1. In the Goals | Balance select the balance window item (Artist, Attribute, Song or Participant) to clear.

  2. Click the [image] Clear Adjustments button to open the Clear Adjustments window.

  3. Select the Daypart or select All to select all dayparts

  4. Select the options to Clear

  5. Click OK

Topic Overview: Participants Demand


Balance tab: Attributes Demand

Balance tab: Attribute demand

The Attributes Demand window lets you shift demand and to predict rotation, based on Song Attributes.

Accessing

Features in this window

Working in this window

See also the Artist , Participants , Song Groups Song balance demand topics.

TIP: For detailed information on how Balance windows work, see the Balance Windows topic.

Accessing this window

Click the Goals tab, then Balance, then Attributes. The Attributes Demand window will open showing settings for the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. assigned the highest Daypart Priority . All Dayparts can be viewed using the Dayparts field. To view demand for a combination of Dayparts, click the Cross Daypart Analysis button. The illustration below shows one open Attribute from the list: Energy. To view demand for any other Attribute, double-click that Attribute node.

Click any area in the image for help. Note that this window is a basic view. Further optional fields (Maximum Per Hour and Demand Limit) are also available.

Click any area in the image for help. Note that this window is a basic view. Further optional fields (Maximum Per Hour and Demand Limit) are also available.

Topic Overview: Attributes Balance window

Features in this window

Find (CTRL+F)

Toolbar buttons

Save button

Cancel button

Copy settings button

Cross Daypart analysis button

Single Daypart Analysis button

Adjustments button

Clear Adjustments

Rotation Rules

Appearances button

Daypart selection pane

Clock Assignment Grid selection field

Optional Fields

Optional fields

These optional Balance window fields are enabled in the Setup Station - Features window:

Demand Limit

Maximum Per Hour

Toolbar buttons

Save Button

Click to save your changes in this window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copy settings to a different Daypart

Click to copy your settings to other dayparts. This accesses the Copy Daypart dialog box. See the Copy Daypart Dialog Box notes for full details The Copy Daypart Dialog box is also accessed from the other Balance windows, the Categories and Dayparts Definition windows. When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored.

TIP: A dramatic change to one item in a large list may not have a perceptible impact on overall demand. If you have long turnovers, you can experiment with the effect of significant but focused changes in demand within a goal. The smaller the overall number of items of which you are changing an item, the greater the impact.

Cross Daypart Analysis

Click the Cross Daypart Analysis button in this window to open a Cross Daypart Analysis window, which displays turnover figures for two or more dayparts in combination. For more details, see the Cross-Daypart Analysis topic.

Return to Balance tab view

Once a Cross Daypart Analysis view is accessed, the Return to Balance tab button is activated. Click to return to the default single Daypart mode.

Adjustments button

This button is used in all Goals Balance windows. Click this button to filter out all items where no changes have been made to the shift field, and only display items where an adjustment is in force. Note that as changes in the limit field place a value in the shift field, so these changes are show as well when you click the Adjustments button.

NOTE: Clicking this button will not show changes made in the Minimum Separation or the optional Maximum Per Hour fields.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments dialog box. The Clear Adjustments dialog provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Rotation Rules window

This button allows you to access the Rotation Rules window. In all Balance windows, you can enter settings for any of the Rotation Rules which have been added to a Priority List in the Goals | Priorities Definition window. Rotation Rules defined from this balance window will apply to the Attributes you select, and are set by Category.

Appearances Button

This button allows you to assign an appearance to any Attribute. Select the Attribute, and click the button to apply an appearance from the drop-down menu. See the notes on defining appearances, and the notes on using Appearances with Attributes in the Using Color topic. You can also assign Appearances directly in the Browse.

Dayparts selection pane

Click the drop-down arrow to select a Daypart. See the dayparts assignment window for detail on creating and assigning dayparts.

Topic Overview:Attributes Balance window

Working in this window

TIP: For general notes on balancing in all Goals Balance windows, see the Adjusting Demand notes.

Attribute Demand shift

Selecting a Daypart

Copying settings to another Daypart

Boosting and cutting demand

Reviewing demand for an Attribute

View and adjust demand for a combination of dayparts

Jumping to the Song window from any Balance window

Adjustments windows

Assigning Appearances to Attributes

Song Group Attribute appearances

Minimum Separation

Clear Shift and Ban Adjustments

Attribute demand shift

If Artist Group is a major goal, and has top priority, within that goal some spreads would be less important than others. Consider this example: A major group splits in 2007 after a three year run of success. At the beginning of 2008, two solo acts split from the group, building solo careers. At the end of 2008, one solo Artist is more successful than his original Group. At the end of 2010, the second Artist flops and the first Artist is now very successful. By now, the importance of this Artist Group has declined. In 2008, this Artist group is a major factor. By 2010, this is no longer the case. So its relative importance in the Artist Group Spread Goal has declined. To factor this change in, all you have to do is pull this artist group's demand down by adjusting the balance.

Boosting and Cutting Attribute Demand

Attribute Demand is boosted or cut in the selected Daypart for each Attribute with the Demand Shift buttons , and the relative demand is displayed in the Demand Percentage and Demand Graph columns .

Reviewing Attribute demand

To review demand for an Attribute, select the Attribute Type, and double click or click on the Plus node to view the available Attributes. You can jump to a named Attribute in under any open Attribute Heading by typing the first letter of the Participant name. See the Hot Key search notes in the Working with Browses topic.

NOTE: You can also review all Adjustments for the station in the Adjustments window

Reviewing and adjusting Cross-Daypart demand

To view demand for a combination of dayparts , click the Cross Daypart Analysis button.

Jumping to the Song window from any Balance window

  1. In any Balance window, select Song, an Attribute, a Participant or an Artist.
  2. Press Enter on your Keyboard or double-click to view that Song, or all associated Songs for the Attribute, Participant or Artist in the song window.
  3. If viewing a list of songs by Artist, Attribute or Participant, all Songs can be viewed - see the notes for viewing a list in the Song window topic.

Assigning an Appearance to Attribute fields

You can assign any Appearance to any Attribute. This can allow you to spot certain Attributes more easily in the Browse window or in the Editor.

  1. Design Appearances as required in the Options: Appearances definition window.
  2. Select the Attribute in the Goals Balance Attribute window list.
  3. Right-click to see all Appearances.
  4. Select the desired Appearance to apply to the Attribute.
  5. Repeat as required.
  6. All assigned Attribute-specific Appearances are displayed in Library browses, with the selected foreground and background color, alignment and font.
  7. In the Editor, Attribute-specific Appearances override any globally assigned Appearance set up for the Editor in Attribute fields.

Song Group Attribute appearances

A Song Group is an Attribute. As such it can have an Appearance assigned, as described above. When you assign an Appearance to a Song Group, all Song window fields that are included in the Song Group (see the notes for the Song Group definition window) will display the appearance when you access a Song from the Song Group in the Song window.

The Appearance will be shown in the Library Browse and in Reports in the usual way.

When you view a Song which is in a Song Group to which an Appearance has been assigned in the Song window, all shared Attributes on the Song Group are displayed in the main and additional windows with the assigned appearance. You may wish to simply assign a foreground color to the Appearance, as in the above example.

Clear Shift and Ban Adjustments

Occasionally there is a need to clear the adjustments made in the Balance windows to get back to the baseline.

  1. In the Goals | Balance select the balance window item (Artist, Attribute, Song or Participant) to clear.

  2. Click the [image] Clear Adjustments button to open the Clear Adjustments window.

  3. Select the Daypart or select All to select all dayparts

  4. Select the options to Clear

  5. Click OK

Topic Overview: Attributes Balance window


Balance tab: Song Demand

Song Demand

The Song Demand window lets you shift demand and view predicted rotation times for individual Songs. This window lists all active Songs in the station library in its default view.
Accessing this window
Features in this window
Working in this window

See also the Artist Demand , Attributes Demand , Song Groups demand and Participants Demand Balance topics.

TIP: For detailed information on how Balance windows work, see the Balance Windows topic.

Topic Overview: Song Demand

Accessing this window

Click the Goals tab, then Balance, then Songs. The window will open showing settings for the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. assigned the highest Daypart Priority . To view demand for a combination of Dayparts, click the Cross Daypart Analysis button .

Click any area in the image for help. Note that this window is a basic view. Further optional fields (Maximum Per Hour and Demand Limit) are also available.

Click any area in the image for help. Note that this window is a basic view. Further optional fields (Maximum Per Hour and Demand Limit) are also available.

Topic Overview: Song Demand

Features in this window

TIP: You can jump to any Song Title by typing the first letter of the Title. See the Hot Key search notes in the Working with Browses topic.

Toolbar buttons

Save button
Cancel Changes
Copy settings to a different Daypart
Adjustments button
Cross-Daypart Analysis button
Single Daypart Analysis button
Clear Adjustments
Rotation Rules button

Find (CTRL+F)
Balance Pane fields
Daypart selection
Clock Assignment Grid selection
Optional Fields
Limit field (this field can be optionally suppressed in the Setup section Station - Features window).

Optional fields

These optional Balance window fields are enabled in the Station - Features window:
Maximum Per Hour
Demand Limit

Topic Overview: Song Demand

Toolbar buttons

Save Button

Click to save your changes in this window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copy Song settings to a different Daypart

Click to copy your settings to other dayparts. This accesses the Copy Daypart Dialog Box . When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored.

Topic Overview: Song Demand

Cross Daypart Analysis

Click the Cross Daypart Analysis button in this window to open a Cross Daypart Analysis window, which displays turnover figures for two or more dayparts in combination. For more details, see the Cross-Daypart Analysis topic.

Closing Cross Daypart Analysis windows

Once a Cross Daypart Analysis view is accessed, the Close button is activated. Click this button to return to the default single Daypart mode.

Adjustments button

This button is used in all Goals Balance windows. Click this button to filter out all items where no changes have been made to the shift field, and only display items where an adjustment is in force. Note that as changes in the limit field place a value in the shift field, so these changes are show as well when you click the Adjustments button.

NOTE: Clicking this button will not show changes made in the Minimum Separation or the optional Maximum Per Hour fields.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments dialog box. The Clear Adjustments dialog provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Rotation Rules button

This button allows you to access the Rotation Rules window. In all Balance windows, you can enter settings for any of the Rotation Rules which have been added to a Priority List in the Goals | Priorities Definition window. Rotation Rules defined from this balance window will apply to Songs, and are set by Category.

Dayparts selection pane

Click the drop down arrow to select a Daypart. See the dayparts assignment window for detail on creating and assigning dayparts.

NOTE: When working in Dayparts that have been grouped so that all Daypart settings are shared between Dayparts in the same group, settings made for a Daypart in this window are not shared. So, for example, a Song can be banned or boosted or cut for a Morning Daypart, and this setting will not be duplicated in any other Daypart in the group.

Topic Overview: Song Demand

Clock Assignment Grid selection field

This allows demand to be viewed and adjusted for different Clock Assignment grids, where more than one Clock Adjustment grid exists.

Balance pane fields

For full details, see the notes in the Adjusting Demand topic. The following three fields are exclusive to this balance tab.

Category

This displays the Category. You cannot edit this field. Click the column header to sort by the contents of the column, in ascending or descending order.

Artist

This displays the Artist Name. You cannot edit this field. Click the column header to sort by the contents of the column, in ascending or descending order.

Title

This displays the Song Title. You cannot edit this field. Click the column header to sort by the contents of the column, in ascending or descending order.

Topic Overview: Song Demand

Working in this window

TIP: For general notes on balancing in all Goals Balance windows, see the Balance window notes.

Increasing or reducing demand
Viewing and adjusting Cross-Daypart demand

Playing Audio

Minimum Separation

Increasing or reducing demand

Demand is shifted up or down for the selected Daypart for each Song by clicking the Demand Shift buttons. The relative demand for each Attribute is displayed in the Demand Percentage and Demand Graph columns.

Viewing and adjusting Cross-Daypart demand

To view demand for a combination of dayparts , click the Cross Daypart Analysis button.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Jumping to the Song window from any Balance window

1. In any Balance window, select either a Song, an Attribute, a Participant or an Artist.
2. Press Enter on your Keyboard or double-click to view the selected or associated Songs in the Song window.

Topic Overview: Song Demand


Adjustments by Packets windows

Adjustments by Packet windows

Adjustments by Packet windows are available in the Song/Link window, Goals and Link Goals sections. They display current Packets and the number of items in that Packet. When accessing windows in the Adjustment tab, the default tab is the Daypart window, which displays applied Bans When a Song, Link or Note, or an associated Attribute is banned, the Song Link or Note is prevented from playing that in one or more dayparts. Bans can be Implicit or Explicit. and Shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. in the default Dayparts tab.

This window shows Packet Adjustment information. In the Song/Link window, the Adjustments tab shows the Packet, if any, for the selected Song/Link. In the Goals section, the Adjustments tab shows all Packets with 2 or more songs/links.

Accessing the Adjustments by Packet windows

Viewing the contents of a Packet

See also the notes for the Adjustments by Daypart windows

Accessing

From the Song/Link window for any Song/Link, click the Adjustments tab, and then the Packets tab. If the Song/Link is in a Packet, the Adjustment Packets tab will display the Packet for the Song/Link. If there is no Packet for this Song/Link, the window is blank. Double-clicking the packet in this window will take the user to a Browse list of all the songs/links included in the packet.

From the Goals/Link Goals section click the Balance tab, then the Adjustments tab, and finally the Packets tab to access a window similar to this illustration. This window will display all Packets with 2 or more songs/links for the station. Double-clicking the packet in this window will take the user to a Browse list of all the song included in the packet.

The default tab in this window for both Songs and Goals views is the Dayparts tab. This view is taken from the Goals Balance section. In this window, all Packets are listed, together with the song count for each Packet. This is a useful place to review all Packets in the Station. The list can be sorted by Packet name or by Song Count.

Note: Packets with only one song/link are not shown in the Goals/Link Goals | Balance | Adjustments tab.

Viewing the contents of any Packet

From the Adjustments Packet window, select a Packet. Then double-click to access the Song window for the first Song in the Packet, just as if you had browsed the Packet from the Browse window. You can also edit Packets for one or more songs, or modify the Packet contents using the Multi-Song Changer.

Topic Overview: Adjustments by Packet windows


Adjustments by Hour Restriction

The Goals Adjustments Hour Restriction window allows the user to see all songs that have an Hour Restriction applied for any hour on any day. Only Hours in Days where Hour Restrictions are in force are displayed for searching. See also the notes for the Adjustments by Daypart and Adjustments by Packets window.

Accessing this window

Click Goals, then Balance, then Adjustments and finally select the Hour Restrictions tab

Click any area for help

The window displays a tree control which allows you to select any Day and Hour to see Songs with Hour Restrictions.

Days of week

All Days of the week where Hour Restrictions have been applied are listed. Click the Day tree control to see the Hours in that day with Hour Restrictions.

Hours of Day

All Hours in the Day where Hour Restrictions have been applied are listed. Click the Hour Tree Control to see the restricted items for that Hour and Day.

Items with Hour Restrictions

All Songs restricted for the selected Hour of the Day in the week are listed. Songs can ana are displayed in multiple hours, where an Hour Restriction across several hours and days is in force.

Topic Overview: Adjustments by Hour Restriction


Summary window for Artists, Participants or Attributes

Summary count window for Artists, Participants or Attributes

This window presents a summary of the distribution of any Artist, Participant, or Attribute in any station. It cannot be edited, and is for information only.

How do I access this window?

From any Goals Balance window for Artists, Participants or Attributes, select the Totals column for the selected Artist, Participant or Attribute.

Then click the More Information button in the Totals column to open a window similar to the illustration above. Close the Count Summary to get back to the Goals Balance window.


Categories

The Categories window is used to create and modify Categories and Category Groups. It is also used to adjust relative demand between Songs in Categories and Categories in Groups. This window displays Category and Category Group rotation, for any selected Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. (see Selecting a Daypart). Once the setting have been made for one Daypart, those settings can optionally be copied to other Dayparts. The window offers three display options: it can display Category Groups, or Groups and Categories, or Groups, Categories, and Songs. Fields in the browse can also be sized and appearances assigned; see the Working with GSelector Browses notes for full details.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Goals tab, then Categories, to access a window similar to the illustration below.

Click any area in the Categories image for help

Click any area in the Categories image above for help

Topic Overview: Categories window

Features in the Categories window

Daypart

Clock Assignment Grid

Toolbar

Category Groups

Default Category

Categories window content display options

View options in Child stations

Categories Browse pane

Assign Appearance Button

Projected Turnover

Selecting a Daypart

The Daypart Selection box accesses the different Dayparts, in which different balance settings can be made. The window opens with the default Daypart, defined in the Dayparts Definition window. Click the drop-down arrow in the Daypart selection box to select another Daypart.

TIP: The demand figures shown in this window show demand for one selected Daypart at a time. To view demand by one or more Dayparts combined, or all Dayparts together, use the Cross-Daypart Analysis window, accessed from this window.

Clock Assignment Grid field

Where multiple Clock Assignment grids are used, this drop-down allows the user to select any grid and adjust settings for that grid.

Categories window Toolbar functions

Click any toolbar icon for help

From the Toolbar, you can Add a Category, Add a Category Group , access the Category Group Settings window to apply a range of settings, Edit a Category or Group, Delete a Category or Delete a Group, Save or Cancel Changes, select View options, Copy Settings to another Daypart, access Category Analysis windows, assign Appearances to a category Group or Category and view the Projected Turnover for a Category.

Category Groups

Categories are created and organized into Groups in this window (see the working section). A Group of Categories generally contains Songs that are similar in nature or function. Many stations organize their Gold Categories into one or more groups, according to age or their relevance to the audience. Category Groups are used in scheduling, in that they are ranked in order of scheduling importance in the Category Group Settings window . A group does not have to contain multiple Categories.

TIP: The sequence in which Category Groups are displayed in this and other windows is set in the Category Group Settings window.

About Category Short or Long names

When creating or editing a Category, GSelector asks you for a Short and a Long Category Name. The Long Name field can be used to describe the Category and its contents. The Short Name is a one or two digit Alphanumeric ID, used to save space in browses, and also when copying a schedule to another station.

Default Category

The Default Category, Z-Hold on initial installation, is marked in the Category and Link Goals windows with the words [Default Category] as part of the Long Category name. It can be assigned or reassigned when creating or editing a Category. The Default Category is optionally assigned Songs or Links copied from one station to another in the Copy Schedule window, and to Songs during the reconciliation process, where reconciled Songs in the Target or Reconciliation Station are inactive. In the Edit Category and Create New Category windows, the Default Category status is assigned to a Category by selecting the Default Category box. If a Default Category is already assigned, checking the box when creating or editing a Default Category will reassign Default status to that Category. When working in the Multi-Song Changer, if an inactive Song is activated, it is assigned the Default Category when no Category has been assigned.

Categories Window view buttons

These three toolbar buttons Categories Goals, Cross Daypart Analysis and Clock Request are used to access three different Categories Window views. The first button returns the user to the default Categories Goals view and is only available when viewing the Cross Daypart Analysis and Clock Request windows. The second is used to obtain figures for any combination of Dayparts in the Cross-Daypart Analysis view. The third button opens the Clock Requests view, and by clicking the associated drop-down button at right, lets the user select any Category Group to view in the Analysis Pane.

Categories window content display options

These three buttons in the Categories window allow the user to view Category Group content in detail. The tree control in the Categories window is expanded by clicking these buttons.

Alternately click the [image] icon to left of a selected Category Group or a selected Category to expand that section and the - icon to close it again. Click the left button to view just the Category Groups.

Click the middle button to expand the Groups to show the Category Groups and the Categories in these Groups. Note that the Song count and active/inactive Category fields are now accessible.

Click the right-most button to expand the Categories to show the Songs.

Categories window content in Child Stations

When working with Format Parents, where elements of Parent stations are copied to or inherited by Child stations, Categories that are set as inherited from the Parent station are marked with a check in the left-most column on the Child station.

This means that these Songs cannot be modified, although they can be browsed and scheduled in the usual way. See the notes on working with individual Category settings for more information.

Categories Browse Pane fields

TIP: Most of the fields in the Categories window can be sorted in ascending or descending order by clicking on the relevant field header. See the notes on Working with Browses for more information.

Name

The Name field displays the name for Category Group, and also Category Names, and Song Title and Artist details when these are displayed using the view options. Click the column header to sort by the contents of the column, in ascending or descending order. The Category Group order in the Categories window is set in the Categories Importance window .

Song Count and Total Count

These two fields display active An Active item - a Song, Link or Note - is available to schedule in the current station. Song and total station Song counts for each Category, for each Daypart. These fields cannot be edited. The totals for active Songs and station Songs are shown at the bottom of the browse pane. There is also a field displaying active totals for the selected Daypart at top right of the browse.

Play status

This column shows each Category and Song's Play status - that is, if it can be played in the selected daypart. Click this field to Activate or Ban When a Song, Link or Note, or an associated Attribute is banned, the Song Link or Note is prevented from playing that in one or more dayparts. Bans can be Implicit or Explicit. the Category or Song.

Active: Categories and Songs that can play in the Daypart are shown with an Active symbol. By default all Categories and Songs, when created, are Active for all Dayparts.

Explicitly Banned: A Category or Song that is directly Banned for the Daypart is shown with a Banned symbol. Banned Songs cannot be scheduled. If Clocks call for Songs from that Category Group, you will get unscheduled positions.

NOTE: When you slot or kick a Category Group in the Category Group Settings window, you disable bans made on Songs or Categories in this Category Group. A slotted Category Group ignores all balance settings and schedules in strict sequence.

Implicitly Banned: There is a third Play status for Categories or Songs that cannot play by being indirectly prevented from playing. These are shown with an Implicitly Banned symbol. When an item is Implicitly Banned, this is due to one of three reasons:

In Clocks, there are no requests for the Category Group in Clocks in this daypart. To fix this, add requests to the Clock.

Attributes conflicts: A specific Attribute assigned to a Song might be banned. To fix this, adjust the Attribute Goal or the Attribute assignment in the Song.

In the Categories window, the Play field could be set to banned, or the Share could be 0 if there’s more than one category in the category group. To fix this, activate the Category Group or assign a Share of more than 0.

Share/Shift column (also used for Demand Type)

This field displays, for Categories, the share of plays allocated to this Category within the Category Group. Values in this field can be directly edited. If you have 3 clock requests for Category Group "Currents" and Categories A, B, and C are in the Currents Group, then setting the share values for each Category to a 1/1/1 (A/B/C) share would yield 1 A, 1 B, and 1 C on average per hour. A share setting of 4/1/1 (A/B/C), would on average deliver 2 As each hour with B and C alternating in the other position every hour.

NOTE: Setting a share value of zero (no share) for all Categories in a Category group will prevent Songs in those Categories from scheduling. If Clocks call for Songs from that Category Group, you will get unscheduled positions. If the Category Spread Goal is implemented in the Priorities window, this Goal is disabled if there is only one Category allocated a share (that is, the other Categories in the group have a zero share value) in any Daypart.

The Share/Shift field displays, when the window is expanded, showing Songs, any shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. that have been applied to individual Songs for this Daypart.

Slotted status, Shifts and Bans

When a Category Group is slotted or kicked in the Category Group Settings, any shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts. or bans When a Song, Link or Note, or an associated Attribute is banned, the Song Link or Note is prevented from playing that in one or more dayparts. Bans can be Implicit or Explicit. made on Attributes, Participants, Songs or Categories are disabled for the selected Category Group. Categories in a Slotted Category Group ignores all balance settings and schedules in strict sequence. This sequence can be edited and viewed in the Kick Override Order window.

Share/Shift Settings

The Categories window Share/Shift field setting is used with Category Groups with more than one Category. There are two choices: Song Turnover and Category Exposure. These govern the share of spins for Songs within the Group. The setting can be made for each Category Group in the Share/Shift column, or when creating or editing a category Group.

Song Turnover

When Share/Shift is set to Song Turnover, Songs are rotated within the context of the entire Song Category Group. In the above Share/Shift example, Songs in Categories G1 and H1 will get roughly equal play; while Songs in E1 will get about three times, and Songs in F1 about twice the plays of Songs in G1 and H1. The advantage of this option is that as you change the number of Songs or links, the system automatically adjusts to give the Song turnover you ask for.

Category Exposure

When Share/Shift is set to Category Exposure, Songs are rotated within the context of Categories, and the Categories are then rotated within the context of the Category Group. In the above Share/Shift example, when the 'Secondary' Category Group is scheduled, Category I1 Songs will be used three times for every two Category J1 Songs, and once for Categories K1, L1 and M1.

Shift Category Demand in Group (+/-)

The shift demand buttons are displayed when you open a Category Group. Click the up or down shift button for any Category to shift Category demand within its Group.

NOTE: You cannot give a Category a Negative share. The least share you can give a Category within its Group is a zero share, which will mean it will not schedule in that Daypart. All Songs are effectively banned for that Daypart.

Turnover field

This field in the Goals Category Browse displays two values in both the Categories the individual Song views. The values in this field cannot be directly edited, but they are affected by shifts in demand. In Categories, the first figure is the average turnover for all Songs in the Category for the selected Daypart; the second figure is the average number of Dayparts that Songs will be scheduled in before repeating in the selected Daypart. For individual Songs, these figures represent the actual turnover and actual number of Dayparts the Song will be scheduled in before repeating in this Daypart.

Demand percentage

This field displays Percentage Demand for all the Category Groups, Categories and Songs, depending on the view option selected. The values in this field cannot be edited, but are directly affected by shifts in demand. Click the column header to sort by the contents of the column, in ascending or descending order.

Frequency field

This field displays an approximate figure for the frequency of this Category Group, Category or Song , depending on the view option selected. The values in this field cannot be edited, but are directly affected by shifts in demand. Click the column header to sort by the contents of the column, in ascending or descending order.

Spins per week

This field displays the number of spins per Category Group, Category, or Song , depending on the view option selected, per week. The values in this field cannot be edited, but are directly affected by shifts in demand. Click the column header to sort by the contents of the column, in ascending or descending order.

Allow Attribute Shift

Toggling this setting to Banned for any Category means GSelector will ignore non-Song attribute shifts and adjustments; however, Song Daypart boosts, cuts or bans are still respected. When this happens, the Balance for the Category returns to its 'natural' state. In most situations, this setting is left at the default On setting, shown by the check mark. However, in exceptional cases (for example: very small rapid turnover Categories where the content is refreshed frequently, where the content and rotation overrides any other scheduling consideration), this tool can be used.

Relative Demand Graph

This bar reflects overall Demand for all items in a Bar Graph display. This field reflects changes made using the Demand shift buttons. Click the column header to sort by the contents of the column, in ascending or descending order.

Topic Overview: Categories window

Working in this window

Defining Categories And Category Groups

Add/Create Category Groups

Add/Create Categories

Assigning Categories to Groups

A ssign a Default Category

Category Group Settings

Ordering

Implementing Kick

Search Depth

Research Cutoff

Stacking

Edit a Category, including changing the Category Name and Short Name and Category Group

Delete Category Groups

Delete Categories

Playing Audio

Jumping to the Song window

Cancel or Save changes

Copy Settings to other Dayparts

Set the Relative Demand between Categories in a Category Group for the selected Daypart.

Assign Appearances to Categories or Category Groups

Change Category or Song Play Status

View and edit settings for any Daypart

View the contents of any Category Group or Category

View settings for any combination of multiple Dayparts

Selecting a Daypart or a Clock Assignment Grid

Allow or Disable Adjustments to Attribute Goals in any Category

Review Category Turnover figures according to your settings, and

See also the notes on Slotted Category status.

Defining Categories and Category Groups

You may already have a clear idea about the Categories you want to define in this window. But if you're new to music scheduling, you might be wondering just what to do. The answer is that there is no one way to do this. But a good way to start is to sort your music into different areas, either by history or type. Or you could use a combination of both. Let's say you're working on a small station library that plays contemporary music and has a large oldie catalog, going back 25 years. You might choose to set up your Categories like this:

A - Power currents

B - Secondary currents

R - Major recurrents

T - Minor recurrents

G - Major 00s hits

H - Minor 00s hits

I - Major 90s hits

J - Minor 90s hits

K - Major 80s hits

L - Minor 80s hits

Once you have an idea of your Categories, you're ready to define Category Groups. These are the building blocks for your Clocks. The above list can be split into several groups, in different ways. Here's one way:

Currents

A - Power currents

B - Secondary currents

Recurrents

R - Major recurrents

T - Minor recurrents

Gold

G - Major 00s hits

H - Minor 00s hits

I - Major 90s hits

J - Minor 90s hits

K - Major 80s hits

L - Minor 80s hits

Category Groups are more than just a way to organize your thinking about your Categories. Category Groups are a powerful tool to ensure balance and proportion in clocks. Working in the Clocks Definition window, you specify the number of plays for each Category Group in the Clocks you build. The balance that you have already set between Categories, working in the Categories window, is carried through to your scheduling by the Category Group structure in each clock.

Add/Create a Category Group

In the Goals Categories window, click the Category Group [image] Toolbar button in the Goals Categories window to open the Category Group window.

Enter the name of the new Category Group, and select a Demand Type for the Category Group. Then click OK. Song Category Groups cannot have the same name as Link Category groups, a duplicate message will be displayed when clicking OK if the name is already used.

Create a Category

  1. In the Goals Categories window, click the Create [image] button in the Categories window toolbar to open the Create New Category window.

  2. Select an existing Group from the left drop-down field.
  3. Enter a new Category Name in the Name field, with a two-letter abbreviation on the Short Name box. Categories have both a Short and Long Name. The Short name is used in sorting Categories in displays and lists; you can use up to three digits. The Long name is used to describe the general content of a Category. In this example, the Overnight Recurrent category, with the Short Name D2 has been created. The selected group is group D . Category Names and Short Names must be unique for the station. Song Categories cannot have the same name as Link Categories, a duplicate message will be displayed when clicking OK if the name is already used.
  4. Optionally check the Default Category box to make this the default Category . Click OK to confirm and add the Category to the Group.

Assigning Categories to Category Groups

  1. Select a Category
  2. Click the Edit Category [image] button.
  3. In the Edit Category window, select a Group to assign to the Category.
  4. The Category is assigned to the new Group; continue as needed.
  5. Finally, click the Save button in the Toolbar.

Category Group Settings

In the Goals Categories window, click the Category Group Settings [image] button to open the Category Group Settings window, to set the order for Category Groups and other elements, ranking them by importance in scheduling. This also sets the sequence in which Category Groups are displayed in this and other GSelector windows. You can also set search depths, select a stack scheduling method, apply slotted and kick status and specify a research cutoff period for each Category Group.

Edit Category or Category Group

  1. In the Goals Categories window, select a Category or Category Group.
  2. Click the Edit [image] button to access the Edit Category window below or the Edit Category Group window.
  3. To allocate a Category to another Group, select the from the drop down field.
  4. Choose a Group.
  5. Then click OK.

You cannot create a Category Group in this dialog box; you have to create a new Group first , with the Create Category Group dialog box , and then move the Category to this Group. You can also edit the Short Name or full Name of the Category. All changes take effect immediately. To assign this Category as the default Category , check the Default Category box.

Delete a Category Group

In the Goals Categories window, first delete the Category (if empty) or move all Categories from the Category Group, using the Edit Category tool . Then select the Group and click the toolbar Delete [image] button to delete the empty Group. You cannot delete a Category Group that contains Categories.

Delete a Category

A Category cannot be deleted if it still contains Songs, or if its Group is assigned in a clock. Before deleting a Category, you must move all the Songs from that Category, and ensure that the Category Group is not assigned in clocks.

  1. In the Library Browse window , sort Songs in this category with the browse window header .
  2. Open all Song windows in turn, reassigning Songs to different categories in the Station coding pane.
  3. Or use the Multi-Song Changer to bulk change the Category for the selected Songs.
  4. Then, back in the Goals Categories window, select the Category and then click the Clock Requests button to see which hours have requests for that Category.
  5. Work in those hours to remove assignments for that Category.
  6. When the Category has no Songs and is not assigned in Clocks, it can be deleted.
  7. Select the empty Category and click the toolbar Delete [image] button.

TIP: To reorganize Categories, work in the Edit Category pane. This allows you to move empty or redundant Categories to a different Category Group.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Jumping to the Song window from the Categories window

You can jump to the Song window from any Song listed in the Goals Categories window by selecting the Category Song view, and then double-clicking or entering on the Song. In the Song window, change the Category assignment, and then click the back navigation button at top right of the screen to get back to the Goals Categories window.

Save Changes

If you make any changes working in this window, the Save [image] button is activated. Click to confirm your changes. if you leave the window without saving your changes, you are prompted to confirm or discard your changes.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Copy Settings to other Dayparts

In the Goals Categories toolbar, click this button to access the Copy Daypart Dialog Box . This allows you to copy any Goal setting including the settings made in this window, to another Daypart. When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored. The Copy Daypart Dialog box is also accessed from the Goals Balance windows and Dayparts Definition windows.

Selecting a Daypart or Clock Assignment Grid

The Daypart selection and Clock Assignment Grid selection fields allow selection of any Daypart and Clock Assignment grid. Click on either field's drop-down arrow and the display automatically updates to show and allow editing of, the current settings for the selected Daypart.

TIP: Shifts in any Daypart are applied across all Clock Grids. The window will display demand for the Clocks in the selected grid, but any shift applied is carried over globally.

Setting relative demand between Categories in a Category group

  1. Select the Daypart in which to adjust demand.
  2. Click the Show Categories button in the View section of the toolbar or scroll to the Category Group heading and click to expand the Categories list in the group.
  3. Select a Category.
  4. Adjust demand by clicking the demand shift buttons.
  5. Continue as required for other Categories in the group.
  6. Continue as required for other Dayparts.
  7. Finally, save the changes.

Define Appearance toolbar button

This toolbar button allows you to select any Category or Category Group and assign a predefined Appearance. Select the item, and click the button to open a drop-down menu to select from existing Appearances. See the notes on Appearances definition and Using Color.

Applying Attribute Appearances to Category or Category Groups

To assign Appearances to any Category or Category group working in the browse.

  1. Select the Category or Category Group.
  2. Right-click to see all Appearances.
  3. Select the desired Appearance to apply to the Category or Category Group
  4. Repeat as required.
  5. All assigned Appearances are displayed in Library browses with the selected foreground and background color, alignment and font.
  6. In the Editor, Attribute Appearances override any globally assigned Appearance set up for the Editor.

NOTE: When you assign field-specific Appearances to Song Category Groups, the Appearance is displayed in the Clock Browse Description field , and in the Clock Mockup pane for each Song Position.

Topic Overview: Categories window


Category Group Settings

The Category Group Settings window displays a Pass Order tab and a Kick Override tab. The Pass Over tab displays Song/Link Category Groups A group of categories, generally containing songs or links that are similar in nature or function, depending on scheduling requirements; Category Groups are used in scheduling., Themes, <Twofers> (which includes Artist Blocks), Related Links and Browse Lists in a sequence or Pass Order in which Category Groups and the other elements will be scheduled. A range of advanced scheduling options can also be specified. The Kick Override tab is used to adjust rotation patterns in small, fast turnover, Category Groups. GSelector adjusts Category sequences by moving, or 'Kicking', an appropriate number of Songs to the bottom of their Categories at the end of the previously scheduled hour.

Accessing this window

Features in this window

Working in this window

Accessing this window

In the Goals Categories window or the Link Goals Categories window, click the toolbar Category Group Settings [image] button. The Category Group Settings window will open and automatically select the Category Group that is highlighted in the Goals | Categories window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Category Group Settings window

Features in this window

Element Type Icon

Pass Order

Adjust Pass Order buttons

Pass Order for Multi-Date Scheduling Range

Group name

Scheduling options

Spread Goals settings

Scheduler

Stacking options

Search Depth

Research Cutoff

Kick button

Hide Song/Link Pass Orders

Element Type Icon

The Element Type Icon helps the user to visually see which category group is a Link [image] and which is a Song [image]. Use the Hide Song/Link Pass Order check box to change the view of these groups,

Pass Order

This field displays the Pass Order number for each Category Group, Themes, <Twofers> and Browse Lists if used. The sequence defined sets the display order of Category Groups in GSelector windows. Also, GSelector schedules these items sequentially according to the Pass Order. Many programmers rank these items in order of importance, with smaller, faster-rotating items higher on the list, and larger items lower on the list.

To edit the Pass Order:

  1. Type a number directly into the field.
  2. Or, click on a Category Group or other group item, and click the Adjust Pass Order buttons to tie the item with another above or below it, or to move it up or down the list.
  3. Then Click OK to close the Category Group Settings window and click the Save button in the Categories window toolbar.
  4. If the Category Group sequence does not update, click the View menu option and select Refresh.

TIP: Songs/Links in Categories at the top of the Pass Order can be slotted or kicked. Songs/Links in Category Groups at the bottom of the Pass Order can be used for Timing. In the Clock Definition window, droppable status can be assigned to any item in a Clock, but items, when dropped, are dropped in reverse Pass Order sequence - that is, the least important Category Group is the first to be dropped, and so on.

Adjust Pass Order buttons

Click these buttons to move the selected Group up or down in the Pass Order sequence, or to tie it with an existing item's Pass Order number. Optionally, use the Alt+Up and Alt+Down on the keyboard to re-order the selected Category Group.

Pass Order for Multi-Date Scheduling Range

GSelector schedules each pass for the selected date range before it moves on to the second pass. For example, let’s take the case of scheduling six pass orders across seven days. GSelector will schedule pass 1 on all days in the range, then pass 2 on all days in the range, then pass 3 on all days in the range and so on. This provides the best scheduling because songs in less important categories on earlier days in the schedule range will not prevent songs in more important categories from scheduling on later days.

Group Name

Category Group Names, Themes, <Twofers>, Related Links (<Fly-In Links>, <Leading/Trailing Links>) and <Browse List> are listed here. These fields cannot be edited.

Category Group Scheduling Options

Spread Goals

Scheduler options

Stacking options

Search Depth

Research Cutoff

Spread Goals setting field

The Spread Goals setting field is used to enhance GSelector's spread capabilities with fast turnover Categories. For example, if an artist has two Songs, one each in two fast turnover Categories, with Artist Spread active, the presence of the Song Artist scheduled in the earlier pass will tend to prevent the second Song by this Artist from scheduling. This principle can also apply to Attribute Spread Goals where plays in a later Category Group pass are starved out due to the density of plays of Songs with that attribute in the earlier Category Group pass. This is called an Attribute Deficit, where the Actual Turnover is less than the Planned Turnover as a result of items scheduled in the earlier pass.

NOTE: This option is disabled when a Category Group is Slotted.

Where required, there are a range of settings you can apply to any Category Group, which can adjust spreads in fast turnover Categories :

The Default setting, as its name suggests, will apply Spread tests with no adjustment - this is the 'regular' GSelector separation. Note that this is always applied to Theme, <Twofer> and Browse List passes.
The All Songs/Links setting will adjust Spread tests where necessary to allow a balance of the desired Attributes across All Songs/Links by identifying if the Actual turnover is less than the Planned turnover for any attribute.
The Group Songs/Links setting will perform spread tests of the desired Attributes across Songs/Links in the current Category Group only.
The Disable setting will turn all Spread tests off for the Songs/Links in the Category Group.
The Pass Order Weighted option provides special scheduling consideration for songs/links in one category by a vocalist that also performs on songs/links scheduled in another category that was scheduled on a previous pass order.

Example: Song 1 by the vocalist was scheduled once every other hour throughout the day in a category on a previous pass. Now, Song 2 by the same vocalist is in a category being scheduled on a later pass. Regardless of the vocalist demand, the best vocalist spread that can possibly be achieved in this case is one hour.

Previously the vocalist spread goal was not aware that the vocalist was equally spread in the previous pass. This typically led to “vocalist starvation” in subsequent passes because the vocalist demand was unrealistic given the presence of the evenly spaced songs by that vocalist that were scheduled on the previous pass. The net effect was preventing plays of songs by that vocalist in the later pass. The Pass Order Weighted option automatically adjusts the demand for vocalists scheduled in a previous pass. It takes into account vocalists and pass order and allows the vocalist spread goal to better evaluate how to work such songs into the schedule.

NOTE: When using the Disable setting, implement minimum separation for the Vocalist attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. can be implemented to keep Songs/Links by the same Vocalist apart.

TIP: Many users with High Rotation Categories who select the Disable option then opt to implement Minimum Separation for these Categories. See the Tools for High Rotation Categories notes in the GSelector Scheduling topic.

Scheduler

GSelector offers two Scheduler option Scheduled and Slotted. The Stacking options are dependent on the Scheduler option selected. When Scheduled is selected the Stacking options are Daypart, Hour and Kick. When Slotted is Selected the Stacking options are Default, Alternate Category, Constant Order and Daypart.

NOTE: If Slotted is selected as the Scheduler the Spread Goals are disabled.

Stacking

The Stacking options are dependent on the Scheduler option selected. When the Scheduler option selected is Scheduled the Stacking options available are Daypart, Hour and Kick. When the Scheduler option selected is Slotted the Stacking options are Default, Alternate Category, Constant Order and Daypart.

NOTE: If Slotted is selected as the Scheduler the Spread Goals are disabled. Do not use Stacking when Timing, Themes, <Twofers> and Browse Lists are implemented.

Scheduled

Daypart stacking

Hour stacking

Kicked

Slotted

Slotted - Default

Alternate Category

Constant Order

Slotted by Daypart

Kicked Or Slotted?

Scheduled Daypart stacking (Category Groups)

Scheduled with Daypart stacking is the default setting. When the Scheduler option is set to Scheduled and the Stacking option is set to Daypart the GSelector scheduler will consider Songs for a schedule position in the current Daypart's next due The Next Due value in GSelector is used in scheduling. For any position, It is based on both how long it has been since the song was last played, and the demand for each song. The best testing song is the Next Due song. order.

Scheduled Hour stacking (Category Groups)

When the Scheduler column is set to Scheduled and the Stacking is Hour, the GSelector scheduler will consider Songs/Links for a schedule position in the current Hour's next due The Next Due value in GSelector is used in scheduling. For any position, It is based on both how long it has been since the song was last played, and the demand for each song. The best testing song is the Next Due song. order. This gives more emphasis on overall hour rotation.

Scheduled Kicked stacking (Category Groups)

Kick is mainly used with small fast turnover Categories. When Scheduled is selected with Kick as the Stacking option, disable all but the default setting in the Spread Goals field. Once this option is selected for any Category Group, click the Kick button to access the Kick Override window and enter the Kick settings. With Kicked Stacking, you can only access the Kick Override window in Manual mode and Songs in a Kicked Category stay subject to existing Goals, Adjustments and Constraints.

See the notes on Kicked or Slotted? and Implementing Kicked stacking.

TIP: When Slotted or Kicked stacking is selected, apply Kick scheduling to the Songs/Links in that Category Group. Kick is designed for fast turnover Categories, and works best with even Category Group demand in Clocks. The smaller a Category, the greater the chance its Songs/Links will run into rotation conflicts. Kick sidesteps this, by allowing the user to specify that a number of songs/links are Kicked to the bottom of their Category.

See the Kicked or Slotted notes in the Kick Override tab for more information.
See also the Tools for High Rotation Categories notes in the GSelector Scheduling topic.

Slotted Default stacking (Category Groups)

Setting the scheduler to Slotted with Default stacking allows songs/links in a Category of a Slotted Category Group to be scheduled in precise order. Each song/link is accorded its own 'slots' and is scheduled according to its place in a sequence, which can be edited in the Kick Override Order window. When this option is selected, the Search Depth field is disabled because songs/links are never passed over. Every song/link plays according to its order in the sequence. No scores are allotted during scheduling - a slotted song/link simply gets a score of 100.

IMPORTANT: All scheduling constraints are ignored for songs/links that are Slotted. If the song/link is assigned to a category within a slotted category group, it will be scheduled. Run Dates, Segue Bans, Song/Link Bans, Rotation Rules, Clock Constraints and any other mechanism that would typically cause a song/link to be skipped over during scheduling are ignored. Shifts have no effect as well.

For Slotting to operate on Songs in a specific Category Group, no Alternate Categories can be assigned to Songs in the Category Group, nor can Songs from other Category Groups be assigned an Alternative Category from the specific Category Group.

See the notes on Kicked or Slotted? and Implementing Slotted stacking.

Slotted Alternate Category stacking

The Slotted Alternate Category Stacking option is used to apply stacking to songs/links in Alternate Categories. This option can be used in two ways:

  1. Put the alternate category songs in a mutually-exclusive packet. This packet maintains its position in both categories. The pattern is predictable so kick can be used to get an ideal history map. However, there is no protection in the transition from the normal to the alternate category and vice versa. For Example: Packet the daytime A / nighttime B with the daytime B / nighttime A song. A song could play at the end of the last "day" hour in one category then again in the first "night" hour in the other category.

  2. Do not put the alternate category songs in a mutually-exclusive packet. In this case, songs with an alternate category go to the bottom of both of their category stacks when played in either category. This gives you a good transition from A to B then again from B to A. The song will not play until the category it is entering has turned over once. However, when using this approach the category counts change and the pattern (history map) is not predictable.

NOTE: With both options, you should schedule the alternate categories (A & B in our example) on the same pass.

Slotted Constant Order stacking

Constant Order is designed to deal with artist/vocalist conflicts between slotted current categories.

For example: When you need to keep a Taylor Swift song in category B away from a Taylor Swift song in category A.

There are 2 characteristics of Constant Order:

  1. A record can be played one position early, in its normal position, or one position late in the rotation. The record will be played in its normal position in the rotation unless there’s an artist/vocalist conflict. The Priorities list needs to be defined with a single unbreakable rule for either Artist Minimum Separation or Vocalist Minimum Separation and assign that Priorities list to category B in our example. Set it to a reasonably small separation (like 20 minutes). If set too high, there may be no position where the category B Taylor Swift song can play near the category A Taylor Swift song. Schedule the A category in the pass order before category B.
  2. When the record is played, it returns to where it belongs in the saved category order, not necessarily to the bottom of the stack. This way, there is no “starvation” of spins on the B category song. The Taylor Swift song in category B will have the same number of spins as the category B songs that have no artist/vocalist conflict. This will achieve perfectly predictable rotations except for the wobble in category B where songs are swapped to work out the artist/vocalist conflicts.

NOTE: We recommend manually spreading out songs that have artist/vocalist conflicts in each Constant Order category. For example: If you have Taylor Swift and Ed Sheeran in both categories A & B, then you want to spread out the Taylor Swift and Ed Sheeran songs in both categories A and B.

Slotted by Daypart stacking (Category Groups)

This option is used to apply Stacking in the usual way to regular stacked Categories, and also apply Stacking to Songs/Links in Alternate Categories in the appropriate Dayparts. It also prevents clashes in the hours around the Alternate Category Daypart and the 'regular' Dayparts.

For Slotted by Daypart to operate on Songs/Links in a specific Category Group, at least one Song/Link must have at least one Alternate Category assigned, or at least one song/link in a different Category Group must have an Alternate Category assignment from the specific Category Group.

Kicked or Slotted stacking - which status to use?

The Kicked and Slotted stacking orders can be applied to Song/Link Category Groups. Both give access to the Kick Override tab.

Slotted status places all Songs/Links in the Categories of the selected Group in a strict order, which can be defined in the Kick Override Order window. In scheduling, the Songs/Links are placed in the log in that exact order: all existing Goals, Adjustments, and Constraints are disregarded. The Kick Override window can be configured to use GSelector's automatic kick settings, or the user can choose to design Kick settings manually. The Automatic setting adjusts the Category sequence by kicking the appropriate number of songs/links to the bottom of all Categories in the selected Category Group, when scheduling in the least important Daypart. With Slotted Stacking, the user can access the full range of Kick modes - Manual and Automatic.

Kicked status allows Songs/Links to be kicked manually only, as specified in the Kick Override window, but Songs/Links are not Slotted, and they remain subject to all existing Goals, Adjustments and Constraints.

Search Depth

The search and depth fields are used to specify how far down the Song stack Songs are considered for scheduling, where no adjustments are applied, in next-due order. This order is modified by a range of factors, including adjustments and hour restrictions, and is displayed in the Consideration window. The order of available Songs for any point in the schedule is referred to as the Song Stack. or Link stack to allow GSelector to search. By default, when this window is first open, all Search Depth values are set to 100%, allowing GSelector to consider all Songs in the Categories for that Category Group. This value can be reduced or changed to a specific Count instead of Percentage. If, for example, 20 songs/links are available in the Stack for a specific position, and a search depth of 30% is specified for this Category Group, then GSelector will consider only the top 6 songs/links. Search Depth is disabled when using Slotted stacking, and when using the Timing feature.

Tip: You can apply a setting in the Setup section Features window to allow or disallow Songs/Links with Hour Restrictions and Daypart Bans from being counted as part of the Search Depth.

Search Depth Appearance

An appearance can be assigned to Songs/Links that exceed the search depth. Design an Appearance in the usual way in the Appearances Definition window, and then assign this appearance to the 'SearchDepthExceeded' entry type in the Appearances assignment window. If the Consideration window is sorted by any column other than Rank, the Search Depth Appearance if configured is removed.

NOTE: While Search Depth values are expressed as percentages, by default, GSelector automatically adjusts the Search Depth setting to the percentage equivalent of a single song for the Category Group. Setting a value of 1% in a 6-song Category Group will be treated as 16%, so you always call for a search depth of at least 1 song/link. The value automatically adjusts internally, no matter how many songs/links you have in the Group - unless you have more than 100 songs/links in the Group. This effectively allows you to use a Slotted approach while using Kicked stacking, and still respecting Goals, Adjustments and Clock Constraints. Optionally the Depth can be switched to Count to allow the Search Depth to be set to a specified number of songs.

Research Cutoff

The Research Cutoff field in the Category Group Settings window sets set the length of time during which a Research score is treated as valid. This can vary to match the length of time a Song is in rotation in each Category Group. The minimum value you can set is 30 days, and the maximum value is 999 days. If a Research score date falls before the date range set by the cutoff value, it will not be considered when applying Research Attributes. The most recent valid Research Score date for a Song is applied. So a Song that is tested on a weekly basis will always be up to date, but a Song that is moving, for example, from a Recurrent Category to a slower Gold Category could retain a Research Attribute for longer, depending on the Research Cutoff Period specified.

See the Setting Research Cutoff periods notes in this topic, and Using Research scores as Scheduling Attributes for more information.

Kick button

The Kick button in the Category Group Settings window is activated when one or more Category Groups are specified as Slotted or Kicked in the Stacking column. Click to open the Kick Override window to review the kick pattern, and make manual adjustments. Slotted Songs have an automatic kick applied

Hide Song/Link Pass Order

When working in the Goals Song Category Group Settings window the Hide Link Pass Order check box is visible at the bottom of the window. This will hide all the link category groups from view to allow the user to work with only the Song Category Groups.

When working in the Linker Link Goals Category Group Settings window the Hide Song Pass Order check box is visible at the bottom of the window. This will hide all the song category groups from view to allow the user to work with only the Link Category Groups. Use Security Roles to limit a users access to change Link and Song Pass Order settings.

Topic Overview: Category Group Settings

Working in this window

Ordering Category Groups

Tying Category Groups together

Implementing Kicked status

Implementing Slotted status

Kicked or Slotted?

Working with Themes, <Twofers> Related Links and Browse Lists

Setting Research Cutoff periods

Ordering Category Groups

Select a Category Group and click the up or down buttons to move the Groups into the desired sequence, or to tie two or more Groups together. The higher the Category Group the more important. Then Click OK to close the Category Group Settings window and click the Save button in the Categories window toolbar.

Order Ties

You can tie one or more Category Groups together so they share the same ordering. Select the two Category Groups - if needed, use the up or down buttons to order the category groups - and then type the same order number in the order field. If you type a number in the Importance a field out of sequence, it will automatically be re-ordered. Alternately, select the Category Group, Theme, <Twofer>, Related Link or Browse List, and click the Adjust button.

Implementing Kicked status
  1. Select the Category Groups to Kick. These should be Groups with fast turnover Categories.
  2. Select Kicked status in the Stacking field. You can only select Slotted or Kicked status in descending order from the most important Category Group on down - you cannot, for example, apply Slotted or Kicked status to the bottom Category Group if the Group above it is not Kicked or Slotted.
  3. Click the Kick button to access the Kick Override window, to make Kick settings and order the Song sequence. The Kick start day, defined in the Station Settings: Features window, should be the day after your playlist change day.

For details on setting Daypart priorities, see the notes in the Dayparts Definition topic.

Implementing Slotted status
  1. Select the Category Groups to Slot. These should be Groups with fast turnover Categories.
  2. Select Slotted status in the Scheduler field. You can only select Slotted or Kicked status in descending order from the most important Category Group on down - you cannot, for example, apply Slotted or Kicked status to the bottom Category Group if the Group above it is not Kicked or Slotted.
  3. Select the desired Stacking option.
  4. The Kick start day, defined in the Miscellaneous tab of the Station Settings: Features window, should be the day after your playlist change day.
  5. Click the Kick button to access the Kick Override window, to optionally make Kick settings for Categories in the Category Group and order the sequence.

NOTE: The Automatic Kick setting gives the best possible rotation to a sequence of songs/links. Kicking a Slotted Category sets a strict Category sequence. This gets top priority: other Goals are ignored at the point of the kick. So there is a risk of songs/links being scheduled too close to each other at the kick point. To mitigate this, where possible, GSelector will Kick Songs/Links coming out of special programming. If there is no special programming, GSelector Kicks in the middle of the least important daypart.

Working with Themes, <Twofers> Related Links and Browse Lists

By default, Themes, <Twofers> Related Links and Browse Lists are given the lowest importance in the Category Group Settings window. However, you can raise any of these so they will schedule sooner by using the Adjust buttons. Doing so will instruct GSelector to schedule <Twofers> (which includes Artist Blocks), Theme, Related Links and Browse Lists sooner, perhaps before the songs in Gold or other larger category group. You might want to do this to avoid scheduling conflicts with songs/Links that would otherwise be scheduled before the <Twofer> (including Artist Block), Theme, Related Link or Browse List pass. Much depends on your category structure and the songs/links used with <Twofers>, Themes, Related Links and Browse Lists. See the notes on Theme Scheduling and Browse List Clock Positions for more information.

Setting Research Cutoff periods
  1. In the Category Group Settings window, select a Category Group.
  2. Enter a value between 30 and 999 days in the Research Cutoff field.
  3. Adjust if required using the adjust [image] buttons in each field.
  4. Repeat for other Category Groups as required
  5. Click OK to close the Category Group Settings window.
  6. Finally, click the Save [image] button in the Categories window toolbar.

Topic Overview: Category Group Settings


Kick Override

Kick is used to adjust rotation patterns in small, fast turnover, Category Groups. GSelector adjusts Category sequences by moving, or 'Kicking', an appropriate number of Songs to the bottom of their Categories at the end of the previously scheduled hour. This is done in the middle hour of the least important Daypart. In the Kick Override window. Songs are represented by letters of the alphabet, and we only show the first 26 Songs of a Category in the Grid. Any displayed Song letter can be selected to see how that Song will rotate through the week.

The Kick Override window is accessed in two modes, depending on whether the Category Group has been given Slotted or Kicked stacking status in the Category Group Settings window.

The Kick Override grid shows the kicked Song plot. Note that a Song in a Kicked or Slotted Category may not have an Alternate Category assignment, nor may any other Song have an alternate assignment in the Slotted Category.

Accessing this window

Kicked or Slotted stacking - which to use?

Features in this window

Working in this window

See also the Kick Override Order topic.

Topic Overview: Kick Override tab

Accessing this window

  1. In the Category Group Settings window, enable one or more Category Groups for Kicked or Slotted status.
  2. Then click the Kick button to open the Kick Override window. Note the Kick Override tab cannot be accessed for a Category Group with an Alternate Category assignment.

Click any area in this image for help. This image shows the default Automatic Kick view. See the Manual Kick Override notes for details on this feature.

Click any area in this image for help

Kicked or Slotted stacking - which to use?

There are two stacking orders available in the Category Group Settings which give access to the Kick Override tab.

Slotted status places all Songs in the Categories of the selected group in a strict order, which can be defined in the Order tab. In scheduling, the Songs are placed in the log in that exact order: all existing Goals, Adjustments, and Constraints are disregarded. The Kick Override window can be configured to use GSelector's automatic kick settings, or the user can choose to design the Kick settings manually. The Automatic setting adjusts the Category sequence by kicking the appropriate number of songs to the bottom of all Categories in the selected Category Group, when scheduling in the least important Daypart. With Slotted Stacking, the user can access the full range of Kick modes - Manual and Automatic.

Kicked status allows Songs to be kicked manually only, as you specified in the Kick Override window, but Songs are not Slotted, and they remain subject to all existing Goals, Adjustments and Constraints.

Features in this window

Category Group positions

Daypart

Toolbar

Automatic or Manual Kick radio buttons

Kick Grid display pane

Category Group positions

Common to this window and the subsidiary Kick Override Order window, the Category Group allows the user to see the Kicked or Slotted Category Group they are working in with either tab, showing the total number of positions for the selected Category Group to the right. Where Songs are grouped in a packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet., they are considered to have one position for Kick purposes.

Daypart

When a song in the Category Group selected is assigned to an Alternate Category the Daypart drop-down is visible allowing the user to switch between Dayparts to make changes.

Kick Override window Toolbar

The toolbar in this window, used in Manual Mode, allows the user to Undo an existing Kick step, select a Clock Assignment Grid to apply a Kick to, specify the highlighted Song in the Kick sequence, and in the Manual view only, Add or Remove a Kick position, or Clear a completed Kick pattern, and in the Automatic view only, copy the Automatic Kick pattern over to the Manual Kick pattern.

Manual Override selection pane (Slotted Stacking only)

The two radio buttons in this pane allow the user to select Automatic or Manual Kick. When Manual Kick is selected, the Toolbar Add, Remove buttons are activated and the Manual Time Date Kicks Grid is visible. When Automatic Kick is selected, the Toolbar Copy Automatic Kick button is activated.

Automatic Kick is suppressed when accessing this window for a Kicked Category Group.

Kick grid display pane

The Kick Override grid shows how the Songs will plot given the Kick settings. The first 26 Songs in the category group are represented by the letters a-z. Highlight any letter to see how it will rotate through the week. The window can display up to four Song positions in each cell. Where Category Groups in the selected Clock Grid do not provide consistent Song positions, the grid is left blank. In this image, the Category Group for the selected Clock grid calls for three Song positions for each hour.

Hours containing the selected Song position (in this case, Song A) are shown with a white background. The selected Hour in which the Kick is applied is shown in bold, with a figure showing number of Songs kicked. This applies in both Automatic and Manual Kick modes. The blue highlight shows the most important hour - the hour that is the "center point" for good rotation - where a Kick is applied in that day. If no Kick is applied, the blue highlight is not displayed.

Topic Overview: Kick Override tab

Working in this window

The Process described

Undoing a Kick

Selecting a Category Group

Selecting a Clock Assignment Grid

Highlighting a Song Position

Inserting a Manual Kick

Removing a Manual Kick

Clearing a Kick

Copying Automatic settings to Manual

Selecting a Kick Hour

Setting a Kick for the whole week

Manual Time Date Kicks Grid

Setting a Kick Override Order for a Category Group

The Process described
  1. Navigate to Goals | Categories and click the Category Group Settings [image] toolbar button.
  2. Select a Slotted or Kicked category group in the Category Group Settings dialog box
  3. Click the Kick button.
  4. In the Kick Override window, choose (see here ) between Automatic Kick (default) and Manual Kick, when working with Slotted Categories.
  5. If choosing Automatic, simply accept the automatically determined Kick settings.
  6. To set a Kick in Manual mode, select an hour in the grid, then click the -/+ buttons to remove or add a Kick position or enter the time and Kick number for each day using the Manual date grid above the Kick grid.
  7. Click on an hour header to select and set the Kick in that Hour for the entire week.
  8. GSelector will Kick Songs (or packets of Songs) as specified. Several Kicks can be applied in one day in Manual mode.
  9. Click OK to complete the changes.
  10. Click Save in the Categories window.

Undoing a Kick

Click to undo the last step taken in the Kick Override screen. See below for how to completely clear a Kick.

Selecting a Category Group

Common to this window and the subsidiary Kick Override Order window, this field allows you to select a Category Group to work with in either window.

  1. First work in the Category Group Settings window to activate Category Groups for Kick scheduling.
  2. Click the Category Group drop-down button to view all activated Kick Category Groups.
  3. Click a Category Group in the list to view the Kick for that category Group in the Kick grid.

Selecting a Clock Assignment Grid

The Kick Override window allows you to view Kicks for any Clock Assignment Grid.

  1. In the Toolbar, select the Assignment Grid [image] button.
  2. Click to display a list of all Assignment Grids.
  3. Click the name of the desired grid to see the Kick for the selected Grid.
  4. The Kick Grid will update to show the Kick pattern for Clocks assigned in the selected Grid. When editing a grid in Manual Override mode, changes are automatically saved for the selected Grid.

Highlighting a Song Position

The total number of available Songs in the selected Category Group (see the notes here ) is represented by letters of the alphabet. You can select one Song Position to review the effects of Kick in the Kick Grid. Note that Kick scheduling is designed to work with, and is most effective with, small fast turnover Category Groups. If the number of Songs in the Category Group exceeds 26, the number of Songs show in the list is restricted to 26, and the user can only select from this number.

  1. Click the arrow next to the Highlighted Song [image] button.
  2. Click a Song Position in the list to select that position.
  3. The Song Position is then represented in the Kick grid in upper case, highlighted on a white background.
  4. The remainder of the Song Positions are displayed in lower case.
  5. In Manual mode, the user can then select any hour in which to apply the Kick, not just those containing the Song Position.

Adding a Kick
  1. In the Kick Override window, select an activated Category Group.
  2. Select Manual mode when working with Slotted Categories.
  3. Select a Highlighted Song position in the selected Category Group to display the rotation pattern in the Kick grid.
  4. Select a Kick Hour in the Grid from which to apply the Kick.
  5. Click the Add [image] button to insert one Kick position.
  6. Repeat to add a further position Kick, as needed.
  7. The selected hour updates to show the Kick that has been applied. The number of Kick positions is shown in the selected hour [image] or hours.
  8. Click OK to complete the changes.
  9. Click Save in the Categories window.

NOTE: While there is no limit to the number of Kicks that can be applied, the practical limit is set by the number of Songs being Kicked. Kick is used for small numbers of Songs. If you apply a Kick of seven positions to a five Song Category Group list, effectively only a Kick of two positions is being applied, as the first five Kicks bring the list back to the starting positions. A Kick of four positions, however, would have an effect.

Removing a Kick
  1. In the Kick Override window, select an activated Category Group.
  2. Select Manual mode when working with Slotted Categories.
  3. Select the Kick Hour in the Grid from which to remove the Kick.
  4. Click the Remove [image] button to remove one Kick position.
  5. Repeat to remove further Kick positions as needed.
  6. The selected hour updates.
  7. Click OK to complete the changes.
  8. Click Save in the Categories window.

Clearing a Kick
  1. In the Kick Override window, select an activated Category Group.
  2. Select Manual mode when working with Slotted Categories.
  3. Click the Delete [image] button or press Del on the keyboard to completely clear a Kick. See above for how to undo the last step taken in the Kick Override screen.
  4. Click OK to complete the changes.
  5. Click Save in the Categories window.

Copy the Auto Kick into the Manual Kick pattern

This toolbar button copies Auto Kick settings to the Manual Kick , which gives you a starting point from which the user can make manual adjustments to try to improve the rotation. If Auto Kick determines that no Kick is needed, then there’s no difference between the two.

Selecting a Kick hour

In Manual Mode, navigate in the Kick Grid by selecting and clicking an hour, or by using the arrow keys to move the selected Kick Hour to an adjacent cell.

Setting a Kick for the whole week

  1. In the Kick Override window, select an activated Category Group.
  2. Select Manual mode when working with Slotted Categories.
  3. Click any hour header
  4. That hour is selected for all days in the week as the Kick start hour.
  5. Where Song positions are already shown in that hour, the Kick number is displayed (see Inserting).

Manual Time Date Kicks Grid
  1. Navigate to Goals | Categories and click the Category Group Settings [image] toolbar button.
  2. Select a Slotted or Kicked category group in the Category Group Settings dialog box
  3. Click the Kick button.
  4. Select the Manual Kick radio button.
  5. Enter a time and kick number for each day of the week.

  6. Click OK to complete the changes.
  7. Click Save in the Categories window.

This resembles the way kicks were constructed in legacy Selector. This additional option provides user the ability to type the kick settings rather than manipulate them by using the mouse and the Increase Kick and Decrease Kick toolbar buttons.

Topic Overview: Kick Override tab


Kick Override Order

This window, off the Kick Override tab, is used to adjust the sequence of songs in categories that are Kicked or Slotted and to arrange and re-sequence songs in a Slotted Category Group. The Song order can be changed easily by right-clicking any row or attribute in the Order Pane.

How Song Order works

Song Orders set in this window are fixed. They are only enabled when a Category Group has been slotted in the Category Group Options window. The order is strictly observed in scheduling, and only changes when Songs are moved in or out of a slotted Category. If you add a Song, it will be placed at the end of the Order; if you remove a Song from the Category, it is removed from the Order and the gap closes up.

The first Song to be scheduled in a scheduling run is the Song that follows the last Song played in the category on the last previously scheduled hour. For example, if Song 4 in the order is the last Song played in the Category Group on the last scheduled day, the first call for a song in the Category group in the following day will start with Song 5.

Accessing this window

Features in this window

Working in this window

Accessing this window

  1. From the Goals section Categories window, click the Category Group Importance button in the toolbar.
  2. This opens the Category Group Options window.
  3. Where a Category Group is are enabled for Kick scheduling, click the Kick button.
  4. This opens the Kick Override tab.
  5. Click the Order tab.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Kick Override Order

Features in this window

Category Group and positions

Browse Format Selection

Order Pane

Re-Order buttons

Reverse Order

Category Group and positions

Common to this window and the main Kick Override window, the Category Group drop-down allows the user to see the Kicked or Slotted Category Group they are working in with either tab, showing the total number of positions for the selected Category Group to the right. Where Songs are grouped in a packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet., they are considered to have one position for kick purposes.

Browse Format Selection

The Browse Formats [image] button can be used to save the default format as a new format, save changes to an existing format, save an existing format to a new browse format, set a selected format as the assigned format for the window or temporarily assigned just for the session. Formats can also be permanently assigned to the Browse window in the Browse Formats Assignment window. Browse Formats can also be designed in the Browse Formats Design window.

  1. Click the arrow to the right of the button.
  2. Select a format and double-click or press enter.
  3. The new format is temporarily assigned.
  4. Optionally, click the arrow to the right of the button again and select Set Selected Format as Assigned.
  5. Optionally, right-click a column header to Modify or Remove columns.
  6. Click the arrow to the right of the button again.
  7. Click Save or Save As if desired.

For more information on custom designing formats, see the Browse Formats Design and Browse Formats Assignment topics.

Print

The Print [image] button opens the Print Preview window.

Order Pane

This pane displays the current order of non-packeted Songs and packets in the selected Category Group. Songs are indicated by their Category Short Name (see the Create Category notes for details) in the Category/Packet/Song Group column. Packets are indicated by their Packet Short Name (see the Create Packet notes for details) in the Category/Packet/Song Group column. As shown in the detail illustration, a Packet is also shown by the first Song in the packet followed by other Songs in the same packet. Use the plus in the Category/Packet/Song Group column to expand the pane showing all Songs in the packet from the selected Category group. Note that while Packets can contain Songs from different Categories, only Songs in Categories in the selected Category Group will be displayed here.

In the example above the next song to be played is "Love Is Easy" by McFly as indicated by a grey highlight.

To specify the next song to be scheduled in a Slotted category. Simply open the Order tab and double-click the song to be scheduled the next time the Slotted category is scheduled. That song will take on a gray shade to indicate it is next to play. To push a song to the bottom of the list, simply right-click any row and select Kick Current Row. You can also Spread or Sort by Artist, Category, Album or any other attribute using a Designed Browse Format.

Re-Order buttons

The Re-Order buttons let you redefine an Order. Select an item in the Order and click the up or down buttons to move that item up or down in the order. Optionally, use the Alt+Up and Alt+Down on the keyboard to re-order the selected song/link.

Reverse Order

To reverse the Order of the songs simply click the Order column header, then click OK.

Right-click Menu Options

The Kick Override Order right click menu can be used in two ways, to make changes to the entire list or to a range of selected elements in the list. The range of selected elements can be a consecutive group (using the SHIFT key) or non-consecutive (using the CTRL key). The right click menu varies based on the column clicked. Right-clicking one of the default columns allows the user to Invert, Kick, and Shuffle.

Right-clicking an added attribute column allows the user to Spread, Invert, Kick, Sort and Shuffle. A column can be added by right-clicking the column header and selecting modify columns or by selecting a Browse Format with an attribute.

Spread

The Spread option is only visible when a column is added for an attribute. A column can be added by right-clicking the column header and selecting Modify Columns or by selecting a Browse Format [image] with an attribute. The Spread option then can be used to spread All or only the Currently selected elements by the selected attribute.

Invert

The Invert option, of the right-click menu, can be used to invert the list. When only one element is selected in the list, selecting Invert will invert the entire list. If multiple elements are selected from the list, Invert will only invert those elements selected.

Kick Current Row

The Kick Current Row option, of the right-click menu, can be used to kick the currently selected element. When only one element is selected in the list, selecting Kick Current Row will kick the element to the bottom of the order list. If multiple elements are selected from the list, Kick Current Row will kick all the selected items to the bottom of the list.

Sort by

The Sort option is only visible when a column is added for an attribute. A column can be added by right-clicking the column header and selecting Modify Columns or by selecting a Browse Format [image] with an attribute. The Sort option, of the right-click menu, can be used to sort the list in Ascending or Descending order. When only one element is selected in the list, selecting Sort will sort the entire list by the selected sort order for the attribute selected. If multiple elements are selected from the list, Sort will sort only those elements selected by the selected sort order for the attribute selected.

Shuffle

The Shuffle option, of the right-click menu, will shuffle the entire list if only one element is selected. If multiple elements are selected from the list, shuffle will only shuffle the selected elements. When the list is shuffled the elements are placed in a random order.

Topic Overview: Kick Override Order

Working in this window

Setting up Orders

Set Next Song in a Slotted Category Group

Spread or Sort Songs

Setting up Orders
  1. Access this window as described.
  2. Change the Order by selecting Songs or Packets and clicking and dragging to new positions, or by using the re-order buttons.
  3. To reverse the Order of the songs simply click the Order column header, then click OK.
  4. The default Order is automatically saved.
  5. Click OK to complete the changes.
  6. Click Save in the Categories window.

Set Next Song in a Slotted Category Group
  1. Navigate to the Goals | Categories window and then open the Category Group Settings dialog box.
  2. Select a Slotted category
  3. Click the Kick button.
  4. Select the Order tab and double-click the song to be scheduled the next time the Slotted category is scheduled.
  5. That song will be take on a gray shade to indicate it is next to play.

Spread or Sort Songs
  1. Navigate to the Goals | Categories window and then open the Category Group Settings dialog box.
  2. Select a Slotted category
  3. Click the Kick button.
  4. Select the Order tab.
  5. Click the Select Browse Format [image] button to access the defined Browse Formats, select one that has the desired attribute to use.
  6. Right-click a value in a column such as Artist, you will see options to Spread Artist or Sort by Artist. If you choose Spread Artist you will see options of All and Current. Select All to spread all artists or select Current to spread only the currently selected artist. When Sort by Artist is selected you will see options of Ascending and Descending to control the sort order.

  7. Click OK to complete the changes.
  8. Click Save in the Categories window.

Topic Overview: Kick Override Order


Copy Daypart Box

When you make a Goals Balance setting, define a Song Category Play, Share in the Categories window, or make a Link Categories window setting, you make that setting for a selected Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks.. Ensuring that those settings are used uniformly across the day to other Dayparts can be a chore. The easiest way to use those settings in a different Daypart is to use the Copy Daypart box to copy the setting to the new Daypart, and then modify the settings in that Daypart. This box allows you to copy Category Play and Share Settings, and Balance settings for Artist, Participant, Attribute, Song or Link from one selected Daypart to any or all of your other defined Dayparts.

FOR EXAMPLE, a station might wish to use its strongest openers during Morning, and Afternoon Drive, but to relax that Goal for Mid-day and Evening and Overnight programming. The Copy Daypart box is the easiest way to do this, by copying Mornings Attribute settings to the Afternoons, and to copy a different group of Attribute settings from the Middays to Evenings and Weekends Dayparts. Or you might use this box to copy one or more Balance settings setting over to all your other Dayparts, and then customize the Daypart settings later.

Accessing
Features in this window
Working in this window

Topic overview: Copy Daypart dialog box

Accessing this window

From any Balance window, Song Categories window, Link Goals Categories window, or the Dayparts Definition Setup window, click the copy [image] button in the window toolbar, to access a window similar to the illustration below.

NOTE: When opening this window from the Song or Link Categories windows or any Balance window, the default setting in the Copy Daypart dialog box will be to copy just the setting for the source window. When opening this window from the Dayparts Definition window, all settings copy options are checked.

Click an area in this window for specific help

Click an area in this window for specific help

Daypart settings made in the Song or Link window in the Station coding pane are not copied during this process. These settings are Song and Link-specific, and allow the user to ban, boost or reduce play during individual Dayparts. These settings are not changed by the copy process.

Topic overview: Copy Daypart dialog box

Features in this window

Source Daypart

Target Dayparts

Type options

Balance options

Source Daypart

Use the Source Daypart drop-down to select and existing Daypart to copy from.

Target Dayparts

Once a Source Daypart has been selected, all remaining Dayparts are displayed in the Target Dayparts pane. Check one or more Dayparts to copy the Source Dayparts settings to.

Type options

The Type options are used to select which Balance options to copy, Song, Link or both.

Balance options

Use the Balance section of this window to select the Balance options to copy from the Source Daypart, to the Target Dayparts by checking the respective box. The default setting in the Dialog box is to copy just the setting for the window from which the Dialog box was opened. When opening from the Dayparts Definition window, all settings Balance options are checked.

Copying Daypart Settings: the process described

  1. Access the window as described.
  2. Select the Source Daypart.
  3. Check one or more Target Dayparts to select them for copying.
  4. Select the Type
  5. Select one or more Balance options.

Topic overview: Copy Daypart dialog box


Daypart Assignment window

This window displays and allows you to edit the hours and days assigned to a Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. . In general, we suggest you assign Dayparts to time bands which match your overall programming Goals. Every hour must 'belong' to a Daypart. There are two viewing options: the default item display for each hour, and a block display.

Accessing this window

Features in this window

Working in this window

See also the notes for Dayparts Definition , the No Repeat window and Daypart Regions.

Accessing this window

In any station, click the Setup tab, then the Dayparts tab, and then the Assignment tab to view a window similar to this illustration. Note that this window is reduced in size and range to better fit in the Help window. When you first open the Daypart Definition window, one Daypart, named Default, is assigned to all the hours in the week.

Click any area in the image for help for that area. This detail image is reduced in size and does not show all hours.

Click any area in the image for help for that area. This detail image is reduced in size and does not show all hours.

Topic Overview: Daypart Assignment window

Features in this window

Toolbar

Assignment grid

Block Display

Broadcast Start Hour

Toolbar

The Daypart Assignment toolbar allows you to add a Daypart, Copy and Paste the contents of selected hours in a grid to any other hours in that grid, save or cancel your changes, and toggle between an individual Daypart display and a block display .

Keyboard Shortcuts

F2 - Save changes to the Clock Assignment window.

F3 - Copies the cell contents from the cell above the selected cell into the current cell and then advances to the next cell down. When in the last cell of a column it will wrap to the top cell in the next column. When in the last cell of the last column it will wrap to the top cell in the first column.

F4 - Copies the cell contents from the cell on the left into the current selected cell and then advances to the next cell on the right. When in the last cell of a row it will wrap to the first cell of the next row. When in the last cell of the last row it will wrap to the first cell of the first row.

F8 - Copies the contents of all cells in the row above into the current row and then advances to the next row down.

Assignment Grid

The grid displays all assigned Dayparts. You cannot directly edit the contents of the grid. To change an assigned hour or hours, overwrite the existing hour or hours by adding a different Daypart or Grid.

Block Display

Click the toggle button to view a block display. This groups Dayparts by blocks rather than shows them hour by hour.

Saving Changes

Save your changes by clicking the Save button. If you do not save your changes, you will be prompted to save or abandon your changes when you click another tab.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Broadcast Start Hour (BSH)

This field allows users to specify the start hour for this station. This can be any hour between12 and 11A. When a new value is specified, the Editor window starts its 24 hour period from this hour, the Scheduler window will schedule in 24-hour periods from this hour, and all History Maps and Analysis windows , the Clock Assignment grid , the Daypart Assignment window , the Hour Restrictions window and the Exporting a Schedule will start with this hour.

TIP: The Broadcast Start Hour defaults to 12A. It can be set to any hour between 12A and 11A (0000 to 1100), as long as the start hour does not bisect a daypart. Scheduler windows, Clock and Daypart Assignment grids, Analysis windows and History Maps and Panes all start from the Hour set in this field. This allows a Daypart to 'wrap' round midnight. For example, starting the Broadcast Day at 6A would allow a 10P-1A daypart. Broadcast Start Hours can only be placed at start hours of Dayparts. To change the BSH to an hour which cuts into a daypart, edit the Dayparts in this window, and then set the BSH.

Topic Overview: Daypart Assignment window

Working in this window

Assigning a Daypart: the process described

Assigning by Time Block

Selecting a Day and Hour range in the Grid

Copy and paste buttons

Broadcast Start Hour and Dayparts

Assigning a Daypart - the Process Described

  1. First, create Dayparts in the Dayparts Definition window.
  2. Click the Add/Assign Button in the Daypart Assignment window.
  3. Then select the Daypart and the Hours and Day Range.
  4. You cannot set an Assignment that spans 12 midnight. Instead, use two ranges: one that ends with the 11.00PM hour, and a second that starts with the 12.00AM hour.

Selecting Day and Hour ranges directly in the Grid

You can also use the mouse or your keyboard Ctrl and Arrow keys to select a continuous block of hours and days, or click the Day Header field to select all hours for a Day, and then use these values in the Assign window.

  1. With your mouse, left-click and drag until you have highlighted a contiguous block range of hours and days.
  2. Or press the Shift keys and then the arrow keys.
  3. Or Click the Day of the week header field to select all Hours for that Day.
  4. Then click the Assignment button in the toolbar to open the Assign Daypart window.

Assign Daypart window

This window is used to specify a Daypart and assign it to a date-time range in the current Daypart Assignment grid.

  1. The Date and Time range selected in the grid, as described immediately above is displayed in the Assign window.
  2. The Daypart at top left of the Assignment grid is displayed in the Daypart field
  3. Accept these default settings, or change them.
  4. Click OK to assign the Daypart and date-time range.
  5. Finally, click the Save button in the toolbar to save the changes.

Using the Copy and Paste buttons

Using the toolbar buttons, you can select a range of hours, and copy and paste the selected range to another area in the same grid.

  1. In any grid, left-click an hour.
  2. Still left-clicking, drag the mouse to select the desired time range , or see above for other selection options.
  3. Click the Copy button in the toolbar, or select this command by right-clicking to access a menu.
  4. Select a new area in the same grid.
  5. Click the Paste button or select the command by right-clicking to copy the selected Grid contents to the new area.
  6. Finally, click the Save button.

NOTE: GSelector will not allow you to paste Daypart Hours into a new target area so that you create non-contiguous Daypart Hours.

Overview: Daypart Assignment window


Dayparts Definition

Dayparts Definition window

Dayparts are parts of the broadcast day. For each of these parts of the day, you can set goals in the Goals Balance windows . From this Setup section window, you add, edit and manage Dayparts, Daypart Groups, and assign Daypart Priorities. Dayparts are assigned to the broadcast day in the Dayparts Assignment window .

Dayparts are sorted in order of Priority in this window. GSelector uses the order in which you rank the Dayparts in scheduling, scheduling each Daypart in turn. The most important Daypart - the Daypart at the top of the list - is treated as the default Daypart in all Goals Balance windows. Dayparts are also used to define No Repeat time zones.

New Install notes

GSelector supplies five default Dayparts (Overnight, AM Drive, Mid-Day , PM Drive and Night) on initial installation of the program, or after creating a new station. The installed Dayparts are assigned in the Daypart Assignment window, and can be viewed in the Attributes tab of the Browse window. These settings can be edited or deleted.

Accessing this window
Features in this window
Working in this window

<TWOFERS> NOTE: When you check the Allow Twofers checkbox in the Station Settings: Features Setup window, this creates a virtual <Twofer> Daypart, just for Artist Block Clock Positions. This Daypart works with the existing Daypart. The <Twofer> Daypart is not shown here, but it is accessed in the Balance windows from the Daypart Selection field. For more information on the <Twofer> Daypart Process, see the Artist Blocks topic.

Accessing this window

Click the Setup tab, then Dayparts, then Definition, to view a screen similar to this illustration. This illustration is reduced in scale to better fit in the help window. The pane displays the current Daypart priority order, shows if Dayparts are Assigned (see the Daypart Assignment window notes), or Grouped, and indicated the Daypart region.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Dayparts Definition

Features in this window

Toolbar
Assigned Daypart field
Daypart Name
Daypart Group
Daypart Region

Daypart Definitions Toolbar

From this toolbar, you can Add , Edit , Change the Priority of , or Delete a Daypart or Daypart Group. You can also Copy settings from one Daypart to another.

Assigned Daypart field

You cannot directly edit this field. The field indicates if the selected Daypart has been assigned the Daypart Grid in the Daypart Assignment window. Note that you cannot delete a Daypart that has been assigned.

Daypart Name field

You cannot directly edit this field. To rename a Daypart, see the Edit Daypart notes in this topic.

Daypart Groups

Daypart Groups let you speed up the way your Goals are set up in Dayparts. You can assign two or more Dayparts to the same Daypart Group. For example, you could assign AM Drive and PM Drive to a “Drives” Daypart group. Selecting the Auto Copy Song/Link Data between Grouped Dayparts option in the Setup | Station | Features | Balance tab will copy changes set in Balance windows to all Dayparts in a Daypart Group. By default this is not selected. You assign a Daypart to a Group in the New Daypart window or the Edit Daypart window.

NOTE: When you first Group two or more Dayparts together, the settings for the groups become one and the same. The settings for the most important Daypart - the Daypart that is highest in the Dayparts Definitions list - are copied to the lower Daypart or Dayparts. However, as soon as you edit a Goal setting for any Grouped Daypart, that setting is applied to all Dayparts in the Group.

Daypart Regions

This Daypart region field displays the Region if any that has been assigned to all Dayparts. If no Daypart Regions have been assigned or created, the default Region for all Dayparts is shown as Normal. To change a Daypart's Region, work in the Edit Daypart window. Daypart Regions are defined in the Setup section of GSelector. For full details, see the Daypart Regions notes.

Topic Overview: Dayparts Definition

Working in this window

Setting Daypart Priorities
Creating a Daypart or a Daypart Group
Editing a Daypart or Daypart Group
Deleting a Daypart or Daypart Group
Grouping Dayparts
Copying Daypart settings
<Twofer> settings

Topic Overview: Dayparts Definition

Setting Daypart Priorities - from most to least important

Dayparts are sorted by order of importance in the Dayparts Definition window. Select a Daypart, and click the Move Up and Down Arrow buttons to move that Daypart up and down the list.

GSelector uses the Daypart priority order you set here in several ways. In Goals Balance and Categories windows, your most important Daypart - the Daypart at the top of the list - is presented as the default Daypart. When using the Scheduler, the day is scheduled, Daypart by Daypart, in the sequence set in this window. Finally, the least important Daypart is used by the Kick scheduling feature.

Creating a Daypart or a Daypart Group

Click the Add button to open the New Daypart window. The window opens displaying a Source Daypart in the Source field. This is the selected Daypart in the Daypart Definitions window.

1. Specify a Source Daypart from the drop down list, on which to base the New Daypart.
2. Enter a name for the Daypart in the Name field.
3. If you are assigning the Daypart to, or creating, a Daypart Group, enter a name for the Group in the Group field.
4. If you are using Daypart Regions A Daypart Region is a section of the week that you define which lets Spread Goals work independently of play history in other Regions. For example, some users may not want weekend scheduling of songs or links to affect play during weekday scheduling. , select a region for this Daypart from the drop down list. If you are not using Daypart Regions, leave the default value of Normal in this field.
5. Click the OK button close the window and display Daypart in the Definition window.
6. Set the Pass Order for this Daypart with the Priority buttons . You can change the Pass Order at any time.
7. Finally, click the Save button in the Definition window toolbar.

Change a Daypart Name, Group or Region

In the Dayparts Definition window, select a Daypart and click the Edit button to open the Edit Daypart window, or double-click the Daypart in the Daypart List pane.

1. The window opens showing the current Daypart Name and any assigned Daypart Group.
2. To edit the Daypart Name, enter a new Name.
3. If you are using Daypart Groups, assign an different existing Group from the drop down list, or type in a new Daypart Group name to create and assign a new Group.
4. If you are using Daypart Regions, select a region for this Daypart from the drop down list. If you are not using Daypart Regions, leave the default value of Normal in this field.
5. Click the OK button close this window and display the modified values in the Dayparts Definition window.
6. In the Dayparts Definition window, optionally set a different Daypart Pass Order with the Priority buttons. You can also return to this window to change the Pass Order later.
7. Finally, click the Save button in the Definition window toolbar.

Deleting a Daypart

In the Dayparts Definition window, select a Daypart and click the toolbar delete button or press Del on your keyboard. You cannot delete a Daypart which is assigned to one or more hours. Go to the Dayparts Assignment grid window, remove the Daypart from all the hours it is assigned to, then delete the Daypart.

Saving Changes

Editing in the Daypart Definition window activates the Save button. Click this button to save your changes. If you do not click the button before exiting this window, you will be prompted to save your changes.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copying settings from one Daypart to another

Click the Copy button to open the Copy Daypart box (see notes here ) . This window is also accessed from the Categories and Balance tab Artist , Attributes , Participants , and Song demand windows.

Topic Overview: Dayparts Definition

Working with Song and Link window Daypart settings

Daypart settings made in the Song or Link window in the Station coding pane and the Goals Balance Song window are not copied when grouping Dayparts. These settings are Song and Link-specific, and allow the user to ban, boost or reduce play during individual Dayparts. These individual settings are not changed by the grouping process. So a change to AM Drive Daypart settings in the Station Coding pane or the Goals Balance Song window will not be copied to the PM Drive Daypart in the same "Drives" group.

See Creating a Daypart Group , and Editing a Daypart Group .

Topic Overview: Dayparts Definition


Projected Turnover

How often the songs in a category will repeat is a common question radio programmers have. We call such repetition the projected turnover of a category. GSelector provides a tremendous tool to help you understand the math, rotations and projected turnover of an existing category or a new one you might be contemplating. Keep in mind that projected turnover is calculated without any regard to goals and rules. It’s strictly a mathematical analysis assuming all songs/links rotate evenly. In the world of scheduling this is rarely the case, but Projected Turnover can help you understand the fundamentals of a category’s rotation.

The goal is understanding how an existing or hypothetical category will plot and repeat and what you can do to change the rotation. Input metrics such as clock requests, category membership, packeting, hour restrictions and daypart bans affect the song plotting and projected turnover of a category. As you change these values and calculate the results you will see a plot of a typical song/link in the category and get updated figures on the mathematical aspects of rotation.

Accessing the Song Projected Turnover window

Accessing the Link Projected Turnover window

Accessing Song Projected Turnover

Navigate to Goals | Categories, select any Category then click the Projected Turnover [image] toolbar button. The following Projected Turnover dialog box will appear. Initially it will be populated with the information from the selected category, but fell free to change the starting values to play “what if” scenarios. The status of R for an hour is used to show the category is Recycling.

Right-click the mouse in the Dayparts pane to Select All or Clear all the dayparts from the range.

Accessing Link Projected Turnover

Navigate to Linker | Link Goals | Categories, select any Category then click the Projected Turnover toolbar button. The following Projected Turnover dialog box will appear. Initially it will be populated with the information from the selected category, but feel free to change the starting values to play “what if” scenarios. The status of R for an hour is used to show the category is Recycling.

Topic Overview Projected Turnover window:


Clock Requests

Songs and Link Clock Request windows are accessed from the Goals Categories or the Link Goals Categories windows. They provide an instant snapshot of Clock Requests for a selected Song Category Group, or Link Category, for each Hour or by Daypart. The windows display Requests for the default Clock Assignment Grid, set in the Clock Assignment window; a different Clock Assignment Grid can be selected for display. The information in this window cannot be edited.

Accessing in Hour View

Accessing in Daypart view

Selecting a different Clock Assignment Grid

Return to the Goals Categories window

Accessing in Hour view

From the Goals Categories window, select a Category Group, or specify a Category Group in the drop down field next to the Clock Request button, and then click the Clock Requests button to open the window in Clock Request Mode. The window offers analysis for Category Groups only.

From the Link Goals Categories, select a Link Category Group, or specify a Link Category Group in the drop-down next to the Clock Request button, then click the Clock Requests button to open the window in Clock Request Mode. The window offers analysis for Link Categories only.

Both Song and Link Clock Requests windows open in a default hourly view, similar to this illustration:

The window displays the number of clock requests for the selected Category Group or Link Category Group, with totals for each hour and at the bottom of the window, each day and a weekly total. Using the mouse hover over the number of clock requests for any hour to see a clickable tool tip showing the clocks and positions of the request. Click on the clock name to open the displayed clock in the Clocks window.

Accessing in Daypart view

In the Clock Request window, click the Daypart tab at the bottom of the window to view requests by Daypart.

Using the mouse hover over the number of clock requests for any hour to see a clickable tool tip showing the clocks and positions of the request. Click on the clock name to open the displayed clock in the Clocks window.

Closing the Clock Requests window

From either window, click the default view or the Cross Daypart view buttons in the toolbar to return to the Goals Categories window.

Clock Assignment Grid selection box

When working in the Clock Requests view, this field is displayed to the right of the Categories window toolbar in the Clock Request view. Any existing Clock Assignment Grid, created in the Clock Assignment window , can be selected in this field. The Analysis will update to display Clock Demand for the clocks in the selected Grid for the Category Group. If only one Assignment Grid has been defined, the window opens displaying this Grid, and the Grid Selection box is not displayed.

Topic Overview: Clock Requests window


Priorities tab: Definition

The Priorities Definition window is where Priority Lists are created that can be Assigned to Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks.s and Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups.. Each list has an Unbreakable, Breakable and Fixed section. All goals, rules and segue bans are now available for use in each list. Previously, the legacy rules and segue bans operated independently and were not integrated with the scoring system in GSelector. Now these rules and segue bans can be prioritized in the same lists with other goals. With User Defined Priority Scoring GSelector offers more precise scheduling control. The program can now calculate a proper score for each goal, rule or segue ban by evaluating each in context with all the others. A priority list can also be used for Reverse Scheduling.

NOTE: Spread goals cannot be set to Unbreakable.

Accessing this window

Fixed Goals

Features in this window

Working in this window

Accessing this window

Click the Goals tab, then Priorities, then the Definition tab to access a window similar to this detail illustration. This window is divided into two panes the left pane lists the Priority Lists and the right pane lists the Breakable and Unbreakable priorities in the list selected. When this window is first accessed after installing GSelector or creating a new station, the Default Song Priorities list is created. This list has six Breakable default Goals, recommended for good rotation, and marked with an asterisk, and are permanently added to each Priority List created. In default mode, these are fixed and cannot be deleted; they can be ranked according the user's priorities. Two optional Breakable Spread goals and three Unbreakable Rules are also displayed by default - Vocalist Spread, Category Spread, Hour Restriction Rule, Maximum Per Hour Rule and No Repeat Rule. These can be removed from the Priorities list if not required. If the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled, the Ranking column is removed and a Weight column is added to the Priorities pane with a graphical representation of the Goal Importance. A Fixed option is also added allowing the user to set the Legacy Rules as fixed and define a score value.

Click any area in this image for help

Click any area in this image for help

Fixed Goals

GSelector's default install mode is to display seven breakable Fixed Goals in the Priorities Pane, marked with an asterisk at the right of each Goal name. To these seven basic Goals, you can add any further Goals, Rules or Segue Bans you wish. You can also optionally disable fixed status.

Fixed Goals are designed to provide even separation for Songs, irrespective of Category spread or any other Goal, to provide the best possible separation. While these Goals are fixed in default mode, and are generally seen as key by most programmers, they do not have to be given a high priority.

See also the notes in this topic on removing Fixed status from these Goals in the Priorities window in the Advanced Features section of this topic. Implementing this also removes fixed status from Link goals in the Link Priorities window.

The default fixed Goals are listed here.

The Song Linear Spread Goal spreads consecutive spins of a Song to best effect in the current day, or from one day to the next. Generally, it works on the nearest play of a song. This Goal is ignored from Region to Region when working with more than one Daypart Region.

The Song Radial Spread Goal works across all play history, and ensures that all plays by a song are distributed to best effect across the entire schedule, from day to day and hour to hour. his Goal is ignored from Region to Region when working with more than one Daypart Region.

The Daypart Goal is a Linear only goal that ensures even rotation for Songs in a daypart. The Daypart goal only looks at where the song played in the current daypart ignoring all other plays.

The Clock Goal works on Goals set in Clocks. See the Clock Goals notes. Double-clicking the Clock Goal in the priority list will open the Clocks window.

The Packet Spread Goal spreads all songs within Packets to best effect. Double-clicking the Packet Spread in the priority list will open the Balance Attributes window with packet selected.

The Newly Added Goal spreads out play of all newly added Songs in a Category from other newly added Songs. This goal only applies to the first play of a Song in a Category. Note that this rule works in Songs that are Newly Added to the Station, or Newly Added to a Category, having been moved from another Category, or Activated back in the same Category.

TIP: See the notes in this topic on removing Fixed status from Goals. Implementing this setting also removes fixed status from goals in the Link Priorities window.

The score of the Depth priority decreases the further into the virtual stack GSelector has searched to locate the song being tested. The greater the depth searched, the greater the score penalty. Use this priority to equalize the spins of the songs in a category.

Next Day Same Hour Separation Goal

NOTE: There is a further, fixed Goal, not displayed in the Goals list. This is the Next Day Same Hour Goal, and it automatically works to keep the same song from scheduling in the same hour in two consecutive days. This rule can be overridden for Categories with very short turnovers. See the Next Day Hour Separation notes in the Station Settings: Features topic. This Goal is ignored from Region to Region when working with more than one Daypart Region.

TIP: If you work with very small Categories, this is one of the GSelector tools expressly designed for you. See the Tools for High Rotation Categories notes in GSelector Scheduling.

Topic Overview: Priorities window

Features in this window

Find (CTRL+F)

Priority Lists Pane

Priority Lists Toolbar

Content

Reverse Schedule

Priorities pane

Priority Lists Toolbar

Add a Priority

Scoring

Spread Goals

Segue Ban

Goals

Legacy Rules

Attribute Specific Legacy Rule Priorities

Link Protection

Across Regions

Value

Weighted Score

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Priority Lists Pane

The Priorities Lists pane holds created priorities lists, these lists can be set flagged for Reverse Scheduling. These Lists are then assigned to Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks.s and Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups. in the Priorities Assignment tab.

Click any area in this image for help

Click any area in this image for help

Priority Lists Toolbar

The Priorities List toolbar is used to add, edit, delete, or copy Priority Lists, the toolbar is also used to save or Cancel changes, and apply a Score Threshold.

Content

Content is a Rule that is primarily used by those stations under governments that require a certain count or percentage of a station’s music to be of local origin. To apply the Content Rule double-click the Priority List to use and select the Apply Content Rule option.

When the Content Rule is applied, it looks at the defined Content Rules, to find songs with a matching Content Attribute, to achieve the desired ratio of local to non-local origin.

Reverse Schedule

When enabled in the Station - Features - Advanced tab a Priorities List can be selected as Reverse Schedule. The Reverse Schedule column shows which Priority Lists are being used for Reverse Scheduling. The default GSelector scheduling setting is to schedule forward from the set start date and time in the Scheduler window. This option gives users the ability to reverse the scheduling order, for any Category Group, Themes or <Twofers> pass, working backwards from the end date and time to the start date and time for the specified scheduling period. Any Category Group, Themes or<Twofers> pass can be set to be scheduled in reverse order. See the Reverse Scheduling notes in the Scheduler window topic.

The Priorities pane

This pane shows the Goals, Rules and Segue Bans that have been added to the selected Priority List, the order in which they have been ranked by Priority or a user defined weight score, if they are protected against Links, if they are protected Across Regions, and a graphical representation of the Goal Importance. The default install setting is to display seven breakable fixed Goals, and two optional Goals and the rank by priority. For any Goal, Rule or Segue Ban in this list, GSelector spreads Songs by their designated attributes or participants, evenly, for best rotation through the schedule. In the Breakable section of this pane, GSelector prioritizes each goal, rule or segue ban by the order set in this section, from the top down to the bottom, in the numbered order shown. The user can further rank these breakable goals using a weighted score by enabling the User Defined Priority Scoring option in the Station | Features | Advanced tab as seen in the following image. The Unbreakable Rules and Goals are treated Equally. Double-clicking any Legacy Rule in this pane will open the Rotation Rules window properly configured to work with the settings of that rule.

The optimum natural balance of the library is not only affected by the balance set for each attribute, but by the priority assigned in this window. See the notes on Setting a Goals Priority and Setting a Goals Weight Score for how to order the priorities added.

Priorities Pane Toolbar

The Priorities pane toolbar is used to add or delete Goals, Rules and Segue Bans, and to reorder the Priority rank (see Setting a Goals Priority in this topic). If User Defined Priority Scoring is enabled, in Setup | Station | Features | Advanced tab, the reorder arrows [image] are hidden.

Add a Priority

A Priority is a goal, segue ban or legacy rule that has been added to a Priority List. Click the green Add Priority [image] button to select any priority from a single list. You can also click the down arrow to the right of the green add button to select a Priority Type; such as Spread, Segue Ban, Legacy Rule or Goal; to open a list of the Priorities available in that type. Segue Bans and Legacy Rotation Rules can be set as Breakable or Unbreakable. An Unbreakable priority means GSelector will leave a position unscheduled if all songs available for scheduling violate the Priority. The list order of the Breakable, Priorities is important. Place the more important priorities higher in the list. During scheduling GSelector will compromise a lower breakable priority if doing so will protect one or more higher priorities.

Scoring

Spread Goals

Segue Ban

Goals

Legacy Rules

Attribute Specific Legacy Rule Priorities

Scoring

When scheduling a position, GSelector tests all songs in the category. Depending on how well a given priority is met, the scheduler applies a numeric score ranging from 60 to 100. There are several exceptions in which the lowest score could be less than 60, but these kick in only when you have strayed from default settings in the first two settings in the Setup | Station | Features | Advanced window. The score range is based on the American scholastic grading system in which 60 represents a failure and 100 implies perfection. Those familiar with this score range can instantly recognize that 75 is a “C” or average grade, 85 is a “B” or very good grade and “98” is an “A” or great grade.

The way in which scores are computed varies, depending on the goal. We’ll use Song Linear as an example Natural demand plays a fundamental role in scoring all of the linear spread goals. When testing linear spread for an attribute of a song or link on a particular schedule position, the scheduler will apply a score of 100 if the turnover that would result from scheduling the element in that position is equal to or greater than the natural demand of the attribute being scored. If the turnover that would result from scheduling the element is less than the natural demand, the score will be less than 100. The actual score value will be calculated based on the degree to which the turnover in the tested schedule position deviates from the natural demand of the attribute being scored. Note that each goal is scored separately in a similar way and all priorities are scored for all songs.

Scaling is applied to each score, with the exception of the first priority on the list, according to its location in the prioritized list. The further down the list the greater the score increase. The score of the priority at the very bottom of this list is increased by 15, while scores of the priorities between it and priority at the top of the list are scaled proportionally using 15 as the base. An example will help clarify this. Let’s say that for a given song in a particular schedule position, Song Linear scores at 60, a failure. Now let’s say that Song Linear is at the very bottom of the Priority List. In this case the score will be increased by 15 to 75, to account for the greater importance of the higher priorities on the list. The scores of higher priorities will be scaled proportionally.

After scoring all elements in the category for all priorities and scaling the scores, GSelector determines which attribute has the lowest score for each element. One song’s lowest score might be Song Radial at 65, for example, while another’s could be Vocalist Spread at 85. From this collection of lowest scoring priorities, the scheduler chooses the song with the highest lowest score and places it in the schedule. In other words, GSelector chooses the element whose greatest liability is the highest scoring when compared to the greatest liabilities of all other elements. In the case of a tie, GSelector chooses which element will be scheduled based on the internal IDs of the tied elements.

At the time an element is scheduled an overall score is calculated. It’s an average of all the individual, scaled priority scores. Note, however, that the overall score does not influence which element gets scheduled. It’s merely an additional reference point you might want to use later when editing the schedule.

Spread Goals

Spread Goals control rotational patterns of songs, links and/or their attributes. As the name implies, a spread goal attempts to make sure the time between repeat plays of a song, link or attribute is equal to or greater than the turnover implicit in its natural demand. Song Linear, for example, is a spread goal that attempts to impose the turnover time between repeat plays of a song. Song Radial is a spread goal that attempts to impose as much separation as possible, across hours and days, between repeat plays of a song. By default the other Spread Goals combine linear and radial control, but you can separate them for more precise control. See the notes in the Advanced Features section on separating Linear and Radial Spread Elements to reveal the separate Goals. Double-clicking a Spread goal in the priority list will open the corresponding Balance window.

Specifying Vocalist Spread instead of Artist Spread

If Vocalist separation is more important to you than Artist separation and it should be if you have properly coded your songs with Vocalists, remove Artist Spread from your priority list and add Vocalist Spread. This will change tests and displays in the Scheduler and Editor from Artist to Vocalist. Instead of seeing Artist Previous and Artist Next in the Editor’s Test Bar, for example, you will see Vocalist Previous and Vocalist Next after making this highly recommended change.

Segue Ban

Segue Bans are created in the Goals | Segue Bans window. Segue A sequence of two Songs with no space in between them. Bans control sequences of up to six songs using attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. code settings that you define. Segue Bans can be set to Breakable or Unbreakable. Segue Bans are simple pass / fail rules and are scored at 100 for a pass and 60 for a fail. By default like segue bans will be displayed in the Priorities tab as one Segue Ban, but can you can separate them for more precise control. To reveal each Segue Ban, hover the mouse over the location of the segue ban or check the Separate Segue Ban Priorities checkbox in the Setup | Station | Features | Advanced window. Double-clicking a Segue Ban in the priority list will open the corresponding Segue Bans window.

Goals

Along with the Fixed Goals the following Goals can also be added to the Priority List.

Airplay Starvation

The Airplay Starvation goal provides special scheduling attention to songs in a category that have not played for some time. This goal uses the Maximum Airplay Starvation Turnover Percentage set in the Setup | Station | Features | Advanced tab to determine at what point to schedule the song or link. When the song or link reaches the Maximum Airplay Starvation Turnover Percentage all other goals are ignored and the song or link is scheduled. The Airplay Starvation Goal cannot be added to the same Priority List as the Maximum Separation or Maximum Skip Legacy Rules. Double-clicking this goal in the priority list will take the user to the Setup | Station | Features | Advanced tab.

Hour Rotation Goal

Use this Goal to activate or deactivate the GSelector Daypart Rotation Goal. When enabled, it works automatically to rotate elements through the different hours in a Daypart. Note that you can apply much more specific settings in the Hour Rotation Rule, and you can use both this Goal and the Rotation Rule if you wish.

Timing Goal

Check this box in the Add Goal window to work with the Timing Goal and Exact Time Markers in Clocks. Categories assigned the Timing Goal are used to fill the schedule to meet timing goals between Reset Exact time Markers. Implementing Timing disables Search Depth and Stacking for that Category Group.

NOTE: Implementing Timing for a Category Group disables the ability to implement Kick for the same Category Group, and vice versa. In general, Kick is used for small rapid turnover Categories or Category Groups with high Importance, while Timing is used for larger, slower turnover Category Groups at or near the bottom of the Pass Order.

Legacy Rules

In addition to the Spread Goals, Segue Bans and Goals accessible from this window, you can also use Legacy Rules. Legacy Rules consist of Rotation Rules and Content Rules, these are detailed in the Rotation Rules and Content Rules topics. Rotation rules work with the Goals implemented in this window. Rotation Rules can be set to Breakable or Unbreakable. When you set a Rotation Rule as Unbreakable, GSelector will leave a position unscheduled if all songs available for scheduling violate the Priority. When you set a Rotation Rule as Breakable, GSelector will compromise a lower breakable priority if doing so will protect one or more higher priorities. These Rules can also be separated by attribute using the Allow Attribute Specific Legacy Rule Priorities option in the Setup | Station | Features | Advanced tab.

NOTE: Maximum Separation and Maximum Skip cannot be set to Unbreakable.

Legacy Rules you define in this window are as follows:
Daypart Rotation

DMCA

Drive Protection

Hour Restriction

Hour Rotation

Maximum Per Hour

Maximum Separation

Maximum Skip

Minimum Separation

No Repeat

Past Day Percentage

Play window

Prior Day

Yesterday

Daypart Rotation

This rule controls how many Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. a Song, Link, Artist, Song Group, or a Song or Link Attribute or Participant must be scheduled in before that element can be scheduled again in the original Daypart. For more details see the Daypart rule notes in the Rotation Rules topic. Daypart Rotation is a simple pass / fail rule and is scored at 100 for a pass and 60 for a fail. Double-clicking this rule in the priority list will open the Rotation Rules window.

DMCA

The DMCA Rule can be added in Goals | Priorities to identify and prevent the scheduling of songs that do not meet the following Digital Millennium Copyright Act (DMCA) performance complement rules:

(13) | The “sound recording performance complement” is the transmission during any 3-hour period, on a particular channel used by a transmitting entity, of no more than—
 | (A) | 3 different selections of sound recordings from any one phonorecord lawfully distributed for public performance or sale in the United States, if no more than 2 such selections are transmitted consecutively; or
 | (B) | 4 different selections of sound recordings—
 |  | (i) | by the same featured recording artist; or
 |  | (ii) | from any set or compilation of phonorecords lawfully distributed together as a unit for public performance or sale in the United States,
 |  |  | if no more than three such selections are transmitted consecutively: Provided , That the transmission of selections in excess of the numerical limits provided for in clauses (A) and (B) from multiple phonorecords shall nonetheless qualify as a sound recording performance complement if the programming of the multiple phonorecords was not willfully intended to avoid the numerical limitations prescribed in such clauses.

Reference: 17 U.S. Code § 114 - Scope of exclusive rights in sound recordings; https://www.law.cornell.edu/uscode/text/17/114

The DMCA rule will achieve the following:

  1. If the DMCA rule is set as unbreakable, the scheduler will prevent a song from scheduling that exceeds the DMCA limits.
  2. GSelector tests artist and vocalist separately so the same song may fail both.

The DMCA Parameters in the Advanced tab of the Setup | Station | Features window can be used to adjust how the DMCA Rule detects violations.

Important Note

Slotted songs are not tested in the Scheduler for any rules including DMCA. This also applies to browse list clock requests. All other song clock requests will be tested for DMCA in the Scheduler.

However, songs scheduled from slotted categories and browse lists WILL be tested for DMCA in the Editor. So if you retest the position, run Retest Day or the Hotspot Filter, GSelector will catch any DMCA violations.

In addition there are two other Scheduling instances that do not get tested:

  1. Schedule Subscription Service - The schedule is pulled down verbatim to the subscriber and is not tested in any way against the adjacent local schedule.
  2. Copy Schedule - If a range of hours is copied, the copied schedule is not tested against the existing schedule adjacent to the target period.
In both cases, the day should be retested in the Editor.

Drive Protection

Drive Protection prevents assets from being scheduled in other parts of the same day or in an adjacent day. For example, a person working 9-5 drives to work at 8AM and returns home at 5PM. Drive protection can protect the 5PM hour from playing a song that played during the 8AM hour. Drive Protection can also prevent the person hearing a song at 5PM yesterday from hearing it again at 8AM today. To setup Drive Protection rules use the Drive Protection tab in the Setup | Hours tab. Double-clicking this rule in the priority list will open the Setup | Hours | Drive Protection window.

Hour Restriction

Prioritizes the enforcement of Hour Restrictions applied to songs or links. Double-clicking this rule in the priority list will open the Setup | Hours | Hours Grids window.

Hour Rotation rule

This rule controls how many Hours a Song, Link, Artist, Song Group, or a Song or Link Attribute or Participant, must be scheduled in a Daypart before that element can be scheduled again in the hour of the Daypart in which it was originally scheduled. For more details see the Hour Rule notes in the Rotation Rules topic. Hour Rotation is a simple pass / fail rule and is scored at 100 for a pass and 60 for a fail. Double-clicking this rule in the priority list will open the Rotation Rules window.

Note: You can also implement the automatic Hour Rotation Goal, and the two can work in tandem.

Maximum Per Hour

Prioritizes the enforcement of the Maximum per Hour settings defined in the various Goals | Balance windows. Double-clicking this rule in the priority list will open the corresponding Balance window.

Maximum Separation

This Legacy Rule provides special scheduling attention to songs in a category that have not repeated within a specified time period. Think of Maximum Separation as the opposite of Minimum Separation. How much time can pass before it has been "too long" since a song in a category has played? The time period between repeat plays is set in the Rotation Rules window. Double-clicking this rule in the priority list will open the Rotation Rules window.

Maximum Skip

This rule is similar to the Maximum Separation rule except it looks at the number of times a Song or Link has been skipped instead or the time of separation. The count between repeat plays is set in the Rotation Rules window. Double-clicking this rule in the priority list will open the Rotation Rules window.

Minimum Separation rule

This Rule allows the user to set a Minimum Time period to apply before a Song, Link, Artist, Song Group, or a Song or Link Attribute or Participant can be scheduled again. For more details, see the Minimum Separation Rule notes in the Rotation Rules topic. Minimum Separation is a simple pass / fail rule and is scored at 100 for a pass and 60 for a fail. Double-clicking this rule in the priority list will open the Rotation Rules or corresponding Balance window.

No Repeat

Prioritizes the enforcement of settings made in the Setup | Dayparts | No Repeat window. Double-clicking this rule in the priority list will open the Setup | Dayparts | No Repeat window.

Past Day Percentage rule

This rule, like the Prior Day rule, allows you to apply time protection for up to a week but it is not tied to a specific day or the week. It also allows you to collapse the protection period if you so wish, working in the Station - Past Day window. The Rule controls how much a Song, Link, Artist, Song Group, or an Attribute or Participant for a Song or Link, must be separated from where that element was scheduled on a Past Prior Day. The rule can be applied in the future as well as in the past. For more details see the Past Day notes in the Rotation Rules topic. Double-clicking this rule in the priority list will open the Rotation Rules window.

Play window rule

This rule controls how much a Song, Link, Artist, Song Group, or a Song or Link Attribute or Participant, must be separated from one or more last play times of that element. The time period defined is the Play Window, and it is designed to work across Dayparts to allow effective protection across Daypart boundaries. For more details see the Play Window Rule notes in the Rotation Rules topic. Double-clicking this rule in the priority list will open the Rotation Rules window.

Prior Day rules

This rule allows you to apply time protection for up to a week. The Rule controls how much a Song, Link, Artist, Song Group, or a Song or Link Attribute or Participant, must be separated from where that element was scheduled on a defined Prior Day. The rule can be applied in the future as well as in the past. For more details see the Prior Day Rule notes in the Rotation Rules topic. The Prior Day rules are simple pass / fail mechanisms and are scored at 100 for a pass and 60 for a fail. Double-clicking this rule in the priority list will open the Rotation Rules window.

Yesterday rules

Used to provide protection for Songs, Links, Artists, Song Groups, or Song or Link Attributes or Participants that schedule several times in a Day, this rule controls how much that element must be separated from where it played Yesterday, irrespective of any other plays that day. The rule can be applied in the future as well as in the past. For more details see the Yesterday Rule notes in the Rotation Rules topic. The Yesterday rules are simple pass / fail mechanisms and are scored at 100 for a pass and 60 for a fail. Double-clicking this rule in the priority list will open the Rotation Rules window.

Attribute Specific Legacy Rule Priorities

This option will separate the Legacy Rules by Attribute in the Goals | Priorities window. If the primary Rule is used, it enables the rule for all attributes, however if a separate rule is used for a specific attribute then the rule only focuses on songs/links with that attribute. If Minimum Separation is in Goals | Priorities list, it works as before (pre 4.3.2) and enables MinSep for all attributes. If Minimum Separation Artist is in Goals | Priorities and Minimum Separation is not on the list, then songs will only get MinSep for artists. If both are in Goals | Priorities, then Minimum Separation Artist can be at one priority and Minimum Separation (covering all other attributes) can be at another making this a very powerful tool. This option is enabled in the Setup | Station | Features | Advanced tab.

Link Protection

The Link Protection column is used to protect songs against links for Spread Goals and Minimum Separation. This option will protect against songs and links with like attributes from being scheduled next to each other. When a checkbox in the column is set, attribute values are spread between the element types. For example, if Link Protection is checked for Sound Code Spread in the song Priority List, when scheduling songs GSelector will spread Sound Code attributes across both songs and links. There are also Link Protection and Song Protection checkboxes for Minimum Separation. These apply to those attributes which are common between songs and links such as Energy or Genre.

Across Regions

The Across Regions column is used to respect or ignore Daypart Regions. When a checkbox in this column is set, the associated goal or rule will consider plays in any region. When a checkbox in the column is cleared, the associated goal or rule will ignore plays in all regions except the region being scheduled.

Fixed Failure Value

This feature provides precise control over the scoring of Legacy Rules failures in GSelector. Previously if a Legacy Rule was declared Unbreakable, all failures of the rule would score 0. When this feature is enabled the priority list will have a new “middle ground” known as ‘Fixed’ where a score can be specified for rule failures. To enable this feature, select the User Defined Priority Scoring option in the Station | Features | Advanced tab. When the User Defined Priority Scoring is enabled a new Value column in the right pane is shown. This column shows the Fixed Failure value when a goal is set as Fixed. Legacy Rules and Segue Bans can be set as Fixed when added or by right-clicking the goal field and selecting Fixed. The selected rule will appear in the Fixed portion of the priority list, between Unbreakable and Breakable. Use the arrow [image] buttons in the Value column to adjust the Failure value. When the Value is adjusted the graphical representation in the Goal Importance column will also change. If current scheduling includes a heavy dose of Legacy Rules set to Unbreakable, this enhancement offers a mechanism to create less unscheduled positions or to widen the pool of available songs when there are multiple Legacy Rule failures.

Weighted Score

The default Priority List contributes to scoring in the sense that users specify one priority as being more important than others. However, this accounts for ranking only. The Weight Scoring allows the user to declare, by percentage, the relative importance of the goals. The Weight of the goal can be used to tell the system that Song Linear is much more important than Vocalist Spread. The Weight column is displayed when the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled. This column replaces the Priority ranking column and allows the user to adjust the rank or the goal using a percentage scoring value. Only Breakable goals can be given a weight score. Use the arrow [image] buttons in the Weight column to adjust the score. When the weight is adjusted the graphical representation in the Goal Importance column will also change.

Topic Overview: Priorities window

Working in this window

The Process described

Add a Priority List

Edit a Priority List

Delete a Priority List

Cancel Changes

Copy a Priority List

Adding Priorities to a Priority List

Adding a Spread Goal

Adding a Segue Ban

Adding a Goal

Adding a Legacy Rule

Delete a Priority

Setting Breakable and Unbreakable Priorities

Setting a Goals Priority

Setting Fixed Failure Value

Setting Weight Score

Sharing equal priorities - Tied Goals

Applying a Score Threshold

Advanced Features

Specifying Vocalist instead of Artist Spread

Separate Linear and Radial Goals

Allow Removal of Fixed Priorities

Implementing Timing Goal Scheduling

See also the notes for the Segue Ban window.

The Process Described

  1. Click the Goals, then the Priorities tab.
  2. In the Definition tab, click Add Priority List [image].
  3. Name the Priority List.
  4. Optionally select Reverse Schedule to use the Priority List for Reverse Scheduling.
  5. Click OK to close the Add Priority List window.
  6. Add Priorities to the List.
  7. Each new Goal is added to the list immediately above the selected Cursor position.
  8. Then set the Goals Priority.
  9. Edit the list by dragging the Goal to a new place in the list to order, or use the Re-Order [image] buttons to adjust the Priority rank of the Goal.
  10. Optionally separate out Linear and Radial Spread goals before ordering.
  11. Optionally remove Fixed status from all Goals before ordering or removing Goals from the list.
  12. Finally, click the Save button to save the changes.
  13. Assign the Priority List in the Assignment tab

Add Priority List

  1. Click the Goals, then the Priorities tab.
  2. Select the Definition tab
  3. Click Add Priority List [image].

  4. Enter a Name for the Priority List.
  5. Optionally, select Reverse Schedule to use the Priority List for Reverse Scheduling
  6. Optionally, select Apply Content Rule.
  7. Click OK to close the Add Priority List window.
  8. Add Priorities to the List.

Edit Priority List

To edit the Priority List, click the Edit [image] button or double-click the desired list. Using the following illustrated window the user can change the name, select Reverse Schedule and optionally enable the Content Rule.

Deleting Priority List

Select the Priority List to delete. Click the Delete Priority List [image] button. The deleted Goals in the Priority List are deleted from assigned Dayparts and Categories of that Priority List.

Cancel Changes

Click the Cancel [image] button to return the window to its last saved state.

Copy Priority List

To Copy an existing Priority List, select the list to copy and click the Copy [image] button. The following Copy Priority window will open to enter a name, optionally select Reverse Schedule and optionally enable the Content Rule.

Note: If the user specifies an existing name when copying a priority list, the user will be prompt to overwrite the existing list.

Add Priorities to a Priority List

A Priority can be added to a Priority List using the green Add Priority [image] button to select priorities from a list of all the priorities available or by selecting the down arrow next to the green add button, then selecting a Priority Type such as Spread, Segue Ban, Legacy Rule or Goal. Each type will list the Priorities available in that group.

Add Spread Goal Priority

Add Segue Ban Priority

Add Goal Priority

Add Legacy Rotation Rules

Add a Spread Goal Priority
  1. Click the Goals, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Spread from the menu options

  6. The Goals available to select are Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. or Participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. goals.
  7. Click the OK button to place the selected Spread Goal in the Priority List.
  8. All other Goals move down in the List.
  9. Click the Save button to save the changes.
  10. See the Setting a Goals Priority notes for how to order the Goals.
  11. Once added, a Spread Priority works on Assigned dayparts and categories.

Add Segue Ban Priority
  1. Click the Goals, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Segue Ban from the menu options

  6. Select a Segue Ban from the list of predefined Segue Bans.
  7. Optionally select Unbreakable or Fixed. The Fixed Option is only available when the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled.
  8. Click the OK button to place the selected Segue Ban in the Priority List.
  9. All other Goals move down in the List.
  10. Click the Save button to save your changes.
  11. See the Setting a Goals Priority notes for how to order the Goals.
  12. Once added, a Segue Ban Priority works on Assigned dayparts and categories.

Add Goal Priority
  1. Click the Goals, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Goal from the menu options

  6. Select a Goal from the list.
  7. Click the OK button to place the selected Goal in the Priority List.
  8. All other Goals move down in the List.
  9. Click the Save button to save your changes.
  10. See the Setting a Goals Priority notes for how to order the Goals.
  11. Once added, a Goal Priority works on Assigned dayparts and categories.

Add Legacy Rotation Rules
  1. Click the Goals, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Legacy Rule from the menu options

  6. Select a Legacy Rotation Rule from the list.
  7. Optionally select Unbreakable
  8. Click the OK button to place the selected Rule in the Priority List.
  9. All other Goals move down in the List.
  10. Click the Save button to save your changes.
  11. See the Setting a Goals Priority notes for how to order your Goals.
  12. Once added, a Legacy Rotation Rule works on Assigned dayparts and categories.

Deleting a Priority

Select the Priority to delete from the desired Priority List. Click the Delete Priority [image] button. You cannot delete the fixed Song Linear, Song Radial, and Daypart Goals without first removing the Fixed status. A deleted Goal is deleted from assigned Dayparts and Categories for the Priority List.

Setting Breakable and Unbreakable Priorities

The Segue Ban and Legacy Rules can be set as Breakable or Unbreakable. You can set this status by simply dragging the desired goal to the Unbreakable or Breakable section of the Priorities pane, right clicking and selecting the Unbreakable or Breakable or by selecting the Unbreakable checkbox when Adding the Priority.

Setting a Goals Priority

The Goal List in the Priorities pane displays the Priority rank of the selected goals. Place the most important Goal at the top, and the next most important Goals beneath, sorting all the Goals in order of importance, down to the least important Goal. GSelector works intelligently with the list of Gaols to generate the best scheduling results. If the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled the rank arrows in the toolbar are hidden and the rank column is replace with a Weight and Goal Importance column.

To rank Goals by priority:

  1. Select a Goal.
  2. Click the Toolbar re-order [image] buttons to change the Priority rank of the Goal. See the Setting a Goals Weight Score if these reorder buttons are hidden.
  3. Repeat as necessary.
  4. Alternately, click a Goal and drag to a new place in the list.
  5. Finally, click the Save button in the toolbar.

When a Goal is added from the Add Priority window, it is added to the position immediately above the cursor. Use the re-order buttons to move it up or down in the list or click and drag the goal to a new place in the Priority pane. To edit a Priority list, simply select one or more Goals and move them as described above, and continue until the list is in the desired order. The color bands in the pane show the sequence of Goals in the list, but they can also serve to show tied Goals, or Goals of equal priority. To see how color bands work with tied Goals, see the illustration above.

Setting Fixed Failure Value

When the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled the Legacy Rules and Segue Bans can be set as Fixed with a Fixed Failure Value.

  1. Select an existing Legacy Rule or Segue Ban.
  2. Right-click the selected goal.

  3. Select Fixed from the resulting menu.
  4. Use the arrow [image] buttons in the Value column to adjust the Fixed Failure value. When the value is adjusted the graphical representation in the Goal Importance column will also change.

Setting a Goals Weight Score

When the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled the rank arrows in the toolbar are hidden and the rank column is replace with a Weight and Goal Importance column.

To rank Goals using a Weight Score:

  1. Select a Goal.
  2. Use the arrow [image] buttons in the Weight column to adjust the score. When the weight is adjusted the graphical representation in the Goal Importance column will also change.
  3. Repeat as necessary.
  4. Finally, click the Save button in the toolbar.

Giving two or more Goals equal priority

If the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled the untie option is not visible.

To tie Goals together:

  1. Select a Goal
  2. Right-click the Goal in the Goal column.

  3. Select Tie Above or Tie Below from the resulting menu.

In this illustration, Daypart and Clock Goal have been tied together. This means they will be treated as having equal importance. All tied Goals share the same color band to indicate that they share equal priority. To untie tied Goals, right-click the goal again and select the untie option.

Applying a Score Threshold

Click the Threshold [image] toolbar button to access the Scheduling Score Threshold and the Attribute Fallback Score Threshold for Songs.

A Fallback attribute is an attribute that GSelector can fallback to if the normal attribute scores too low to be scheduled.

For Example: A Song is normally genre “Dance” but could be treated as genre “Crossover” in a scheduling pinch because of the fallback attribute. Attribute Fallback Score Threshold is set to 65. The Scheduler will treat the song as “Dance” unless the song scores below 65, then it will treat the song as “Crossover” and test it again.

Fallback Attributes can be defined in the Attributes tab of the Setup | Station | Features window.

Rotation Rules button

This button allows you to access the Rotation Rules window where you can enter settings for any of the Rotation Rules which have been added to a Priority List in the this definition window.

Advanced Features

GSelector's default install mode provides for key Goals to be fixed in Song and Link Priority lists, and combines Radial One of two components of spread goals. Radial Spread affects positions in different days, in the future and the past, as opposed to Linear Spread, which covers positions in the same day. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. and Linear One of two components of any spread goal. Linear Spread affects positions in the same day, as opposed to Radial Spread, which covers positions in different days. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. spread elements into the Artist or Vocalist Spread Goals. These settings can be modified if required.

Separate Linear and Radial Goals

Combine Linear and Radial goals back into Spread Goals

Remove Fixed status from Goals in the Priority list

Restore Fixed Goals status

See also Specifying Vocalist instead of Artist Spread

Separate Linear and Radial Goals

Spread Goals have two primary components. Linear Spread affects positions in the same day, working across the day. Radial Spread affects positions close to the current position, working across several days. In GSelector's default mode, these two components are combined for all Goals apart from Song Linear and Song Radial. However, these goals can be separated, and then rank them individually to suit programming needs.

To separate Linear and Radial spread Goals:

  1. Access the Setup Station Features window.
  2. Check the Separate Linear and Radial Spread Goals Checkbox in the Advanced section of the window.
  3. Click the Save button.
  4. Return to the Priorities window, where all assigned Spread Goals have been separated out into their Linear and Radial components.

  5. Note the Fixed Goals stay fixed unless the options to remove Fixed Priorities is enabled.
  6. Re-Order Priorities as required.

Combine Linear and Radial goals back into Spread Goals

To recombine all Linear and Radial Spread Goals back into Spread Goals, access the Setup Station Features window, and uncheck the Separate Linear and Radial Spread Goals Checkbox in the Advanced section of the window. This will affect Song and Link Goals

Remove Fixed status from Goals the Priority list

The Priorities window, in default install mode, provides six Fixed Goals. Fixed Goals cannot be removed from the Priorities list, although they can be ordered to suit your requirements. To remove this setting:

  1. Access the Setup Station Features window.
  2. Check the Remove Fixed Priorities box in the Advanced section.
  3. Click the Save button.
  4. Return to the Priorities window, where the Fixed indicators are removed.

  5. Now any Goal can be deleted from the Priority List.

Restore Fixed Goal Status

To restore Fixed Goal status in the Priority windows, access the Setup Station Features window, and deselect the Remove Fixed Priorities box in the Advanced section of the window. Any Goals that have been deleted from the Priority list are restored according to default settings. This will affect Song and Link Goals.

Implementing Timing Scheduling
  1. In the Goals | Priorities Definition window create a new Priority List
  2. Add the Timing Goal to the Priority List at the level desired. For greater precision place the goal higher in the list.
  3. Assign the new Priority List to the Category Groups that GSelector is to time. These should be Category Groups scheduled with the highest Pass Order values. These Category Groups should contain a good number of songs so GSelector will have more choices for timing purposes.
  4. In Clocks, design Clocks with Reset Exact Time Markers (see the notes here).

Topic Overview: Priorities window


Link Goals Priorities

The Link Goals Priorities window is Link Priority Lists are defined and assigned to Dayparts, Categories and Related Links A Related Link has a defined association with one or more Songs. The association is defined in the Link window, and is used by the Scheduler with Leading or Trailing Link Clock positions placed next to a Song position.. In the Definition tab, Link Spread Goals, Segue Bans, Legacy Rotation Rules and Goals are implemented and ranked. Use this tab to select Spread Goals, Segue Bans, Legacy Rotation Rules and Goals, and then specify how important they are, by placing them in order of Priority. GSelector's default install mode provides for key Goals to be fixed in a Default Link Priorities list, that combines Radial One of two components of spread goals. Radial Spread affects positions in different days, in the future and the past, as opposed to Linear Spread, which covers positions in the same day. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. and Linear One of two components of any spread goal. Linear Spread affects positions in the same day, as opposed to Radial Spread, which covers positions in different days. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. spread elements into the Artist or Vocalist Spread Goals. In the Assignment tab these Priority List are assigned to Dayparts, Link Category Groups and Related Links. This window works similarly to the Goals Priorities window for Songs.

Accessing this Window

Fixed Goals

Features in this Window

Definition

Assignment

Working in the Priorities window

See also the notes for the Link Goals Segue Ban window.

Topic Overview: Link Goals Priorities

Accessing this window

NOTE: If the Linker windows are not visible the license maybe expired or invalid. Contact RCS Support for assistance. Also see the Licensing topic for details.

Click the Linker tab, then Link Goals, then Priorities, to access a window similar to this detail illustration. When this window is first accessed two lists are visible, the Default Link Priorities list and the Related Link Priorities list. These lists contain six Fixed Goals, recommended for good rotation, and marked with an asterisk. The default install mode is for these to be fixed in the window. See the notes below for information on removing these Fixed Goals. If the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled, the Ranking column is removed and a Weight column is added to the Priorities pane with a graphical representation of the Goal Importance. A Fixed option is also added allowing the user to set the Legacy Rules as fixed and define a score value.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Link Goals Priorities

Priorities Window Features

Fixed Goals

Definition

Find (CTRL+F)

Priority Lists

Lists Toolbar

Content

Priorities pane

Pane Toolbar

Assignment

Toolbar

Priorities List Assignment

Fixed Goals

When first accessed the Link Goals Priorities window, the default GSelector setting is to display five fixed Link Linear One of two components of any spread goal. Linear Spread affects positions in the same day, as opposed to Radial Spread, which covers positions in different days. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. and Radial One of two components of spread goals. Radial Spread affects positions in different days, in the future and the past, as opposed to Linear Spread, which covers positions in the same day. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals., Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks., Clock A Clock contains the programme elements needed for a broadcast hour. Clocks vary according to the requirements for the selected hour. Users can define as many clocks as needed. Clocks are assigned to Hours in Clock Assignment Grids. and Packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet. Spread Goals in the Default Link Priorities List, with their status marked with an asterisk. They provide even separation for all Links. The two Link spreads work together, while the Daypart Goal ensures even rotation for links through all the dayparts. Optionally the fixed Priority status of the Link Goals Priorities and Song Goals Priorities can be changed. See the Remove Fixed Priority Status notes in this topic.

Definition

The Definition tab is divided into two panes the left pane lists the Priority Lists and the right pane lists the Breakable, Unbreakable and Fixed priorities in the list selected. In this tab, select Spread Goals, Segue Bans, Legacy Rotation Rules and Goals, and then specify how important these are, by placing them in order of Priority. GSelector's default install mode provides for key Goals to be fixed in Priority lists, and combines Radial One of two components of spread goals. Radial Spread affects positions in different days, in the future and the past, as opposed to Linear Spread, which covers positions in the same day. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. and Linear One of two components of any spread goal. Linear Spread affects positions in the same day, as opposed to Radial Spread, which covers positions in different days. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. spread elements into the Artist or Vocalist Spread Goals. These settings can be modified if required.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in both panes of this window, simply click the pane and press the CTRL+F keys on the keyboard. The Find option is also available in the Assignment tab.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Priority Lists

The Priorities Lists pane holds created priorities lists. These Lists are then assigned to Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks.s and Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups. in the Priorities Assignment tab. The Default Link Priorities list and the Related Link Priorities list are created by default for each station. The Related Link Priorities list is used for related links such as Leading In Clocks and the Editor, a Leading Link position is placed before a Song position. If Links exist that have a Relationship to the Song that is scheduled in that position, a Link can be be scheduled in the Leading Link position. For each Link, the relationship is defined in the Link window, associating the Link to Songs by Artist or Theme., Trailing In Clocks and the Editor, a Trailing Link position is placed after a Song position. If Related Links exist that have a Relationship to the Song that is scheduled in that position, a Link can be be scheduled in the Trailing Link position. For each Link, the relationship is defined in the Link window, associating the Link to Songs by Artist or Theme. and Fly-In Links.

Click any area in this image for help

Click any area in this image for help

Priority List Toolbar

The Priorities List toolbar is used to add, edit, delete, or copy Priority Lists, the toolbar is also used to save or cancel your changes, and apply a Link score Threshold.

Content

Content is a Rule that is primarily used by those stations under governments that require a certain count or percentage of a station’s content to be of local origin. To apply the Content Rule double-click the Priority List to use and select the Apply Content Rule option.

When the Content Rule is used, it looks at the defined Content Rules, to find links with a matching Content Attribute, to achieve the desired ratio of local to non-local origin.

The Priorities pane

This pane shows the fixed Goals. Spread Goals, Rules, Segue Bans and Goals added to the selected Link Priority List, the order in which they have been ranked by Priority or a user defined weight score, if they are protected against Songs, if they are protected Across Regions, and a graphical representation of the Goal Importance. The default install setting is to display six breakable fixed Goals and two suggested unbreakable goals. For any Goal, Rule or Segue Ban in this list, GSelector will spread Links evenly for best rotation through the schedule, or will spread by the relevant designated attributes for each Goal. GSelector prioritizes each goal, rule or segue ban by the order in this pane, from the top down to the bottom, in the numbered order shown. The user can further rank these breakable goals using a weighted score by enabling the User Defined Priority Scoring option in the Station | Features | Advanced tab as seen in the following image. See the notes on Setting a Goals Priority and Setting a Goals Weight Score for how to order the priorities added. Double-clicking a goal in the priority list will open a corresponding settings window for the goal.

Priorities Pane Toolbar

The Priorities pane toolbar is used to add or delete Goals, Rules and Segue Bans, and to reorder the sequence (see Setting a Goals Priority in this topic). If User Defined Priority Scoring is enabled, in Setup | Station | Features | Advanced tab, the reorder arrows [image] are hidden.

A Priority can be added to a Priority List using the green Add Priority [image] button to select priorities from a list of all the priorities available or by selecting the down arrow next to the green add button, then selecting a Priority Type such as Spread, Segue Ban, Legacy Rule or Goal. Each type will list the Priorities available in that group. Segue Bans and Legacy Rotation Rules can be set as Breakable or Unbreakable. When one of these Priorities is set as Unbreakable, GSelector will observe that rule even if this leads to a position being unscheduled, and will ignore all Spread Goals. When one of these Priorities is set as Breakable, GSelector will break the rule if the settings would lead to a position being unscheduled, and will consider all Spread Goals as prioritized in this window in the usual way.

Song Protection

The Song Protection column is used to protect links against songs for spread goals and Minimum Separation. This option will protect against links and songs with like attributes from being scheduled next to each other. When a checkbox in the column is set, attribute values are spread between the element types. There are also Link Protection and Song Protection checkboxes for Minimum Separation. These apply to those attributes which are common between songs and links such as Energy or Genre.

Across Regions

The Across Regions column is used to respect or ignore Daypart Regions. When a checkbox in this column is set, the associated goal or rule will consider plays in any region. When a checkbox in the column is cleared, the associated goal or rule will ignore plays in all regions except the region being scheduled.

Fixed Failure Value

This feature provides precise control over the scoring of Legacy Rules failures in GSelector. Previously if a Legacy Rule was declared Unbreakable, all failures of the rule would score 0. When this feature is enabled the priority list will have a new “middle ground” known as ‘Fixed’ where a score can be specified for rule failures. To enable this feature, select the User Defined Priority Scoring option in the Station | Features | Advanced tab. When the User Defined Priority Scoring is enabled a new Value column in the right pane is shown. This column shows the Fixed Failure value when a goal is set as Fixed. Legacy Rules and Segue Bans can be set as Fixed when added or by right-clicking the goal field and selecting Fixed. The selected rule will appear in the Fixed portion of the priority list, between Unbreakable and Breakable. Use the arrow [image] buttons in the Value column to adjust the Failure value. When the Value is adjusted the graphical representation in the Goal Importance column will also change. If current scheduling includes a heavy dose of Legacy Rules set to Unbreakable, this enhancement offers a mechanism to create less unscheduled positions or to widen the pool of available links when there are multiple Legacy Rule failures.

Weighted Score

The default Priority List contributes to scoring in the sense that users specify one priority as being more important than others. However, this accounts for ranking only. The Weight Scoring allows the user to declare, by percentage, the relative importance of the goals. The Weight of the goal can be used to tell the system that Link Linear is much more important than Packet Spread. The Weight column is displayed when the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled. This column replaces the Priority ranking column and allows the user to adjust the rank or the goal using a percentage scoring value. Only Breakable goals can be given a weight score. Use the arrow [image] buttons in the Weight column to adjust the score. When the weight is adjusted the graphical representation in the Goal Importance column will also change.

Assignment

The Link Goals Priorities Assignment tab is where you assign your defined Link Goals Priority Lists to Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks., Category Groups A group of categories, generally containing songs or links that are similar in nature or function, depending on scheduling requirements; Category Groups are used in scheduling. and Related Links.

Click any area in this image for help

Click any area in this image for help

Assignment Toolbar

The Assignment toolbar can be used to add, delete, save or cancel changes to an assignment. The toolbar also allows the user to change what is showing in the grid by using the Show Active Priority List Assignments/Show All Priority List Assignments button. All Inactive Priority List Assignments can be easily deleted from the toolbar.

Priority List Assignment window

The Priority List Assignment window is displayed when the Add Priority List button is selected in the Assignment tab. First, select the Priority List to use, then which Dayparts to include in the Assignment. As the dayparts are selected the Category Groups shown in the right pane will show in green italics if they are active in a clock in that daypart. Use the right pane to select the Category Group for the daypart selected. There is also the option to Select All dayparts and Category groups at the bottom of each section in this window. An assignment is created for each Daypart and Category Group selected.

Assignment Grid

The Assignment grid can be used to easily see what Link Category Groups are assigned to what Daypart, Priority List and Pass Order. The Grid is grouped by Dayparts showing the Priority List and Pass Order for each Category Group. Use the + and - to the left of the Daypart to expand and contract the daypart groups. Click the column headers to sort the list by a specific column.

Active

The Active column in the Assignment Grid shows a check for those Category Groups that are active in a clock. The Category Groups that do not have a check in the Active column are assigned to the Priority List but are not active in a clock.

Value

The Value column shows the Category Groups assigned to the Daypart.

Priority List

The Priority List has a drop-down for each Category Group allowing the user to easily change the Priority List used by the Category Group.

Pass Order

The Pass Order Column shows the Pass Order number assigned to the Category Group in the Category Group Settings window.

Topic Overview: Link Goals Priorities

Working in the Priorities window

The Process described

Add a Link Priority List

Edit a Link Priority List

Delete a Link Priority List

Copy a Priority List

Add Priorities to a List

Deleting Priorities from a List

Setting a Goals Priority

Tying Goals

Create a Priority List Assignment

Change a Priority List Assignment

Delete an Assignment

Show Active Priority List Assignments

Show All Priority List Assignments

Delete Inactive Priority List Assignments

Separate Linear and Radial Spread Goals

Combine Linear and Radial Goals back into Spread Goals

Remove Fixed Goal Status

Restore Fixed Goal Status

The Process Described
  1. Click the Link Goals from the Linker tab, then the Priorities tab.
  2. Select the Definition tab.
  3. Click Add Priority List [image].
  4. Click OK to close the Add Priority List window.
  5. Add Priorities to the List.
  6. Each new Goal is added to the list immediately above the selected Cursor position.
  7. Then set the Priority as described below.
  8. Edit the list by dragging the Goal to a new place in the list to order, or use the Re-Order buttons to reorder or tying Goals together.
  9. Optionally separate out Linear and Radial Spread goals before ordering.
  10. Optionally remove Fixed status from all Goals before ordering or removing Goals from the list.
  11. Finally, click the Save button to save your changes.
  12. Assign the Priority List in the Assignment tab
  13. Create the Priority List Assignment

Add Priority List
  1. Click the Link Goals from the Linker tab, then the Priorities tab.
  2. Select the Definition tab
  3. Click Add Priority List [image].

  4. Enter a Name for the Priority List.
  5. Optionally, select Apply Content Rule.
  6. Click OK to close the Add Priority List window.
  7. Add Priorities to the List.

Edit Priority List

To edit the Priority List, click the Edit button or double-click the desired list. Using the following illustrated window the user can change the name, select Reverse Schedule and optionally enable the Content Rule.

Deleting Priority List

Select the Priority List to delete. Click the Delete Priority List button. The deleted Goals in the Priority List are deleted from assigned Dayparts and Categories of that Priority List..

Save Changes

After making changes to this window, the Save button is activated. Click to confirm the changes. if the user leaves the window without saving the changes, they are prompted to confirm or discard the changes.

Cancel Changes

Click the Cancel button to return the window to its last saved state.

Copy Priority List

To Copy an existing Priority List, select the list to copy and click the Copy button. The following Copy Priority window will open to enter a name and optionally enable the Content Rule.

Add Priorities to a Priority List

A Priority can be added to a Priority List using the green Add Priority [image] button to select priorities from a list of all the priorities available or by selecting the down arrow next to the green add button, then selecting a Priority Type such as Spread, Segue Ban, Legacy Rule or Goal. Each type will list the Priorities available in that group.

Add Spread Goal Priority

Add Segue Ban Priority

Add Goal Priority

Add Legacy Rotation Rules

Add a Spread Goal Priority
  1. Click the Link Goals from the Linker tab, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Spread from the menu options

  6. Select one of the Spread Goals
  7. Click the OK button to place the selected Spread Goal in the Priority List.
  8. All other Goals move down in the List.
  9. Click the Save button to save your changes.
  10. See the Setting a Goals Priority notes for how to order your Goals.
  11. Once added, a Spread Priority works on Assigned dayparts and categories. For full details on how Spread Goals work, see the About Spread Goals notes in the Song Priorities window topic.

Add Segue Ban Priority
  1. Click the Link Goals from the Linker tab, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Segue Ban from the menu options

  6. Select a Segue Ban from the list of predefined Segue Bans.
  7. Optionally select Unbreakable
  8. Click the OK button to place the selected Segue Ban in the Priority List.
  9. All other Goals move down in the List.
  10. Click the Save button to save your changes.
  11. See the Setting a Goals Priority notes for how to order your Goals.
  12. Once added, a Segue Ban Priority works on Assigned dayparts and categories.

Add Goal Priority
  1. Click the Link Goals from the Linker tab, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Goal from the menu options

  6. Select a Goal from the list.
  7. Click the OK button to place the selected Goal in the Priority List.
  8. All other Goals move down in the List.
  9. Click the Save button to save your changes.
  10. See the Setting a Goals Priority notes for how to order your Goals.
  11. Once added, a Goal Priority works on Assigned dayparts and categories.

Add Legacy Rotation Rules
  1. Click the Link Goals from the Linker tab, then the Priorities tab.
  2. Select the Definition tab
  3. Add, Copy or Select the Priority List to add a Priority
  4. Select the down Arrow next to the green Add Priority [image] button.

  5. Select Legacy Rule from the menu options

  6. Select a Legacy Rotation Rule from the list.
  7. Optionally select Unbreakable
  8. Click the OK button to place the selected Rule in the Priority List.
  9. All other Goals move down in the List.
  10. Click the Save button to save your changes.
  11. See the Setting a Goals Priority notes for how to order your Goals.
  12. Once added, a Legacy Rotation Rule works on Assigned dayparts and categories.

Deleting a Priority

Select the Priority to delete from the desired Priority List. Click the Delete Priority button. You cannot delete the fixed Link Linear, Link Radial, and Daypart Goals without first removing the Fixed status. A deleted Goal is removed from assigned Dayparts and Categories for the Priority List.

Setting Breakable and Unbreakable Priorities

The Segue Ban and Legacy Rules can be set as Breakable or Unbreakable. You can set this status by simply dragging the desired goal to the Unbreakable or Breakable section of the Priorities pane, right clicking and selecting the Unbreakable or Breakable or by selecting the Unbreakable checkbox when Adding the Priority.

Setting a Goals Priority

The Priority List in the Priorities pane displays the order of the selected priorities. Place your most important Goal at the top, and your next most important Goals beneath, sorting all the Goals in order of importance, down to your least important Goal. GSelector works intelligently with your list of Priorities to generate the best scheduling results.

To re-order Goals by priority:

  1. Select a Goal.
  2. Click the Toolbar up or down [image] buttons to move the Goal. See the Setting a Goals Weight Score if these reorder buttons are hidden.
  3. Repeat as necessary.
  4. Alternately, click a Goal and drag to a new place in the list.
  5. Finally, click the Save button in the toolbar.

Setting Fixed Failure Value

When the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled the Legacy Rules and Segue Bans can be set as Fixed with a Fixed Failure Value.

  1. Select an existing Legacy Rule or Segue Ban.
  2. Right-click the selected goal.

  3. Select Fixed from the resulting menu.
  4. Use the arrow [image] buttons in the Value column to adjust the Fixed Failure value. When the value is adjusted the graphical representation in the Goal Importance column will also change.

Setting a Goals Weight Score

When the User Defined Priority Scoring option in the Station | Features | Advanced tab is enabled the rank arrows in the toolbar are hidden and the rank column is replace with a Weight and Goal Importance column.

To rank Goals using a Weight Score:

  1. Select a Goal.
  2. Use the arrow [image] buttons in the Weight column to adjust the score. When the weight is adjusted the graphical representation in the Goal Importance column will also change.
  3. Repeat as necessary.
  4. Finally, click the Save button in the toolbar.

Giving two or more Goals equal priority

In this illustration, Link Linear Spread has been moved to the top of the list of Goal Priorities, and Link Radial and Daypart spread have been tied together. This means they will be treated with equal importance. All tied Goals share the same color band to indicate that they share equal priority.

To tie Goals together, select the Goal and right-click. The menu option opens up to allow you to tie the selected Goal to the Goal above or below. You can tie as many Goals together as you wish. You can also untie tied Goals, again by right-clicking and selecting the untie option.

Applying a Score Threshold

Click the Threshold [image] toolbar button to access the Scheduling Score Threshold and the Attribute Fallback Score Threshold for Links.

A Fallback attribute is an attribute that GSelector can fallback to if the normal attribute scores too low to be scheduled.

For Example: A Link is normally Content “A” but could be treated as Content “B” in a scheduling pinch because of the fallback attribute. Attribute Fallback Score Threshold is set to 65. The Scheduler will treat the link as “A” unless the link scores below 65, then it will treat the link as “B” and test it again.

Fallback Attributes can be defined in the Attributes tab of the Setup | Station | Features window.

Create the Priority List Assignment
  1. Click the Link Goals from the Linker tab, then the Priorities tab.
  2. Select the Assignment tab
  3. Select the Add Priority List [image] button

  4. Select the Priority List to Assign.
  5. Select the desired Dayparts, optionally Select All
  6. Select the desired Link Category Groups, optionally Select All
  7. Click OK
  8. Click Save to save the Assignments

Change a Priority List Assignment

To change a Priority List assignment for a Category Group simply use the drop-down in the Priority List column to select a different Priority List.

Delete an Assignment

To delete an Assignment, click the Delete Priority List [image] button from the Assignment tab toolbar.

Show Active Priority List Assignments

Use the Show Active Priority List Assignments button [image] to Show only those Priority List with Link Category Groups with demand in a Clock assignment. This button will change to a Show All Priority List Assignments button [image] when clicked.

Show All Priority List Assignments

Use the Show All Priority List Assignments button [image] to show all active and inactive Priority Lists in the Assignment Grid. This button will change to a Show Active Priority List Assignments button [image] when clicked.

Delete Inactive Priority List Assignments

The Delete Inactive Priority List Assignments button [image] can be used to remove any Priority List assignments for inactive Link Category Groups.

Separate Linear and Radial Spread Goals

Spread Goals have two primary components. Linear Spread affects positions in the same day, working across the day. Radial Spread affects positions close to the current position, working across several days. In GSelector's default mode, these two components are combined for all Goals (apart from Link Linear and Link Radial, which are freestanding Goals by default).

To separate Linear and Radial spread Goals:

  1. Access the Setup Station Features window.
  2. Check the Separate Linear and Radial Spread Goals Checkbox in the Advanced section of the window.
  3. Click the Save button.
  4. Return to the Link Priorities window, where all assigned Spread Goals have been separated out into their Linear and Radial components, each tied with the same priority level.

  5. Note the Fixed Goals stay fixed unless the option to Remove Fixed Priorities is also selected.
  6. Re-Order Priorities as required.

Combine Link Linear and Radial Goals back into Spread Goals

To recombine all Link Linear and Radial Spread Goals back into Spread Goals, access the Setup Station Features window, and uncheck the Separate Linear and Radial Spread Goals Checkbox in the Advanced section of the window. This will affect Song and Link Goals

Remove Fixed status from Goals the Priority list

The Link Goals Priorities window, in default install mode, provides five Fixed Goals. Fixed Goals cannot be directly removed from the Priorities list, although they can be ordered to suit your requirements.
To remove Fixed Goals:

  1. Access the Setup Station Features window.
  2. Check the Remove Fixed Priorities box in the Advanced section.
  3. Click the Save button.
  4. Return to the Link Goals Priorities window, where the Fixed indicators are removed.

  5. You can now delete any Goal from the Priority List.

Restore Fixed Goal Status

To restore Fixed Goal status in the Priority windows, access the Setup Station Features window, and uncheck the Remove Fixed Priorities box in the Advanced section of the window. Any Goals you have deleted from the Link Goals Priority list are restored to their initial default settings. This will affect Song and Link Goals.

Topic Overview: Link Goals Priorities


Parameters window

The Parameters window is used to adjust the Editor Test Bar appearance parameters by setting a Score Threshold for Songs and Links, setting a Turnover Threshold for Songs, Links, Artist and Vocalist, change the Test Bar Appearances Threshold and set the F8 Navigation parameters.

Accessing this window

Features in this window

Accessing this window

From the Editor, click the Parameters [image] button in the toolbar.

Click any area in the Parameters image for help for that area

Click any area in the Parameters image for help for that area

Features in this window

Song/Link Score Threshold

Setting a Score Thresholds

Turnover Thresholds

Test Bar Appearances Threshold

Show Test Bar Entries on Single Line

F8 Navigation

Song/Link Score Threshold

The Score Threshold options at the top of the parameters window are used to specify the lowest acceptable score for Songs and Links that will be visible in the Consideration window in the Editor. If the lowest score of any goal is less than the threshold, the song or link will not be shown in the Consideration window of the Editor.

Setting Score Thresholds
  1. For Songs or Links, select the Enable checkbox so it is checked.
  2. Enter a Score value.
  3. Click the Apply button to implement the threshold setting and return to the Editor window.

Turnover Thresholds

The Turnover Threshold section is used with the Show Linear Violations option in the Editor to dramatically call attention to songs, links, vocalists and/or artists which are rotating too quickly. These violations will trigger the highlighting of a complete line in the Editor where the violation occurs. Threshold is the maximum variance from the element’s or participant’s turnover allowed. For example, if a song’s turnover is 10 hours and the song Threshold is set to 80% the Appearance will be triggered if the song is repeated within less than 8 hours of another play. These Editor Appearances can be customized in the Global Settings Appearances tab.

Test Bar Appearances Threshold

The Editor Test Bar appearance can be customized based on the user's needs. The Selected column allows the user to select only those test parameters that they wish to view in the Editor Test Bar, they can place the test parameters in whatever order they need using the up [image] and down [image] buttons to the right of this pane.

Using color the user can be alerted when a threshold parameter is met. Start by assigning Appearances to the Test Bar items in the Tools | Global Settings | Appearances | Assignments window. Once Appearances have been defined, click the Parameters [image] toolbar button in the Editor to set a threshold for each Test Bar item.

When a given Test Bar item’s threshold is met, the Appearance will be applied to that item. This can help the user quickly spot issues as they navigate the schedule or check a song.

Show Test Bar Entries on Single Line

The information for each test parameter is by default in two lines, selecting the Show Test Bar Entries on a Single Line will adjust the window so each test parameter only uses one line making the window shorter and wider.

F8 Navigation

The F8 Navigation section is used to change the function of the F8 keyboard key when pressed. Click the Parameters [image] toolbar button in the Editor to change this default action. The F8 Navigation section has four possible options for navigation in the Editor when using the F8 keyboard key:

Category / Songs & Links - This is the default action of move to the next position of the same category for Songs and Links in the days log.

Category Group / Songs & Links - This option will move to the next position of the same category group for Songs and Links in the days log.

Category / Clock Request Types - This option treats each clock entry type separately. If a song is selected that was scheduled using the Song Category Group entry type then pressing F8 will move to the next position of the same category for the Clock Request Type, however if a song theme entry type is selected pressing F8 will find the next theme song, regardless of the category.

Category Group / Clock Request Types - This option also treats each clock entry type separately. If a song is selected that was scheduled using the Song Category Group entry type then pressing F8 will move to the next position of the same category group for the Clock Request Type, however if a song theme entry type is selected pressing F8 will find the next theme song, regardless of the category group.

Topic Overview: Parameters Window


Priorities tab: Assignment

The Priorities Assignment window is where the defined Priority Lists are assigned to Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. and Category Groups A group of categories, generally containing songs or links that are similar in nature or function, depending on scheduling requirements; Category Groups are used in scheduling..

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Priorities tab of the Goals tab then the Assignments tab, to access a window similar to this illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Priorities tab: Assignment

Features in this window

Assignment Toolbar

Find (CTRL+F)

Priority List Assignment window

Assignment Grid

Assignment Toolbar

The Assignment toolbar can be used to add, delete, save or cancel changes to an assignment. The toolbar also allows the user to change what is showing in the grid by using the Show Active Priority List Assignments/Show All Priority List Assignments button. All Inactive Priority List Assignments can be easily deleted from the toolbar.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Assignment list pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Priority List Assignment window

The Priority List Assignment window is displayed when the user clicks the Add Priority List button in the Assignment tab. First, select the Priority List to use, then which Dayparts to include in the Assignment. As the dayparts are selected the Category Groups shown in the right pane will show in green italics if they are active in a clock in that daypart. Use the right pane to select the Category Group for the daypart selected. There is also the option to Select All dayparts and category groups at the bottom of each section in this window. An assignment is created for each Daypart and Category Group selected.

Assignment Grid

The Assignment grid can be used to easily see what Song Category Groups are assigned to what Daypart, Priority List and Pass Order. The Grid is grouped by Dayparts showing the Priority List and Pass Order for each Category Group. Use the + and - to the left of the Daypart to expand and contract the daypart groups. Click the column headers to sort the list by a specific column.

Active

The Active column in the Assignment Grid shows a check for those Category Groups that are active in a clock. The Category Groups that do not have a check in the Active column are assigned to the Priority List but are not active in a clock.

Value

The Value column shows the Category Groups assigned to the Daypart.

Priority List

The Priority List has a drop-down for each Category Group allowing the user to easily change the Priority List used by the Category Group.

Pass Order

The Pass Order Column shows the Pass Order number assigned to the Category Group in the Category Group Settings window.

Topic Overview: Priorities tab: Assignment

Working in this window

Create a Priority List Assignment

Change a Priority List Assignment

Delete an Assignment

Cancel Changes

Save Changes

Show Active Priority List Assignments

Show All Priority List Assignments

Delete Inactive Priority List Assignments

Create the Priority List Assignment

  1. Click the Goals tab, then the Priorities tab.
  2. Select the Assignment tab
  3. Select the Add Priority List [image] button

  4. Select the Priority List to Assign.
  5. Select the desired Dayparts, optionally Select All
  6. Select the desired Song Category Groups, optionally Select All
  7. Click OK
  8. Click Save to save the Assignments

Change a Priority List Assignment

To change a Priority List assignment for a Category Group simply use the drop-down in the Priority List column to select a different Priority List.

Delete an Assignment

To delete an Assignment, click the Delete Priority List button [image] from the Assignment tab toolbar.

Cancel Changes

Click the Cancel button [image] to return the window to its last saved state.

Save Changes

If you make any changes working in this window, the Save button [image] is activated. Click to confirm your changes. if you leave the window without saving your changes, you are prompted to confirm or discard your changes.

Show Active Priority List Assignments

Use the Show Active Priority List Assignments button [image] to Show only those Priority List with Song Category Groups with demand in a Clock assignment. This button will change to a Show All Priority List Assignments button [image] when clicked.

Show All Priority List Assignments

Use the Show All Priority List Assignments button [image] to show all active and inactive Priority Lists in the Assignment Grid. This button will change to a Show Active Priority List Assignments button [image] when clicked.

Delete Inactive Priority List Assignments

The Delete Inactive Priority List Assignments button [image] can be used to remove any Priority List assignments for Song Category Groups with no demand.

Topic Overview: Priorities tab: Assignment


Rotation Rules window

In GSelector, to ensure good rotation, use spread goals derived from the natural demand in the library. This is designed to give the best possible separation, and for many users, this approach works very successfully. You can backstop this approach by applying one or more Rotation Rules, detailed in this topic. In GSelector, you can use these not just with Songs or Artists, but also with Links, Song Participants or Song and Link Attributes. This lets you specify very precise rotation and separation criteria which can be applied not just to Songs, Links, Albums and Artists, but also to Attributes and Participants, allowing you to apply very detailed and precisely focused protection.

Rotation Rules are first enabled as Breakable or Unbreakable when adding them to a Priority List in the Priorities Definition window. Once enabled, the Rotation Rules window can be accessed by double-clicking any Legacy rule in the Priorities List or by selecting the Rotation Rule [image] button in the toolbar of the Priorities Definition window or any appropriate Balance window. Settings in the window are applied based on the underlying window selections. For an assigned Priority List, the Rotation Rules window displays only the Daypart / Category Group combinations assigned to the Priority List. For an unassigned Priority List, the Rotation Rules window displays data for All Daypart / Category Group combinations, as if that Priority List is assigned to all of them. Selecting the Auto Copy Song/Link Data between Grouped Dayparts option in the Setup | Station | Features | Balance tab will copy changes set in the Rotation Rules window to all Dayparts in a Daypart Group.

Accessing this window
Features in this window
Working in this window

Accessing this window

  1. Add one or more Rotation Rules to a Priority List in the Priorities Definition window, selecting either the Breakable or Unbreakable setting for those rules.
  2. Click the Rotation Rules [image] button displayed in all Balance window toolbars and the Priorities Definition toolbar to open the Rotation Rules window. Optionally, double-click any Legacy rule from a Priority list in the Priorities Definition window. This illustration shows the Rotation Rules window opened from the Priorities Definition window using the Rotation Rules toolbar button.

TIP: You can disable an active Rotation Rule by removing the rule from the assigned priority list in the Priorities Definition window.

Click any area in this window for help

Click any area in this window for help

Topic Overview: Rotation Rules

Features in this window

Breakable and Unbreakable Rule settings

Filter selection field

Grouping

Show Assigned Values

Rotation Rules Results pane

Attribute Column

Daypart Column

Category Column

Priority List

Hours and Minutes columns

Rotation Rules described

Daypart

Hour

Play Window

Yesterday

Minimum Separation

Maximum Separation

Maximum Skip

Past Day

Results Pane Legend

About Breakable and Unbreakable Rule settings

When you set a Rotation Rule as Breakable, GSelector will compromise a lower breakable priority if doing so will protect one or more higher priorities. If a Song, a Link, or a Song or Link element fails a Breakable Rule, the Rule is scored at 60, and will be shown in the Editor Failure Details window and the Lowest Score Editor field with a score of 60. This will in turn reduce the overall value in the Score field in the Editor window.

When you set a Rotation Rule as Unbreakable, GSelector will leave a position unscheduled if all songs available for scheduling violate the Priority. If a Song or Link or element with an associated Rotation Rule is prevented from being scheduled, the Song, Link, or Song or Link associated with the element will also be excluded from the Editor Consideration window. If a Song, a Link, or a Song or Link element fails an Unbreakable Rule, the Rule is scored at 0 and cannot be scheduled.

Filter

The Filter control is used to set which Attribute, Daypart and Category will be shown. The drop-down can be used to change the filter. The filter is set depending on the selection from the underlying window when the Rotation Rules button is selected. If the button is selected from the Goals | Balance | Artist tab then the filter Attribute is Artist, the Daypart is the selected Daypart from the Artist Balance window and the Category is set to All. There’s also an option within the drop-down to Remove All Filters, in which case all Dayparts, Attributes, and Categories will be displayed in a very long list.

If the Rotation Rules button is selected from the Goals | Balance | Attributes tab then the filter Attribute and Daypart are the selected attribute and daypart from the attribute balance window and the Category is set to All.

If the button is selected from the Goals | Priorities | Definition tab then the filters Attribute, Daypart and Category are set to All and the Show Assigned Values option is selected for Any rule. However, by double-clicking any Legacy Rule in the Priorities tab the Rotation Rules window will open properly configured to work with the assigned values of that rule.

Grouping

The grouping option is used to group the items in the window by Category or Daypart.

Show Assigned Values

The Show Assigned Values checkbox is used to shorten the list of results by hiding all rows having no setting. When Show Assigned Values is enabled, a drop-down allows the user to select a Rotation Rule to view for editing.

Topic Overview: Rotation Rules

Rotation Rules Results pane

The columns in the results pane can be sorted in ascending or descending order by clicking on the header of the column.

Attribute Column

Daypart Column

Category Column

Priority List

Days, Hours and Minutes columns

Rotation Rules described

Minimum Separation

Notes on using Minimum Separation

Maximum Separation

Maximum Skip

Daypart Rotation

Hour Rotation

Play window rule

Play Window notes

Yesterday rule

Prior Day

Past Day

Attribute Column

The Attribute Column shows the Attribute for the rule; this is helpful when the Attribute filter is set to All.

Daypart Column

The Daypart Column shows the Daypart for the rule; this is helpful when the Daypart filter is set to All or is comprised of more than one Daypart. The results can be grouped by Daypart using the Grouping drop-down.

Category Column

The Categories column shows the Categories based on the filter. The results can be grouped by Category using the Grouping drop-down.

Priority List

The Priority List shows the Priority List where the rule is applied.

Days, Hours and Minutes columns

When working with settings for the Minimum Separation rule the Maximum Separation rule, the Maximum Skip rule, the Play Window rule, the Yesterday rule, and the Past Day settings, both in this window and the associated Station - Yesterdays window, you can enter and adjust Days and Hour and Minute values using these Spin Edit button fields. With Yesterday, Prior Day and Play Window, the value you enter defines a period of time before and after the point in the schedule where Songs are being evaluated for each goal.

Rotation Rules described

Minimum Separation

Maximum Separation

Maximum Skip

Daypart Rotation

Hour Rotation

Play Window

Yesterday

Prior Day

Past Day

Minimum Separation

See also the notes on using the Minimum Separation Balance windows fields.

This Rule allows you to set a Minimum Time period to apply before a Song, Link, Artist, Song Group, Attribute or Participant can be scheduled again.

To implement this rule:

  1. Add the Minimum Separation rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From any Balance window or the Priorities window, open the Rotation Rules window.
  3. Specify for each Category, the time that the Song or Link, Artist, Song Group, Attribute or Participant must be separated from where it played previously.
  4. Repeat where you wish apply this Rule.
  5. Click the Close button to save your changes and close the window.

NOTE: When you enable Minimum Separation, you also activate the Minimum Separation fields in all Balance windows. This allows you to apply Minimum Separation settings directly to individual Songs, Links, Artists, Attributes or Participants. These settings will override the Category-based settings you make in the Rotation Rules window.

Notes on using Minimum Separation

When you enable the Minimum Separation Rotation Rule, you can apply Minimum Separation values to individual Songs, Links, Artists, or selected Attributes or Participants in the . This will override the Category-based value you define in the Rotation Rules window for the selected Songs, Links, Artists, or selected Attributes or Participants.

Minimum Separation is an optional “safety net” setting. When starting, we recommend that you rely on the natural separation that GSelector applies automatically, derived from the Natural Demand in your library. Often, it is better to adjust demand by Category, or to use the Shift demand buttons in Categories or Balance windows. For an overview of how this works, see the supply and demand notes in the Getting Started with GSelector topic.

In special cases, Minimum Separation can be an effective backstop setting. When you define a Minimum Separation value in a Balance window, you override both the natural demand value, and any Category-based Minimum Separation you define in the Rotation Rules window. Unlike Natural Demand Spreads, Minimum Separations are not modified by changes elsewhere; but they will affect other separations. How much depends on the value, and the difference between the natural demand for the Song, Artist, Attribute or Participant, and the Minimum Separation value you call for.

When Percentage Participation is used with Minimum Separation, the scheduler will reduce the minimum separation set in the Rotation Rules window proportionately to the percentage participation set on the attribute. If the min sep is set at 4 hours and the percentage participation is 50%, the scheduler will reduce the min sep requirement to 2 hours.

When GSelector applies the Minimum Separation rule, there are always two songs involved. One is the song being considered for placement in the schedule. The other is a song with a similar attribute that has already been scheduled. If the considered song and the scheduled song are in different categories, and if the setting for Minimum Separation is different for each category, the system uses the lower of the two settings.

For Example: Let's say the Min Sep setting for the Current category is 45 minutes, the setting for the Recurrent category is 2 hours, and the setting for the Gold category is 4 hours. The table below shows the Minimum Separation that will be applied for each possible combination of the two song's category assignments.

Category | Category | Separation Applied
Current | Current, Recurrent or Gold | 45 minutes
Recurrent | Recurrent or Gold | 2 hours
Gold | Current | 45 minutes
Gold | Recurrent | 2 hours
Gold | Gold | 4 hours

The system will provide the greatest separation between the Gold songs, while allowing them to schedule closer to the Recurrent and Current Songs.

Before applying a Minimum Separation value in the Rotation Rules window, consider whether you need to do this, or whether you should stay with separations derived from the natural demand in your library. Rotation Rule Minimum Separation values are applied to all Songs, or all Artists, or Songs in a Song Group or with the selected Attributes or Participants for the selected Category. If this is not what you need, then you can apply a value to a specific Song, Artist, Attribute or Participant, working in the appropriate Balance window.

TIP: Many GSelector users who schedule small High-Rotation Categories, choose to implement Minimum Separation for these Categories in conjunction with disabling the Spread Goals setting for the relevant Category Group in the Category Group Settings window.

Maximum Separation

This Rule is used to set a Maximum Time period to wait before repeating a Song or Link.

To implement this rule:

  1. Add the Maximum Separation rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From the Priorities window, open the Rotation Rules window.
  3. Specify for each Category, the max time that the Song or Link will be separated from where it played previously.
  4. Click the Close button to save changes and close the window.

Maximum Skip

Maximum Skip is similar to Maximum Separation except it uses count instead of time.

To implement this rule:

  1. Add the Maximum Skip rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From the Priorities window, open the Rotation Rules window.
  3. Specify for each Category, the max number of times a Song or Link can be skipped before it is scheduled again.
  4. Click the Close button to save changes and close the window.

Daypart Rotation

This rule controls how many different Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. a Song or Link, Artist, Song Group or any Attribute or Participant must be scheduled in before that element can be scheduled afresh in the original Daypart.

To implement this rule:

  1. Add the Daypart Rotation rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From any Balance window or the Priorities window, open the Rotation Rules window.
  3. Specify for each Category, the number of Dayparts that the Song or Link, Album, Song Group or any Attribute or Participant should be scheduled in before being scheduled again in this Daypart.
  4. Repeat where you wish apply this Rule.
  5. Click the Close button to save your changes and close the window.

Hour Rotation

This rule controls how many different Hours in a given Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. a Song or Link, Artist, Song Group or any Attribute or Participant must be scheduled in before that element can be scheduled afresh in the original Hour of the given Daypart.

To implement this rule:

  1. Add the Hour Rotation rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From any Balance window or the Priorities window, open the Rotation Rules window.
  3. Specify for each Category, the number of Hours in the Daypart that the Song or Link, Artist, Song Group or any Attribute or Participant should be scheduled in before being scheduled again in this Hour in the Daypart.
  4. Repeat where you wish apply this Rule.
  5. Click the Close button to save your changes and close the window.

Play window rule

This rule controls how much a Song, Link, Artist, Song Group, an Attribute for a Song or Link, or a Song Participant, must be separated from one or more last play times of that element. The time period defined is the Play Window, and it is designed to work across Dayparts to allow effective protection across Daypart junctions. You can set as large a window as you like and set the window to apply for a number of plays back. However, GSelector automatically collapses Play window protection times to prevent items from being unscheduled. See the Play Window notes in this topic.

To implement this rule:

  1. Add the Play Window rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From any Balance window or the Priorities window, open the Rotation Rules window.

  3. For each Category, set a value for the size of the window in hours and minutes. This sets an exclusion period on either side of the time of the previous play or plays.
  4. Also define, for each Category, the number of plays back that you choose to apply the play window rule for this Category. This will prevent the Song or Link, Artist, Song Group, Attribute or Participant from playing within the window for the specified number of past plays.
  5. Repeat where you wish apply this Rule.
  6. Click the Close button to save your changes and close the window.

Play Window notes

Play window should be used judiciously, as the combination of plays back and window durations can severely limit scheduling opportunities. When you implement Play Window, you deliberately limit the opportunities for that Song, Link, Album, Song Group, or an Attribute or Participant for a Song or Link to schedule again, related to its previous scheduled position. A two hour window works on either side of the last play time, and will limit airplay to the remaining 20 hours in the day with one play back, or 16 hours with two plays back, and so on. When the total amount of time restrictions exceeds 16 hours, the time specified in the Play window field is automatically halved, down to a minimum value of 30 minutes.

Yesterday rule

This rule is traditionally applied to Songs in high rotation, but can be used to provide protection for Songs, Links, Albums, Song Groups, Attributes for Songs or Links, or Song Participants that schedule several times in a Day, This rule controls how much that element must be separated from where it played Yesterday, irrespective of any other plays that day. You can customize settings for the Yesterday rule in the Setup section Station - Yesterdays window.

To implement this rule:

  1. Add the Yesterday rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From any Balance window or the Priorities window, open the Rotation Rules window.
  3. Specify for each Category, the time that the Song or Link, Album, Song Group or any Attribute or Participant must be separated today from where it played Yesterday. This sets an exclusion period on either side of the time of the play yesterday.
  4. Optionally work in the Station - Yesterdays window to specify, for each day, the day of the week which will be treated as 'Yesterday' for each day.
  5. Optionally work in the Station - Yesterdays window to implement the rule in the future as well as the past.
  6. Repeat where you wish apply this Rule.
  7. Click the Close button to save your changes and close the window.

Prior Day

This rule allows you to apply Yesterday Rule-style time protection to Prior Days, working for up six days previously to the current day. The Rule controls how much a Song, Link, Album, Song Group, an Attribute for a Song or Link, or a Song Participant must be separated from where that element was scheduled on a defined Prior Day. The rule can be applied in the future as well as in the past. You can customize settings for the Prior Day rule in the Setup section Station - Yesterdays window.

To implement this rule:

  1. Add the Prior Day rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From any Balance window or the Priorities window, open the Rotation Rules window.
  3. Specify for each Category, the time that the Song or Link, Album, Song Group or any Attribute or Participant must be separated today from where it played on a the Prior Day associated with today. This sets an exclusion period on either side of the time of the previous play.
  4. Prior Days are defined for the current day in the Station - Yesterdays window.
  5. Optionally apply settings in the Station - Yesterdays window to implement the rule in the future as well as the past.
  6. Repeat for all Categories where you wish apply this Rule.
  7. Click the Close button to save your changes and close the window.

Past Day

This rule works in a similar way to Prior Day, but is not tied to days of the week. You can set this rule to apply for up to seven days back from any day. The Rule controls how much a Song, Link, Album, Song Group, an Attribute for a Song or Link, or a Song Participant must be separated from where that element was previously scheduled up to seven days in the Past. Further, can specify defined percentages of the basic separation setting for each of these days, allowing the separation time to 'collapse' the further the element is from its previous schedule position. For example, you could apply a 100% percentage three days back, 75% four days back, and so on.

To implement this rule:

  1. Add the Past Day Separation rule to an assigned Priority List in the Priorities Definition window, setting it to either Breakable or Unbreakable.
  2. From any Balance window or the Priorities window, open the Rotation Rules window.
  3. Specify in the Past Days field, for each Category, the basic time in Hours and Minutes that the Song or Link, Album, Song Group or any Attribute or Participant must be separated from where it on a Past Day.
  4. Repeat where you wish apply this Rule.
  5. Click the Done button to save your changes and close the window.
  6. In the Station - Past Day window, specify Percentage Values for each day, up to seven Days.
  7. Optionally specify that these settings will apply in the Future as well as the Past.

Results Pane Legend

The Breakable, Unbreakable and Unassigned legend at the bottom of the Rotation Rules window allows the user to quickly see which Rules are set as Breakable or Unbreakable in the results pane. These colors and font appearance can be changed using the Rotation Rules Appearances settings.

The Process described

  1. Ensure at least one Rotation Rule is added to an assigned Priority List in the Priorities Definition window.
  2. Double-click any Legacy rule or select the Rotation Rule [image] button in the toolbar of this window or any appropriate Balance window - Song, Song Group, Attribute, Participant, Artist or Link.
  3. If the button was selected from a Balance window the results will be filtered based on the balance window used.
  4. Enter appropriate settings for each rule.
  5. Use the filter drop-down to change how the results are filtered.
  6. Repeat as needed.
  7. Click the Close button to save changes and exit the window.

Topic Overview: Rotation Rules


Segue Bans

Segue Ban window

The Segue Bans window lets you create, edit delete and review Segue Bans for any attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. or participant A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. . Segue A sequence of two Songs with no space in between them. Bans control sequences of up to six songs using attribute and participant code settings that you define.

For example, you might wish to block segues between songs with 'Love Song' and 'Death Metal' Sound Codes, and between all songs with an Instrumental Sound Code. Both of these settings would form part of a Sound Code Segue Ban. You can create Segue Bans for any Attribute or Participant. The full Attribute and Participant list is here in this topic. If your song library was very strong on Rock Sound Code songs, and you banned a 6 song sweep by Rock Sound Code, five Rock Sound Code songs in a row could schedule, but the sixth position could not. But any other non Rock Sound Code song could then schedule.

It is worth experimenting with Segue Ban settings, but as always, we suggest that you proceed slowly, and do not implement too many Segue Bans at one time, so you can evaluate the results of your settings.

Segue Bans between Links can be created using the Song Segue Ban window, but can only be viewed and edited in the Link Goals Segue Bans window.

How Segue Bans work
Accessing the Segue Bans window
Features in the Segue Bans window
Working with Segue Bans

How Segue Bans work

Segue Bans are defined by selecting an Attribute or Participant, in the Create New Segue Ban window, accessed from the Segue Bans window.
Once defined, you then define a range of Song/Link Sweeps using existing Codes for that Attribute or Participant in the Segue Ban Sweeps window.
You can then optionally add settings for Twofers/Artist Block, Hour Restrictions and Stopsets for any Sweep that you have defined within that Attribute or Participant Segue Ban.
Once the Segue Bans are created they are added to a Priority List in the Priorities Definition window and prioritized in order with all the other Goals and Rules.

Breakable and Unbreakable Segue Bans

Segue Bans can be set to Breakable or Unbreakable in the Priorities Definition window when they are added to a Priority List. Segue Bans are simple pass / fail rules and are scored at 100 for a pass and 60 for a fail.

Accessing

Click the Goals tab, then the Segue Bans tab. This illustration is reduced to better fit in the help window. The window lists all Segue Bans that have been created, by Attribute and Participant. From here, you Create and Delete Segue Bans, and Edit existing Segue Bans.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Segue Bans

Features in the Segue Bans window

Segue Ban List
Detail Buttons
Toolbar
Find (CTRL+F)

Segue Ban List pane

This pane lists all current Segue Bans by Attribute or Participant. When you first access the Segue Ban window, this pane is empty. The list is sorted in alphabetical order, and can be re-sorted in descending order by clicking on the header bar. When you add a Segue Ban, it is listed in this window. To edit a Segue Ban, select the Segue Ban and click the View Details button to open a Segue Ban Detail window. Depending on the Attribute, this will be a Detail list or Detail grid window.

Detail Buttons

Click the detail button for a selected Segue Ban to view or edit details for that Segue Ban.

Toolbar

From the Toolbar you can add or delete a Segue Ban, or cancel or save your changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Segue Ban pane and press the CTRL+F keys on the keyboard. The Find option is available in both the Segue Bans window and the Segue Ban Sweeps window.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Topic Overview: Segue Bans

Working with Segue Bans

Creating a Segue Ban
Deleting
Editing
Viewing
the Segue Ban Sweeps window (for Attribute and Participant Segue Bans, listed below )
the Segue Ban Grid window (for Energy, Mood, Tempo, Opener or Texture Segue Bans)
Create New Segue Ban window
Implementing a Ban
Adding a Segue Ban to a Priority List

Working with Twofers/Artist Blocks
Working with Stopsets
Working with Hour Restrictions
Cancel or Save changes
Using Research Attributes with Segue Bans

Adding a Segue Ban or Editing Segue Ban details

1a. Click the Add button in the Segue Ban window Toolbar, to open the Add Segue Ban window.

1b. In this window, select the Priority for the Segue Ban.
1c. Click the OK button to open the relevant Segue Ban Sweep or Grid details window.
2. To Edit a Segue Ban, click the View details [image] button to open the relevant Segue Ban Details window.
3. This will open a Segue Ban Sweeps (see notes here ) window, or scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. Attribute Segue Ban Grid (see notes here ) .
4. Follow the notes on working in the Segue Ban Sweeps window or the Segue Ban Grid window.

Deleting a Segue Ban

In the Segue Ban window, select a Segue Ban and click the toolbar Delete button.

Saving Changes

Once you have made any changes - either by adding a Segue Ban or editing an existing Segue Ban - you must save them when you leave the window. If you do not, you will be prompted to save them before you can open another window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Viewing and editing Segue Ban Details

Select a Segue Ban in the list pane and click the Details button for that Segue Ban. This will open the Segue Ban Sweeps window for the selected Attribute or Participant, or the Segue Ban Grid window for Energy, Mood, Tempo, Opener or Texture Segue Bans.

Topic Overview: Segue Bans

Segue Ban Sweeps window

The Segue Ban Sweeps window is opened when you create a new Segue Ban, when you edit an existing Segue Ban, or when you specify a Sweep for Energy, Mood, Tempo, Opener or Texture in the Segue Ban Grid window . If no Segue Bans exist, the window is blank. The window lists all existing Sweep Restrictions, and allows you to make settings for each Sweep Restriction for Twofer/Artist Block, implementing Restrictions across Stopsets, and to apply Hour Restrictions to any Ban.

Click any area in the image for help

Click any area in the image for help

Sweep Descriptions list
Twofer/Artist Checkbox
Ban Segues across Stopsets
Hour Restrictions field
Hour Restrictions button
New button
Edit button
Delete button
OK button
Find (CTRL+F)

Sweep Descriptions List

All Sweep Restrictions that you create in the Create New Segue Ban window are listed in this field. Once created, you can then access Twofer/Artist Block , Stopset and Hour Restriction settings.

Twofer/Artist Block Checkbox

This column displays and allows editing of the setting for Twofers and Artist Blocks for each Sweep. The default setting is checked. If you uncheck this box, GSelector will ignore the selected Sweep Restriction when considering songs for Twofers or use in Artist Blocks. This helps the scheduling of Twofers and Artist Blocks, where a Sweep Restriction - say on an Album, or on an Artist, or on an Attribute common to the Artist(s) being considered, would hinder scheduling. To observe the Sweep Restriction Ban when using Twofers or Artist Blocks, leave the box checked.

Ban Segues across Stopsets

This column displays and allows editing of the setting for Banning Segues across Stopsets for each Sweep. The default setting is unchecked. If you check this box, the Sweep Restriction will be enforced across any stopset. Uncheck the box and the Sweep Restriction will be ignored for items before and after a Stopset.

Hour Restrictions field

This column allows the application of an Hour Grid to the associated Segue Ban. A marked cell in the Hour Grid specifies that the Segue Ban should not be applied in the associated day and hour. Grids are created and edited in the Setup section Hour Grids window. Click the Hour Restrictions button to access this window.

Hour Restrictions button

Click this button to access the Setup section Hour Restrictions window, where you can Create, Edit, Import and Delete Hour Restriction Grids.

New Button

Click the New button to add a Sweep Restrictions, working in the New Segue Ban sweep window. The window shows existing Bans for non- scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. Attributes or Participants listed below . You can create as many Sweep Restrictions as you wish for each attribute. To add a new element in the Sweep list for this Attribute or Participant, click the New button to open the Create New Segue Ban sweep window .

Edit Button

To edit any element in the Sweep list for this Attribute or Participant, select that element and click the Edit Button. Alternately, select the element and double-click.

Delete Button

To delete any element in the Sweep list for this Attribute or Participant, select that element and click the Delete Button.

OK button

Once you have Added a Segue Ban to the Sweep list, click OK to close this window and return to the main Segue Bans GSelector window.

Segue Ban Grid window

The Segue Ban Grid window is a graphical representation of the Sweep Restrictions implemented for the scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attributes Energy, Mood, Tempo, Opener or Texture, which all use values on a scale of 1 to 5. It is opened when you create a new scalar attribute Segue Ban, or when you click the View Details button for a scalar attribute Segue Ban. In the Segue Ban Grid window these attributes are organized on a grid, according to the number of values defined, generally with a grid of 5 rows and five columns. The Grid window allows you to set up a simple two-song Segue Ban for Songs by Energy, Mood, Tempo, Opener or Texture values, or to implement a more complex range of Sweeps for these values.

You can specify a Segue Ban Sweep Restriction of up to six positions, working in the Segue Ban Sweep window for the selected Attribute.

To set up a simple two-position Segue Ban, click in the box where the codes you wish to Ban intersect. This places an X to Ban segues between songs at the intersection of the Previous rows and Next columns. In this image, the user has specified that segues are banned between songs as follows

Lethargic Tempo leading to Lethargic or Vital,
and
Vital Tempo leading to Lethargic or Vital.

Note that this specifically restricts Segues between the more extreme ranges of possible Tempo segues. Applying Bans to Songs with widely used codes is not recommended. See the notes on Implementing Segue Bans.

Setting up Sweep Segue Bans from the Grid window

In addition to using the Grid, you can control sweeps of up to six Songs by Energy, Mood, Tempo, Opener or Texture. Click the Sweep... button. to opens the Segue Ban Sweep window for the Attribute. From here, you open the Create New Segue Ban Sweep window

Topic Overview: Segue Bans

New Segue Ban Sweep window

Segue Bans can be used to space out Songs/Links by the selected Attribute. By calling for a three Song/Link Sweep where the middle position can be a Song/Link with the <Any> Attribute value, you prevent too close a recurrence of Songs/Links with Attributes specified in the other positions. You can set up Sweep Restrictions for up to six songs/Links. So you could use a six position Segue Ban to space out Songs/Links by up to five positions. See the notes on Creating a New Segue Ban in this topic.

1. Click the New Button in the Segue Ban Sweeps window.

2. In this window, for the selected attribute, you specify a Sweep Restriction adding Restriction lines up to a maximum of six lines, by selecting the Attributes whose segues you wish to ban.
3. Start by specifying the initial value in the top, Don't Segue line. Click the type drop-down arrow to select Songs or Links.

4. In the right most field to use the drop-down to view a list of values for the selected Attribute.
4. Then add a second Value in the second line.
5. To add more elements to create a Sweep Restriction, click the Add [image] button in this window.
6. A new 'Followed By' Line opens in the Sweep list, and this allows you to specify more Restrictions, or to apply the -Any Value- setting.
7. Continue adding more lines to a maximum of six.

8. Then click OK to close this window.
9. The resultant sweep is displayed in one line in the Segue Sweeps window .
10. Click OK in this window.
11. Finally Save your changes in the Toolbar.

To modify a Grid Attribute after creating a Grid Attribute Sweep, click the View details button again from the List pane .

See also the notes on Adding elements to, and Deleting elements from, Segue Ban Sweeps

Adding elements to, and Deleting elements from, Segue Ban Sweeps

You can delete any line in a Sweep by selecting it and clicking the Delete button.

Unless you already have the maximum of six lines in the Sweep, you can add lines to a Segue Ban sweep by clicking the Add button. Lines are added to the bottom of the sequence.

Implementing Segue Bans

Closing the Segue Bans window places the Segue Ban Goal you have defined or edited in the Segue Ban list. The Segue Bans will then need to be added to a Priority List and ranked in the Priorities Definition window. Segue Bans and Sweeps work one way only. To set up a Segue Ban or Sweep that works both ways between two song/link attributes or participants, create the ban in both directions. Multiple Segue Bans for a given attribute can be combined or separated according to the Separate Segue Ban Priorities checkbox in the Setup | Station | Features | Advanced window. Care should be taken when implementing Segue Bans. In general, Segue Bans are best applied to the extreme ranges of your coding, or to prevent completely inappropriate juxtapositions. If for example, a Segue Ban or Sweep Restriction were to be applied to all Male Vocal Sound Codes, where these are extensively applied to Songs, or to Medium Tempo Songs, this might lead to perfectly acceptable scheduling choices being screened out.

Segue Ban by Attribute or Participant

Select to block songs with a selected participant or attributes from playing next to songs with the same or other selected participants or attributes. See the Segue Ban Detail List window notes.

Scalar Grid Segue Ban Attributes

Select to block songs with a selected value artist from playing next to the same or other selected values, and to block specified Sweeps of three songs. See the notes for the Segue Ban Grid window.

Segue Bans between Songs and Links

The two GSelector Song > Link and Link > Song options are designed let you prevent jarring segues between Link and Songs. You can block segues one way only - for example if a Clock always calls for a Station Imager after a Spotset and going into a Song. This situation calls for a Link > Song Segue Ban. To implement a Segue Ban the other way, for example, when going from a Song to a News Intro, you would use a Song > Link option. Simply select the Segue Ban and specify the bans you wish in the Segue Ban Edit window .

TIP: A lot will depend on how you configure you clocks for scheduling. If you regularly move directly between songs and Links, then Segue Bans are the right tools to use. We suggest, as always, that only implement a goal when there is a programming need.

Stopsets

Links are defined as Stopsets by checking the Link window Stopset checkbox.
Clock Breaknotes are defined as Stopsets by checking the Breaknote Stopset checkbox.
Clock Spotsets are always treated as Stopsets.

Topic Overview: Segue Bans


Content

Content Rules

The Content window is used to setup requirements for the Content Rule. The Content Rule is used by stations to ensure that a percentage of their scheduled music is by artists or composers from their home countries. These Rules work with the Content Attribute that is assigned in the Song Window. This Attribute can be assigned Globally or by Station. See the Global/Station Song Attributes section for additional details on this attribute. The Content Rule is then applied in the Goals | Priorities | Definition tab. The Content Rule is implemented in the Scheduler as a separate scheduling pass after Optimization. The Scheduler will check the content that has been scheduled per each requirement and replace, add or delete songs to insure the requirements are properly met. For all intents and purposes, the Content scheduling phase treats the requirements as unbreakable and will make whatever schedule adjustments are needed to meet them. The Content Rule can also be used for Links. Defining Content Rules for Links is similar to defining Content Rules for songs in this window.

Accessing the Content window

Features in the Content window

Working in the Content window

Accessing

To access the Content window click the Goals tab and then the Content tab. To access the Link Content window, click Linker then Link Goals then the Content tab.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview Content tab

Features in the Content Rules window

Toolbar

Find (CTRL+F)

Content Add window and List Pane

Content

Day of Week

Start/End Hour

Content Type

Minimum/ Maximum Content

Toolbar

From the Toolbar you can add, edit or delete a Content Rule, or cancel or save your changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the list pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Content List Pane

The Content list pane lists all the requirements of the Content Rule for the station. The columns in the Content pane can be adjusted using the Add or Edit Content Rule Requirement window.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Content

The Content field lists the Content attribute to use for the Rule. The Content attribute is set in the Song window as a Global or Station-specific attribute.

Day of Week

The Day of Week field displays the day of the week that the Content Rule is to be applied. You can select a specific day or All Days of the Week.

Start Hour / End Hour

Using the Start and End Hour you can define a range of hours to apply the Content Rule to reach the Minimum Content specified. If one Content Rule range overlaps a second Content Rule range the first Content Rule will be used.

Content Type

The Content Type drop-down allows you to select how the Content Rule is reached:

Count - Setting the Content Type to Count will tell GSelector to find the Songs with the Content attribute, and schedule these songs over the selected Hour range, to achieve the number of Spins for at least the Minimum Content count but no more than the Maximum Content count.

Count Percentage - Setting the Content Type to Count Percentage will tell GSelector to find the Songs with the Content Attribute, and schedule these songs over the selected hour range, to achieve at least the minimum percentage of plays of the total count of songs scheduled for that range.

Time Percentage - Setting the Content Type to Time Percentage will tell GSelector to consider the time range between the Start Hour and End Hour as 100% of the available time. Then as GSelector schedules for the Hour range specified, it will tally the runtime of the songs scheduled, with the Content attribute, till it has scheduled a total runtime percentage equal to or greater than the Minimum Count specified, but no greater than the Maximum Count.

Minimum / Maximum Content

The Minimum and Maximum content are used to specify the Minimum content to schedule, based on the content type selected, but not to exceed the Maximum content.

Topic Overview Content tab

Working in the Content Goals window

Adding a Content Rule

Editing a Content Rule

Deleting a Content Rule

Saving Changes

Cancel Changes

Adding a Content Goal

  1. From the Goals | Content tab or the Link Goals | Content tab, click the Add Content Rule [image] button.

  2. Select the desired Content attribute
  3. Select the Day of Week or All Days for the entire week.
  4. Select the Start and End Hour to use
  5. Select the Content Type
  6. Select the Minimum and Maximum Content to be schedule during the Hour Range.
  7. Click OK
  8. Click the Save [image] button
  9. Add the Content Rule in the Priorities Definition tab.
  10. Add the Content Attribute to the desired songs.

Editing a Content Rule

  1. From the Goals | Content tab or the Link Goals | Content tab, click the Content Rule to Edit.
  2. Select the Edit [image] button or double-click the existing Content rule to open the Edit Content Rule Requirement window.
  3. Make changes as needed
  4. Click OK
  5. Click the Save [image] button

Deleting a Content Rule

In the Content Rule window, select a Content Rule and click the toolbar Delete [image] button.

Saving Changes

Once changes have been made - either by adding a Content Rule or editing an existing Content Rule - use the save [image] button before leaving the window. If the rule is not saved, the user will be prompted to save them before opening another widow.

Cancel Changes

Click the Cancel [image] button to return the window to its last saved state discarding any changes.

Topic Overview Content tab


Recycling

Recycling Rules

The Recycling feature is used most often to repeat songs/links in the overnight hours which were scheduled during the previous midday. The theory is a person listening during the midday will be sleeping and not listening overnight and vice versa, providing a perception that song/link rotations are longer than they actually are. The Start and End Hours determine the schedule location of the songs that will be recycled into the Target Daypart. Only those songs in the selected Category Groups will be recycled and only on the selected Days. The ability to create multiple recycling definitions means songs can be recycled in different category groups from or to different hours and Dayparts.

Tip: Recycling in GSelector is a bit different from legacy Selector. In GSelector, Search Depth is restricted to "Only use Recycled Songs" unless the Allow Non Recycled Songs option is selected. The “Restore Order” parameter is moot since there is no stack order in GSelector and the setting "During Recycling, DON'T Repeat Songs" is always enforced. To control song minimum separation, define a separate Region for the recycle Target Daypart and disable Across Regions protection in Priorities for Minimum Separation, Song Linear and any other desired priority.

Recycling definitions can also be setup for Links in the Linker | Link Goals | Recycling window.

Accessing this window

Features in this window

Working in this window

Accessing

To access the Songs Recycling tab click the Goals tab and then the Recycling tab. To access the Links Recycling tab the click Linker tab then the Link Goals tab then the Recycling tab.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview Recycling tab

Features in this window

Toolbar

Find (CTRL+F)

Start Hour / End Hour

Target Daypart

Category Group

Days of Week

Allow Non Recycled Songs/Links

Toolbar

From the Toolbar you can add, edit or delete a Recycling Rule, or cancel or save any changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the list pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Start Hour / End Hour

Using the Start and End Hour define a source hour range of songs/Links that can be recycled from the selected Category Group(s). The songs that have played that are in the Category Group(s) selected will play again in the target daypart selected for the Days of the Week specified.

Tip: A recycled song/link is shown in the History map of the Editor with a R indicator.

Note: Recycling requires a previous days schedule to begin recycling songs/links or there will be no songs scheduled in the target day. Recycling should be off for the "first" day of scheduling.

Target Daypart

The target daypart is the daypart that the songs/links will be allowed to be recycled or played again.

Category Group

The Category Group column displays the Category Group of the Songs/Links that can be recycled or played again.

Days of Week

The Days of Week column displays the day(s) of the week that the Recycling Rule is to be applied.

Allow Non Recycled Songs/Links

When the Allow Non Recycled Songs or Allow Non Recycled Links column shows a check the option Allow Scheduling of Non Recycled Songs or Allow Scheduling of Non Recycled Links is selected in the Add/Edit Recycling window. When this option is selected, if GSelector runs out of recycled songs/links for the Category Group selected it will then use non recycled songs/links to schedule the positions.

Topic Overview Recycling tab

Working in this window

Add a Recycling Rule

Edit a Recycling Rule

Delete a Recycling Rule

Save Changes

Cancel Changes

Add a Recycling Rule

  1. Select the Recycling tab from the Goals tab or from the Link Goals.
  2. Click the New Recycling Rule [image] button from the toolbar.

  3. Select the Source Start Hour.
  4. Select the Source End Hour.
  5. Select the Target Daypart.
  6. Optionally, select to Allow Scheduling of Non Recycled Songs or Allow Scheduling of Non Recycled Links.
  7. Select the Category Group(s) to be Recycled, use the Select All option to select all the Category Groups.
  8. Select the Day(s) use the Select All button to select all the Days.

  8. Click OK

Edit a Recycling Rule

  1. Select the Recycling tab from the Goals tab or from the Link Goals.
  2. Select the Recycling Rule to be edited.
  3. Click the Edit Recycling Rule [image] button from the toolbar or double-click the selected rule.

  4. Adjust the Recycling Rule details
  5. Click OK
  6. Click the Save [image] button

Deleting a Recycling Rule

In the Recycling tab, select a Recycling Rule and click the Delete [image] button in the toolbar.

Save Changes

Once changes have been made, either by adding a Recycling Rule or editing an existing Recycling Rule, these changes can be saved [image] before leaving the tab. If the changes are not saved the user will be prompted to save the changes before another tab can be opened.

Cancel Changes

Click the Cancel [image] button to discard any changes and return to the window to its last saved state.

Topic Overview Recycling tab


Optimizations tab: Definition

The Optimizations Definition window is where Multi Shot, Floating Categories and Legacy Optimizations are created that can be Assigned to Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. and Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups.. The Optimization tab is enabled in Setup | Station | Features | Advanced tab by selecting to Enable Optimization Options.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Goals tab, then Optimizations, then the Definition tab to access this window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Optimizations tab: Definition

Features in this window

Optimization Toolbar

Find (CTRL+F)

Edit Optimization window

MultiShot Option

Floating Option

Legacy Option

Optimizations Definition Toolbar

The Optimizations toolbar is used to add, edit or delete optimizations, the toolbar is also used to save or Cancel any changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Edit Optimization window

Click the Add or Edit button to open the Edit Optimization window. This window can be configured as a Multi Shot Optimization for Multi Shot Scheduling, a Floating Optimization or a Legacy Optimization. The Optimization Option can also be set to None: Until now, the Legacy optimization always ran as the third and final phase of GSelector scheduling. Now when selecting None no optimizations will take place, including the Legacy optimization.

MultiShot Option

When MultiShot is selected in the Edit Optimization window an additional field called Multi Shot Options is enabled. From the Multi Shot Options, select Auto, Heavy, Medium, Light or Custom. The Auto option applies typical values for the Multi Shot scheduling settings, which will usually provide the best results. Light reduces the number of shots for increased speed in scheduling where Heavy increases the number of shots with more possibilities of a good schedule but at the cost of reduced scheduling speed.

Custom is used to adjust the Multi Shot Settings manually. If custom is selected, click the ellipses [image] button next to the Multi Shot drop-down to open the Multi Shot Settings window.

Floating Option

The Floating Optimization Option is similar to the Legacy option except the pool of songs to be juggled is derived from the collection of category groups to which this optimization is assigned. That is, a song in one category group can shuffle with another song in a different category group. Change the Floating Group number to apply this optimization to a different array of category groups. Optimization is performed by daypart as the default but using the Optimize by Hour option this can be changed. The Optimizer Strength setting offers choices of Light, Medium or Strong. These options, along with the number of positions eligible to be optimized, are used to determine the maximum number of iterations.

Note: The Floating option only works with categories that are optimized. GSelector will only optimize categories with a turnover of 8 hours or more.

Legacy Option

The Legacy option is a long-standing GSelector optimization which attempts to improve schedules by iteratively juggling songs in categories having a turnover of eight hours or more. The routine starts by finding the song in the day having the lowest Lowest Score. This becomes the anchor song. After juggling the anchor song with another song assigned to the same category group and scheduled in the same daypart, the entire day is re-tested. If the average score of the day improves after the juggle, the song swap is kept intact and the next iteration takes place. If the average score of the entire day does not improve after the juggle, the two songs are returned to their original locations and the next iteration takes place using the existing anchor song. Whenever the anchor song no longer has the lowest Lowest Score, a new anchor is selected. The Optimizer Strength setting offers choices of Light, Medium or Strong. These options, along with the number of positions eligible to be optimized, are used to determine the maximum number of iterations. Legacy Light is the default scheduling optimization when no Optimizations are assigned.

Topic Overview: Optimizations tab: Definition

Working in this window

Setting up Multi Shot Scheduling

Add an Optimization Definition

Delete an Optimization

Cancel Changes

Save Changes

Add an Optimization Definition

  1. Click the Goals tab, then Optimizations, then the Definition tab.
  2. Click the Add Optimization [image] button.

  3. Name the optimization
  4. Select the Optimization Option.
  5. Specify any additional options based on the Optimization Option selected.
  6. Click OK
  7. Assign the Optimization to a Daypart or Category

Delete an Optimization

To delete an Optimization, select the defined optimization from the list then click the Delete Optimization [image] button from the Optimization tab toolbar.

Cancel Changes

Click the Cancel [image] button to return the Optimization Definition window to its last saved state.

Save Changes

If you make any changes working in this window, the Save [image] button is activated. Click to save the changes. if you leave the window without saving any changes, a prompted is displayed to confirm or discard any changes.

Topic Overview: Optimizations tab: Definition


Optimizations tab: Assignment

The Optimizations Assignment window is where defined Optimizations such as Multi Shot and Floating Categories are assigned to Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. and Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups.. The Appearances for the Category Groups are those that are set in the Categories window.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Goals tab, then the Optimizations tab and finally Assignment, to access a window similar to this detail illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Organizations tab: Assignment

Features in this window

Assignment Toolbar

Find (CTRL+F)

Assignment Toolbar

The Assignment toolbar allows you to add, delete, save or cancel changes to an assignment.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Assignment list pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Optimization Assignment window

The Optimization Assignment window is displayed when the Add Assignment button is clicked in the Assignment tab. In this window select the defined optimization to use, then which Dayparts and Category Groups to include in the Assignment. There is also the option to Select All Dayparts and Category Groups at the bottom of each section in this window. An assignment is created for each Daypart and Category Group selected.

Topic Overview: Organizations tab: Assignment

Working in this window

Create a Optimization Assignment

Delete an Assignment

Cancel Changes

Save Changes

Create an Optimization Assignment

  1. Click the Goals tab, then the Optimizations tab
  2. Select the Assignment tab
  3. Select the Add Assignment [image] button

  4. Select the Optimization to Assign.
  5. Select the desired Dayparts, optionally Select All
  6. Select the desired Song Category Groups, optionally Select All
  7. Click OK
  8. Click Save to save the Assignments

Delete an Assignment

To delete an Assignment, select the assignment to delete then click the Delete Assignment [image] button from the Assignment tab toolbar.

Cancel Changes

Click the Cancel [image] button to return the Assignments window to its last saved state.

Save Changes

The Save [image] button is activated when changes are made when working in this window. Click to save the changes. Leaving this window without saving any changes, will prompt the user to confirm or discard any changes.

Topic Overview: Organizations tab: Assignment


Clocks Definition window

Clocks are created, edited, copied, named and renamed in this window. When you build or edit a Clock, you call for different Clock Elements for each hour, specifying what you want and in what order; this creates a sequence of Clock Entries . Once built, Clocks are allocated to Hours in the Clock Assignment window.

NexGen Users: See the Clocks notes in the NexGen Integration topic for details of how to configure Clocks when using NexGen.

Accessing this window

Features in this window

Working in this window

See also these Clock design topics: Clock Constraints, Clock Goals, Exact Time Markers, Artist Blocks , Voice Tracks, Spotsets, Spot Blocks and Breaknotes.

Accessing the Clocks window

From the Navigation Bar
Click the Clocks tab to open the default Clocks Definition window, similar to the illustration below.

From the Clock Assignment Grid
Select any Clock, and press Enter or double-click to open the Clocks Definition window for the selected Clock.

From the Editor window
Double click on an Hour Header to open that Hour's current Clock in the Clock Definition window. This applies whether a Clock is Active or Archived.

The body of the Clock Definition window has two sets of toolbar buttons, one for each primary pane. The Active Clock name (contents displayed in the Content Pane) is shown above the Content pane. Below the Toolbar buttons are the List and Content panes. In the Content pane, you view the and edit the content of the selected Clock. The List pane displays all Clocks and their assigned status. Select a Clock in the List pane to view and edit its contents in the Content pane. A third, optional, Clock Elements Selection pane displays all Clock Elements; from here you can drag and drop elements directly in to the Clock Content pane or the Mockup pane (see the notes for the Clock Elements pane).

This illustration is reduced in scale to better fit in the help window.

TIP: If you assign global Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. in the Editor, these are also displayed in the Clock Designer content pane , as shown here. See the notes on using Appearances in this topic. When you first access the Editor window, the Clock Content pane is displayed with Black lettering on a White background. See the notes on Using Color . If you assign field-level Appearances to Category Groups in the Goals Categories window, these will be displayed for Category Groups in the Description field.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Clock Definition

Clock Window Features

Clocks List Toolbar

Find (CTRL+F)

Clock List pane

Clock Content Toolbar

Clock Name field

Clock Content Pane

Clock Content Pane fields

Clock Elements

Clock Elements Selection pane

Specific links

Related Links in Clocks

Theme Song positions

Optional Clock/Schedule column fields

Clock Graphical Panes

Clock List Toolbar

The leftmost toolbar in the Clock definition window, above the Clock list pane, allows you to add, rename or copy a Clock, delete an unassigned Clock, Save or Cancel changes, copy Clocks to other stations, print or preview the Clock and use the Reset button to close the Clock Element Selection pane.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Clocks List pane

The Clocks List pane on the left lists all the existing Clocks configured for the Station. Clocks can be sorted in ascending or descending order by clicking the header for the Clock name field. A check in the box against each Clock means the Clock has been assigned to at least one hour in an Assignment Grid in the Assignments window.

Clock Content Toolbar

The toolbar Buttons in the Clock definition window, above the Clock content pane, are used to add a Clock entry at the selected Clock position, or delete a Clock entry, move the selected Clock position up or down in the Clock, apply the familiar cut, copy, and paste functions to any selected position, show the Clock Elements Selection pane or Expand the Clock Content pane.

Clock Name

The Clock name is displayed in the same row as the toolbars, it displays the name of the Clock selected in the Clock List pane. It cannot be directly edited.

Topic Overview: Clock Definition

Clock Element Selection pane

This pane is opened by clicking the Clock Element Selection [image] button in the Content Pane toolbar. It opens between the List pane and the Content Pane; it can be opened and closed at any time. It is used to build the Clocks by dragging and dropping Elements into specific positions.

TIP: If you assign Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to use in the Editor or Goals Balance windows, these same Appearances are displayed in the Clock Designer in the Content pane, as shown here. See the notes on using Appearances in this topic.

This pane contains a tree control Also called 'treeview', this tool displays data in a hierarchical order, with major areas at top level, and subsections underneath, accessed by clicking nodes in the control. , allowing you to access subsections under each heading. For example, if you click the Song node, or click on the Song heading, the control expands to display Song Category Groups, and so on. For more information, see the notes on Navigating in the Clock Element Selection pane.

From this pane, you can select any Clock Element, and drag it to either the Clock Content pane or to the Clock Mockup pane. For more information, see the notes on Adding a Position from the Clock Element Selection pane.

Expand Grid

Use the Expand Grid [image] button to hide the left pane of the Clock window expanding the Clock Content pane.

Content Filter: Viewing Songs, Links, Spots or Other Items in isolation

Click the Content Filter [image] toolbar button or press F6 to switch from the default Clock content view to display any combination of Songs, Links, Spots (including Spotsets These are used in Clocks as place holders for Spots. Spots are integrated into the schedule by your traffic program and Spot Blocks), or Other Items (Exact Time Markers, Voice Tracks, Controls, or Breaknotes). Click the drop-down arrow to the right of the button, and select the Clock Entry type or types to display. The Content Filter can be used to choose to display all entry types (the default setting) any single entry type, or a combination. The last choice made is retained for future use; if a network machine, settings are applied locally are retained on each machine.

Clock Elements

Clock Positions are filled by one of the Clock Elements listed here, creating a Clock Entry A saved Clock Position. A Clock Entry can comprise any available Clock Element, or in some cases, a combination of Elements.. The default Clock Element is Song Category Group. When selecting a Song, select the Song Category Group from the Description field. Click the Drop-down arrow in the Type field for any Clock Position to select any of the other Clock Elements:

Theme Song
Link Category Group
Specific Link
Leading or Trailing Related Link
Breaknote
Spotsets and Spot Blocks
Control
Voice Track
Exact Time Marker
Artist Blocks
Automation System Event
Twofer
Rolling
Cross Station Placeholder
Browse List / Linker Browse List

TIP: You can also use the Clock Elements Selection pane to add Elements to a Clock. See the notes on Working with the Clock Elements Selection pane.

Theme Song positions

In the Song window, you can create and assign themes to one or more songs. A theme is a song attribute, and can be used like any other attribute as a spread goal in the Priorities window, or to set up Segue Bans between songs with specific themes in the Segue Bans window. Working in the Library, themes can be used to group songs together using any categorization scheme you define. Unlike other attributes, however, you can use themes in scheduling, using Theme Song positions. In the Clocks definition window, you can assign any Song Theme for your station to a Clock position. This will call for just those songs with the specified theme to be scheduled in that position. See the Themes Process notes in this topic.

TIP: You can also schedule songs by Theme using Clock Constraints. This facility also allows you to block Songs with a specific Theme from scheduling in a specific Clock position, or to call for Songs by theme in a specific Category Group. See the Theme Scheduling topic.

TIP: Many programmers use Theme Song positions in combination with Related Links (see below, or see the Related Links topic). This feature lets users 'place' Songs with Related Links very precisely in the schedule, and so schedule the Related Links automatically next to the Song positions.

Link Category Group positions

To insert a Link Category Group, select this option in the drop-down list. Then select the Link Category Group to use from the drop-down list in the Description field.

Specific Links

To fix an existing Link directly into any Clock position.

  1. In any Clock position, click the drop-down arrow in the Type field to select Specific Link.
  2. Then in the Description field, click the ellipse [image] button to open the Link Selection window.

  3. Use the Categories drop-down to select the Category of the specific link. This will shorten the Links drop-down list to only those links from the selected category.
  4. Use the Links drop-down to select the Specific Link to use in the Clock position.
  5. Click OK to close the Link Selection window and apply the Specific Link to the selected Clock position
  6. Click Save [image] to save the changes to the Clock.

Related (Leading or Trailing) Links

In the Link window, associate Songs to any Link either by Artist or Theme. You have great flexibility in defining relationships: you can define single-song themes, for example, so that just one song is associated with one or more links; or you can associate a number of songs by theme or artist, so that you can create a varied range of associations to use in scheduling. Then, in the Related Links window, define relationships using Artists or Themes, using more complex criteria, which can then be called for in Clock positions. For full details, see the Related Links topic. In Clocks, a Leading or Trailing Link can be called for that matches the relationships defined in a Clock Position, and where a Link is available to be scheduled that matches the relationship with an associated song, GSelector will schedule it accordingly.

NOTE: An alternate method of Related Link scheduling is the Fly-In Related Link method, which is independent of Clock Requests. See the Fly-In Related Link notes in the Related Links topic.

Breaknotes

A Breaknote denotes a basic interruption, or break, in the program flow. A Breaknote can be used as a stopset. For more details, see the Breaknotes topic. Breaknotes are not used when GSelector is integrated with NexGen.

Spotsets and Spot Blocks

Used in Clocks as placeholders for commercials. See the notes for Spotsets and Spot Blocks for more information.

Controls

Controls are used with Zetta, Master Control and other sequencers. A control is a schedule element that instructs the sequencer to send a command to an external hardware device such as an audio switcher. One or more control elements can be specified on a Clock, and the system scheduler will then create corresponding controls in the resulting schedules.

To specify a Control, select Control in the Type drop-down list for the selected position or positions, and then select the Control for the selected position from the Description field drop-down list.

Note: When GSelector is integrated with Zetta a Zetta Empty Voice Track is created, use only this control for scheduling Empty Voice Tracks for Zetta.

Setting Control Durations

Controls are accessed from the sequencer. In Master Control or other sequencers, you can define durations for any and all available Controls where these are appropriate to your broadcast requirements. These are then available to you in GSelector to build into Clocks by clicking on the Duration field selection arrow.

Voice Tracks

Used in Clocks as placeholders for recording Voice Tracks. see the notes for Voice Tracks for more information.

Exact Time Markers

Used in Clocks to mark Time Points. An exact time marker is used to adjust the air time in the schedule, to inform operators when a program element should be broadcast, or for Automation purposes. See the notes for Exact Time Markers for more information.

Artist Blocks

Although this is only one Clock Position, the Artist Block position holds a series of positions - two or more - which schedule Songs by the same Artist selecting from Artists with a specific Artist Image. Artist Blocks can also contain Links. For full details, see the Artist Blocks topic. Artist Blocks - and Twofers - are only available in the Clocks Definition window when the Allow Twofers box in the Station - Features window is checked.
When you apply an Artist Block position in a Clock, the following Spread Goals are disabled when considering Songs for the position:
Artist
Vocalist
Artist Group
Vocal

Automation System Event

This Clock Element is used in association with external sequencers. The Automation System Events in GSelector synchronize the log so NexGen knows where to load songs in relation to other events in the hour. Automation System Events should match the exact position of non-song events in the NexGen clock. Automation Events can be added to the default New Clock Sequence in Station - Features.

NOTE: When you use GSelector-driven integration clocks and logs in NexGen are overwritten, so Automation System Events are unnecessary. In NexGen-driven integration, GSelector loads music (including links) into specified positions, and Automation System Events are required. See the Clock Design notes in the Exporting to NexGen topic. In Zetta use the Sync Categories and Control Events button in the Configuration | System | GSelector tab to copy these events to GSelector.

Twofers

'Twofers' is an old radio expression: the term was originally used to describe the scheduling of two Songs by the same Artist. When a Twofer position is added, GSelector will schedule a Song from the Artist or Vocalist scheduled in the preceding Clock position in the Twofer position. This allows you to assign a Theme position calling for a type of Artist, for example, which would then allow you to schedule two songs by the same Artist. When scheduling a Twofer position, GSelector will ignore the Artist Spread Goal between the two positions. Twofers - and Artist Blocks - are only available in the Clocks Definition window when the Allow Twofers box in the Station - Features window is checked. Vocalist is only available for twofer's if the Match On drop-down in the Station - Features window twofer tab is set to Vocalist. When this setting is enabled, the vocalist of any twofer scheduled must have a Percentage Participation equal to or greater than the specified value.

When you apply a Twofer position in a Clock, the following Spread Goals are disabled when considering Songs for the position:
Artist
Vocalist
Artist Group
Vocal

Rolling

This clock position calls for the next available clock position in an associated feeder Clock or the counterpart Clock in an associated Rolling Grid. You can specify either a specific Clock or the current Rolling Grid. See the Rolling Clocks topic for full details.

Cross Station Placeholder

A Cross Station Placeholder can be placed in any position(s) of any clock. During initial scheduling, the Cross Station Placeholder remains intact and the position is, essentially, unscheduled. During Copy Schedule, each Cross Station Placeholder is replaced by the next sequential element from the target station’s applicable Rolling Clock – as determined by the assigned Rolling Grid and Rolling Clock. After the Copy Schedule routine concludes, these positions can then be scheduled in the target station. This feature works only with the Duplicate option in Copy Schedule and the Rolling Grid in the Target station. More to the point, since Clocks in the Target station are ignored with the Repeat option in Copy Schedule, any Rolling Clocks assigned on a clock there will also be ignored. One example of this feature is an enterprise having network and satellite feeds where each satellite fills “holes” in the network schedule with local content. By Using Cross Station Placeholders in the source (network) schedule, programmers there can see and adjust where schedule “holes” will later be filled with local content after the schedules have been copied to the target stations.

Browse List / Linker Browse List

A Song Browse List or Linker Browse List, created using the Advanced Search or Browse List panes, can be specified for a Clock position. When the scheduler encounters the position it will use the “next” element in the browse list to fill the position until the End of List is reached. It will then look to the End of List setting in the Browse List pane and the Browse List Clock Goal setting to determine the next position to be scheduled for the next Clock Position. This feature allows users full control when scheduling special programming such as holiday countdown shows, “A to Z” weekends and other forms of programming in which an arbitrary list of songs or links must be scheduled in sequence. When the <Select in Scheduler> option is selected, the user can use the Schedule Setting in the Scheduler to select the Browse List to use at the time of scheduling. If this option is selected and the Browse list in the Scheduler is set to None then the positions will have an unscheduled status. When GSelector is integrated with Zetta browse lists are supported with Zetta version 2.4 or higher. When GSelector is integrated with NexGen browse lists are support with NexGen version 2.12.3 or higher.

Browse List Reset

For each Browse List clock position you can click the Clock Goal ellipses to open the Browse List Reset dialog box. Here you can specify which position in the browse list will be used when that position is scheduled. The default setting is Bookmark. Here are the scheduler actions that will be taken according to the setting:

Bookmark - The position that is bookmarked in the browse list will be scheduled and the bookmark will be advanced to the next element following the Direction and Counter setting set in the Browse List.

Top - When the Top option is selected the element in position 1 will be scheduled and the bookmark will be advanced to the next element following the Direction and Counter setting set in the Browse List.

Specific - Selecting the Specific option allows you to select a specific position of the list to be scheduled. The Position field is used to select the desired position in the list. The bookmark will be then be advanced to the next element following the Direction and Counter setting set in the Browse List.

Random - The Random option will allow GSelector to choose a random element from the browse list for the scheduled clock position. The bookmark will be then be advanced to the next element following the Direction and Counter setting set in the Browse List.

Topic Overview: Clock Definition

Clock Content Pane

Keyboard Shortcuts

Main Clock Content Pane fields

Optional Schedule fields

TIP: If you assign Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to use in the Editor or Goals Balance windows, the same Appearances are displayed in the Clock Designer in the Content pane, as shown here. See the notes on using Appearances in this topic.

This illustration shows the main Clock content fields. Further fields are exposed in the Clock Definition window when one or more Interfaces are defined in the Station - Interfaces window. See the notes on the Optional Clock Schedule fields in this topic. For information on any field, click that field. The Content Pane has a fixed and a scrollable section. On the left, the Position, Airtime, Type and Description fields are fixed, while the Clock Goals, Runtime, all optional Clock Schedule fields and the Stopset fields are displayed in scrollable mode to the right.

Click any area in this image for more help

Click any area in this image for more help

The content pane shows Clock Elements in sequence for each Clock. A basic Song and Breaknote structure is set up by default when you create a Clock; this can be edited at any time. See the Editing Clock content notes in this topic. The content pane shows the Clock position, the cumulative airtime for each Clock position, the type of Clock element in each position, which specific Element is to be used in that position, as well as Clock Goal, Clock Constraint, Drop status, Runtime and Stopset status for each element.

Note: Breaknotes are not used when GSelector is integrated with NexGen..

Keyboard Shortcuts

Ctrl+A = This will select All Positions in the Clock Content pane.

Shift+Up (arrow) = This will select the current position and the next position up and so on.

Shift+Down (arrow) = This will select the current position and the next position down and so on.

Ctrl+Click = This will select or deselect all positions clicked as long as the Ctrl key is pressed.

Note: Shift+Up and Shift+Down will select positions but will not deselect the selected position.

Main Clock Content Pane fields

Fixed fields: these four fields are always on display

Position

Airtime

Type (Entry Type)

Description

Scrollable fields: these fields can be scrolled for access using the scrollbar at the bottom of the Content pane.

Clock Goal

Fallback

Constraints

Droppable Status

Runtime

Lock Level

Information field

Stopset

Optional Clock/Schedule fields

Split Behavior

Fixed fields

The Fixed fields are the first four columns in the clock they are fixed in position so when the window is scrolled to the right they are always visible.

Position field

The Position field cannot be edited; it updates automatically to show the number of Clock Positions in the Clock.

Airtime

The Airtime field cannot be edited. The field is automatically updated according to the runtime of the Clock Position type

Entry Type column

This field displays and allows editing of, the Clock Entry A saved Clock Position. A Clock Entry can comprise any available Clock Element, or in some cases, a combination of Elements. Type. See the notes for Editing Clock content . See also the Clock Element notes, which list all Elements that can be used to create an Entry Type.

Description

This field displays and allows editing, according to the Type, of what finally goes into this position. For example, having selected a Song Type for a Clock Position, you then specify the Category Group in the Description field.

Scrollable fields

The Scrollable fields are the columns to the right of the first four fixed fields. The columns move as the user scrolls to the right to view additional columns.

Clock Goals

To assign a Clock Goal in any Song, Link, Leading Link or Trailing Link position, click the Edit [image] button to access the Clock Goals window. A defined Clock Goal is displayed in this field. Where a Breaknote is specified as a Stopset, this field is used to display this status.

Fallback

This feature will allow the Scheduler to consider an alternate category group of songs or links if all the elements in the original category group specified on the clock, score below the Fallback Threshold. If all songs/links in the Fallback Category Groups are below the Retreat Threshold, GSelector will revert to the original category group and schedule the best song/link for the clock position. To assign a defined Fallback to a Song or Link Category Group position, click the drop-down button to select from the defined Fallbacks. Scheduler Fallback Definitions are defined in the Clocks Fallback window.

Constraints

To assign a Clock Constraint to a Song, Link, Leading Link or Trailing Link position, click the drop-down button to select from the range of Constraints, which are defined in the Clock Constraints window. Constraints are also respected in Rolling clocks and rolling clock positions in a main clock.

Note: When a Constraint is placed on both a Rolling clock position in the main clock and in the selected rolling position of the Rolling clock, the main clock constraint supersedes the rolling clock constraint.

Droppable Song status

Click this Song-specific field to allow GSelector to drop the Song position if the Clock is already fully scheduled for the hour. If enough Songs have already been scheduled, and further Songs, if scheduled, will take the duration of the Clock over sixty minutes, Song positions will not be scheduled if they are marked as Droppable. Songs are dropped in reverse Pass order Category Group sequence: that is, the first Song to be dropped will be the item with the highest Pass Order value for its Category Group, and so on.

TIP: This GSelector tool can be used in a number of ways. Many users choose to assign Droppable status to Songs in less important Category groups. In the image above, Droppable status has been assigned to the last Song position in the Clock Hour.

Runtime

This field displays the actual Runtime for a specific item like a Link insert, or the median Runtime for a Category group.

Lock Level

The Lock Level column is available when Schedule Subscription (S3) is enabled in the Setup | Station | Features | Advanced tab. Lock Level can be set from 0 to 9. ‘0’ means that position cannot be edited by anyone. This would be used for songs coupled with a Voice Track and any other element that must remain locked in the current position and not edited in any way. ‘1’ means that a station with a trust level of 1 can edit that position. ‘2’ means that a station with a trust level of 2 can edit that position and all 1 positions. ‘3’ means that a station with a trust level of 3 can edit that position and all 1 and 2 positions; and so on through a Lock Level of 9. This mechanism provides wide and flexible control. Assign a station trust level of 0 to prevent any changes to Schedule Subscription schedules.

To update locked positions, there are 2 choices:

  1. Unschedule the entire hour. Then access the hour again via the Scheduler or Editor.
  2. Click the down arrow to the right of the Schedule button and choose the Refresh Schedule Subscription Service option to update the From/Thru hour range.

Contact RCS for more information on this feature.

Info field

Click the arrow in this field to open a freeform text field. Information you enter in this field in the Clock designer for any Clock Position is carried over to the Edit window Scheduler

Stopset

Breaknotes are not used when GSelector is integrated with NexGen..

This field cannot be edited. Where a Breaknote is inserted in a Clock, this field will display its Stopset status. For more information, see the Stopset notes in the Breaknotes topic. Where a Breaknote is specified as a Stopset, this status is marked in the Stopset field with a Check mark, by the work Stopset in the Clock Goals field.

Optional Clock/Schedule fields

These fields are displayed in Clocks and in the Editor window when enabled in the Station - Features window in Setup. They are designed for use with third party playout systems, including RCS NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems., Zetta and Master Control sequencers.

Chain

Timing

Skip

External

Don't Copy

Fixed

Timing Goal

Chain

When enabled in the Station - Features window, Chain types are set in the Clock Definition window and can be modified in the Editor, and defined (Overlap and Pause only) for Fly-In Links. Chain Settings control the way log items interact with each other when played by the sequencer. They also can be used to pause the sequencer. When using Exact Time Markers, the field displays the ETM type. Control Events in GSelector can take on a Pause or Overlap Chain. Chains for Control Events are also supported in the GSelector Import/Export Web Service. Set the default chain type for each type of event using the Default Chain Settings. When used with any other log Item, the Chain options are:

Pause: Stops the sequencer; the sequencer then awaits a command from the operator. Sometimes known as Live Assist Mode.

Overlap: Used to automatically segue any Item into the next item at the leading item's next-to-play point. This field is the default setting when creating a Clock or when changing the Clock item's Type .

Auto-Post: Used to automatically time an overlapping pre-recorded voice item across a music segue to hit the cue point in the second music item.

Link-Song: Used with a Link overlapping into a following Song, to hit the cue point in the Song. This Chain type may be handled differently depending on the Automation system being used.

Song-Link: Used with a Song overlapping into a following Link, to hit the cue point in the Link. This Chain type may be handled differently depending on the Automation system being used.

Chain Type | Zetta |  | Master Control
Link-Song |  | Link-Song chain only used for Links; will set the start of the next event at the early segue point of the previous event, so long as the intro is not too short, then the song ends at the intro of the next event. |  | A Link-Overlap Chain; used only for Links. A negative or zero value for fixed-offset will yield this Chain type in scheduling. By default, the Link will be started first. The Song will then be started once the amount of time for the fixed-offset has elapsed.
Song-Link |  | When a Song-Link is passed to Zetta, the chain type will be set to Segue in Zetta. |  | A Link-Overlap Chain; used only for Links. A positive value for fixed-offset will yield this Chain type in scheduling. By default, the Song will be started first. The Link will then be started once the amount of time for the fixed-offset has elapsed.

Timing

When enabled in the Station - Features window, the timing type of a schedule position or program element tells the sequencer what to do to that position or program element, working with Exact Time Markers . You specify the timing type of a Clock position in the Clock Designer, and you can edit the setting in the Editor prior to exporting your schedule.

Add: GSelector will leave the Clock request unscheduled. The Sequencer will fill the position according to the requirements of the next exact time marker in the schedule.

Drop: If scheduling this position would cause the segment before the next exact time marker to overrun, GSelector will leave this position unscheduled. Otherwise, it will schedule in the usual way. The Sequencer can be instructed to unschedule this position if doing so will help meet the goal set by the next exact time marker .

Replace: GSelector will schedule in the usual way. The Sequencer can be instructed to substitute a different song or link from the same category and level if doing so will help meet the goal set by the next exact time marker .

Any: GSelector will schedule in the usual way. The Sequencer can be instructed to treat the position as add, drop or replace to meet the goal set by the next exact time marker .

Back Time: GSelector will schedule in the usual way. Normally used with the last item preceding the ETM, this setting instructs the Sequencer to begin playback of the selected item so its audio will end at the time of the next exact time marker.

Stretch: GSelector will schedule in the usual way. The Sequencer can be instructed to stretch or squeeze the duration of the selected item, subject to the stretch/squeeze parameters you define in the Sequencer, to meet the goal set by the next ETM.

Skip

There are two settings here. Check the box to enable Skip for the Clock position. When skip status is enabled, the schedule position is ignored by the sequencer and is excluded from Timing calculations, regardless of the program element located in that position. When skip status is No, the sequencer treats the schedule position in the usual way. No is the default setting.

External

There are two settings here. Check the box to specify External status for the Clock position, if the audio of the program element scheduled by this Clock position is not stored within the sequencer system. Otherwise set to No. No is the default setting.

Don't Copy

Enable this feature by selecting the Don't Copy checkbox in the Advanced Clock/Schedule Columns group in the Station - Features window in Setup. This will expose the Don't Copy column in both the Clocks Definition window and in the Editor. Checking the Don’t Copy option for a position in a clock will cause the Don't Copy setting to be rolled into the associated schedule position when that clock is scheduled. These schedule positions are affected when working in the Scheduler - Copy Schedule window. Repeating into a target station respects the Don't Copy clock positions in the target station as well as the Don't Copy schedule positions in the source station. There are no restrictions in either the source or target station when Duplicating schedule positions and there are no restrictions on Don’t Copy positions in the Editor. To Lock the Don't Copy positions and content in the source or target stations enable the Don't Copy option in the Edit Station Window for the desired station.

Fixed

Enable this feature by selecting the Fixed checkbox in the Advanced Clock/Schedule Columns group in the Station - Features window in Setup. This will expose the Fixed column in both Clocks Definition window and in the Editor. Checking the Fixed option for a position in a clock will cause the Fixed setting to be rolled into the associated schedule position when that clock is scheduled. The Fixed setting is for informational purposes only. There are no restrictions of any sort placed on a Fixed clock line or on a Fixed schedule line. Spots scheduled within a Spotset/Spot Block will inherit the Fixed status of the Spotset/Spot Block when traffic is loaded.

Timing Goal

Enable this feature by selecting the Timing Goal checkbox in the Advanced Clock/Schedule Columns group in the Station - Features window in Setup. This will expose the Timing Goal column in the Clocks Definition window. This feature adds the capability to define one or more clock song positions to which the Timing goal will be applied during scheduling. This provides the flexibility of applying timing to only a portion of a Category Group’s clock positions as well as applying timing to Theme positions.

Split Behavior

The Split Behavior option is enabled in the Miscellaneous tab of the Setup | Station | Features window. The Split Behavior field displays Master Audio, Master Monitor or Master Silent when a Song, Link or Spot Blocks is marked with the split behavior attribute. The Split Behavior of an asset is set in the Miscellaneous tab of the assets song or link window. The Split Behavior of a Spot Block is set on the Spot Block in the Clocks | Spot Blocks tab. When a Spot Block has a Split Behavior it will override any Split Behavior of an Asset scheduled within the Spot Block.

Clock Graphical display

This pane allows the user to instantly review and update the structure and content of the Clock. It updates as Clock Elements are added, or added Clock Entries are moved or removed from the Clock. The Graphical pane also allows you to move items directly in the mockup, and delete any item. In all tab views, the selected Clock Entry is shown jutting from the Clock. The pane offers three tabs, which display, respectively, Song Category Groups, Link Category Groups, and Totals. You can also drag and drop directly from the opened Clock Element Selection pane (see notes here).

Printing the Clock

Moving Elements in the Graphical Pane

Deleting Elements in the Graphical Pane

Adding from the Clock Element Selection pane

Entries are selected by clicking on either the Graph or the Clock browse. Non-Song or Link entries are displayed in each window in gray. So in the Song tab view here, all breaks, Links and Spotsets are shown in gray.

The Songs tab displays Songs and a Song count, with a different color for each Song Category group and Theme Song. If no Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. have been assigned to Category Groups, GSelector will automatically display Category Groups in different colors. If Appearances have been assigned, Category groups will display their assigned appearances in the Graphical pane.

The Links tab displays Links, Link Category Groups, and Leading and Trailing Related Links (see Related Links notes) and a count for all elements, with a different color for each Link Category Groups. Where Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. have been assigned to Category Groups, these will display their assigned appearances in the Graphical pane.

The Totals tab displays a count of all Clock Entries: Songs, Links, Breaknotes, Spotsets, Voice Tracks, Exact Time Markers and Controls. The pane displays counts of all these Clock Entries, a Total runtime of all elements and the gap between the Total runtime of all Entries and the Clock Time.

Moving Clock Entries using the Clock Graphical pane

You can edit the Clock sequence in the Clock Graphical Pane the same way you can move a Clock position in the Browse pane.

  1. Click on an Item to select that item.
  2. Still left-clicking. drag the Clock Entry A saved Clock Position. A Clock Entry can comprise any available Clock Element, or in some cases, a combination of Elements. to its new position.
  3. As you do, the element also moves in the Clock Browse.
  4. Release the mouse to drop the Entry into its new position.

Deleting a Clock Entry in the Graphical Pane
  1. Select the Entry in the Content pane or the Mockup Pane.
  2. Left-click and drag to the trashcan icon.
  3. Save your changes.

NOTE: When adding a Song position from an empty Category or Category Group, for example when building a Clock before adding Songs to this Category, GSelector will assume a dummy time length of 3'30", and will display a Song position in the Pie chart accordingly. Once one or more songs have been added to the Category, GSelector will display the average duration for the Song Category.

Printing and Previewing the Clock

The Print button in the Clock List toolbar can be used to print a Graphical clock or a Textual clock. The drop-down arrow to the right of the print toolbar button is used to select how to print the clock, either Graphical or Textual. The Graphical option will open the print preview window with the clock in the Graphical format similar to the graphical mockup in the lower left corner of the Clock Definition window. The Textual option will open the print preview window with the clock in a textual format similar to the Clock Content pane.

Clock Print Preview Pane

The Clock preview window opens when clicking the print button or selecting a print option using the drop-down arrow to the right of the button.

Graphical Clock

Textual Clock

Topic Overview: Clock Definition

Working in the Clocks Definition window

Clock List pane

Creating a Clock

Deleting a Clock

Copying an existing Clock

Editing a Clock Name

Editing a Clock

Clock Edit Notification

Archived Clocks

Assigning a Clock

Clock Positions

Adding a Clock position (see also Adding from the Clock Element Selection pane)

Editing a Clock Element directly from the Clock Content Pane

Editing Multiple Clock Elements from the Clock Content Pane

Moving a Clock Position

Moving a Clock Position in the Graphic pane

Cutting Copying and Pasting Clock Positions

Deleting a Clock Position

Deleting a Clock Position in the Graphic Pane

Working with the Clock Element Selection pane

Adding a Clock Position

Navigating

Appearances

Closing the pane

Clock Content pane

Main fields

Optional Schedule fields

Building Clock Content

Editing Clock content

Jumping to a Breaknote, Spotset, Voice Track, ETM or Artist Block from the Content pane

Using Related Links

Using Themes

Using Drop Status items

Printing the Clock

Copy Clocks to other stations

Using Appearances in Clocks

Twofers

Rolling Clock positions

Using Cross Station Placeholders

See also the Notes on configuring Clocks for Integration with Traffic systems.

Creating a Clock

In the Clocks Definition window, click the Add Clocks List toolbar button to open the New Clock window . When you have created your new Clock and its basic structure, you close this window to return to the Definition window.

NOTE: When a new Clock is displayed for the first time in the Clock Definition window, all the Song Category groups are assigned by default to the first Category Group position in the Category Group Options window. See the notes on Building and Editing Clock content for how to assign the Category Groups you require to this Clock.

Editing a Clock Name

Select a Clock Name and click the Edit Clock Name toolbar button, or double-click the Clock Name in the Clock List Pane to open the Edit Clock Name window . If this Clock is a Feeder Clock A Clock which feeds schedule elements in a preset sequence to a corresponding Master Clock. Feeder Clocks are assigned to Rolling Grids for use in Rolling Clock scheduling. used in a Rolling Grid A specialised Clock Assignment Grid which holds Feeder Clocks. These feed schedule elements to associated Master Clocks in Rolling Clock scheduling, , edit the Feeder Transition style and Next Feeder position if required. When you have edited the Clock Name, you close the window to return to the Definition window.

Editing a Clock

  1. Select a Clock in the List pane.
  2. Optionally follow the steps to Edit the Clock Name.
  3. If this Clock is a Feeder Clock A Clock which feeds schedule elements in a preset sequence to a corresponding Master Clock. Feeder Clocks are assigned to Rolling Grids for use in Rolling Clock scheduling. used in a Rolling Grid A specialised Clock Assignment Grid which holds Feeder Clocks. These feed schedule elements to associated Master Clocks in Rolling Clock scheduling, , edit the Feeder Transition style and Next Feeder position if required.
  4. Confirm changes in this window, and then return to the Definition window.
  5. In the Clock Content pane , you can Add , Move or Delete any Clock Position. You can also move or delete Clock Positions in the Mockup pane.
  6. Finally, Save your changes.
  7. The previous version of your Clock will be saved as an Archived Clock.

Clock Edit Notification

If multiple users are editing a clock at the same time the user that has not yet saved their work will receive a notification similar to the following:

Delete a Clock

Clocks can only be deleted if they are Clocks that are not assigned in the Assignments window. Any Clock with a checkbox displayed in the List Pane is assigned to at least one hour in the Assignments window.

  1. Remove the Clock's assignment in the Clock Assignment window.
  2. In the Clock Definition window, select the Clock in the List pane.
  3. Click the Delete [image] toolbar button, or press Del on your keyboard.

Using Related Links in Clocks: the Process Described

  1. First, create your desired Themes, working in the Song Coding window , accessed from the Song window in the Library. You can assign Themes in bulk to a list of songs in the Multi-Song changer window.
  2. Create the Links you need in the Link window.
  3. Still in the Link window, optionally assign one or more themes in the Related Songs pane for each link.
  4. Alternatively assign one or more Artists to each link.
  5. In the Clocks Definition window, create Leading or Trailing Link positions next to the Song positions where you want to use Related Links.

For more information on how Related Links work, see the Related Links topic for detailed notes.

Jumping to Breaknotes, Spotsets, Voice Tracks, Exact Time Markers or Artist Blocks

NOTE: Breaknotes are not used when GSelector is Integrated with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. .

GSelector lets you edit key Clock Elements right from the Clock Definition window.

  1. In any Clock, select a Breaknote, Spotset , Voice Track, Exact Time Marker or Artist Block
  2. Then click the appropriate Clock window tab for that element to jump directly to that Clock Element.
  3. Work on this or another element in this window
  4. Click the Definition tab to jump back to that position in the Clock Content Pane.

Editing a Clock Element directly from the Clock Content Pane

  1. Select any Clock element - Song, Link, Breaknote, Voice track, and so on.
  2. Double-click on any field without a drop down arrow.
  3. For Breaknotes, Spotsets, Voice Tracks, Exact Time Markers, fixed Links, Leading or Trailing Links, or Artist Block, this will jump to the relevant Clock window, with the Edit pane for that Clock Position type open for the selected item.
  4. After editing, click the Clock Definition tab to return to the Clock Definition window.
  5. For Theme Songs, Songs, and Links, the Song or Link window will open for the list of Songs or Links in that Category or Theme.
  6. After editing, click the Back Navigation button to return to the Clock Definition window.

Editing Multiple Clock Elements from the Clock Content Pane

To edit multiple elements simultaneously the selected positions must be of the same entry type (ex. Songs, Links, etc.).

  1. Use Ctrl+Click or Shift+Up/Down to select two or more positions of the same entry type (ex. Songs or Links) in the Clock Content Pane.

  2. Change any field from one of the selected positions. We will change Chain in this example.

  3. Notice all positions selected were changed. Save [image] the changes to the Clock.

Saving Changes

To save edits in an existing Clock, click the Save icon in the Clock list toolbar or press F2 on the keyboard.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copy a Clock to a new Clock

Click this button to copy a selected Clock to a new Clock. This opens the Save As Clock Name window. When copying a Clock you give the new Clock a Name, to create a new Clock with the same content as the selected Clock. Once you have created the new Clock, you can then edit the Clock's structure and content to suit your needs. This feature lets you use a selected Clock as a template, from which to create new Clocks.

Editing Clock positions

  1. Select an existing Position in the Clock to modify
  2. Then click the Type field dropdown arrow and select a Clock Position type (listed below).

Moving a Clock Position

You can move selected Clock position(s) up and down the Clock content pane for the selected Clock using the Navigation arrows in the content pane toolbar. As you do, the selected position(s) update in the Mockup pane. Use the Shift or CTRL key to select multiple positions. Alternately, click the item to select it, and still left-clicking, drag the item to a different position in the clock. Note that each command can also be accessed with the following shortcuts:
Move Up : Ctrl+Up or Alt+Up
Move Down: Ctrl+Down or Alt+Down

TIP: You can also drag and drop elements in the Clock Mockup pane .

Cutting, Copying and Pasting Clock Positions

The familiar Cut, Copy and Paste commands can be applied to any item(s) in the Clock by selecting a position or multiple positions, using the Shift or CTRL key, then clicking the relevant button.

Each command can also be accessed with the following shortcuts:
Cut : Ctrl+X
Copy: Ctrl+C
Paste: Ctrl+V

Note: Although a selection can be made and copied in noncontiguous order, when it is pasted it will be contiguous.

Adding a Clock Position

This is one of two methods for adding positions - see also the notes on working with the Clock Elements pane here .

NOTE: Breaknotes are not available to add as Clock Positions when GSelector is Integrated with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. . Artist Blocks and Twofers are only available to add when the Allow Twofers box in the Station - Features window is checked.

  1. In the Clock Definition window, select the Clock to edit in the List _pane , or create a new clock .
  2. For the selected Clock, select a position in the Clock, immediately above where you want to insert the new position.
  3. Click the Add Clock Entry button , in the Clock Content toolbar , or press Enter in your keyboard.
  4. This will add a new position. By default, this is a Song position assigned to the Default Category (for details on specifying the Default Category, see the notes in the Categories topic).
  5. Then select the Category Group dropdown in the Description field to pick a Category Group.
  6. To select a different Element, click the Clock List button next to the Add Button to open a drop-down Element list, shown here.
  7. Scroll down to the Element you want to add, and double-click or press Enter.
  8. A new Clock position is created in the Clock Content pane, with the specified Entry Type.

For details on Clock Position types, see the notes here.

NOTE: When adding a Song position from an empty Category or Category Group, for example when building a Clock before adding Songs in this Category to your library, GSelector will assume a dummy time length of 3'30", and will display a Song Position in the Positions pane with that duration. Once one or more songs have been added to the Category, GSelector will display the average duration for the Song Category.

Deleting a Clock Position

  1. Select an item in the Clock Content pane.
  2. Click the Delete [image] button in the Clock Content Toolbar
  3. Save your changes.

Topic Overview: Clock Definition

Working with the Clock Element Selection pane

The Clock Element Selection pane allows you to select an Element and drag it directly to the Content pane or the Mockup pane to create a Clock Entry A saved Clock Position. A Clock Entry can comprise any available Clock Element, or in some cases, a combination of Elements. . This pane offers the same functionality as Add Clock Position (and also offers a replace facility), but allows you to add an Element and specify its description in one operation.

Inserting a Clock Position

Replacing a Clock Position

Using Themes in Clocks

Using Browse Lists in Clocks

Navigating

Appearances

Closing the pane

Inserting a Clock Position from the Clock Element Selection pane
  1. Open the Clock Element Selection pane.
  2. Optionally, navigate to select a second level Element.
  3. Left-click on an Element to select it.
  4. To insert the selected Element, still left-clicking, drag to the desired location on the Clock Content pane.
  5. Release the mouse to drop the selected Element. The new Clock Entry is inserted immediately above the selected Clock Position.

Replacing a Clock Position from the Clock Element Selection pane
  1. Open the Clock Element Selection pane.
  2. Optionally, navigate to select a second level Element.
  3. Press the Ctrl key and left-click on an Element to select it.
  4. To replace an existing Clock Position, still pressing the Ctrl key and left-clicking, drag to the selected Clock Position on the Clock Content pane.
  5. Release the mouse to drop the selected Element. The new Clock Entry is replaces the selected Clock Position.

Navigating in the Clock Element Selection pane

Click any Element [image] expansion Tree Control Also called 'treeview', this tool displays data in a hierarchical order, with major areas at top level, and subsections underneath, accessed by clicking nodes in the control. node, or double-click the Element itself to access the next level. In the image, the expanded Song node displays all Song Category Groups; Theme Songs all existing Themes, and so on. Any exposed Element can be dragged to a Clock Position.

NOTE: If you do not expand the node, but simply drag the Element itself to a Clock Position, you will insert or replace the position with the top element under that node.

Appearances in the Clock Element Selection pane

If you have assigned Appearances on an Attribute-specific level (for example to Category Groups), or on a Global level, these will be displayed in the Clock Element selection pane.

Using Appearances in Clocks

You can design and apply Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields., working in the Options: Appearances definition and Options: Appearances Assignment windows. Any globally assigned Appearances are applied to Clock Entry Types and displayed in the Editor and in the Clock Content pane . For full details see the Using Color topic.

Closing the Clock Element Selection pane

Either
Click the Close Icon at the top right of the Clock Elements pane;
or click the Reset button in the List Pane Toolbar ;
or click the Clock Elements button in the Content Pane Toolbar .

Using Themes in Clocks: the Process Described
  1. First, create your desired themes, working in the Song Coding window or the Station Attributes window, accessed from the Song window.
  2. You can assign themes in bulk to a list of songs in the Multi-Song changer window.
  3. In the Clocks Definition window, add themes to Clock positions, by selecting the theme song Clock position and then specifying the theme. See the notes for Editing Clock content.
  4. The scheduler will look for all Songs with the associated Theme when it encounters a Theme Song position.

Using Browse Lists in Clocks
  1. First, create a Song Browse List or a Link Browse List
  2. In the Clocks Definition window, add Browse List or Link Browse List to Clock positions.
  3. Click the drop-down in the Description column to select the Browse List created.
  4. Optionally set the Clock Goal using the button in the Clock Goal Column.

Archived Clocks

When changes are made to an existing Clock, the previous version of that Clock is saved off as an Archived Clock in GSelector. Archived Clocks cannot be edited, but can be viewed by accessing the Clock in its archived state from the Editor for the dates in question.

An Archived Clock is shown in the Editor Clock Header with the dates during which it is current.

If you jump to this window - the Clock Definition window - from the Editor, the Archived Clock is shown with the dates during which it is current.

The contents of the Clock are displayed in the Content pane , but cannot be edited; the Content toolbar buttons are suppressed. The Clock Name and Archive dates are also displayed in the List pane .

Topic Overview: Clock Definition

Notes on Building Clock Content

From the basic song structure specified in the New/Edit Clock window, you can develop your structure in some detail. We suggest that as your Clock building skills develop, you create one or more template Clocks, which can copied and rapidly customized to deliver the kind of new Clocks you require.

When building your Clocks, you should make sure that you meet some or all of the following list of design criteria:
Category Group balance: use the Mockup pane to quickly see how your music is laid out.

Timing issues: use Exact Time Markers to provide pointers for on-air staff, or to work with external sequencers, including Master Control.

Traffic Integration issues: ensure that Exact Time Markers immediately precede Spotsets , and the ETM times match the Start Times called for in your traffic system. See the Notes in the Traffic window topic.

Links and Link Category Groups: Specify either of these elements and then build a Link directly into the Clock, or allow Links in a Link Category Group to rotate.

Leading and Trailing Links: do you wish to use this tool to associate Links with other Log elements? See the Related Links notes.

Voice Tracking: How many voice links will you need in a Clock, how long should they be, and is Voice Tracking used in all Clocks? See the notes on Voice Tracks .

A finished and detailed Clock may appear complex, but this will be a direct consequence of what you as a programmer wish to achieve. You can quickly reconfigure a Clock, or store a Clock for later use. See also the notes in this topic on Editing Clock content .

Printing the Clock

Use the Print button in the toolbar to print either the Graphical clock or a Textual Clock.

  1. Select the Clock.
  2. Optionally, adjust the columns for width and order.
  3. Click the arrow to the right of the print [image] button to select how the clock is to be printed.
  4. A preview pane to show a preview of the clock. These are detailed in the preview section of the printing topic.

  5. Click the print icon in the preview pane to print the report.

For full details on printing, see the Printing topic.

Copy Clocks to other stations

Click this button in the Clock List Toolbar to access the Copy Clocks to Other Stations window. See this topic for full details.

Reset Button

Click this button to close the opened Clock Elements pane.

Twofers

'Twofers' is an old radio expression: the term was originally used to describe the back-to-back scheduling of two songs by the same Artist. Twofer scheduling is based on GSelector finding another song by the artist or vocalist that was scheduled in the preceding clock position. To ensure two songs by the same artist or volcalist are scheduled, GSelector uses a Theme Song Position or a Song with a configured Clock Song Constraint, in the clock position preceding the twofer clock position. This means if the songs from a specific artist like ‘Aerosmith’ or album like ‘Big Ones’ are set with an theme attribute such as ‘Aerosmith twofers’ and then scheduled in the clock as a <Theme Song>, scheduling a twofer following this position will schedule another song from the same theme attribute. If using a Clock Constraint, the song constraint position tells GSelector to schedule the twofer position based on the preceding-configured constraint. The goal is making sure that the position preceding the Twofer position is filled by a song who’s Artist has other songs in the library. Were the first position of the Twofer pair to be filled by a one-hit Artist, the Twofer position would be left unscheduled since there would be no other songs by the same Artist to place there.

Before making any system changes, think about the Artist or Vocalist to use in the twofering. The artist/vocalist should have more than one song in the library. Decide if you want to use Theme Song scheduling or a Song position with a Clock Constraint.

  • Using a Theme Song Position requires all the songs used to have the same theme attribute, this allows you to select songs based on different fields such as, songs from different albums or years that have the same tempo. When scheduling a Twofer using a Theme Song, it is important to set the Pass Order of the <Theme Song> Group before the <Twofer> Group. The Theme attribute for a Song can be set Globally or Specific to the Station. See the Attributes tab of the Setup | Station | Features window.

  • Using a Clock Song Constraint allows you to match songs of an artist or album quickly and easily. A Constraint can be based on any of the attributes of a song for example choosing the Album attribute, will allow GSelector to match the songs from the selected album title. When using a Song with a Constraint make sure the artist has more than one song in the selected category for the Song position selected.

When scheduling a Twofer song position, GSelector will ignore the Artist Spread Goal between the two positions. Twofers - and Artist Blocks - are only available in the Clocks Definition window when the Allow Twofers box in the Setup - Station - Features window is checked. Vocalist is only available for twofer's if the Match On drop-down in the Station - Features window twofer tab is set to Vocalist. When this setting is enabled, the vocalist of any twofer scheduled must have a Percentage Participation equal to or greater than the specified value.

Note: To schedule two songs by a specific artist, use the Artist Blocks feature.

When you apply a Twofer position in a Clock, the following Spread Goals are disabled when considering Songs for the position:
Artist
Vocalist
Artist Group
Vocal

Implementing Twofers

The following steps are based on the Theme attribute being set to Global in the Attributes tab of the Setup | Station | Features window.

  1. In the Setup - Station - Features section, check the Allow Twofers box
  2. In the Goals | Categories set the Pass Order [image] of the <Theme Song> Group to precede the <Twofer> Group using the adjust [image] buttons to the right of the Category Group Settings window.

  3. To use a <Theme Song> add a Theme attribute to the desired songs
    1. Open the desired song in the Library
    2. Click the Edit button in the Attributes section

    3. Click the Add Attribute [image] button

    4. Select Theme as the Attribute
    5. Enter a Name to identify the Theme
    6. Check Add to Song
    7. Click OK

  4. To use Clock Constraints add a Constraint to the Clock | Constraints | Songs tab
    1. Click New Constraint [image] button

    2. Select the Attribute to match on
    3. Select the Value to use
    4. Ensure Match is selected

    5. Click OK

  5. In the Clocks definition window, specify a Clock Position that will control the Artist content of the twofer. You could do this by specifying a Clock Constraint, or by using a Theme Song Position.
    1. To Use a Clock Constraint, select Song for the position
    2. In the Constraints column of the clock, select the constraint to use.
    3. Ensure that the Category selected in the Description field has more than one song for the Constraint.
    4. To use a Theme Song Position, select Theme Song for the position
    5. Select a configured Theme

  6. Specify one or more Twofer Positions following the Clock Constraint, or Theme Song Position
  7. Save [image] the Clock
  8. Segue Ban settings can be applied to Twofers.

Using Cross Station Placeholders

  1. On the first station, Design one or more Feeder Clocks with your scheduling goals in mind.

  2. Design one or more grids using your Feeder Clocks

  3. Associate each Rolling Grid with a main Clock Assignment grid.

  4. In Station 2, Insert Cross Station Placeholders in the main (Master) Clocks as required.

  5. In the Scheduler of Station 2 schedule a day or range of days.
  6. Using the Copy Scheduler window copy the range just scheduled to Station 1, be sure to select Duplicate from the Duplicate / Repeat options
  7. In the editor for Station 1, note the positions have been filled from the Rolling Clocks and Rolling Grids setup in the previous steps.

  8. Use the Scheduler to schedule these positions.

Topic Overview: Clock Definition


Clocks Assignment Grids window

This window displays, and lets you assign, existing Clocks to one or more hours and days. Clocks can be used as often as needed, in multiple Clock Assignment Grids. You can design as many Grids as you require. When you first launch GSelector, the Clock Assignment grid window contains one basic Grid, named default.

Rolling Grids are also created in this window. A Rolling Grid contains feeder Clocks which supply specific elements to an associated Rolling Clock position in the associated Clock. See the Rolling Clocks notes for full details.

In any actively scheduled Assignment Grid, each hour must have a Clock, even if that Clock is empty. To create an 'empty' hour, build a Clock with no music or breaks, and assign the empty Clock to the selected hour or hours. Clocks do not have to be assigned to a Grid; they will only be used in Scheduling when assigned to an Assignment Grid and scheduled in the Default Rotation or selected for a specific date in the Schedule Dates window.

Accessing this window

Features in this window

Working in this window

see also the Clocks Definition notes for details on building Clocks.

Accessing this window

Click the Clocks tab, then the Assignment tab, and then the Grid tab to view a window similar to this illustration.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: Clock Assignment windows

Features in this window

Find (CTRL+F)

Grids list Toolbar

Clock grids list

Clock assignment Toolbar

Keyboard Shortcuts

Assignment Grid pane

Default Grid

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in the Clock Grids List, the Assignment Grid pane and the Schedule tab. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Toolbars

There are two toolbars in the Clock Assignment Grid window, located above the Grids list and the Assignment Grid respectively.

Grids list toolbar

Add Assignment Grid - Select the Add button to open the Add/Edit Clock Assignment Grid window to define a new Grid Name, and specify if the Grid is to be a regular or a Specialty/Hold Grid.

Edit Assignment Grid Name - Select an existing Grid in the list, and click the Edit button to open the Add/Edit Clock Assignment Grid window to edit the selected Grid name, and change the Grid status from regular to Specialty/Hold, or vice versa.

Delete Assignment Grid - Select a Grid and click the Delete button to remove the Grid from the list. A Grid that is assigned in the Clocks Assignment Schedule Default Rotation or Clocks Assignment Schedule Dates for a current or future date, cannot be deleted until it is unassigned from the clock schedule.

Clone Assignment Grid - Select the Clone Assignment Grid button to create new Clock Assignment grid based on an existing Clock Assignment grid. Once the new Grid is in place, the contents can be edited as required.

Save Clock Assignments - Select the Save button to save any changes. The F2 function key on the keyboard can also be used to save changes.

Cancel Clock Assignments - Select the Cancel button to cancel any unsaved changes.

Clock Assignment toolbar

Assign Clock: Ins - The Assign Clock button will open the Assign Clock window allowing the user to select a Defined Clock and the Days and Time to assign it to in the selected Clock grid. Selecting a cell or multiple cells then using the Insert key will also open the Assign Clock window for the Hours and Days selected in the grid.

Copy: CTRL+C - Select an assigned cell or range of cells and use the Copy button or CTRL+C to create a copy of the selected grids to the windows clipboard.

Paste: CTRL+V - Select a cell or range of cells and use the Paste button or CTRL+V to paste a copied cell or range in the grid.

Toggle View - Click the toggle button to view a block display of the assignment grid. In the Block view, where the same Clock is assigned to contiguous hours in the Grid, the individual hours are replaced by blocks. Blocks of the same Clock are always displayed with different colors. Double-click any cell in the grid to view the contents of the Clock assigned to that cell in the Clocks Definition window. Click the Toggle button again to return to the default Grid view.

Keyboard Shortcuts

F2 - Save changes to the Clock Assignment window.

Ins - Opens the Assign Clock window. A Cell must be selected in an Assignment Grid.

CTRL+C - Use to Copy a range of cells from the assignment grid for pasting into the same grid or another gird.

CTRL+V - Used to Paste a previously copied cell in the assignment grid.

CTRL+F - Used to Fill a range of selected cells in the assignment grid with a clock that had been previously copied from another cell. This is similar to pasting however where paste does a single paste of the clipboard contents. Fill repeats the clipboard contents until all selected hours are filled.

F3 - Copies the cell contents from the cell above the selected cell into the current cell and then advances to the next cell down. When in the last cell of a column it will wrap to the top cell in the next column. When in the last cell of the last column it will wrap to the top cell in the first column.

F4 - Copies the cell contents from the cell on the left into the current selected cell and then advances to the next cell on the right. When in the last cell of a row it will wrap to the first cell of the next row. When in the last cell of the last row it will wrap to the first cell of the first row.

F8 - Copies the contents of all cells in the row above into the current row and then advances to the next row down.

These keyboard options are also visible when right-clicking a position in the Assignment Grid.

Clock Grids List

The Clock Assignment Grid window allows you to create multiple Clock Assignment Grids. These Grids can be scheduled for use in the Default Rotation or on different Dates, applying different Clocks at different times, for example during Holiday seasons. If you use Rolling Clocks, you can associate a Rolling Clock Grid with a main Grid, working in the Add Clock Assignment grid or Edit Clock Assignment Grid dialog boxes. The Rolling column shows the name of the Rolling Clock grid that is associated with the principal grid.

Specialty/Hold Grid option

Normally, the Clocks in Assignment Grids are used in demand calculations, according to their grid assignments in the Default Rotation and Schedule Dates windows. If you use a grid to store 'held' Clocks, or only occasionally use Clocks in a Grid for very specific scheduling situations that you do not want to be taken into account when GSelector analyzes demand, select that Grid and click the Edit button to change its status to Specialty/Hold and exclude it from demand calculations.

Assignment Grid pane

The Grid displays assigned Clocks for the selected Grid. You cannot directly edit the contents of the Grid. To change an assigned hour or hours, overwrite the existing hour or hours by adding a different Daypart or Grid. See the notes on Assigning Clocks in a grid in this topic. Use the mouse to hover over a cell hour of the grid to see a tooltip with a breakdown of the elements that will be scheduled for that hour and a total count of elements for the hour.

Jumping to a Clock from the Assignment Grid

Select any Clock in an Assignment grid and press the Enter key on your keyboard, or double-click, to open the Clocks Definition window for the selected Clock

Default Grid

When you first access the Clock Assignment window, there is only one Grid available, the default grid. The grid is assigned as the default Grid in the Clocks Assignment Schedule Default Rotation window.

Topic Overview: Clock Assignment windows

Working in the Clock Assignment window

Adding a Clock Assignment Grid

Editing a Clock Assignment Grid

Deleting a Clock Assignment Grid

Clone a Clock Assignment Grid

Assigning Clocks in a Grid

Assigning by Time Block or Day Column

Block Display

Viewing contents of a selected Clock from a Grid

Selecting, Copying and Pasting within an Assignment Grid

Specialty-Hold Grid option

Selecting a Grid for editing or Clock Assignment

Viewing the effect of a new Clock Grid in Goals Category and Demand windows

Broadcast Start Hour

Jumping to a Clock from the Assignment Grid

Adding a Clock Assignment Grid

In the Clocks section Clock Assignment window, click the Add [image] button in the Grids list toolbar to open the Add/Edit Clock Assignment Grid dialog box, where you may add a new Grid Name, and specify if the Grid is to be a regular or a Specialty/Hold Grid.

Editing a Clock Assignment Grid

In the Clocks section Clock Assignment window, select an existing Grid in the list, and click the Edit [image] button in the Grids list toolbar to open the Add/Edit Clock Assignment Grid dialog box, where you can edit the selected Grid name, and change the Grid status from regular to Specialty/Hold, or vice versa.

Add/ Edit Clock Assignment Grid dialog box

Enter a new Clock Assignment Grid Name or edit an existing Clock Assignment Grid name in the name field in this window.
If you are using Rolling Clocks, select a Rolling Grid from the drop-down list, or keep the default setting of None if you are not using Rolling Clocks.
You can also opt to check the Specialty/Hold checkbox.
Finally, click the OK button to close the box and display the new or edited Grid name in the Grid list.

You can design as many Rolling Grids as you need, but you can only associate one Rolling Grid to any Master Assignment Grid.

Deleting a Grid

Select a Grid and click the Delete [image] button in the Grids list toolbar. You cannot delete any Grid which is assigned in the Default Rotation or Schedule Dates for a current or future date; you must remove the gird from these windows before deleting it. Deleting a Grid does not delete the Clocks assigned to that Grid.

Clone a Clock Assignment Grid

This is a quick way to create new Clock Assignment grid based on an existing Clock Assignment grid. Once the new Grid is in place, the contents can be edited as required.

Note: If a change is made to the contents of a Clock in any grid, the changes will apply to all grids to which that Clock is assigned.

  1. Select the a Clock Grid to copy in the Grids List pane.
  2. Click the Clone Clock Assignment Grid [image] button to open the Clone Clock Assignment Grid window. The existing Rolling Grid and Specialty/Hold settings are copied over.

  3. The dialog box opens allowing you to enter a Name for the new Grid.
  4. If you are using Rolling Clocks, select a Rolling Grid from the drop-down list, or keep the default setting of None if you are not using Rolling Clocks.
  5. Specify whether the new Grid is a Specialty/Hold grid.
  6. Finally, click the OK button to close the box and display the new Grid name in the Grid list.
  7. The Clone Clock Assignment grid window closes, and the New Clock Assignment Grid is displayed in the Clock Grids List, where it can be selected and edited.

Working with multiple Clock Grids in Goals windows

If using multiple Assignment Grids, you can view the effect that a different Clock Assignment Grid will have on demand in the Goals Categories and Artist , Attributes , Participants and Song Demand windows. In all these windows, simply select the relevant Clock Assignment Grid to the right of the Menu Bar. See the notes in the Adjusting Demand topic for details.

Assigning Clocks in a Grid

  1. First design your Clocks in the Clocks Definition window.
  2. Then, if using multiple Assignment Grids, select the appropriate Grid in the Clock Grids list.
  3. Then click the [image] Clock Assign button or use the Insert key, to open the Assign Clock window.

  4. Select or Enter the Clock Name.
  5. Select the Hours and Day Range.

An Assignment range cannot be set that spans 12 midnight - use two ranges, one that ends with the 11:00PM hour, and a second that starts with the 12:00AM hour.

Block Display

Click the [image] toggle button in the Clock Assignment toolbar to view a block display.

In the Block view, where the same Clock is assigned to contiguous hours in the Grid, the individual hours are replaced by blocks, as shown in this detail image. Blocks of the same Clock are always displayed with different colors.

Select any Grid cell and double-click to view the contents of the Clock assigned to that cell in the Clocks Definition window.

Click the Toggle button again to return to the default Grid view.

Assigning by Time Block or Day Column

Additionally select a block of Hours by left - clicking and dragging in the assignment grid pane, or by pressing the Shift key and using the Arrow keys. An entire Day can be selected by clicking a Day Header field to select all Hours in that Day, or select the same hour for an whole week by clicking the hour in the Hour column.

  1. With your mouse, left-click and drag until you have highlighted a contiguous block range of hours and days.
  2. Or press the Shift keys and then the arrow keys.
  3. Or Click the Day of the week header field to select all Hours for that Day.
  4. Or click an Hour to select that Hour across the whole week.
  5. Then click the Assignment button in the toolbar to open the Assign Clock window.
  6. The Date and Time range is displayed in the Assign window.
  7. The top left Clock is displayed in the Clock field
  8. Accept this Clock, or select a different one to Assign.
  9. Click OK to assign the selected Clock.
  10. Finally, click the Save button to save your changes.

Viewing Clock Contents

From the Clocks Assignment window in the default or Block view, select any cell position and double-click to view the contents of the assigned Clock in the Clocks Definition window.

Continuous assignments

Clocks can be assigned discontinuously.

Saving Changes in this window

Save your changes - to Assignment Grids or Assignment Grid Names by clicking the Save [image] button. If you do not save your changes, you will be prompted to save or abandon your changes when you click another tab.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Selecting, Copying and Pasting within an Assignment Grid

Using the toolbar buttons, you can select a range of hours, and copy and paste the selected range to another area in the same grid.

  1. In any grid, left-click an hour.
  2. Still left-clicking, drag the mouse to select the desired time range.
  3. You can also your keyboard Ctrl and Arrow keys to select a continuous block of hours and days
  4. Or click the Day Header field to select all hours for a Day.
  5. Click the Copy button in the toolbar, use CTRL+C or select the command by the right-clicking to access a menu.
  6. Select a new area in the same grid.
  7. Click the Paste button, use CTRL+V or select the command by right-clicking to copy the selected Grid contents to the new area.
  8. Finally, click the Save button.

NOTE: If the source hours/day range is larger than the target hours/day range, only the hours in the target range will be copied over. If the target hours/day range is larger than the source hours/day range, the hours and days not in the source range will remain untouched.

Selecting an Assignment Grid

To display and/or edit any Grid, select that Grid in the list.

For details on Scheduling Clock Assignment Grids, see the Clocks Assignment Schedule Default Rotation and Clocks Assignment Schedule Dates topics. Assignment Grids are created, edited and deleted from the Grids list toolbar above the Grids list.

Broadcast Start Hour and Clock Assignment

The Broadcast Start Hour is defined in the Daypart Assignment window . It defaults to 12A, but can be set from 12A-11A. Clock Assignment grids start at the Hour point specified in this field.

Duplicating and editing a complete Clock Assignment Grid

Where there is a need to change all assigned Clocks, for example when switching between, or setting up to, automation systems, or when recasting the schedule within an existing programming structure, it's a good idea to retain your original set of Clocks until the new structure has been tested.

First, make a complete replacement set of Clocks in a new Clock Assignment grid.

  1. In GSelector, first make a clone, for safety, the existing Grids and save this.
  2. Access each Clock in turn by double-clicking to open that Clock in the Clocks Definition window.
  3. In this window, make a clone of each Clock, renaming it and saving.
  4. Back in the Clock Assignment window, in the new assignment Grid, reassign the new copied Clocks in place of the original Clocks, and save.
  5. Edit the new Clocks.
  6. Finally assign the new Assignment Grid, with the newly edited Clocks, for active scheduling in the Clocks Assignment Schedule Default Rotation and Clocks Assignment Schedule Dates windows.

Topic Overview: Clock Assignment windows


Clocks Assignment Schedule Default Rotation

Clocks Assignment Schedule Default Rotation window

The Default Rotation tab of the Clock Assignment Schedule window allows the rotation of multiple clock assignment grids in specified patterns to be used. A Station might use one clock grid one week and a different clock grid the next week rotating between the two clock grids each week or a Station could have a clock grid for during the week but a different clock grid for the weekends. Custom clocks are designed in the Clocks Definition window, and then assigned to specific grids in the Clock Grid Assignment window. Then those grids are assigned to the Default Rotation or specific Dates in the Clock Assignment Schedule window.

The Default Rotation tab shows all the assigned Clock Assignment Grids. GSelector will read this Default Rotation to generate the assignment grid schedule viewed in the Dates tab. Then using the default rotation or a date-specific override will determine which assignment grid will be used when the days log schedule is generated.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Clocks tab, then the Assignment tab and finally the Schedule tab, the Default Rotation tab is the default window in the Schedule tab.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Clocks Assignment Schedule Default Rotation window

Features in this window

Toolbar

Grid Rotation List

Day

Clock Grid

Rotation Settings

Start Date

Starting Day

Toolbar

The following tools are available in the toolbar of the Default Rotation window.

Add Grid to Rotation - The Add Grid to Rotation button will add a Day/Clock Grid to the Grid Rotation list.

Remove Grid from Rotation - The Remove Grid from Rotation button will delete the selected Day/Clock Grid from the Grid Rotation list pane. The top Day/Clock Grid cannot be removed.

Save Grid Rotations - The Save Grid Rotations button will save any changes made in the Default Rotations tab.

Cancel Grid Rotation Changes - The Cancel Grid Rotation Changes button will return to the window to its last saved state, canceling any changes that have been made.

Grid Rotation List

The Grid Rotation List is found just below the toolbar of the Default Rotation window. The list shows the Day of the week and the Clock Grid used for that day. The system uses the grid rotation when scheduling the log. A grid rotation list rotates endlessly. After the last day the rotation has been used, the system resets the to day 1.

Example: If grid 1 was assigned to days 1 through 7 and grid 2 was assigned to days 8 through 14, you would effectively set an endless pattern of 14 days. The two grids will be used during alternating weeks forever, or until you make changes in the clock assignment grid rotation. To see how the Clock Grids will rotate through specific dates go to the Clocks Assignment Schedule Dates window.

Note: Specific Dates can be set to use a specific Clocks Assignment Grid in the Dates window of the Clock Assignment Schedule window.

Day

The Day column displays the Day of the week. The first Day is the Starting Day that matches the Starting Date in the Rotation Settings. The default first Day is the day the station was created. The first Day can be changed by adjusting the Starting Date and Starting Day in the Rotation Setting. As grids are added to the Grid Rotation list they are listed in day of the week order.

NOTE: Day 1 is always available because you cannot specify less than one day. If there is a single day in rotation, its associated clock assignment grid will be scheduled for each new date scheduled.

Clock Grid

The Clock Grid column lists the Grids selected for each Day. The Clock Grids are created in the Clocks Assignment Grids window. Use the drop-down to select the Clock Grid to use for the Day.

Rotation Settings

The Rotation Settings can be used to change the Date and Day the rotation starts of the Clock Assignment Grids.

Starting Date

The Starting Date is used to change the date that the rotation starts. Use the drop down arrow to open the calendar control to select a date.

Starting Day

The Starting Day control can be used to adjust the Starting Day in the Rotation Grid list. As the Starting Day value is increased the first day of the rotation in the Rotation Grid list changes accordingly.

Topic Overview: Clocks Assignment Schedule Default Rotation window

Working in this window

Add Grid to Rotation

Creating a Clock Grid Rotation

Edit a Clock Grid Rotation

Delete a Grid from the Rotation

Add Grid to Rotation

In the Clocks Assignment Schedule Default Rotation tab, click the Add Grid to Rotation button in the Toolbar. Use the Clock Grid drop-down to select the Assignment Grid to use for the Day.

Creating a Clock Grid Rotation
  1. First, design the Clock Assignment Grids in the Clock Assignment Grids window to use in the Default Rotation.
  2. In the Clocks Assignment Schedule Default Rotation window, click the Add Grid to Rotation [image] button for the number of Days needed in the rotation. If a two week rotation is desired, click the add grid to rotation button 13 times.
  3. In the Rotation Settings set the Starting Date or adjust the Starting Day so that Day 1 is the Day of the Week the rotation is to start.
  4. Then use the Clock Grid drop-down to select the Assignment Grid to use for each Day.

  5. Click Save [image] to save the changes.
  6. Use the Dates tab to view the rotation or to set a Clock Grid for a specific date.

Edit a Clock Grid Rotation
  1. In the Clocks Assignment Schedule Default Rotation window, locate the Day/Clock Grid to edit.
  2. Then select the Clock Grid drop-down to select the Assignment Grid to use for the Day.
  3. Use the Rotation Settings to adjust the Starting Date or adjust the Starting Day so that Day 1 is the Day of the Week the rotation is to start.
  4. Click Save [image] to save the changes.
  5. Use the Dates tab to view the rotation or to set a Clock Grid for a specific date.

Delete a Day/ Clock Grid from the Rotation

Select a Day from the Grid Rotation list and click the Remove Grid from Rotation [image] button. The assigned Day/Clock Grid is removed from the rotation.

Topic Overview: Clocks Assignment Schedule Default Rotation window


Clocks Assignment Schedule Dates window

The Clock Assignment Schedule Dates window allows the user to view the rotation of the clock grids assigned in the Default Rotation and override the default rotation by assigning a clock grid to a specific Date or Date Range. Typically, a Station might use a range of different Clocks to cover requirements such as seasonal sport broadcasts or Holiday Schedules. Custom clocks are designed in the Clocks Definition window, and then assigned to specific grids in the Clock Assignment Grids window. Then those grids are assigned to the Default Rotation or to specific Dates in this window.

The Scheduled Dates pane shows all current Scheduled Clock Assignment Grids. The default scheduled dates are generated from the Default Rotation. Dates from this rotation can be overridden in this Dates window. GSelector will determine which assignment grid will be used for the days log using a default rotation or a date-specific override.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Schedule tab in the Clocks Assignment window then select the Dates tab.

The window contains a pane which lists all Scheduled Dates, indicating all Assignment Grids for those dates.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Clocks Assignment Schedule Dates window

Features in this window

Toolbar

Schedule Dates pane

Define Clock Schedule window

Toolbar

The following tools are available in the toolbar of the Dates window.

Insert a Clock Schedule - The Insert a Clock Schedule button opens the Define Clock Schedule window.

Edit Clock Schedule - The Edit Clock Schedule button opens the Define Clock Schedule window for the selected date. When a Date is edited the From and To date fields are read only. To edit a date range use the add button or double-click the rotation date range to edit the rotation date range.

Delete Clock Schedule - The Delete Clock Schedule will delete the selected override returning it to the clock grid selected for that Day in the Default Rotation. A date cannot be deleted that is scheduled with the default rotation; the clock grid can only be overridden or changed in the Default Rotation.

Save Clock Schedules - The Save Clock Schedules button will save any changes made in the Dates tab.

Cancel Clock Schedules - The Cancel Clock Scheduled button will return to the window to its last saved state, canceling any changes that have been made.

Jump to Today - The Jump to Today button will set the selected date to the current date.

Expand Dates - The Expand dates button will expand all the collapsed date ranges in the grid. To expand a single date range, use the plus [image] button to the left of the date range.

Collapse Dates - The Collapse button will collapse all the date ranges in the grid. To collapse a single date range, use the minus [image] button to the left of the date range.

Schedule Dates pane

The Scheduled Dates pane shows all current Scheduled Clock Assignment Grids. The default scheduled dates are generated from the Default Rotation. Dates from this rotation can be overridden and are shown with the green check in the Override column. When there is more than one clock grid used in the Default Rotation, the Scheduled Dates pane groups the dates by the clock grid used for the date range. Click the minus [image] button to the left of the date range to close the date range, click the plus [image] button to expand the date range again.

Double-clicking the date range in the Schedule Date pane for the clock grid will open the Define Clock Schedule window for the entire date range so the clock grid can be changed. When editing a date range the date fields are read only.

Double-clicking a single date will open the Define Clock Schedule window for the selected date only. When editing a date the date fields are read only.

Define Clock Schedule window

The Define Clock Schedule window is opened when Adding, Editing a clock schedule. When adding a Clock Schedule the From and To dates can be set and the clock grid for the date or date range specified can be selected from the Grid drop-down. When editing a Clock Schedule for a selected date, the From and To dates are read only but the clock grid can be changed using the Grid drop-down.

Topic Overview: Clocks Assignment Schedule Dates window

Working in this window

Add a Clock Schedule

Editing a Grid Assignment for a Selected Date

Editing a Grid Assignment for a Selected Date Range

Deleting an Override Clock Grid from a Schedule Date

Add a Clock Schedule
  1. Click the Dates tab of the Clocks Assignment Schedule tab.
  2. Click the Insert Clock Schedule [image] button in the toolbar to open the Define Schedule window.

  2. Select the From date.
  3. Select the To date.
  4. Select a Clock Assignment Grid from the Grid drop-down.
  5. Click the OK button to add the changes to the Schedule pane.
  6. Click Save [image] to save the changes.

Editing a Grid Assignment for a Selected Date
  1. Click the Dates tab of the Clocks Assignment Schedule tab.
  2. Select the date to edit in the Schedule Dates pane.
  3. Click the Edit Clock Schedule [image] button or double-click the assignment for that date to open the Define Clock Schedule window.

  4. Use the Grid drop-down to select a Clock Assignment Grid.
  5. Click the OK button to add the changes to the Schedule pane.
  6. Click Save [image] to save the changes.

Editing a Grid Assignment for a Selected Date Range
  1. Click the Dates tab of the Clocks Assignment Schedule tab.
  2. Select the date range to edit in the Schedule Dates pane.

  3. Click the Edit Clock Schedule [image] button or double-click the Data Range to open the Define Clock Schedule window.

  4. Use the Grid drop-down to select a Clock Assignment Grid.
  5. Click the OK button to add the changes to the Schedule pane.
  6. Click Save [image] to save the changes.

Deleting an Override Clock Grid from a Schedule Date

Select a Schedule Date that has the green check in the Override column or the Schedule Pane and click the Delete [image] button. The assigned Grid is replaced by the default rotation grid for that day. Repeat to delete further days.

Topic Overview: Clocks Assignment Schedule Dates window


Copy Clocks to Other Stations

The Copy Clocks window allows Clocks in a selected source Station to be copied to one or more Target Stations in the same Database. By default, missing Station-specific Clock Entry A saved Clock Position. A Clock Entry can comprise any available Clock Element, or in some cases, a combination of Elements. Types are automatically generated in the target Stations.

Accessing this window
Features in this window
Working in this window

The Copy Clock Process Described

Accessing this window

1. Click the Clocks tab and then the Definition tab to open the Clocks Definition window .
2. In the leftmost List Toolbar , click the [image] Copy Icon at far right to open this window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Copy Clocks to other Stations

Features in this window

Clocks List
Stations List
Entry Types List
Copy/Cancel Buttons
Results Pane

Clocks List

The Clocks List pane shows all Clocks - assigned or not - for the current Station. One or more Clocks can be selected for copying by checking the box for that Clock, or all Clocks can be selected by clicking the Select All Clocks checkbox. To clear all Clocks boxes, click the Select All Clocks box again.

Stations List

The Station list pane shows all Stations in the GSelector database with the exception of the current Station. One or more Stations can be selected to receive Clocks from the current Station by checking the box for that Station. All Stations can be selected by clicking the Select All Stations checkbox. To clear all Stations boxes, click the Select All Stations box again.

NOTE: The Clocks and Clock Elements you select are copied to all the Stations you select in one operation. To copy specific Clock and Type combinations to different Stations, copy these combinations on a Station by Station.

Topic Overview: Copy Clocks to other Stations

Entry Types List

This pane lists all Station-specific Clock Entry A saved Clock Position. A Clock Entry can comprise any available Clock Element, or in some cases, a combination of Elements. types (see the Clock Elements notes in the Clock Definition window topic for more details) . Where a value for any type is specified in the Source Clock that is not present in the Target Station(s), GSelector will auto-generate the missing value in the Target Station(s) the selected Entry Types. For example, if a fixed Link position with a specified Link is assigned in a source Clock, GSelector will generate the same value in the Target Station. Any Element can be checked to auto-generate the missing Value in the Target Station; or all values can be selected for Auto-Generation by clicking the Select All Values checkbox. To clear all Type boxes, click the Select All Types box again.

TIP: Auto Generation can only take place for any type when it is selected to be generated in this list pane.

Copy/Cancel Buttons

Once you have selected one or more Clocks from the Clocks List , specified Target Stations in the Stations List , and finally optionally selected Clock Entry Types to Auto Generate, where these are absent in the Target Station, in the Clock Elements List , click the Copy button; or click Cancel to abort the Copy process.

Topic Overview: Copy Clocks to other Stations

Results Pane

This pane displays the results of a Copy Clock process when Auto-Generation options in the Entry Types list pane have been selected. There are a further set of display options for this pane.

Print/Save button

Click this button to display the contents of the Results pane in a Print/View window. See the Printing topic for details.

Show Missing Entry Types checkbox

Check to show Entry Types not generated in Target Stations in the Results pane Status field. Entry Types in are shown as missing for the Target Station when they are not selected to be Auto-Generated in the Types list.

Show Generated Entry Types checkbox

Check this box to display Entry types that have been generated in this copy process for Target Stations in the Status field.

Show Existing Entry Types checkbox

Check this box to display already existing Types in Target Stations in the Status field.

Topic Overview: Copy Clocks to other Stations

Working in this window

The Copy Process described
Preventing an Entry Type from Copying
Notes on Copying and Troubleshooting

The Copy Process described

1. Copying Clocks is a one-way process from one Station to one or more other Stations. Select the source Station to copy from.
2. Select the Clock or Clocks to copy in the Clocks list .
3. Select the Target Station(s) to copy to in the Stations list .
4. Optionally select Clock Elements to copy or exclude from copying to the designated Stations.
5. Review Copy results in the Results pane .

Topic Overview: Copy Clocks to other Stations

Preventing an Element from Copying

Where you do not wish a Clock Element to be used in a target Station database, exclude it from the copy process by unchecking it in the Types list .

Notes on Copying and Troubleshooting

Depending on how you maintain your different Stations, you may not wish to copy over a complete Clock structure. However, this can be a complex process. Copying over a complete Clock may not have the desired results, as the process can create Clock Elements that you do not really need in your target Station databases. If you are taking a source Station Clock, with the intention of modifying that Clock in the target Station, you should be careful to only specify those Clock Entry Types that you intend to use in your target Station Clock. Note too that you can opt to view results for missing , generated and existing types in the Results pane. When copying a Clock which will ultimately differ from its counterpart in the source Station, it is a good idea to check the missing types box to confirm that you have selected the correct types to exclude.

Topic Overview: Copy Clocks to other Stations


Clock Goals

This window, accessed from the Clocks Definition window, allows the user to boost or reduce the scheduling of Songs, Links, Leading Links or Trailing Links by one of four attributes - Mood This scalar attribute is used to separate or control segues between Songs or Links by a mood description you define and apply across the entire library. The Mood scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup/Station/General window. , Energy This attribute is used to separate or control segues between Songs or Links according to the Energy of the Song or Link. Energy can be used with Mood, or instead of Mood; it's up to the user. Energy levels are on a scale of from 1 to 5, and can be renamed in the Setup/Station/General window. , Tempo This scalar attribute is used to separate or control segues between Songs or Links. Each Song or Link can have two tempo values. The next Song or Link's Tempo level is allowed or banned according to settings in the previous Song or Link's Tempo value. Tempo values are on a scale of from 1 to 5; the values are set in the Tempo fields in the Song and Link windows. Tempo scale values can be renamed in the Setup/Station/General window. and Opener This scalar attribute is used to specify whether a Song or Link can be used as an Opener. The value for the Song or Link is set in the Opener field in the Song or Link window. Many users code 'neutral' items using a value of 3 and the center point of the scale, using 4 and 5 to indicate strong openers, and 2 and 1 for weak opener. Opener scale values can be renamed in the Setup/Station/General window. - for any selected position in any Clock. Attribute values are set for each Song or Link on a scale of 1 to 5 in the Song and Link windows respectively. When considering Songs or Links for the Clock Goal position, GSelector starts from the extremes - the top or the bottom of the scale - and falls back if necessary, depending on how the Goal for the attribute has been defined.

TIP: GSelector will automatically treat any Song or Link with no Mood, Energy, Tempo or Opener assigned value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such song. For best results, we strongly suggest that when using a Clock Goal, all Songs or Links are accurately coded for the selected Attribute.

See also the Clock Goals field and the Editing Clock Content notes in the Clocks Definition window.

How do I access this window?

From any GSelector window, select Clocks and then Definition to open the Clock Definition pane. In this window, select a Clock, then a Clock Song, Link, Leading Link or Trailing Link position.

Finally, click the Edit [image] button in the Clock Goals field.

Implementing a Clock Goal

  1. Select the Clock to edit.
  2. In the Clock Content pane, select a Song, Link, Leading Link or Trailing Link position.
  3. Click the Edit [image] button in the Clock Goals column.
  4. Select the Attribute to Maximize or Minimize.
  5. Select Maximize, Minimize of None.
  6. Select the Attribute.
  7. Click the OK button.
  8. The Clock Goal is displayed in the Clock Goals field for this position.
  9. Repeat for other Clock positions as needed.
  10. Click the Save button in the Clock Toolbar to save the changes.
  11. Assign a Priority to the Clock Goal in the Priorities window.

Topic Overview: Clock Goals window


Rolling Clocks

Rolling Clocks allow you to vary the elements in your schedule in a number of ways. Rolling Clock positions in your regular Clocks call for varying elements from a counterpart Feeder Clock. This lets you 'break up' a fixed scheduling structure to add variety, in a precise and controlled way.

This tool gives you great flexibility. One approach is to use Rolling Positions in a Master Clock to call for a different Category Group each time that Rolling Position is scheduled. Or you can build a Feeder Clock of Linker Category Groups, so different ranges of Promos or PSAs rotate through one Rolling Position in the Master Clock. You can also assign a set of Song Category Groups in a Feeder Clock, and apply very specific Constraints to different positions to control what Songs are presented. Constraints, Clock Goals and Droppable settings can be applied to any Rolling Position in the main Clock.

Note: When a Constraint is placed on both a Rolling clock position in the main clock and in the selected rolling position of the Rolling clock, the main clock constraint supersedes the rolling clock constraint.

Rolling Clocks are often used by programmers to simplify their overall Clock assignment structure: instead of using multiple Clocks with minor differences in Song Category Groups or Link Category Groups, individually assigned across several hours, one single main Clock can be allocated across those same hours, using Rolling Clock positions to provide the desired variations. See the notes on Clock Assignments for general information on deploying Clocks in your schedule.

The Rolling Clock Process described

Step by Step

Building Feeder Clocks

Creating Rolling Grids

Assigning Feeder Clocks to Rolling Grids

Rolling Positions

Associating with Feeder Clocks

Associating with Rolling Grids

Feeder Clock Transition settings

The Rolling Clock Process described

Rolling Clock scheduling is implemented by inserting dedicated Rolling Positions into your main (Master) Clocks. Each Rolling Position can reference either a specific named Feeder Clock, or the Feeder Clock in a Rolling Grid for the matching day and hour. In either case, the next available element in the Feeder Clock will be scheduled. When all the elements in the Feeder Clock have been played, GSelector will return to the first position in the Rolling Clock.

NOTE: Customizable transition settings apply when a Feeder Clock is accessed for the first time after a schedule change, or when Clock Assignment grids are changed.

Step by Step

  1. Design one or more Feeder Clocks with your scheduling goals in mind.
  2. For each Feeder Clock, specify Transition settings.
  3. To use Rolling Grids, design one or more grids using your Feeder Clocks, and associate each Rolling Grid with a main Clock Assignment grid.
  4. Insert Rolling Positions in your main (Master) Clocks as required.
  5. For each position specify a Feeder Clock or the <Rolling Grid> option.

Building Feeder Clocks

Feeder Clocks are built in the Clocks Definition window in exactly the same way that you build a regular Clock. You should design Feeder Clocks to serve a specific purpose. If , for example. you want to control rotation of Linker material, you would build Links with specific Category Groups into that Clock, in a set sequence. Or, if you wish to provide variation between Songs in Category Groups, you could design alternate calls between Category Groups in the Feeder Clock. Or you could build Theme clock positions to supply Songs by different themes. It all depends on your programming goals.

Topic Overview: Rolling Clocks

Creating Rolling Grids

Rolling Clock Assignment Grids are created and have Clocks assigned in the same way as regular Clock Assignment grids. For details, see the notes on Creating Grids in the Clock Assignment window topic.

Once you have created one or more dedicated Rolling Grids, the Grid is associated with a counterpart 'main' Grid, in the Add/Edit Grid dialog box for the Main Grid.

Assigning Feeder Clocks to Rolling Grids

Feeder Clocks are assigned to Rolling Grids in exactly the same way as Master Clocks. Assigning a Clock to a Rolling Grid which is paired with a regular Grid gives the Clock Feeder status. Note that when working in any Clock Assignment Grid, every Hour in the Grid has to have a Clock assigned, even hours where no Rolling Clock positions are used. In this case, it really does not matter what Clocks are assigned to the Rolling Grid, as there will be no Rolling Position requests.

Rolling Clock positions

To insert a Rolling Clock position in a Master Clock:

  1. Select the Rolling element either in Type field in the Clock Browse, or Inserting using the Add Clock position button. For more details, see the notes in the Clocks Definition window topic.
  2. In the detail field, select either a dedicated Feeder Clock, or select the Rolling Grid option. See the notes below for further details.

  3. Repeat for other Rolling Positions as required.
  4. Save your changes as normal.

Associating a Rolling Position with a Feeder Clock

For each Rolling Position, you can optionally specify a dedicated Feeder Clock. This Clock will then feed program elements to the Rolling Position. See the notes above on building Feeder Clocks.

NOTE: There is nothing to prevent you from assigning any Clock. However, as regular Clocks contain multiple elements, all of which would feed to the Rolling Clock position, this is not recommended. Many programmers make a point of naming their Feeder Clocks to make their function clear.

Associating a Rolling position with a Rolling Grid

For each Rolling Clock Position, you can also specify the <Rolling Grid> option, as shown above. A currently active Assignment Grid can have any Rolling Grid assigned there are no limits to the number of grids you can design - but the Rolling Grid option means you are specifying the Rolling Grid assigned to the current Grid. See the notes on creating Rolling Clock Assignment Grids in this topic, and the notes on defining Assignment Grids in the Clock Assignment window topic for more details.

Feeder Clock Transition settings

Feeder Transition Style

Next Feeder Position

Clock Transition settings are defined in the Edit Clock window when editing a feeder clock. The Transition Style is used whenever the feeder clock is freshly encountered during scheduling. The transition could take place because a new feeder clock appears on the grid or because a new feeder clock is specified directly in the master clock.

Feeder Transition Style

The "Feeder Transition Style" indicates which Feeder Clock position will be used when that Clock is first freshly encountered during a scheduling run.
Next: when a Feeder clock is freshly joined, the Next Feeder position will be used.
Top: when a Feeder clock is freshly joined, the first position in that Clock will be used.
Random: when a Feeder clock is freshly joined, a random position in that Clock will be used.

Next Feeder Position

GSelector maintains a 'pointer' in each Feeder Clock, marking the next position that will be called for by the Master Clock in Rolling scheduling. When this position is filled, GSelector advances the pointer by one position. When the last position in the Feeder Clock is used, GSelector reverts to the first position in the Feeder Clock. The Next Feeder Position field shows the location of the pointer. As GSelector moves the pointer through the Feeder Clock, the Next Feeder Position updates.

You can select any value in this field, up to the number of positions in the Feeder Clock, when using the Next option in the Transition Style field. Once you have made and confirmed your selection, the Next Feeder position is used the next time the Feeder clock is called by a Master Clock.

Topic Overview: Rolling Clocks


Breaknotes

In GSelector, a Breaknote is a non-music event. Breaknotes are used in clocks to mark time and duration of anything that is not a Song, Link, Spotset, Control, Exact Time marker or a Voice Track. So a Breaknote can represent information features (News, Traffic, Sports), or promotional or public service announcements. The Breaknotes window in Clocks is where Breaknotes are defined, edited and deleted. Longer Breaknotes are generally assigned Stopset A broadcast event which significantly interrupts the flow of the music, generally an event lasting at least a minute. Speech items, News headlines, and Commercial Sports are generally Stopsets. status. Breaknotes are assigned for use in the Clocks Definition window.

NOTE: This window is suppressed when GSelector is Integrated with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. . Breaknotes are not used with this GSelector configuration, and cannot be added or used in Clocks.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Clocks tab then the Breaknotes tab. Optionally, in any Clock, select an existing Breaknote, then click the Breaknote Clock window tab to jump directly to the selected Breaknote in the Breaknote window. Click the Definition tab to jump back to the Breaknote position in the Clock Content Pane. See the Jump notes in the Clocks Definition window topic for more information.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

TIP: You can rapidly jump to any Breaknote in a long list by typing the first letter of the Breaknote name. See the Hot Key search notes in the Working with Browses topic for more details.

Topic Overview: Clock Breaknotes

Features in this window

Toolbar

Find (CTRL+F)

Breaknotes List

Stopset Breaknotes

Toolbar

This toolbar is used to Add, Edit or Delete a Breaknote, and Save or Cancel any changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Breaknotes List

All Breaknotes are displayed in this list. It can be sorted by any header in ascending or descending order. To edit, or delete a Breaknote, select from this list . The contents of the Breaknote list are displayed when editing a Breaknote Clock element in the Clocks Definition window (see Editing Clock content ).

Each Breaknote entry also displays a check to indicate if the Breaknote is assigned and another check to indicate that the Breaknote has Stopset status, as well as a ID and Media field.

Stopset Breaknotes

A Stopset A broadcast event which significantly interrupts the flow of the music, generally an event lasting at least a minute. Speech items, News headlines, and Commercial Sports are generally Stopsets. Breaknote is created in the Edit Breaknote window. Check the Stopset checkbox. All Spotsets are also Stopsets by default. Segue Bans are always ignored across Stopsets.

Topic Overview: Clock Breaknotes

Working in this window

Adding a Breaknote

Editing

Deleting

Saving

Cancel changes

Jumping to the Breaknote window from a selected Spotset in the Clock Definition window

Editing a selected Breaknote directly from the Clock Definition window

Adding a Breaknote

  1. In the Clocks Breaknotes window, click the Add [image] button or press Enter on your keyboard to open the New Breaknote window.
  2. Enter a unique Breaknote name in the Name field
  3. Enter a Runtime where this is required.
  4. To mark the Breaknote as a Stopset, check the Stopset box.
  5. If the Breaknote is associated with Audio, enter the Media type and ID in the Media and ID fields.

  6. Finally click the OK button.
  7. Click the Save Button in the Toolbar to save your addition.
  8. The New Breaknote is displayed in the Breaknotes List and is accessible when assigning Breaknotes in the Clocks Definition window.

Editing A Breaknote

Select a Breaknote in the Clock section Breaknotes list pane, then click the Edit [image] button, press Enter on your keyboard or double-click to open the Edit Breaknote window with the selected Breaknote details. Modify Name, Runtime, Stopset status, and ID and Media information if required, then click OK. To save your changes, click the Save Button in the Toolbar.

Jump Editing

A Breaknote can be opened for editing directly from the Clock Definition window, by selecting the Breaknote in the Clock Content Pane, and double-clicking on any non-drop-down field for that position. Click the Clock Definition tab to return to the Clock after Editing. See the notes in the Clocks Definition window for full details.

Deleting a Breaknote

Select a Breaknote in the Clock section Breaknotes list pane, and click the Delete [image] button in the toolbar or press Delete on the keyboard. If the Breaknote is assigned to a Clock, a prompt will appear to confirm that the breaknote is to be deleted and removed from the schedule.

Saving your new or edited Breaknote

Click the Save [image] button to save changes or edits to Breaknotes. If changes are not saved before leaving the window a prompt will appear for the user to save the changes..

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Topic Overview: Clock Breaknotes


Clock Constraints for Links

In Clock Link Constraints, a precise condition - or constraint - can be defined for an individual Clock Link position. It is used to specify that a particular Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. (including Themes), and a Value for that Attribute, must be either scheduled or avoided for a selected position. This window lists all existing Link Constraints, and is used to Add, Edit or Delete Link Constraints. Adding or Editing Link constraints is done using the Edit Clock Constraints window, opened from this window. There an Attribute is specified then a Value for that Attribute which instructs GSelector to match, or avoid Scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. Attributes.

Clock Link Constraints, once defined, are applied to Link positions in individual clocks in the Clock Definition window.

Accessing this window

Features in this window

Working in this window

See also the notes for the Edit Clock Constraints window . Note that you can also apply constraints to Songs in the Clock Constraints for Songs window.

Accessing this window

Click the Clocks tab, then the Constraints tab, to access a window similar to this detail illustration, which has been reduced to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Clock Link Constraint window

Features in this window

Toolbar

Find (CTRL+F)

Link Constraints list

The Edit Constraint window

Toolbar

The Toolbar allows the user to create or edit a new Link Constraint, or to delete an existing constraint, and to save or cancel any changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Link Constraint List pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Link Constraint List

After a Constraint has been created, it is listed here. A Link Constraint that has been assigned to at least one Clock Link position is indicated by a checkmark in the Assigned column. To edit an existing Link Constraint, click to select the Link Constraint, then double-click or click the Edit button.

Topic Overview: Clock Link Constraint window

Working in this window

Defining a Link Constraint

Editing an existing Link Constraint

The Edit Constraint window

Deleting a Link Constraint

Saving Changes

Defining a Link Constraint

In the Clock Link Constraints window toolbar, click the Add Link Constraint button or press the Ins key on your keyboard to access a blank Edit Constraint window.

Editing an existing Link Constraint

In the Clock Link Constraints window toolbar, first select the Link Constraint to edit in the Clock Link Constraints window Link Constraints list, then double-click or click the Edit button to open the Edit Constraint window, displaying the current details for the selected Link Constraint.

Deleting a Link Constraint

First select the Link Constraint to delete in the Clock Link Constraints window Link Constraints list, then click the toolbar Delete button or press the Del key on your keyboard to delete the Link Constraint.

NOTE: If a Link Constraint is assigned to one or more clock positions, you will be asked to confirm that you are deleting the Link Constraint from all clocks.

Saving Changes

Click the Save button to confirm your changes. You will be prompted to confirm the changes when leaving the Clock Link Constraint tab window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Topic Overview: Clock Link Constraints window


Clock Constraints for Songs

Clock Song Constraints

In Clock Song Constraints, a precise condition - or constraint - can be defined for an individual Clock Song position. It is used to specify that a particular Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. (including Themes), and a Value for that Attribute, must be either scheduled or avoided for a selected position, and it can also limit a the range of available Songs for this position to a range greater or less than a Scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. Attribute value. This window lists all existing Song Constraints, and can be used to Add, Edit or Delete Song Constraints. Adding or Editing song constraints is done using the Edit Clock Constraints window. There an Attribute is specified, then a Value for that Attribute which instructs GSelector to match, or avoid Scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. Attributes, exceed or undershoot that Attribute value.

Clock Song Constraints, once defined, are applied to positions in individual clocks in the Clock Definition window.

NOTE: When working with Slotted Categories, defined in the Category Group Importance window, Clock Song Constraints are ignored.

Accessing this window

Features in this window

Working in this window

See also the notes for the Edit Clock Constraints window. Note that you can also apply constraints to Links in the Clock Constraints for Links window.

Accessing this window

Click the Navigation Bar Clocks tab to open the default Clocks Definition window, or from the Clock Assignment Grid , select any Clock, and double-click to open the Clocks Definition window for that Clock, or from the Editor , double-click on an hour Header to open that Hour's current Clock in the Clock Definition window. Then click the Constraints tab, and finally the Songs tab to access a window similar to this image.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Clock Song Constraint window

Features in this window

Toolbar

Find (CTRL+F)

Constraints list

Toolbar

The Toolbar allows the user to create or edit a new Constraint , or to delete an existing constraint, and to save or cancel any changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Song Constraint List pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Song Constraint List

After a Constraint has been created, it is listed here. A Constraint that has been assigned to at least one Clock Song position is indicated by a checkmark in the Assigned column. To edit an existing Constraint, click to select the Song Constraint, then double-click or click the Edit button.

Topic Overview: Clock Song Constraints window

Working in this window

Defining a Song Constraint

Editing an existing Song Constraint

Deleting a Song Constraint

The Edit Constraint window

Saving Changes

Using Themes with Song Constraints

Defining a Song Constraint

In the Clock Song Constraints window toolbar, click the Add Song Constraint [image] button or press the Ins key on your keyboard to access a blank Edit Song Constraint window.

Editing an existing Song Constraint

In the Clock Song Constraints window toolbar, first select the Song Constraint to edit in the Clock Song Constraints window Song Constraints list , then double-click or click the Edit [image] button to open the Edit Song Constraint window , displaying the current details for the selected Song Constraint.

Deleting a Song Constraint

First select the Song Constraint to delete in the Clock Song Constraints window Song Constraints list , then click the toolbar Delete [image] button or press the Del key on your keyboard to delete the Song Constraint.

NOTE: If a Song Constraint is assigned to one or more clock positions, you will be asked to confirm that you are deleting the Song Constraint from all clocks.

Saving Changes

Click the Save [image] button to confirm your changes. You will be prompted to confirm the changes when leaving the Clock Song Constraint tab window.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Using Themes with Song Constraints

The Edit Clock Song Constraints window allows you to block or specifically call for Songs by Theme This Attribute is used to separate or control segues between songs by a general description you define and apply across the entire library. There is no limit to the number you can define. Themes can be applied any way you choose. Examples could be 'War and Peace'; 'Love Songs'; 'Songs for Budget Day', and so on.. Note that you can call for Songs by Theme in any position, by selecting a Theme Song position. This facility, however, also allows you to block Songs by a specific Theme in a specific Clock position, and to call for (or block) Songs by Theme when scheduling from a specific Category Group in a Category Group Song position.

Topic Overview: Clock Song Constraints window


Edit Clock Constraints window

This window is accessed when editing or creating a Song or Link Clock Constraint. The Constraints defined here are listed in the Clock Constraints window, and built into Clocks in the Clocks Definition window.

Accessing this window

Features in this window

Working in this window

Accessing this window

From the Clock Constraints toolbar, click the New Constraint or the Edit toolbar buttons, or select an existing Constraint and double-click to access a window similar to this image.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Clock Edit Constraints window

Features in this window

Constraint name field

Drop constraint

Attribute and value selection pane

Match/Avoid options

Value1 and Value2 fields

Constraint Name field

This field is used to enter or edit the Constraint name.

Drop Constraint options box

These operators tell GSelector what to do if the Constraint cannot be matched or avoided. The default setting is to leave the position unscheduled if GSelector cannot meet the Clock Constraint. Deselect the box to activate a Threshold setting. This allows GSelector to consider Songs with scheduling scores for this position above the Threshold value; if the threshold cannot be met for the specified score, the constraint is dropped.

Attribute and Value selection pane

This pane allows Attributes to be added, edited or deleted. The Matching and Values for each Attribute are specified in this pane. The constraint will then operate according to these settings. If multiple attributes are added, GSelector will only need to Match one of the specified attributes listed when scheduling.

For Example: If the Clock Constraint is setup as follows, with the attribute of Energy Not Equal to Lethargic and an attribute of Mood Not Equal to Dark. Then GSelector would avoid scheduling any song/link that has an Energy attribute of Lethargic OR Mood attribute of Dark.

Match/Avoid options

The Match column holds the following list of operators that can be used to Match or Avoid the attribute based on the selected Values.

Not Equal to <Value1> - Select this option to have GSelector attempt to find a Song/Link with a value Not Equal to Value1.

Equals <Value1> - Select this option to have GSelector attempt to find a Song/Link with a value Equal to Value1.

Greater than <Value1> - Select this option to have GSelector attempt to find a Song/Link with a value greater than Value1.

Less Than <Value1> - Select this option to have GSelector attempt to find a Song/Link with a value less than Value1.

Equals <Value1> or <Value2> - Select this option to have GSelector attempt to find a Song/Link with a value Equal to Value1 or Value2.

Not Equal <Value1> and <Value2> - Select this option to have GSelector attempt to find a Song/Link with a value Not Equal to Value1 and Value2.

Not Equal <Value1> or <Value2> - Select this option to have GSelector attempt to find a Song/Link with a value Not Equal to Value1 or Value2.

Equals <Value1 through <Value2> - Select this option to have GSelector attempt to find a Song/Link with a value Equal to Value1 through Value2.

Fallback from <Value1> to <Value2> - The Fallback operator will create criteria to select a Song/Link that will contain Value 1, but which will fallback to Value 2.

Greater than or Equal to <Value1> - Select this option to have GSelector attempt to find a Song/Link with a value Greater than or Equal to Value1.

Less than or Equal to <Value1> - Select this option to have GSelector attempt to find a Song/Link with a value Less than or Equal to Value1.

Value1 and Value2 fields

Depending on the operator An operator states a general condition that will be used in the search. The value or values associated with the operator further specifies the condition. Typical operators are 'Greater Than', 'Equals', and 'Contains'. selected in the Match column, there will be one or two value components. The value fields will allow you to select the criteria by which you want to search, using the drop-down list boxes.

OK/Cancel buttons

Click the OK button to save the Constraint definition. It will then be displayed in the Constraints list, and can be selected in the Clock Constraint fields in the Clocks Definition window

Topic Overview: Clock Edit Constraints window

Working in this window

Designing Constraints

The process described

Designing Constraints

A constraint is, as its name suggests, a restriction on the range of material that can be scheduled, according to very specific conditions. A constraint, once designed, is generally placed in one or more clocks at a specific position to do a specific job. So when building a constraint, you should design the restrictions for the job you need doing. If you are working with Mood, Energy, Tempo or Openers - the scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. values that are defined in the Song window - you can often get the results you need using the Clock Goal field, and setting Clock Goals in Priorities at a high level.

Where a more complex set of circumstances are called for - for example, asking GSelector to Match a specific Sound Code in a position calling for a deep spice Category Group - you can build a Constraint to deliver this.

Constraints can be very precise and in some cases very difficult to meet. So you can also build in conditions: you can specify in the Drop Constraint pane, that the Constraint is ignored, or dropped, below a given score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. threshold. Or, you can specify that the position is left unscheduled - GSelector has to match the exact values or leave the position unscheduled. Setting a Score Threshold can be a useful option for a Constraint setting where the goal is to get, if not absolutely the desired result, at least fairly close to it. We suggest that you experiment with this field, starting with a fairly high score threshold. The lower the threshold, the greater the chance of an unsuitable item appearing in the Clock Constraint position.

The process described
  1. In the Clock Constraints window, select an existing constraint and double-click, or click the Edit [image] button. Or click the New Constraint [image] button to open the Clock Constraint window.

  2. Enter a Name for the Clock Constraint
  3. Optionally specify Drop Constraint conditions.
  4. Click the Add [image] button to add an Attribute
  5. Select an Attribute from the drop-down list
  6. Select a Match operator from the drop-down list.
  7. Select a Value1
  8. Optionally select a Value2. Value2 is available based on the Match operator selected.

  9. Click OK to close the window.
  10. The new Constraint is displayed in the List pane. Click Save [image] to save the new or edited Clock Constraint.
  11. To apply the Constraint to a Clock position, select the position and click the drop-down arrow in the Constraint column of the Clocks Definition window to select a constraint.

Topic Overview: Clock Edit Constraints window


Artist Blocks

In the Artist Blocks window, you define a range of Artist Blocks to use in Clocks. Depending on the Artist Block, GSelector will schedule two, three or more songs in sequence by an Artist. This is further refined by specifying an Artist Image in the Artist Block Clock request. You can build in Links between the songs you call for in the Artist Block. Artist Blocks can be lengthy and complex. GSelector will automatically recalculate the Artist Block length when the Artist Block position is inserted in the Clock.

Accessing
Features in this window
Working in this window

See also the notes on using Twofers in the Clock Definition window.

Accessing the Artist Blocks window

Click the Clocks tab and then the Artist Blocks tab, to access a window similar to this illustration. To access this tab, the Allow Twofers checkbox in the Setup Station Features General tab must be checked.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Clock Artist Blocks window

Features in this window

Toolbar
Find (CTRL+F)
List pane
Add / Edit Artist Block window

Toolbar

From the Artist Blocks window Toolbar you can Add or Edit an Artist Block Clock Position, Delete an Artist Block Clock Position, and Save or Cancel your changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Clock Artist Blocks List pane

All the Artist Blocks you have defined are listed in the detail pane. Where an Artist Block is used in one or more Clocks, this is shown by a check in the Assigned column. You can sort the list by name in ascending or descending order by clicking on the Name header. None of the fields can be directly edited - select an Artist Block and double-click or click the Edit button in the Toolbar and work in the Edit Artist Block pane .

Each Artist Block is assigned a detailed Name, which cannot be edited, and which identifies the precise structure of the Artist Block. The Count field list the number of Songs in each Artist Block, along with the Artist Image used for that Artist Block Clock Position.

Topic Overview: Clock Artist Blocks window

Add / Edit Artist Block window

The Add or Edit Artist Block windows are opened when Creating or Editing an Artist Block Clock Position. See also the notes on Adding Link filler elements.

Click any area in this image for help

Click any area in this image for help

Artist Block Name field

The Artist Block name is displayed in the Name field. This field cannot be directly edited, but is defined by the combination of Artist Block Count, Link Element and Artist Image.

Song Count field

Click the up and down arrows or type in a number between 2 and 25 to set the number of Songs that will be scheduled. This number is carried forward into the Artist Block name. The number you set here will determine the number of Song Entry Type positions.

Artist Image field

Specify the Artist Image to use for this Artist Block.

See the notes on Adding Link elements in this topic.

Add Link element button

This button is activated when selecting the second Song Category Group position and onwards in the Artist Block Contents list. It is used to add a Link Category Group, Specific Link, Leading Link or Breaknote position to the Artist Block.

Delete Link element button

This button is activated when selecting a Link filler position in the Artist Block contents list. It is used to remove Link filler positions only.

Song Entry Type field

Songs Category Group Artist Block entries are created, inserted into, and deleted from the Artist Block using the Artist Block count field.

Link Entry type field

Link Entry Types are selected when adding a link filler or a Breaknote. Normally this is only used to select Links.

Link Description field

The Link or Breaknote description is the Link Category Group, Specific Link, Leading Link or Breaknote selected when adding the filler position.

Artist Block contents list

This pane displays the current contents of the Artist Block. Select a filler position in this list to edit or delete, or from which to add a new filler position.

See the notes on Adding Link filler elements in this topic.

Topic Overview: Clock Artist Blocks window

Working in this window

Defining an Artist Block
Adding Link elements
Deleting an Artist Block
Deleting Link elements
Jumping to the Artist Block window from a selected Artist Block in the Clock Definition window
Editing a selected Artist Block directly from the Clock Definition window

Supply and Demand
Setting up: the basics
Setting up: refinements
Artist Blocks and Artist Image
The <Twofer> Daypart
Artist Blocks in Clocks
Artist Block Daypart share settings
Applying Goals in the <Twofer> Daypart
Artist Block Importance in the scheduling sequence
Analyzing Artist Block Demand

Defining or Editing an Artist Block

  1. Click the Add button in the Toolbar , or press Ins on your keyboard to create a new Artist Block.
  2. or select an existing Artist Block in the List Pane and click the Edit button or double-click in the selected Artist Block to open the New / Edit Artist Block window.

NOTE: You can also open the selected Artist Block for editing directly from the Clock Definition window, by selecting the Artist Block, and double-clicking on any non-drop-down field for that position. Click the Clock Definition tab to return to the Clock after Editing. See the notes in the Clocks Definition window for full details.

  3. In the New/Edit Artist Block window, select the number of Songs to use in the Artist Block in the Artist Block count field.
  4. Specify an Artist Image to use.
  5. Optionally Add Links by selecting the second Song Category Group position or higher. See the Add Links notes.
  6. Click the OK button.
  7. Click the Save [image] button in the main Toolbar.
  8. Once you have defined an Artist Block, you can use it as many times as you need in Clocks. GSelector will not let you create two identical Artist Blocks.

Adding or editing Link elements

  1. Define a new Artist Block as specified above .
  2. Or select an existing Artist Block in the List pane and double-click, or click the Toolbar Edit button.
  3. Add Links by selecting the second Song Category Group position or higher. This activates the Add Link button in the Artist Block Contents pane.
  4. Click the activated Add Link button to insert a filler position.
  5. Specify filler type (Link Category Group, Specific Link, Leading Link or Breaknote) in the Link filler selection field.
  6. Specify an individual Link Category Group, Specific Link, Leading Link or Breaknote in the contents field.
  7. Click the Add [image] button to add the selected filler
  8. Click the OK button.
  9. Click the Save button in the main Toolbar.

Deleting Link elements

  1. Select an Artist Block in the List pane and double-click, or click the Toolbar Edit button.
  2. In the Add or Edit Artist Block window, select any filler position.
  3. The Delete [image] button is activated.
  4. Click to delete the selected filler position.
  5. Click the OK button.
  6. Click the Save [image] button in the main Toolbar .

Jumping to the Artist Block window from a selected Artist Block in the Clock Definition window

You can, in any Clock, select an existing Artist Block, then click the Artist Block Clock window tab to jump directly to the selected Artist Block in the Artist Blocks window. Click the Definition tab to jump back to the Artist Block position in the Clock Content Pane. See the Jump notes in the Clocks Definition window topic.

Deleting an Artist Block Position

  1. In the Clocks section Artist Blocks window, select an Artist Block in the List pane .
  2. Click the Delete [image] button in the toolbar or press the Del key on your keyboard.
  3. If the Artist Block is not assigned in any Clock, it is deleted immediately.
  4. If the Artist Block is assigned in one or more Clocks, you are asked to confirm that you are deleting the assigned Artist Block and removing it from all Clocks.

Saving your changes

Click the Save Button in the Toolbar to save changes or edits in the Artist Blocks window. If you do not save your changes, you will be prompted to save them when exiting the window after an editing session.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Supply and Demand

When using this feature, bear in mind that GSelector can only meet Artist Block requirements when it has enough Artists to meet the demand created by Clock Artist Block positions. If there are a limited number of Artists (see Analyzing below to find out exactly how many Artists are available for any Artist Block position), you might be disappointed by the range of Artists and the material used in Artist Block positions. In an Artist Block two-song request, where you can only draw on four songs for the Daypart with the selected Artist Image, you run the risk of scheduling songs 1 and 2 in the first Artist Block, and songs 3 and 4 in the next... followed by 1 and 2 again in there next, and so on. The larger the station database of songs, the less the problem.

Artist Block and Artist Image

Artist Image plays a key role in Artist Block scheduling. The Artist Image window in Setup allows you to define Artist Image ranges by demand. GSelector analyzes demand for all Artists , working through Dayparts in order of priority as set in the Dayparts Definition window . All Artists are ranked by Demand, and assigned a value in percentage terms. The Artist Demand and ranking updates automatically when you move songs from high rotation to lower rotation categories or adjust Artist Demand in the Artist Demand window . Within the range of Artist Demand (from high to low), you define as many Images as you need. GSelector divides the range up evenly, whether you specify, two (High and Low, for example), three (High, Medium and Low, for example) or more Images. Then when you design an Artist Block, you specify an Artist Image. This lets you specify Major Demand Artist Blocks, or Medium Demand Artist Blocks, or even Artist Blocks using Artists with lesser demand - a kind of 'Spice Artist' Artist Block. For more details, see the Artist Image topic.

The <Twofer> Daypart

When GSelector looks for songs for an Artist Block position, it looks across all Categories. This can present problems, as some Categories may hold more eligible songs than others, but they may not be the best for Artist Blocks. Your requirements in a Morning Daypart may be very different from those in a late Evening Daypart.

GSelector handles by a virtual <Twofer> Daypart, which is used for scheduling both Twofers and Artist Blocks. Unlike regular Dayparts, the <Twofer> Daypart works just at the point of scheduling, on Twofer or Artist Block clock positions. However, just like other Dayparts, a <Twofer> Daypart can have any Balance Setting or Song Ban assigned. However, if a Song is Banned in a Daypart, the <Twofer> Daypart will not override it

You enable the <Twofer> Dayparts in the Setup section Station Settings: Features window, by checking the Allow Twofers checkbox.

Building Artist Blocks into your schedule

  1. To build Artist Blocks into your schedule , first define your Artist Block.
  2. Then add an Artist Block position to the desired Clock or Clocks.
  3. GSelector then fills all the positions with Songs by the same Artist, as specified by the Artist Image you call for.
  4. GSelector also adjusts Clock Timing when an Artist Block position is added. For each Song in the Artist Block position, GSelector calculates the average runtime for all Songs with the specified Artist Image. It then adds in the actual runtime where a specific Breaknote or Link is specified, or the median runtime for the specified Category.

Setting up for Artist Blocks: the Basics

  1. In the Station Settings: Features window in Setup, check the Allow Twofers box.
  2. This creates a virtual <Twofer> Daypart for use in setting Balance Goals, and displays the Artist Blocks tab in the Clocks Definition window.
  3. In the same window, specify the Minimum Artist Song Count value. This controls the range of Artists available for scheduling. If the value is 0, then songs by the Artist must at least equal the value in the Artist Block Song Count field to be considered for scheduling. If the Setup window Minimum Artist Song Count value is 0 and the Artist Block window Song Count is 3, Artists with less than 3 active Songs are ignored. If the Setup window Minimum Artist Song Count value is 1 and the Artist Block window Count Song is 3, Artists with less than 4 active songs are ignored.
  4. In the Artist Image window in Setup, create one or more Artist Image Attributes to reflect Image Strength. You should have at least one image.

NOTE: if you don't want to use Artist Image to define ranges of Artists to Artist Blocks, then create a single 'All' Artist Image. See the notes in Artist Image for more details.

  5. In the Artist Blocks tab in Clocks, create Artist Block positions, specifying the number of Song Category Groups in the Artist Block by Artist Image, as well as Link Category Groups, Specific Links, Leading Links and Breaknotes.
  6. In the Clocks Definition window, build Artist Block positions into Clocks (see editing clock content notes).

Setting up for Artist Blocks: refinements

  1. In the Goals Categories window, define Category Shares for use in the <Twofer> Daypart. In the <Twofer> Daypart, the Share is automatically set to Song Turnover . See the notes on <Twofer> Daypart Share settings in this topic.
  2. To edit or modify Artist Separation, in the Goals Balance: Artist Demand window, select <Twofer> in the Daypart field. Still in this window, specify the Artist Block to use, and the Daypart to which the settings will apply; all suitable Artists are displayed. Edit as required, in the selected Daypart and other Dayparts. Save your changes before leaving this window.

<Twofer> Daypart Share Settings in the Categories window

In the Goals Categories window, Share Settings are fixed to Song Turnover for the <Twofer> Daypart. This is because all Categories are considered to be in the same Category Group for the purpose of establishing demand when using Artist Blocks. If in the underlying Daypart, all Categories are set to a Share of 1, this gives equal Turnover Demand for all Categories. To use a greater amount of Songs from, say, Current or Recurrent Categories than Gold Categories, give these Categories a greater share.

Applying Goals in the <Twofer> Daypart

You can take advantage of the very targeted nature of the <Twofer> Daypart to apply very specific Goals. Balance tab settings for any Attribute, or a Song Ban can be made to apply Clock Artist Block positions only. To set a different Balance tab setting, select the Balance tab window, and modify the setting for the <Twofer> Daypart. To apply a Song Ban, ban the Song for the <Twofer> Daypart in the Station coding pane. This is a very precise scheduling tool: <Twofer> Daypart settings are applied just at the point of scheduling an Artist Block. This, for example, would allow users to block songs from being scheduled by a specific Artist in Artist Blocks where an unwanted Vocalist participant is featured.

CAUTION: If you have a clock hour that is exclusively made up of Artist Block clock positions, care needs to be taken with daypart assignments. If you assign a Daypart just for the period, demand will be driven just by the Artist Blocks, as all songs are treated as having equal demand - your regular demand settings are ignored, and you might not get what you want. So here, it's better to not use a separate Daypart for the Artist Block period. For example with a ' Twofer Tuesday' show from 10A-2P, you should assign the regular Monday to Friday Daypart so there’s a normal mid-day demand.

Analyzing Artist Block Artist Demand

Selecting the <Twofer> Daypart in the Balance: Artist Demand window allows you to view and adjust Balance for those Artists who match the selected Artist Block requirement in the selected Daypart.

NOTE: While this method can be used to provide a snapshot of Artists by Artist Image in any Artist Block, it is not guaranteed to show all Artists. A four-song Artist Block will exclude Artists with less than four active songs for the daypart.

  1. In the Goals Balance Artist window, select the <Twofer> Daypart in the Daypart field.
  2. When you select the <Twofer> Daypart in this box, two further selection fields open
  3. Select an Artist Block in the newly opened Artist Block field
  4. In the next field select the Daypart for which you wish to view demand.
  5. All Artists available for the specified Artist Block setting and Daypart will be displayed in the Balance pane.

Assigning Importance to Artists Blocks in scheduling

By default, GSelector places <Twofer> (which include Artist Blocks) and <Song Theme> last in the scheduling order, as shown in the Category Group Settings window. However, under some circumstances, users might wish to give a higher priority to one or the other of these Clock elements. For example, where Gold Category Songs with a major Artist Image are scheduled before <Twofer> (which include Artist Blocks), this correspondingly restricts the range of material available when scheduling the Artist Block. While much depends on your library, in some cases, good results can be achieved by placing <Twofer> (which includes Artist Blocks) and <Song Theme> positions higher up in Category Group Setting window.

Topic Overview: Clock Artist Blocks window


Exact Time Markers

Exact Time Markers and the Timing Goal

Exact Time Markers (ETMs), mark points in the Clock, defined in minutes and seconds. They are built into Clocks in the Clocks Definition window. ETMs are used to adjust the air time in the schedule, or to tell operators when a given program element should be broadcast. Exact Time Markers are also used for Automation purposes with Master Control, are used in Traffic Integration, and play a part in the operation of the Timing Goal.

About Exact Time Markers

Accessing the ETM window

Features in the ETM window

Working in the Exact Time Marker window

See also the notes for Chain and Timing types in the Clocks Definition window
For details on using Exact Time Markers in Traffic Integration, see the Notes in the Traffic window topic.

About Exact Time Markers

Exact Time Markers define points in time in the schedule. Each stretch of time between an ETM is referred to as a segment. The Timing Goal works with these time segments. GSelector places a default Reset ETM at the top of each Clock Hour, which resets the Air time to 00:00 at the top of the Clock. So by default, GSelector starts out with time segments of 60:00 duration. When you define Reset ETMs (Or Hard or Soft ETMs) within a Clock, the Timing Goal will equally attempt to schedule out the smaller segments exactly.

Within this overall structure, you can also use Hit Exact Time Markers. These ETMs are ignored by the Timing Goal if they have a zero Flex Offset value. With a defined Flex Offset value, you allow GSelector latitude in scheduling, allowing events associated with Hit Exact Time markers to schedule, within defined limits, close to their intended times. Working in the Define Exact Time Marker window, you set the time and specify the type of an Exact Time Marker, and optionally build flexibility into your scheduling by ETM Type. Exact Time Markers are built into Clocks in the Clocks Definition window ; see the notes on editing Clock content for full details. When used with the Master Control sequencer, ETMs work in conjunction with Chain and Timing types.

Accessing this window

  1. Using the Navigation Bar - Click the Clocks tab, then the Exact Time Markers tab, to access a window similar to this detail illustration, which has been reduced to better fit in the help window.
  2. Jumping from a Clock - In any Clock, select an existing Exact Time Marker, then click the Exact Time Marker Clock window tab to jump directly to the selected Exact Time Marker in the Exact Time Marker window. Click the Definition tab to jump back to the Exact Time Marker position in the Clock Content Pane. See the Jump notes in the Clocks Definition window topic for more information.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Exact Time Markers

Features in this window

Toolbar

Find (CTRL+F)

ETM List

Add/Edit Exact Time window

Toolbar

From the toolbar, you can Add , Edit or Delete an Exact Time Marker, and Save and Cancel your changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Exact Time Markers list

These fields display information about the Exact Time Markers. This cannot be directly edited. Exact Time Markers are displayed in chronological order, by the minutes and seconds value assigned in the Time field, but this order can be reversed. All headers in the list can be used to sort the list by clicking to sort by that field.

Assigned status

A check here means the selected Exact Time Marker is assigned in at least one Clock. See the notes on Deleting Assigned Exact Time Markers. This field cannot be directly edited.

Name

Exact Time Markers are given composite names derived from the options selected in the Add/Edit Exact Time window. This field cannot be directly edited.

Time (MM:SS)

Displays the time value in minutes and seconds set in the Add/Edit Exact Time window. This field can be edited Edit Exact Time window.

Type

Displays the Type assigned for this Exact Time Marker in the Add/Edit Exact Time window. Select Hit, Reset, Hard or Soft from the Type drop-down in the Add/Edit Exact Time window. Selecting Hit activates the Flex Offsets settings fields. Selecting Reset, Hard or Soft activates the Under/Over settings fields.

TIP: If the playout system is not Master Control or Zetta, just use Hit and Reset ETMs.

Hit

Reset

Hard

Soft

Hit

Used to inform operators that the airtime should be close to the time set in the Exact Time field of the Clock position browse. Hit ETMs have no effect on the operation of the Master Control sequencer. A Hit ETM immediately before a stopset, for example, can warn the operator about the time commercials should be aired. A Hit ETM can be given Flex offsets to allow a time segment some flexibility in meeting the Timing Goal.

When designing an Export Schedule format for Spots, Hit type Exact Time Markers are used to place Spotset Holders in the schedule call for a dedicated Spot-specific Scheduled Time field. This differs from the Start Time field used for Songs, Links, Breaknotes, Spotsets and Spots. The Scheduled Time field represents the Scheduled Time of the Spot, and the Start Time the Start Time within the Start Date. These values will differ with Hit ETMs.

NOTE: Reset, Hard and Soft ETMs can all be allowed to Overschedule or Underschedule .

Reset

Resets the Air time of the schedule to the time set for the Exact Time Marker - regardless of the timing of all preceding program elements in that schedule.

Hard

Resets the air time of the schedule to the time set for this Exact Time Marker. If the Master Control sequencer encounters a hard Exact Time Marker in the schedule before the designated hard time, it will wait for the designated exact time before playing events scheduled beyond the marker. If the Master Control sequencer is playing an event scheduled before an Exact Time Marker at the designated hard time, it will fade that event and begin playing the event following the hard Exact Time Marker in the schedule. This will happen regardless of how much time is remaining on the event that is faded. Optionally the Back Timed checkbox can be used with a Hard ETM.

Soft

Resets the air time of the schedule to the time set for this Exact Time Marker field of the clock position browse. The Master Control sequencer makes a number of complex timing decisions when it encounters a soft Exact Time Marker in the schedule.

Back Timed

A check here means the Exact Time Marker is configured as a Back Timed ETM in the Add/Edit Exact Time window. Selecting Hard for the ETM Type activates the Back Timed checkbox. This Traffic integration feature will allow GSelector to optionally adjust the air time of an Exact Time Marker (ETM) preceding a Spotset Holder based on the air time of an Exact Time Marker (ETM) following the Spotset Holder and the duration of the spots being imported from the traffic file for that Spotset.

Consider the schedule excerpt shown below. The goal in this example is applying back-timing to the start of the ads in the Spotset Holder such that the News Sounder will start at 59:55. Note that the air time of ETM #2 is 59:55. This is the “back-timing goal” since the ETM directly follows a Spotset Holder. The air time of ETM#1 is set to accommodate the intended three minutes of commercials that will be imported from the traffic file. Now suppose there are only two minutes of spots in the traffic file for this position. GSelector would then adjust the air time of ETM #1 from 56:45 to 57:45 to allow for the smaller duration of the Spotset. This adjustment would take place at the time Traffic Integration is run.

Air Time | Duration | Title
56:45 |  | ETM #1
56:45 | 00:10 | Jingle
56:55 | 03:00 | Spotset Holder
59:55 |  | ETM #2
59:55 | 00:05 | News Sounder

Add/Edit Exact Time window

Click any area in this image for help

Click any area in this image for help

When creating or editing an Exact Time Marker, you can enter new or overwrite existing values in the Time and Type fields. Click the OK button to create the marker.

TIP: You can also open the selected Exact Time Marker position for editing directly from the Clock Definition window, by selecting the Exact Time Marker in the Clock Content Pane, and double-clicking on any non-drop-down field for that position. Click the Clock Definition tab to return to the Clock after Editing. See the notes in the Clocks Definition window for full details.

Over and Under-scheduled fields (Reset, Hard and Soft ETMs)

When enabled, these fields allow the user to set a Minimum and Maximum value for the time by which Under and Overscheduling is allowed. For example, if you specify 30 seconds in each field and allow both under- and over-scheduling, and there is a 3'00" space in the schedule to fill, this would allow items with durations of between 2'30" and 3'30" to be scheduled.

TIP: The greater the time values entered in these fields, the easier it is for GSelector to fill log positions; but this creates a parallel risk of defeating the Timing Goal for this Exact Time Marker. Much depends on timings.

Enable Under and Over Scheduling

Both these boxes are checked by default. Uncheck one or both boxes to block Under or Overscheduling.

Hit Flex Offset times (Hit ETMs)

Specify a Time Interval in the Flex Offset fields. This will allow the Segment to start at any time within the time interval defined by the Offset values. If the Offset Values are set to 0:00, Hit Exact Time Markers are ignored by the Timing Goal. When using Flex Offsets, you are building some operational latitude into your schedule, either at the beginning of the segment, or at the end, by the amounts you call for in these fields.

Topic Overview: Exact Time Markers

Working in the Exact Time Marker window

About Exact Time Markers

C reating Exact Time Markers

Add Exact Time Marker window

Editing Exact Time Markers

Deleting Exact Time Markers

Working with the Timing Goal

Gap Time Displays in the Log

Gap Time Displays in the Clock

Creating Exact Time Markers

  1. In the Clocks Exact Time Marker window, click the Add [image] button in the toolbar or press Ins on the keyboard to open the Add Exact Time window.

  2. Enter a Time for the marker in the Time field, in minutes and seconds.
  3. Select a Type in the Type drop-down.
  4. Optionally, enter Flex Offset values (minutes and seconds) in the Flex Offsets field for Hit ETMs to let the Segment to start at any time within the defined time interval.
  5. Optionally, uncheck Under/Over boxes for Reset, Hard and Soft ETMs.
  6. Finally Click OK.
  7. The ETM is automatically named for its constituent elements and displayed in the Clock Exact Time Markers window.

Editing Exact Time Markers

In the Clocks Exact Time Marker window, select an Exact Time Marker and click the Edit [image] button in the toolbar or press Enter on your keyboard or double-click to open the Add/Edit Exact Time window with the selected Exact Time Marker details ready to modify.

Deleting Exact Time Markers

Select an Exact Time Marker in the Clocks section Exact Time Marker window and click the Delete [image] button in the toolbar or press the Del key on your keyboard. If the Exact Time Marker is not assigned in any Clock, it is deleted immediately. If the Exact Time Marker is assigned in one or more Clocks, you are asked to confirm that you are deleting the assigned Exact Time Marker and removing it from all Clocks and the schedule.

Saving your changes

Click to the Save [image] button to save changes to the Exact Time Markers. If the changes are not saved, the user will be prompted to save them when exiting the window after an editing session.

Cancel Changes

Click the Cancel [image] button to return the window to its last saved state.

Topic Overview: Exact Time Markers

Timing Goals

NOTE: When working with the Timing Goal, Related Links are not recommended. Related Link times are not used when computing totals for this goal, and they should not be used in Time-sensitive scheduling.

The Timing Goal is designed to fill , to best effect, time segments between two Reset Exact Time Markers.

Once you have defined Exact Timer Markers in Clocks, you can apply the Timing Goal in the Priorities window. This goal can be given a low or a high Priority. For Timing purposes, the Top of the Hour is treated as a reset ETM of 0:00. This would appear in the ETM list as ETM_00:00_Reset. The Category Groups that are used in Scheduling to achieve the Timing Goal should be the Categories that come lowest in the Category Group Options window (see the notes for Category Group Importance window , accessed from the Categories window) . Select the Timing Goal for the Priority List assigned to the desired categories. See the notes on Implementing Timing Goal Scheduling in the Priorities Definition topic.

TIP: For this Goal to work properly, it is essential that timings for all Songs and Links are accurate. Where Songs are ripped from CD, ensure surplus audio at the beginning and the end of the file is trimmed; where segues (cross-fades) are routinely used with songs that fade, ensure your timings reflect this.

Gap Time display: Log Editor

In the Log Editor, the Gap Time is displayed for each Exact Time Marker as shown in the detail image above. The Gap Time is the difference between the duration between two ETMs, and the total duration of all program elements scheduled between those ETMs. A Gap Time of 0:00 indicates the scheduled program elements exactly fill the time between the ETMs. A positive Gap Time indicates the portion of the schedule between the two ETMs is overscheduled. A negative Gap Time indicates the portion of the schedule between the two exact time markers is underscheduled.

Gap Time Display: Clock Definitions window

When designing a Clock in the Clocks Definition window , the Airtime field will display the Gap time immediately above the Exact Time Marker Clock location. The values used in Clocks are derived from average runtimes for the Songs, Links or other Clock Items. If the total Airtime of the segment leading up to the ETM is greater that the time set for the ETM, the Gap time value is displayed as a positive value. If the segment under-runs, the Gap Time is displayed with a Negative value. Note that this detail illustration shows a Clock with no Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. assigned. For notes on Color and using Appearances for Clock and Editor entry types, see the Using Color topic.

Topic Overview: Exact Time Markers


Spotsets window

In GSelector, a Spotset is a non-music event, used in Clocks to hold commercial announcements which are integrated into the log by your traffic system in the GSelector Traffic window . The Spotset window in Clocks is where you define, edit and delete Spotsets. These are then assigned for use in the Clocks Definition window .

Spotsets are always treated for scheduling purposes as Stopsets . GSelector will not observe Segue goals across a Stopset.

Accessing
Features in this window
Working in this window

See also the notes for Spot Blocks, which function in a similar way to Spotsets, but have additional specialized features, and the Clocks Definition window .
For details on using Spotsets in Traffic Integration, see the Notes in the Traffic window topic.

Accessing this window

Navigation Bar

Click the Clocks tab, then in the Clocks Navigation bar, the Spotsets tab. This detail image has been reduced to better fit in the help window.

Jumping from a Clock

You can also, in any Clock, select an existing Spotset, then click the Spotset Clock window tab to jump directly to the selected Spotset in the Spotset window. Click the Definition tab to jump back to the Spotset position in the Clock Content Pane. See the Jump notes in the Clocks Definition window topic for more information.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

TIP: You can rapidly jump to any Spotset in a long list by typing the first letter of the Spotset name. See the Hot Key search notes in the Working with Browses topic for more details.

Topic Overview: Spotsets window

Features in this window

Toolbar
Find (CTRL+F)
Spotsets List

Toolbar

This toolbar allows you to Add , Edit or Delete a Spotset and Save or Cancel your changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Spotsets List

All existing Spotsets are displayed in this list, which can be sorted by Name or Runtime in ascending or descending order, by clicking on the relevant header. All headers in the list can be used to sort the list by clicking to sort by that field. Select a Spotset from this list to edit, or delete. The contents of this list are displayed when editing a Spotset element in the Clocks Definition window when Editing Clock content . A Spotset assigned in one or more Clocks is indicated in the Assigned column by a check.

Topic Overview: Spotsets window

Working in this window

Adding , Deleting and
Editing your Spotset details
Saving or Cancelling your changes.

Jumping to the Spotsets window from a selected Spotset in the Clock Definition window
Editing a selected Spotset directly from the Clock Definition window
Timing implications when using Hit ETMs with Spotsets

Adding or Editing a Spotset

In the Clocks Spotset window, click the Add toolbar Button to open the New Spotset window, or press the Ins key on your keyboard.

Select a Spotset in the Clocks Spotset window list pane, then click the Toolbar Edit button, press Enter on your keyboard or double-click to open the Edit Spotset window with your selected Spotset details.

If adding a Spotset, enter a unique Spotset name in the Name field, select a Runtime, specify the Media ID where used, or, if Editing a Spotset, modify the Name, Runtime and Media ID field where used, and then click OK. All Spotsets are by definition treated as Stopsets.

TIP: You can also open the selected Spotset Position for editing directly from the Clock Definition window, by selecting the Spotset in the Clock Content Pane, and double-clicking on any non-drop-down field for that position. Click the Clock Definition tab to return to the Clock after Editing. See the notes in the Clocks Definition window for full details.

Deleting a Spotset

In the Clocks Spotset window, select a Spotset in the list pane, and click the Delete toolbar button or press Del on your keyboard. If the Spotset is assigned to a Clock, you will be prompted to confirm that you wish to delete the Spotset from all Clocks in which it is assigned, as well as from the schedule.

Saving your new or edited Spotset

Click to save changes or edits to your Spotsets. If you do not save your changes, you will be prompted to save them when exiting the Spotsets window after an editing session.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Spotset Holder timing implications

Spotsets are generally placed in Clocks immediately following an Exact Time Marker. If this ETM is a Hit type, and you use an Export Schedule Format, care must be taken in this format with Spots. A dedicated Spot-specific Scheduled Time field is used, which holds the Scheduled Time of the Spot, not the more commonly used Start Time. These values will differ when Hit type ETMs are used to place Spotset Holders in the schedule.

Topic Overview: Spotsets window


Spot Blocks window

Spot Blocks

A Spot Block is a Clock Element designed to hold multiple Spots and also supplementary, Interstitial, elements - Song Category Groups, specific Links, Link Category Groups, specific Breaknotes or Controls - all in one Clock position. This tool, when used, can give very precise scheduling control of elements in your schedule, especially for non-Spot elements which are scheduled close to Spots - such as Legal IDs at the top of the hour.

During Traffic Integration, Spots are scheduled into Spot Blocks in exactly the same way as Spotsets. During this process, Spot Blocks are scheduled following the placement settings and conditions you define for each block. If a user specifies a Song Category Group or a Link Category Group in a Spot Block, an unscheduled song or link position will be inserted during Traffic Integration. These positions will later be filled when the Scheduler runs. There is no limit on non-Spot Interstitial An element of a Spot Block, which is not a Spot. When Songs and Links are used as Spot Block Interstitials, they are subject to existing Goals and Priorities in scheduling. content that can be incorporated into a Spot Block.

Spot Blocks are designed in the Spot Blocks window, and built into Clocks in the Clocks Definition window in the usual way. Note that Spot Blocks are optional - they are a tool that programmers can make use of if it meets their programming needs.

Spot Blocks and Spotsets compared

Spot Block scheduling and Traffic Integration

Accessing this window

Features in this window

Working in this window

The Spot Blocks Process described

Adding and Editing Spot Blocks in the Spot Blocks Add/Edit window

Deleting Spot Blocks

Defining Content in the Edit Spot Block Interstitial window

Spot Blocks and Spotset Holders compared

Spot Blocks and Spotset Holders function in similar ways. Both are Clock Elements which can contain multiple Spots, fed to the Spotset Holder and the Spot Block by Traffic Integration software. Both occupy a single Clock position when working in the Clock Definition window. Both elements have pre-defined duration which can be varied by spot loads, and when working with time-based integration with a traffic file, both require an ETM before the Spotset/Spot Block Holder.

However, in Spot Blocks, additional elements, referred to as Interstitials - Link Category Groups, Specific Links, Breaknotes, Control Events and Song Category Groups - and defined in the Edit Interstitial window, can be incorporated into that Clock position. Each Spot Block has a Block Start and Block End Marker, and these are displayed in the Editor, allowing you to easily identify a complex Spot Block. The Spot Block End marker can be suppress by enabling the Suppress Spot Block End option in the Miscellaneous tab of the Setup Station Features window. This option is used for some third party play out systems. When selected, Spot Block End markers will not be included in a file generated in the Interface | Export | Schedule window.

Spot Block scheduling and Traffic Integration

The Song Category Group and Link Category Group Interstitial Elements that you place in Spot Blocks can be scheduled at the same time that Traffic Integration takes place by selecting the option Run Scheduler after Integration. GSelector will first integrate the Traffic into the Spot Block and place Unscheduled Song or Unschedule Link Category positions into the Spot Block. If the Run Scheduler after Integration is selected these unscheduled positions will then be scheduled. If the Run Scheduler after Integration is not checked these position will remain unscheduled until the Scheduler is initiated to schedule the positions.

This is because the Spot load in your Traffic file can affect whether Interstitial elements can be scheduled. GSelector needs this information first before it can schedule the Interstitial elements you call for - see the notes on the Edit Interstitial window for more details. If you build Song Category Groups or Link Category Groups into a Spot Block, you should consider whether to run your regular schedule before or after integrating Traffic. In either event, GSelector will schedule Songs and Links in relation to what is already in the schedule, in the normal way, respecting all your settings. All Interstitial Song and Link elements, in addition to being subject to placement conditions and adjacency settings for each spot block, are also subject to existing Song and Link goal and rule settings. However, Spot Block settings take precedence over regular settings, as Interstitials can sometimes not be scheduled under certain spot load conditions.

Note: If you re-Integrate traffic, the initial scheduling of Interstitial elements is removed until you run the scheduler.

For details on the Traffic Integration process, see the Traffic window topic.

Topic Overview: Spot Blocks

Accessing this window

First, enable Spot Blocks in the Setup section Station - Features window. Then click the Clocks tab and then the Spot Blocks tab to access a window similar to this illustration.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

TIP: You can jump to any Spot Block in a long list by typing the first letter of the Spot Block name. See the Hot Key search notes in the Working with Browses topic for more details.

Topic Overview: Spot Blocks

Features in this window

Toolbar

Find (CTRL+F)

Spot Block List

Add/Edit Spot Block window

Adding a Spot Block

Editing a Spot Block

Deleting a Spot Block

Toolbar

The toolbar allows you to Add a Spot Block, Edit or Delete an existing Spot Block and save or cancel changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Spot Block List

The list pane shows all Spot Blocks, along with their Runtime and ID, and shows whether they are assigned in one or more Clocks. You cannot edit any item directly in this pane, but you can select a Block to edit or delete. The Split Behavior column is also displayed when Enable Splits Behavior Attribute is selected in the Miscellaneous tab of the Setup | Station | Features window.

Add a Spot Block

Click the Add [image] button in the toolbar to access the Add Spot Block window and create a Spot Block.

A Spot Block can also be added in the Clocks Definition window:

  1. Select or Insert a Spot Block element.
  2. In the Description field, click the drop-down arrow in the Definition field.
  3. Select the <New> option to open the Add Spot Block window.

Editing a Spot Block

Select an existing Spot Block, and click the Edit [image] button in the toolbar to access the Edit Spot Block window and edit the existing Spot Block's details.

Deleting a Spot Block

Select an existing Spot Block, and click the Delete [image] button in the toolbar to delete the Spot Block. GSelector prompts you before deleting a Spot Block.

When deleting a Spot Block, the Block is removed from and Clocks to which it is assigned; in the schedule, and all Interstitial An element of a Spot Block, which is not a Spot. When Songs and Links are used as Spot Block Interstitials, they are subject to existing Goals and Priorities in scheduling. elements scheduled through Spot Block insertion are deleted at the same time.

Topic Overview: Spot Blocks

Add and Edit Spot Block windows

The Add and Edit Spot Block windows allows the creation and editing of Spot blocks. While you can specify or edit the Spot Block Name, Runtime and ID in this window, Spot Block content - Interstitial An element of a Spot Block, which is not a Spot. When Songs and Links are used as Spot Block Interstitials, they are subject to existing Goals and Priorities in scheduling. elements - are added, deleted and edited in the Edit Interstitial window, accessed from this window. The sequence of added elements in the Details pane has no bearing on how the Spot Block will operate, as you control the placement and conditions for each Interstitial element. See the notes on Building a Spot Block.

Click any area in the image for help

Click any area in the image for help

Spot Block Name

Spot Block Runtime

Fill To Spot Block Runtime

Split Behavior

Stopset checkbox

Spot Block ID

Add Interstitial button

Edit Interstitial button

Delete Interstitial button

Spot Block Details

Entry Type

Description

Placement

Condition

Adjacency

Info

Edit Spot Block Interstitial window

Spot Block Name

Enter a Spot Block name here.

NOTE: You may wish to adopt a naming convention, depending on your specific Spot Block use. For example, a Spot Block which also includes a Link with a Station ID announcement, and which is placed close to the top of the hour might be named 'ID block'.

Spot Block Runtime

Enter a nominal runtime value in this field. The actual runtime of a Spot Block will vary according to the elements eventually scheduled into the Spot Block. The value you enter here is used in calculating Clock durations.

Fill To Spot Block Runtime

If the Fill to Spot Block Runtime option is enabled, the Spot Block Runtime will be used as the Spot Block Fill time in Zetta, regardless if traffic has been integrated or not.

Note: This is a future enhancement slotted for Zetta.

Split Behavior

A Split Behavior is set on the Songs, Links or Spot Blocks that are to be scheduled on a Zetta® Split Master Station where a split is to occur. The Split Behavior is respected in the On-Air, Hot Keys and Stacks modules of Zetta. The Split Behavior of an asset is set in the Miscellaneous tab of the assets song or link window. The Split Behavior of a Spot Block is set on the Spot Block in the Clocks | Spot Blocks tab. When a Spot Block has a Split Behavior it will override any Split Behavior of an Asset scheduled within the Spot Block.

None - A Split Behavior of None will play the asset through a stream enabled as Normal in the Player. Nothing will be sent to the Split Client.

Master Audio - A Split Behavior of Master Audio tells the Master station to play the audio and send a signal to the subscribing Split Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the same asset as the Master Station, if the asset is active on the subscribing station.

Master Silent - A Split Behavior of Master Silent tells the master station to be silent and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the asset scheduled on the Master station, if the asset is active on the subscribing station.

Master Monitor - A Split Behavior of Master Monitor will route the audio for the asset to the configured Monitor streams of the Player for the Master Station and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the client station will play the same audio asset that is scheduled on the Master Station, if the asset is active on the subscribing station. Master Monitor allows the user to hear the audio locally for the Master Station even though nothing is playing over the air for the Master Station.

See the Zetta® Help Guide for additional information on the Splits Feature and Tagging Assets.

Stopset checkbox

Shows that the Spot Block is used a Stopset A broadcast event which significantly interrupts the flow of the music, generally an event lasting at least a minute. Speech items, News headlines, and Commercial Sports are generally Stopsets..

Spot Block ID

Enter a Spot Block ID here. This can be an alphanumeric value.

Mandatory

Note: This feature requires an automation system that will accept these parameters. This is a future enhancement slotted for Zetta.

The Mandatory option will tell the automation system that the Spot Block must be played within the time specified. When the Mandatory option is selected, the user can set a Playable Air Time Start and Playable Air Time End. This is the time between which the spot block must be played. The Latest Allowed Start setting is used to set at what point the Sport Block must play if it has not already played in the playable air time allotted. If the Start Playback By Air Time End option is selected, the Spot Block (if it has not already played) will start playing at the time set in the Playable Air Time End field. If the Conclude Playback By Air Time End option is selected, the Spot Block (if it has not already played) will start playing before the Playable Air Time End so that it concludes by the end time specified. The Mandatory options are only visible when the Allow Mandatory Spot Blocks option is enabled in the Miscellaneous tab of the Setup | Station | Features window.

Add Interstitial button

Click the Add Interstitial [image] button to open the Edit Spot Block Interstitial window.

Edit Interstitial button

Select an Interstitial element in the Spot Block, and click the Edit [image] button or double-click to open the Edit Spot Block Interstitial window with the selected Interstitial displayed.

Delete Interstitial button

Select an Interstitial element in the Spot Block, and click the Delete [image] button to remove the Interstitial from the Spot Block.

Spot Block Details

All Interstitials for the Spot Block are listed in this pane. The Entry Type, Description, Placement, Condition and Adjacency details for each Interstitial in the Spot Block cannot be edited in the Add/Edit Spot Block window. You work in the Edit Spot Block Interstitial window.

Topic Overview: Spot Blocks

Edit Spot Block Interstitial window

This secondary window is used to specify Interstitial elements, their placing in the Spot Block, and how they interact with other elements in the Spot Block. It is accessed by clicking the Add Interstitial or the Edit Interstitial button in the Add or Edit Spot Block window.

Click any area in the image for help

Click any area in the image for help

Entry Type

Description

Clock Goal

Clock Constraint

Chain

User Info

External

Placement

Conditions

Entry Type pane

The Entry Type field in the Edit Spot block Interstitial window allows the selection of a Song Category Group, Theme Song, Link Category Group, Specific Link, Breaknote, Control, Browse List or Linker Browse List. This Entry type selected here is shown in the Entry Type column of the Spot Block window.

Description

Once the Type is selected, specify secondary details in the Description field. This allows, the selection of an existing Song Category Group, a Specific Link, a Link Category Group, a Breaknote or a Control.

Clock Goal

The Clock Goal is used to boost or reduce the scheduling of Songs or Links by one of four attributes - Mood This scalar attribute is used to separate or control segues between Songs or Links by a mood description you define and apply across the entire library. The Mood scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup/Station/General window., Energy This attribute is used to separate or control segues between Songs or Links according to the Energy of the Song or Link. Energy can be used with Mood, or instead of Mood; it's up to the user. Energy levels are on a scale of from 1 to 5, and can be renamed in the Setup/Station/General window., Tempo This scalar attribute is used to separate or control segues between Songs or Links. Each Song or Link can have two tempo values. The next Song or Link's Tempo level is allowed or banned according to settings in the previous Song or Link's Tempo value. Tempo values are on a scale of from 1 to 5; the values are set in the Tempo fields in the Song and Link windows. Tempo scale values can be renamed in the Setup/Station/General window. and Opener This scalar attribute is used to specify whether a Song or Link can be used as an Opener. The value for the Song or Link is set in the Opener field in the Song or Link window. Many users code 'neutral' items using a value of 3 and the center point of the scale, using 4 and 5 to indicate strong openers, and 2 and 1 for weak opener. Opener scale values can be renamed in the Setup/Station/General window. - for the selected position. See the Clock Goals section of this Guide for additional Information.

Clock Constraint

The Clock Constraint drop-down is used to select a previously defined Song or Link Constraint in the Clocks Constraints tab. In Clock Constraints, a precise condition - or constraint - can be defined for an individual Clock Song or Link position. You specify that a particular Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. (including Themes), and a Value for that Attribute, must be either scheduled or avoided for a selected position.

Chain

Chain Settings control the way log items interact with each other when played by the sequencer. They also can be used to pause the sequencer.

User Info

The User Info field is used to add information about the Entry Type and is carried over to the Editor window. This field can be used when setting the position to External to enter a path for the event audio such as a Time Announcement.

External

Check the box to specify External status for the Clock position, if the audio of the program element scheduled by this Clock position is not stored within the sequencer system.

Placement

The pane allows you to specify the placement of this Interstitial element in the Spot Block. Specify an Absolute Spot Count or a Percentage of Spot Count for the location of the current interstitial element, and then specify a value for placement relative to the Beginning, the Middle or the End of the Spot Block. The placement definition is listed in the Add/Edit Spot Block Details pane.

For Example: If an Absolute Spot Count is specified, and the Middle radio button is selected with a value of 0, this Interstitial element will be placed exactly in the middle of the Spot Block. If the End radio button is selected, and a value of -2 specified, this Interstitial element will be placed two positions before the end of the block. Percentage values can also be used in the same way, but may be more effective with a large Spot count in the block, so the user could call for 33% relative to the beginning of the Block, and the interstitial element will be placed a third of the way through the Spots in the Spot Block.

Conditions

The Conditions pane in the Edit Spot Block Interstitial element window allows you to set the conditions for the inclusion of this element in a Spot Block. The Conditions definition is listed in the Condition column of the Add/Edit Spot Block Details pane.

For Example: If a Spot Count of 4 is specified, and the Traffic file that has been integrated into the schedule calls for just two spots scheduled into this Spot Block, the Interstitial element will not be scheduled. See the notes in the Traffic window topic for full details on integrating traffic.

Adjacency

Check the Allow Interstitial Adjacency box to allow or block this Interstitial element from being placed next to another Interstitial element - that is, without a Spot in between. The Adjacency setting is shown in the Add/Edit Spot Block Details pane.

Topic Overview: Spot Blocks

Working with Spot Blocks

The Process described

Adding a Spot Block

Editing a Spot Block

Deleting a Spot Block

Building a Spot Block

Assigning a Spot Block in the Clocks Definitions window

Spot Block Start and End Markers

The Process described

  1. In the Setup section Station - Features - Miscellaneous tab, check the Enable Spot Blocks checkbox.
  2. In the Clocks section, click the Spot Blocks Tab to open the Spot Blocks window.
  3. Click the Add Spot Blocks button to open the Add/Edit Spot Blocks window.
  4. Enter Name, Runtime and ID details.
  5. Optionally, enable Split Behavior Attribute in the Station - Features - Miscellaneous tab to set a Split Behavior for the Spot Block.
  6. Optionally, enable Allow Mandatory Spot Blocks in the Station - Features - Miscellaneous tab to set the Spot Block as Mandatory.
  7. Then click the Add Interstitial button to open the Edit Interstitial window and define the first Interstitial Element.
  8. For this Interstitial element, specify Placement settings, and Conditions.
  9. Click the OK button to close the Edit Interstitial window and display this Interstitial's settings in the Add/Edit Spot Blocks window.
  10. Repeat from step 7 to add further Interstitial elements to this Spot Block.
  11. To edit any Interstitial in this Block, click the Edit Interstitial button and edit details as required in the Edit Interstitial window.
  12. Close the Add/Edit Spot Blocks window by clicking the OK button in this window.
  13. The Spot Block Name, Runtime and ID details are displayed in the Spot Block window.
  14. Click the Save button to save the changes.

Building a Spot Block

The Interstitial elements you choose to place in a Spot block can vary widely, according to your programming needs.

For example, a station might choose to program Songs from a dedicated co-promo Category Group, working with an associated Link Category, and fixed Spot placing for Entertainment events, all in the same Block.

Another Spot Block approach might be to place two associated Spot clusters ten minutes apart in the same Spot Block, with 'regular' programming of Songs, Links and Breaknotes in between the Spot clusters.

This makes it difficult to offer hard and fast programming rules for Spot Blocks. However, you do not need to build Interstitial elements into a Spot Block in strict sequencing order. The placement of individual Interstitials is defined for each individual, so you can 'fix' an Interstitial element in a Spot block directly in the settings for that element. This is also governed by your threshold settings for each Interstitial element.

Assigning a Spot Block in the Clocks Definitions window

Spot Blocks, once defined here, can be assigned in Clocks just like any other Clock Element.

Spot Block Start and End Markers

When working in the Editor, Spot Blocks are marked out with a Start Block Start marker at the beginning of the block and a Spot Block End marker at the end of the block. This makes it easier to spot a long and complex Spot Block. The Markers display the Spot Block Name and Spot Block Runtime in the Editor Title and Runtime fields. .

Spot Block start and end markers can have appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. defined and assigned in the Menu Tools section.

Topic Overview: Spot Blocks


Voice Tracks

Voice Track window

Voice Tracking is the practice of pre-recording presenter links, which are then combined by the sequencer with Songs, Links and Spots, and played out to deliver a complete show. The Voice Track window in GSelector allows you to design placeholders for each voice audio link. Typically, Voice Track announcements are recorded in sequence, working from an existing schedule, allowing the presenter to pre-hear the end of one piece of audio, record a link, and then play the next piece of audio. Master Control keeps track of how each announcement works in relation to the audio sequence, and plays each piece of Voice Tracked audio exactly the way it was recorded in relation to audio files in the schedule.

Accessing this window

Features in this window

Working in this window

see also: Clocks Definition window in general, and the specific notes on Building Clock Content in this topic.

Accessing

From any GSelector window, click the Clocks tab, then the Voice Tracks tab to access a window similar to this illustration.

TIP: You can also, in any Clock, select an existing Voice Track, then click the Voice Track Clock window tab to jump directly to the selected Voice Track in the Voice Track window. Click the Definition tab to jump back to the Voice Track position in the Clock Content Pane. See the Jump notes in the Clocks Definition window topic for more information.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

TIP: You can rapidly jump to any Voice Track Clock Position in a long list by typing the first letter of the Voice Track Clock Position name. See the Hot Key search notes in the Working with Browses topic for more details.

Topic Overview: Voice Track window

Features in this window

Toolbar

Find (CTRL+F)

List pane

Toolbar

From the Voice track window Toolbar you can Add a Voice Track Clock Position, Edit an existing Voice Track Clock Position, Delete a Voice Track Clock Position, and Save or Cancel your changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Voice Track Clock Position List pane

All Voice Track Clock Positions are listed in the detail pane. Where a Voice Track Clock Position is assigned in one or more Clocks, this is indicated by a Check mark in the Assigned column for that Voice Track. You can sort the list by Name in ascending or descending order by clicking on the Name Header. All headers in the list can be used to sort the list by clicking to sort by that field.

Note: When GSelector is integrated with Zetta a Zetta Empty Voice Track is created, use only this control for scheduling Empty Voice Tracks for Zetta.

Topic Overview: Voice Track window

Working in this window

About GSelector Voice Track elements

Designing Voice track elements

Adding

Deleting

Editing

Saving or Cancelling changes to Voice tracks

Jumping to the Voice Track window from a selected Voice Track in the Clock Definition window

Editing a selected Voice Track directly from the Clock Definition window

About GSelector Voice Track elements

Each Voice Track Clock Position in GSelector can be used multiple times in Clocks. GSelector Voice Track Clock Positions do not store or reference audio - they work as 'place holders'. The GSelector schedule, containing Voice Track Clock Positions, is exported to Master Control. Only then are Audio Links associated with each Voice Track clock/log Position by Master Control during the Voice-tracking process, working from the GSelector schedule. Durations assigned to each position are modified within Master Control to reflect the real durations of the associated audio files

Designing Voice Track Elements

Each station's schedule is different. Voiced Tracks can be brief or lengthy. The final product put together in Master Control may differ from the 'ideal' target lengths specified in GSelector, so you should design a range of Voice Track Clock Positions of varying lengths. How you name each element will vary according to the station's needs. If you know , for example, that a feature is always going to run to a set time, you can name a Voice Track Clock Position for that feature and build it into the Clock at exactly the right place. In the illustration below , the Voice Track list has both all purpose Voice Track Clock Positions, and some built for a specific purpose.

Adding or Editing a Voice Track Clock Position

  1. In the Clocks Voice Track tab window, click the Add [image] button in the Toolbar or press the Ins key on your keyboard to open the Define Voice Track window.
  2. In the Define Voice track window, enter a Name, Runtime. ID is optional and should be left blank if GSelector is interfaced with Master Control.

  3. Click OK. The Voice Track clock item is displayed in the List pane of the Clocks Voice Tracks window.
  4. Repeat as necessary.

TIP: You can also open the selected Voice Track Position for editing directly from the Clock Definition window, by selecting the Voice Track in the Clock Content Pane, and double-clicking on any non-drop-down field for that position. Click the Clock Definition tab to return to the Clock after Editing. See the notes in the Clocks Definition window for full details.

Editing a Voice Track Clock Position

  1. In the Clocks Voice track tab window, select an existing Voice Track Clock Position in the list pane.
  2. Click the toolbar Edit [image] button, or press Enter on your keyboard or double-click.
  3. This accesses the Edit Voice Track window, which opens displaying the selected Voice Track details.

When creating or editing an ETM, enter new or overwrite existing values in the Name and Time fields. Click the OK button to create the marker.

TIP: Remember to click the Save button to save the new or modified ETM in the ETM window.

Deleting a Voice Track Clock Position

  1. In the Clocks Voice track tab window, select a Voice Track Clock Position in the List pane.
  2. Click the Delete [image] toolbar button or press the Del key on your keyboard to delete the Voice Track Clock Position.
  3. If the Voice Track Clock Position is not assigned in any Clock, it is deleted immediately.
  4. If the Voice Track Clock Position, is assigned in one or more Clocks, you are asked to confirm that you are deleting the assigned Voice Track Clock Position from the schedule and removing it from all Clocks.

Saving your changes

Click to save changes or edits in the Voice Track window. If you do not save your changes, you will be prompted to save them when exiting the window after an editing session.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Topic Overview: Voice Track window


GSelector Scheduling

Songs

Links

Tools for High Rotation Categories

GSelector's approach to scheduling is unique, built to give the user the best possible scheduling solution. Before GSelector, scheduling engines could effectively only give the user the least worst solution for each schedule position: the user had to define scheduling 'barriers' for Songs and Links to clear and then be eligible for consideration. Maintaining accurate rules also meant regular intervention on the part of the programmer - for example, forcing users to adjust already approximate Minimum Separation values in a Category whenever the number of Songs in that Category had changed.

Song scheduling

GSelector's Goal is to give the user the best Song for each position, scheduling with the best Score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. for each position. Score values for eligible Songs for each position update dynamically as the schedule is built. This allows for very precise last-second adjustments by the GSelector scheduler. Song Scheduling takes place in Daypart order, set in the Dayparts Definition window, with each Daypart scheduled in turn. Whether the demand from each Clock Position is determined by 'regular' Clock positions, or by the use of Rolling Clock Grids or Clock Constraints A Clock Song or Link Constraint sets a precise condition for a Clock Song or Link position. A particular Attribute and Value for that Attribute must be either scheduled or avoided for a selected position., GSelector seeks the optimum choice for each position.

The GSelector Song scheduling process has two phases:
In Phase 1, faster turnover and Slotted Song Category Groups are scheduled in the Pass Order sequence set in the Category Group Options window. These Song Category Groups generally turn over so fast that Daypart Rotation is not a scheduling issue. Phase 2 has three steps: Pre-planning, Scheduling and final Optimizing.

NOTE: Some Links are scheduled before Songs, under specific conditions, although you can split the process into separate Song and Link scheduling runs if required. See the notes on scheduling Songs or Links separately in the Scheduler window topic.

Pre-planning

In the Pre-Planning step, GSelector temporarily schedules the remaining Song Category groups and Link Category groups, still by the Daypart order set in the Dayparts Definition window. During the pre-planning stage, all goals/rules are ignored. Songs are simply allocated to Dayparts, in next due order. This distributes the most due Songs across the schedule, approximately where they should be by Daypart.

Scheduling

Step 2 is the Scheduling Process itself, taking all the Goals and other settings into account. When the first Daypart is scheduled, the pre-planned Songs for that Daypart are unscheduled, and become available for scheduling. Note that all Songs in the next and further Dayparts remain pre-planned until GSelector starts scheduling the next Daypart, when that Daypart's pre-planned allocation of Songs and Links are released to be scheduled for that Daypart, and so on.

Optimizing

Step 3 is to revisit the finished schedule to optimize it. Working in each Daypart in turn in each Day across the scheduled period, Songs are juggled within their Song Category Groups in each scheduled position to find the combination of Songs with the best possible scores for each schedule position, always while respecting Goals and settings.

Link scheduling

Different conditions apply to Links.
Specific Fixed Links in Clocks are placed in the schedule first, when the Clock is read by GSelector before the schedule process begins.
Then, Link Category Group positions are scheduled before Songs. These are scheduled in the order set in the Category Group Options window.

NOTE: You can choose to split the scheduling process into separate Song and Link scheduling runs. See the notes on scheduling Songs or Links separately in the Scheduler window topic. This will allow you to schedule Links after Songs, which allows Song-Link Texture segue bans to work more efficiently.

Finally, Related Links are scheduled after the Songs are scheduled.

Tools for High Rotation Categories

Search Depth

Single Song Search Depth

Kicking and Slotting

Using Kick

Artist Separation using Kick

Using Slotting

Daypart Slotting

Search Depth

By default, GSelector allows the full amount of Songs in any Category of a Category Group to be searched in normal scheduling. This means the Scheduler will consider All Songs in the Categories in a Group. While under most circumstances, a reasonable well-balanced Library will spread items according to the Natural Demand The demand for each item in your library, calculated by the demand for the item's Category, and the number of calls for that Category in Clocks. in the Library. However, there is a risk, especially with smaller, High Rotation Categories, that this may yield less than perfect rotation, favoring easy to schedule Songs while starving out or restricting harder to schedule songs.

So, depending on the library, there may be situations where you might wish to control rotation more precisely.

To do this, work in the Goals Category Group Settings window.

By default, when this window is first open, all Search Depth values are set to 100%, allowing GSelector to consider all Songs in the Categories for that Category Group. This value can be reduced or changed to a specific Count instead of Percentage. When working with a Search Depth of less than 100%, an appearance can also be applied to Songs, which is then applied in the Consideration window, allowing the user to see songs that fall within the Search Depth setting, and those that do not. See the notes on Search Depth Appearance for more information.

Single Song Search Depth

While Search Depth values are expressed as percentages, by default, GSelector automatically adjusts the Search Depth setting to the percentage equivalent of a single song in small Categories within a Category Group. Setting a value of 1% in a 6-song Category Group will be treated as 16%, allowing for GSelector to always call for a search depth of 1 song. The value automatically adjusts internally, no matter how many songs there are in the Group - unless there are more than 100 songs in the Group. This effectively allows the use of a Slotted approach while using Kicked stacking, and still respect Goals, Adjustments and Clock Constraints. Optionally the Depth can be switched to Count to allow the Search Depth to be set to a specified number of songs.

Kicked or Slotted stacking - which status to use?

The Kicked and Slotted stacking orders can be applied to Song Category Groups. Both give access to the Kick Override window. Which one you select depends on your scheduling requirements.

Slotted status places all Songs in the Categories of the selected Group in a strict order, which you can define in the Kick Override Order window. In scheduling, the Songs are placed in the log in that exact order: all existing Goals, Adjustments, and Constraints are disregarded. The Kick Override window lets you can use GSelector's automatic kick settings, or choose to design your Kick settings manually. The Automatic setting adjusts the Category sequence by kicking the appropriate number of songs to the bottom of all Categories in the selected Category Group, when scheduling in your least important Daypart. With Slotted Stacking, you can access the full range of Kick modes - Manual and Automatic.

Kicked status allows Songs to be kicked manually only, as you specified in the Kick Override window, but Songs are not Slotted, and they remain subject to all existing Goals, Adjustments and Constraints.

Using Kick

Kick is a device that allows the programmer to move - kick - Songs to the bottom of the stack at one or more set times during the week. This device is used to ensure even rotation in smaller, High Rotation categories, where the Clock demand can tend to bring Songs back close to their previously scheduled position in a noticeable way. Kick allows GSelector to shift one or more Songs out of the way to build a more even separation of fast turnover Songs.

Kick can be used in two ways, working with Category Groups designated as Slotted or Kicked in the Category Group Settings window. Settings are defined for these Category Groups, working in the Kick Override window.

Kicked Categories in Category Groups can have Manual Kicks designed and specified in the Kick Override window, and the Categories in the Category Group remain subject to all Goals you have implemented.

There are other considerations that can apply as well. For more details, see the notes on Implementing Kick and Implementing Slotted status for full details.

Artist Separation when using Kick

If Artist separation is important to you, and you are kicking a Category Group with two or more Categories with Songs with the same Artists, there is a risk that songs by these Artists will be scheduled close to each other at the kick point. To avoid this, many kick users work with single-Category Category Groups.

Using Slotting

Slotted Categories in Category Groups can have an Automatic as well as a Manual Kick applied, but due to their strictly controlled scheduling sequence, are not subject to Spread Goals. You cannot apply Slotted Status to a Category Group midway down the Pass Order in the Category Group Settings window: you can only select Slotted or Kicked status in descending order from the most important Category Group on down - you cannot, for example, apply Slotted or Kicked status to the bottom Category Group if the Group above it is not Kicked or Slotted.

Slotting with Alternate Categories

Also known as Daypart Slotting, this device allows the user to apply Slotting to Songs which are used in two different Categories. Different Kicks can this be applied to Categories where appropriate. The Song's Alternate Category is assigned by Daypart. For full details, see the Slotted By Daypart notes in the Category Group Settings topic.

Topic Overview: GSelector Scheduling


Scheduler window

Scheduler window (Current Station)

This window is used to schedule or unschedule the current station for any selected Date range. The results are displayed in the Hours pane, showing totals for scheduled or unscheduled positions. From this pane, you can jump to any hour in the Editor. Under most circumstances, GSelector is designed to completely fill all positions in the schedule.

NOTE: When working in this window, you schedule the current station. GSelector also offers multiple station scheduling. See the Multi-Station Scheduler notes.

Accessing this window

Features in this window

Working in this window

For an overview of the GSelector scheduling process, see the GSelector Scheduling notes. See also the Multi-Station Scheduler and Copy Schedule notes.

Accessing this window

Click the Scheduler tab, and then the Current Station tab.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Scheduler window

Features in this window

Date Range

Wrap, Block or Hour Grid selection

Schedule

Schedule Settings

Pass Order Limit

Unschedule

Unschedule Settings

History Options

Schedule History

Hours Scheduled pane

Daylight Saving time adjustment

Viewing Unscheduled or Scheduled Totals

Date Range

Enter the start and end dates and hours to schedule in this pane. This will define a continuous Date and Time range. There is no limit to the number of consecutive days you can call to be scheduled in one operation, subject only to the terms of your GSelector license. See also the notes on selecting Date and Time Ranges in the Hours Scheduled pane. Alternately, click the drop down arrow for either Date field to open a Date Selection pane for that date, and repeat for the second date. See the notes on using Date and Time Range Panes When scheduling a single day, the Date fields automatically reset to show the next unscheduled day at the end of scheduling. When scheduling multiple days (more than one day at a time), the date fields do not reset automatically.

NOTE: When using Future Moves in a Multi-Day scheduling session, moves on dates that fall in the middle of a multi-day scheduling range are deferred to the next scheduling session in the future. If this is about to occur, there is a warning which allows you to cancel the session and break down the multi-day range to smaller periods or individual days.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to schedule are entered in the Dates and Hours Pane, the user can define further what they want scheduled. When selecting the Wrap feature the scheduled range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours scheduled would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours scheduled would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be scheduled. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Schedule

Use the Schedule section of the window to select the Pass Order, the Schedule Settings and start the scheduling process using the Schedule button.

Schedule Settings

The Schedule Setting window allows the user to select the following additional options when scheduling.

Export after Schedule

Scheduling Songs, Notes, Links, and Related Links separately

Selecting Song and Link Browse Lists

Export checkbox

If the Export box is checked, GSelector will generate an export file for each date within the specified range for the current station. The last loaded schedule export format used in the Export Schedule window is used. This feature is designed for GSelector users who don't need to review or edit the schedule before exporting it. The setting is saved when you close this window.

Scheduling Songs, Notes, Links and Related Links separately

To schedule just Songs, Notes, Links or Related Links, check or uncheck the appropriate box. Typically, this allows a user to put the music schedule in place and add links and Notes at a later stage, allowing them to take advantage of Link to Song and Song to Link Texture Link Segue Ban settings.

Song and Link Browse List

The Songs and Link Browse List drop-downs are used to select a Browse List to schedule from for those Browse List Clock Positions set to <Select in Scheduler>. If The Browse List Clock Position is set to <Select in Scheduler> and no list is selected here, the position will have an unscheduled status after the scheduler has run.

Unschedule

Use the Unschedule section of the window to Unschedule a days log.

Full unschedule

Unschedule Settings

Preserve Clock Requests checkbox

Unschedule Songs or Links only

Unschedule using Pass Order Limit

Unschedule Specific Category Group or Link or Category

Unschedule NexGen

Unschedule Settings

The Unschedule Settings allow the user to select the following additional options when unscheduling.

History Options

The History Options section is used to view the number of unscheduled positions by each Song Category Group or Link Category Group. When the Scheduler window is first accessed, the Song Type is selected by default, and all Category Group boxes are checked. The window will display unscheduled position totals or scheduled position totals for all checked Song Category Groups or checked Link Category Groups. At the start of scheduling, all of the Category Group checkboxes are cleared. Every time the Scheduler encounters a new Pass Order, the associated Category Group becomes checked in the History Options. The counts displayed in both the Unscheduled and Scheduled grids are the cumulative number of unscheduled or scheduled positions at that point in the scheduling process. This is particularly handy when setting a Pass Order Limit to schedule only a portion of all Category Groups. During and at the conclusion of scheduling, the number of unscheduled songs will be constrained to those Category Groups being scheduled rather than the overall number of unscheduled positions per hour. This allows the user to quickly see any issues that occurred during the scheduling session.

Note: The effect of seeing the Category Groups become checked while scheduling takes place is much more pronounced when scheduling a multiple-date range.

These checkboxes are selected using the Songs or Links radio buttons, showing respectively one for Song Category Groups and one for Link Category Groups. Uncheck any combination of Song Category Groups or Link Category Groups to view other combinations. The sequence in which Category Groups are displayed in this pane is set in the Category Group Options window. The Select All button can be used to quickly uncheck and check all the Category Groups.

Schedule History pane

The mid-section of the Scheduler window displays a History of the Scheduling performed during the users session.

While the scheduling process is running this window is updated. Each row represents a summary of a Scheduling/Unscheduling job that can be expanded to show each pass in the job process. This section can be expanded or decreased to be hidden from view. The Cancel [image] button next to the running job can be used to cancel the job. Use the toolbar above this section to Clear Scheduling History [image] and Cancel all Jobs [image].

Hours Scheduled pane

Schedule Publication Status

Unscheduled tab

Scheduled tab

Schedule Publication Status

The Unscheduled and Scheduled tabs have status indicators to define the status of each hour in the log. These indicators update as users start and complete various schedule-related actions in GSelector. They can help regulate workflow in an enterprise where multiple people contribute to the evolution of a schedule. The indicators refresh dynamically in real-time, and a change made at any workstation immediately updates all other workstations according to a polling frequency set at each of those workstations. The various states of schedule publication and the trigger that sets each state are as follows:

Not Generated: This is the status of an hour which has not been touched since it was originally created. The default appearance is a black N on a green background.

No Positions Scheduled: This is the status of an hour in which the clock positions have been laid in but all positions are unscheduled. The default appearance is a yellow background [image]. In the Unscheduled window a black number provides a count of unscheduled elements [image].

Some Positions Scheduled: This is the status of a partially scheduled hour. The default appearance is white number on a blue background [image]. In the Unscheduled window the number provides a count of unscheduled elements. In the Scheduled window the number refers to scheduled elements. Hover the mouse over the number in an hour of the Unscheduled tab to view the Category Groups for the songs that are unscheduled. Hover the mouse over the number in an hour of the Scheduled tab to view the number of Scheduled Category Groups and the Categories in those groups.

All Positions Scheduled: This is the status of a completely scheduled hour. The default appearance is a white background. In the Scheduled window a black number provides a count of scheduled elements [image]. Hover the mouse over the number in the hour to view the number of Scheduled Category Groups and the Categories in those groups.

Open for Editing: This is the status of one or more hours which a user has manually flagged as being edited. The default appearance is a red background [image]. To set the status make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Open for Editing. To clear the status, make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Clear Status.

Ready for Export: This is the status of one or more hours which a user has manually flagged as being ready to export or publish. The default appearance is a pink background [image]. To set the status make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Ready for Export. To clear the status, make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Clear Status. The act of setting a schedule hour as Ready for Export automatically saves that schedule as the Published Schedule.

Exported: This is the status of one or more hours which have been exported to a third party system. The default appearance is a beige background [image]. To set the status make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Exported. To clear the status, make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Clear Status. This status can also be set or cleared using the SetScheduleStatus method in the GSelector Import/Export Web Service.

Reconciled: This is the status of one or more hours which have been reconciled with schedule changes from a third party system. The default appearance is a gray background [image]. To set the status make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Reconciled. To clear the status, make a selection of one or more hours in the Scheduled or Unscheduled window, then right-click the mouse. Select Publication Status | Clear Status. This status can also be set or cleared using the SetScheduleStatus method in the GSelector Import/Export Web Service.

The colors used for all of the status positions can be changed by working in the new Publication Status section of the Tools | Global Settings | Appearances | Global Assignments dialog box.

Unscheduled tab

This pane in the Scheduler window displays a summary of scheduling by date and hour. In the default view, it displays completely scheduled hours, not-scheduled hours with a count of unscheduled elements, and hours with unscheduled song positions, for all checked category Groups selected in the History options pane. The user can set additional publication status positions using the right-click menu to select Open for Editing, Ready For Export, Exported and Reconciled.

Scheduled tab

In the alternative Scheduled Positions view, accessed by clicking the Scheduled tab, the default view displays the totals for all checked Song Category Groups or Link Category Groups scheduled as selected in the History options pane. Completely unscheduled hours are indicated by a black [image] on a green background. Hours with no positions scheduled are indicated in yellow [image]. The user can set additional publication status positions using the right-click menu to select Open for Editing, Ready For Export, Exported and Reconciled.

Daylight Saving Time scheduling adjustment

GSelector automatically adjusts your schedule for Daylight Saving time. For this to work, your Windows™ Regional Settings should be accurately set for your region. On the night when Clocks are due to 'Spring forward', an hour is automatically removed from the schedule at the regional Daylight Saving Time hour. When Clocks 'Fall back' , the hour before the regional Daylight Saving Time hour is doubled in length.

Topic Overview: Scheduler window

Working in this window

The Scheduling Process

Generating a schedule

Cancelling scheduling

Right-click Scheduling menu options

Selecting Date and Time ranges

Scheduling Songs and Links separately

Pass Order Limit - Partial Scheduling

Reverse Scheduling

Unscheduling

Full unschedule

Unschedule Settings

Viewing History by Category Group

Opening the Editor from the Hours pane

Using the Broadcast Start Hour

Scheduling for NexGen Users

The Scheduling Process

See also the notes on Reverse Scheduling.

GSelector offers different stacking approaches, which can be used to determine how the Scheduler handles song scheduling. Specify, in the Category Group Options window, whether to stack Songs for consideration by Daypart or by Hour; additionally select to Kick, or apply Reverse Scheduling to any Category Group, Theme or <Twofer> pass. When GSelector generates a schedule, each day is scheduled according to the settings, Daypart by Daypart (in the sequence set in the Dayparts Definition window) , in Category Group priority sequence. For each position, GSelector evaluates all possible combinations of Songs in the Category Group for each Clock position, while respecting Goals for each Daypart.

TIP: For a detailed overview of the GSelector scheduling process, see the GSelector Scheduling topic.

When Daypart stacking is selected, GSelector looks for the optimum next-due song for the current position within the Daypart, and when you select Hour stacking, GSelector looks for the optimum next-due song for the current position within the Hour. The larger the Daypart, the more possible combinations exist to be evaluated, with possible consequences for scheduling speed. See the notes in the Daypart Regions topic for approaches using large Dayparts. Multiple Scheduling/Unscheduling jobs can be activate and running simultaneously.

Generating a Schedule

Enter or select a Date Range in the Date range boxes. Then click the Schedule button. A Progress window appears to show scheduling status and the Schedule History pane shows the Job is running.

Each day is scheduled, Daypart by Daypart, in the sequence set in the Dayparts Definition window. If Breakfast is the most important Daypart, it will be Scheduled first, followed by the next most important Daypart, and so on, until Scheduling is complete.

Once Scheduling is complete, the Progress window closes, and the Hours Scheduled Pane updates to display the date or dates Scheduled. When the Scheduler window is next access, the first completely unscheduled day is displayed in the Hours Scheduled pane, and the Dates Pane updates to display the first completely unscheduled day as well.

TIP: For details on using Kick Scheduling, see the Category Group Pass Order window topic.

Cancelling a Schedule Process

Click the Cancel button in the progress window or the Schedule History pane to stop the Scheduling session. All items Scheduled up the cancellation point will remain in the Schedule. To cancel all jobs running use the Cancel All Jobs [image] button in the Schedule History pane.

Selecting Date and Time Ranges (Single station and Multi-Station scheduler windows)

  1. Enter dates and times as required in the Dates and Hours pane, optionally click any Date and Hour field
  2. This opens the Date and Time Range Pane . Select a Date and Time Range.
  3. The selected Date and Time range is then used when scheduling or unscheduling.

or select a Date and Time range by clicking and dragging

  1. In the Hours Scheduled pane, left click on the start hour and day for the Date and Time range to select.
  2. Still left-clicking, drag the cursor to the end hour and day in the desired Date and Time range.
  3. The dates and hours are displayed in the Dates and Hours pane.
  4. The selected Date and Time range is then used when scheduling or unscheduling.

or select a Date and Time range selecting the start and finish date and hours while depressing the shift key

  1. Press the shift key on your keyboard.
  2. Still pressing, click the first date and hour.
  3. Still pressing, click the second date and hour - going forward or back in time, it doesn't matter.
  4. The dates and hours are displayed in the Dates and Hours pane.
  5. The selected Date and Time range is then used when scheduling or unscheduling.

or select a single Date by clicking in the Date Column to enter that date in the From: and Thru: Date fields.

Select Wrap, Block or Hour Grid to narrow the Date and Time Range selection even further.

TIP: In Single station scheduling, the next unscheduled day is displayed in the From: Date field after a scheduling run, to facilitate the scheduling process. In the Multi-Station Scheduler window, where different circumstances can apply to different stations, Dates have to be entered manually each time

Date and Time Selection for GSelector stations interfaced with NexGen

Note that when GSelector stations are interfaced with NexGen, you will not be able to select a starting scheduling point in the past, on the current hour or the next hour, whether by entering a date and time value, or by selecting the hour and date with your mouse. See the NexGen scheduling notes in this topic.

Right-click Scheduling menu options

Select a hour, day or date range ( see above ) and then right-click to open a menu to schedule, unschedule or change the Publication status for the selected date and time range.

NOTE: If the GSelector station is interfaced with NexGen, the right click menu option is disabled for any hour in the past, and also for the current hour and the two hours on either side of that hour. See the notes on Scheduling when interfaced with NexGen.

Pass Order Limit - Partial Scheduling

This Scheduler window drop-down list box allows the user to specify a Partial Scheduling limit. The Scheduler will schedule up to and including the selected Category Group (and any tied Group), Theme Song or Browse List. This could be used, for example to test out how some Goal settings might impact on Categories at the top of the Scheduling order set in the Category Group Importance window. The default setting for this field is <All>. Click the drop-down arrow to select the Category Group, Theme Song or Browse List as the last in the Pass Order. The GSelector Scheduler will schedule up to and including the selected Category Group, Theme Song or Browse List. To complete a day's scheduling, select the <All> option from this field. See the History Options section for additional information on viewing the Scheduled and unscheduled positions when using Pass Order Limit Scheduling.

Reverse Scheduling

The Reverse Scheduling option in the Priorities window gives users the ability to reverse the chronological scheduling order, for any Daypart, Category Group, <Twofer> and Theme scheduling. By selecting the Reverse Schedule option for the Assigned Priority List, GSelector will schedule any Category Group, Theme or <Twofer> pass, working backwards from a defined point in the schedule - the end date and time for any specified scheduling period.

This feature is designed to work with previously scheduled elements - shared schedules, or specific program features planned in advance - in which fast turnover categories typically lead to scheduling conflicts with the pre-scheduled programming.

To implement Reverse Scheduling:

  1. Check the Enable Reverse Scheduling checkbox in the Setup | Station | Features | Advanced window.
  2. In the Goals section, Edit a Priority List, from the Goals Priorities Definition window.
  3. Check the Reverse Schedule box for any Category Group you wish to apply reverse scheduling to.
  4. Assign the Priority List to desired Dayparts and Categories.
  5. Click OK to close the Priority List Assignment window
  6. Click the Save button to save your changes.
  7. Ensure the Daypart is assigned for the hours where you wish to apply reverse scheduling.

In the Scheduler window, select your scheduling period. If you are specifically concerned with creating a smooth transition between your programming and Networked programming, set the scheduling period to end at the day and hour where the pre-scheduled programming starts, as this is effectively the start point for reverse scheduling.

TIP: Many GSelector users maintain reverse scheduling for specific Category Groups, <Twofers> or Themes as a permanent feature; others opt to apply this feature selectively. Whether you choose to do this will depend on the number of junctions with shared programming or custom programming features in your schedule, and the number of available items for each Category Group, <Twofer> or Theme. The smaller the number of items, and the faster the turnover, the more critical reverse scheduling becomes in relation to shared program material.

Unscheduling

This pane offers a number of unscheduling options.

Full unschedule

Unschedule Settings

Preserve Clock Requests checkbox

Unschedule Songs, Links, Notes or Related Links only

Unschedule using Pass Order Limit

Unschedule Specific Category Group or Link or Category

Unschedule Zetta/NexGen

Full Unschedule

Specify the date range as above, and click the Unschedule button. The user will be prompted to confirm the action. The prompt will show the date(s) and time to be unschedule, the assets that will be unscehduled and the count of each asset to be unscheduled. If the schedule includes traffic the user will be warned and they will need to re-integrate traffic.

Preserve Clock Requests checkbox

Check this box to retain existing schedule positions generated by clock requests when unscheduling. Uncheck the box to remove all schedule positions when unscheduling.

TIP: Date and Time ranges are always complete - a range defined as from 3AM to 8PM on September 5 to 9 starts at 3AM on September 5, and runs to 8PM on September 9. To schedule a series of time blocks from 3AM to 8PM, you must schedule these periods individually for each day.

Unschedule Songs, Links, Notes or Related Links only
  1. Select the <None> option in the Pass Order Limit/Specific Categories field.
  2. Click the Unschedule Setting drop-down
  3. Uncheck Songs, Notes, Links or Related
  4. Click the Unschedule button.

This option can also be used to partially unschedule from a Pass Order Limit, or to unschedule a Specific Song Category Group or Link Category Group using the Limit Type option in the Unschedule Settings.

Unschedule using Pass Order Limit

To partially unschedule a period using a Pass Order Limit:

  1. Toggle the Limit Type under the Unschedule Settings to Pass Order Limit,

  2. Click OK
  3. Click the Pass Order Limit drop-down under the Unschedule button
  4. Select the last Category Group, Theme Song or Browse List that is to remain scheduled. All Category Groups, Theme Songs or Browse Lists after the selected will be unscheduled. The Pass Order is set in the Category Group Groups Settings. Using this system, it is possible to leave the most important Category Groups scheduled while unscheduling the less important Category Groups.

  2. Click the Unschedule button.

Unschedule a Specific Song Category Group or Link Category

To unschedule a specific Category for a set period:

  1. Toggle the Limit Type under the Unschedule Settings to Specific Categories

  2. Click OK
  3. Click the Specific Categories drop-down under the Unschedule button to access a list of Song Category Groups and Link Category Groups.

  4. In this window check any Song Category Group or Link Category Group, or check or uncheck the Select All boxes.
  5. Click OK to close this window.
  6. Click the Unschedule button.

Unschedule NexGen

The Unschedule NexGen checkbox is used to unschedule the selected days in NexGen when unscheduling in GSelector. This option is only available when interfacing with NexGen and when the Unschedule log option is not selected in the Automatic Synchronization tab.

Viewing Unscheduled or Scheduled positions

The Scheduler window offers the option to display either the total of scheduled positions or unscheduled positions in the Hours Pane. All Unscheduled positions are displayed in the default setting, while the totals of all scheduled positions can be displayed by clicking the Scheduled tab.

Opening the Editor from the Hours scheduled pane

Select an hour by clicking that hour. Then double-click to open the Editor in that hour.

Broadcast Start Hour and Scheduling

The Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window. is defined in the Daypart Assignment window . It defaults to 12A, but can be set from 12A-11A. When working in the Editor, the schedule period starts at the specified schedule start time. If the Broadcast Start Hour is 5A and you schedule 8/19, you are scheduling from 8/19 at 5A through 8/20 at 4A.

Scheduling for NexGen Users

When a GSelector station is interfaced with the NexGen playout system, the current hour, the previous hour and the next hour are all 'locked' in NexGen. You cannot edit, schedule or unschedule these hours in GSelector or in NexGen, nor can you select Hours or Days in the past.

If for example you want to unschedule a current day after making some alterations to clocks, the schedule is protected in GSelector and in NexGen for the current hour, the past, and the hour after the current hour. When scheduling the current day in GSelector, GSelector start scheduling from the beginning of the hour after the current hour. Right-click menu options are disabled for 'locked' hours.

Topic Overview: Scheduler window


Multi Station Scheduler

This window allows the user to schedule or unschedule one or more Stations simultaneously, working from any Station. The stations to schedule are selected in the Multi Station Scheduler window. GSelector also makes provision for scheduling conflicts (Cross Station Scheduling) between stations, where there is a need to avoid the same song being transmitted simultaneously on two stations.

Accessing this window

Features in this window

Working in this window

See also the Scheduler window and the Copy Schedule window notes.

Accessing this window

From any GSelector window, click the Scheduler tab, then the Multi Station tab, to access a window similar to this illustration. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: Multi Station Scheduler

Features in this window

Date and Time range fields

Wrap, Block or Hour Grid Selection

Date and Time Range fields with NexGen

Schedule button

Schedule Settings

Publication Status

Unschedule button

Unschedule Settings

Conflicts Button

Station Selection pane

Scheduler History Pane

Generating a Schedule

Date and Time range fields

These fields are the same as to those in the Current Station tab window. See the Selecting date ranges notes in the Scheduler window for details. There is no limit to the number of consecutive days you can call to be scheduled in one operation, subject only to the terms of the GSelector license for each station being scheduled.

NOTE: When scheduling a single day, the Date fields automatically reset to show the next unscheduled day at the end of scheduling. When scheduling multiple days (more than one day at a time), the date fields do not reset automatically.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to schedule are entered in the Dates and Hours Pane, the user can define further what they want scheduled. When selecting the Wrap feature the scheduled range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours scheduled would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours scheduled would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be scheduled. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Date and Time range fields with NexGen

Special conditions apply when generating a schedule across multiple stations if at least one GSelector station is interfaced with NexGen. See the NexGen Scheduling notes in the main Scheduler window topic. You will not be able to select a date in the past, or schedule from the current or the next hour if you are sending a schedule to NexGen. In this case, you should schedule for NexGen stations separately from non-NexGen stations.

Schedule Button

Click this button to generate a Mutli-Station schedule.

Schedule Settings

The Schedule Setting window allows the user to select the following additional options when scheduling.

Export after Schedule

Scheduling Songs, Notes, Links, and Related Links separately

Export checkbox

If the Export box is checked, GSelector will generate an export file for each date within the specified range for the current station. The last loaded schedule export format used in the Export Schedule window is used. This feature is designed for GSelector users who don't need to review or edit the schedule before exporting it. The setting is saved when you close this window.

Scheduling Songs, Notes, Links and Related Links separately

To schedule just Songs, Notes, Links or Related Links, check or uncheck the appropriate box. Typically, this allows a user to put the music schedule in place and add links at a later stage, allowing them to take advantage of Link to Song and Song to Link Texture Link Segue Ban settings.

Publication Status

The Publication Status in the Multi Station Scheduler can be used to set or clear the Publication Status for the selected Stations for the selected Date Range. Select the Publication Status from the drop-down menu and click the Set button to set the Publication Status for the selected stations for the selected date range. Use the Clear button to clear the Publication Status for the selected stations for the selected date range. The history of the change will be shown in the Scheduler History pane.

Unschedule Button

Click this button to unschedule the selected date range across the selected stations.

Unschedule Settings

The Unschedule Settings allow the user to select the following additional options when unscheduling.

Preserve Clock Requests

Unschedule Songs, Links, Notes or Related Links only

Preserve Clock Requests

Check this box to retain existing schedule positions generated by clock requests when unscheduling. Uncheck the box to remove all schedule positions when unscheduling.

Unschedule Songs, Links, Notes or Related Links only
  1. Select the <None> option in the Pass Order Limit/Specific Categories field.
  2. Click the Unschedule Setting drop-down
  3. Uncheck Songs, Notes, Links or Related
  4. Click the Unschedule button.

  5. Click Yes to confirm the Schedules and assets to be unscheduled.

This option can also be used to partially unschedule from a Pass Order Limit, or to unschedule a Specific Song Category Group or Link Category Group using the Limit Type option in the Unschedule Settings.

Conflicts

Click the Fix button to analyze and fix conflicts in schedules. Where there is a requirement to avoid the same song being scheduled at the same time - or at least overlapping in time on different stations, GSelector will replace the song with the next best choice for the second station in the scheduling check sequence. The scheduling check sequence is set in the Administration Organizations window. In this window, stations are ranked in order of importance. GSelector looks at the most important station first, and then moves on to check for conflicts in the next station in the list, and so on. If a Song is replaced as part of this process in any station, this is reported in the Scheduler History pane.

NOTE: If you don't care about conflicts in a multi-station scheduling run, ignore the Conflicts button.

Station Selection pane

This pane allows the user to specify which stations are scheduled when generating a Multi Station schedule from this Station. You can specify different stations for Multi Station scheduling in each Station. However, the station scheduling order, which is set in the Administration Organizations window, is common to all stations in the licensee In GSelector, the organization licensed to use the program. One or more stations can share a common database. A Licensee must have at least one station. group. Use the Select All option to the left to select all the stations in the list, click the Select All again to deselect all the stations.

Scheduler History pane

The bottom-section of the Multi Station Scheduler window displays a History of the Scheduling performed during the users session.

While the scheduling process is running this window is updated. Each row represents a summary of a Scheduling/Unscheduling job that can be expanded to show each pass in the job process. The Cancel [image] button next to the running job can be used to cancel the job. Use the toolbar above this section to Clear Scheduling History [image] and Cancel all Jobs [image].

Generating a Schedule

Enter or select a Date Range in the Date range boxes. Then click the Schedule button. A Progress window appears to show scheduling status and the Schedule History pane shows the Job is running.

Each day is scheduled, Daypart by Daypart, in the sequence set in the Dayparts Definition window. If Breakfast is the most important Daypart, it will be Scheduled first, followed by the next most important Daypart, and so on, until Scheduling is complete. Once Scheduling is complete, the Progress window closes, and the Scheduler History Pane updates to display the date or dates Scheduled.

Topic Overview: Multi Station Scheduler

Working in this window

Multi Station Scheduling step by step

Checking for Conflicts step by step

Set Publication Status

Unscheduling

Broadcast Start Hour in Multiple Scheduling

Cross Station Scheduling

Future Moves and Packet Target Dates

Multi Station Scheduling step by step

  1. Select the Station to generate the Multi Station Schedule from. We suggest that this is normally done from the most 'important' station in the group.
  2. In the selected Station, open the Administration Organizations window from the Menu Tools option, and set the Station order.
  3. In the Multi-station tab select a date range to Schedule.
  4. Select the options from the Settings drop-down in the Schedule section.
  5. Optionally, select the Publication Status.
  6. Check boxes to select Stations for Multi-Scheduling in the Station selection pane.
  7. Click the Schedule button. A Progress window opens, and GSelector displays scheduling actions taken in the Scheduler History pane.
  8. Once scheduling is finished, click the Conflicts button to replace Conflict records.
  9. To edit each station's schedule, switch to that station and work in the Editor window.

Cross Station Scheduling: Checking for Conflicts

  1. Generate a Multi Station schedule, as usual.
  2. Click the Conflicts button immediately after the schedule run, or
  3. Select the Date Range to check for conflicts in the Date range fields, for example after manually editing the schedule, and then click the Conflicts button.
  4. GSelector checks for conflicts and list any changes in the results pane.

Unscheduling

  1. Select a date range to Unschedule
  2. Select the options from the Settings drop-down in the Unschedule section.
  3. Check boxes to select Stations in the Station selection pane. Use the Select All button to select all the stations.
  4. Click the Unschedule Button.

TIP: GSelector automatically adjusts for Daylight Saving time. See the Daylight Saving time notes in the main Scheduler window topic.

Broadcast Start Hour in Multiple Scheduling

Where stations have different Broadcast Start Hours assigned, each station will commence scheduling at its designated Broadcast Start hour for the defined scheduling period set in the Date range fields .

Future Moves and Packet Target Dates

If one or more Future Moves or Packet Start Dates is setup in the Song window that fall within a Multi-Day schedule period, GSelector warns the user of this before starting the scheduling process. If Yes is clicked, GSelector will schedule the selected days and apply the Future Move at the beginning of the next scheduling session. Click No to break down the multi-day range to shorter ranges or individual days.

Note: GSelector does not move a song in the middle of a single day or multi-day scheduling range. It is moved at the start of the next scheduling session once the play count is reached.

Topic Overview: Multi Station Scheduler


Interactive Scheduler

The Interactive Scheduler allows the user to interact with GSelector during the scheduling process where a scheduled song or link falls below a specified Score Threshold. This feature also allows the user to Manually schedule each Song and Link position in the Log. The Interactive Scheduler button in the Editor toolbar is used to Setup and Start interactive scheduling.

Note: The Interactive Scheduler does not do the planning and optimization phase that is seen with the normal scheduling process. It also does not do Multishot scheduling, Artist Blocks, Recycling or Slotted/Kicked, however these can be scheduled before or after Interactive Scheduling. The Interactive scheduling does not do Timing and Dropping but the user can run the scheduler afterwards to schedule timed categories.

Accessing the Interactive Scheduler Settings

Features in the Interactive Scheduler Settings

Start Interactive Scheduler

Automatic Interactive Scheduling window

Manual Interactive Scheduler Navigation toolbar

Keyboard Shortcuts

Interactive Scheduler Work Flow using Automatic Interaction

Interactive Scheduler Work Flow using Manual Interaction

Accessing the Interactive Scheduler Settings window

  1. From any GSelector window, click the Editor Tab.
  2. Select the down arrow next to the Interactive Scheduler button.

  3. Select Settings...

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: Interactive Scheduler

Features in the Interactive Scheduler Settings window

Interaction

Scheduling Order

Hours

Manual Intervention Score Threshold

Run Scheduler on remaining positions after the session

Retest positions after the session

Pass Order Limit

Interaction

The Interaction section gives the option of Manual scheduling where the user interacts with the scheduling process to schedule every unscheduled position for the Hours selected. If the Move to next position after manually scheduling element is selected then GSelector will automatically move to the next unscheduled position in the selected hour range following the Pass Order Limit. If this option is not selected the user can use the Navigate to Next Unscheduled Position button in the Manual Interactive Scheduler Navigation toolbar.

The Interaction section also gives the option of Automatic scheduling where the user interacts with the scheduling process only if the song/link that is selected by GSelector hits the Manual Intervention Score Threshold. When a song hits the threshold point the scheduling process will stop and allow the user to manually schedule the position. If the Continue after manually scheduling elements option is selected, the scheduling process will continue scheduling after the user selects the song/link to be scheduled until it finds another position that hits the Manual Intervention Score Threshold where it will stop again to allow the user to manually schedule the position. If this option is not selected GSelector will wait for the user after they select a song/link for the unscheduled position. At this point the user can manipulate the editor as needed or use the Manual Interactive Scheduler Navigation toolbar to go to the Next Unscheduled Position, go to the Previous Unscheduled Position, End Interactive Session, Switch to Automatic Mode or Cancel the Session. If Switch to Automatic Mode is selected GSelector will continue the scheduling until it finds another position that hits the Manual Intervention Score Threshold where it will stop again to allow the user to manually schedule the position and then wait.

Scheduling Order

The Scheduling Order section allows the user to schedule in Chronological order or by Daypart.

Hours

The Hours section allows the user to select a specific range of hours to schedule instead of the entire day. The user will also see a prompt when starting the interactive scheduling process to confirm the hours selected. This prompt can be disabled.

Manual Intervention Score Threshold

The Manual Intervention Score Threshold is the point at which the Automatic scheduling will switch to Manual scheduling. When a song or link that is selected by GSelector hits the Threshold set here the Interactive Scheduler will switch to Manual.

Run Scheduler on remaining positions after the session

If the Run Scheduler on remaining positions after the session option is selected then the Scheduler will finish scheduling any unscheduled positions after the Interactive Scheduler ends.

Retest positions after the session

When the Reset positions after the session option is selected GSelector will retest the score of each position, like the regular scheduler, after the session.

Pass Order Limit

The Pass Order Limit drop-down is used to select the Song/Link Category Group (and any tied Group), Theme Song or Browse List that will be scheduled during the Interactive Scheduling process. The rest of the Category Groups will be scheduled after the session if the Run Scheduler on remaining positions after session is selected.

Start Interactive Scheduler

Once the Interactive Scheduler is setup the Interactive Scheduling can start. To start the Interactive Scheduler use the down arrow of the Interactive Scheduler button in the Editor toolbar to select Start...

When the Interactive Scheduler is started the user will receive a prompt to confirm the selected Hours.

This prompt can be disabled by deselecting the Always prompt option in the prompt window.

Automatic Interactive Scheduling window

If the Interaction option is set to Automatic the Automatic Interactive Scheduling window will open showing the scheduling process. This window will be displayed until the Manual Intervention Score Threshold is met. When the Manual Intervention Score Threshold is met the Editor will open with the Replace Consideration window, Test Bar, Failure Details, History and the Manual Interactive Scheduler Navigation toolbar.

The Hours of the day are displayed across the top of this window with the number of unscheduled positions just below. The grid part of the window shows the details of the item scheduled, the Hour, the Position and the Score. At the bottom of the window is a progress bar to show the percentage of completion, a Paging on off slider, a Pause/Resume button and a Cancel button.

Paging

The Paging toggle switch is on by default and stops the automatic interactive scheduling after processing 20 positions. The Pause button will change to a glowing Resume button to alert the user that it has paused the scheduling process. Selecting the Resume button will schedule the next 20 positions. Toggling the Paging off will allow the automatic interactive scheduling to run until the Manual Intervention Score Threshold is reached. If Paging is disabled it will be disabled the next time the Interactive Scheduler is used.

Pause/Resume

The Pause button is displayed while the scheduling process is running. Clicking this button will pause the scheduler. Use the Resume button to restart the scheduler from where it was paused. When Paging is enabled, after 20 positions have been scheduled the Pause button will change to a glowing Resume button to alert the user that it has paused the scheduling process.

Manual Interactive Scheduler Navigation toolbar

The Manual Interactive Scheduler Navigation toolbar has the following buttons.

Previous - This button will navigate the editor to the previous unscheduled position in the selected Hour range.

End Session - This button will End the Interactive Session and return the user to the Editor. If the Run Scheduler on remaining positions after the session is selected the Scheduler will schedule all unscheduled positions when End is clicked.

Next - This button will navigate the Editor to the Next unscheduled position in the selected Hour range.

Automatic - This button will switch the Interactive Scheduler into Automatic mode from Manual mode.

Cancel - This button will cancel the Interactive Scheduling session.

Keyboard Shortcuts

Keyboard shortcuts when the focus is on guided toolbar window:
Next - Left arrow
Previous - Right arrow
End - End
Cancel - Escape
Switch to Auto - A

The above shortcuts only work if focus is on Manual Interactive Scheduler Navigation toolbar.

To refocus on Manual Interactive dialog - press Ctrl-I

Interactive Scheduler Work Flow using Automatic Interaction

  1. Go to the Editor tab
  2. Select the down arrow next to the Interactive Scheduler toolbar button.

  3. Select the Settings...
  4. Configure the Interactive Scheduler Settings window as described above. Set the Interaction mode to Automatic.
  5. Click OK to save the settings.
  6. Select the down arrow from the Interactive Scheduler toolbar button again.
  7. Select Start...

  8. Confirm the Hours to be scheduled. Click OK

  9. If Paging is enabled, after 20 positions have been scheduled the Pause button will change to a glowing Resume button. Select Resume to continue.
  10. When the Manual Intervention Score Threshold is hit the Automatic Interactive Scheduling window will close showing the Editor, Replace Consideration window, Test Bar, Failure Details, History and the Manual Interactive Scheduler Navigation toolbar.

  10. Double-click the desired item to schedule from the Replace Consideration window.
  11. If the Continue after manually scheduling elements option is selected in the Interactive Scheduler Settings window the Interactive Scheduler will continue until the Manual Intervention Score Threshold is hit.
  12. If the Continue after manually scheduling elements option is not selected the scheduler will wait for an action. Use the Manual Interactive Scheduler Navigation toolbar to go to the Next Unscheduled Position, go to the Previous Unscheduled Position, End Interactive Session, Switch to Automatic Mode or Cancel the Session.

Interactive Scheduler Work Flow using Manual Interaction

  1. Go to the Editor tab
  2. Select the down arrow next to the Interactive Scheduler toolbar button.

  3. Select the Settings...
  4. Configure the Interactive Scheduler Settings window as described above. Set the Interaction mode to Manual.
  5. Click OK to save the settings.
  6. Select the down arrow from the Interactive Scheduler toolbar button again.
  7. Select Start...

  8. Confirm the Hours to be scheduled. Click OK

  9. Double-click the desired item to schedule from the Replace Consideration window.
  10. If the Move to next position after manually scheduling element is selected then GSelector will automatically move to the next unscheduled position in the selected hour range.
  11. If this Move to next position after manually scheduling element is not selected the scheduler will wait for an action. Use the Manual Interactive Scheduler Navigation toolbar to go to the Next Unscheduled Position, go to the Previous Unscheduled Position, End Interactive Session, Switch to Automatic Mode or Cancel the Session.

Topic Overview: Interactive Scheduler


Copy Schedule window

In this window, you copy a completed schedule from any Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. in your GSelector Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. to one or more other Target Stations. Where Songs are not active in Target Stations, GSelector will activate the Songs, allocating them to the default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. for that Station, and apply the station specific attributes of the source element to the target element. . The window also allows selective Song Category Groups and Link Category copying. You can only Copy a Schedule from a GSelector Station with an On-Air License Each GSelector database license contains a set number of On-Air and non-On-Air licenses. A GSelector Station with an On-Air license can export, print, and copy Schedules; a Station without an On-Air license may not. Subject to certain restrictions, On-Air licenses can be assigned or removed from any of your GSelector stations by an Administrator. . See the On-Air notes in the Stations window topic.

Accessing this window

Features in this window

Working in this window

Accessing

In your Source Station, click the Scheduler and then the Copy Schedule tab. This illustration is reduced in scale to better fit in the help window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Copy Schedule window

Features in this window

Source Station field

Target Stations pane

Date and times to copy pane

Exclude Song Category Groups and Link Categories Activated Songs pane

Duplicate and Repeat options

Run Multi Station Traffic Integration After Copy

Copy button

Copying Schedules with NexGen

Source Station field

The Copy window copies information one way, from this station or any other station in the database to one or more Target Stations.

Click the drop down arrow to access a full list of Stations in your database. This process allows you to, for example, import a schedule from another Station to your current Station. GSelector stores the station selections you make in this window and reuses them the next time you work in the window. The selections are saved per source station and persist through closing and restarting GSelector until you change them again.

Target Stations pane

All available Target Stations are listed in the Target Stations pane. Check one or more Stations to make those Stations Target Stations for this copy schedule process. Use the Select All option to the left to select all the stations in the list, click the Select All again to deselect all the stations. The Copy processes is only one way, from a Source Station into one or more Target Stations. When a Target Station is selected, the Copy button is activated. A Copy cannot be performed without selecting one or more Target Stations.

Source and Target Date and Time fields pane

When you open the Copy Schedule window, the Dates and Times displayed in the Source Station fields are for the first Hour (or the first Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window. if not Midnight), of the Last Scheduled day, whether fully or partly scheduled, for the current station. You can specify any Source Station, and then set a date and time range to copy. After selecting the From Date and Time and the Thru Date and Time the user can select how to interpret the range using the Wrap, Block or Hour Grid options.

Wrap: GSelector will consider all hours starting at the From Date and Time thru the Thru Date and Time.

Block: GSelector will consider the From and Thru times as a block of time within each date within the range. An example using a From date of 1/1/2011 and a From Time of 10:00am with a Thru Date of 1/17/2011 and a Thru Time of 2:00pm, GSelector will include the 10:00 AM through the 2:00 PM hours within each date from January 1, 2011 through and including January 17, 2011.

Hour Grid: The user will select an Hour Grid from a drop-down list. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected. The user can also Import an Hour Grid from another station, in the database, when selecting the Grid Inclusion or Grid Exclusion options.

The default Target Date and Time is the first hour (or the first Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window. of the Source station if not Midnight), of the first completely unscheduled Day, but you can select a different value here as well. The end time is determined by the length of the Source station date and time range using the default Wrap option to interpret the range.

Specifying Dates and Times
  1. Select a date or time field, accept the default values.
  2. Or type in new values
  3. Or click the date arrow to access Date and Time Range Pane to select a date, or the up and down arrows to set times.
  4. Select how to interpret the Date and Time Range using Wrap, Block or Hour Grid from the drop-down.

Note: that there are restrictions when copying to a Target Station that is interfaced with NexGen. See the notes on Copying Schedules with NexGen.

Exclude Song Category Groups and Link Categories
  1. Click the drop-down arrow at right of this field to specify Source Station Song Category Groups and Link Categories to exclude from the copy process. These selections will be retained each time the Copy Schedule is used. The saved selection persists even after closing and restarting GSelector.

  2. In this window check any Song Category Group or Link Category.
  3. Click OK to close this window.
  4. The exclude settings are displayed in the Exclude pane.

Duplicate/Repeat options

The two radio buttons below the Source and Target Dates pane allow you to Duplicate or Repeat Songs in the schedule.

Select the Duplicate option to completely replace the Target schedule with the contents of the Source schedule. This will copy all material in the schedule: songs, links and breaks. When copying to the Target Schedule, GSelector will attempt to match all the Links and Breaks to those in the Target Station. If no exact title match exists, the item is added to the Target Station.

Select the Repeat option, to copy Songs and Links out to the existing Clock Structure in the Target Schedule. The first Song in the Source schedule is copied to the first Song position (regardless of category) in the Target schedule, then the second, and so on until all Song positions in the Target schedule hour are filled, or the Source schedule hour Song positions are exhausted. The same process is applied to Links. If there are not enough Songs or Links in the Source station schedule hour, existing Target schedule positions are retained (scheduled or not); if there are too many Songs or Links to fit in the Target schedule hour, surplus Source schedule Songs and Links for that hour are not copied.

The Copy Chain and other Clock Data option is only enabled if Repeat is selected. When the Copy Chain and other Clock Data option is selected GSelector will copy the clock data in the schedule such as Chain, Timing, Skip, External, Fixed, and Lock Level setting to the target station when the schedule is copied. This setting is persisted each time the copy clock option is used.

NOTE: When activating a song in another Station, if the Song's Category Short Name exists in the Target Station, the Song is activated in that Category. If not, the Default Category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. is used.

Run Multi Station Traffic Integration After Copy

When the Run Multi Station Traffic Integration After Copy option is checked, after copying the schedule, GSelector will run Linker | Traffic | Multi Station for the target stations for same date/hour range for which the schedule is copied. Traffic will be integrated for each station where Integrate is checked in the Integrate tab, and the Scheduler will be run if Schedule after Integration is also checked in the Integrate tab.

Copy

Use the Copy button to start the copy process. When a Target Station is selected, the Copy button is activated. A Copy cannot be performed without selecting one or more Target Stations.

Topic Overview: Copy Schedule window

Working in this window

The process described
Selecting Target Stations
Duplicating a Schedule or Repeating Songs only in the Target Station
Activated Songs and Default Categories in Target Stations

The Process Described
  1. In the Source Station, generate a schedule.
  2. In the Copy Schedule window, select the Source Station, and the Target Stations to copy the schedule to.
  3. Set the Source Station Date and Time Range to copy, and the Start Date and Time for the schedule in the Target Stations.
  4. Optionally, enter settings to Exclude Source Station Category Groups and Link Categories from the copy process.
  5. Optionally, select the Run Multi Station Traffic Integration After Copy option to run traffic integration for the target station selected.
  6. Click the Copy Button. All songs that are inactive in the Target Stations are assigned default categories for each Station, and are displayed by Station in the Activated songs pane.

Note: There are restrictions when copying to a Target Station that is interfaced with NexGen. See the notes on Copying Schedules with NexGen.

Activated Songs pane and the Default Category

When you copy a schedule from one Station to another, some songs in the Source Station may be inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. in the Target Station. When these songs are copied to a Station where they are activated and placed in the default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. that you specify, applying the station specific attributes of the source element to the target element. See the notes here for more details.

If you copy over a schedule to multiple Stations, all Stations are listed in the pane. Click on any Station to display the activated songs in that Station. The songs in the pane can be sorted by Title or Artist for each Target Station, in ascending or descending order.

Many programmers define a category with light or even no demand, and then re-evaluate the new songs in the Target Station, assigning them to other categories for regular scheduling. Other programmers simply copy a schedule over with no plan to generate a schedule in the Target Station.

Copying Schedules with NexGen

Special provisions apply when copying schedules to or from GSelector stations integrated with NexGen. The default Target Date and Hour is, as before, the next completely unscheduled date and hour in the target Station database, and you can edit this, as before. However, when copying to a NexGen station, you will not be able to specify any date and hour in the past, the current date and hour, or the next hour after the current date and hour.

Topic Overview: Copy Schedule window


Multi Shot Scheduling

This inventive technique is designed for scheduling songs from a category having a high turnover, typically due to a small number of songs assigned to the category, while maintaining core scheduling objectives like vocalist spread, yesterday song, minimum separation and the like. This is achieved by scheduling, measuring results, unscheduling and repeating the process multiple times across the selected date/time range. Before Multi Shot Scheduling, GSelector gave a high turnover category only one chance, one “shot,” at scheduling. However, there are many possible layouts for the songs within a category and some give better overall rotations than others. This feature allows GSelector to try and measure different song layouts until the best schedule is found. If each schedule pass is a shot, then the multiple passes provide a multi-shot approach.

How Multi Shot Works

Multi Shot Settings

Setting up Multi Shot Scheduling

Topic Overview: Multi Shot Scheduling

How it Works

Following is a simple example of how Multi Shot Scheduling works.

Consider five hours with one song scheduled every other hour. The first day’s schedule might look like this:

Hour | Day 1
5 AM | Song 1
6 AM |
7 AM | Song 2
8 AM |
9 AM | Song 3

When it comes time to schedule the next day, the most rested is Song 1, which played the previous day at 5 AM. Under normal conditions, GSelector would either schedule Song 1 at 5 AM or it would leave it unscheduled due to a Yesterday Song violation. Either outcome is undesirable.

With Multi Shot Scheduling enabled for Day 2, GSelector will first try Song 1, followed by Song 2, followed by Song 3. It will then set that shot aside and then try Song 2, followed by Song 3, followed by Song 1. After putting that shot aside, GSelector will next try Song 3, followed by Song 1, followed by Song 2. This will continue until all shots have been exhausted and the best shot is picked. In this example the best shot would be this:

Hour | Day 1 | Day 2
5 AM | Song 1 | Song 2
6 AM |  |
7 AM | Song 2 | Song 3
8 AM |  |
9 AM | Song 3 | Song 1

Day 3 presents a problem similar to Day 2. Song 2 is the most rested but inappropriate for scheduling in the 5 AM hour. Multi Shot Scheduling tries the permutations and comes up the following:

Hour | Day 1 | Day 2 | Day 3
5 AM | Song 1 | Song 2 | Song 3
6 AM |  |  |
7 AM | Song 2 | Song 3 | Song 1
8 AM |  |  |
9 AM | Song 3 | Song 1 | Song 2

This oversimplified example should give a basic understanding of the principles behind Multi Shot Scheduling. Real world examples can be much more complex, but the results will typically be better than what GSelector or any other scheduling system could provide in a single shot.

Topic Overview: Multi Shot Scheduling

Multi Shot Settings

The Multi Shot settings allow the user to place limits on Multi Shot Scheduling. Proper settings will keep GSelector from spending too much time scheduling a date\hour range and will only consider the best songs for each shot. Feel free to experiment with the settings. There are no hard and fast rules. Use the Test Settings button to display the Number of times the scheduler will attempt to schedule a song category based on the values set.

Click any area in this image for help

Click any area in this image for help

Search Depth per Shot

This is similar to setting search depth for a category. For each position in a shot, GSelector sorts the songs by descending score. This setting limits the number of songs GSelector will consider by working downward through the sort when scheduling each position. Possible values are 2, 3 and 4. Setting this value too high could result in GSelector taking a very long time to complete scheduling. When starting out we recommend using the default setting of 2.

Maximum Total Digs per Shot

This setting limits the number of overall digs GSelector is allowed while scheduling a shot. For example, if there are 40 positions to be scheduled and this setting is 50%, GSelector may dig past a grand total of 20 songs. These digs can be spread across multiple positions. For example, there could be two digs for ten positions, or one dig for twenty positions or two digs for five positions with three digs for another two positions and four digs for yet another. The lower the percentage, the faster each shot will be scheduled. We recommend starting with the default of 50%. Increase the value if you are not happy with the final Multi Shot results. Decrease the value if GSelector is taking too long to schedule.

Maximum Positions Having Lower than Best Score

While scheduling a shot, GSelector could potentially schedule many songs that do not score well. In such a case it's likely the shot will not be the one finally used. This setting allows you to set a limit on the number of times the best scoring song is not scheduled. The limit is expressed as a percentage of total positions to be scheduled. We recommend starting with the default of 50%. The lower the percentage, the faster each shot will be scheduled. Increase the value if you are not happy with the final Multi Shot results. Decrease the value if GSelector is taking too long to schedule.

Portion of Scheduling Range Having Lower than Best Score

This setting allows you to limit which portion of the scheduling range may contain songs having a lower than best score. The default is 100%, which means GSelector will tolerate songs having lower than best score throughout the entire range being scheduled. A lower percentage enforces the selection of the best scoring song for positions located beyond that percentage of the range. For example, if there are 10 positions and the setting is 70%, each song placed in the last seven positions must be the best scoring song. In the first three positions other than the best scoring song can be scheduled. A setting of 100% will work well for categories with a small number of songs and a small number of clock requests. For categories having more than 15 songs with more than three clock requests per hour we suggest lowering this value.

Scoring Range

The scoring range section of this window allows the user to specify whether GSelector should consider plays in the dayparts assigned to the same region as the current daypart or only consider plays within the current daypart.

Test

The test section is used test the results of the settings selected. The user can specify the Number of song positions for a category in the scheduling range, click the Test Settings button and GSelector will return the Number of times the scheduler will attempt to schedule a song category. Adjusting the number of song positions for a category in the scheduling range allows the user to test the settings to see how long it will take GSelector to determine the number of attempts without scheduling. From this a user could deduce that given the current combination of settings scheduling would take far too long.

Topic Overview: Multi Shot Scheduling

Setting up Multi Shot Scheduling

  1. Go to the Setup tab

  2. Select the Station tab

  3. Select the Features tab

  4. Select the Advanced tab

  5. Select Enable Optimization Options

  6. Click Save

  7. Go to Goals tab

  8. Select the Optimizations tab

  9. Select Definition tab

  10. Add or Edit an Optimization

  11. Name the Optimization

  12. Select a Multi Shot option from the Optimization Options drop-down.

  13. From the Multi Shot Options, select Auto, Heavy, Medium, Light or Custom. The Auto option applies typical values for the multi-shot scheduling settings, which will usually provide the best results. The Light to Heavy options allow you to vary what you would get with Auto. Light reduces the number of shots for increased speed in scheduling where Heavy increases the number of shots with more possibilities of a good schedule but at the cost of reduced scheduling speed. Custom allows you to adjust any or all of the settings should you wish to experiment.

  14. If custom is selected, click the ellipses [image] button next to the Multi Shot drop-down.

  15. Set the Settings and Scoring Range desired.

  16. Select the Test Settings button to verify the results desired.

  17. Click OK to close the Multi Shot Settings window

  18. Click OK to close the Edit Optimization window

  19. Use the Optimizations Assignment tab to Assign the Multi Shot Optimization to a Daypart and Category Group.

Topic Overview: Multi Shot Scheduling


Audit Trail windows

GSelector Audit trail windows is used to troubleshoot scheduling goals. The Audit Trail is available in two areas: the Scheduler Audit Trail window, and the Editor Audit Trail window when the Enabled Audit Trail option is selected in the Station - Features window. Each Audit Trail window allows the user to see all Song/Link scheduling decisions, for any selected position, that are taken by the GSelector scheduler during the scheduling process. This allows the user to review all Songs/Links considered for each position and for each Song/Link that has been considered the Goals affecting the scheduling decision.

NOTE: Enabling the Audit Trail feature can impact on GSelector performance. RCS recommends that this feature is only enabled for troubleshooting, and then disabled again.

Accessing the Scheduler Audit Trail window

Accessing the Editor Audit Trail window

Audit Trail window features

Working in the Audit Trail windows

Accessing the Scheduler Audit Trail window

The Scheduler Audit Trail window can display all Song scheduling decisions made by the scheduler for a complete scheduling period.

  1. First, in the Station - Features window, check the Enable Audit Trail window box.
  2. Run the Scheduler to schedule some days.
  3. Then Audit Trail tab in the scheduler tab to access a window similar to this illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Audit Trail windows

After specifying an Audit trail and selecting a Song or Link, the Scheduler Audit trail window displays results similar to this illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Audit Trail windows

Accessing the Editor Audit Trail window

The Editor Audit Trail window displays Song/Link scheduling decisions made by the scheduler for the currently selected scheduled position in the Editor.

  1. First, in the Station - Features window, check the Enable Audit Trail window box.
  2. Then Schedule a Day or an Hour in the Scheduler.
  3. Then in the Editor window, select a Song/Link position in the Log pane,
  4. Finally, click the Audit Trail button [image] in the Top Toolbar. This will open the Audit Trail window for that scheduled Song position.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Audit Trail windows

Features in the Audit Trail windows

Session selection field (Scheduler Audit Trail window only)

Date and Session panel (Editor Audit Trail window only)

Load Session button (Scheduler Audit Trail window only)

Delete Session button (Scheduler Audit Trail window only)

Hour (Scheduler Audit Trail window only)

Load Hour button (Scheduler Audit Trail window only)

Delete Hour button (Scheduler Audit Trail window only)

Show Unscheduled Positions Only (Scheduler Audit Trail window only)

Audit Trail Results Pane

Expand All / Collapse All

Lowest Score Threshold

Status

Lowest Score

Score

Shot

Airplay Starvation

Max Sep

Max Skip

Fallback

Session selection field (Scheduler Audit Trail window only)

This field is only accessible in the Scheduler Audit Trail window. The Session drop-down shows the Date Scheduled and the day, date and time it was scheduled. Where multiple scheduling Sessions have been be run for any Day, the applicable parts of the scheduling runs are stored. For example, if a day is scheduled, then a section of that day is unscheduled and then that section is rescheduled, the user will be able to access the remaining elements of the original schedule, and the more recently rescheduled parts. When a session is selected the earliest hour for that session is displayed in the left side of the results pane.

Date, Session panel and Song Position (Editor Audit Trail window only)

When the Editor Audit Trail window is opened from a selected Song position in the Editor pane, the Audit Trail window displays the Date, Session and Song Position.

Load Session button (Scheduler Audit Trail window only)

The Load button next to the Session drop-down will load the Schedule for the entire session in the left pane of the results window.

Delete Session button (Scheduler Audit Trail window only)

The Delete button next to the Load Session button, found only in the Scheduler Audit Trail window, will delete the current selected session.

NOTE: Audit Trail sessions can contain a very large amount of information, especially when working with a large library that has a complex set of Goals. This can sometimes have an adverse effect on performance, especially if generating multiple scheduling sessions.

Hour

This field is only accessible in the Scheduler Audit Trail window is used to select an hour in the current session to load into the results pane. GSelector will automatically load the hour selected in this drop-down into the left pane of the results.

Load Hour button

Use the Load button next to the Hour drop-down to load the currently selected Hour for the current session.

Delete Hour button

Use the Delete button next to the Hour drop-down to delete the currently selected Hour for the current session.

Show Unscheduled Positions Only

Select the Show Unscheduled Positions Only option to display only the unscheduled positions for the session.

Audit Trail Results Pane

The Audit Trail results pane for the Scheduler Audit Trail has two sections the left is the Session details and the right section shows the Audit Trail for the Song or Link selected in the left session details. The Editor Audit Trail window shows only the audio trail for the song selected in the Editor. For each selected position in the Session pane or in the Editor, all Songs considered by GSelector are shown with Song, Artist and Category, along with Status, the Lowest Score and the Average Score. Each option can be expanded to show all relevant Goals and Scores for that Song/Link in that position.

TIP: Working with the Audit Trail Editor window, select a Song in the Log pane to view the Audit Trail for the selected schedule position.

Expand All / Collapse All

Lowest Score Threshold

Status

Lowest Score and Score fields

Shot

Airplay Starvation

Max Sep

Max Skip

Expand All / Collapse All

The Audit Trail windows can display a huge amount of data. The Expand All button is used to open all the Hour nodes. The Collapse All button to close all open nodes.

Lowest Score Threshold

The default value in this field is 100, but can be set to any value to troubleshooting the Goal settings.

The Audit Trail displays every scheduling decision, rated with a Score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. and Lowest Score A field used in the Editor and Consideration window, that shows the lowest score for Song or Link for this Log Position. value. When the value in the Lowest Score Threshold field is adjusted the Audit Trail pane will automatically adjust displaying the Song/Link candidates for this position with Lowest Scores equal to or less than this threshold value. The Audit Trail will only propose Songs/Links with lowest scores between the threshold value and the lowest score for the currently scheduled position.

NOTE: When working in the Editor Audit Trail and selecting a Song in a Category with Slotted status Slotted Category Groups schedule in a particular way: each Song in belonging to a Category in a Slotted Category Group schedules in strict order: effectively, each Song is accorded its own slot. Slotted Categories are defined in the Category Group importance window., only one Song would be shown in the right-hand pane, and then only if the Lowest Score Threshold was set to the Maximum value of 100.

Status

The Status field displays what decision was ultimately taken during the scheduling process. The status field can display the following values:
Optimized, Scheduled and Planned, reflecting the three steps in the GSelector Scheduling process. The Planned status is only displayed at the bottom of the audio trail for each position, as it is the very first step in the scheduling process.

Passed and Failed, indicate whether a Song/Link has been passed for consideration before the GSelector optimization process. As the Audit Trail displays every decision taken during the Scheduling process, a Song/Link can appear up to three times in a Trail, indicating its initial placing (Planned), its acceptance for a specific position (Passed), and finally, its Optimized placing.

Lowest Score and Score

These fields display, respectively, the lowest score for any Goal associated with the Song, and the average score for all Goals, just as in the Lowest Score and Score fields in the Editor window.

Shot

The Shot column shows the results of Multi Shot Scheduling when it is applicable.

Airplay Starvation

The Airplay Starvation column will show the percentage at which the Airplay Starvation goal is influencing the score of the Song or Link.

Maximum Separation

The Max Sep column will show a check when the Maximum Separation rule is used to schedule the Song or Link.

Maximum Skip

The Max Skip column will show a check when the Maximum Skip rule is used to schedule the Song or Link.

Fallback

The Fallback column will show a check when the Fallback Attribute is used to schedule the Song or Link.

Topic Overview: Audit Trail windows

Working in the Audit Trail windows

Specifying an Audit Trail in the Scheduler window

Viewing Details in the Audit Trail

Expand and Collapse buttons

Deleting Audit Trail information

Specifying an Audit Trail in the Scheduler window

  1. Access the Audit Trail window
  2. Select a Session. If the Session desired is already selected click Load to load the session.
  3. Click the hour node in the left session details pane to expand the hour and view the scheduled songs for that hour.
  4. Optionally, Select an Hour. If the hour is already selected click Load to load the hour.
  5. Select a Song or Link from the left session details pane.
  6. Optionally set a Lowest Score Threshold value.
  7. Click the plus to the left of the song in the right pane to show the Audit Trail for the Song or Link.

Viewing Details in the Audit Trail

Click the [image] Node button for any Song or Link to expand the Audit Trail for that Song or Link.

This displays all Goal Scheduler decisions for that Song or Link, sorted by Score for that Goal. In the above illustration, all Failures are listed in ascending Score order.

Click the Expand All button to open all nodes. Click the Collapse All button to close all open nodes.

Deleting Audit Trail information (Scheduler Audit Trail window only)

Audit Trail sessions can contain a very large amount of information, especially when working with a large library, that has complex set of Goals. This can sometimes have an adverse effect on performance, especially when generating multiple scheduling sessions. The Delete Session button can be used to remove any session.

  1. In the Scheduler Audit Trail window, select a session in the Session field.
  2. Click the Delete Session button.
  3. Optionally, delete only an hour in the session by selecting the Hour, then the Delete Hour button

Topic Overview: Audit Trail windows


Editor window

Editor

The Editor in GSelector is a multi-user environment used to edit the scheduling results displayed in this window. You can see how well your goals have been met by checking the score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. for each log item. You can add, move, drag and drop, delete, insert and replace any item. There are several subsidiary windows used to edit content, or review how goals have been met. The Editor also has a Hotspots Filter to rapidly find the least successful items in the schedule. There is a full range of Keyboard shortcuts to speed up your work in this window.

Accessing the Editor

Features in the Editor window

Working in the Editor window

See also the Show Selected windows notes

Accessing the Editor

Click on the Editor tab to open the editor window at the last scheduled date and time. To select a different date and time, enter the different date and hour information in the scheduler bar.

From the Scheduler tab, select an hour in the scheduled grid and click that hour to open the editor.

From any History Map, select an hour and double-click to open the Editor at that Hour and Day.

From any tab click the On-Air button [image] next to the Menu to jump to the current day and play position in the Editor.

This illustration is reduced in scale to better fit in the help window. When you first access the Editor window, the Log pane is displayed with Black lettering on a White background. You can however design and assign Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to all Log Entry types, as shown here, and to specific fields. See the notes on Using Color.

Click any area in the Editor image for help for that area

Click any area in the Editor image for help for that area

Topic Overview: The Editor window

Features in the Editor

Date Selection field and Hours slider bar

Current Airtime and Total Time for Hour fields

Gap Time

Multi User Notification

Save

Toolbar functions

Top Toolbar

Bottom Toolbar

Log pane

Keyboard shortcuts

Log Editor subsidiary windows: Consideration, Failure Details, Test Bar and History

Multiple Panes

Text Searching

Right-Click Menu Commands

Selecting and viewing Highlighted items

Printing

Navigating in the Editor: the Date field and Hours slider bar

The schedule for the day starts at the default setting of 12A, but you can specify any Hour as a start point in the Broadcast Start Hour in Setup section Daypart Assignment window. The Date Selection field and the Hours slider bar, immediately below, allow you to navigate in the schedule by entering a date and selecting an hour in the slider bar. You can also use the up and down arrow keys, the Page Up/Down keys, and the vertical scrollbar at right.

To view any date and time in the schedule, use the Date field and Hour slider. Select the Date by clicking the drop-down or using the Keyboard Shortcut command Shift+F10, and the Hour by clicking and sliding the blue hour indicator.

TIP: You can also open the Date control, and click or enter on a selected Date to open the Editor at that Date.

When you open the Editor window, it displays the last date and hour that you requested. You can jump to any hour by clicking and dragging the hours slider, or by clicking on an hour on the slider bar.

To jump to the start of the Previous Hour, use the keyboard shortcut F3.
To jump to the start of the Next Hour, use the keyboard shortcut F4.
To jump to the start of the Current Hour, use the keyboard shortcut Alt+F3.

NOTE: When you select the AM/PM section of the hour field, the Spin Edit buttons allow you to jump from, say 7AM to 7PM, and vice versa. Note too that if you come to the end of a broadcast day, clicking the Hour spin edit field will take you back to the start of the day that is loaded in the Editor. The change the day, use the date field.

Current Airtime and Total Time for Hour fields

The current airtime for the selected log item, and the total time for the current hour are displayed at the bottom of the Editor window. These fields cannot be edited.

Gap Time

The Gap Time shown at the bottom of the window next to the Total Time is the difference between the duration between two ETMs, and the total duration of all program elements scheduled between those ETMs. A Gap Time of 0:00 indicates the scheduled program elements exactly fill the time between the ETMs. A positive Gap Time indicates the portion of the schedule between the two ETMs is overscheduled. A negative Gap Time indicates the portion of the schedule between the two exact time markers is underscheduled. Hit ETM's will be ignored when figuring the Gap time at the bottom of the window. The Gap time will respect the Include Average Runtime for Unscheduled Position option when selected in the Setup | Station | Features | Miscellaneous window.

Multi User Notification

The multi user notification system is a message box that pops open in the upper right area of the main GSelector window whenever another user has made a change to a song, a link or a schedule. The message indicates the change made and the user who made the change. It does not show changes you make, just others. This feature works best when users have been defined under GSelector security. Schedule changes made in the Editor are automatically pushed to all workstations. For example, if User A deletes a scheduled song in a particular hour and User B is looking at that same hour at another workstation, User B will immediately see the change made by User A. The notifications message box can be opened at any time by clicking the notification icon in the upper right of the main GSelector window.

Save

Every change made in the Editor is immediately written to the database. This useful feature was necessary for the Multi User Schedule Synchronization feature to operate properly but it will also make work faster since there is no need to stop work and save the schedule changes manually.

NOTE: For the time being, we have disabled Automatic Synchronization for the Editor under Zetta Integration. You will have to use the Export to Zetta toolbar button in the Editor to send schedule changes to Zetta. To make this easier for you we detect those hours that have been changed and show a ‘Synchronize Changed Hours’ option. We will restore Automatic Synchronization for the Editor when Zetta Version 2.8.1 is released.

Editor Toolbars

Top row

Bottom row

NOTE: This illustration does not show the Master Control Export, or the NexGen synchronization buttons. Buttons for these products replace the Zetta button when integration for these product is enabled.

Top Row Toolbar

The controls in the top toolbar apply to all panes. When working in Multiple Pane mode, this toolbar row remains the same; the bottom toolbar is pane-specific, and so is split to provide a toolbar for each pane. To Hide the top toolbar use the Hide Toolbar option in the Editor Menu of the GSelector Menu. To show the top toolbar when it is not visible use the Show Toolbar option in the Editor Menu.

Click any button for help

Interactive Scheduler

Hotspots pane

Retest Day/Show Linear Violations

Show Linear Violations

Audit Trail

Threshold Parameters window

Close subsidiary windows

Show selected subsidiary windows

Consideration window display

Multiple Pane display options

Reset Layout

History Attributes

Highlight buttons

Filter Buttons

Content Filter

Quick Filter (Q filter)

Criteria Filter button (C filter)

Advanced Search

Dynamic Statistics

Toggle Hotkey Search

Automation System Synchronization (NexGen / Zetta / Master Control users only)

Ready for Export

Format selection

Consideration window sort options

Customize Toolbar

Interactive Scheduler

The Interactive Scheduler button is used to setup and start interactive scheduling. Interactive Scheduling allows the user to interact with GSelector during the scheduling process where a scheduled song or link falls below the specified Manual Intervention Score Threshold.

Hotspots button

Click this button or where enabled, use the Keyboard Shortcut Ctrl+T to open the Hotspot Filter pane. This allows the user to zoom in on the worst score (the Hotspot) for one or more Goals tests. For full details, see the Hotspots Filter pane topic.

Retest Day/Show Linear Violations

Click the arrow to the right of this button to select either Retest Day or Show Linear Violations. The Retest Day can be used after the user has edited the Day. it will also implement the current Hotspot filter if the Editor Hotspot filter pane is open. Where enabled, use the Keyboard Shortcut Shift+F9 to reapply all Goal Tests to the day. The Show Linear Violations option can be used to dramatically call attention to songs, links, vocalists and/or artists which are rotating too quickly. These violations will trigger the highlighting of a complete line in the Editor where the violation occurs. After enabling this feature, click the Parameters toolbar button to set a Turnover Threshold for songs, links, vocalists and/or artists in the Parameters dialog box. Threshold is the maximum variance from the element’s or participant’s turnover allowed. For example, if a song’s turnover is 10 hours and the song Threshold is set to 80% the Appearance will be triggered if the song is repeated within less than 8 hours of another play. These Editor Appearances can be customized in the Global Settings Appearances tab.

TIP: You can re-test any position by selecting that position and right-clicking to open the Right-click menu.

Audit Trail button

Click this button to open the Editor Audit Trail window for the selected Song position. This button is only visible if the Audit Trail is enabled in the Setup | Station | Features | Miscellaneous tab

Threshold Parameters button

Click this button in the toolbar to open the Parameters window to set a Score Threshold for Songs and Links, to set the Test Bar Appearances Threshold and to set the F8 Navigation parameters.

The Score Threshold will suppress Songs or Links with Scores less than or equal to the set Threshold in the Editor Consideration window. Note that there are two areas in the Editor where you can set a Score threshold. This window controls display options for the Consideration window. You can also apply a Threshold Filter in the Highlight menu, accessed from the Highlight toolbar button. If you plan to use Appearances in the Editor to highlight Songs or Links with specific Scores, see the notes on using Appearances with Score Thresholds

Log Editor Pane buttons

Close all panes button
Show Selected panes button
Keep Consideration pane open button
These buttons allow you to close all open panes, select from the Test Bar, Failure Details or History panes to automatically open when you open the consideration pane or click the Open Windows button, and to 'pin' the consideration window open.

Hide all Log Editor Panes

TIP: Press F7 to toggle all selected panes open or closed.

Click this button or press Ctrl+0 or F7 to close all currently open panes. Each pane can also be closed individually by clicking its close icon. See the notes for each pane for more information.

Show Windows button and window selection menu

TIP: Press F7 or ? to toggle all selected windows open or closed.

Click this button or press Ctrl+1 to open any of the windows selected as described below.

Click the arrow at right of the Show Windows button to open a drop-down menu. In this menu, select which subsidiary window(s) to open when Show Windows button is clicked. Check or uncheck the option for each window. The selected windows then open automatically when the Show Selected Windows button is clicked. Selected windows are also opened automatically when the Consideration window is opened. The setting is saved for the current machine for all stations. These windows can be free floating, docked and tabbed. When a window is tabbed it can also be pinned so it will auto-hide when not in use.

See the detailed notes for the Failure Details, Test Bar and History windows. Also see the Arranging Editor windows topic for more information on customizing the Editor windows.

Keep Consideration window open/Close after selection button

This button has two options. Click the button to opt to keep the consideration window open. When you select a new song in the Editor, the contents of the window update to display songs from that song's category group. Alternatively, click the button again if you want to close the Consideration window after making a selection.

Multiple Pane Display options

Click this menu button to access a submenu offering Multiple Pane display options, which allow you to view two or four separate Log Editor panes, and to customize these display options. See the notes on using Multiple Panes in this topic.

Reset Layout

Information windows in the Editor can be stacked on top of each other, or sized and dragged to any position you wish in the Editor window. Click this button, to re-open the Consideration window, Failure Details, Test Bar, Hotspots window and the History windows in the default GSelector layout. For details on modifying layouts in the Editor, see the Arranging Editor windows topic.

History Attributes

Click this button or press Alt+F7 to select an attribute to display in the Editor History Pane when you select a Song or Link in the Editor pane or the Consideration window. Your display options are:
Any Goal displayed for the Highlighted Song or Link in the Editor Failure Details window.
The Song or Link selected in the Editor pane
The Title of the Song or Link selected in the Editor pane
The Packet of the Song or Link selected in the Editor pane. If the current Song or Link is not in a packet, GSelector displays the history of the Song or Link.
The Artist or Vocalist for the Song selected in the Editor pane. See the notes on viewing Vocalist History in the Editor History Pane topic.
The Album for the Song selected in the Editor pane.

Highlighting toolbar buttons

TIP: You can assign a custom-designed Appearance to Highlighted items in the Log. See the notes on Using Color for more information.

Click the center Filter button or type Ctrl+H to open a menu showing sections for a Score Threshold filters and a Lowest Score setting, and (depending on the item selected in the Log pane) sections for all current Song or Link Filters and Lists .

When you select an item in this menu list, all items that match the Lowest Score criterion, or Filter or List criteria are highlighted with a Magnifying glass Icon at the far left of the Editor pane, and any assigned Filter Appearance is used.

This filter is saved for use the next time this tool is used. To change the filter results, select a different filter. Then, click the left button to jump to the previous List or Filter match, and the right button to go forward to the next List or Filter match. You can also use the Right-click menu commands.

Note that you can set a Lowest Threshold value for Highlighting purposes from this menu list. The Editor also has a menu toolbar button to define Score Thresholds to control items displayed in the Consideration window.

For more information see the Finding Songs or Links using Filters notes in this topic.

TIP: You can clear the filter display at any time by selecting the <None> display option, and jump to the next or previous Highlighted item using the F3 and F4 Keyboard Shortcuts.

Highlight Indicator

Items that match Lowest Score, Filter or List criteria are highlighted in the Log Pane with a Magnifying Glass icon at the left of the Editor pane, and any assigned global Filter Appearance.

Filter buttons

Content Filter

Quick Filter

Criteria Filter

Advanced Search

Content Filter: Viewing Songs, Links, Spots or Other Items in isolation

Click this toolbar button or press F6 to switch from the default Editor content view to display any combination of Songs, Links, Spots (including Spotsets These are used in Clocks as place holders for Spots. Spots are integrated into the schedule by your traffic program and Spot Blocks ), or Other Items ( Exact Time Markers , Voice Tracks , Controls , or Breaknotes ). Click the dropdown arrow to the right of the button, and select the Clock Entry type or types to display. You can choose to display all entry types (the default setting) any single entry type, or a combination. Your last choice made is retained for future use; if a network machine, settings are applied locally on each machine.

Quick Filter

Click this toolbar button or press Q to access the Quick filter pane.

The pane lists Song or Link criteria that has been defined in the Quick Filter Settings pane.

For full details, see the notes on using the Quick Filter.

Criteria Filter button

Select a field in a Song or Link log item, and then click this toolbar button or press F to open the Criteria selection pane, displaying all available options for the selected field.

For full details, see the notes on using the Criteria filter

Advanced Search

Click this toolbar button or press A to open the Advanced Search pane. See the Advanced Search notes for full details on using this tool. The ESC key on the keyboard will quickly close the advanced search window.

Dynamic Statistics

Click to open the Log Editor Dynamic Statistics window. This allows you to define and view Statistics for any area of the schedule, analyzed by the hour or by the day, or by a period of the day that you define. For more information see the Dynamic Statistics windows topic.

Toggle Hotkey Search

Text Searching is enabled in the Editor by default. See the notes below on this process for full details. To disable this and allow all single-letter Keyboard Shortcuts, listed below, click this button.

Set Ready for Export

The Set Ready for Export button is enabled when the Synchronize Schedule Only When Ready for Export option is selected in the Automatic Synchronization tab of Zetta/NexGen Interface or in the Master Control window of the Setup | Station | Interfaces tab. When this feature is enabled, automatic schedule synchronization with Zetta, NexGen or Master Control will not take place until an hour’s Publication Status becomes Ready for Export. This feature allows the user to fully edit a schedule before it is exported to the playout system. Click the Set Ready for Export toolbar button and select one of the options; Changed Hours, Current Hour, Current Day and Hour Range to the Publication Status.

Synchronization buttons (NexGen / Zetta / Master Control users only)

An additional button is displayed when a GSelector station is integrated with either a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems., Zetta Zetta is the a RCS automation and audio playout system. or a Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. station. These buttons allow the user to synchronize all or part of the Schedule for the current Day (see notes below) in the Current Station with its counterpart NexGen, Zetta or Master Control Station. For more details, see the notes on NexGen Manual Synchronization, Zetta Manual Synchronization or Master Control Manual Synchronization. When re-synchronizing schedules, NexGen protects the current hour, as well as the previous and next hour. So if you re-synchronize at 4:45 PM after editing in GSelector, your revised Schedule will not appear until the start of the following hour from your re-synchronize point, at 6.00 PM.

Master Control Export button (MC Users only)

GSelector is interfaced at Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. Level with a corresponding Master Control playout system in the Setup Section Station - Interfaces window. Once this process is complete, a Mater Control Export button is displayed. To export all or part of the day's Schedule to Master Control:

  1. Click the drop-down selection button at right of the MC Export button.
  2. This opens an options pane.
  3. Select to export the current Hour, the current Day, or a specific Hour Range in the Current Day.
  4. If synchronizing a Hour Range, your option opens a date and time range pane, where you are asked to specify the desired time range.
  5. Finally, click the Synchronization button.

See also the notes on the Columns used in association with Sequencers, including Master Control.

Synchronization time period options

To easily Synchronize the Changed Hours press F2 on the keyboard when in the Editor window.

To synchronize all or part of the Schedule:

  1. Click the drop-down selection button at right of the NexGen, Zetta or Master Control synchronization button.
  2. This opens an options drop-down.
  3. Select to synchronize Changed Hours, current Hour, the current Day, or a specific Hour Range in the Current Day.
  4. If synchronizing a Hour Range, your option opens a date and time range pane, where you are asked to specify the desired time range.
  5. Note that you can only synchronize all or part of the Current Day, and when re-synchronizing, NexGen protects the current hour, as well as the previous and next hour.
  6. Finally, click the Synchronization button.

Working in the Editor when GSelector is interfaced with NexGen

When a GSelector station is interfaced with the NexGen playout system, the current hour, the previous hour and the next hour are all 'locked' in NexGen. You cannot edit, schedule or unschedule these hours in GSelector or in NexGen. If for example you unschedule a current day after making some alterations to clocks, the schedule is protected in GSelector and in NexGen for the current hour and the two hours around this hour. When scheduling the current day in GSelector, GSelector start scheduling from the beginning of the hour after the current hour.

Format Selection button

The Browse Formats button can be used to save the default format as a new format, save changes to an existing format, save an existing format to a new browse format, set a selected format as the assigned format for the window or temporarily assigned just for the session. Formats can also be permanently assigned to the Browse window in the Browse Formats Assignment window. When the Consideration window is open and selected, use this tool to assign formats to the window. Browse Formats can be designed in the Browse Formats Design window.

  1. Click the arrow to the right of the button.
  2. Select Log or Consideration window
  3. Select a format.
  4. The new format is temporarily assigned.
  5. Optionally, click the arrow to the right of the button again and select Set Selected Format as Assigned.
  6. Optionally, right-click a column header to Modify or Remove columns.
  7. Click the arrow to the right of the button again.
  8. Click Save or Save As if desired

Note that four Default fields are always displayed at the right of any Log format, and are added to your Log Format design in the Log Editor pane. They can be disabled in Multiple Pane.

Consideration Window Options

This button is used to specify the sort options available in the Consideration window. See the Settings notes in the Editor Consideration Window topic for full details.

Customize Toolbar button

To the far right of the toolbar there is a drop-down arrow that can be used to add or remove buttons from the Main Toolbar. To Reset the Toolbar to show all tools, use the Reset Toolbar option in this menu or the same option in the Editor menu of the GSelector Menu.

Topic Overview: The Editor window

Bottom row toolbar buttons

The controls in the top toolbar apply to all panes. When working in Multiple Pane mode, the top row remains the same; this toolbar is pane-specific, and so is split to provide a toolbar for each pane.

Date Selection field

Cut Copy and Paste

Delete

Undo

Insert Song, Link or Other item

Replace

Juggle

Unschedule selected position button

Notes pane

Save Published Schedule

Compare with Published Schedule

Reports

Cutting, Copying and Pasting Entry Types

NOTE: The Cut/Copy/Paste options are not supported when you are working across Multiple Panes.

Select one or more Entry Types (see notes about multiple item selections) and click the control buttons to respectively cut, copy and paste. You can also use the shortcut key combinations Ctrl+X, Ctrl+C and Ctrl+P to cut, copy and paste items. The same item can be pasted from the clipboard as many times as required. You can also access these commands in the Right-click menu. This feature is disabled for all hours in the past, and two hours from the present time, when GSelector is integrated with NexGen.

When a event row is being copied an icon [image] will be present in the left most column. The appearance for this row can be set in the Editor section of the Tools | Global Settings | Appearances Assignments

Deleting an item

In the Editor, select an item in the Log and then click the Delete button, or press the Delete key, to remove this item from the Log. In the Scheduled Hours window in the Scheduler window, this hour will indicate one or more unscheduled positions. See the notes for scheduled hours. You can also access this command in the Right-click menu. This feature is disabled for all hours in the past, and two hours from the present time, when GSelector is integrated with NexGen.

Undo

You can Undo in any one editing session. Click the undo button to undo the last editing action. There are no limits to the number of undo's in any session. This feature is disabled for all hours in the past, and two hours from the present time, when GSelector is integrated with NexGen.

Inserting

TIP: GSelector will remember which of the subsidiary Editor windows were open when you last Inserted an item. If for example you closed the Test bar window but left the Failure Details and History windows open when Inserting a song, those windows will be opened the next time you Insert a log item. To open any other window, use the show selected windows toolbar button. GSelector stores different settings for Insert and Replace, so you can custom design the windows you need to reference.

  1. Select the Log position to insert an active An Active item - a Song, Link or Note - is available to schedule in the current station. Song, Link or Other item by clicking the position below where you want the inserted item to go.
  2. Then click either:
    1. the Insert Song button (or press Ins or Q on the keyboard to access the Insert Song options, where keyboard shortcuts have been enabled)
    2. the Insert Link button (or press B or Ctrl+L on the keyboard to access the Insert Link options, where keyboard shortcuts have been enabled).
    3. the Insert Other button (or press Ctrl+Ins on the keyboard to access the Insert Other options, where keyboard shortcuts have been enabled).

See Inserting Links or Inserting Other Items for more details.

TIP: This feature is disabled for all hours in the past, and two hours from the present time, when GSelector is integrated with NexGen.

Replacing a Log Item

TIP: GSelector will remember which of the subsidiary Editor windows were open when you last Replaced an item. If, say, you previously closed the Test bar window but left the Failure Details and History windows open, those windows will be opened the next time you Replace. To open a window, use the show selected windows toolbar button. GSelector stores different settings for Insert and Replace, so you can choose the windows you need to reference.

The Replace button in the toolbar offers two options.

Click the Left-most button to replace the selected Song or Link with an item from the same Song Category group or Link Category Group.

For Songs and Links, click the Right-most button to open a drop-down menu from which you can select an item range from which to replace the existing item. For Songs, search by Title, Artist, Album or Vocalist, Same Artist or Vocalist, Same Packet, Category Group, Themes or Twofer Twofer is an old radio expression: the term was originally used to describe two songs by the same Artist. When a twofer is added in a Clock, GSelector will schedule a Song by the Artist in the preceding Song Position.. For Links, search by Title, Same Packet or Link Category Group. Both menus also offer Advanced Search and Filters and Lists. Selecting Theme from the Replace menu will open the Select Theme window with the last used Theme highlighted. Once a Theme is selected then the Consideration window will open. When selecting the Twofer option, all songs by the artist that immediately precede this position will be suppressed from the Consideration pane. The songs displayed in the Consideration pane will respect the Match with Vocalist or Artist setting in the Classic Twofers section of the Setup | Station | Features | Twofers tab.

NOTE: This feature is disabled for all hours in the past, and two hours from the present time, when GSelector is integrated with NexGen.

The Replacement Process
  1. Select the item to replace by clicking on, navigating to, or Text searching for that item.
  2. Then click the left Replace button to open the Consideration window to replace that item with an item from the same Song Category group or Link Category Group. Or press K or Ctrl+K on the keyboard, where shortcuts have been enabled. See the Short cut keys notes in this topic for more information.
  3. Optionally, click the right Replace button to select a Song Category Group or Link Category Group, or any of the other options, including Advanced Search, Filters or Lists. If Theme is selected, chose a Theme from the Select Theme window.
  4. Optionally, use the P keyboard key to replace the event with another event with the same Packet assignment.
  5. The Consideration Window will display items according to the selection.
  6. Select a Song or Link or Other Item in the Consideration window and enter or double-click.
  7. Optionally, use the Right-click menu to access these commands.

TIP: The Replace Command also works directly from Unscheduled Song or Link positions. Select the position and click to open the Consideration window.

Unschedule selected position button

Click this toolbar button or press U on your keyboard to unschedule a position in the Editor to the same Song Category Group or Link Category Group as on the underlying Clock. You can select multiple positions to unschedule simultaneously. You cannot unschedule a position if it has been inserted manually. You cannot unschedule Breaknotes, Voice Tracks, Spotset Holders, Exact Time Markers or Automation System Events. Use the Include Average Runtime for Unscheduled Position checkbox in the Setup | Station | Features Miscellaneous tab to display an average runtime for the event following these positions. When this option is checked, the Airtime of each position in the Editor following an unscheduled position will be adjusted to reflect the average runtime of the unscheduled position. Previously, in versions prior to 4.1.0 of GSelector, the Airtime of each position following an unscheduled position was the same as the airtime of the unscheduled position.

Juggling

TIP: Items selected for Juggling have a default Appearance . You can edit this if desired. See the notes on Using Color for more information.

  1. First select an item.
  2. Click the Juggle Button, or press Ctrl+J on your keyboard, where shortcuts have been enabled. See the Short cut keys notes in this topic for more information. The Selected item is highlighted in the Log pane.
  3. To cancel this selection, with the item still selected, click the Juggle Button, or press Ctrl+J on your keyboard again.
  4. Then select a second item and click the Juggle button or press Ctrl+J on your keyboard again.
  5. The two items change place.
  6. You can juggle any item with any other item in the log - you are not restricted to juggling like with like.
  7. You can also access this command in the Right-click menu.

This feature is disabled for all hours in the past, and two hours from the present time, when GSelector is integrated with NexGen.

Notes Pane

Click this button to open the Editor Notes pane. This allows you to assign or remove notes from the selected Log or Consideration window item. For full detail see the Editor Notes pane topic.

TIP: You can view which items have Note Associations in the Editor, by including the Note field in an Editor Format GSelector allows you to specify what fields to use in Editor, Analysis and Library Browses. You can select any relevant field, order in any sequence, and save the results as a Format. Saved Formats can be assigned using the Format toolbar button in the above windows..
Where a Song or Link attribute has a Note Association, the Note Exists Icon is displayed. Click to open the Song or Link window, then click the Notes tab to view Note Associations for that item.

Save as Published Schedule

The Save as Published Schedule button establishes the baseline schedule for comparison purposes with the reconciled as-played schedule.

Note: The act of setting a schedule hour as Ready for Export automatically saves that schedule as the Published Schedule.

Compare with Published Schedule

The Compare with Published Schedule... button will open the Compare Schedules window. If this button is not available then it has not yet been published. Click the Saved as Published Schedule button to set the schedule as published.

Reports

The Reports button displays a drop-down menu of possible reports.

Double-click the Report name to open the report in the Reports View window.

Topic Overview: The Editor window

Log Pane

The browse in the Editor works like most other browses in GSelector, except that it cannot be re-sorted. Browse fields can be sized and dragged to new locations: click a header and still clicking, drag to a new Editor browse position and drop it. For more details, see the Working with GSelector Browses notes. In the default format GSelector allows you to specify what fields to use in Editor, Analysis and Library Browses. You can select any relevant field, order in any sequence, and save the results as a Format. Saved Formats can be assigned using the Format toolbar button in the above windows., Songs are listed by position in the hour, ID, Title, Artist, Runtime, followed by the Default Columns of Score, Lowest, User Info and Status.

GSelector Log Editor formats are assigned in the Browse Formats Assignment window. To edit a format, work in the Browse Formats Design window. For a full list of fields available to use in the Schedule contents pane, see the Available Fields List in the Browse Formats Design window topic.

TIP: You can assign an appearance to the currently selected row, any highlighted item, and juggled items. These appearances will override appearances assigned to Category, Title, Artist or other items. Working in the Appearances assignment window, select any of these elements and apply an Appearance. See the notes on Using Color for more information.

Click any area in the image for help.

Click any area in the image for help.

C lock Header

Selected Item

Locked Position

Top of Hour Header

Achieved Clock Dates

Filter Match Indicator

Artist

Category

Category Group

Packet

Runtime

Title

Default fields

Lowest Individual Score

Score

User Info

Status

Advanced Clock/Schedule Columns

Chain

Skip

Don't Copy

External

Timing

Fixed

Feature Tracker from Media Monitors

Average Lowest Score and Average Score fields

Total time for Day

Time Fields

Header Bar

This bar shows all fields in the Log pane. Unlike regular browses, and for logical reasons, the contents cannot be sorted by clicking. Right-click any column header to Modify or Remove Columns. Selecting Modify Columns will open the Modify Browse Format window.

TIP: The Header bar has an added Date field when a Broadcast Start Hour other than 12A is specified. See the Broadcast Start Hour notes in this topic.

Selected Item

The selected Item is highlighted in the log with an arrow in the leftmost column of the Editor. Click any item to select that item. Arrow up or down to select another item. Use the Page up or down keys to jump by an hour.

Locked Position

The lock is displayed when the Don't Copy Option is enabled for the Station and the position in the Clock has a check mark in the Don't Copy column.

Top of Hour Header bar

The Top of Hour bar displays the Hour, Daypart(Region), Clock name, lowest Average Score in the Hour and Average Score for the Hour.

Archived Clock Dates

When a Clock is Archived , the active dates for the Clock are displayed in the Top of Hour Header. If there is too much text to display in the header - for example if the clock has a lengthy name - the details can be viewed by hovering the mouse over the header.

TIP: You can jump to the Clock Definition window for an Archived Clock in the same way as you jump to an active Clock, by double-clicking on the Hour Header or pressing Enter on your Keyboard with the Hour Header selected. However, you cannot edit an Archived Clock.

Filter Match Indicator

This icon appears at the left of the Log Pane to indicate all items that meet the criteria for the current Filter. See the notes for Finding items with filters for details on this process. When an item is selected in the log, the Filter Match Indicator is replaced by the selected item indicator.

Highlighted items can be are shown with a custom appearance, which can be edited in the Appearances definition window. If you have not assigned any appearances, highlighted items are shown with a default color background.

TIP: You can apply a custom -designed format to the Schedule Contents pane and the Editor Consideration window in any station. See the notes on Designing and Assigning Log Formats. All fields available to use in the format are listed here in alphabetical order.

Artist Field

For Songs this field displays the Song Artist;
For Spots, this field displays Sponsor 1 information;
for all other Log Entry Types, this field is blank.

Category Field

This field displays the short Song or Link Category name and Alternate Category name if assigned; otherwise the field is blank. The song's normal category will be shown in parentheses following the alternate. Note an Appearance can be applied to any Log Entry Type, as well as to Categories. When an Appearance is assigned to a Category, this field-specific Appearance overrides the Appearance globally assigned to the Log Entry type. Category field. For details of working with Appearances, see the Using Color topic, and the Appearances definition and assignment topics .

TIP: You can choose to display just Songs, Links, Spots or Other items, or any combination of these by selecting the Entry type from the toolbar Content Filter button.

Category Group field

The field lists the Names of Song Category Group and Alternate Category Group if assigned, or other Entry types such as Exact Time Markers, Controls. The song's normal category group will be shown in parentheses following the alternate. See the Clock Elements section of the guide for a full detailed list of these other Entry types.

Packet Field

Where a Song or a Link is in a Packet, this field displays the Packet name; otherwise the field is blank.

Runtime Field

This field displays the Song or Clock Element runtime. Some Entry Types such as Exact Time Markers, Spot Block End and items that were skipped/failed by an integrated or reconciled automation system to not have durations; in this case, the field is blank.

Title Field

This field displays the Song, Link, Spot or Clock Element title.

Default fields

GSelector Editor pane default fields are displayed to the right of the Log Editor pane. They are added to all Log Editor formats , but can be optionally suppressed when working in Multiple Pane mode, working in the Multiple Pane Setup Dialog box. When activated in the Station - Features window, the Clock Schedule Column Settings also enable key fields used with sequencers. These fields, too, can be suppressed in the Multiple Panes by checking the Do Not Display Default Columns box.

TIP: Default fields cannot be removed in the main Editor mode, but you can optionally specify a Custom format which calls for a single pane and in this mode suppress the Default fields, which will allow you to access default field free format in single pane with one click.

Lowest Individual Score

Score

User Data

Status

Lowest Individual Score

A Song may have a good Score overall, but be failing relatively badly in one area. If there is a marked difference between the lowest and the overall score, this tells you that one of your goals is not getting you the results you need. You can review all your goals for any Song position in the Failure Details and Test Bar Windows. For more on how a Score is derived for any Song, open the Editor Failure Details Pane. For Exact Time Markers, Spotset Holders and Spot Block Start element this field displays the Gap Time The difference between the duration between two Exact Time Markers, and the total duration of all program elements scheduled between those Exact Time Markers.. After Traffic Integration, GSelector adjusts the Runtime of Spotset Holders and Spot Block Start markers to reflect the cumulative time of the actual spot load. It then displays the difference between the element’s intended Runtime and the cumulative runtime of the scheduled spots. This provides quick feedback on whether the actual spot load is longer or shorter than intended. Consider a 2:00 Spotset Holder followed by one or more spots with a total duration of 1:30. The Runtime of the Spotset Holder will be adjusted from 2:00 to 1:30 once the spots are in place and the Gap Time will be -00:30, to indicate that the spotset is 30 seconds short. Given this information RCS would suggest the names of the Spotset Holders or Spot Block Start markers to include their intended Runtime - "2:00 Spotset," for example.

NOTE: When using Rotation Rules These are optional Rules which you can use to backstop the existing Spread Goals in GSelector. They allow you to specify very precise rotation and separation criteria which can be applied not just to Songs, Links, Albums and Artists, but also to Attributes and Partcipants, allowing you to apply very detailed and precisely focussed protection. set to Breakable status, any Song that fails the rule and setting you define will be assigned a score of 0, and this value will be displayed in this field. For more details, see the Rotation Rules and Station - Features window topics.

Score

The Score figure, shown in the Editor for each item in the Log, is a combination of all the scores for every goal set for the item in this log position. A score value is also shown in the score field for each item displayed in the Consideration window. If you think of your goals as your scheduling 'Yellow Brick Road'... this field tells you how far you've strayed away from your chosen course. The higher the value, the closer this song in this position is to meeting the goals you have set for this Song and its Attributes. The lower the value, the further this song in this position is from meeting your goals. The maximum score is 100. For more information on how the GSelector determines the score you see here, see the Scoring section of the Priorities Definition topic.

TIP: The more goals you implement, the more you create the potential for goal conflicts. If you have lots of goals implemented, and some of the demands you make are extreme - or in conflict with the natural balance of your library - the lower your score values will tend to be. When using Rotation Rules These are optional Rules which you can use to backstop the existing Spread Goals in GSelector. They allow you to specify very precise rotation and separation criteria which can be applied not just to Songs, Links, Albums and Artists, but also to Attributes and Partcipants, allowing you to apply very detailed and precisely focussed protection. set to Breakable status, any rule that fails the setting you define will be assigned a score of 0. This will in turn bring the average score down. For more details, see the Rotation Rules Window and the Legacy Rotation Rules topics.

User Data

This field allows you to enter specific information against any field. This information can be printed out, but is not used in scheduling, it is for information only.

Status

This field displays an icon for the current schedule status of the log item. Hover the mouse over the icon to view the description of the status icon. The field can display the following status messages:

Scheduled - The Scheduled status [image] is displayed if the item is scheduled and not moved in any way

Unscheduled - The Unscheduled status [image] is displayed if the item has been unscheduled

Flown In - The Flown In status [image] is displayed when a related link has been scheduled using fly-In.

Inactive - The Inactive status [image] is displayed when the History has reached the number of Active days set in Setup | Station | Features | History window. During startup, GSelector checks to see if there are any past schedule dates eligible for deactivation. If there are, they are deactivated, a process which reduces the size of the schedule and renders certain editing features inoperative. When a day is deactivated, each of its schedule positions take on a status of Inactive.

The following additional status values are displayed when GSelector is integrated with Zetta, NexGen or Master Control.

Playing - The Playing status [image] is shown when an event is playing in the integrated automation system. When an event is showing the status of Playing the Editing options in the bottom toolbar of the Editor are disabled. Note: This status is only shown when integrated with Zetta 4.0 or higher.

Played - The Played status [image] is displayed if the item played successfully in the play out system.

Cued - The Cued status [image] is displayed when the event is Cued in the integrated automation system. Note: This status is only shown when integrated with Zetta 4.0 or higher.

Failed - The Failed status [image] is displayed if the item fails to complete such as, fading early or missing audio.

Skipped - The Skipped status [image] is displayed if the item was skipped for any reason in the play out system.

Voice Tracked - The Voice Tracked status [image] is displayed if the item was voice tracked using the play out system.

Advanced Clock/Schedule Columns

These fields are typically used with Zetta, Master Control and other third party sequencers. Each field can be enabled for Editor Browse formats by checking that field's box in the Station | Features | Clock window. This will also display the enabled field in the Clock Definition window. When a Chain setting is selected, it will also display Chain Settings fields in the Fly-In position pane when defining a Fly-In Link relationship.

Advanced Clock/Schedule Columns can be removed from display in Multiple Panes. For details, see the notes in the Default section if this topic.

For more information on each field, follow these links to the Clocks Definition window topic:
Chain

Skip

Don't Copy

External

Timing

Fixed

See also the notes on the Master Control Export Toolbar button.

Feature Tracker in Media Monitors

If you have login credentials for Media Monitors and an Internet connection on your GSelector workstation, you can add Annotations to your GSelector schedules to indicate where various Media Monitors “Features” are located. After doing this, you can then use the Feature Tracker capabilities of Media Monitors to see the effectiveness of your feature programming, as measured by Nielsen’s Portable People Meter technology.

Enable this feature by entering a valid Media Monitors Username and Password by clicking the Validate User toolbar [image] button in the Media Monitors Interface window of GSelector. Then select a Feature Tracker Station in the Feature Tracker Settings window using the Feature Tracker Settings toolbar [image] button. If the Media Monitors Interface window is not available, contact a Media Monitors representative for a license.

After enabling the feature, work in the GSelector Editor to define one or more Features. Do this by clicking the right arrow [image] button in the User Data column. This will open the following Add Annotation dialog box for the associated schedule position.

The dialog box provides navigation controls and an audio player for previewing Media Monitors audio directly.

  1. Use the navigation controls to precisely locate a Feature.
  2. As you navigate, the Date and Time controls will update to show your location within the Media Monitors audio stream.
  3. Stop the audio player at the point the Feature begins, then enter a Description
  4. Click the Set Mark button.
  5. Check the Feature checkbox to declare the marked point as a Media Monitors feature
  6. Click the OK button to save the Annotation.

You will then see information in the User Data column pertaining to the Annotation and Feature. All new or edited Features in the day are sent to Media Monitors when you save your GSelector schedule.

NOTE: It takes some time for the information to be transmitted and made available in Media Monitors. Once present there, you can use Feature Tracker in Media Monitors to analyze your Feature programming.

Average Lowest Score and Average Score for the day

These two fields are displayed at the bottom of the Editor Browse. They display, respectively, the Average of the Lowest Individual Score, and the Average Overall Score for all Songs in the Editor across the day.

TIP: You can filter the day's output by the lowest score, setting a Lowest Score threshold, below which Songs with Low Scores are highlighted in the Editor window. See the notes on Using Appearances with Score Thresholds.

Total time for day

This field, at the bottom of the Editor pane, beneath the runtime field, displays the total runtime of all items for the selected day. Some Entry Types such as Spot Block End and items that were skipped/failed by an integrated or reconciled automation system do not have a Runtime and will not be calculated in the Total Time for the day.

Time Fields

You can add a number of further fields to any Editor format. See the Browse Formats Design window topic for full details.
Airtime field

Cumulative Airtime

Airtime Field

This field, when added to a format, displays the airtime of the event calculated from start of each hour. This field can also be used in Schedule Reports, and when designing an Export Schedule format. Some Entry Types such as Spot Block End and items that were skipped/failed by an integrated or reconciled automation system do not have Airtimes; in this case, the field is blank.

Cumulative Airtime

This field, when added to a format, displays the airtime of the event without resetting at the top of every hour, calculated as starting from the Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window.. This field can also be used in Schedule Reports, and when designing an Export Schedule format. Some Entry Types such as Spot Block End and items that were skipped/failed by an integrated or reconciled automation system do not have Cumulative Airtime's; in this case, the field is blank.

Topic Overview: The Editor window

Working in the Editor

NOTE: Editor screens display one 24 hour period for a selected date - but see also the notes on using Multiple Panes. One or more people can edit the Log simultaneously across a network. If more than one person is working in the same day, it is possible for one person to overwrite another person's edits. When working in the same day, we suggest that multiple users develop an editing protocol to prevent accidental overwrites. It is most important to save your work as you go.

Analyzing the schedule with Dynamic Statistics

Appearance of Editor Entry Types

Broadcast Start Hour

Header Bar Date field with Broadcast Start Hour other than 12A

Cutting, copying and pasting Entry types

Consideration window selection shortcuts

Drag and Drop Editing

In the Editor Log pane

with Multiple Panes

from the Consideration window

Audition Voice Tracks from Zetta

Deleting Entry types

Finding/Highlighting Items by Score Threshold, Filter or List

Selected Highlight Filter

View Percentages by Filter List or Score Threshold

Using Appearances with Score Thresholds

Using Quick Filters

Using Criteria Filters

Advanced Search

Text Searching

Formatting

Hot Spots

Inserting

Insert Song Options

Inserting Songs by Title, Artist, Album or Vocalist

Inserting Songs by Theme

Insert Link Options

Insert Other Item options

Juggling Entry types

Jumping to the Breaknotes window from the Editor

Jumping to the Clock Definition window from the Editor

Jumping to Song or Link windows from the Editor

Keyboard shortcuts

Multiple Panes

NexGen Editing notes

Printing the Log directly from the Editor window

Replacing Entry types

Right-click menu commands

Selecting a song or log Entry Type to edit

Selecting multiple items in the log

Setting a Score Threshold to filter results in the Consideration pane

Options in the Editor Consideration window

Unscheduling a position in the editor

Arranging Editor Window Panes

Broadcast Start Hour and The Editor

The Broadcast Start Hour is defined in the Daypart Assignment window. It defaults to 12A, but can be set from 12A-11A. When working in the Editor, the 24 hour period accessed starts at the Hour point specified in this field. For example, if the Broadcast Start Hour is 5A and you edit 8/19, you are editing from 8/19 at 5A through to 8/20 at 4A.

Header Bar Date field with Broadcast Start Hour other than 12A

When a Broadcast Start Hour other than 12A is specified, the Editor starts at the defined Broadcast Start Hour time. So the 24 hour period displayed in the Editor for the selected Scheduled Date will span two days. Under these conditions, the Header field also displays the Date of the actual Broadcast Day being edited.

Multiple Item Selection in the Consideration window

Shift+Click to select a block of items in the Consideration window: Press the Shift key and left-click the first item. Still pressing the Shift Key, click the desired last item.
Ctrl+Click to select multiple individual items in the Consideration window: Press the Ctrl key and left-click the first item. Still pressing the Ctrl Key, click other items to select them.
Shift+Arrow to select a list of items by scrolling though the list. Select the first item, press the Shift key and then arrow up or down to select a continuous range of items.

NOTE: No matter which method of selection you employ, all multiple Songs (or Links) selected are placed contiguously in the Editor

Drag and Drop Editing

The Editor supports Drag and Drop editing in a number of modes. As you drag, GSelector pops a reminder pane of the item you are dragging.

Drag and Drop in the Editor

Drag and Drop between Multiple Panes

Drag and Drop from Consideration window

Drag and Drop in the Editor

This allows you to move items within the current day.

  1. Click on an Item in the Editor Log pane to select it.
  2. Still left-clicking, drag the Item to a new position.
  3. Release the Mouse click to drop the Log Item. It is inserted above the selected item.

Drag and Drop between Multiple Panes

You can drag and drop between multiple panes in the Editor, but the functionality varies depending on whether you are working with panels on the same or different days. Note that the Cut/Copy/Paste options are not supported across multiple panes.

A drag and drop between 2 panes on the same day moves the item, deleting it from the source hour, and inserting in the target hour.
A drag and drop between 2 panes on different days copies the item, leaving it in place in the source hour but also inserting in the target hour.

Drag and Drop from the Consideration window

See also the working notes in the Editor Consideration window topic.

You can drag items from the Consideration window into the Log pane. GSelector supports the Windows selection conventions listed here. This lets you select one or multiple items in the Consideration window, and then insert the item or items in the Log pane, above a selected log position, or replace the selected position with the selected item or items

  1. Select (see below) one or more Items in the Consideration window.
  2. To insert the selected items into the Log, drag and drop to a Log pane position. The selected items will be inserted above the Log Pane position.
  3. To replace a position in the Log pane with the selected items, drag, press the Ctrl key and drop on that position. The selected items will replace the selected Log Pane position.

Audition Voice Tracks from Zetta

Voice Tracks recorded in Zetta are sent to GSelector. These Voice Tracks can be Auditioned using the Play Controls at the top of the GSelector window or by using the CTRL+F11 keys on the keyboard.

See the Using Audio in GSelector topic for more information on playing audio.

Finding Songs or Links using Filters

GSelector can display the percentage of all Songs or Links, for each hour of the current day, and for four selected time periods, which have a Lowest Score A field used in the Editor and Consideration window, that shows the lowest score for Song or Link for this Log Position. value you can define. To set a Lowest Score Threshold, select the Set Lowest Threshold option immediately beneath the Lowest Score option.

Highlight Filter Dropdown Menu

Set Lowest Threshold

Viewing percentages of Songs or Links by Threshold, Filter or List

Using Appearances with Score Thresholds

Using the Quick Filter

Using the Criteria filter

Highlight Filter Dropdown Menu

Click the Highlight button or press Ctrl+H. The menu offers four grouped options:
No Filter
Lowest Score and Set Threshold options
Filters
Lists.

The selected option can be used to display percentage distribution, while the Lowest Score Threshold can be used to apply an Appearance to specific items.

Set Lowest Threshold pane

This pane is opened from the Highlight Filter Drop-down menu. It is used to specify the threshold for the Lowest Score filter. Songs with Lowest Scores less than or equal to the specified score are highlighted in the Editor pane.

Viewing percentages of Songs by or Links by Threshold, Filter or List

You can view distribution of Songs or Links by Lowest Score Threshold, or by any selected Filter or List. In this illustration, the score has been set to 85.

  1. Click the Highlight Menu button or press Ctrl+H
  2. Select a Song or a Link in the Editor, according to the highlight display you wish to apply.
  3. In the drop-down menu, select the Lowest Threshold option, or any of the filters or lists.
  4. The selected Lowest Threshold. Filter or List is highlighted, with a right-facing arrow.
  5. Hover the mouse over the selected option, or click the right-facing arrow.
  6. A window opens to the right of the filter/song list picker pane, showing the distribution of Songs or Links that match this filter or list for every hour in the current day and for the four hard-coded time ranges.

Using Appearances with Highlighted Items with Score Thresholds

To use Appearances with Highlighted items, design and apply an Appearance to the Editor Highlight element in the Appearances Global Assignment window. When you select a List or Filter in the Highlight Filter dropdown menu, the Appearance you have defined will be used for matching items.

Things are slightly more complex when working with Score Threshold Highlights:
If the Highlight is based on the Lowest Threshold, as defined in the Highlight Filter dropdown menu, and the Editor Score Threshold option is also enabled, apply Appearances as follows:

If the Highlight value is equal to or greater than the Score Threshold value, use the Highlight Appearance.

If the Highlight value is less than the Score Threshold value, use the Editor Score Threshold Appearance in the Appearances Global Assignment window for elements scoring above or equal to the Highlight value, and use the Editor Highlight appearance for elements scoring below the Highlight value.

Using the Quick Filter

  1. Select a Song or a Link
  2. Click the Quick Filter Button to open this pane. Song or Link Attributes are displayed in the Left pane.

  3. Select an Attribute in the left pane. Attributes for this window are specified in the Quick Filter Settings window
  4. The right pane displays appropriate attribute values.
  5. Select a value for that Attribute.
  6. Optionally specify a Custom value. See the Custom Attribute Values topic for details.
  7. Click the selection to close this pane. The filter results for Songs or Links are shown in the Consideration pane.
  8. See the Quick Filter settings topic for details on selecting your criteria.

Using the Criteria filter

  1. Select a Song or Link field in the Editor to search by.
  2. Click the Criteria Filter button to open this pane.

  3. Select a value. In this case, the Artist field was selected in a Song, so all Artists with Active Songs are displayed.
  4. Click the selection to close this pane. The filter results are shown in the Consideration pane.

Text Searching

Where enabled in the Toolbar, this feature allows you to search for items by the first letter in the title.

  1. Click in the title field.
  2. Type a letter.
  3. GSelector will find the next title in the Log that starts with that letter.
  4. Type another letter to have GSelector search for a title that starts with the first letter followed by the second letter.

To start a different search, click out of the title field and click back in, or backspace over the letters searched for, and type in a new string.

NOTE: Text Searching can be disabled to allow Keyboard Shortcuts by clicking the [image] Toggle Hotkey Search toolbar button.

Formatting

Apply a custom-designed format to the Schedule Contents pane and the Editor Consideration window in any station. See the notes on Designing and Assigning Log Formats.

Insert Song options

  1. Click the Insert Song button to open the Insert Song menu window.

  2. Choose one of the following menu options
    1. Click the first option to open a selection window allowing you to pick a song by Title, Artist or Album. See the Title Artist or Album picker notes on using this window.
    2. Click on the Category Groups in the list
    3. Select Themes... and click to open the Select Theme box.
    4. Select the Twofer option to display songs to Twofer by in the Consideration pane.
    5. Select the Advanced Search option
    6. Click the Filters option to open a second menu of Filters.
    7. Click the Lists option to open a second menu of Song Lists.
    8. Click Unscheduled Position to insert an Unscheduled Song position into the log. The Category Group for the unscheduled Song will be the Default Category Group.

Any of these options will open the Consideration window, displaying Songs according to what you have selected, from which you pick a Song to insert. See the consideration window notes for more information.

When you insert a Song using any of the methods detailed here, you run the risk of a conflict with the Category Spread Goal. So while all Songs are presented in best order for your selected Goals in the Consideration window, the Category Spread Goal is ignored in this instance. For details on Spread goals, see the Priorities window. When selecting the Twofer option, all songs by the artist that immediately precede this position will be suppressed from the Consideration pane. The songs displayed in the Consideration pane will respect the Match with Vocalist or Artist setting in the Classic Twofers section of the Setup | Station | Features | Twofers tab.

Select Title, Artist, Album or Vocalist window

  1. To select songs to insert by Title, Artist or Album, click the Insert Song or Replace Song button.
  2. Then click the Title/Artist/Album/Vocalist... option.

  3. Click the drop down arrow in any field to select a Title, Artist, Album or Vocalist. You can only select one of the three options.
  4. The total number of songs is displayed in the bar at the bottom of the window.
  5. Click the OK button to display these songs in the Consideration window.
  6. Use the asterisk symbol * as a 'wild card' operator. To find all Title, Artist, Albums or Vocalists that begin with a specified letter or letters. For example, entering A* in title will find all songs that begin with A.

Select Theme Window

  1. To select songs to insert by Theme, click the Insert Song button.
  2. Then click the Themes... Option.

  3. This opens the Select Theme picker window with the last used Theme highlighted.
  4. All existing themes are displayed, along with the number of Songs assigned to each theme.
  5. Select any theme in the list.
  6. Click the OK button to display these songs in the Consideration window.

Set Sticky List

When using Browse Lists in scheduling you can quickly Insert or Replace a List position in the Editor using the Sticky List Keyboard Commands. Before the keyboard commands will work a Sticky List needs to be set so GSelector knows which list to pull from.

  1. Select the drop-down next to the Insert [image] or Replace button for the desired element type.
  2. Click Lists from the menu
  3. Click Set Sticky List
  4. Choose the List for GSelector to use when the Keyboard Command is used.

Insert Link Options

  1. Click the Insert Link button to open the Insert Link menu window.

  2. Choose from one of the following options
    1. Select Title to open a Select Title box; enter a title or part of a Title and click OK.
    2. Select a Link Category Group.
    3. Select the Related Links option to open a further box and select a Clock Link Relation Name. See the notes in Related Links for details. Select the Relation Name, specify that the Link is to be Leading In Clocks and the Editor, a Leading Link position is placed before a Song position. If Links exist that have a Relationship to the Song that is scheduled in that position, a Link can be be scheduled in the Leading Link position. For each Link, the relationship is defined in the Link window, associating the Link to Songs by Artist or Theme. or Trailing In Clocks and the Editor, a Trailing Link position is placed after a Song position. If Related Links exist that have a Relationship to the Song that is scheduled in that position, a Link can be be scheduled in the Trailing Link position. For each Link, the relationship is defined in the Link window, associating the Link to Songs by Artist or Theme. , and the available Links for that Relation are displayed in the Consideration window.
    4. Select the Advanced Search option
    5. Select the Filters to open a separate submenu listing all Saved Link filters, and then select the filter. Link Filters are specified and saved in the Link Browse window.
    6. Select the Lists option.
    7. Click Unscheduled Position to insert an Unscheduled Link position into the log. The Category Group for the unscheduled Link will be the Default Category Group.
  3. Any option will open the Consideration window, displaying matching Links from which to select a Link to insert. See the consideration window notes for more information.

Insert Other Options

  1. Click the Insert Other button to open the Insert Other menu window, from which you select any of the options shown here.

  1. Select Exact Time Marker, Voice Track, Control, Breaknotes, Spotsets or Spot Blocks
  2. This opens the Consideration window.
  3. Depending on what is selected, the window displays Exact Time Markers, Voice tracks, Controls, Breaknotes, Spotsets or Spot Blocks, from which to select a Log Entry Type to insert.
  4. See the consideration window notes for more information.

Jumping to Song or Link Windows from the Editor

You can jump to the Song window or Link window for any song or link in the Editor, by selecting the song or link, and double-clicking or pressing Enter on your keyboard.

Jumping to the Clocks Definition window from the Editor.

You can jump to the Clocks Definition window for any Clock by selecting the Clock Header in the Editor window and double-clicking or pressing Enter on your keyboard.

Jumping to the Breaknotes window from the Editor

You can jump to the Breaknotes window for any Breaknote in Editor, by selecting the Breaknote, and double-clicking or pressing Enter on your keyboard.

Keyboard shortcuts

Where enabled in the Toolbar, GSelector has a range of Keyboard shortcuts available to use with the Editor. These are:

Menu Shortcuts

Toolbar commands

Search functions

Play Audio

Navigation commands

Printing commands

Multiple Pane commands

Consideration window shortcuts

NOTE: Keyboard Shortcuts can be disabled to allow Text searching by clicking the [image] Toggle Hotkey Search toolbar button.

Menu Commands

Open File menu: Alt+F
Open View menu: Alt+V
Open Stations menu: Alt+S
Open Tools menu: Alt+T
Open Help menu: Alt+F

Editor Toolbar Keyboard commands

Cut: Ctrl+X

Copy: Ctrl+C

Paste: Ctrl+V

Delete: Del

Drag and Drop an entry: ALT + UP/Down Arrows

Open Select Theme: t

Open Select Title/Artist/Album/Vocalist: c

Open Insert Twofer: 2

Open Insert Unscheduled Song Position = l

Open Insert Spotset: $

Open Insert Exact Time Marker: =

Replace Menu: R

Opens the Replace Consideration window: K or Ctrl+K. Shift+K allows the user to select between an original category group (in bold) and Fallback category groups, if one exists, then opens the Replace consideration window upon selection.

Replace with Same Artist: 1

Replace with Same Packet: P

Open Replace Select Title/Artist/Album/Vocalist: Shift+C

Open Replace Select Theme: Shift+T

Opens Replace Twofer: Ctrl+2

Juggle: J and/or Ctrl+J
Unschedule: u

Insert Song menu options: Ctrl+Ins or S, from the open menu you can also select an option using the arrow keys or press S again to open the Insert Song consideration window.

Insert Link Menu options: B, Ctrl+L

Insert Other Menu options: Ctrl+O, from the open menu you can also select an option using the arrow keys.

Synchronize Changed Hours: F2

Insert last selected Theme: Ctrl+Shift+T, this option will take the user to an Insert Theme consideration window allowing them to choose a song from their last selected theme. (Insert Song | Themes | Select Last Theme) If the user has not yet selected a theme in the current session this key combination will do nothing until they select a theme using the T or Shift T commands or by using the Insert or Replace toolbar buttons.

Sticky List Commands: Browse Lists

The following Keyboard command options are available when a Sticky List has been selected.

Replace Browse List Positions - W
Insert with Next from Sticky List - Shift-W
Replace of any position with Next from Sticky List - Ctrl-W

Search functions

Advanced Search: A use the ESC key to quickly close the search window.
Quick Filter: Q
Criteria Filter: F or Ctrl+F
Hotspots filter pane button: Ctrl+T
Retest Day button: Shift+F9
Hide All Windows button: Ctrl+0
Show Selected Windows button: Ctrl+1
Toggle All or Selected windows open or closed: F7 or ?
Previous Highlighted Song button: Shift+F3
Highlight button:: Ctrl+H
Next Highlighted Song button: Shift+F4
History Attribute button:Alt+F7
Content Filter button: F6

Play Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events.

Ctrl+F11 will play a single element. In a list, it will play the element having focus.

Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached.

In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element.

Navigation commands

Jump to start of previous hour: F3

Jump to start of next hour: F4

Jump to Clock: Double click the hour divider or use the arrow keys to navigate to an hour divider and press Enter on the keyboard.

Move to same time of the next day: F11

Move to same time of the previous day: Shift + F11

Move to the same time of the next week: Alt + F10

Move to the same time of the previous week: Shift + F10

Move to the next position of the same category: F8 (use the Parameters button to change the F8 Navigation)

Move to the previous position of the same category: Shift + F8

Close Advanced Search: ESC

Jump to the current day and play position: Shift + Home

Printing commands

Print: Ctrl+P, F9

Multiple Pane Display shortcut options

Launch 2 pane mode: X
Launch 4 pane mode: 4
Launch Custom mode: X
Revert to Single pane: ~

NOTE: Keyboard Shortcuts can be disabled to allow Text searching by clicking the [image] Toggle Hotkey Search toolbar button.

Topic Overview: The Editor window

Multiple Panes

GSelector offers the ability to view different days or hours simultaneously in the Editor window. You can select a two or four panes, each displaying scheduling information for a different day/hour, or specify a different number of panes. Each pane can display a different format GSelector allows you to specify what fields to use in Editor, Analysis and Library Browses. You can select any relevant field, order in any sequence, and save the results as a Format. Saved Formats can be assigned using the Format toolbar button in the above windows. , specified in the Pane Mode settings dialog box. For details on designing formats, see the Browse Formats Design window topic. You can edit in any pane, and save edits in each pane individually using each panes' local toolbar. The Consideration window, as well as the Failure Details and History windows and the Test Bar should be accessible, and automatically update to show information for the selected any pane.

Accessing

Formatting

Drag and Drop editing

Synchronizing

2 Pane mode

4 Pane mode

Custom Mode

Multipane Setup window

Accessing Multiple Panes

Select the Panes button to select a viewing mode. In all cases, the Top Toolbar remains constant across all panes, while the Bottom Toolbar is available for each pane. Note that the bottom toolbar in Multiple mode also has a Save button, next to the Date field.

Multiple Pane Formatting

For each pane you specify in the Custom tab, or for the specified panes in the two pane mode and four pane mode, you can select a format design to applied to that pane. For details on designing formats, see the Browse Formats Design window topic. See the Setup dialog box notes.

Synchronizing

The default synchronization setting for Multiple panes is synchronized by hour. Click and drag on an hour in that pane's Hours Slider, or scroll up or down in one pane and then click in the new hour, and the other multiple panes will update to the hour by the same time difference. This setting can be enabled or disabled for all modes by checking or clearing the Synchronize checkbox in the Settings pane.

2 Pane mode

Select the Two Pane mode option using the Multiple Panes button in the Toolbar to display two panes: the original Editor pane with the selected day and hour on the left, and an Editor pane displaying a related date/hour (specified in the Setup dialog box) on the right.

4 Pane mode

Select the Four Pane mode option using the Multiple Panes button in the Toolbar to display Four panes: the original Editor pane with the selected day and hour on the left, and three Editor panes displaying related date/hours (specified in the Setup dialog box) on the right.

Custom Mode

In custom mode, you specify the number of panes, date/hour settings and formats for each pane in the Setup dialog box. These settings are then called for when you select this option using the Multiple Panes button in the Toolbar.

Multipane Setup window

The Editor Multipane Setup window is used to call for a set number of panes for the Custom Mode only, and specify a Day offset and an Hour offset for each pane. Additionally, you can enable or disable Synchronization, choose to display or hide the Default Columns, and you can specify a different format for each pane.

Number of Panes

Offset fields

Synchronize checkbox

Do Not Add Default Columns

Number of Panes

This field can be edited in the Custom mode, allowing you to specify how many panes you wish to view; it is fixed at 2 and 4 panes respectively in the Two Pane and Four Pane modes.

Offset fields

These fields allow you to set the interval buy which each Multiple pane is set back from the selected Date and Hour. The default value is one day in the past, but viewing the same hour for the two pane mode hour, and the same day (no offset) but one hour back for the four hour mode. You cannot set day offsets to dates beyond the current selected Editor date. Check the Synchronize checkbox to ensure that hours in all Editor panes change together.

Synchronize checkbox

Check this box to enable Synchronization between panes. Uncheck to disable this facility.

Do Not Add Default Columns

You can optionally disable the display of Default columns in any mode. This allows you to display more information in each pane. This option cannot be applied the basic Log format in the Editor mode, but you can optionally specify a Custom format with a single pane and suppress Default fields, which will allow you to suppress these fields.

Printing the Log directly from the Editor window

Use the Print tool in the Editor window to generate a paper log. Selecting the Print option in the File menu will create a print document that displays the screen content.

  1. Edit the running order to your satisfaction.
  2. Adjust the columns in the results pane for width and sequence on the page.
  3. Optionally design a custom format for printing in the Setup Browse Formats design window, and assign it.
  4. Click File and then Print in the Menu.
  5. A preview pane opens allowing you to make further adjustments. These are detailed in the preview section of the printing topic.
  6. Click the print icon in the preview pane to print your report.

For full details on printing, see the Printing topic.

Right-click menu commands

Select an item in the Editor pane and right-click to open a commands menu. This allows the user to access some of the most used commands without having to select them in the toolbar. Users can Cut, copy and paste selected items directly from this menu. This right-click menu allows the user to Insert songs, links or other events and delete any selected item. Select a Song/Link and replace it from the same Category Group or replace it with a different Song/Link. See also the notes for Juggling, Unschedule and Replacing.

The menu also offers view Highlight commands. When the Failure Details, Test Bar and History test panes are closed, invoking this command opens the test panes and retests the current position, and a check mark is displayed next to the menu command. When the test panes are open, invoking this command closes the test and removes the check mark.

Note: You can also re-test the entire day with the Retest toolbar button.

Drag and Drop an Entry using the keyboard

In the Editor or when working in the Library | Browse | Browse List window you can now move the current item in the log or list by using the keyboard. Press Alt + Up Arrow to move the currently selected element higher. Press Alt + Down Arrow to move the currently selected element lower. A tool tip is displayed showing the item that is being moved.

Selecting multiple Items

Sometimes the user might wish to move or delete a group or complete block of Entry types.

  1. Click any item in the log to select that item on its own.
  2. Press Ctrl and Click several songs to select multiple individual items.
  3. Select any item, then select a second item, and press Shift and Click to select all items in a block.

Selected items can be cut, deleted, copied and pasted using the toolbar buttons. However, they cannot be dragged and dropped to a new location, either as a block or as multiple individual items.

Topic Overview: The Editor window


Arranging Editor windows

Arranging Editor Window Panes

The Consideration window, Failure Details, History, Hotspots filter and Test Bar window panes can all be resized, moved, docked, free floating and tabbed. When a window is tabbed it can also be pinned so it will auto-hide when not in use. This allows the user to work in the Editor window, but to grab any subsidiary pane and 'park' it with other open panes to save space. The windows can be closed in the usual way, and reset to the default layout at any time.

Sizing an individual window

Docking Positions

Dragging a window to a new location

Free Floating the Editor window panes

Stacking window panes for Tabbed view

Opening a Tabbed window

Removing a window pane from a Stacked Tabbed window

Resetting to GSelector defaults

Sizing an individual pane

Open the Consideration window or click the Show Selected Windows button on the Editor toolbar. Hover the mouse over the edge of any pane until it turns in to a double-sided arrow [image]. Click and drag the edge of the window to get the size desired. If one or more panes are arranged together in a row, resizing the top or bottom of the windows, will resize all of the windows together.

TIP: While you are resizing the pane, the pane itself stays at its original size. A horizontal or vertical bar follows your mouse to indicate the proposed size.

Docking Positions

Click and drag the Header bar of any window in the Editor to view the dock positioning icons, GSelector offers a range of options.

The following docking guides will appear when clicking and dragging the title bar or tab of a window to assist in the docking and undocking. These buttons allow the user to place the window pane in the shaded area suggested by the button selected.

Dock on Current – The Dock on Current icons appear when the tab or module is moved over the Editor log. When the window is moved over another window pane the tabbed icon will be shown in the center of the Dock on Current icon. Dropping the window on the top [image] icon will dock the window above the existing window moving the current window down. Dropping the window on the tabbed [image] icon will add the window as a tab to the same position as the current window, as an additional tab. Dropping the window on the bottom [image] icon will dock the window below the current window moving the current window up. Dropping the window on the left [image] icon will dock the window to the left of the current window moving the current window to the right. Dropping the window on the right [image] icon will dock the window on the right of the current window, moving it to the left.

Dock on Top – The Dock on Top option appears at the top of the docking area. Dropping the window on this option will dock the window along the top edge of the docking area.

Dock on Left – The Dock on Left icon is located to the left side of the docking area. Dropping the window on the Dock on Left icon will dock the window along the left edge of the docking area.

Dock on Bottom – The Dock on Bottom icon appears at the bottom of the docking area. Dropping the window on this icon will dock the window along the entire bottom edge of the docking area.

Dock on Right – The Dock on Right icon appears at the right of the docking area. Dropping the window on this icon will dock the window along the right edge of the docking area.

Topic Overview: Arranging Editor panes

Dragging to a new location

  1. Click and drag the Header bar of any pane to view the Dock Positions in the Editor.
  2. A range of positioning Icons are displayed in the center of the selected window. When the window pane is over the Editor log the Dock on Current icons display the Top, Bottom, Right and Left dock positioning icons for the window.

When the window pane is over another window pane in the Editor, the Dock on Current icons display the Top, Bottom, Right, Left and Tabbed dock positioning icons for the window. Move the window over the desired positioning icon to view a shaded area of where the window will land when dropped on the selected icon.

  3. Optionally, use one of the four positioning icons at the edges of the Editor window.
  4. Drag to any one of these Icons. This will select an area to match the choice offered by that positioning icon.
  5. Release to place the window pane in the shaded selected area.
  6. Resize the window pane as described above.

Free Floating the Editor window panes

To set a window as Free Floating click and drag the header until the window pane is undocked then release the window in space where the is no docking position icons. Optionally, simply double-click the header. Resize and reposition the window as needed.

Tip: Double-clicking the header of a Floating window will return it to its previously docked position.

Stacking Editor window panes for Tabbed view

  1. Click and drag the Header Bar of any window pane on top of another pane to view the Dock Positions in the Editor.

  2. Drag to the Stacking tab icon in center and release.

  3. The panes stack on top of each other and display tabs allowing to access any of the stacked panes while saving on display space.
  4. When the stacked window panes are docked the user can optionally select the pin [image] in the upper right hand corner to have the windows auto-hide when not being used.

  5. To return the panes to the docked position click the pin again.

Opening a tabbed pane

To view details in any stacked pane, click the tab to bring that pane or window to the front of the stack.

Removing a window pane from a Stacked Tabbed window

To remove a window from a stacked tabbed window simply click the tab of the window pane to relocate and drag it to a new location on the display or dock it using the dock positioning icons.

Resetting Information pane layouts to GSelector defaults

To return the Editor window layout to the default settings, click the Reset Layout [image] button in the Editor Menu bar.

Topic Overview: Arranging Editor panes


Editor Consideration window

Consideration window

When inserting or replacing items in the Editor window, you pick from this pane. The pane lists all candidates in the relevant Song Category Group, Link Category Group, or Other item. Songs and Links are sorted by score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. .

Opening the Consideration window
Features in the Consideration window
Working in the Consideration window

See also the notes for the Failure Details , History and the Test Bar panes.

Opening the Consideration window

There are a number of ways to open the Consideration window

From the Editor toolbar, click the Song, Link or Other Insert buttons to insert a brand new position.

or the main Replace button to replace an existing Log item with the same Item type.

or click the drop-down arrow to the right of the Replace button, to access a menu list of Insert options, determined by the selected Log item.

Most of these actions will immediately open the Consideration window, showing the selected log item type. The Consideration window opens by default to the right of the Editor window, but can be relocated to a different position. The Themes option will open a Select Theme window with the last used Theme highlighted. Once a Theme is selected then the Consideration window will open. Depending on the sort option specified, the Consideration window will sort in different ways, with the Sort Option displayed in the window caption. The default option is sorted by the Lowest Score. For more details, see the Consideration Window Options notes. When selecting the Twofer or Same Artist/Vocalist option, all songs by the artist that immediately precede this position will be suppressed from the Consideration pane. The songs displayed in the Consideration pane will respect the Match with Vocalist or Artist setting in the Classic Twofers section of the Setup | Station | Features | Twofers tab.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Consideration window

Features in the Consideration window

The Editor window

The Consideration window Browse

Rank field

Score field

Consideration Window Options

Score

Most Rested

Most Rested by Region

Most Rested by Daypart

Most rested by Hour

Next Due

Settings

The Editor: sizing and display issues

How much of the Editor window stays on display when opening the Consideration or other Editor subsidiary windows depends on the number windows you open, and how you choose to size them. You can click and drag the edge of the Consideration window to show more or less Editor window information, and you can close the Consideration window by clicking the close Icon in the header bar. See also the notes on 'stacking' and sizing windows in the Arranging Editor windows topic. Note that you can design browse formats for both the editor and the Consideration window.

Consideration Window Options

Click the Sort Options button at the right of the top Editor window toolbar to specify a sort option for the Consideration window. The selected option is displayed in the Consideration window caption, and is remembered by GSelector the next time the Consideration window is opened.

The available sort options are:
Lowest Score in descending order (the default option);
Score
Most Rested
Most Rested by Region
Most Rested by Daypart
Most rested by Hour
Next Due

Additionally, there is a Settings option to control Packet content display.

In all cases, the requested field is displayed in the Consideration window at the right of the default display fields. The Lowest Score field, however, is always displayed.

Consideration window list (showing the default Lowest Score option)

The default Consideration Window view lists all possible candidates to replace the selected item, sorted by default by descending Lowest Score (that is, by the best possible score). Note that you can re-sort the Consideration window by any field header, by clicking on that header. See the Working with Browses topic for more on sorting and sizing columns. If you are replacing an item the pane will initially list items from the Category Group or Category for the selected schedule position, and the Consideration window caption indicates you are replacing an item. If you are inserting an item, you are must make a further selection (see here for details) to specify exactly what item you want, the Consideration window also indicates you are inserting an item. The detail shown here is from the top of the Consideration window list. In this example, the top scoring song has a Score of 93, and is according the station's goals, the most appropriate song to replace or insert at this position. The scores are relative to this Song for this Editor position on this Station.

Click in the image for help on the Lowest, Score and Rank fields.

Score field

Songs and Links in the Consideration window display a Score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. . The higher the value, the better this song or link meets your goals for the Editor position for which it is being considered. The overall Score is a combination of all the scores for every goal. You may have a good score overall, but be failing relatively badly in one area: the Lowest Score field tells you which Goal is performing worst. Click the details arrow to open the Failure Details pane for this song. See also the Score field notes in the Editor topic.

Rank Field

This field lists the absolute rank of all items by the selected Option value. You can sort by this field in reverse order by clicking in the header. The top item, with the rank figure of 1 - is the best item by Lowest Score value for all goals for this point in the schedule.

TIP: Open the Failure Details pane to see exactly how the score for this song was derived.

Lowest Score

This field is always displayed , no matter what Option is selected . It displays the lowest Score for the selected item for any active goal, and the goal that got this score. The overall Score is a combination of all the scores for every goal. You may have a good score overall, but be failing relatively badly in one area: this field tells you which goal is performing worst. You can review all your goals for any position or Consideration window item in the failure details and test bar panes. For more on how a score is derived, open the Editor Failure Details Pane.

Most Rested

When this option is selected, a Closest (All) field is displayed at the right of the Consideration window, and the browse in the window is sorted by the values in this field. This option displays the Schedule Items sorted by most-rested order from the last play. When the Consideration window is sorted by Most Rested, the History Map will display the play history of Song or Link, the current Editor hour is shown in green, and the closest play of the selected item is shown in yellow.

Most Rested by Region sort order

When this option is selected, a Closest (Region) field is displayed at the right of the Consideration window, and the browse in the window is sorted by the values in this field. This Sort order is used when Daypart Regions have been implemented; it displays the Schedule Items sorted by most-rested order from the last play in the current Daypart Region. See the Daypart Regions topic for more information. When the Consideration window is sorted by Most Rested by Region, Daypart or Hour and the History Map is set to display the Song or Link, the current Editor hour is shown in green, and the closest play of the selected item is shown in light blue in the History Map.

Most Rested by Daypart sort order

When this option is selected, a Closest (Daypart) field is displayed at the right of the Consideration window, and the browse in the window is sorted by the values in this field. This sort order displays the Schedule Items sorted by most-rested order from their last play in the current Daypart. See the Dayparts Definition topic for more information. When the Consideration window is sorted by Most Rested by Region, Daypart or Hour and the History Map is set to display the Song or Link, the current Editor hour is shown in green, and the closest play of the selected item is shown in light blue in the History Map.

Most Rested by Hour sort order

When this option is selected, a Closest (Hour) field is displayed at the right of the Consideration window, and the browse in the window is sorted by the values in this field. The sort order shows for each item in the consideration window, the number of days since the selected item was last scheduled in this hour. When the Consideration window is sorted by Most Rested by Region, Daypart or Hour and the History Map is set to display the Song or Link, the History pane shows the current Editor hour in green, and the hour for the closest play in light blue.

Next Due sort order

When this option is selected, Schedule Items (Songs and Links) are ranked by their Next Due value. For any position, it is based on both how long it has been since the Schedule Item was last played (also known as most-rested), and the demand for each Schedule Item. The Next Due order is not the same as the Lowest Score order, which does not take direct account of how long it has been since the Schedule Item was last played. Links are sorted in Daypart next due order, whereas Songs are sorted in either Hour or Daypart Next Due order , depending on the Stack setting in the Category Group Options window .

Consideration Window Settings

Select the Settings option to open the Consideration Window Settings window.

The following options are available in this window:

Show all Packet Members - The default setting is to display all Packet Members. With this option, the packet is sorted within the list based on the last played (or least-rested) song in the packet. The packet itself is sorted in most-rested order. This option only works with the following sort options: Most Rested, Most Rested By Region, Most Rested By Daypart and Most Rested By Hour. This option is ignored for Lowest Score, Score and Next Due. In the following illustration the Show All Packet Members is deselected. Using Most rested order the Consideration window shows one song for Packet AM1.

When the Show All Packet Members option is selected all Packets Members will be displayed. The packet is sorted within the list based on the last played (or least-rested) song in the packet. The packet itself is sorted in most-rested order. To change the Search Depth see the Category Group Settings window. To change the Search Depth Appearance use the 'Search Depth Exceeded' entry type in the Appearances assignment window.

Show Bans and Hour Restrictions - When checked, songs and links that are banned or restricted from the current hour will be shown in the Consideration window. Clear the checkbox to suppress songs and links that are banned or restricted from the current hour from showing in the Consideration window.

Quick Replace - When checked, any filter operation that yields a single song or link will immediately place that element into the schedule, rather than first displaying it in the Consideration window. Clear the checkbox to get the prior behavior (before version 4.2.2) of showing the one record in the consideration window.

Include 'No Demand' in Failure Details - When checked, songs and links with 'No Demand' will be shown in the Failure Details window.

Format Selection button

While formats can be permanently assigned to the Consideration Window in the Formats Assignment window, this toolbar button allows you to temporarily select and apply any format that you have designed in the Formats Design window. This button can be used to save the default format as a new format, save changes to an existing format or save an existing format to a new browse format.

  1. Click the arrow to the right of the button.
  2. Select Log or Consideration window
  3. Select a format and double-click or press enter.
  4. The new format is assigned.
  5. Optionally, right-click a column header to Modify or Remove columns.
  6. Click the arrow to the right of the button again.
  7. Click Save or Save As if desired
  8. The new format is assigned.

NOTE: When the main Editor Window is selected, you can use this tool to assign formats to this window.

For more information on custom designing formats, see the Formats Design and Formats Assignment topics.

Topic Overview: Consideration window

Working in the Consideration window

Replacing or Inserting from the Consideration window: the Process described

Selecting items in the Consideration pane

Arranging Editor Window Panes

Setting the other Editor panes to open automatically

Audio Previewing

Sizing and display issues

Formatting the Browses

Hot-Key Searching

Sorting

Working with Multiple Editor panes

Closing the Consideration window

Replacing or Inserting from the Consideration window: the Process described
  1. In the Editor window Log pane, select the Item to Replace or the point in the Schedule at which to Insert an Item.
  2. Click the Insert Song toolbar button or press the Ins key on the keyboard.
  3. Click the Insert Link toolbar button (see here for details).
  4. Click the Insert Other toolbar button (for ETM, Voice Track, Control, Breaknote or Spotset insertion - see here for details).
  5. Select an item in the Consideration window.
  6. Enter or Double-click on the selected item. This closes the Consideration window and places the selected item in the schedule at the selected point.
  7. To keep the Consideration window open for this session, click the Keep Consideration Window Open in the toolbar (see here for details).

Selecting items in the Consideration pane

Shift+Click command to select a block of items in the Consideration window: Press the Shift key and left-click the first item. Still pressing the Shift Key, click the desired last item.

Ctrl+Click command to select multiple individual items in the Consideration window: Press the Ctrl key and left-click the first item. Still pressing the Ctrl Key, click other items to select them.

Shift+Arrow command to select a list of items by scrolling though the list. Select the first item, press the Shift key and then arrow up or down to select a continuous range of items.

All items in the list will be selected and can be dragged to an individual position in the Log pane. As you drag, GSelector pops a small confirmation box listing the items being dragged to the Log Pane from the Consideration window. See the notes above on Replacing or Inserting from the Consideration window.

To insert the selected items into the Log, drag and drop to a Log pane position. The selected items will be inserted above the Log Pane position.

To replace a position in the Log pane with the selected items, drag, press the Ctrl key and drop on that position. The selected items will replace the selected Log Pane position.

Audio Previews

Preview the audio for any song in the Consideration window or the Editor pane, using the Audio controls. See the Using Audio in GSelector topic.

Opening the other Editor panes

Set the Failure Details , History and Test Bar panes to automatically open, or not open, when the Consideration window is opened. These settings will apply to all Stations. See the Show Selected panes notes in the Editor window topic.

Formatting the Browses

Apply a custom-designed format to this pane and the Editor Schedule contents pane in any station. See the notes on Designing and Assigning Log Formats.

Hot-Key Searching

To do a Hot-Key search in the Consideration window Category, Title and Artist fields. Select the field, and type in the first letter to search by. For more details, see the Hot-Key notes in the Working with Browses topic.

Sorting

Specify a Consideration Window Option, which will sort the items in the Consideration window; see above for details. The browse in the Consideration window works like most other browses in GSelector. Browse displays can be sorted by clicking on field headers, and fields sized and dragged and dropped to new locations in the browse. For more details, see the Working with GSelector Browses notes.

Working with Multiple panes

When using Multiple Panes , opening the Consideration window shows information related to the selected element in the selected Editor pane, and removes all non-selected Multiple panes from view; closing the Consideration window will restore the Multiple Pane display.

Closing the Consideration window

Close this window two ways:
By pressing the Esc key on the keyboard
By clicking the standard close x button at the top right of the window.

Topic Overview: Consideration window


Editor Notes pane

Editor Notes window

The Editor Notes pane allows you to review the Note Associations for any Log item, and to edit and add to those associations.

Accessing the Editor Notes window
Features in the Editor Notes window
Working in the Editor Notes window

Accessing the Editor Notes window

In the Editor pane, select any item with a Note Association. Then click the Note Editor icon in the Editor Toolbar. The image shows the Editor Notes window with the Consideration pane active.

TIP: You can show items with where an associated Note has been scheduled, by including the Note field in an Editor Format GSelector allows you to specify what fields to use in Editor, Analysis and Library Browses. You can select any relevant field, order in any sequence, and save the results as a Format. Saved Formats can be assigned using the Format toolbar button in the above windows. . Where a Note has been scheduled, the Scheduled Note Icon is displayed. Select the Log Item, click to open the Song or Link window and then click the Notes tab to view associations for that item.

Topic Overview: Note Editor window

Click any area in the image for Help

Click any area in the image for Help

Topic Overview: Note Editor window

Features in the Scheduled Notes window

Add Note button
Delete Note Button
Current Note Associations
Consideration pane: available Notes to Associate

Add Note button

Click this button in the Editor Notes window to open the Note Consideration pane.

Delete Note Button

Click this button to remove a selected Note Association.

Topic Overview: Note Editor window

Current Scheduled Note for the selected Log Item

The Editor Notes window opens with this pane displayed. It shows the note that has been scheduled through its association with the selected Log item in the Editor. Notes are scheduled by being associated with one or more Songs, Links, or Song and Link Attributes or Song Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. , so the Note shown could be scheduled through any of a number of associations.

Consideration Pane: available Notes to associate with the selected Editor item

The Consideration pane, when open, lists all available notes that can be associated with the selected item. While a Note can be associated with any Song or Link Attribute , working in the New Note Association window , associations made here are made with the selected Song or Link in the Editor only.

Add/Cancel buttons

These buttons are exposed with the Consideration Notes pane. You can Add a selected Note from the Available Notes pane by selecting the Note and clicking the Add button. Click Cancel to Close the Available Notes pane without Saving your changes.

Topic Overview: Note Editor window

Working in the Editor Notes window

Adding a New Note Association
Deleting an Existing Association

Adding a Note Association

1. Open the Editor Notes window for the selected item in the Editor.
2. The window opens showing the currently scheduled Note, where this exists.
3. Click the Add Note icon to open the Consideration pane
4. Select a Note.
5. Click the Add Button in the Consideration pane.

Deleting an Existing Association

1. Open the Editor Notes window for the selected item in the Editor.
2. The window opens showing the currently scheduled Note, where this exists.
3. Select the Note.
4. Click the Delete Icon.

Topic Overview: Note Editor window


Editor Failure Details window

Failure Details pane

The Failure Details pane shows you exactly how well or badly an item in the Log or the Consideration window has met your scheduling goals for any selected log position. For any item you select in the main Log or Consideration window, all goal scores are listed, sorted in order by contribution to the overall failure score. When working with Station - Past Day and Station - Yesterdays settings, where multiple time-related failure can occur, the pane will display the most recent past or future violation of the rule. The 'worst' failure is listed at the top, and is the same score displayed in the lowest field in the Editor.

TIP: In this context, the word 'failure' is relative. The failure score indicates the greatest variation from the ideal natural balance for this goal. All goal scores are displayed here. The lower the number, the greater the 'failure'. However, a series of scores such as those displayed here are not really failures. If, however, a significantly lower score is displayed. then this suggests an imbalance for that attribute.

Accessing this pane

Features in this pane

Working in this pane

See also the Consideration , History , and Test Bar pane and Editor Pane buttons topics.

Accessing

1. Check the Failure Details option in the show selected menu in the Editor toolbar,
2. In the Editor, click the show selected button or open the Consideration pane .

The Editor and Consideration panes move up to accommodate one or more new panes at the bottom of the window, which follow your selections. This pane is one of three subsidiary panes that can occupy the bottom of the Editor window. You can close or maximize any of these panes.

TIP: You can 'stack' the Failure Details pane in the Editor, along with the other supplementary panes. See the Arranging Editor panes notes

Click any column in this illustration for help

Click any column in this illustration for help

Topic Overview Failure Details pane

Features in this pane

Editor pane sizing issues

Failures Only

Goal failures list

Failure score

Failure date

Editor windows: sizing and display issues

When the Failure Details pane is open, the 'regular' Editor and if open, Consideration pane details remain on display. How much is on display when you open other Editor panes depends on the size of the panes opened, and how many panes are opened. Editor information can be accessed by clicking and dragging the edges of the other panes, or by closing panes by clicking the close Icon in the header bar. See also the notes on 'stacking' pane in the Arranging Editor windows topic.

Failures Only

The default view of the Failure Details window is to show only those priorities with failures for the selected event. By deselecting the Failures Only option, at the top right of the Failure Details window, the user can see the priorities that did not fail for the selected event. Double-clicking a goal in the list will take the user to the corresponding setting for the goal listed so the user can see why it did or did not fail.

Goal Failures list

All Goal Failures are listed for the selected item in the Consideration pane. Click the header to sort by Goal name. Double-clicking a failure in the list will take the user to the corresponding setting for the goal listed.

Tip: Double-clicking one of the Failures in the Failure Details will open a corresponding settings window allowing you to adjust the goal, rule or balance.

Failure score column

The Failure column displays, for each goal, the percentage failure from the ideal spread The 'natural' separation between two Song Attributes in the schedule, taking into account existing settings. for each Attribute (see the Artist , Attributes , Participants or Song demand topics in the Goals sections for more details). If the optimal spread on an attribute is 2 hours and the separation on the attribute for the considered song is 1 hour, the failure would be 50%. If a spread goal does not appear, the attribute was spread out by more than the optimal spread. Click the header to sort by Failure score. Goals set with Segue Bans either pass or fail, and will only display a 100% Percentage failure.

Failure date column

The failure date column lists, for each goal, the date of the element where there is a goal setting conflict. Click the header to sort by Goal Failure date.

Topic Overview Failure Details pane

Working in this pane

Maximizing

Closing

Arranging Editor Window Panes

Sizing and display issues in the Editor

Working with the History Pane

Working with Multiple Editor Panes

Maximizing or closing

Where this pane is open along with other subsidiary panes at the bottom of the Editor, you can maximize the pane and close other subsidiary panes by clicking the Maximize icon in the header bar. To close the pane, click the close icon at the far right in the header bar.

Working with the History Pane

When the History Pane is open for a selected song in the Consideration pane or the main Editor window, you can use it, working with the with the Failure Details pane, to see exactly where each Goal has met with a conflict. See the History Pane topic for full details.

Working with Multiple panes

When using Multiple Panes , information displayed in the Failure Details pane is shown for the selected element in the selected Editor pane.

Topic Overview Failure Details pane


Editor History Pane

Editor History window

The Editor History window lets you see History for a selected Song or Link, or History for any Song or Link Attribute in the Editor window.

Accessing this window

Features in this window

Working in this window

See also the notes for the Consideration , Failure Details , and Test Bar windows, the Editor window buttons , and the Sizing and display issues in the Editor window notes.

Accessing

  1. Select any item in the Editor pane.

  2. In the Editor Toolbar, click the Show Selected windows button, and select the History option.
  3. Alternately, open the Consideration window, which will also open the History Map in its default setting.

The Editor window (and any other open windows) move up to display a pane at the bottom of the Editor window. The History pane is one of three subsidiary windows that can occupy the bottom of the Editor window. You can close or maximize any of these Windows. In this detail image, we show a selected Song in the Editor pane and its associated History Map, reduced to better display in the Help window.

TIP: You can 'stack' the History pane in the Editor, along with the other subsidiary Windows. See the Arranging Editor windows notes.

Topic Overview: Editor History pane

Features in this window

Sizing and display issues

History pane Content

History Map Plots

Flyover Tooltip

The Editor and Consideration windows: sizing and display issues

These sections of the Editor still display regular Editor and if open, Consideration window details. For more on these windows, see the Editor window and Editor Consideration window notes. How much of the Editor window is on display when opening other Editor windows depends on the size of the windows opened, and how many windows are opened. Editor window information can be accessed by clicking and dragging the edges of the other window(s), or by closing the windows by clicking the close x in the header bar. See also the notes on stacking windows in the Arranging Editor windows topic.

History pane content

When the History pane is first opened and a Song, Link or other entry type is selected in the Editor or the Consideration window, the History pane displays History for that item. The History Map can display Artists, Categories, or any Attribute, when an associated goal is selected in the Failure Details window. Where an Hour Restriction has been applied, the restricted hours are marked on the History Map with a dash. By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use the History Map Plot check boxes displayed above the history grid. Weekends in the History Map are shaded in pink by default to distinguish the weekends from the weekdays. The color can be changed in appearances and the default Saturday and Sunday weekend can be changed in the Days of Week tab of the Setup Station tab using the new Weekend column.

History Map Plots

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use these History Map Plot check boxes at the top of the History window. Each cell in the History Map is divided into four invisible, vertical quadrants. These represent, from left to right, the first, second, third and fourth quarter hour of the hour. Using the 1/4 hr plot option will replace the X with the vertical plot line positioned in the appropriate cell quadrant to denote the songs scheduled position within the hour.

There are additional options for artist, vocalist(s) and artist group in all song History Maps. Enabling any of these options will plot other songs by the artist(s), vocalist(s) and/or artist group(s) of the current song. In these modes, each cell in the History Map is divided into invisible, horizontal quadrants within each vertical quadrant. These represent, from top to bottom, the song, the artist, the vocalist(s) and the artist group. Color coding further helps to distinguish these plots. Enabling the Individual Vocalists option in the Setup | Station | Features | History tab will separate the vocalists plots further by each vocalist attribute listed for the song. Any combination of these new options can be used, while clearing all of them returns the History Map to its default behavior. The colors used for these options can be changed by working in the new History Plot section of the Tools | Global Settings | Appearances | Global Assignments window.

The On-Air button [image] to the right of the 1/4 hr Plot can be used to show the current day and play position of the log in the History map.

The Hide button can be used to quickly hide the Artist, Vocalist and Artist Group plots.

Click the Show button to quickly show the Artist, Vocalist and Artist Group plots again.

The slider bar to the right of the check boxes allows the user to zoom in on the History Map and the Show All History +/- to the far right will toggle the amount of days shown in the History Map. When the + is showing the History only shows the number of days specified in the History Cutoff setting, while clicking the - will show the number of days specified in the History Days in Past setting.

Hovering the mouse over a vocalist above the History Map will show the Participation Percentage set for the vocalist for the selected song.

Flyover Tooltip

Using the mouse to hover over any of the plots in the History Pane, in either the Standard or Advanced mode, will display details about the event scheduled.

Topic Overview: Editor History pane

Working in this window

NOTE: When editing in the log, the History pane display does not update until changes in the Editor is are saved.

Working with the Rule Failure window

Selecting a display option for the History window

Maximizing this window

Closing this window

Arranging Editor Window Panes

Working with Multiple Editor Panes

Selecting a display option for the History window

The Editor Toolbar History Attributes button (see here for details) allows the user to view a range of options for any selected Song or Link in the Editor. Click the dropdown arrow to select one of the following as a default display option:

Any Goal displayed for the Highlighted Song or Link in the Editor Failure Details window - see Working with the Rule Failure window , below.

The Song or Link selected in the Editor pane

The Title of the Song or Link selected in the Editor pane

The Packet of the Song or Link selected in the Editor pane. If the current Song or Link is not in a packet, GSelector displays the history of the Song or Link.

The Artist or Vocalist for the Song selected in the Editor pane. See the notes on viewing Vocalist History, below.

The Album for the Song selected in the Editor pane.

Working with the Rule Failure window

When the History window is open and displaying History for a selected item in the Consideration window or the main Editor window, you can use it to see exactly where in the History pane each Goal has caused a conflict. When you select a Rule in the Failure Details window, that Rule Failure is indicated in the map, with the current hour marked in Green, and the hour containing the conflict is shown in Yellow, or Red where it is the same hour. A recycled song/link is shown in the history map with a R indicator.

TIP: The selected Rule Failure in Failure Details is automatically displayed in the History pane bar, along with the Song Title. In this configuration, we have nested the Test Bar, Failure Details and Consideration windows over each other.

In the above illustration, the Song being considered in the Editor is indicated by the Green square at 2PM. The conflict indicated here is with a Song Position at 9AM, shown by a Yellow square for that hour.

In the next example, selecting the Into the Great Wide Open Song by Tom Petty, there is a conflicting play in the current hour. This is indicated by the hour displaying in Red.

TIP: Note that the selected Rule Failure in Failure Details is automatically displayed in the History pane bar.

Viewing Vocalist History

History Maps will display History for Vocalists if the Vocalist Spread Goal is enabled in the Priorities window, in place of the Artist Spread goal. If you have enabled Vocalist Spread in this way, and are looking at Vocalist history for a Song with two or more Vocalists, the Editor toolbar History menu will offer you the choice of all Vocalists for this Song. See the notes on configuring Artist to Vocalist Settings for more information.

History Display for heavily used Attributes

Where an Attribute is widely applied to Songs or Links, the History map will restrict the display to show just results for the selected day, the previous day and the next day. This option is automatically displayed when the station has a significantly high proportion of Songs with the same value for an Attribute used in a Spread Goal or Segue Ban. In this example, the majority of the songs in the library have been given an Energy Attribute with a value of 3.

Maximizing or closing this window

Where this window is open along with other subsidiary Windows at the bottom of the Editor window, you can maximize the window and close other subsidiary windows by clicking the Maximize icon in the header bar. To close the window, click the close icon.

Working with Multiple panes

When using Multiple Panes , information displayed in the History pane is shown for the selected element in the selected Editor pane.

Topic Overview: Editor History pane


Editor Hotspots filter pane

Editor Hotspot Filter pane

The Hotspot Filter pane pinpoints the least satisfactory scheduling positions of the day: those positions which failed to meet their Goals by the largest margin. When accessing this window, specify the Goals to search by, and the Attributes to search for. The Filter sorts the currently scheduled positions for the day in ascending order by the lowest Score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. . You can Filter on Songs or Links, for all or selected Goals. From the Filter results pane, click to select any item, and that item is highlighted in the main Editor window. This allows you to edit the Schedule to fix the problem. You can optionally return to the Hot-Spot Filter to find the next problem, or , if you have edited the schedule Goal, you can then Retest the entire day.

Accessing the Hotspot Filter pane

Features in the Hotspot Filter pane

Working with the Hotspots Filter pane

see also the Arranging Editor windows notes.

Accessing the Hotspot Filter Pane

  1. From the Editor window, click the Hotspots [image] button in the Editor Toolbar,
  2. The Hotspots Filter pane opens.
  3. In the default layout, the pane opens at right of the window (see also the Arranging Editor Window Panes notes). You may wish to adjust the pane size by dragging its border at left and bottom.
  4. The Filter pane opens with the default Filter setting of all Goal Types and Attributes selected.
  5. Clicking the Filter button will find the worst scores for all Goals and Attributes.

When you first access the Hotspots Filter pane, no Filter is applied until you click the Filter button. If you open the Hotspots Filter pane again in any session, results for the previously selected Filter are displayed, until you specify a specific Filter.

Click any area in the image for help. This image shows a Hotspots Filter by Category Spread.

Click any area in the image for help. This image shows a Hotspots Filter by Category Spread.

Topic Overview: Hotspot Filter Pane

Hotspot Filter Pane Features

The Filter results pane

Songs and Links button options

Goal Type options

Attributes to select

Show Songs or Links

You can specify Songs or Links: click the relevant radio button. See the notes on Customizing a Filter request.

Goal Types

Check one or more boxes to specify what Goal Types to Filter for, such as: Spread Goal A Spread Goal separates Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes or values defined for that attribute., Segue Ban A Segue Ban prevents or controls segues between two songs or sweeps of three songs by selected attributes or participants., Clock Goals Clock Goals are set in specific positions in Clocks; GSelector tries to match the requested Attribute for the Clock Position in the scheduling process or Minimum Separation Optionally implemented in the Setup Station Features window, setting a time value in this field in the Balance windows will enforce a separation for the specified Song, Link, Artist, Attribute or Participant. See the notes on Customizing a Filter request.

TIP: Minimum Separation will only be displayed in the Goal Types pane if it is implemented in the Station Setup Features window.

Attributes

Check one or more Attributes to Filter on. See the notes on customizing a Filter request .

Filter Button

Click to start the Hotspot Filter process. When you first access the Hotspots Filter pane, no Filter is applied until you click the Filter button. If you open the Hotspots Filter pane again in any session, results for the previously selected Filter are displayed, until you specify a specific Filter.

Filter Results pane

The results of the Filter request are shown in this pane, initially sorted in ascending order by the Lowest Score. That is, the 'worst' scheduling result will be top of the list. Use the scrollbar to work through the list. The list shows every active song in the Database, scored by whatever combination of Goals and Attributes you have selected. If you use more than one Filter when you apply a Filter , the same song or link can appear several times in the list - once for each Filter criterion. The Browse in this pane shows the Category (in the image above, as the Filter is by Category spread, the Category field in the browse is blank), Title, Artist, Lowest Score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. excluding Radial Spread, Actual Time of nearest conflict, Time Difference between the Song or Link in the Editor and the nearest conflict, and Radial Spread Score.

NOTE: The results in this pane are a direct function of your Station Library and Goal settings. The lower the Score for any item, the greater departure from the natural balance of the Library. However, you should also look at the overall Scores you derive in the Editor pane. If the score is abnormally low, then it is worth looking at the reasons for this score. The Goal setting might be too demanding, or there is a balance issue that could be adjusted.

Once you have adjusted the Goal, you should retest the entire day by clicking the Editor toolbar Retest button.

Topic Overview: Hotspot Filter Pane

Working with the Hotspots Filter pane

The Process Described

Jumping to an item in the Log from the Filter results pane

Default Filter Settings

Customizing a Filter request

Re-Testing

Working with Multiple Editor panes

Closing the Hotspots Filter pane

Using Hotspot Filter results with the Lowest Score tool

The Process Described

  1. Generate the Schedule from the Scheduler in the usual way.
  2. In the Editor toolbar, click the Hotspots button.
  3. The Hotspots Filter pane opens, with the Default Filter setting.
  4. Click the Filter button to display the results of the Filter in the Results pane.
  5. To generate a different Filter, see Customizing a Filter request.
  6. Optionally locate the Song or Link in the Editor, and edit the Log to fix the problem.
  7. Once all Hotspots have been resolved to your satisfaction, you can re-test the Log for Hotspots, by closing the Filter pane, and reopening it to select a fresh Filter.

Viewing an item in the Log from the Filter results pane

Click any item in the Hotspots Filter Results pane. This will highlight that item in the log pane at the point of conflict.

Default Filter settings

The Default Filter settings in the Hotspots will Filter the day's songs by all Goals - Spread, Segue Ban and Clock Goals. All Attributes for these Goals are automatically selected. All boxes in the settings pane are checked.

Customizing a Filter request.

Select either the Song or the Link radio button . To apply specific Filter Criteria, select one or more Goals by checking them, and then check or uncheck the Attributes to apply to the day's scheduled items. This lets you zoom in on a specific Goal to see how well it works for you. If you get very high scores - close to 100 - the goal is working well; if you get very low scores, you might wish to adjust settings for that Attribute.

Re-Testing

If you have edited the Log or adjusted a Goal as a result of the findings in the Hotspots Filter pane, you may wish to re-test the day. Do so by clicking the Re-Test button (see here for details) in the Editor toolbar.

Working with Multiple panes

When using Multiple Panes , information displayed in the Hotspots Filter pane is shown for the selected Editor pane. Opening the Hotspots filter pane removes all non-selected Multiple panes from view; closing the Hotspots filter pane will restore the Multiple Pane display.

Closing the Hotspot Filter window

You can close this window two ways; by pressing the Esc key on your keyboard or by clicking the standard Windows close Icon at the top right of the window.

Using Hotspot Filter results with the Lowest Score tool

The Scores you see in the Hotspots Filter pane can be a very useful guide to the kind of threshold settings you can choose to apply in the Lowest Score Threshold tool. While the scores in the Filter results pane will vary according to the settings you apply when re-testing your schedule, they can also give you a useful insight into how your Goals are working, and at what level you might wish to set Threshold values if you use this tool.

Topic Overview: Hotspot Filter Pane


Quick Filter Settings window

This window allows you to set up search settings for the Criteria Filter and the Quick Filter tools in the Editor. You can design settings for Songs and Links.

Accessing this window

Features in this window

Working in this window

Accessing this window

1 In the Editor window, select the Quick Filter button.
2. Click the Dropdown arrow at right of the button.
3. Click the Quick Filter settings button.

This opens the Quick Filter Settings window.

Click any area for help

Click any area for help

Topic Overview: Quick Filter settings window

Features in this window

Song and Link Tabs

Select what criterion to filter on

Select what Categories to search in

Available Attributes to filter

Add and Remove buttons

Selected Attributes

Song and Link tabs

The default option in this window is the Songs settings pane. Click he Link tab to make Link settings.

Select what to filter on

In either Song or Link view, click the dropdown arrow to select either the full menu option, which allows you to select any combination of attributes , using the Available attributes list and the Add-Remove buttons to produce a selected list, or, alternatively, any individual attribute.

Select what Categories to search in

NOTE: This setting is applied to the Criteria filter and the Quick filter tool.

The selected filter will apply to a range of Songs or Links, which you can select. Click the drop-down arrow in this field to select one of three options:

All Category Groups (Songs only) or Categories (Songs and Links)

Within the Category Group (Songs only) or the Category at the selected Editor position.

Within the Category at the selected Editor position.

Menu: Available Attributes to filter

All available Song or Link attributes to apply in the Quick Filter are listed in this pane.

Add and Remove buttons

Click the buttons to move selected Attributes between the 'Available' and the 'Selected' panes.

Selected Attributes

This pane displays all attributes you have selected to use in the Song or Link Quick filter.

Topic Overview: Quick Filter settings window

Working in this window

  1. Access the Filter Settings window from the Editor.
  2. Select the Song or Link tab.
  3. Select what to filter by: the Menu option, or any Attribute, working in the first drop down selection field.
  4. Select what to search in: a Category Group or a Category range to filter in the second drop down selection field.
  5. If you have selected the Menu option, select from the Available list, and use the Add-Remove buttons to place the desired attributes in the Selected list.
  6. Click OK to save your settings.
  7. To edit your settings, Access the window again from the Editor.

Topic Overview: Quick Filter settings window


Editor Test Bar

The Test Bar shows critical rotation tests for any selected song or link in the Editor or Consideration window.

Accessing this window

Features in this window

Working in this window

See also the notes for the Consideration , Failure Details, and History panes, the Editor window buttons, the Arranging Editor windows and the Sizing and display issues notes.

Accessing

In the Editor use the drop-down arrow to the right of the Show Selected windows button to select the Test Bar option. When the Show Selected windows or open the Consideration window is selected, the window options selected will open. The Editor and Consideration windows move up to accommodate one or more new windows at the bottom of the Editor. This window is one of three subsidiary windows that can occupy the bottom of the Editor window. These windows can be closed or maximized.

TIP: You can 'stack' the Test Bar pane in the Editor, along with the other subsidiary Windows. See the Arranging Editor windows notes.

Topic Overview: Editor Test Bar pane

Features in this window

Test Bar Details

Daypart Regions and the Test Bar pane

Arranging Editor windows

Test Bar Details

With the Test Bar pane open, select an item in the Editor or Consideration windows. Depending on the selection in the Test Bar Appearances Threshold section of the Parameters window the following critical tests maybe displayed:

Closest (ALL) is the closest play overall for the asset with the time separation to the selected song or link's position in the log.

Closest (Region) is the closest play in all Dayparts or for the selected Daypart Regions A Daypart Region is a section of the week that you define which lets Spread Goals work independently of play history in other Regions. For example, some users may not want weekend scheduling of songs or links to affect play during weekday scheduling. where multiple Regions are assigned with the time separation to the selected song or link's position in the log.

Closest (Daypart) is the closest play in this Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. with the time separation to the selected song or link's position in the log.

Closest (Hour) is the hour rotation pattern for the previous/next plays within the current daypart with the time separation to the selected song or link's position in the log.

Artist Previous/Next is the closest plays previous and next for all song or links by this artist with the time separation to the selected song or link's position in the log.

Vocalist Previous/Next is the closest plays previous and next for all song or links by this vocalist with the time separation to the selected song or link's position in the log.

NOTE: When you add a song with one or more Artists that are new to the GSelector library, you have the option to define the Artists as Vocalists, and apply a Vocalist spread goal A Spread Goal separates Songs or Links by the associated Attribute, and in some cases (Sound Codes, for example) codes or values defined for that attribute. . See the notes on Artist to Vocalist Settings.

Hour Rotation shows the previous/next plays within the current daypart. In the following example, the current hour is (4A), the previous play in the daypart was 12A and the next play in the daypart is 4A.

Total Time shows the revised total time for the hour with this selected song or link.

Yesterday and Prior shows the closest play for yesterday and for the prior day based on the setting specified in the Setup | Station | Yesterdays window.

Maximum Separation shows when the song or link last played based on the Maximum Separation time period set in the Rotation Rules window.

Maximum Skip shows when the song or link last played based on the Maximum Skip number set in the Rotation Rules window.

Airplay Starvation is the closest play for the asset with the time separation to the selected song or link's position in the log.

Airplay Starvation Percentage shows the percentage at which the Airplay Starvation goal is influencing the score of the Song or Link.

Tip: Double-clicking one of the tests in the Test bar will open a corresponding settings window allowing you to adjust the goal, rule or balance.

Daypart Regions and the Rule Failure pane in the Editor

When you implement more than one Daypart Region, the Test Bar pane will display the Closest Play in the current region under the Closet (Region) header, replacing the Closest (All) heading. Play in other regions will be ignored.

Topic Overview: Editor Test Bar pane

Working in this window

Maximizing or closing this window

Test Bar Appearances Threshold

Show Test Bar Entries on Single Line

Change the order of the Test Bar

Arranging Editor Window Panes

Maximizing or closing this window

Where this window is open along with other subsidiary Windows at the bottom of the Editor window, you can maximize the window and close other subsidiary windows by clicking the Maximize icon in the header bar. To close the window, click the close icon at the far right in the window header bar. To close all the Windows click the Hide Windows [image] button from the Editor toolbar or press CTRL+ 0 or F7

Change the order of the Test Bar

  1. Click the Parameters [image] toolbar button in the Editor.
  2. In the Test Bar Appearances Threshold section of the Parameters window select a Test to move.
  3. To the right of the section use the up [image] and down [image] buttons to move the selected test up or down in the order.
  4. Optionally, select the Show Test Bar Entries on Single Line to have the information for each parameter displayed on a single line in the test bar.
  5. Click Apply. Note the change in the Test Bar.

Topic Overview: Editor Test Bar pane


Title, Artist, Album or Vocalist window

This window is used when working in the Editor when inserting a Song. It is one of the options available from the Insert Song Menu. See also the Editor window, Consideration window and Inserting in the Editor topics.

Accessing

  1. To select songs to insert by Title, Artist, Album or Vocalist, click the Editor window Insert Song Toolbar button.
  2. Then click the Title/Artist/Album/Vocalist... option to open the Picker box.

  3. Click the drop down arrow in any field to select a Title, Artist, Album or Vocalist. You can only select one of the three options.
  4. The total number of songs is displayed in the bar at the bottom of the window.
  5. Click the OK button to display these songs in the Consideration window.
  6. Use the asterisk symbol * as a ' wild card' operator. This lets you find all Title, Artist, Albums and Vocalists that begin with a specified letter or letters. For example, entering " A*" in title will find all songs that begin with A.


Compare Schedules window

The Compare Schedules window shows the Published schedule and the Current schedule in a side by side comparison. This allows the user to easily compare the schedules to see any changed that have been made since the schedule was last published. The window can be filtered by a specific change type or content type, to show only those changes needed. The changes can be saved and printed to a Discrepancy Report. This window also has an Hours Bar for easy navigation to specific hours in the day.

Accessing this window

Features in this window

Working in this window

Accessing this window

In the Editor, select the Compare with Published Schedule... button to open the Compare Schedules window. If this button is not available then no changes have been made to the schedule since it was created in the scheduler. This button will be visible when it is marked as Ready to export or when changes to the published schedule are made in the editor.

Click any column in this illustration for help

Click any column in this illustration for help

Topic Overview Compare Schedule window

Features in this window

Change Filters

Content Filter

Print Report

Hours Bar

Published Schedule

Current Schedule

Change Filters

The Change Filters allow the user to filter the Published and Current schedules by Deleted, Inserted, Moved and Status changes or using the Show Changes Only to eliminate every event that was not changed, showing only those positions that have changed.

Note: When the Deleted, Inserted, Moved or Status filters are deselected only the highlighted color and change icon is removed. The position still remains in view as a changed position.

Content Filter

The Content Filter [image] button drop-down arrow can be used to select what content to filter. The comparison window can be filtered by Songs, Links, Spots or Others.

Print Report

The Print Report button will open a Save window allowing the user to save the report to a local or network drive. Once the report is saved it will open the report in Notepad, where it can be viewed or printed.

Hours Bar

Just below the filters is an Hour Bar control allowing the user to easily jump to the hour they need.

Published Schedule

The left pane of the Compare Schedules window shows the Published Schedule before any changes to the schedule with any Moved, Deleted or Status changes found. The changes are highlighted with the change filter color in the position number column with a change type icon to the left of the position. A status change is shown with the change filter color in the status column and a change type icon in the column to the left of the position column.

Current Schedule

The right pane of the Compare Schedules window shows the Current Schedule after the changes with any Moved, Inserted or Status changes found. The changes are highlighted with a change filter color to the position number column with a change type icon to the left of the position. A status change is shown with the change filter color and status icon in the status column and a change type icon in the column to the left of the position column.

Note: The status change of Scheduled to Played is not considered a change that needs to be highlighted by the filters.

Topic Overview Compare Schedule window

Working in this window

Show Changes Only

Show Deleted Content

Show Inserted Content

Show Moved Content

Show Content with a Status change

Show Changes Only

To show only the content that has changed in the Published and Current schedules, perform the following steps.

  1. Click the Compare with Published Schedule... button in the Editor toolbar to open the Compare Schedules window
  2. Select the Show Changes filter in the top left corner of the window.

Show Deleted Content

Selecting the Deleted filter at the top of the Compare Schedules window will highlight all the deleted content with a pink background in the position column and show a delete (X) icon in the column to the left of the position column in the Published Schedule pane. Deleted items are not shown in the Current Schedule pane.

Note: If an item is inserted and then deleted before the schedule is published again the item will not show in either pane of the Compare Schedules window.

Show Inserted Content

Selecting the Inserted filter at the top of the Compare Schedules window will highlight all the inserted content with a light green background in the position column and show an insert (I) icon in the column to the left of the position column in the Current Schedule pane. Inserted items are not shown in the Published Schedule pane.

Note: If an item is inserted and then deleted before the schedule is published again the item will not show in either pane of the Compare Schedules window.

Show Moved Content

Selecting the Moved filter at the top of the Compare Schedules window will highlight all the moved content with a light blue background in the position column and show a move ( [image]) icon in the column to the left of the position column. Moved items are shown in both the Published Schedule pane and the Current Schedule pane. Moved items consist of content that have been moved using copy and paste and also content that has been dragged and dropped to a new position.

Show Content with a Status change

Selecting the Status filter at the top of the Compare Schedules window will highlight all the content that has a Skip or Status change with a yellow background in the status column and will show a status ( [image]) icon in the column to the left of the position column. Items with a status change are shown in both the Published Schedule pane and the Current Schedule pane. The Status column will also show the status icon for past events in the status column of the Current Schedule pane.

Note: The status change of Scheduled to Played is not considered a change that needs to be highlighted by the filters.

Topic Overview Compare Schedule window


Analysis window

You can view play Analysis for any element: Song, Artist, Album, Title, Attribute, Participant , as well as Category - for one or more Dayparts, for any date range. You can analyze the entire Song library, or apply a filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. to analyze selected songs. There are two displays: the default Spins, and History, both accessed by tab. In the Spins tab there are two further options: the default display, shown below, and the Separations display, shown here.

The Results pane in either display shows all Spins for the selected element, sorted in descending order. In the default format, Spins for any or all Dayparts can be displayed, with total figures for each column displayed at the bottom of the pane. In the Minimum Separation Display format, just Spins are displayed, with Minimum Separation values and Closest Play information; in this view you can also call up Maximum and Average separation values.

The Spins view can be formatted and sorted - see the working in the Analysis window notes.

Accessing the Analysis window

Analysis window features

Working in the Analysis window

see also the MultiStation Analysis and Link Analysis topics.

Accessing

Click the Analysis tab, and then if the Current Station tab to access a window similar to the illustration below. This detail illustration has been reduced to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Analysis window

Analysis window features

Spins view window

Save to Browse List

Minimum Spins field

Maximum Rank field

Minimum Separation option

Minimum Separation Time field

Maximum Separation option

Average Separation option

Spins view with Separation boxes

Format selection

History view window

Multi-Station analysis

Spins view tab

The default Analysis window, shown above, displays the last Analysis you've called for in this session, or if no Analysis has been requested, Song Spins for all dayparts, for the seven most recently scheduled days. Changing any setting updates the Analysis.

Save to Browse List

The Save to Browse List [image] button opens the Save Analysis Result to Browse List window.

The Save Analysis Result to Browse List window can be used to save a specified Number (n) of Songs based on the Type (Top, Rank or Spins) selected to a browse list. Top will save the first n number of records. Rank will save the songs, including rank ties, based on the number specified. Spins will save the songs that have greater than or equal to the number of spins for the number specified. Use the Browse List Name field to give the browse list a name that can be recognized elsewhere in the system.

Separation view options

Minimum Separation option and Minimum Separation duration field

Maximum Separation option

Average Separation option

Checking any Separation box replaces the Dayparts count columns with Separation value columns. All other selected fields are displayed. With any of the three separation boxes checked, the Results pane shows selected elements sorted in Spin order. With Minimum Separation, a further field shows the two closest Plays in the specified Date and Time range. The values displayed are for Dayparts checked in the Dayparts pane for the period set in the Date and time range pane. Selecting different Dayparts or time periods will update the display. The display can be sorted by any header. All three separation values can be displayed at once if required.

Minimum Separation option and Minimum Separation duration field

Select the Min Separation option to display Minimum separation time values in the Results pane. In the duration field, set the minimum time value above which Minimum Separation times are displayed; this is used to filter the display. The duration field is only accessible when the Minimum Separation option is selected. The Closest Plays column is also visible when Min Separation is selected to show the Dates, Station and Time of the closest plays. Double-clicking on a Min Sep value in the results pane will take the user to the second Closest Play entry in the Editor. Using the ALT or CTRL key while double-clicking the Min Sep value will take the user to the first Closet Play entry in the Editor. Double-clicking the first or second value in the Closest Play column will also take the user to that play respectively in the Editor.

Maximum Separation checkbox

Check this box to display a field displaying Maximum separation time values for the selected elements for the selected Dayparts in the set time and hour period.

Average Separation checkbox

Check this box to display a field displaying Average separation time values for the selected elements for the selected Dayparts in the set time and hour period.

Daypart Picker pane

All dayparts are shown in this pane.

Select one or more Dayparts, and check to include or uncheck to remove Spins in that Daypart from the Results pane ; the browse display updates instantly.

When you check or uncheck a Daypart in this pane, your Analysis reflects your choice: the chosen dayparts are included or removed from the display, and the calculations for that Daypart are revised to reflect its inclusion or exclusion.

To create and assign Dayparts, see the Daypart Assignment topic.

Date/Time Range pane

This pane displays the date and time range being analyzed. When you open the Analysis window, the date and time range pane sets up to the most recently scheduled seven days, from 12AM to 11PM., or for the 24 hours starting from the Broadcast Start Hour , if this has been set differently in the Daypart Assignment window . You can accept these default values, or select something different. To specify a different range, click any field, type Alt+D on your keyboard, or click the Enter Dates button, to open the Date and Time Range pane .

Wrap, Block or Hour Grid selection

After the start and end dates and hours to analyze are entered in the Date/Time Range Pane, the user can define further what they want analyzed. When selecting the Wrap feature the analyzed range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours analyzed would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours analyzed would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be analyzed. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Analysis Browse Display

The browse in the Analysis window works like most other browses in GSelector. Browse displays can be sorted by clicking on field headers, and fields sized to suit your requirements. For more details, see the Working with GSelector Browses notes. However, some fields in the display are fixed and cannot be moved.

Format selection button: Selecting other fields to display

The Browse Formats button can be used to save the default format as a new format, save changes to an existing format, save an existing format to a new browse format, set a selected format as the assigned format for the window or temporarily assigned just for the session. Formats can also be permanently assigned to the Browse window in the Browse Formats Assignment window. Browse Formats can also be designed in the Browse Formats Design window.

  1. Click the arrow to the right of the button.
  2. Select a format and double-click or press enter.
  3. The new format is temporarily assigned to the browse window.
  4. Optionally, click the arrow to the right of the button again and select Set Selected Format as Assigned.
  5. Optionally, right-click a column header to Modify or Remove columns.
  6. Click the arrow to the right of the button again.
  7. Click Save or Save As if desired.

For more information on custom designing formats, see the Browse Formats Design and Browse Formats Assignment topics.

Results pane

The results pane displays what you have chosen to analyze. For example, if you have chosen to analyze Spins per Artist, the results pane will display Artists in order. When viewing anything other than Song spins, information is sorted in the same way, but you can open the heading (Artist, Album Attribute, and so on) under which the Spins are grouped to see the Songs for that heading, also sorted in Spin Order.

All selected Dayparts are also displayed in the browse, showing the Spins for the selected Daypart for the selected period , in the format you have specified. See the Daypart picker pane notes in this topic for more information . The main fields in this pane cannot be removed, but you can add further fields by designing a browse format and specifying this format using the browse format button , and you can size these fields.

Results are displayed in a browse, which, like all GSelector Browses, can be sorted. See the notes on Working with Browses for details.

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Selected Search Heading

Ranking, Number of Spins, and Percentage of play

Spins per daypart

Closest Plays

Category, Packet, Title and Album

Search Heading

The first column in the browse displays information for the field selected in the spins selection field. When displaying anything apart from a Song -as here - the search heading can be expanded to show all songs for that search heading.

Rank, Number of Spins, and Percentage of Play

The Rank, Number of Spins, and Percentage of Play values are is displayed, broken down by song when the Search heading field is expanded.

Spins per Daypart

The total Spins figure is then broken down to show Spins per selected daypart, and further broken down to display Spins per Daypart for any song displayed.

Closest Plays

The Closest Plays column is visible when Min Separation is selected to show the Dates, Station and Time of the two closest plays. Double-clicking the first or second value in the Closest Play column will also take the user to that play respectively in the Editor. Clicking the ellipse button in the Closest Plays column will show a list of all the plays in the analyzed range.

Category, Packet, Title and Album

Unless any of these fields are being used in a search and selected in the Spins drop-down field , these fields are displayed at the right of the browse. When searching by any of these fields, the field is displayed at the left of the browse.

If a song is banned for a Daypart, the entry for that song and Daypart is a dash: - to indicate no Spins. Equally if there is no demand for that category in that daypart, the song will also display the no plays dash.

TIP: As with most GSelector browses, you can click any header to sort the browse by the contents of that column. This can make locating, say, a series of Songs by title or artist, much easier. All Sorts are displayed by the selected Header and order, with in this window, a secondary sort by Spins. So if you sort by Artist, the results will be displayed in Artist order, with all songs for each artist ranked in ascending or descending Spin order.

Topic Overview: Analysis window

History tab

The History Tab in the Current Station Tab works similar to the History Map in the Song Window.

From the Spins view for a selected item, click the History tab. The History tab updates to show the selected item using a 1/4 hr plot, as in this detail. Individual Spins are shown with a colored bar, as shown here. Each bar is color coded to indicate the section of the hour. Each hour in the grid can be double-clicked to view the selected hour in the Editor.
Red indicates a single spin in the first quarter hour;
Blue indicates a single spin in the second quarter hour;
Green indicates a single spin in the third quarter hour;
Yellow indicates a single spin in the last quarter hour;

The light blue is the default color showing the location of the Min Sep entries in the History Map. This color can be changed in the Tools | Global Settings | Appearances | Definition tab.

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use the History Map Plot check boxes displayed below the Song History tab. Use the right scroll bar to view the entire active date range. Where an Hour Grid has been applied, the restricted hours are marked on the History Map in gray.

History Map Plots

Flyover Tooltip

Jumping to the Editor from the History map

Broadcast Start Hour and the History Map display

History Map Plots

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use these History Map Plot check boxes. Each cell in the History Map is divided into four invisible, vertical quadrants. These represent, from left to right, the first, second, third and fourth quarter hour of the hour. Using the 1/4 hr plot option will replace the X with the vertical plot line positioned in the appropriate cell quadrant to denote the songs scheduled position within the hour. There are additional options for artist, vocalist and artist group when Song is selected as the Spins option. Enabling any of these options will plot other songs by the artist(s), vocalist(s) and/or artist group(s) of the current song. In these modes, each cell in the History Map is divided into four invisible, horizontal quadrants within each vertical quadrant. These represent, from top to bottom, the song, the artist, the vocalist and the artist group. Color coding further helps to distinguish these plots. Any combination of these new options can be used, while clearing all of them returns the History Map to its default behavior. The colors used for these options can be changed by working in the new History Plot section of the Tools | Global Settings | Appearances | Global Assignments dialog box. The slider bar to the right of the check boxes allows the user to zoom in on the History Map. The On-Air button [image] to the right of the 1/4 hr Plot can be used to show the current day and play position of the log in the History map.

Flyover Tooltip

Using the mouse to hover over any of the plots in the History Pane, in either the Standard or Advanced mode, will display details about the song scheduled.

Jumping to the Editor from the History map

You can jump directly to the Editor window for any Day and Hour in the History Map by selecting the Hour and double-clicking. If you select an Hour with plays recorded in the History Map, the Editor will open showing the Song with a highlight. If the Hour shows plays for more than one item - for example , where there are two instances of the same Artist in the same hour - GSelector will open the Editor highlighting the first of the multiple items. The default appearance of this highlight is the Focused Row Editor appearance. It can be modified in the Appearances Definition window.

TIP: Click the Back Navigation button to return to the Analysis window from the Song window or the Editor.

Broadcast Start Hour and the History Map display

The History Map starts from the time specified in the Broadcast Start Hour , defined in the Daypart Assignment window . The default value is 12a, but can be set to any hour from 12a to 11p.

Topic Overview: Analysis window

Working in the Analysis window

The Process Described

Applying Song Filters

Selecting what to Analyze

Flatten (Not Coded)

Speeding up large searches using the Maximum Rank field

Specifying what Dayparts to display in the Analysis

Applying a format to display other information

Specifying the Date and Time range to analyze

Viewing History for the selected Analysis

Viewing by a selected number of spins

Excluding or displaying items with no spins

Sorting in the Results pane

Working with Formats

Viewing a Song or a list of Songs from the Analysis window

Viewing History for all Songs by a selected Artist

Jumping to the Editor from the Analysis window History tab

Printing Reports from Analysis windows

The Process Described

  1. In the Analysis window, specify if you wish to apply a Song filter to the Songs being analyzed.
  2. Click the Spins drop down box to see the list of attributes to analyze by.
  3. Optionally, select Flatten (Not Coded).
  4. Select the Attribute to analyze in the drop down list.
  5. Select the dayparts to display in the results pane.
  6. Finally, select the date and time range and whether to use Wrap, Block or Hour Grid for the Date Range to analyze.
  7. In the Spins results pane, view the results for all Songs or selected attribute, or select a Song or attribute to view the history for that Song or attribute, or for all Songs by that artist in the History tab.
  8. Optionally select a format to view other information for the song or selected attribute
  9. In the History tab results pane, you can tailor your viewing options to view the next Song in a Song list, or all Songs by the selected Song's artist.

Applying a Song Filter or Song List

You create, edit and save Song filters and Song Lists in the Browse window (see the Saved Filter and Song Lists notes for details), but you can use Filters and Lists in several areas in GSelector, including here in the Analysis window. A Filter will remove all Songs that do not meet your criteria from the display, letting you drill down into your library for more precise results, and a Song List will show play just for the Songs in that list. Any filter or list can be applied to the Songs in the Analysis pane. Click the selection arrow to open your list of saved filters and lists, scroll to the filter to use and enter. The results are displayed in the results pane.

Selecting what to analyze: the Spins field

This field is at the top left of the Analysis window, immediately below the Navigation buttons and the Song filter selection field. In the Spins field select one element (Song Attributes or Participants, Category or Category Group, etc) from this list. All Songs with the selected element are displayed, initially in Spins order view. When you select an attribute with multiple options - any of the Song attributes, or Sound Code, Tempo, and the like, the attribute will be displayed in the browse display. You can then view the individual elements in the display by clicking the tree control plus Song in the display. The browse display updates instantly.

Flatten (Not Coded)

The Flatten (Not Coded) option will flatten the results that are not coded, in the results pane, for the selected spins attribute. This option is disabled for Song, Artist, Title and Category as these fields are mandatory for all Songs and will never have a (Not Coded) record. When Flatten is not selected the results for the selected attribute will show listing each attribute in the default contracted form. The Songs that are not coded with the selected attribute will be shown under one heading of (Not Coded).

When the Flatten (Not Coded) option is selected the results are flattened showing each entry separately.

Minimum Spins field

By default, GSelector enters a value of 1 in this field, which will suppress items in the Analysis browses with no spins. Enter a value of 0 to view these items, or enter a larger number to only view items with larger numbers of spins. See also the notes above . This option can be useful to trace 'problem' items: for example, you can view songs with zero spins, and then jump to the Song window from Analysis, and click the Adjustments tab to troubleshoot.

Maximum Rank field

Use this field in the Analysis spins view to limit your search size and speed up your search results. If you just want to see the top 50 spins for any selected item in a large search, enter this value. The value you enter changes according to your search.

History Map viewing options (Analysis window and Multi-Station window)

Apart from the Song filter, which contains station-specific settings, these viewing options and features are common to the History Maps in the Analysis window and the Multi-Station window.

Navigating though selected Spin item

Viewing all Songs by Current Artist

Viewing Spins for Attribute in the History tab

Viewing a Song or a list of Songs from the Analysis window

Printing a Report from the Analysis (Current Station and MultiStation) windows

Broadcast Start Hour and the History Map display

History Map viewing options: Navigating

When viewing a spins analysis for Songs, Attributes, Categories, etc, (see example below ) in the History Map in the Analysis or the Multi-station windows, you can view the History for the next Song or the next Attribute or Category in the list by clicking the Next/Previous navigation buttons. This will update the history display to show the history for the selected Song or attribute code.

All Songs by Current Artist

With the Advanced History Map Options in the Setup | Station | Features | History tab enabled. If you are viewing an individual Song, check the Artist checkbox to display history for All Songs by the current artist. GSelector will show spins for the selected Song, and all spins for all other songs by this artist. This option is available in the Current Station and the Multi-Station view. Hover the mouse over an individual Hour cell to display the Play Date, the Time, the Artist and Title for each spin in a tooltip pane.

Viewing Spins for Attribute in the History tab

In this example, Sound Codes has been selected in the Spins field, and the 1/4 hr plot is unchecked. When anything other than Song is selected in the Spins field, the Artist, Vocalist and Artist Group options are suppressed. In the Spins view, select an Attribute - here, the Rock Sound Code is selected. Then click the History tab to display the history map for the selected attribute. Once in this view, the Navigation buttons allow you to move through all codes for the selected attribute. The History Map grid displays the total number of plays per hour of Songs with the selected attribute. Note that you can select an hour and double-click to open the Editor window for that hour. Hover the mouse over an individual Hour cell to display the Play Date, the Artist and the Title for each spin in a tooltip pane.

Viewing a Song or a list of Songs from the Analysis window

From the Song list in the main Analysis Spins window, double-click a Song to open that Song in the Song window. If you are viewing a list of attributes or participants, double-click the attribute or participant to view all Songs with that attribute or participant, viewed sequentially in the Song window.

Printing a Report from the Analysis (Current Station and MultiStation) windows

You can use the Print tool in Analysis windows to generate most-played lists for Songs, Artists, or any other Attribute. Selecting the Print option in the File menu will create a print document that displays the screen content.

  1. Generate an analysis for the date and time range and elements you wish to view in the results pane.
  2. Adjust the columns in the results pane for width and order.
  3. Click File and then Print in the Menu.
  4. A preview pane opens allowing you to make further adjustments. These are detailed in the preview section of the printing topic.
  5. Click the print icon in the preview pane to print your report.

For full details on printing, see the Printing topic.

Topic Overview: Analysis window


Cross-Daypart Analysis

Cross Daypart Analysis windows let you view demand and turnover figures for two or more dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. together from any the Goals Categories and Goals Balance window. They provide an instant snapshot of demand, turnover, and play frequency, listing attribute-specific song counts and spins per week, for any combination of dayparts. To view figures for a specific daypart, select that Daypart in the relevant Categories or balance window. When only one Daypart box is checked in a Cross Daypart window, the demand figures will be the same as those in the source window when viewing that daypart.

The information in Cross Daypart Analysis views cannot be edited, but it can be sorted by header. The information varies by the number of selected dayparts you are analyzing.
Accessing Cross-Daypart Analysis windows

Returning to Single Daypart Analysis mode

Cross-Daypart Analysis window features

Windows with Cross-Daypart Analysis

Searching and Sorting

Accessing Cross Daypart windows

From any Goals window, click the Cross Daypart Analysis button in the toolbar. This will expand the existing window to include the Cross Daypart checkbox bar.

Closing Cross Daypart Analysis windows

Once a Cross Daypart Analysis view is accessed, a button to return to the originating window is activated in the toolbar.

Click the Balance toolbar button to return to any of the originating Balance windows.

Click the Category Goals toolbar button to return to the Category Goals window.

See the notes in this topic listing Windows with Cross-Daypart Analysis

Topic Overview: Cross-Daypart Analysis window

Cross-Daypart Analysis window features

Daypart Checkboxes

Goals Cross Daypart Analysis pane

Balance Cross Daypart Analysis pane

Daypart selection Checkboxes

Check any combination of Daypart to view Analysis figures for those dayparts. When you access this window, all boxes are checked. Uncheck any box to remove calculations for that daypart.

Goals Cross Daypart Analysis pane

The Cross Daypart Analysis pane in Categories work the same way as the main Goals Categories pane, with the exception that it factors in demand for all the selected Dayparts. The Song Count field is expressed in whole numbers and fractions, to reflect where songs are banned across one or more Dayparts. For full details, see the notes for Adjusting Demand .

Balance Cross Daypart Analysis pane

For full details on working with this pane, see the notes for Adjusting Demand , or any of the Balance windows.

Searching and Sorting

Click any Header to sort the contents of the Analysis pane in ascending or descending order.

Search in the Name field by typing in the first letter of the Name you are looking for.

For more details on these functions, see the Working with Browses notes.

Goals Windows with Cross Daypart Analysis
Categories window

Link Categories window

Balance tab: Artists

Balance tab: Participants

Balance tab: Songs

Balance tab: Attributes

Balance Tab: Song Groups

Topic Overview: Cross-Daypart Analysis window


Multi-Station Analysis

This window allows you to display spins and history for Songs or Artists, Albums, Titles, Attributes, Participants , as well as Categories, across one or more stations at once.
Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Analysis and then the Multi Station tab. The window works just like the Current Station display, but unlike this windows' ability to display spins by selected Daypart or attributes, you see spins by selected stations.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Multi-Station Analysis

Features in this window

Spins field

Flatten (Not Coded)

Time Range

Wrap, Block or Hour Grid selection

Station selection field

Minimum Spins

Minimum Separation checkbox and Minimum Separation duration field

Rank

Format Selection

History tabs and Results Pane

Spins field

GSelector allows you to view spins by song or any attribute or participant, where an attribute or participant is assigned to at least one song. In the Spins field, click the drop down arrow to access a list of attributes and participants. The default setting is Song: to view Song spins, leave this field untouched. When you select an attribute with multiple options - Sound Code, Tempo, and the like, the attribute is displayed in the results browse, allowing selection of individual options in the display by clicking the tree control plus sign in the display.

Flatten (Not Coded)

The Flatten (Not Coded) option will flatten the results that are not coded, in the results pane, for the selected spins attribute. This option is disabled for Song, Artist, Title and Category as these fields are mandatory for all Songs and will never have a (Not Coded) record. When Flatten is not selected the results for the selected attribute will show listing each attribute in the default contracted form. The Songs that are not coded with the selected attribute will be shown under one heading of (Not Coded).

When the Flatten (Not Coded) option is selected the results are flattened showing each entry separately.

Selecting a Date and time range

This pane displays the date and time range being analyzed. When you open the Multi-Station Analysis window, the date and time range pane sets up to the most recently scheduled seven days from the hours of 12AM to 11PM. You can accept this as the default time and date range to analyze, or select something different.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to analyze are entered in the Date/Time Range Pane, the user can define further what they want analyzed. When selecting the Wrap feature the analyzed range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours analyzed would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours analyzed would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be analyzed. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Selecting stations to display

All stations are displayed in this pane. Where more stations exist than can be viewed in the pane, they can be accessed using the scrollbar at right. If no stations are checked in this box (the default condition), check a station to start the Analysis process. Check any station box to activate that station in the display pane, or check the all stations checkbox to display analyses for all stations.

Minimum Spins field

By default, GSelector enters a value of 0 in this field, which includes items in the Analysis browses with no spins. Enter a value of 1 to exclude these items, or enter a larger number to only view items with larger numbers of spins.

Minimum Separation checkbox and Minimum Separation duration field

Check this box to display Minimum separation time values. In the duration field, set the minimum time value above which Minimum Separation times are displayed; this lets you filter the display. The duration field is only accessible when the Minimum Separation box is checked. The Closest Plays column is also visible when Min Separation is selected to show the Dates, Station and Time of the closest plays.

Rank

The Rank option is checked by default to display both Rank and Spins in the Spins and Station Spins columns of the results pane. To see only the Spins for the song in the Spins columns of the results pane, simply deselect the Rank option.

History Tabs and the content shown in the Results pane

The results pane displays, by default spins, of the attribute or song specified in the spins field,
or by clicking the History Tab a combined History Map showing all spins for the attribute or song specified in the spins field,
or by clicking the Station tabs, a station History Map for each selected station.

Tip: Using the mouse to hover over any hour in the History tab will display details about the song and the station it is scheduled to play on.

The data collated in the Analysis spins table is graphed for the selected song in a map display which shows where the selected spins for the item took place. For full details on History Map viewing options, see the History Tab notes in the Analysis window topic. As with all browse displays, you can move fields and sort by any field in the header. When you generate an Analysis for a song attribute (like Title, Artist, etc) or an Attribute or Participant with multiple options (like Mood, Composer, etc), the Analysis display can be broken down further to show each element by clicking the tree control plus sign in the display.

Topic Overview: Multi-Station Analysis

Working in this window

To generate an Analysis, specify the stations and elements you wish to be analyzed, for the chosen date and time range. The display updates instantly.

Selecting stations to display

Selecting a date and time range

Sorting the display

Selecting what to Analyze

Include items with Zero spins

Printing Reports from Analysis windows

Sorting the display

As with most GSelector browses, you can click any header to sort the browse by the contents of that column. This can make locating, say, a series of songs by title or artist, much easier.

Topic Overview: Multi-Station Analysis


Link Analysis

The Link Analysis window allows you to analyze any Linker attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. - Category, associated Song Artist or Theme, Sound Code, Sponsor, Talent, Texture codes, Scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. Attributes or Link Title - for any or all dayparts in your schedule, for any selected date range. You can analyze the entire Link library, or apply a filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. to analyze selected links. There are two displays: the default Spins, and History, both accessed by tab. In the Spins tab there are two further options: the default display, shown below , and the Separations display, shown here .

The Results pane in either display shows all Spins for the selected element, sorted in descending order. In the default format, Spins for any or all Dayparts can be displayed, with total figures for each column displayed at the bottom of the pane. In the Minimum Separation Display format, just Spins are displayed, with Minimum Separation values and Closest Play information; in this view you can also call up Maximum and Average separation values.

The Spins view can be formatted and sorted - see the working in the Analysis window notes.

Accessing this window

Features in this window

Working in this window

See also the notes for the Link Multi-Station Analysis window.

Accessing this window

Click the Linker tab and then the Link Analysis tab, to access a window similar to the illustration below. The window opens showing the default Current Station Analysis tab view. To view the Multi-Station Link Analysis window, click the Multi Station tab.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Link Analysis

Features in this window

Link Filter and Link List selection field

Spins selection

Date Range pane

Wrap, Block or Hour Grid selection

Dayparts picker pane

Spins view tab

Results pane

Separation view

Minimum Spins option

Maximum Rank option

Minimum Separation option

Maximum Separation option

Average Separation option

History Analysis pane

History Map Plots

Jumping to the Editor from the History map

Navigating in History Analysis pane

Broadcast Start Hour and the History Map display

Multi-Station Link Analysis tab

Link Filter and Link List selection field

You create, edit and save Link Filters and Link Lists in the Link Browse window (for details see the Saved Filter and Link List notes), but you can use Filters and Lists in several areas in GSelector, including here in the Link Analysis window. A Filter will remove all Links that do not meet your criteria from the display, letting you drill down for more precise results, and a Link List will show play just for the Links in that list. Any filter or list can be applied to the Links in the Analysis pane. Click the selection arrow to open your list of saved filters and lists, scroll to the filter to use and enter. The results are displayed in the results pane.

Selecting what to analyze: the Spins field

This field is at the top left of the Link Analysis window, immediately below the Filter drop-down. Use the Spins drop-down to select one element such as, a Link Attribute or Participant, Category or Category Group, etc. from this list. All Links with the selected element are displayed, initially in Spins order view. When you select an attribute with multiple options - any of the Link attributes, or Sound Code, Tempo, and the like, the attribute will be displayed in the browse display. You can then view the individual elements in the display by clicking the tree control plus Link in the display. The browse display updates instantly.

Date and Time Range pane

This pane displays, and allows you to set, the date and time range being analyzed.

When you open the analysis window by clicking the analysis navigation tab, the date and time range pane sets up to the most recently scheduled seven days from the hours of 12AM to 11PM. You can accept this as the default time and date range to analyze, or select something different.

To specify a different range, click a Date field to access the Date Picker Pane for the Start and End Dates, and modify times in the Time fields. The period you analyze wraps around Midnight from the selected Hour on the Start Day to the selected Hour on the End Date. If you modify the Date and Time Range click the Generate Analysis button to update the results.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to analyze are entered in the Date and Time Range Pane, the user can define further what they want analyzed. When selecting the Wrap feature the analyzed range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours analyzed would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours analyzed would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be analyzed. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Dayparts Picker pane

This pane lets you specify which dayparts are analyzed and for which the elements under analysis are included in the display. All existing dayparts are included in the pane. Select one or more dayparts; check to include or uncheck to remove links in that Daypart from the analysis and resultant display.

The browse display updates instantly. When you check or uncheck a Daypart in this pane, your analysis reflects your choice: the chosen dayparts are included or removed from the display, and the calculations for that Daypart are revised to reflect its inclusion or exclusion.

All existing dayparts are included in the picker pane. For details on creating and assigning dayparts, see the notes in the Daypart Assignment topic.

Generate Analysis

Use the Generate Analysis button when changing the Date and Time range to refresh the results pane.

Spins view tab

The default Analysis window, shown above, displays the last Analysis you've called for in this session, or if no Analysis has been requested, Link Spins for all dayparts, for the seven most recently scheduled days. Changing any setting updates the Analysis.

Results Pane

The Results pane display will show you all spins for the selected item, sorted in descending spin order, with the total number of spins, the number of spins per selected daypart, and information for Link elements for the selected or the default period. As with all browse displays, you can move fields and sort by any field in the header.

TIP: As with most GSelector browses, you can click any header to sort the browse by the contents of that column. This can make locating, say, a series of links by title, much easier.

Save to Browse List

The Save to Browse List [image] button opens the Save Analysis Result to Browse List window.

The Save Analysis Result to Browse List window can be used to save a specified Number (n) of Links based on the Type (Top, Rank or Spins) selected to a browse list. Top will save the first n number of records. Rank will save the links, including rank ties, based on the number specified. Spins will save the links that have greater than or equal to the number of spins for the number specified. Use the Browse List Name field to give the browse list a name that can be recognized elsewhere in the system.

Separation view options

Minimum Separation option and Minimum Separation duration field

Maximum Separation option

Average Separation option

Closest Plays

Checking any Separation box replaces the Dayparts count columns with Separation value columns. All other selected fields are displayed. With any of the three separation boxes checked, the Results pane shows selected elements sorted in Spin order. With Minimum Separation, a further field shows the two closest Plays in the specified Date and Time range. The values displayed are for Dayparts checked in the Dayparts pane for the period set in the Date and time range pane. Selecting different Dayparts or time periods will update the display. The display can be sorted by any header. All three separation values can be displayed at once if required.

Minimum Spins Display

This field lets you set a spins value below which information is not displayed. If you enter a value of, say 10, only items with 10 or more spins are displayed. The default value is 1, allowing all items with at least one spin to be displayed. You can enter any value.

Maximum Rank

This field lets you limit the display by rank. If you enter, say 100, only the top 100 items by spin count are displayed. The default value is 0, allowing all items with to be displayed. You can enter any value.

Minimum Separation checkbox and Minimum Separation duration field

Select this option to display the Spins pane with Minimum Separation values in the results pane. The duration field allows the user to set the minimum time value above which Minimum Separation times are displayed in this pane, so filtering the display. The default value is 10 minutes. This field is only accessible when the Minimum Separation option is selected. When the Minimum Separation option is selected, the results pane shows the selected elements sorted in Spin order, with Minimum Separation values, and the two Closest Plays in the specified Date and Time range. The results will automatically update when changing the date range or specifying different Dayparts or Attributes. The results can be sorted by any header with the exception of the Closest Plays field. Double-clicking on a Min Sep value in the results pane will take the user to the second Closest Play entry in the Editor. Using the ALT or CTRL key while double-clicking the Min Sep value will take the user to the first Closet Play entry in the Editor. Double-clicking the first or second value in the Closest Play column will also take the user to that play respectively in the Editor.

Maximum Separation checkbox

Check this box to display a field displaying Maximum separation time values for the selected elements for the selected Dayparts in the set time and hour period.

Average Separation checkbox

Check this box to display a field displaying Average separation time values for the selected elements for the selected Dayparts in the set time and hour period.

Closest Plays

The Closest Plays column is visible when Min Separation is selected to show the Dates, Station and Time of the two closest plays. Double-clicking the first or second value in the Closest Play column will also take the user to that play respectively in the Editor. Clicking the ellipse button in the Closest Plays column will show a list of all the plays in the analyzed range.

History tab

The History Tab in the Current Station Tab works similar to the History Map in the Link Window.

From the Spins view for a selected item, click the History tab. The History tab updates to show the selected item using a 1/4 hr plot, as in this detail. Individual Spins are shown with a colored bar, as shown here. Each bar is color coded to indicate the section of the hour. Each hour in the grid can be double-clicked to view the selected hour in the Editor.
Red indicates a single spin in the first quarter hour;
Blue indicates a single spin in the second quarter hour;
Green indicates a single spin in the third quarter hour;
Yellow indicates a single spin in the last quarter hour;

The light blue is the default color showing the location of the Min Sep entries in the History Map. This color can be changed in the Tools | Global Settings | Appearances | Definition tab.

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use the History Map Plot check boxes displayed below the Link History tab. Use the right scroll bar to view the entire active date range. Where an Hour Grid has been applied, the restricted hours are marked on the History Map in gray.

History Map Plots

Flyover Tooltip

Jumping to the Editor from the History map

Navigating in History Analysis pane

Broadcast Start Hour and the History Map display

History Map Plots

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use these History Map Plot check boxes. Each cell in the History Map is divided into four invisible, vertical quadrants. These represent, from left to right, the first, second, third and fourth quarter hour of the hour. Using the 1/4 hr plot option will replace the X with the vertical plot line positioned in the appropriate cell quadrant to denote the links scheduled position within the hour. There are additional options for artist, vocalist and artist group when a Link is selected as the Spins option. Enabling any of these options will plot other links by the same vocalist(s) and/or artist group(s) of the current link. In these modes, each cell in the History Map is divided into three invisible, horizontal quadrants within each vertical quadrant. These represent, from top to bottom, the link, the vocalist and the artist group. Color coding further helps to distinguish these plots. Any combination of these new options can be used, while clearing all of them returns the History Map to its default behavior. The colors used for these options can be changed by working in the new History Plot section of the Tools | Global Settings | Appearances | Global Assignments dialog box. The slider bar to the right of the check boxes allows the user to zoom in on the History Map. The On-Air button [image] to the right of the 1/4 hr Plot can be used to show the current day and play position of the log in the History map.

Flyover Tooltip

Using the mouse to hover over any of the plots in the History Pane, in either the Standard or Advanced mode, will display details about the link scheduled.

History Map viewing options: Navigating and viewing all Links for the Link or Attribute

When viewing a list of Links or Link Attributes selected in the Link Analysis Spins field in the History pane, you can view the history for the next Link or Attribute in the list by clicking the Next/Previous navigation buttons. This will update the history display to show history for the selected Link or Attribute code.

Broadcast Start Hour and the History Map display

The History Map starts from the time specified in the Broadcast Start Hour , defined in the Daypart Assignment window . The default value is 12a, but can be set to any hour from 12a to 11p.

Topic Overview: Link Analysis

Working in this window

The Process described: Spins tab

Viewing a Link from the Spins tab

The Process Described: History tab

Jumping to the Editor from the History tab

Browse Format Selection button

The Process Described: Spins tab

  1. If you need to analyze anything other than Link spins, click the Spins drop-down box to select a Link attribute.
  2. Select the dayparts to display in the results pane.
  3. Optionally select a saved Filter or Link list
  4. Specify if you wish to display Links with Zero Spins.
  5. Optionally check Minimum Separation and specify a Minimum Separation value to display in the Spins screen.
  6. Accept the default date and time range, or select a different date and time range to analyze.
  7. Select Warp, Block or hour Grid to use for the selected Date Range.
  8. Click the Generate Analysis button of you have changed the Date and Time period for the Analysis.
  9. In the Spins results pane, view the results for all Links or Link Attributes.

Viewing Link windows from the Spins tab

To view a Link element in the Link Window from the Spins tab, double-click on any spin value, to jump to that Link element in the Link window. When viewing Attribute spins, you will be able to see all Links with spins for the selected Attribute in the hour.

The Process Described: History tab
  1. Follow the steps above.
  2. Click the History tab.
  3. A History view opens showing Spins for the first item specified in the Spins box.
  4. Navigate to view History for the next Link or Link Attribute.

Jumping to the Editor from the History map

You can jump directly to the Editor window for any Day and Hour in the History Map by selecting the Hour and double-clicking. If you select an Hour with plays recorded in the History Map, the Editor will open showing the link with a highlight. If the Hour shows plays for more than one item - for example , where there are two instances of the same Artist in the same hour - GSelector will open the Editor highlighting the first of the multiple items. The default appearance of this highlight is the Focused Row Editor appearance. It can be modified in the Appearances Definition window.

TIP: Click the Back Navigation button to return to the Link Analysis window from the Link window or the Editor.

Browse Format Selection button

While formats can be permanently assigned to the Browse window in the Browse Formats Assignment window, this button allows you to temporarily select and apply any format that you have designed in the Browse Formats Design window. This feature is available for Active links only.

  1. Click the arrow to the right of the [image] button.
  2. Select a format and double-click or press enter.
  3. The new format is assigned to the browse window.

For more information on custom designing formats, see the Browse Formats Design and Browse Formats Assignment topics.

Topic Overview: Link Analysis


Link Multi-Station Analysis

This window allows you to display spins and history for Links and Link Attributes across one or more stations at once.
Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Linker tab, then Link Analysis and then the Multi Station tab. The window works just like the Link Analysis window, but unlike this windows' ability to display spins by selected Daypart or attributes, you see spins by selected stations.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Link Multi-Station Analysis

Features in this window

Results Pane

Spins field

Station selection field

Date and Time Range

Wrap, Block or Hour Grid selection

Minimum Separation checkbox and Minimum Separation duration

Format Selection

Spins field

GSelector allows you to view spins by link or and link attribute where that attribute assigned to at least one link. In the Spins field, click the drop down arrow to access a list of attributes. The default setting is Link: to view Link spins, leave this field untouched. When you select an attribute with multiple options, the attribute is displayed in the results browse, allowing selection of individual options in the display by clicking the tree control plus sign in the display.

Minimum Spins field

By default, GSelector enters a value of 0 in this field, which includes items in the Link Analysis browses with no spins. Enter a value of 1 to exclude these items, or enter a larger number to only view items with larger numbers of spins.

Minimum Separation checkbox and Minimum Separation duration field

Check this box to display the Spins pane with Minimum Separation values. The duration field allows the user to set the minimum time value above which Minimum Separation times are displayed in this pane, so filtering the display. The default value is 10 minutes. This field is only accessible when the Minimum Separation box is checked. When the Minimum Separation box is checked, the Display pane shows the selected elements sorted in Spin order, with Minimum Separation vales, and the two Closest Plays in the specified Date and Time range. You can change the date range or specify different Dayparts or Attributes. The display will automatically update. The display can be sorted by any header with the exception of the Closest Plays field.

Selecting stations to display

All stations are displayed in this pane. Where more stations exist that can be viewed in the pane, they can be accessed by scrolling. Check a station to start the Analysis process. Check any station box to activate that station in the display pane, or check the all stations checkbox to display analyses for all stations.

Selecting a time range

This pane displays the date and time range being analyzed .

When you open the Multi-Station Analysis window, the date and time range pane sets up to the most recently scheduled seven days from the hours of 12AM to 11PM. You can accept this as the default time and date range to analyze, or select something different.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to analyze are entered in the Date Range Pane, the user can define further what they want analyzed. When selecting the Wrap feature the analyzed range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours analyzed would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours analyzed would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be analyzed. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

History Tabs and the content shown in the Results pane

The results pane will display by default, spins of the attribute or link specified in the spins field,
or by clicking the History tab, a combined History Map showing all spins for the attribute or link specified in the spins field,
or by clicking the individual Station tabs, a Station-specific History Map for that station.

In the second two options, the data collated in the Analysis spins table is graphed for the selected link in a map display which shows where the selected spins for the item took place. For full details on History Map viewing options, see the notes in the Link Analysis window topic. As with all browse displays, you can move fields and sort by any field in the header. When you generate an Analysis for a link attribute with multiple options, the Analysis display can be broken down further to show each element by clicking the tree control plus sign in the display.

Topic Overview: Link Multi-Station Analysis

Working in this window

To generate an Analysis, specify the stations and elements you wish to be analyzed, for the chosen date and time range. The display updates instantly.

Selecting stations to display

Selecting a date and time range

Sorting the display

Selecting spins

Include items with Zero spins

Printing Reports from Analysis windows

Sorting the display

As with most GSelector browses, you can click any header to sort the browse by the contents of that column. This can make locating, say, a series of songs by title or artist, much easier.

Topic Overview: Multi-Station Analysis window


Exporting a Schedule

Once your schedule is edited, if you are not using the GSelector Export XML window to export schedule and library information, you use this window to export your finished schedule to an external third party playout system. You configure your export file format(s) here before exporting the schedule. You can create multiple formats and sub-formats, see the Advanced Export Formats topic for more information on sub-formats. This window is also used to generate BMI BMI is a USA performing right organization: It collects license fees on behalf of its songwriters, composers and music publishers and distributes them as royalties to those members whose works have been performed. and ASCAP ASCAP is a membership association of more than 320,000 U.S. composers, songwriters, lyricists, and music publishers. reports.

Accessing this window

Features in this window

Working in this window

For details on exporting a log into Master Control, see the topic here . The Master Control Export window is only displayed if GSelector is configured to export to Master Control in the .Setup section Station - Interfaces window.

See also the topics on exporting Link or Song details, Advanced Export Formats, or Exporting to Master Control .

Accessing

Click the Interface tab, then the Export tab, then the Schedule tab. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Exporting a Schedule

Export Schedule tab window features

Toolbar

Format selection field

Save on Server

Definition

Destination

Transition

Assignment

Style, Automation Type, and Header panes

Footer tab

Transition tab

Server tab

Show Assigned Formats Only

Sub-Formats

Formatting table selection tabs

Formatting table

Variables

Toolbar buttons

The options in the toolbar allow you to:

Create a new export format in the New Format window.
Save an existing format
Cancel changes to a format
Save a modified format as a new format,
Delete an existing format,
and Export and Import Formats.

Format Selection field

All formats that you design in this window can be saved for later use. See the notes on Saving formats and Saving as new in this topic. Once a format has been saved, it can be recalled from this field. Selecting the Assignment Grid format option allows you to automate the process of using different Schedule Export formats according to day and time.

NOTE: GSelector remembers the format last used in the Schedule, Song and Link format windows, and automatically loads the last used format the next time these windows are accessed.

Save On Server

The Save on Server option is available in Client\Server configurations. This option allows files to be saved at a location to which the GSelector server has full access. This option is useful in situations where the workstation is geographically distant from the GSelector server and the file is needed at the server location. To prepare or modify a format that writes server-side files, the user must log in as the GSelector Administrator using a client machine having full access to the server resource on which the export files are to be saved. Navigate to Interface | Export | Schedule and select the Save on Server checkbox. Select a network resource for the Folder and enter a Filename. Select the Server tab and enter the IP address of the Service Host Server. Save the changes. Now any time the modified format is used by any GSelector user, regardless of location, the file will be saved on the specified server resource. Users who are not the GSelector Administrator will see the Save on Server checkbox and the Folder name, but these controls will be disabled and the user will be unable to modify the settings.

Definition/Assignment

The Definition and Assignment tabs are exposed when the Advanced Export Format is selected in the Setup | Station | Features window. The Definition tab is covered in the following sections. See the Advanced Export Formats topic for more information on the Assignment tab and the Sub-Format options visible with this advanced feature.

Destination folder and filename

Specify the folder and filename to export this format to. Note that you can design filenames using variable symbols (see the notes on variables ) which automatically generate filenames with the current date, and carry other information if required.

Style, Automation Type, and Header panes

Style tab

Automation Type

Header

The three tabs in this pane allow you to specify file style, set Automation Type field values where required by your playout system, and optionally enter Header text and variables to be used at the top of each hour in the export file.

Style tab

Click the Style tab to set options to use Offset or Delimited in the selected export format, and to specify an hour of over 60 minutes. You must have a format assigned in the format selection field.

Fixed Offset/Delimited field length radio buttons

Depending on your playout system, you will use Fixed Offset or Delimited field lengths. You cannot mix the two modes. Consult your playout system documentation for required field length details. When selecting the Delimited Option, you have a range of delimiters to select from

Fixed Offset fields display data from the defined Offset column, and this data occupies the specified field length . Fixed Offset fields are, as their name suggests, fixed at the length you define. If the information in the station field is longer than the field length, extra field information beyond the field length is ignored. If the information in the station field is shorter than the field length, the remainder of the export format field is empty. Fields are left -justified by default , unless you check the right-justification box .

NOTE: When working in this format, you cannot enter Offset values that cause fields to overlap. The next field in the format value - one with the greater Offset value - truncates any overlapping information in the previous field. Note, too, when working in Fixed Offset, that if a Punctuation field overlaps a Format field, the contents of the Punctuation field will override the contents of the Format field.

Delimited fields follow one another in the file format. The fields are marked (delimited) by a symbol in the export file, which you can specify if you select this option. There is no length field or justification option.

60+ minute hour

Click the Style tab to access this option, used for certain automation systems. This field is checked by default. When checked, the MM:SS part of the HH:MM:SS Air Time field can continue past 59:59 in Overscheduled hours. So a song beginning 64 minutes into the 10A hour would have an air time of 10:64:00. The first event in the next hour would still have an air time of 11:00:00. Uncheck this box to disable this feature.

Encoding

GSelector offers four coding standards for any Export schedule format: ASCII ASCII (American Standard Code for Information Interchange), is a character set most commonly used by computers and other communication equipment to represent text., ANSI ANSI (American National Standards Institute) is a variation on the ASCII character set commonly used by computers and other communication equipment to represent text. , Unicode A coding standard which reads characters from Western European, Eastern European, Cyrillic, Greek, Arabic, Hebrew, Chinese, Japanese, Korean, Thai, Urdu, Hindi and all other major world languages, living and dead, to be encoded in a single character set. , and UTF-8 A coding standard used by some systems. A variation on standard Unicode . The default setting is ANSI. Consult your system documentation for details on which standard to use.

One file for entire date range? checkbox

This checkbox allows you to specify a single File for the entire date range, or to export separate files for each date, which is the default option. This caters for those automation systems that require individual files for each day. Check the box to generate one file for the entire date range only.

NOTE: When @H is used in the file name (see the variables notes), GSelector will output a separate file for each hour, regardless of this settings. If you export a complete day, for example, the result will be 24 separate files.

View Export with...

View export with is used to enter an application to associate with the file for viewing, such as a text editor. The default editor is Windows Notepad. The file will be exported to the specified destination, and will take the same name as the specified filename, with a .txt extension.

Played Status Only checkbox

When this box is checked, the export file will contain only those songs whose Schedule Status is Played.

Automation Type designator fields

Use the Automation tab to access this pane. To access this pane, format must be assigned in the format selection field. These fields work with the Automation Type field in the Song, Link, Spotset, Breaknote, Spot and Notes formatting tables. They are used to identify each item for Automation purposes. Enter the identifier specified by the 3rd party Playout system. Consult the automation system documentation for details on what to enter here. This will be 'read' by the target automation system, when the file is exported. When building an export format, in the Formatting table allocate an Offset value and the appropriate field length.

Header text pane

Use the Header tab to enter Hour Header text to the Export file. To access this pane, a format assignment must be assigned in the format selection field.

The information entered in this field will create Header information in the Exported Schedule file for each hour. Multiple lines with whatever text is required can be used, subject to the format of the target automation system. When entering text in this field, text variables can be used to indicate date, hour and more.

GSelector supports the following variables in the Header fields:

NOTE: These variables must be entered in UPPER case.

variable | type | example
@YYY | 4 digit year | 2006
@Y | 2 digit year | 06
@M | 2 digit Month | 01 to 12
@N | Month Name format set by the number of digits used; use an abbreviation or the full Month Name
 | @N (2 digits) | SE
 | @NN (3 digits) | SEP
 | @NNNNNNNN (up to 9 digits; any more are ignored) | SEPTEMBER
@D | 2 digit Day | 01 to 31
@W | Day Name format set by the number of digits used; use an abbreviation or the full Day Name.
 | @W (2 digits) | FR
 | @WW (3 digits) | FRI
 | @WWWWWWWW (up to 9 digits, ant more are ignored) | FRIDAY
@S | Station Name, as set in Station Settings |
 | @S (2 Characters) | WR
 | @SS (3 Characters) | WRC
 | @SSSSSSS (up to 128 characters) | WRCS-FM
@H | @H 12 hour 2 digit Hour field | 01 to 12
@L | @L 24 hour Military Hour 1 or 2 digit Hour field | 0 to 23
@8 | @8 24 hour Military Hour 2 digit Hour field | 00 to 23
@A | AM/PM | MM for midnight; AM and PM, NM for noon
@CCCCCCCCCCC | Clock Name set by the number of characters used. | 10A Weekdays

NOTE: These variables must be entered in UPPER case.

Footer tab

Use the Footer tab to add Hour Footer text to the export. The information entered in this field will create Footer information in the Exported Schedule file for each hour. Multiple lines can be used with whatever text is required can be used, subject to the format of the target automation system. When entering text in this field, text variables can be used to indicate hour, minutes and seconds. To access this pane, a format assignment must be assigned in the format selection field.

@H = Hours

@m = Minutes

@s = Seconds

Transition tab

The two radio buttons in this pane are used to specify whether to transition the export file at the defined Broadcast Start Hour, or at Midnight. See the notes on working with the Broadcast Start Hour in this topic. If the Broadcast Start Hour is set at the default value of 12 AM, this setting can be left alone, as both radio buttons will offer the same option.

TIP: When working with a BSH other than 12 AM, and a 12 AM (Midnight) Transition point, caution needs to be used in specifying date ranges. See the notes on file export with a Midnight Transition point in this topic.

Server Tab

When the Save on Server option is selected the Server tab is displayed. Enter the IP address of the service host server in this tab. The IP address is required for the Save on Server option to work.

Date and time range fields

The Date and Time range fields are used to set the start and stop dates to export, and also the time period within the set date range. Enter the date range in the From and To date fields. Clicking a date field arrow opens a Date selection pane. Click the Today button, or select any other date to enter that date in the date field. The calendar tool observes the default regional date format of the machine on which it runs. Enter the time range within the date range to export.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to Export are entered in the Dates and Hours Pane, the user can define further what they want exported. When selecting the Wrap feature the exported range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours exported would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours exported would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be exported. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Export Schedule button

Click this button to export the schedule.

The Formatting table

This area stores all the elements for the selected Log Element, and is used to design a format for the selected Element. The formatting table is used in several areas in GSelector. For details on building formats in the formatting table, see the Formatting Table topic.

Formatting table tabs

In the Schedule window only, the formatting table tabs are used to design individual formats for Songs, Links, Breaknotes, Spotsets, Spots, Voice Tracks, Notes, ETMs, Controls and Spot Blocks within the overall Schedule format. Each format tab gives access to all relevant log element fields, and a Punctuation tab allows the user to enter text if required.

Click each tab to open a formatting table for that log element to design a format. To include a field format in the Export schedule format, enter values in the relevant format fields. If the user does not wish to export data for a log element, leave that field blank.

If the export format is an Offset format, enter field lengths and Offset (column) values.
If the export format is a Delimited format, enter field length information only.

TIP: When designing a complex format using multiple elements, it pays to save your format design regularly.

Topic Overview: Exporting a Schedule

Working in this window

Designing a format: the Process Described

Exporting: the Process Described

Exporting and Importing Formats

Working with a Broadcast Start Hour other than 12A

Exporting multiple files for a date or hour range

Previewing the schedule file in a text editor

Save a format

Save a modified format

Cancel Changes

Delete an existing format

See also these notes in the Text files and the Formatting Table topic for formatting details:

Designing formats: the process described in detail

Preparing for export

Creating formats: the process described in detail

Punctuation

Variables in file names

BMI and ASCAP reports

Creating a Format: The Process Described

  1. Create a format: click the New Format button in the toolbar.
  2. Name the format in the New Format window.
  3. Specify Destination and Filename (see notes here), using variables (see notes here) if required. You may need to consult your IT manager for more details.
  4. Click the Style tab (see notes here) to set Offset and Delimited (see notes here) options, hour duration, file options, encoding and optional text editor.
  5. For Songs, Links, Breaknotes, Spotsets, Notes, Breaknotes and Spots in each format, click the relevant formatting table tab
  6. Specify offset or delimited file lengths according to the target playout system requirements.
  7. Add fields as the format requires. Specify field format lengths as specified by your playout system requirements.
  8. Specify the required field formats for time and date export.
  9. If required, enter Automation Type identifiers in the Automation Type fields.
  10. Specify left- or right justification for the format where called for.
  11. Repeat for each Log Element.
  12. Optionally enter Text to display in the Hour Header in the Editor by clicking the Header tab.
  13. Optionally enter Text to display in the Hour Footer in the Editor by clicking the Footer tab.
  14. Click the Save button in the toolbar.

See also the detailed formatting notes in the Text files and the Formatting Table topic.

NOTE: When designing a format for Spots, a dedicated Spot-specific Scheduled Time field is used. This differs from the Start Time field used for Songs, Links, Breaknotes, Spotsets and Spots. The Scheduled Time field represents the Scheduled Time of the Spot, and the Start Time the Start Time within the Start Date. These values will differ when Hit type Exact Time Markers are used to place Spotset Holders in the schedule.

New Format Window

This window is used to enter a Name for a new Export Schedule format. It is accessed by clicking the Add [image] button in the Toolbar

Exporting: the Process Described

  1. Design a Format as needed, as described above.
  2. Select a date and time range in the Date-Time range fields.
  3. Select Wrap, Block or Hour Grid for the specified Date Range
  4. Select the format to export in the Format selection field.
  5. Finally click the Export button

NOTE: After exporting a Schedule, it is opened in Notepad (if it is a text file) or Internet Explorer (if in XML file format) allowing you to check it.

Exporting and Importing Formats

Export a format and save it as a named text file outside GSelector. Click the Export button to navigate to a folder to save this format as a named text file. The default name proposed for the format is taken from the selected format in the Format selection field. To import an external format, click the Import button to navigate to the desired format file, and import this into GSelector.
A number of Industry-standard Import formats are stored and available for use. These are custom formats used for 3rd party automation systems, as well as some associations formats. To Import an existing format, click the Import button to access the Import Format window list, select a format by double-clicking, and confirm. The format is then available for use at any time and can be selected from the Format selection field.

NOTE: GSelector provides a default Export folder which can be used as the default source or target folder when exporting Songs or Links. Its path, on any GSelector machine, is \rcs\gselector\client\export. This folder also contains the GSelector library of default automation formats.

Broadcast Start Hour and Exporting a Schedule

The Broadcast Start Hour is defined in the Daypart Assignment window . It defaults to 12a, but can be set to any hour from 12a -11p. When setting a Start Hour other than 12a, the Start time field in the Date range pane will default to the Broadcast Start Hour.

Working with a Broadcast Start Hour other than 12A

When Exporting files using a Broadcast Start Hour (BSH) other than 12 AM (Midnight), there are two options:
Specifying the Broadcast Start Hour as the transition point (see notes here ) will produce a single Export file for each day in the date range.

For example: If you set the BSH as 5 AM, each Export file will run from the start of the 5 AM hour for each day to the end of the 4 AM hour the following day.

Specifying 12 AM (Midnight) as the transition point produces multiple Export files for the days in the specified date range. When Exporting using this combination of settings, care should be taken to specify times for the Date range that run from 12 AM (Midnight) to 11PM. This is because some Automation systems only accept files that start at 12 AM (Midnight). For example, if you set the BSH as 5 AM, and export a two day schedule, you will produce three files:
File 1 will hold a partial Day 1 schedule from the BSH to the end of the 11 PM hour;
File 2 will hold a partial Day 1 schedule from 12 AM (Midnight) to the end of the 4 AM hour,
and a partial Day 2 schedule from the BSH to the end of the 11 PM hour;
File 3 will hold a partial Day 2 schedule from 12 AM (Midnight) to the end of the 4 AM hour.

If the BSH is specified as the start point for the Export period, this produces two partial schedules: the first day file, and the last, remnant, file. Each file being date-specific, this file in turn will be overwritten the next time files are exported, leaving an unscheduled period from 12 AM (Midnight) to the BSH.

When working with non-12A Broadcast Start Hours and Midnight Transition points, most users generate a schedule over a period of days, and then export files from Midnight to Midnight within that scheduled period.

For more details, see the notes for the target Automation system.

Exporting multiple files for a date or hour range

  1. In the Style Tab , ensure that the One File for the Entire Date Range box is unchecked.
  2. This will produced files for each day when exporting a multiple date range schedule.
  3. To export a file for each hour, ensure that the filename includes the variable @H

Previewing the schedule file in a text editor

  1. Specify a text Editor in the View Export File field in the Style tab.
  2. The file will be exported to the same location specified in the Destination field
  3. The file will take the same name specified in the filename field, but with a .txt extension.

Filename variables

In the Export Filename, date variables can be used to mark date-or station-specific files. GSelector supports the following Filename variables:

NOTE: These variables must be entered in UPPER case.

variable | type | example
@YYY | 4 digit year | 2006
@Y | 2 digit year | 06
@M | 2 digit Month | 01 to 12
@N | Month Name format set by the number of digits used; use an abbreviation or the full Month Name
 | @N (2 digits) | SE
 | @NN (3 digits) | SEP
 | @NNNNNNNN (up to 9 digits; any more are ignored) | SEPTEMBER
@D | 2 digit Day | 01 to 31
@W | Day Name format set by the number of digits used; use an abbreviation or the full Day Name.
 | @W (2 digits) | FR
 | @WW (3 digits) | FRI
 | @WWWWWWWW (up to 9 digits, any more are ignored) | FRIDAY
@S | Station Name, as set in Station Settings |
 | @S (2 Characters) | WR
 | @SS (3 Characters) | WRC
 | @SSSSSSS (up to 128 characters) | WRCS-FM
@H | @H 24 hour 2 digit Hour field @H takes on special meaning when used in the filename of a schedule export. If you set the filename to @Y@M@D@H.TXT, each hour will be placed in an individual file. If a complete day is exported, for example, the result will be 24 separate files. Removing @H from the filename in the example above will yield one file containing all 24 hours. See the notes on using this field when outputting multiple files for a time range | 00 to 23
@A | AM/PM | MM for midnight; AM and PM, NM for noon

NOTE: These variables must be entered in UPPER case.

Save a format

Click the Save button in the Toolbar .

Save a modified format

Edit the format, and then click the Save As button in the Toolbar . Then enter a Name in the New Name window.

Cancel changes to a format

Click to cancel changes without Saving.

Delete an existing format

  1. Select the format in the Format selection field
  2. Click the Delete [image] button in the Toolbar.
  3. Confirm to delete this format.

BMI and ASCAP reports

To generate an association report for either of these US rights associations:

  1. Access the Export Schedule window in the usual way.
  2. Click the Import Format toolbar button to access the Format selection pane.
  3. Select either the select BMI Report.fmtx or ASCAP Report.fmtx format files, and confirm in the next dialog.
  4. The report format is displayed in the Format selection field.
  5. Once the format has been imported, it is available for selection at any time.
  6. Run the report as usual by filling in the Date Range, and the Folder and Filename fields
  7. Finally click the Export Schedule button.

NOTE: See the Association Reports topic for details on generating reports for non-US associations

Topic Overview: Exporting a Schedule


Advanced Export Formats

The Advanced Export Formats enables the user to have Sub-Formats and assign these sub-formats to categories using an Assignment tab in the Export Schedule, Songs and Links windows. This feature is enabled in the Setup | Station | Features window by checking the Advanced Export Format option. The sub-formats can then be created and assigned in the Interfaces | Export windows as shown in the following image.

Accessing this window

Features in this window

Working in this window

Accessing

After enabling the Advanced Export Format checkbox. Click the Interface Tab, then the Export tab, then the Schedule tab. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Enhanced Export

Advanced Export Features

Sub-Format Toolbar

Sub-Format

Schedule Assignment Tab

Songs Assignment Tab

Links Assignment Tab

Sub-Format Toolbar

Create a new export sub-format in the New Format window.

Edit an existing sub-format

Save an existing sub-format

Cancel changes to a sub-format

Save a modified sub-format as a new sub-format

Delete an existing sub-format

Sub-Format

Use the Sub-Format drop-down to select a sub-format to edit. Sub-format can provide flexibility when differing data is needed for your automation system. Some systems, for example, need different data for a recorded promo, versus a live promo or a music bed for a traffic report. By assigning different types of elements to different GSelector categories, the output format can be varied per element type.

Show Assigned Formats Only

The Show Assigned Formats Only will shorten the list of Sub-Formats in the Sub-Format drop-down to only those formats that are assigned in the Assignment tab.

Schedule Assignment Tab

Each schedule elements assignment tab is used to assign a sub-format to each configured category. The Link Assignment tab additionally lets you switch between using Stopset Format or Category Format.

Songs Assignment Tab

The Interface | Export | Songs | Assignment Tab is used to assign Sub-formats to configured song categories when exporting song details for third party playout systems.

Links Assignment Tab

The Interface | Export | Links | Assignment Tab is used to assign Sub-formats to configured link categories when exporting link details for third party playout systems. The Link Assignment tab additionally lets you switch between using Stopset Format or Category Format.

Topic Overview: Enhanced Export

Working in this window

Create New Sub-Format

Assign a Sub-Format

Save a sub-format

Save a modified sub-format

Cancel Changes

Delete an existing sub-format

See also these notes in the Text files and the Formatting Table topic for formatting details:

Create a New Sub-Format

To create a new Sub-Format follow these steps:

  1. Click the Add Sub-Format [image] button

  2. Enter a Name for the Sub-Format
  3. Click OK to close the New sub format window

See the detailed formatting notes in the Text files and the Formatting Table topic for additional.

Assign a Sub-Format

  1. Click the Assignment tab for Export | Schedule, Songs or Links
  2. Optionally select the Use Spotset Format or Use Category Format when exporting Links
  3. Click the Format drop-down next to the desired Category
  4. Select the Format to assign to the Category
  5. Repeat for each Category desired.
  6. Click Save [image] from the Export toolbar

Save a sub-Format

Click the Save [image] button in the Sub-Format Toolbar .

Save a modified Sub-Format

  1. Edit [image] the sub-format
  2. Click the Save As [image] button in the Sub-Format Toolbar . Then enter a new Name in the Sub-Format Name window.

Cancel changes to a Sub-Format

  1. Edit [image] the sub-format
  2. Click to cancel changes [image] without Saving from the Sub-Format Toolbar .

Delete an existing format

  1. Select the Sub-Format from the Sub-Format drop-down
  2. Click the Delete [image] button in the Sub-Format Toolbar .
  3. Confirm that you wish to delete this sub-format.

Topic Overview: Enhanced Export


Exporting - using the Formatting table

Exporting - Using Formatting Tables

GSelector offers a range of Export options. The Export Schedule window allows you to export a complete schedule to a sequencer or other application, and so lets you design export formats for any Schedule element. The Export Link and Export Song windows allow you to send Library information out to a sequencer or other application. Several Export windows use formatting tables to design Export formats. The fields offered in each formatting table differ, but the functions are generally similar otherwise , and they are detailed in this topic. This topic covers designing formats for the above windows. For details on setting destinations and paths in the windows, see the specific topics .

Accessing Formatting Tables

Features in Formatting Tables

Working with Formatting Tables

Accessing Formatting Tables

Click the Interface tab and then the Export tab. Then select the Schedule, Link or Song tabs. In the Export Schedule window only, select the tab for the Schedule Element you wish to work in. This image shows the Formatting Table for the Export Schedule window. In the Export Schedule window, you send out a schedule combining all schedule elements, so you can set a format for Song, Link, Breaknote, Spotset, Spot, Voice Track, Note, ETM, Control and Spot Block formats. The illustration here shows the table sorted in ascending order by Offset column position. This is a convenient way to see that all columns are aligned. Many playout systems have limited display options; it pays to be as economical with space as practical. See the preparing for export notes in this page of help.

Click any area for help.

Click any area for help.

CAUTION: In this Offset format, one or two empty spaces have been left between Field lengths. You cannot enter Offset values that cause fields to overlap. The 'later' field value - the one with the greater Offset value -- truncates any overlapping information in the previous field. When working in a Delimited format, the field with the higher offset value always determines the length of the previous field, so this constraint does not apply.

Topic Overview: Export - Using Formatting Tables

Features in Formatting Tables

Formatting Table toolbar

Formatting Table fields

Formatting Table toolbar

This toolbar is displayed in all formatting tables, immediately below the Format/Punctuation tabs. They allow the user to select the fields to add and edit for the selected Clock Element. See adding elements to a table , and deleting fields below.

Formatting Table fields

Formatting Table tabs

Field name

Format for time or date

Line Number

Offset

Field length

Right Justify checkbox

Punctuation

Formatting Table tabs - Schedule window only

In the Schedule window only, the formatting table tabs allow the user to design individual formats for Songs, Links, Breaknotes, Spotsets, Spots, Voice Tracks, Notes, ETMs, Controls and Spot Blocks within each overall Schedule format. Each format tab gives access to all relevant log element fields, and a Punctuation tab allows you to enter text where if required. Click each tab to open a formatting table for that log element.

Field Name

All relevant fields that you add, for each Log Element (in an Export Schedule Format) or Songs or Link (in Export Song or Export Link formats) are listed in this field. Click on the header to sort in ascending or descending alphabetical order.

Time or Date format

These fields allow you to specify a time and date format that matches the specifications of the system to which you are exporting data.

Line Number

Where a format uses multiple lines, specify the line number. Otherwise, leave this at the default value of 1.

Offset value (column number)

If your export format is an Offset format, enter field lengths and Offset (column) values.
If your export format is a Delimited format, enter field length information only. All available fields for Schedule or Song Details export are listed in the respective Formatting Tables. Click on the header to sort in ascending or descending alphabetical order. For more details see the notes on Offset and Delimited options in the Exporting a Schedule topic.

Field length ( Fixed Offset option only)

All available fields are listed in the respective Formatting Tables. Click on the header to sort in ascending or descending alphabetical order.

Right-Justification checkbox ( Fixed Offset option only)

The default setting for this checkbox in all fields is unchecked, which leave text information in its default left-justified position for each field. Check the box to right-justify the information for any field.

Topic Overview: Export - Using Formatting Tables

Working with Formatting Tables

Preparing for Export

Configuring Schedule and Song Details files for export

Creating formats: the Create format window

Selecting Songs, Links, etc for format design

Adding a field to a format

D eleting a field from a format

Importing and Exporting formats

Using Punctuation

Using the sort features in the formatting table

Preparing for export

The fields listed in the Export Schedule, Song and Links tabs differ, as they are used for different purposes. .

Export Schedule tab fields are used for schedule export to a third party player . They are mostly concerned with operational information.

Export Song and Link tab fields, while having some fields in common with Export Schedule tab fields, carry song-specific or link-specific information.

Screen-based studio playout systems generally have to compress key song or link information into one line per item. So it is important that the fields used are carefully selected and that the data entered is consistent and clear - this reflects in the screen display. Many systems allow just one Intro field, for example. GSelector offers three, allowing you to list multiple posts before the vocal. Make sure that you export the correct intro field, and that information is always accurately entered in the correct field in the song window.

While it is possible to use title and artist data from third party databases, or from custom web-based ripping and information services, these often have poor consistency, as the need for proper separation is not critical for such operations. Scheduling is different: title and artist protection is vital. So if you import data, you should review imported Album Title, Song Title and Artist fields for accuracy. Many programmers find it useful to remove definite or indefinite articles in title and artist fields, as this can save up to five spaces.

Check your playout system documentation for time and date field format information. The field formats you use may not be the field formats it uses. Select the appropriate format in which to export from the drop down arrow.

The Media ID field stores the address code used by your sequencer to locate the audio file. This field format varies according the system you are using. Often, but not always, it is an eight digit alphanumerical code, with a three digit suffix. Assuming that the station information is already up to date in the playout system, the minimum information you need to export is the contents of the Air Time and Media ID fields; many systems however require more information.

Creating a Format in the Export windows

In any Format window, click the Add Format button in the toolbar.

This opens the New Format window. Enter a format name and click OK.

Now design your export format, and finally click the Save button in the main window toolbar.

Selecting Songs, Links, Breaknotes, Spotsets, Spots, Voice Tracks or Notes to design formats

Select any of the tabs at the top of the formatting table to design a sub-format for the elements in the format: Songs, Links, Breaknotes, Spotsets, Spots, Voice Tracks or Notes to design formats. These all form part of the overall format. Below the element tabs are two more tabs, Format and Punctuation. To design the precise content, stay in the default Format tab. To add descriptive or qualifying text, click the Punctuation tab.

Adding a field to a format

Click the Add field button in any selected Export Schedule Formatting Table Tab or the Export Songs or Export Link to see a full list of all available fields for the report element. The fields presented are specific to the element. Fields can be reused as needed. Select to enter the field into the format. Then specify Time and date format (where required), Line Number (where used), Offset, Field length and Right Justification then repeat as required. When using GSelector with an integrated automation system, such as Zetta or NexGen, the Add field button can also be used to add the Automation Systems reference field to the export. The Automation Systems reference will insert the Zetta® or NexGen reference number for matching to the automation system.

Deleting a field from a format

  1. Select the field.
  2. Click the delete button in the format toolbar.
  3. Save your changes in the main toolbar.

Importing and Exporting formats

You can export a format and save it as a named text file outside GSelector. Click the Export button to navigate to a folder to save this format as a named text file. The default name proposed for the format is taken from the format selected in the Format selection field. To import an external format, click the Import button to navigate to the desired format file, and import this into GSelector.

Using Punctuation

This option allows the user to insert text for any log element.

Click the Punctuation tab for any format element, and select the fixed offset option in the Style tab. Then insert text in the Punctuation field, select the Line Number, Offset and Field values, and optionally select Right justified. The items in the Punctuation browse can be sorted in ascending or descending order by Offset value.

Note that if you are going to use Punctuation to place text in a format line, you must specify Fixed Offset values to use Punctuation, which means that the whole report is designed in Fixed Offset. See the notes on Fixed Offset and Delimited values for more information.

NOTE: If a Punctuation field is set up to overlap a Format field, or vice versa the contents of the Punctuation field will override the contents of the Format field

Configuring files for export: the process described

When you create a text file for exporting song or schedule details, you generate one or more 'lines' of information in the format for each item. You can use different designs in a format for each log element (Song, Link, Breaknote and Spotset). The format is generated in ASCII code, in which every digit occupies a numbered space: the first space has value number 1, the second number 2, and so on. These are the values used in the offset (see notes here ) , or column field, to mark the start of a string of data. The length of the field is then specified in the length field, and used according to the file format. The sequencer software reads the code and accesses material to cue items up for play.

  1. Select the text file tab in the log window.
  2. Create a format: Click the Add format button in the Main toolbar.
  3. Name the format in the Add Format window
  4. If designing an Export Schedule format, select the element to design in the Formatting Table Tabs.
  5. Specify offset or delimited options (see notes here ) file lengths according to your playout system requirements.
  6. For each element, insert fields as required
  7. For each element, specify field format lengths as specified by your playout system requirements.
  8. Specify the required field formats for time and date export
  9. Specify left or right justified (see notes here ) for the format where specified by your playout system requirements.
  10. Add Punctuation (see notes here ) , if required, for this element.
  11. If designing an Export Schedule format, repeat this process for all elements used in the format.
  12. Specify the filename and destination folder. You may need to consult your IT manager for more details.
  13. Click the save format button in the main window toolbar.

Using Sort features in the Formatting table

Like all GSelector browses, fields can be sized and dragged to a different place in the browse, and you can sort by any field in the browse by clicking on that field's header. For more details on GSelector browses, see the Working with GSelector Browses notes. This feature is particularly useful when working in the Formatting table, as it allows you to view all your active fields in order. See the table illustration above for an example of how information is displayed when clicking in the Offset header to sort in ascending order. Note that all fields used in the format are grouped in sequence at the bottom of the list, allowing you to review the contents of the format and make any adjustments.

Topic Overview: Export - Using Formatting Tables


Export Schedule Format Assignment Grid

The <Assignment Grid> Format option in the Interface | Export | Schedule tab allows you to automate the process of using different Schedule Export formats according to day and time. When the Assignment Grid format option is selected and Date and Hour grid is displayed in the right pane of the Export Schedule tab. The Date and Hour grid can be used to assign a unique export format for each day and hour of the week.

Accessing this window

Features in this window

Working in this window

Accessing

Click the Interface Tab, then the Export tab, then the Schedule tab. Next select <Assignment Grid > from the Format drop-down menu. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Export Schedule Format Assignment Grid

Assignment Grid Features

Format Selection field

Save on Server

Definition

Style, Automation Type, Header, and Transition panes

Date Range

Wrap, Block or Hour Grid selection

Assignment Grid Toolbar

Use the Folder and Filename in each export format

Date and Hour Grid

Format Selection field

The Format Selection Field is used to recall saved formats. Use the Format Selection field to select <Assignment Grid> format option.

NOTE: GSelector remembers the format last used in the Schedule, Song and Link format windows, and automatically loads the last used format the next time these windows are accessed.

Definition

Use the Definition tab to define the Folder and Filename to use for the exported schedule. When the Use the Folder and Filename in each export format option is checked the Folder and Filename is grayed and the defined settings in each assigned format are used.

Style, Automation Type, Header and Transition panes

The Style, Automation Type, Header and Transition panes are not used when configuring the Assignment Grid format. See the Style, Automation Type, Header and Transition panes section of the Exporting a Schedule Topic for more information on these features.

Assignment Grid Toolbar

The Toolbar for the Assignment Grid allows you to Assign, Copy and Paste predefined Schedule Export Formats to the Date and Hour Grid. The Toggle View [image] button will Toggle the view of the Date and Hour Grid to view what is assigned to each hour of each day or to view blocks of days and hours when assigned to the same format.

Use the Folder and Filename in each export format

This option designates how the Exported Schedule is saved. When this option is not checked, the Folder and Filename shown in the left Definition tab will be used for all days and hours. When this option is checked, the Folder and Filename defined in each export format will be used on those days and hours where the format is assigned, thus producing a different export file for each assigned format.

Date and Hour Grid

The Date and Hour Grid is used to assign predefined Schedule Export Formats to specific Days and Hours of the week. Right-clicking in the grid results in a menu allowing you to easily Cut and Paste Formats. To select multiple Days and Hours. click and drag the mouse cursor to select a block or use the Shift and Ctrl keys to select specific Days and Hours.

Topic Overview: Export Schedule Format Assignment Grid

Working in the Assignment Grid pane

Assign a Format to the Assignment Grid

Copy and Paste a Format to the Assignment Grid

Clear a Day or Hour in the Assignment Grid

Assign a Format to the Assignment Grid

  1. Create the Formats needed.

  2. Select <Assignment Grid> from the Format selection field Drop-down

  3. Enter a Folder and Filename in the Definition tab or select the Use the Folder and Filename in each export format option.

  4. Click the Assign Format [image] button in the Assignment Grid Toolbar

  5. Select a predefined Export Schedule Format

  6. Select the Hours

  7. Select the Days

  8. Click OK

Copy and Paste a Format to the Assignment Grid

  1. Create the Formats needed.

  2. Select <Assignment Grid> from the Format selection field Drop-down

  3. Enter a Folder and Filename in the Definition tab or select the Use the Folder and Filename in each export format option

  4. Using the Mouse click and drag or use the Shift and Ctrl keys to select the Days and Hours to assign a format.

  5. Click the Assign Format [image] button in the Assignment Grid Toolbar

  6. Select a predefined Export Schedule Format

  7. Click OK

  8. Click an Assigned Hour to Copy from the Grid.

  9. Click the Copy [image] button or right-click the assigned hour and select Copy from the menu

  10. Using the Mouse click and drag or use the Shift and Ctrl keys to select the Days and Hours to paste the copied format.

  11. Click the Paste [image] button or right-click a selected area and select Paste from the menu.

Clear a Day or Hour in the Assignment Grid

  1. Select <Assignment Grid> from the Format selection field Drop-down

  2. Using the Mouse click and drag or use the Shift and Ctrl keys to select the Days and Hours to clear an assigned format.

  3. Click the Assign Format [image] button in the Assignment Grid Toolbar

  4. Leave the Format set to <None> and click OK. The selected Days and hours in the grid will be cleared.

Topic Overview: Export Schedule Format Assignment Grid


Exporting a Playlist

Export Playlist window

This window allows Audio-enabled GSelector users to export the audio for a scheduled period to a designated folder and filename on their network, configured in the .asx file format. This allows users, for example, to download and review audio for all or a portion of the schedule.

Accessing this window
Features in this window
Working in this window

Accessing this window

Click the Interface Tab, then Export and finally Playlist to access a window similar to this illustration

Click any area in the image for help

Click any area in the image for help

Topic Overview: Export Playlist window

Features in this window

Date Range pane

Wrap, Block or Hour Grid selection
Playlist file format
Filename and path
Export button

Date Range pane

Enter the date and time range that you wish to export as a playlist file. See the Date and Time Range Panes notes for more on using these fields.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to Export are entered in the Date Range Pane, the user can define further what they want exported. When selecting the Wrap feature the exported range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours exported would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours exported would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be exported. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Playlist file format

GSelector currently supports the popular .asx file format, which is compatible with most media players.

Filename and path

The Folder field lets you specify a path or you can use the navigation button to find the path on your network. The File Name filed lets you specify the filename, to which to export the playlist file. Note that you can design filename formats which automatically generate filenames with the current date. See the notes on variables in the Exporting a Schedule topic.

Export button

Click to export the playlist file

Topic Overview: Export Playlist window

Working in this window

1. Specify a (scheduled and edited) date and time range in the Date Range pane .

2. Select Wrap, Block or Hour Grid for the selected Date Range
3. Navigate to a destination folder and enter or select a file name.
4. Finally click the Export Playlist button.


Exporting Song details

The Export window Songs tab is used to export Song information to third party playout systems. If an external playout system is used, configure the Song Export file format or formats in this window here, and export the Song library details before exporting the Schedule. See also the notes for Advanced Export Formats, Exporting Link details and Exporting Other items. In this window, the user can create multiple formats.

Tip: You can also use this window to generate printed reports by sending a formatted report to a text file and printing that file.

Accessing

Export Song window features

Working in the Export Song window

Accessing this window

Click the Interface tab, then the Export tab, then the Songs tab. Then select a Format or work with the default format to access a window similar to the image below.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Export Songs window

Export Song window features

Toolbar

Show Assigned Formats Only

Select format field

Definition

Destination folder

Style - Offset or Delimited buttons

Filter

Encoding options

Assignment

Sub-Formats

Formatting table

Toolbar

Create new Format button

Click to start creating a new format.

Save Format button

Click to save a new format.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Save as New Format button

Click to save am edited format.

Delete button

Click to permanently delete the selected format.

Export and Import format buttons

You can export a format and save it as a named text file outside GSelector. Click the Export [image] button to navigate to a folder to save this format as a named text file. The default name proposed for the format is taken from the format displayed in the select format field. To import an external format, click the Import [image] button to navigate to the desired format file, and import this into GSelector.

Style Pane: Offset/Delimited field length radio buttons

Depending on the configuration of your playout system, you must specify Offset or Delimited field lengths with for each format. Consult your playout system documentation for details on field lengths. See the Offset -Delimited notes in the Exporting a Schedule topic.

Select Format

You can create and save as many formats as you need. Select a saved format from this field.

Definition

The Definition and Assignment tabs are exposed when the Advanced Export Format is selected in the Setup | Station | Features window. The Definition tab is covered in the following sections. See the Advanced Export Formats topic for more information on the Assignment tab and the Sub-Format options visible with this advanced feature.

Target Destination path

Specify the location of your export file in this field. Use the Browse button to navigate to your file location. If you know the path, you can enter it in the folder field.

NOTE: GSelector provides a default Export folder which can be used as the default source or target folder when exporting Songs or Links. Its path, on any GSelector machine, is \rcs\gselector\client\export. This folder also contains the GSelector library of default automation formats.

Export Filename

Specify a filename for the Export Song list in this window. See the notes on using variables in filenames where these are required for details of the elements used in the filename. You may need to consult the documentation for any third party system you are exporting to for details of the required file format.

Song Filter

This option lets you apply a saved song filter or saved song list to the list of songs that will be generated for export. Filters are created and edited in the Library Browse window. See the working with Filters and Lists notes for more information.

Encoding

GSelector offers four coding standards for any Export Song format: ASCII ASCII (American Standard Code for Information Interchange), is a character set most commonly used by computers and other communication equipment to represent text., ANSI ANSI (American National Standards Institute) is a variation on the ASCII character set commonly used by computers and other communication equipment to represent text., Unicode A coding standard which reads characters from Western European, Eastern European, Cyrillic, Greek, Arabic, Hebrew, Chinese, Japanese, Korean, Thai, Urdu, Hindi and all other major world languages, living and dead, to be encoded in a single character set., and UTF-8 A coding standard used by some systems. A variation on standard Unicode. The default setting is ANSI. Consult your system documentation for details on which standard to use.

Export Button

To export song details, select the appropriate format and then click the Export button. Depending on the configuration of your playout system, this generally completely or selectively updates the matching database stored in your playout system machine.

The Formatting Table

The formatting table is used in several areas in GSelector.

The Add Field button above the formatting table allows any Song field to be added to the table. Click the button to view all fields available in the main Song window and the Additional tab of the Main Song window. When using GSelector with an integrated automation system, such as Zetta or NexGen, the Add field button can also be used to add the Automation Systems reference field to the export. The Automation Systems reference will insert the Zetta® or NexGen reference number for matching to the automation system. For details on using browse features when building formats in the formatting table, see the Text File Exports and Formatting Table topic. To include a field in the export format, select the field, and enter values in the relevant format fields. If your export format is an Offset format, enter field lengths and Offset (column) values. If your export format is a Delimited format, enter field length information only. See the Offset -Delimited notes for full details.

Topic Overview: Export Songs window

Working in the Export Song window

The Process described

See also the notes in the Exporting a Schedule topic for details on

Designing formats: the process described

Preparing for export

Creating formats

Saving formats

Editing and saving an existing format

Exporting a text file: the Process Described

To export a Song Export text file

  1. Select the appropriate export format, or
  2. Design a format in the Formatting table (see notes here)
  3. Optionally apply a filter (see notes here) to the list of songs to export
  4. Select Offset or Delimited (see notes here) field options
  5. Specify a Filename and a target destination
  6. Finally click the Export button
  7. After exporting a file, it is opened in Notepad (if it is a text file) or Internet Explorer (if in XML file format) allowing you to check it.

NOTE: GSelector provides a default export folder which can be used as the default source or target folder when exporting Songs or Links. Its path, on any GSelector machine, is \rcs\gselector\support\export. This folder also contains the GSelector library of default automation formats.

Topic Overview: Export Songs window


Exporting Link details

The Export window Links tab works the same way as the Export Song details window. It is used to export Link information to third party playout systems. If an external third party playout system is used, configure the Link Export file format or formats in this window here, and export library details before exporting the log in Text File format. In this window, the user can create multiple formats. See also the notes for Advanced Export Formats.

Tip: You can also use this window to generate printed reports by sending a formatted report to a text file and printing that file.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Interface tab, then the Export tab, then the Links tab. Then select a Format or work with the default format to access a window similar to the image below. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Exporting Links

Export Link window features

Toolbar

Show Assigned Formats Only

Select format field

Definition

Target folder

Filename field

Offset or Delimited radio buttons

Encoding options

Filter

Export button

Assignment

Sub-Formats

Formatting table

Toolbar

Create new Format button

Click to start creating a new format.

Save Format button

Click to save a new format.

Cancel Changes

Click the Cancel button to reinstate the original settings and return to the window to its last saved state.

Save as New Format button

Click to save am edited format.

Delete button

Click to permanently delete the selected format.

Export and Import format buttons

You can export a format and save it as a named text file outside GSelector. Click the Export [image] button to navigate to a folder to save this format as a named text file. The default name proposed for the format is taken from the format displayed in the select format field. To import an external format, click the Import [image] button to navigate to the desired format file, and import this into GSelector.

Select Format

You can create and save as many formats as you need. Select a saved format from this field.

Definition

The Definition and Assignment tabs are exposed when the Advanced Export Format is selected in the Setup | Station | Features window. The Definition tab is covered in the following sections. See the Advanced Export Formats topic for more information on the Assignment tab and the Sub-Format options visible with this advanced feature.

Target Destination path

Specify the location of your export file in this field. Use the Browse button to navigate to your file location. If you know the path, you can enter it in the folder field. See the notes on using variables in filenames where these are required for details of the elements used in the filename. You may need to consult the documentation for any third party system you are exporting to for details of the required file format.

NOTE: GSelector provides a default export folder which can be used as the default source or target folder when exporting Songs or Links. Its path, on any GSelector machine, is \ rcs\gselector\client\export. This folder also contains the GSelector library of default automation formats.

Export Filename

Specify a filename for the format in this window.

Style Pane: Offset/Delimited field length radio buttons

Depending on the configuration of your playout system, you must specify Offset or Delimited field lengths with for each format. Consult your playout system documentation for details on field lengths. See the Offset -Delimited notes in the Exporting a Schedule topic.

Encoding

GSelector offers four coding standards for Export Link formats: ASCII ASCII (American Standard Code for Information Interchange), is a character set most commonly used by computers and other communication equipment to represent text., ANSI ANSI (American National Standards Institute) is a variation on the ASCII character set commonly used by computers and other communication equipment to represent text., Unicode A coding standard which reads characters from Western European, Eastern European, Cyrillic, Greek, Arabic, Hebrew, Chinese, Japanese, Korean, Thai, Urdu, Hindi and all other major world languages, living and dead, to be encoded in a single character set., and UTF-8 A coding standard used by some systems. A variation on standard Unicode. The default setting is ANSI. Consult your system documentation for details on which standard to use.

Link Filter

This option lets you apply a saved link filter or saved link list to the list of links that will be generated for export. Filters are created and edited in the Linker Browse window. See the working with Filters and Lists notes for more information.

Export Button

To export Link details, select the appropriate format and then click the Export button. Depending on the configuration of your playout system, this generally completely or selectively updates the matching database stored in your playout system machine.

The Formatting Table

The formatting table is used in several areas in GSelector. The image shown above displays some of the fields available for use when exporting Link details. For details on using browse features when building formats in the formatting table, see the Using the Formatting Table topic. To include a field in the export format, select it from the Add field to format button, and enter values in the relevant format fields.

If your export format is an Offset format, enter field lengths and Offset (column) values. If your export format is a Delimited format, enter field length information only. See the Offset -Delimited notes for full details.

Topic Overview: Exporting Links

Working in the Export Link window

The Process described

Create a new format

Delete a format

Saving formats

Editing and saving an existing format

See also the notes in the Exporting a Schedule topic for details on

Designing formats: the process described

Preparing for export

Exporting a text file: the Process Described

To export a Link Export text file

  1. Select the appropriate export format, or
  2. Design a format in the Formatting table
  3. Select Off Set or Delimited (see notes here ) field options
  4. Specify a Filename and a target destination
  5. Finally click the Export button
  6. After exporting, the file is opened in Notepad (if a text file) or Internet Explorer (if in XML file format) allowing you to check it.

NOTE: GSelector provides a default export folder which can be used as the default source or target folder when exporting Songs or Links. Its path, on any GSelector machine, is \rcs\gselector\support\export. This folder also contains the GSelector library of default automation formats.

Topic Overview: Exporting Links


Export Other window

This Export section window is provided for third-party automation systems with custom features. It allows the user to send out details for GSelector items that are, for the purposes of the third-party automation systems, treated as other than Songs or Links.

Accessing this window
Features in this window
Working in this window

Accessing this window

Click the Interface tab. From the Export section, click the Other tab to access this window.

Click any area for help

Click any area for help

Topic Overview: Export Other window

Features in this window

Date and Time Range fields

Wrap, Block or Hour Grid selection
Folder path and Filename
Format selection field
Generate Button
Format-specific Information fields pane

Date and time range fields

The four Date and Time range fields allow you to set the start and stop dates to export, and also the time period within the set date range. Enter the date range in the From and To date fields. Clicking a date field arrow opens a Calendar tool. For more information, see the Date and Time Range Panes topic. Enter the time range within the date range to export. The period you specify runs from the 'From' hour on the 'From' date, continuously to the end of the Time and Date range.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to Export are entered in the Date and Time Range fields, the user can define further what they want exported. When selecting the Wrap feature the exported range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours exported would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours exported would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be exported. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Destination folder and filename

Specify the folder and filename to export this format to. For full details, see the destination folder notes in the Exporting a Schedule topic. The filename format is generally determined automatically by selecting the Format. See the notes on using variables in filenames where these are required.

Topic Overview: Export Other window

Format selection field

Third party formats are listed in the dropdown list. Select the format for your system here. This in turn activates system specific fields in the Format Information pane . There are currently two options:

MAX Television format

When using this export option, GSelector uses a custom file format for export in the Filename field. You should work with your IT manager to specify the correct export path for the destination folder.

Omnibus format

When using the Omnibus export option, GSelector uses a custom file format for export in the Filename field, and presents specific fields for this Automation system. You should work with your IT manager to specify the correct export path for the destination folder. The fields here allow you to specify a Channel ID and Clip Prefix for the exported material in Omnibus, and gives you the option to assign a negative or positive trigger in Omnibus to any two of your Link Categories. For full details, consult your Omnibus documentation.

Generate Button

Click to generate an export file once all information has been entered.

Format fields pane

This pane displays the fields specific to the selected system's format. For full details, consult your system's documentation. This illustration in this topic covers the fields requires for export to the Omnibus system.

Topic Overview: Export Other window

Working in this window

This is normally a one-time process, unless you have to modify settings in your playout system.

1. In the Format selection field, specify your third party playout system.
2. Specify the path and if necessary, the filename in the destination folder and filename fields.
3. Set a date and time range.

4. Select Wrap, Block or Hour Grid
5. Enter format-specific settings in the format fields pane.
6. Click the generate button.

Topic Overview: Export Other window


Export XML window

From this window, you can select file formats to output Schedule, Song and Link information using XML Short for Extensible Markup Language, XML enables transmission and interpretation of data between Web-based applications and organizations. files. Typically this is to send information to third party playout systems, and the Song and Link libraries associated with those systems, or to simply export Song or Link data to an external database. For each export destination, you create a specific File format which specifies the path and filename. GSelector supports a range of different export types, according to your needs, and generates Export files according to a standard set of RCS XML schemas An XML schema defines the structure and constituent parts of your XML document, and allows other applications to read the information contained in the XML files. . Formats designed in this window are station-specific.

NOTE: Unlike other interface windows, you don't design formats in this window. The fields on the formats are fixed, and are read by the third party system you export to. When you specify an XML file format and name it, you use an existing RCS XML schema, and specify a file name and path. For information in working with Text file exports, see the notes for Exporting a Schedule, along with Song, Link and other export details.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Interface tab, then Export and finally XML to open a window similar to this illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Export XML window

Features in this window

Toolbar

Name field

Format field

Type field

Filter

Destination folder

Destination Filename

View Export with

Export button

Toolbar

From the Toolbar, you can Add a New Format Name, Save details for a Format, Cancel changes for the selected Format, or Delete the selected Format.

Name field

This dropdown field lists all named Formats you have Added in this window.

Format field

Select one of the three current Selector scheduler engine formats from this field. Each Scheduler has a different range of data fields that can be Exported.
GSelector - see the GSelector fields list.
Selector 15.2.2 - see the 15.2.2 Selector fields list.
Selector 15.1.6 - see the 15.1.6 Selector fields list.

Type field

Depending on the Scheduler Type Format selected in the Format field, you can select a range of Export types:

Filter

This option lets you apply a saved filter or saved list to the XML that will be generated for export. Filters are created and edited in the Linker Browse window. See the working with Filters and Lists notes for more information.

Fields for export with GSelector

All Songs in the Library, active An Active item - a Song, Link or Note - is available to schedule in the current station. and inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window.

Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. Songs - Active Songs for this Station

Links

Breaks

Controls

Stations - All Station names and all Song, Link and Note IDs for this database

Detailed Schedule Information

Basic Schedule Information

Station Links

Fields for export with Selector 15.3.3 and above

Station Songs

Station Links

Breaks

Detailed Schedule Information

Fields for export with Selector 15.2.2-15.3.2

Station Songs

Station Links

Breaks

Detailed Schedule Information

Fields for export with Selector 15.1.6

Station Songs

Stations Links

Links From Breaks

Detailed Schedule Information

Destination folder

Enter a path for to the destination folder where the file you generate here will be sent to. You may need to work with you IT manager to configure this. Click the button at right to navigate in your system, to the specified folder.

Destination File name

The Destination File name is in the suggested format @SSSS@D@M@Y.xml, when GSelector resolves the suggested filename the date represented by the variables will be the system date at time of export rather than the schedule date. This filename can be changed if necessary using any of the variables available in GSelector. You may need to consult your system documentation to enter the correct file format name.

View Export with

Use the View Export with field to enter an application that will be used to open the file after it has been generated. If this field is empty the XML file will open in the default Web browser. If the name of an executable file such as Notepad.exe is entered, that program will be used to display the XML file.

Export button

Click to Export the selected Export Format.

Ignore Past schedule checkbox

When exporting Schedule Information, the default GSelector export date range setting includes all schedule information within the range defined in the Station - Features window. Check this box to only export Schedule Information from the present onwards

Topic Overview: Export XML window

Working in this window

Adding A Format
Editing a Format
Deleting Format
Cancelling Changes in a Format
Working with XML formats for Export

Adding a Format
  1. Click the Add Button in the Toolbar to access the New XML Format window.

  2. Enter a Name for the format, and click OK.
  3. The New XML Format window closes, and the new format is accessible in the Name drop-down field.
  4. Now follow the steps in the Editing Format section

Editing a Format
  1. Select a Format from the Formats list or Add a Format.
  2. Select a Format Type.
  3. Specify a destination folder.
  4. Specify a destination filename.
  5. Save your changes.

Deleting a Format
  1. Select a Format from the Formats list or Add a Format
  2. Click the Delete button in the toolbar
  3. Confirm that you wish to delete the selected Format

Cancelling Changes in a Format

Click the Cancel button to reinstate the original settings and return to the window to its last saved state.

Save Changes

Click to save a new format or changes in an edited Format.

Working with XML formats for export

NOTE: This section details how to work with GSelector's XML file-generation features. It does not explain how to configure or work with XML files. The XML schemas that GSelector exports are fixed. You may need to work with your IT or Network manager to configure your system to work with the data in the XML schema. To import or export an XML file from or to a third party system, third party developers need to work with the RCS GSelector XML schemas, which are listed here .

The XML Export process described

XML buttons in Song and Link windows

Exporting an XML schedule

When using XML file formats, typically, users export Song and Link Library information to the destination third party database, and this can be done from the Song and Link Browse windows. Where a schedule is exported to a third party playout system, this is undertaken directly from this window.

The XML export process described
  1. If exporting Songs or Links, add a Format for the Song or Link type as specified above, specifying a path.
  2. If you are sending out part of your Library, work in the Song and Link Browse windows to browse the material to export.
  3. Still in these windows, or the Song or Link windows, click the XML buttons.
  4. Select the format you require and click again.
  5. To export all Songs or Links, select the appropriate XML format and type in this window, and click the Export button.
  6. If exporting a Schedule, first export your Song and Link information, and then work in this window to export the XML schedule file .

XML buttons in Song and Link windows

The XML Export button is found in the Toolbars of the Song and Link windows, and the Song and Link browse windows. In any of these windows, you can export Song or Link details for an individual Song, Link, or a defined Song or Link browse list. Where no format has been designed, the button is inactive and is grayed out. Where one or more formats exist for the type, you can select any applicable Export format name.

Exporting an XML schedule
  1. Add a format selecting the Detailed or Basic schedule information Type option.
  2. Select the Name for this format.
  3. Click the Export button.
  4. Specify a Date and Time range in the Date and Time Range Pane.
  5. Click OK.

Topic Overview: Export XML window


Exporting to Master Control

GSelector Schedule, Song and Link information can be exported to Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. .

NOTE: This window is only displayed in GSelector if Master Control is assigned as an interface in the Interfaces window in Setup.

Accessing this window

Features in this window

Exporting a schedule

Accessing this window

To view this window, Master Control must be assigned as a GSelector interface, and an export path configured in the Interfaces window in Setup. This done, click the Interface tab, then the Export tab, then the Master Control tab to open a window similar to the detail illustration below.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Exporting to Master Control

Features in this window

Last Synchronized

Synchronization button

Date range fields

Export schedule button

Pending Updates

Operation progress bar

Results report pane

Output Path

Send Results to RCS

Date Range fields

The four fields in the Schedule pane allow you to set the start and stop dates to export, and also the time period within the set date range.

Enter the date range in the From and To date fields.

Clicking a date field arrow opens a Calendar tool. The last scheduled date is highlighted. Here, this station has a last-scheduled date of January 9 2004, with today's date at 15 December 2003. Click the today's date box, or select any other date to enter that date in the date field. Note that the calendar tool observes the default regional date format of the machine on which it runs.

Enter the time range within the date range to export. The period you specify runs from the 'From' hour on the 'From' date, continuously to the end of the 'To' hour on the 'To' date.

Export Schedule button

Click this button to export the schedule to Master Control.

Pending Updates pane

This pane lists any pending updates made in the Station Database which have not yet been synchronized to the partner Master Control Database. This indicates changes that have been made since the last Synchronization or data that has not been synchronized due to a problem with automatic synchronization.

Last Synchronized

This displays the last day and time that the GSelector was synchronized with Master Control

Synchronization button

When you click the Synchronize button, the following events take place:
Program Elements from GSelector that have been edited since the last synchronization are exported to Master Control;
Program Elements that are edited in Master Control since the last synchronization are read back to the GSelector database;
New Schedule information, for the period between the last synchronization, up to the current point, but excluding the current hour and future hours, is synchronized.
A new Synchronization date and time is set, marking the precise time you clicked the button.

Operation progress bar

This bar displays Export progress.

Results report pane

This pane displays internal reference codes for exceptions or errors that can occasionally occur in the export process. if and when this occurs, these codes can pinpoint an area of concern. In some cases, users can simply correct the error in their library and re-export. At other times, this information can be used by RCS support, working with your network system engineers in the unlikely event that there is a need to troubleshoot a Master Control installation.

Output Path

Enter a path to send the export files to. Click the Save button when done, or the Clear button to clear the field and start over.

NOTE: This field is normally configured and then left unchanged unless the system is reconfigured. You may need to work with your Network manager and RCS support when setting this field up for use.

Send Results to RCS

This button is activated when the Results pane displays text content, normally reporting on anomalies in the export or synchronization process. Click this button to send the results pane contents to RCS. You should normally only do this when requested to do so by RCS Support.

Topic Overview: Exporting to Master Control

Exporting a schedule to Master Control

  1. Configure the Master Control interface in Setup Interfaces.
  2. In the Export Master Control window, ensure that the correct export path has been entered in the Output path field.
  3. Enter a date and time range.
  4. Click the Synchronize button. This initiates a copy process between GSelector and Master Control to ensure that previous play history, from the previous synchronization up to the present time is synchronized
  5. Click the Export schedule button
  6. Review any error messages in the results pane . You may need to consult RCS support.

Topic Overview: Exporting to Master Control


Exporting to NexGen

This topic covers linking to NexGen from GSelector. The configuration is a two-way process between GSelector and NexGen. You must also configure settings in NexGen, and you should consult NexGen Help there before starting work in NexGen.

This topic assumes that you have a working installed NexGen system as well as your existing GSelector system on your Station network. It deals with some basic concepts, before covering the GSelector areas in detail. It does not cover installation and networking issues. For these, consult the RCS GSelector and NexGen installation guides, and RCS technical support.

First Steps
GSelector driven Integration and NexGen Driven Integration
GSelector and NexGen Stations
Clock Design
Library Preparation
Web Services
See also the NexGen Integration topic covering work in the GSelector NexGen interfaces window.

TIP: for a detailed overview of the steps to synchronize NexGen with GSelector in NexGen, see the GSelector integration section in NexGen help

Topic Overview: Exporting to NexGen

First Steps

The very first step is to ensure that connections between GSelector and NexGen are working and tested. After that, the configuration settings depend on your databases in each program. There are two ways to manage how your integrated setup will work (GSelector or NexGen-driven), and while integrating, you should follow different integration routines, depending on your databases. You may have a complete database in both systems, one system, or neither. Your setup will determine how you should proceed with database and system integration. Click a link to follow the steps for your combination.

Setting up and Testing connections
GSelector existing database integrating to a NexGen new database
NexGen existing database integrating to a GSelector new database
GSelector existing database integrating to a NexGen existing database

Setting up and Testing connections

In the NexGen Integration window, and in the NexGen GSelector Settings window, enter Web Service Web services allow organizations to communicate data, no matter what operating system or programming language is used. Web services allow different applications from different sources to talk to each other without custom coding. All communication is in XML. addresses and test the connections.
Working in both windows, associate GSelector stations with their counterpart NexGen stations. Depending on your configuration, you may need to create stations in one or the other database. For full details, see the GSelector-NexGen Integration guide, available from your local RCS Support office.

GSelector database integrating to a NexGen new database

1. Follow the Setting Up and Testing steps above.
2. In GSelector, access the NexGen Integration window.
3. Select the GSelector-driven Radio Button.
4. Then click the Setup NexGen.. button.

NexGen (existing database) integrating to a GSelector new database

1. Follow the Setting Up and Testing steps above.
2. In GSelector, create as many stations as required to match the existing NexGen stations, and associate them with NexGen stations
3. In GSelector, select a station, working in the Stations menu option.
4. Work in the Categories window to define Category Groups and Categories to match those in NexGen.
5. Work in the Browse window and the Multi-Song Changer to organize the Songs into Categories.
6. See also the notes on Getting Started with GSelector for more information.

GSelector existing database integrating to a NexGen existing database

NOTE: When integrating an existing GSelector database with an existing NexGen database, we strongly urge you select the NexGen-driven option in the NexGen Integration window, and then work in the NexGen Synchronization window, and Synchronize Station Data from your GSelector stations to your associated NexGen stations as the first step, described below. This will insure that your Artist, Title and Version This field allows multiple versions of a Song/Artist combination to be entered in the Database. For example, some stations like to use combinations of a regular mix and an extended dance mix. information is correctly communicated to NexGen. Since GSelector uses text string In computing, this refers to an array of text characters. matching for spread and separation, and NexGen does not, it's more likely that there will be less data entry errors of this critical data in GSelector.

1. Follow the Setting Up and Testing steps above.
2. Access the NexGen Synchronization window for each station that is to be integrated.
3. Click the Station Data Synchronization button.
4. Note that special provisions apply for associating Audio in NexGen.

Topic Overview: Exporting to NexGen

GSelector driven and NexGen driven Integration

There are two ways to configure Synchronization with NexGen. This will depend on whether you wish to place GSelector at the center of your operations, maintaining your Songs and Link databases in the GSelector database, generating output from GSelector, and then exporting this to NexGen - or whether you already have a fully developed NexGen database, and prefer to continue maintaining your library within this system, but wish to use GSelector as your scheduling engine.
GSelector-driven Integration behavior summarized
NexGen-driven integration behavior summarized
Clock design
Working in the NexGen Integration window, you can specify GSelector or NexGen as the primary engine that 'drives' the integration process. In both cases, Songs and Links added in one program are updated in the partner program. However, you can only Integrate Spots from a Traffic file in |GSelector when using GSelector-driven integration. See the details in the NexGen Integration window for the steps to implement either process.

GSelector-driven integration behavior summarized

NOTE: All GSelector Controls, Spotset Holders, and Voice Track Clock Elements are copied across to NexGen when you export the schedule. Automation System Event clock elements should NOT be inserted into GSelector Clocks - this is only used for NexGen driven integration. If you do add this element, it will be automatically removed from the Log.

Logs:
GSelector controls all log elements. A Log exported from GSelector completely overwrites NexGen logs. All GSelector log commands (that are supported in NexGen) are sent to the NexGen log.
Library:
New Songs added in GSelector are automatically copied to NexGen; changes to existing Songs are copied to their NexGen counterpart entries. Songs added or changed in NexGen are automatically updated in GSelector.

Links:
New Links added in GSelector are automatically copied to NexGen, to specific NexGen Production Categories; changes to Categories are updated in NexGen. Links added to NexGen are copied to GSelector. See NexGen help for details on mapping NexGen Production Categories to GSelector Linker Categories.
Notes:
Notes are not copied to NexGen. Notes are a GSelector-only feature.
Spots:
Spots that are integrated into GSelector schedules using the Linker Traffic window are exported to NexGen. Post-transmission, changes to the Log are reconciled.

NexGen-driven integration behavior summarized

NOTE: GSelector Controls, Spotset Holders, and Voice Track Clock Elements are handled within NexGen. They should NOT be inserted into GSelector Clocks. For these NexGen-specific elements, you should use the Automation System Event clock element.

Logs:
NexGen controls all elements apart from Songs and Link. All NexGen log commands are available when used in a NexGen Log or Clock.
Library:
New Songs added in GSelector are automatically copied to NexGen; changes to existing Songs are copied to their NexGen counterpart entries. Songs added or changed in NexGen are automatically updated in GSelector.

Links:
New Links added in NexGen are loaded to a specific GSelector category. See NexGen help for details on mapping NexGen Production Categories to GSelector Linker Categories. Links added in GSelector are loaded to a pre-configured NexGen Audio Type.
Notes:
Notes are not copied to NexGen. Notes are a GSelector-only feature.
Spots:
Traffic is integrated in NexGen. Spots in NexGen are not integrated into GSelector schedules. Spotset Holders are used as placeholders in GSelector Clocks, which should be designed to match NexGen Clocks. Traffic file reconciliation is done from NexGen.

Topic Overview: Exporting to NexGen

GSelector and NexGen Stations

Both GSelector and NexGen are database based systems, where Songs and other Audio items can be shared elements in multiple Stations. The terms in GSelector are Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. and Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. , and they are widely used throughout GSelector help. In both programs, the corresponding Stations should be associated with each other. You can only associate a Station in each program with one counterpart Station in the other program. Note that Songs exported to GSelector from NexGen are treated as inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. in the GSelector database and need to be activated in your selected GSelector Station(s).

See the notes on working with Songs exported from NexGen in this help file.

Naming Stations

Although this is not strictly necessary, some users find it useful to name Stations in such a way that associations between the two programs are made simpler. See the notes on naming a Station in the Admin section New Station window, or renaming a GSelector Station in the Station - Name and Logo window. Note that you can only name a new station in the Admin section, which is passwo5rd-protected, but once created, you can rename a station in the main section of GSelector. .

Topic Overview: Exporting to NexGen

Clock design

Archiving original GSelector Clocks
Preparing GSelector Clocks for GSelector-driven integration
Preparing GSelector Clocks for NexGen-driven integration
........ Building GSelector Clocks for NexGen integration
Clock structures in GSelector and NexGen are different. GSelector clocks are designed from a scheduling perspective, and NexGen clocks are designed to deliver on-air output. However, using GSelector-driven integration, you can set up your GSelector Clocks to completely program NexGen clocks from GSelector. GSelector-driven integration Clocks will completely overwrite NexGen Logs; all Log elements in NexGen clocks will be ignored. See the notes below on preparing GSelector Clocks for GSelector-driven integration.

After generating your schedule in GSelector, you export (synchronize) Music and Link schedule information from GSelector to the NexGen sequencer. So that the schedule information is correctly imported to the right hour and in the right sequence, GSelector works with the Top of Hour information in NexGen clocks, matching up to the Hour Header in the GSelector schedule. You mark out your GSelector clock structure with dedicated internal Automation System Event Clock elements, or clock Elements, which act as "place holders" for those NexGen schedule elements that do not exist in GSelector. You match your GSelector hour clocks to the NexGen day clock by placing the new GSelector clock element wherever one or more consecutive NexGen elements are located in the NexGen clock.

NOTE: The Automation System Event clock Element is designed to be used with a variety of automation system clocks.

Archiving GSelector Clocks

If you are configuring your GSelector clocks for integration, consider archiving your original clocks before you edit your active clocks.
1. In the Clock Assignment window, select an active grid.
2. Then click the Clone button to copy this grid to a new location.
3. Then name the grid as an archived grid.
4. Repeat for all active grids.
5. Then, for all Clocks in the archived grid, select and make a renamed archived copy of your original Clock.
6. Then replace the original Clock with the archived Clock in your archive Grid.
7. This creates a backup set of all active Clocks, within your GSelector Database.

Preparing GSelector clocks for GSelector Driven Integration

GSelector clocks are not duplicated in NexGen, but the log schedule that they help to generate is exported from GSelector to NexGen, and it should contain all the elements that are required by the NexGen sequencer. So all the elements required by NexGen are put into place within the GSelector clocks. To ensure this GSelector information is correctly imported into the right hour,

Preparing GSelector Clocks for NexGen-driven integration: Replicating NexGen Clocks

With NexGen driven integration, GSelector clock structure should match NexGen clock structure. If you already have a fully developed Clock structure in your NexGen Stations, replicate these in the corresponding GSelector Stations. Many users find it helpful to print out all their active NexGen Clocks for each day, before recreating these in GSelector.
1. In GSelector, access the Clocks Definition window.
2. Create corresponding GSelector Clocks as usual. See the notes here for details.
3. For all single or multiple groups of contiguous non GSelector items in the NexGen clock - Spot Holders, sequencer events, and the like - add an Automation System Event clock position in the GSelector clock. Only add one Automation System event for each cluster of contiguous non GSelector items.
4. Do not insert any of the following GSelector Clock Elements: Controls, Spotset Holders, and Voice Tracks. These are handled within NexGen. For details of these functions, refer to NexGen Help.
5. Note that GSelector clocks are built on an Hour By Hour basis, while NexGen clocks span a 24 hour period. However both programs have comprehensive copy clock facilities, and you can assign the same GSelector clock to multiple hours in the Clock Assignment window.

Building GSelector Clocks for NexGen integration

If you are starting with a complete set of existing GSelector Clocks in your GSelector Stations, you must modify these before creating matching Clocks in the NexGen Stations.

1. First, archive your existing Clocks for safety. This will allow you to edit your active clocks. See the Archiving Clocks notes in this topic.
2. In the newly copied Clocks in the new Grid, insert Automation System Events to correspond with single or grouped NexGen schedule elements.
3. Note, as above, that Controls, Spotset Holders, Voice Tracks, and Exact Time Markers functions are handled within NexGen and should be removed in your GSelector clocks. For details of these functions, refer to NexGen Help.
4. Replicate your Hourly GSelector clock structure for each day in the corresponding NexGen day Clock.
5. To handle GSelector Song and Link items, use the 'NexGen Empty Song Group' clock element. See the NexGen Help guide Building a Clock topic for full details.

Topic Overview: Exporting to NexGen

Library Preparation

The ID field
Loading GSelector Library material to NexGen
Assigning a GSelector User-defined field for NexGen use
Creating GSelector Hold Categories for Songs and Links
Creating GSelector Link Categories for NexGen items
Working with Songs and Links Imported from NexGen
See also the notes on Adding Songs and Links using NexGen.

After integration is enabled, GSelector and NexGen share a unique internal reference number for each item. During the initial synchronization and when adding new items, GSelector and NexGen exchange database information using counterpart fields in each application. If an item exists in one database, but has yet to be exported to the other, a process is in place to use specific values to match records. While GSelector and NexGen can use numerous fields to find matching records in between applications, the preferred field used is the GSelector ID field and the NexGen Cart & Cut fields. Additionally, a User-Defined field must be specified in GSelector to store NexGen Song Category Information. This allows you to search for items in the GSelector database using NexGen criteria.

The ID field

Before integration, you can create multiple Songs or Links with same ID. However, it is important to remove items with duplicate IDs before integration. Post-integration, any duplicate GSelector items will be treated as new records and NexGen will create a new item for each duplicate.

To review your GSelector library (Active and Inactive) to eliminate duplicate records exist and make sure all records have a properly assigned ID:
1. In the Browse Window, working in the Advanced Search mode, sort the entire database, both Active and Inactive, by the ID field.
2. Open any items with Duplicate IDs.
3. Renumber or delete any item with duplicate ID’s.
4. Then check for duplicates: From any GSelector window, In the menu, go to Tools, and then select the Administration option.
5. You will have to log in to access this window.
6. In the Administration window menu, click File and then select Check for Duplicates.
7. The database is checked and you will receive confirmation of any duplicate records found.

Loading GSelector Library material to NexGen

When integration is activated, the NexGen database is the Master audio storage location. So any audio files in any location other than the NexGen drive, and any files that do not use the NexGen filename convention will be overwritten as soon as integration is enabled and production is synchronized. To prevent Songs and Links from losing their audio location records when your library is synchronized, generate a report listing Songs and Links which are not mapped to a NexGen library address. Once you have your audio list, contact NexGen Technical Support to assist you in loading the audio records into NexGen. To properly load audio, the NexGen machine used to load the audio records must have access to the exact filename and path present in the Filename field in GSelector.

Assigning a GSelector User-defined field for NexGen use

For easier identification of NexGen Song Library items once integration is enabled and Song audio has been synchronized, NexGen will send the its internal Song Category information to a specified User-Defined field in GSelector. We recommend that you label this User-Defined field prior to enabling integration. See the User-Defined Field notes for more information on assigning a field for this purpose. See the NexGen help document for instructions on mapping to this field in NexGen.

Creating GSelector Hold Categories for Songs and Links

Hold Categories are used to maintain History in GSelector. For example, GSelector stations cannot integrate with their NexGen Counterpart station until Song and Link Hold Categories have been designated. This is indicated in the NexGen Integration window. To set these up:
1. For each GSelector station, create a Hold Category for Songs and Links in the Categories and Link Categories windows.
2. In the Setup Section Hold Categories window, assign these Categories to hold status.

Creating GSelector Link Category Groups and Categories for NexGen items

With a GSelector - NexGen integration, Links can be used, in addition to conventional Link roles uses, to organize NexGen non-song items in GSelector by NexGen Audio Type, and in turn to allow NexGen to identify the intended audio type for non-song items created in GSelector.

When implementing GSelector-driven integration, you are asked to specify a GSelector Category Groups and Categories for each NexGen Audio Type. We recommend you create your Link Category Groups and Categories before integration. To create Link Category Groups and Categories used to store NexGen audio types:
1. In the Link Goals Categories window, Create Link Category Groups and Link Categories for each of the following NexGen Audio Types:
Beds
Bits
Effects
Fill
Memo
News
Promo
Segue
Shows
2. Repeat this process for each GSelector station that will integrate with NexGen.
3. The Category Groups will be assigned to NexGen Audio Types when you enable and configure GSelector-Driven integration.

Working with Songs and Links Imported from NexGen

To import Songs to GSelector from NexGen, work in the NexGen GSelector Settings window, off the NexGen System Config window. Then:

1. Open the desired GSelector Station from the Stations menu option or the Front window.
2. In the Library Browse window, select the Advanced Search button
3. In Advanced Search mode, specify Inactive Songs the Attributes tab, select the Automation Systems Node, and then NexGen.
4. All Songs that have been added to the Database from NexGen are displayed. Note that if you activate a Song, it is removed from the browse list.

Topic Overview: Exporting to NexGen

Web services

GSelector and NexGen use web services to exchange data. Commonly these are set up in the IIS short for Internet Information Services - Microsoft’s web server application. section of Services and Applications accessed in Computer Management or Administrative tools. Web service files are housed in folders specified upon installation, and a virtual directory is created in the IIS window that references these files. Normally, your installation routine takes care of this. Once set up, tested and correctly configured, you won't need to touch your web services unless instructed to do so by RCS Support.

When configuring GSelector to interface with NexGen, you specify the location of the NexGen web service in the URL field. This is short for 'uniform resource locator', which strictly means a unique address accessed on the web. This does not necessarily mean an address on the world-wide web - although it could be such an address - as it could also be on your specific network. See the notes on entering the NexGen web service address in GSelector in the NexGen Integration topic.

For detailed step by step instructions on installing Web Services see the NexGen -GSelector Integration document.

Topic Overview: Exporting to NexGen


Exporting to Zetta

This window is used to synchronize Station Data with, and to export Schedule Information to, a Zetta Zetta is the a RCS automation and audio playout system. station associated with a GSelector station. This allows the user to create or to refresh Station data in Zetta. The window is only displayed when GSelector is configured to interface with Zetta in the Tools menu option Zetta Interface window. Date from a GSelector station will be sent to a Zetta station that is matched with a GSelector station in the Zetta Interface window. This window is used to initiate GSelector-Zetta synchronization at station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. level. To work at database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. level, see the Exporting to NexGen topic.

Accessing this window
Features in this window
Working in this window

Topic Overview: Zetta Station Synchronization window

Accessing this window

In a GSelector station that is interfaced with a Zetta station (see the notes here), click the Interfaces tab, and then the Zetta tab.

Click any area for help

Click any area for help

Topic Overview: Zetta Station Synchronization window

Features in this window

Station Data Synchronization button
Schedule Date Range
Schedule Export button
Pending Updates
Progress bar
Results Pane
Output XML Path field and Search, Save and Clear Output Path buttons

Station Data Synchronization Button

Click to synchronize Station data between this GSelector station and the counterpart Zetta station.

Schedule Date Range

When synchronizing your Schedule, enter a Date and Time range in this pane, or click the dropdown arrows to use the Date and Time Range Panes. You can re-synchronize as many times as you want when re-editing. Note that when re-synchronizing schedules, Zetta protects the current hour, as well as the previous and next hour. So if you re-synchronize at 4:45 PM after editing in GSelector, your revised Schedule will not appear until the start of the following hour, at 6.00 PM.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to Export are entered in the Date Range Pane, the user can define further what they want exported. When selecting the Wrap feature the exported range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours exported would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours exported would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be exported. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Schedule Export button

Click to export your Schedule for the selected Date and Time range from this GSelector station to the counterpart Zetta station.

Pending Updates pane

This pane lists any pending updates made in the Station Database which have not yet been synchronized to the partner Zetta Database. This may be because network communication was interrupted, or because changes have made since the last Synchronization.

Topic Overview: Zetta Station Synchronization window

Progress Bar

Follow the progress of the schedule export or data synchronization in this field.

Discrepancy Report

The Discrepancy Report button will create a report in .csv format of all the active songs/links on mapped Zetta stations that are missing an Interface Reference number in GSelector. See the Interface Reference tab of the Song/Link card to view the interface reference number.

Results pane

This pane displays the results of the schedule export or data synchronization, including possible anomalies in the export or synchronization process.. Check the word wrap box to wrap text in the box; clear the box to display messages line by line in a scrollable view.

Output XML path

Specify the output path to export to Zetta in this field. You may need to consult with RCS support and/or your Network manager.

Save and Clear Output Path buttons

These buttons allow you to save the XML path settings, or to clear the current setting

Send Results to RCS

This button is activated when the Results pane displays text content, normally reporting on anomalies in the export or synchronization process. Click this button to send the results pane contents to RCS. You should normally only do this when requested to do so by RCS support.

Topic Overview: Zetta Station Synchronization window

Working in this window

Synchronizing Station Data
Exporting Schedule Information

Synchronizing Station Data

1. Ensure that Zetta is properly interfaced and running on your system.
2. Click the Synchronize button.

Exporting Schedule Information

1. Ensure that Zetta is properly interfaced and running on your system.
2. Synchronize your Station Data as described above.
3. Generate and Edit your Schedule as usual.
4. Select a Time and Date Range in this window.
5. Click the Export button.

NOTE: When re-synchronizing schedules, Zetta will apply logic to prevent problems with schedule change, such as unscheduling an hour in GSelector prior to reschedule. GSelector will always send all schedule changes to Zetta regardless of the time or nature of the changes.

Topic Overview: Zetta Station Synchronization window


Import XML window

The Interface section Import window is used to import data stored in XML data files. This feature is a specialist application and should not normally be used without initial guidance from RCS support.

Accessing this window
Features in this window
Working in this window

Accessing this window

Click the Interface tab and then the Import tab to open this window. This image is reduced to better display in the help window.

Click any area in the image for help

Topic Overview: Import window

Features in this window

Format selection
Import Item Type
Current Station Checkbox
Source file
Import button
Word wrap checkbox
Results pane
Importing - Duplicate protection

Format selection

Use the Format drop-down to select the file format type being imported

Import Item Type

Use the Type drop down to select individual items to import based on the format selected.

Current Station Checkbox

Click the Import to Current Station checkbox if you want the data for the Songs in the XML file to be activated in the current station’s default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. . If you do not select this checkbox the imported data will be inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. in all stations, so you'll have to activate songs in the current station as well as any other station.

Input (source) file

Enter the source file or navigate to the file location on your network by clicking the [image] navigation button. You may need to work with your IT manager.

Import button

Click to import your selected data.

Word wrap checkbox

Check this box to display import details in the results pane in wrapped format.

Results pane

Import results are displayed in this pane.

Topic Overview: Import window

Working in this window

1. Select the Format from the drop-down.
2. Specify what you wish to import - individual entry types or a full schedule - in the Type field.
3. Specify or navigate to your source file in the Input File field.
4. When selecting GSelector XML. optionally check the Current Station check-box to activate the imported songs for your selected station.
5. Click the Import button to start the import process.
6. View results in the results pane, optionally choosing to wrap text with the word-wrap box.

Importing: duplicate protection

GSelector has a set of internal checks to avoid creating duplicate entries during an import process. To avoid duplicate program elements GSelector runs a number of checks on each item, in this sequence:
1. First, GSelector checks for an internal Database ID, when importing a GSelector XML file.
2. If there is no internal Database ID, GSelector checks for a Reference to an external system such as Master Control or Prophet NexGen. See the notes on References in the Station - Interfaces topic for more on this.
3. If there is no Third Party Reference, GSelector checks for Title and Artist or Title, Artist and Version for Songs, where two Songs have the same Title and Artist, but the Songs have different Version values.
4. For Links, GSelector checks for Link Title.
5. For Breaknotes, GSelector checks for Title and Type.
6. For Controls, GSelector checks for Title.
Where there is a conflict with an existing item in the GSelector Database, this is displayed in the Results Pane .

Topic Overview: Import window


Interfaces Mediabase window

This window allows you to import research scores from MediaBase Mediabase is a music industry website containing in-depth charts and analysis based on the monitoring of 1,836 radio stations in the US and Canada, in 175 radio markets. Mediabase features real-time charts in 25 radio formats, based on radio airplay., to use as GSelector research attributes. This service is available in the USA and Canada for MediaBase subscribers. To use this tool, GSelector must be interfaced with Mediabase using a Username and Password obtained from Mediabase.

In this window, there are three functions:

  1. The association, or mapping, of Mediabase fields, by Mediabase format, to your chosen GSelector Research Columns;
  2. The matching of GSelector Songs with Mediabase Song entries in the Map Songs pane;
  3. The importing of Mediabase values for each Song according to the Mapping described above in step 2, to the GSelector field described above in step 1.

Once a Song has been associated with its Mediabase counterpart, and Research Columns assigned in this window, Mediabase Scores can be displayed in the Research Column field in the Song window Research Scores and SongTrack ® Graphs panes, and used as a Research Attribute.

NOTE: This window is one of five dedicated research interface windows in GSelector. In addition to this window, you can also import research from Media Monitors, Rate The Music, Critical Mass Media and Test All Media.. You can assign different Research Columns to data from each of the services and combine the use of the different data, as you wish, within GSelector. Third Party Research GSelector offers direct interfaces to Media Monitors, Rate The Music and Mediabase research services. Other research service data can be imported in the Setup Research Import window. users should refer to the Importing Research Scores topic.

Accessing this window

Features in this window

Working in this window

Accessing this window

Once you have entered a Username and Password obtained from Mediabase using the Login Settings [image] button, the MediaBase tab window is active. Click Interface, and then Mediabase to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Interfaces Mediabase window

Features in this window

Toolbar

Validate User window

Last Update field

Get Scores button

Map Scores to GSelector Research Columns field

Song Mapping

Map Songs display options.

Toolbar

Click Save to save changes

Click Cancel button to clear any changes

Click the Login Settings button to access the Mediabase Validate User window

Click the and the Matched Station Songs button to open the Matched Station Songs window to allow the removal of matched references to Station songs.

Validate User window

To access and import Mediabase data, users must enter their Mediabase accreditation.

Click the Validate User button in the toolbar to access this window.

Enter your Mediabase Username and password, click the Verify URL/Credentials button to confirm your credentials, and then click OK to close the Validate User window. Click the Save button in the toolbar to save your settings. Once these settings are entered and verified, GSelector recalls them automatically the next time this user accesses this window.

Matched Station Songs window

To remove references to station songs click the Matched Station Songs [image] button to open the Matched Station Songs window, find the song to remove and click the remove X to the right of the row.

The user will be prompt to confirm the removal of the reference to the song.

Last Update field

This field displays the most recent date when Mediabase data was imported.

Period

This field displays the period - the date range - for the last import.

Get Scores button

Click to import the Mediabase scores. After the import, GSelector displays Unmatched Songs, indicated in the Map Songs display options field, in the Map Songs Pane.

Map Mediabase score fields to GSelector Research Columns fields pane

This pane allows you to associate specific Mediabase fields with counterpart GSelector Research Column fields in GSelector. The Mediabase Format selection and Score Column fields are displayed on the left, and you can select from available GSelector Research Columns on the right, or click the Add button at far right to access the Add Research Column dialog box so you can define a new Research Column directly from this window. The score for the Mediabase Format/Score Column is displayed in the Song Mapping pane for matched songs.

GSelector Research Columns are displayed in the Song window History Research Scores and SongTrack ® Graph panes.

Song Mapping

Once you have selected a Survey and clicked the Get Scores button, the imported data is displayed in this pane, sorted by research score for the selected Breakout.

One of the functions in this window is the matching of Songs between the Mediabase Database and your GSelector Database. Stations often have their own ways to describe Song in their database, which are particular to that Station or the Station's group. So it is important that the correct Songs are matched between Mediabase and GSelector databases. GSelector will automatically attempt to match on Artist and Title information. The Map Songs display options field allows you to view matched or unmatched Songs in the Map Songs Pane. This view shows songs for this import that are matched to in the GSelector database. The default display format is to sort matched songs by the Mediabase score by Format and Research Column. You can click any header to sort the browse.

An Interface Reference Number is assigned to the Song during the Mapping process; the Reference Number is placed against the Song in both databases, and serves as the common permanent point of contact between GSelector and Mediabase. The Song's details can then be modified locally if required, as long as the Interface Reference number remains unchanged. A Song can have multiple Interface References where GSelector is Interfaced to one or more external databases; these are displayed in the Interface References pane of the Song window.

Click any area in the image for help

Click any area in the image for help

Map Songs Display options

Activate Songs

Find (CTRL+F)

Research Song list

GSelector List

Search button

Remove Song References

Add Multiple Song References

Active/Inactive status

Map Songs display options

This pane allows you to select any combination of Songs to view in the Map Songs pane - Unrecognized Songs, Songs which are matched between the Mediabase database and the GSelector database, Songs which were matched before prior to this session, or all Songs.

Activate Songs checkbox

This option allows you to activate inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs, for the current station, listed in the Song mapping pane, and to specify the Category to which they are activated.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Map Songs pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Research Songs List

On the left of the Map Songs pane, GSelector displays Title, Artist and the last date in the Research period for the imported songs, and the Mediabase score, all taken from the Mediabase database.

GSelector Song Data

On right of the Map Songs pane, GSelector displays the Title, Artist and Media ID from the GSelector database, and indicates whether it has already been referenced in GSelector to Mediabase. If the Song is as yet unrecognized, this part of the window is blank, and the Search button is active. If the song has been matched, the corresponding song in the GSelector library database is displayed, along with the Interface reference.

Search for match button

Click this button to initiate a search which matches the text in the Title and Artist fields in the Research Songs. See the notes for Matching Mediabase Songs to GSelector Songs in this topic.

Remove Song References

Click the [image] to delete the song reference. Click Yes to the prompt to confirm the deletion of the reference.

Add Multiple Song References

Click the [image] to open the Find Songs window with a defined search for the selected song. Double-click the song to add. This is useful for those sites with stations running different versions of the same song.

Active/Inactive status

This field indicates the current status of each song in the Map Songs pane.

Active status.
When a song has been matched, it is active An Active item - a Song, Link or Note - is available to schedule in the current station. for this station, and assigned to the designated Category where the Activate Songs box is checked.

Inactive status
Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs are displayed with the Inactive Icon in the status column.

Topic Overview: Interfaces Mediabase window

Working in this window

The process described

Mapping Mediabase Score to GSelector Research Columns

Clearing Score Field Mapping

Matching Mediabase Songs to GSelector songs

Remove Song References

Add Multiple Song References

Find Songs window - Matching Research Songs to GSelector songs

Searching in the Find Songs window

Resetting Mediabase settings in GSelector

See also the general working notes in the Advanced Search topic.

The process described

  1. Click the Login Settings toolbar [image] button to access the Validate User window and enter your Mediabase credentials.
  2. Then select a Mediabase period, and click the Get Scores button.
  3. In the Song Mapping pane, view matched songs or unmatched songs by selecting the appropriate option in the Map Song Options field.
  4. Work in the unmatched songs view to match songs by clicking the Search Button.

For detailed notes on using the GSelector Matching Tool, see the notes in the Interfaces Media Monitors window topic.

Mapping Mediabase fields to GSelector Research Columns

  1. In the Map Scores to Research pane, click the Add [image] button to open a line in this pane.
  2. In the left most Format column, click the drop-down arrow to select a Format in the left hand field.
  3. In the GSelector Research Column field, select an existing Column Name to associate with the selected format score field.
  4. Or to create a new Research Column, click the Add [image] button at right to open the Add Research Column dialog box. This allows you to define a new Research Column directly from this window.
  5. Finally, click the Save button in the toolbar to save this setting.

Clearing a Mapping

To remove a score field Mapping:

  1. Select a Mapping line.
  2. Click the Delete [image] button to clear any selected line from this pane.
  3. Click the save button in the toolbar to save your change.

Matching Unmatched Mediabase Songs to GSelector songs

  1. Select Unrecognized Songs in Map Songs options
  2. Select a Song in the Map Songs pane
  3. Click the Search [image] button at far right to access the Find Songs window.

Resetting Mediabase settings in GSelector

Your Mediabase settings can be reset by going to the Tools Interfaces Research window and accessing the Setup/Reset window.

Topic Overview: Interfaces Mediabase window


Interfaces Rate The Music window

This window allows you to import research scores from Rate The Music Rate The Music (RateTheMusic.com) is a public website giving music listeners the chance to rate a variety of music styles. The service is also available to Radio Stations to allow listeners to rate station output. to use as GSelector research attributes . The Rate The Music Radio service is currently available in the USA and Canada. To use this tool, GSelector must be interfaced with Rate The Music using a Username and Password obtained from Rate The Music.

In this window, there are three functions:

  1. The association, or mapping, of Rate The Music fields, by Rate The Music format, to your chosen GSelector Research Columns;
  2. The matching of GSelector Songs with Rate The Music Song entries in the Map Songs pane;
  3. The importing of Rate The Music values for each Song according to the Mapping described above in step 2, to the GSelector field described above in step 1.

Once a Song has been associated with its Rate The Music counterpart, and Research Columns assigned in this window, Rate The Music Scores can be displayed in the Research Column field in the Song window Research Scores and SongTrack ® Graphs panes, and used as a Research Attribute.

NOTE: This window is one of five dedicated research interfaces windows in GSelector. In addition to this window, you can also import research from Media Monitors, Mediabase, Critical Mass Media and Test All Media. You can assign different Research Columns to data from each of the services and combine the use of the different data, as you wish, within GSelector. Third Party Research GSelector offers direct interfaces to Media Monitors, Rate The Music and Mediabase research services. Other research service data can be imported in the Setup Research Import window. users should refer to the Importing Research Scores topic.

Accessing this window

Features in this window

Working in this window

Topic Overview: Interfaces Rate The Music window

Accessing this window

Once you have entered a Username and Password obtained from Rate The Music using the Login Settings [image] button, the Rate The Music tab window is active. Click Interface, and then Rate The Music to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Interfaces Rate The Music window

Features in this window

Toolbar

Validate User window

Last Update field

Get Scores button

Map Scores to GSelector Research Columns field

Song Mapping

Map Songs display options

Activate Songs

Right-Click Menu

Toolbar

Click Save to save changes

Click Cancel button to clear any changes

Click the Login Settings button to access the Rate the Music Validate User window.

Click the and the Matched Station Songs button to open the Matched Station Songs window to allow the removal of matched references to Station songs.

Validate User window

To access and import Rate The Music data, users must enter their Rate The Music accreditation.

Click the Login Settings button in the toolbar to access this window.

Enter your Rate The Music Username and password, click the Verify URL/Credentials button to confirm your credentials, and then click OK to close the Validate User window. Click the Save button in the toolbar to save your settings. Once these settings are entered and verified, GSelector recalls them automatically the next time this user accesses this window.

Matched Station Songs window

To remove references to station songs click the Matched Station Songs [image] button to open the Matched Station Songs window, find the song to remove and click the remove X to the right of the row.

The user will be prompt to confirm the removal of the reference to the song.

Last Update field

This field displays the most recent date when Rate The Music data was imported.

Survey

Click the dropdown arrow in this field to select a Rate The Music Survey.

Get Scores button

Click to import the Rate The Music scores. After the import, GSelector displays Unmatched Songs, indicated in the Map Songs display options field, in the Map Songs Pane.

Map Rate The Music Breakouts to GSelector Research Columns fields pane

This pane allows you to associate specific Rate The Music Breakouts from the selected Rate The Music Survey with counterpart GSelector Research Column fields in GSelector. The Rate The Music Station for the selected Survey is displayed on the left, and you can select from available Breakouts in this survey. Click the GSelector Research Column drop-down on the right to match to a Column, or click the Add button at far right to access the Add Research Column dialog box so you can define a new Research Column directly from this window.

GSelector Research Columns are displayed in the Song window History Research Scores and SongTrack ® Graph panes.

Song Mapping

Once you have selected a Survey and clicked the Get Scores button, the imported data is displayed in this pane, sorted by research score for the selected Breakout.

One of the functions in this window is the matching of Songs between the Rate The Music Database and your GSelector Database. Stations often have their own ways to describe Song in their database, which are particular to that Station or the Station's group. So it is important that the correct Songs are matched between Rate The Music and GSelector databases. GSelector will automatically attempt to match on Artist and Title information, The Map Songs display options field allows you to view matched or unmatched Songs in the Map Songs Pane. This view shows songs for this import that are as yet not recognized in the GSelector database.

An Interface Reference Number is assigned to the Song during the Mapping process; the Reference Number is placed against the Song in both databases, and serves as the common permanent point of contact between GSelector and Rate The Music. The Song's details can then be modified locally if required, as long as the Interface Reference number remains unchanged. A Song can have multiple Interface References where GSelector is Interfaced to one or more external databases; these are displayed in the Interface References pane of the Song window.

Click any area in the image for help

Click any area in the image for help

Map Songs Display options

Activate Songs

Find (CTRL+F)

Research Song list

GSelector List

Search button

Remove Song References

Add Multiple Song References

Active/Inactive status

Right-Click Menu

Map Songs display options

This pane allows you to select any combination of Songs to view in the Map Songs pane - Unrecognized Songs, Songs which are matched between the Rate The Music database and the GSelector database, Songs which were matched before prior to this session, or all Songs.

Activate Songs checkbox

This option allows you to activate inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs, for the current station, listed in the Song mapping pane, and to specify the Category to which they are activated.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Map Songs pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Research Songs List

On the left of the Map Songs pane, GSelector displays Title, Artist, the Research Date, and the score for the selected Breakout in the selected Survey for imported songs, all taken from the Rate The Music database.

GSelector Song Data

On right of the Map Songs pane, GSelector displays the Title, Artist and Media ID from the GSelector database, and indicates whether it has already been referenced in GSelector to Rate The Music. If the Song is as yet unrecognized, this part of the window is blank, and the Search button is active. If the song has been matched, the corresponding song in the GSelector library database is displayed, along with the Interface reference.

Search for match button

Click this button to initiate a search which matches the text in the Title and Artist fields in the Research Songs. See the notes for Matching Rate The Music Songs to GSelector Songs in this topic.

Remove Song References

Click the [image] to delete the song reference. Click Yes to the prompt to confirm the deletion of the reference.

Add Multiple Song References

Click the [image] to open the Find Songs window with a defined search for the selected song. Double-click the song to add. This is useful for those sites with stations running different versions of the same song.

Active/Inactive status

This field indicates the current status of each song in the Map Songs pane.

Active status.
When a song has been matched, it is active An Active item - a Song, Link or Note - is available to schedule in the current station. for this station, and assigned to the designated Category where the Activate Songs box is checked.

Inactive status
Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs are displayed with the Inactive Icon in the status column.

Right-Click Menu

By right-clicking any of the Column headers in the Rate the Music Interfaces results pane you can change to look and layout of the pane, by removing columns, adding columns, sorting, grouping and expanding the column to best fit the data in the column.

Topic Overview: Interfaces Rate The Music window

Working in this window

The process described

Mapping Rate The Music Score to GSelector Research Columns

Clearing Score Field Mapping

Matching Rate The Music Songs to GSelector songs

Remove Song References

Add Multiple Song References

Find Songs window - Matching Research Songs to GSelector songs

Searching in the Find Songs window

Resetting Rate The Music settings in GSelector

See also the general working notes in the Advanced Search topic.

The process described

  1. Access this window from the Interface - Rate The Music tab.
  2. Click the Login Settings [image] toolbar button to access the Validate User window and enter your Rate The Music credentials.
  3. Then select a Rate The Music period, and click the Get Scores button.
  4. In the Song Mapping pane, view matched songs or unmatched songs by selecting the appropriate option in the Map Song Options field.
  5. Work in the unmatched songs view to match songs by clicking the Search Button.

For detailed notes on using the GSelector Matching Tool, see the notes in the Interfaces Media Monitors window topic.

Mapping Rate The Music fields to GSelector Research Columns

  1. In the Map Scores to Research pane, click the Add [image] button to open a line in this pane.
  2. In the left most Format column, click the dropdown arrow to select a Format in the left hand field.
  3. In the GSelector Research Column field, select an existing Column Name to associate with the selected format score field.
  4. Or to create a new Research Column, click the Add [image] button at right to open the Add Research Column dialog box. This allows you to define a new Research Column directly from this window.
  5. Finally, click the Save button in the toolbar to save this setting.

Clearing a Mapping

To remove a score field Mapping:

  1. Select a Mapping line.
  2. Click the Delete [image] button to clear any selected line from this pane.
  3. Click the save button in the toolbar to save your change.

Matching Unmatched Rate The Music Songs to GSelector songs

  1. Select Unrecognized Songs in Map Songs options
  2. Select a Song in the Map Songs pane
  3. Click the Search [image] button at far right to access the Find Songs window.

Resetting Rate The Music settings in GSelector

Your Media Monitors settings can be reset by going to the Tools Interfaces Research window and accessing the Setup/Reset window.

Topic Overview: Interfaces Rate The Music window


Interfaces Media Monitors window

This window is used to import Mscore Switching values, recorded in Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050. , to use as GSelector research attributes. This service is available in the US for Media Monitors subscribers. To use this tool, GSelector must be interfaced with Media Monitors using a Username and Password obtained from Media Monitors.

In this window, there are three functions:

  1. The association, or mapping, of Media Monitors Mscore Switching fields to chosen GSelector Research Columns;
  2. The matching of GSelector Songs with Media Monitors Song entries in the Map Songs pane;
  3. The importing of Mscore Switching values for each Song according to the Mapping described above in step 2, in the GSelector field described above in step 1.

Once the Song has been associated with its Media Monitors counterpart, and a Research Column assigned in this window, Research Scores are displayed in the Research Column field in the Song window Research Scores and SongTrack ® Graphs panes, and the user can jump directly to the Mscore Switching window in Media Monitors from the Song window.

NOTE: This window is one of five dedicated research interface windows in GSelector. In addition to this window, you can also import research from Rate The Music, Mediabase, Critical Mass Media and Test All Media. You can assign a different Research Column for data from each of the services and combine the use of the different data, as you wish, within GSelector. Third Party Research GSelector offers direct interfaces to Media Monitors, Rate The Music and Mediabase research services. Other research service data can be imported in the Setup Research Import window. users should refer to the Import Research Scores topic.

Accessing this window

Features in this window

Working in this window

See also the Using Research scores as Scheduling Attributes topic for an overview of Research processes.

Accessing this window

Click the Interface tab and then the Media Monitors tab to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Interfaces Media Monitors window

Features in this window

Toolbar

Last Update field

Period Selection

Data Type

Get Mscores button

Map Mscores to GSelector Research Columns field

Song Mapping

Map Songs display options

Map Songs pane

Activate Songs Checkbox

Toolbar

Click Save to save changes

Click Cancel button to clear any changes

Click the Login Settings button to access the Media Monitors Validate User window.

Click the Feature Tracker Setting button to access the Feature Tracker Settings window.

Click the and the Matched Station Songs button to open the Matched Station Songs window to allow the removal of matched references to Station songs.

Validate User window

To access Media Monitors data, users must enter their Media Monitors accreditation.

Click the Validate User button in the toolbar to access this window.

Enter your Media Monitors Username and password, click the Verify URL/Credentials button to confirm your credentials, and then click OK to close the Validate User window. Click the Save button in the toolbar to save your settings. Once these settings are entered and verified, GSelector recalls them automatically the next time this user accesses this window.

Feature Tracker Settings

To set the Station Associations select a Feature Tracker Station to use from Media Monitors

Click the Feature Tracker Setting button to access this window

If you have login credentials for Media Monitors and an Internet connection on your GSelector workstation, you can now add Annotations to your GSelector schedules to indicate where various Media Monitors “Features” are located. After doing this, you can then use the Feature Tracker capabilities of Media Monitors to see the effectiveness of your feature programming, as measured by Nielsen’s Portable People Meter technology. Contact your Media Monitors representative for a license.

Matched Station Songs window

To remove references to station songs click the Matched Station Songs [image] button to open the Matched Station Songs window, find the song to remove and click the remove X to the right of the row.

The user will be prompt to confirm the removal of the reference to the song.

Last Update field

This field displays the most recent date when Mscore data was imported.

Period selection

The default value in this field shows the most recent Week Ending date for which there are records. Research weeks in MScore run from Thursday to Wednesday, matching Nielsen Nielsen partners with Media Monitors in a number of areas. Nielsen’s core businesses are measuring network and local-market radio audiences across the United States. sampling practice. Where data exists, you can jump back or forward a week at a time by clicking the left or right arrows.

Data Type

Select one of these two data types to specify a Mscore™ moving average period. We offer two options: Currents and Gold. In general, Mscore™ uses a 4-week moving average of the weekly switching The act of listeners switching away from a Radio station, but returning to that station later, often as a reaction to something the listener hears that she may dislike. This is not the same as 'tuning out', where the listener leaves the station with no immediate intention of returning. values, and this value is applied when selecting the Current option. To search Mscore™ values across a longer moving average, which is more appropriate for some formats (Oldies, Classic Rock, etc), select Gold, which applies a 13-week moving average.

Get Mscores button

Click to import the Mscore Data. After the import, GSelector displays Unmatched Songs, indicated in the Map Songs display options field, in the Map Songs Pane.

Map Mscores to GSelector Research Columns

This pane is used to associate, for any Media Monitors station to which there is licensed access, the station-specific Mscore field with a GSelector Research Column field. The Media Monitors stations are selected and displayed on the left. The center drop-down is used to select an associated Mscore field and the GSelector Research Columns are selected from the right most field. Click the Add button at far right to access the Add Research Column dialog Mscore_data_fieldsbox to define a new Research Column directly from this window. A research column can only be assigned to one score per enterprise. Research Column assignments are exclusive per enterprise, not per station.

Research Columns are displayed in the Song window History Research Scores and SongTrack ® Graph panes. Once a GSelector Song has been associated with its Media Monitors counterpart, as shown by the [image] checked icon in the Referenced column in the Matched Songs view of the Song Mapping pane, you can also jump to the Mscore Switching window in Media Monitors from that Song's Song Window.

Mscore data fields

Mapping Station Mscore Feilds to GSelector Research Columns

Clearing an Mscore Mapping

Mscore data fields

Mscore Switching - If Current is selected as the Data type the calculation is a moving 4-week average of Song data for those weeks that have 6 or more spins. If Gold is selected as the Data type the calculation is based on a 13-week moving average of weekly switching.

Mscore Rank - A number from 1 to N where N is the number of songs having Mscores in that Period. 1 is the song with the highest Mscore while N is the song having the lowest.

Mscore Index - A number between, roughly 60 and 140. An Mscore Index of 100 represents the median Mscore, and the values above and below that are a mathematical derivative from 100 based on the difference in Mscore.

Switch Week 1 through Switch Week 13 - These data elements are used to see the individual weekly scores, with Switch Week 1 being the most recent.

Song Mapping

One of the functions in this window is the matching of Songs between the Media Monitors Database and the GSelector Database. Stations often have their own ways to describe Song in their database, which are particular to that Station or the Station's group. So it is important that the correct Songs are matched between Media Monitors and GSelector databases. The Map Songs display options field is used to view matched and unmatched Songs in the Map Songs Pane.

Map Songs display options

This pane allows you to select any combination of Songs to view in the Map Songs pane: Unrecognized Songs, Songs which are matched between the Media Monitors database and the GSelector database, Songs which were matched before prior to this session, or all Songs.

Activate Songs checkbox

This option allows you to activate inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs, for the current station, listed in the Song mapping pane, and to specify the Category to which they are activated.

Map Songs pane

Map Songs Pane showing Unrecognized Songs

Map Songs Pane showing Matched Songs

Find (CTRL+F)

The Map Songs pane is used to Map Songs between the Media Monitors database and the GSelector database.

During the import process, GSelector attempts to match Songs in the Media Monitors database, comparing Artist and Title information with the counterpart Songs in the GSelector database. This process is automatic.

After the import process, the pane initially displays those Media Monitors Songs which are unrecognized in the GSelector Database, sorted by Mscore Switching value. To match the unmatched songs, see the notes on Matching Media Monitors Songs to GSelector Songs in this topic.

An Interface Reference Number is assigned to the Song during the Mapping process; the Reference Number is placed against the Song in both databases, and serves as the common permanent point of contact between GSelector and Media Monitors. The Song's details can then be modified locally if required, as long as the Interface Reference number remains unchanged. A Song can have multiple Interface References where GSelector is Interfaced to one or more external databases; these are displayed in the Interface References pane of the Song window.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Map Songs pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Map Songs Pane showing Unrecognized Songs

Click any area in the image for help

Click any area in the image for help

Media Monitors Song Data

GSelector Song Data

Search for match button

Remove Song References

Add Multiple Song References

Active/Inactive status

Map Songs Pane showing Matched Songs

Click any area in the image for help

Click any area in the image for help

Media Monitors Song Data

GSelector Song Data

Search for match button

Remove Song References

Add Multiple Song References

Active/Inactive status

Media Monitors Song Data

On the left of the Map Songs pane, GSelector displays Title, Artist and the Mscore data and the last date in the Research period, all taken from the Media Monitors database.

GSelector Song Data

On right of the Map Songs pane, GSelector displays the Title, Artist and Media ID from the GSelector database.
If the Song is as yet unrecognized, this part of the window is blank, and the Search button is active.
If the song has been matched, The corresponding song in the GSelector library database is displayed, along with a [image] checked icon in the Referenced column. Once an interface reference is present, the user can jump to the Mscore Switching window in Media Monitors from that Song's Song Window.

Search for match button

Click this button to initiate a search which matches the text in the Title and Artist fields in the Media Monitors Song data. See the notes for Matching Media Monitors Songs to GSelector Songs in this topic.

Remove Song References

Click the [image] to delete the song reference. Click Yes to the prompt to confirm the deletion of the reference.

Add Multiple Song References

Click the [image] to open the Find Songs window with a defined search for the selected song. Double-click the song to add. This is useful for those sites with stations running different versions of the same song.

Active/Inactive status

This field indicates the current status of each song in the Map Songs pane.

Active status.
When a song has been matched, it is active An Active item - a Song, Link or Note - is available to schedule in the current station. for this station, and assigned to the designated Category where the Activate Songs box is checked.

Inactive status
Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs are displayed with the Inactive Icon in the status column.

Topic Overview: Interfaces Media Monitors window

Working in the Interfaces Media Monitors window

The Import Process Described

Mapping Mscores to GSelector Research columns

Clearing a mapping

Matching unmatched Media Monitors Songs to GSelector Songs

Remove Song References

Add Multiple Song References

Find Songs window - Matching Media Monitors Songs to GSelector songs

Searching in the Find Songs window

Resetting Media Monitors settings in GSelector

See also the general working notes in the Advanced Search topic.

The Import Process Described

  1. Click the Login Setting button and enter a valid Username and Password to activate the Media Monitors Interface tab.
  2. For each station, Map the relevant Mscore Switching Media Monitors field to a counterpart GSelector Research Column.
  3. Click the Get Mscores button to import the current Mscore Switching data.
  4. Work in the Map Songs pane to Match Unrecognized Songs.

Mapping Station Mscore fields to GSelector Research columns

  1. In the Map Mscores pane, click the Add [image] button to open a line in this pane.
  2. In the left most station column, click the drop-down arrow to select a Station in the left hand field.
  3. In the GSelector Research Column field, select an existing Column Name to associate with the selected Station Mscores.
  4. Or click the [image] Add button at right to open the Add Research Column dialog box to define a new Research Column directly from the Map Mscore pane.
  5. Finally, click the Save button in the toolbar to save this setting.

Clearing a Mapping

To remove a Station Mscore Mapping:

  1. Select a Mapping line in the Map Mscores pane.
  2. Click the Delete [image] button to clear any selected line from this pane.
  3. Click the save button in the toolbar to save your change.

Matching unmatched Media Monitors Songs to GSelector Songs

  1. Select Unrecognized Songs in Map Songs options
  2. Select a Song in the Map Songs pane
  3. Click the Search [image] button at far right to access the Find Songs window.

Find Songs window

These notes apply also to the Find Song process in the Interfaces Mediabase window, Interfaces Rate The Music window, Interfaces Critical Mass Media window and Interfaces Test All Media window.

This pane is a modified version of the Advanced Search window, used in the Library and Link Browse windows and the Editor. The Find Songs window opens showing search values taken from the selected Song's Title and Artist fields in the Media Monitors Songs pane (or the Research Songs pane of another Interfaces window) for the selected Song, and displays search results for the current Station. To search all stations use the Search drop-down to select Search All Stations Using Station Specific Data. You can either select from suggested matches, or work in the window to find other potential matches,

Finding other potential matches

While GSelector will attempt to match and if necessary, fuzzy match In computing, an expression for approximate matching of text in text strings., the text in the Title and Artist fields to allow Song mapping and the import of the Mscore Switching value to the desired field, sometimes there is no evident match, even if it is clear that the Song in Media Monitors is the same items being played in GSelector. Stations can choose to describe a Song or an Artist in any way that suits their purpose, while Media Monitors normally follows industry standard criteria. If none of the matches in the Find Song window are correct, use any of the Advanced Search features in this window to specify different search criteria. See the notes in the Browse Window Advanced Search topic for full details.

Resetting Media Monitors settings in GSelector

The Media Monitors settings can be reset by going to the Tools Interfaces Research window and accessing the Setup/Reset window.

Topic Overview: Interfaces Media Monitors window


Interfaces Test All Media window

This window allows you to import research scores from Test All Media Test All Media (www.testallmedia.com) is a public website giving music listeners the chance to test websites, video, content, music, ads, images and more!. With decades of experience in radio, TV, newspapers, cable, music, new media and more, Test All Media is your one-stop shop for research and testing tools. to use as GSelector research attributes. To use this tool, GSelector must be interfaced with Test All Media using a Username and Password obtained from Test All Media.

In this window, there are three functions:

  1. The association, or mapping, of Test All Media fields, to your chosen GSelector Research Columns;
  2. The matching of GSelector Songs with Test All Media Song entries in the Map Songs pane;
  3. The importing of Test All Media values for each Song according to the Mapping described above in step 2, to the GSelector field described above in step 1.

Once a Song has been associated with its Test All Media counterpart, and Research Columns assigned in this window, Test All Media Scores can be displayed in the Research Column field in the Song window Research Scores and SongTrack ® Graphs panes, and used as a Research Attribute.

NOTE: This window is one of five dedicated research interfaces windows in GSelector. In addition to this window, you can also import research from Media Monitors, Mediabase, Rate the Music and Critical Mass Media. You can assign different Research Columns to data from each of the services and combine the use of the different data, as you wish, within GSelector. Third Party Research GSelector offers direct interfaces to Media Monitors, Rate The Music and Mediabase research services. Other research service data can be imported in the Setup Research Import window. users should refer to the Importing Research Scores topic.

Accessing this window

Features in this window

Working in this window

Accessing this window

Once you have entered a Username and Password obtained from Test All Media using the Login Settings [image] button, the Test All Media tab window is active. Click Interface, and then Test All Media to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Interfaces Test All Media window

Features in this window

Toolbar

Validate User window

Last Update field

Get Scores button

Map Scores to GSelector Research Columns field

Song Mapping

Map Songs display options

Activate Songs.....

Toolbar

Click Save to save changes

Click Cancel button to clear any changes

Click the Login Settings button to access the Test All Media Validate User window.

Click the and the Matched Station Songs button to open the Matched Station Songs window to allow the removal of matched references to Station songs.

Validate User window

To access and import Test All Media data, users must enter their Test All Media credentials.

Click the Login Settings button in the toolbar to access this window.

Enter your Test All Media Username and password, click the Verify URL/Credentials button to confirm your credentials, and then click OK to close the Validate User window. Click the Save button in the toolbar to save your settings. Once these settings are entered and verified, GSelector recalls them automatically the next time this user accesses this window.

Matched Station Songs window

To remove references to station songs click the Matched Station Songs [image] button to open the Matched Station Songs window, find the song to remove and click the remove X to the right of the row.

The user will be prompt to confirm the removal of the reference to the song.

Last Update field

This field displays the most recent date that Test All Media data was imported.

Survey

Click the drop-down arrow in this field to select a Test All Media Survey.

Get Scores button

Click to import the Test All Media scores. After the import, GSelector displays Unmatched Songs, indicated in the Map Songs display options field, in the Map Songs Pane.

Map Test All Media Breakouts to GSelector Research Columns fields pane

This pane allows you to associate specific Test All Media Breakouts from the selected Test All Media Survey with counterpart GSelector Research Column fields in GSelector. The Test All Media Station for the selected Survey is displayed on the left, and you can select from available Breakouts in this survey. Click the GSelector Research Column drop-down on the right to match to a Column, or click the Add button at far right to access the Add Research Column dialog box so you can define a new Research Column directly from this window.

GSelector Research Columns are displayed in the Song window History Research Scores and SongTrack ® Graph panes.

Song Mapping

Once you have selected a Survey and clicked the Get Scores button, the imported data is displayed in this pane, sorted by research score for the selected Breakout.

One of the functions in this window is the matching of Songs between the Test All Media Database and your GSelector Database. Stations often have their own ways to describe Song in their database, which are particular to that Station or the Station's group. So it is important that the correct Songs are matched between Test All Media and GSelector databases. GSelector will automatically attempt to match on Artist and Title information, The Map Songs display options field allows you to view matched or unmatched Songs in the Map Songs Pane. This view shows songs for this import that are as yet not recognized in the GSelector database.

An Interface Reference Number is assigned to the Song during the Mapping process; the Reference Number is placed against the Song in both databases, and serves as the common permanent point of contact between GSelector and Test All Media. The Song's details can then be modified locally if required, as long as the Interface Reference number remains unchanged. A Song can have multiple Interface References where GSelector is Interfaced to one or more external databases; these are displayed in the Interface References pane of the Song window.

Click any area in the image for help

Click any area in the image for help

Map Songs Display options

Activate Songs

Find (CTRL+F)

Research Song list

GSelector List

Search button

Remove Song References

Add Multiple Song References

Active/Inactive status

Map Songs display options

This pane allows you to select any combination of Songs to view in the Map Songs pane - Unrecognized Songs, Songs which are matched between the Test All Media database and the GSelector database, Songs which were matched before prior to this session, or all Songs.

Activate Songs checkbox

This option allows you to activate inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs, for the current station, listed in the Song mapping pane, and to specify the Category to which they are activated.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option, click the Map Songs pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Research Songs List

On the left of the Map Songs pane, GSelector displays Title, Artist, the Research Date, and the score for the selected Breakout in the selected Survey for imported songs, all taken from the Test All Media database.

GSelector Song Data

On right of the Map Songs pane, GSelector displays the Title, Artist and Media ID from the GSelector database, and indicates whether it has already been referenced in GSelector to Test All Media. If the Song is as yet unrecognized, this part of the window is blank, and the Search button is active. If the song has been matched, the corresponding song in the GSelector library database is displayed, along with the Interface reference.

Search for match button

Click this button to initiate a search which matches the text in the Title and Artist fields in the Research Songs. See the notes for Matching Test All Media Songs to GSelector Songs in this topic.

Remove Song References

Click the [image] to delete the song reference. Click Yes to the prompt to confirm the deletion of the reference.

Add Multiple Song References

Click the [image] to open the Find Songs window with a defined search for the selected song. Double-click the song to add. This is useful for those sites with stations running different versions of the same song.

Active/Inactive status

This field indicates the current status of each song in the Map Songs pane.

Active status
When a song has been matched, it is active An Active item - a Song, Link or Note - is available to schedule in the current station. for this station and assigned to the designated Category where the Activate Songs box is checked.

Inactive status
Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs are displayed with the Inactive Icon in the status column.

Topic Overview: Interfaces Test All Media window

Working in this window

The process described

Mapping Test All Media Score to GSelector Research Columns

Clearing Score Field Mapping

Matching Test All Media Songs to GSelector songs

Remove Song References

Add Multiple Song References

Find Songs window - Matching Research Songs to GSelector songs

Searching in the Find Songs window

See also the general working notes in the Advanced Search topic.

The process described

  1. Access this window from the Interface | Test All Media tab
  2. Click the Login Settings [image] toolbar button to access the Validate User window and enter your Test All Media credentials.
  3. Then select a Test All Media survey period, and click the Get Scores button.
  4. In the Song Mapping pane, view matched songs or unmatched songs by selecting the appropriate option in the Map Song Options field.
  5. Work in the unmatched songs view to match songs by clicking the Search Button.

For detailed notes on using the GSelector Matching Tool, see the notes in the Interfaces Media Monitors window topic.

Mapping Test All Media fields to GSelector Research Columns

  1. In the Map Scores to Research pane, click the Add [image] button to open a line in this pane.
  2. In the left most Format column, click the drop-down arrow to select a Format in the left hand field.
  3. In the GSelector Research Column field, select an existing Column Name to associate with the selected format score field.
  4. Or to create a new Research Column, click the Add [image] button at right to open the Add Research Column dialog box. This allows you to define a new Research Column directly from this window.
  5. Finally, click the Save button in the toolbar to save this setting.

Clearing a Mapping

To remove a score field Mapping:

  1. Select a Mapping line.
  2. Click the Delete [image] button to clear any selected line from this pane.
  3. Click the save button in the toolbar to save your change.

Matching Unmatched Test All Media Songs to GSelector songs

  1. Select Unrecognized Songs in Map Songs options
  2. Select a Song in the Map Songs pane
  3. Click the Search [image] button at far right to access the Find Songs window.

Topic Overview: Interfaces Test All Media window


Interfaces Critical Mass Media window

This window allows you to import research scores from Critical Mass Media Critical Mass Media is a provider of market research and direct marketing services to the radio broadcasting industry. Contacting millions of people each year in the US either by phone or online, the company offers insight into listener demographics and opinion surveys to help broadcasters tailor their programming and commercial messages to their audiences. to use as GSelector research attributes. The Critical Mass Media service is currently available in the USA and Canada. To use this tool, GSelector must be interfaced with Critical Mass Media using a Username and Password obtained from Critical Mass Media.

In this window, there are three functions:

  1. The association, or mapping, of Critical Mass Media fields, to your chosen GSelector Research Columns;
  2. The matching of GSelector Songs with Critical Mass Media Song entries in the Map Songs pane;
  3. The importing of Critical Mass Media values for each Song according to the Mapping described above in step 2, to the GSelector field described above in step 1.

Once a Song has been associated with its Critical Mass Media counterpart, and Research Columns assigned in this window, Critical Mass Media Scores can be displayed in the Research Column field in the Song window Research Scores and SongTrack ® Graphs panes, and used as a Research Attribute.

NOTE: This window is one of five dedicated research interfaces windows in GSelector. In addition to this window, you can also import research from Media Monitors, Mediabase, Rate the Music and Test All Media. You can assign different Research Columns to data from each of the services and combine the use of the different data, as you wish, within GSelector. Third Party Research GSelector offers direct interfaces to Media Monitors, Rate The Music and Mediabase research services. Other research service data can be imported in the Setup Research Import window. users should refer to the Importing Research Scores topic.

Accessing this window

Features in this window

Working in this window

Accessing this window

Once you have entered a Username and Password obtained from Critical Mass Media using the Login Settings [image] button, the Critical Mass Media tab window is active. Click Interface, and then Critical Mass Media to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Interfaces Critical Mass Media window

Features in this window

Toolbar

Validate User window

Last Update field

Get Scores button

Map Scores to GSelector Research Columns field

Song Mapping

Map Songs display options

Activate Songs......

Toolbar

Click Save to save changes

Click Cancel button to clear any changes

Click the Login Settings button to access the Critical Mass Media Validate User window.

Click the and the Matched Station Songs button to open the Matched Station Songs window to allow the removal of matched references to Station songs.

Validate User window

To access and import Critical Mass Media data, users must enter their Critical Mass Media credentials.

Click the Login Settings button in the toolbar to access this window.

Enter your Critical Mass Media Username and password, click the Verify URL/Credentials button to confirm your credentials, and then click OK to close the Validate User window. Click the Save button in the toolbar to save your settings. Once these settings are entered and verified, GSelector recalls them automatically the next time this user accesses this window.

Matched Station Songs window

To remove references to station songs click the Matched Station Songs [image] button to open the Matched Station Songs window, find the song to remove and click the remove X to the right of the row.

The user will be prompt to confirm the removal of the reference to the song.

Last Update field

This field displays the most recent date that Critical Mass Media data was imported.

Test

Click the drop-down arrow in this field to select a Critical Mass Media Test.

Get Scores button

Click to import the Critical Mass Media scores. After the import, GSelector displays Unmatched Songs, indicated in the Map Songs display options field, in the Map Songs Pane.

Map Critical Mass Media Breakouts to GSelector Research Columns fields pane

This pane allows you to associate specific Critical Mass Media Breakouts from the selected Critical Mass Media Test with counterpart GSelector Research Column fields in GSelector. The Critical Mass Media Station for the selected Test is displayed on the left, and you can select from available Breakouts in this survey. Click the GSelector Research Column drop-down on the right to match to a Column, or click the Add button at far right to access the Add Research Column dialog box so you can define a new Research Column directly from this window.

GSelector Research Columns are displayed in the Song window History Research Scores and SongTrack ® Graph panes.

Song Mapping

Once you have selected a Test and clicked the Get Scores button, the imported data is displayed in this pane, sorted by research score for the selected Breakout.

One of the functions in this window is the matching of Songs between the Critical Mass Media Database and your GSelector Database. Stations often have their own ways to describe Song in their database, which are particular to that Station or the Station's group. So it is important that the correct Songs are matched between Critical Mass Media and GSelector databases. GSelector will automatically attempt to match on Artist and Title information, The Map Songs display options field allows you to view matched or unmatched Songs in the Map Songs Pane. This view shows songs for this import that are as yet not recognized in the GSelector database.

An Interface Reference Number is assigned to the Song during the Mapping process; the Reference Number is placed against the Song in both databases, and serves as the common permanent point of contact between GSelector and Critical Mass Media. The Song's details can then be modified locally if required, as long as the Interface Reference number remains unchanged. A Song can have multiple Interface References where GSelector is Interfaced to one or more external databases; these are displayed in the Interface References pane of the Song window.

Click any area in the image for help

Click any area in the image for help

Map Songs Display options

Activate Songs checkbox

Find (CTRL+F)

Research Song list

GSelector List

Search button

Remove Song References

Add Multiple Song References

Active/Inactive status

Map Songs display options

This pane allows you to select any combination of Songs to view in the Map Songs pane - Unrecognized Songs, Songs which are matched between the Critical Mass Media database and the GSelector database, Songs which were matched before prior to this session, or all Songs.

Activate Songs checkbox

This option allows you to activate inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs, for the current station, listed in the Song mapping pane, and to specify the Category to which they are activated.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option, click the Map Songs pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Research Songs List

On the left of the Map Songs pane, GSelector displays Title, Artist, the Research Date, and the score for the selected Breakout in the selected Test for imported songs, all taken from the Critical Mass Media database.

GSelector Song Data

On right of the Map Songs pane, GSelector displays the Title, Artist and Media ID from the GSelector database, and indicates whether it has already been referenced in GSelector to Critical Mass Media. If the Song is as yet unrecognized, this part of the window is blank, and the Search button is active. If the song has been matched, the corresponding song in the GSelector library database is displayed, along with the Interface reference.

Search for match button

Click this button to initiate a search which matches the text in the Title and Artist fields in the Research Songs. See the notes for Matching Critical Mass Media Songs to GSelector Songs in this topic.

Remove Song References

Click the [image] to delete the song reference. Click Yes to the prompt to confirm the deletion of the reference.

Add Multiple Song References

Click the [image] to open the Find Songs window with a defined search for the selected song. Double-click the song to add. This is useful for those sites with stations running different versions of the same song.

Active/Inactive status

This field indicates the current status of each song in the Map Songs pane.

Active status
When a song has been matched, it is active An Active item - a Song, Link or Note - is available to schedule in the current station. for this station and assigned to the designated Category where the Activate Songs box is checked.

Inactive status
Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Songs are displayed with the Inactive Icon in the status column.

Topic Overview: Interfaces Critical Mass Media window

Working in this window

The process described

Mapping Critical Mass Media Score to GSelector Research Columns

Clearing Score Field Mapping

Matching Critical Mass Media Songs to GSelector songs

Remove Song References

Add Multiple Song References

Find Songs window - Matching Research Songs to GSelector songs

Searching in the Find Songs window

See also the general working notes in the Advanced Search topic.

The process described

  1. Access this window from the Interface | Critical Mass Media tab.
  2. Click the Login Settings [image] toolbar button to access the Validate User window and enter your Critical Mass Media credentials.
  3. Then select a Critical Mass Media survey period, and click the Get Scores button.
  4. In the Song Mapping pane, view matched songs or unmatched songs by selecting the appropriate option in the Map Song Options field.
  5. Work in the unmatched songs view to match songs by clicking the Search Button.

For detailed notes on using the GSelector Matching Tool, see the notes in the Interfaces Media Monitors window topic.

Mapping Critical Mass Media fields to GSelector Research Columns

  1. In the Map Scores to Research pane, click the Add [image] button to open a line in this pane.
  2. In the left most Format column, click the drop-down arrow to select a Format in the left hand field.
  3. In the GSelector Research Column field, select an existing Column Name to associate with the selected format score field.
  4. Or to create a new Research Column, click the Add [image] button at right to open the Add Research Column dialog box. This allows you to define a new Research Column directly from this window.
  5. Finally, click the Save button in the toolbar to save this setting.

Clearing a Mapping

To remove a score field Mapping:

  1. Select a Mapping line.
  2. Click the Delete [image] button to clear any selected line from this pane.
  3. Click the save button in the toolbar to save your change.

Matching Unmatched Critical Mass Media Songs to GSelector songs

  1. Select Unrecognized Songs in Map Songs options
  2. Select a Song in the Map Songs pane
  3. Click the Search [image] button at far right to access the Find Songs window.

Topic Overview: Interfaces Critical Mass Media window


Interfaces Import Research window

This tool allows the import of Research scores from third-party research services. Import files must be in a specific format (see below), and users should configure the format of the import file in the research program. During the import process, GSelector displays any discrepancies in the bottom pane of the results section, which can be used for troubleshooting the format of the import file.

Note: You can also report third party research scores in XML Short for Extensible Markup Language, XML enables transmission and interpretation of data between Web-based applications and organizations. using the Import XML window.

TIP: You can search by Research Scores in the Browse window and display these in the Editor using a custom Browse Format.

Accessing this window

Features in this window

Working in this window

NOTE: Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050., Rate The Music Rate The Music (RateTheMusic.com) is a public website giving music listeners the chance to rate a variety of music styles. The service is also available to Radio Stations to allow listeners to rate station output. and Mediabase Mediabase is a music industry website containing in-depth charts and analysis based on the monitoring of 1,836 radio stations in the US and Canada, in 175 radio markets. Mediabase features real-time charts in 25 radio formats, based on radio airplay. users should see the notes on directly interfacing to these systems, and follow the steps to import scores from these services described in the dedicated Media Monitors, Mediabase and Rate The Music topics. Test All Media Test All Media (www.testallmedia.com) is a public website giving music listeners the chance to test websites, video, content, music, ads, images and more!. With decades of experience in radio, TV, newspapers, cable, music, new media and more, Test All Media is your one-stop shop for research and testing tools. users see the Test All Media Interfaces topic to configure and import scores from Test All Media. Critical Mass Media Critical Mass Media is a provider of market research and direct marketing services to the radio broadcasting industry. Contacting millions of people each year in the US either by phone or online, the company offers insight into listener demographics and opinion surveys to help broadcasters tailor their programming and commercial messages to their audiences. users see the Interfaces Critical Mass Media topic to configure and import scores from Critical Mass Media.

Accessing this window

From any GSelector window, click the Interfaces tab, then the Import Research tab to access the window. The detail illustration in this topic has been reduced to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Interface Import Research Scores

Features in this window

Toolbar

Import File Name

Delimiter

Match On

Results

Results Filter

Toolbar

Click Save to save changes.

Click Reset button to clear any unsaved changes.

Click the Print button to open the print preview window to print a report of the Research scores.

Import File Name

Enter the source file or navigate to the file location on the computer or network by clicking the [image] navigation button. Contact the site IT manager for assistance if needed.

Delimiter

Import Research files can be formatted with comma or tab delimiters. Use the Delimiter drop-down to select the delimiter used by the Research software. GSelector imports the table of values generated by the research software, and associates these values to each Song using the Match On ID selected.

TIP: When assembling a list of Songs to test, search in the Browse window to generate a list of Songs, then export that set of Songs to the Research software in the Export Songs window. See the Research software documentation, and the notes on creating a format in the Text files and the Formatting Table topic for details on designing a suitable format.

The files generated in the Third Party Research software should be configured so that the first Header row has the following fields:

MediaID, Date followed by the configured Research Column Names (see the Defining Columns notes in the Research Settings topic). The Header names used in the file must exactly match their counterparts in GSelector. Each value must be Comma or Tab separated. Note that Research files are Station-specific: they should be imported in that Station.

Accordingly, a Header for a Research Import file typically might contain the following fields when Comma delimited:

MediaID, Date, Male 18-24 Like, Female 18-24 Like

or this when Tab delimited:

MediaID Date Male 18-24 Like Female 18-24 Like

And lines from the file might look like this if they are Comma delimited:

Q1234, 5/28/2007, 90, 80

or this:

Q1234,5/28/2007,90,80

or like this if they are Tab delimited:

Q1234 5/28/2007 90 80

Note: The above lines contain information for each field, separated by a comma or tab. The Date field format is automatically set to the Date format for the current region. GSelector supports all commonly used punctuation symbols - comma, hyphen, period forward slash - as Month, Day and Year separators. This allows GSelector to take this information and apply it to the fields names in the Header row of the file. Additionally, when there are errors and omissions in this file, these will be flagged and be shown in the bottom pane of the results section of the window.

S4321,11/3/2008, ,85

TIP: If a research field is blank, as in the line above, then any previous existing value for that field is carried over from the previous Research Scores import. This is true only with respect to the Research Attribute in that it uses the most recent score for each column. However, the column for the research score for that imported date will be blank in the results pane.

Match On

The ID is the field GSelector will look for to match the Research information in the file. Use the ID drop-down to select what GSelector should use to match for importing the research information.

Get Scores

After the Import File Name, Delimiter and Match On have been selected, click the Get Scores button to import the file information into the Results pane.

Results

The results section is divided into two sections. The top section shows the results based on the Results Filter selected. The bottom pane of the results section will show any discrepancies encountered by GSelector when the Get Scores button is selected. Hover the mouse over any error in the top pane to see additional information about the error. Double-click any matched song to jump to the Song Window for that song.

Results Filter

The results filter is used to select any combination of Songs to view in the results pane:

Show All Songs - The Show All Songs option will show all the song research scores found in the file in the results pane.

Show Matched Song - The Show Matched Songs option will show all the song research scores that match songs in the GSelector database in the results pane.

Show Unrecognized Songs - The Show Unrecognized Songs option will show all the song research scores that did not match songs in the GSelector database in the results pane.

Topic Overview: Interface Import Research Scores

Working in this window

Using the Discrepancy file

The Import Process Described

Using the Discrepancy results

Any discrepancies generated when the Get Scores button is selected will be shown at the bottom of the results pane. The following discrepancies will be listed in this pane:

Invalid Research Column (name) - Where the Import file Header column names do not match the Research names in GSelector, this is indicated for the field in the report Header.

Invalid MediaID (with the Media ID and line number) - Where the Media ID does not correspond to its counterpart in GSelector, this is indicated.

Invalid GUID (with the GUID ID and line number) - Where the GUID (Asset) does not correspond to its counterpart in GSelector, this is indicated.

Invalid Station Specific ID (with the Station Specific ID and line number) - Where the Station Specific ID does not correspond to its counterpart in GSelector, this is indicated.

Inactive song for (with the Match On ID and line number) - Where the song is not active for the station in GSelector, this is indicated.

Multiple Songs for MediaID ( with the Media ID and line number) - Where there are two songs in the database with the same ID that match the ID in the file, this is indicated.

Multiple Songs for Station Specific ID ( with the Station Specific ID and line number) - Where there are two songs in the database with the same ID that match the ID in the file, this is indicated.

Research Score X is out of range (x is the score in the file. The error will also show the line number and the min, max range for that research score) - Where the scores do not meet the ranges defined in the Research Attributes window (see notes here), this is indicated.

The Import Process Described

  1. Once research is completed, generate the Import file in the Research software.
  2. Go to the Import Research tab in the Interface tab.
  3. Enter the path and filename in the Import File Name field.
  4. Select the Delimiter used in the research software.
  5. Select the ID to match on.
  6. Click the Get Scores button.
  7. Resolve any discrepancies found in the bottom pane of the results section.
  8. Optionally, double-click any matched song to jump to the Song Window for that song.
  9. Click Save [image] when finished. The Scores are imported into GSelector.
  10. The new scores are displayed in the Song window Research Scores pane.

Print the Import Research Report

  1. Once research is completed, generate the Import file in the Research software.
  2. Go to the Import Research tab in the Interface tab.
  3. Enter the path and filename in the Import File Name field.
  4. Select the Delimiter used in the research software.
  5. Select the ID to match on.
  6. Click the Get Scores button.
  7. Click the Print button in the Import Research toolbar to view a print preview of the report.

  8. Click the Print button in the Preview toolbar to print the report to the default printer.

Topic Overview: Interface Import Research Scores


Interfacing to Master Control

This topic covers how to interface GSelector with Master Control. We suggest you read this topic completely before attempting to interface GSelector with Master Control. For full details see the detailed notes in the 'Interfacing GSelector with Master Control' document. This can be found in your RCS/GSelector folder; alternately, contact Support at your local RCS Office.

NOTE: The scheduling philosophies and databases of the GSelector and Master Control programs are vastly different. There are lots of areas that can present challenges. But the two systems can coexist and work well together, providing some thought and attention to detail is applied when setting up, or changing your integration strategy.

Enabling Integration
Workflow after Integration
Creating New Program Elements
Deleting Program Elements
Editing Program Elements
Goals and Policy
Clocks
Export Schedule
Synchronization
Reconciliation
Manual Synchronization

Enabling Integration

This is done from GSelector. See the Master Control Notes in the Station - Interfaces topic for full details.

Workflow after Integration

When GSelector is interfaced with Master Control, scheduling is done in GSelector and audio playout is handled by Master Control. Once a schedule has been created and edited in GSelector, it is exported to Master Control for playout. A separate Synchronization function “matches” songs and links in the two systems. This allows edits to program elements in one system to be carried over to the other. Synchronization also reconciles past schedules from Master Control, bringing changes made to the log while resident in Master Control back to GSelector. This keeps the schedule history in GSelector accurate and up-to-date.

Creating New Program Elements

A new song or link can be created in either GSelector or Master Control. For full details see the detailed notes in the 'Interfacing GSelector with Master Control' document. This can be found in your RCS/GSelector folder; alternately, contact Support at your local RCS Office.

Deleting Program and Schedule Elements

Songs and Links may be deleted in either GSelector or Master Control. If you delete a song in Master Control it will be deactivated in the GSelector station. If you delete a link in Master Control it will be deleted from GSelector. Spots may be deleted only in Master Control. Spotset Holders and Breaks may be deleted in either system.

Editing Program Elements in the Schedule

Manually adjusting the location of songs and links may be done in either the GSelector or Master Control schedule. Manually adjusting the location of spots may be done only in the Master Control schedule.

Goals and Policy

MC Policy settings and GSelector Goal settings are not copied from one system to the other. If a GSelector goal is important to you, set up the most closely matching rule in Master Control to get feedback when making schedule changes in that system.

Clocks

Your GSelector clocks drive the scheduling process, but clocks are not copied during Synchronization, but they are not needed in Master Control given that the schedule originates in GSelector.

Topic Overview: Interfacing to Master Control

Synchronization

Synchronization establishes a three-way connection between a program element, Master Control and GSelector. This allows changes made to a song or link in one system to be replicated in the other. Synchronization also insures that a program element scheduled in a particular location in GSelector will end up in precisely the same schedule position in Master Control. In addition, Synchronization reconciles the GSelector schedule with changes that have been made in past Master Control schedules.

Synchronization is manually initiated from the GSelector Interface | Master Control window. Click the Synchronize button. You should do this every time you add or edit program elements in GSelector or Master Control.

Schedule Reconciliation

The final step of Synchronization is schedule reconciliation with Master Control. In this step we first delete all GSelector schedules between 15 minutes and 30 days in the past. We then replace all the schedules within that date/time range with the schedules from the same range from Master Control.

Manual Song and Link Synchronization

Click the Synchronize with Master Control button in the toolbar of the song or link editing window to synchronize the song or link currently displayed with Master Control. This is handy if you’ve just edited a program element and want to quickly update Master Control with the change.

Export Schedule

To send newly created or freshly edited schedules from GSelector to Master Control you use the Export Schedule function. It can be accessed by clicking the Export to Master Control button in the GSelector Editor or in the Interface | Master Control window. In either case you will need to enter a time/date range. At the conclusion of the Export Schedule function schedules for the designated range will be available in Master Control.

NOTE: When exporting schedule from GSelector to Master Control, a Hit Exact Time Marker Defined in minutes and seconds, these mark points in the Clock hour. They are used to adjust the air time in the schedule, or to tell operators when a program element should be broadcast (ETM) is placed at the beginning of every hour if an ETM is not already present there. When the schedule from Master Control is reconciled in GSelector all top-of-hour ETMs in the Master Control schedule are ignored.

GSelector exports Spotset Holders and Breaknotes to Master Control as spots. If you do not want this behavior, do not place Spotset Holders and Breaknotes into the GSelector schedule.

GSelector Voice Track schedule elements are transformed into Master Control links with their Voice Track fields set to Yes and their category fields blank. The GSelector Event ID for each of these Voice Tracks is incremented by 50 before being stored in Master Control.

Spots Workflow

Traffic is always integrated in Master Control after the schedule into which you will integrate has been exported from GSelector. If a Master Control schedule containing spots is again exported from GSelector, all spots will be deleted and you will need to integrate traffic again in Master Control.

CAUTION: If you have made changes to spot scheduling and you then export that schedule range again from GSelector you will lose all spot editing with no chance of recovery.

Topic Overview: Interfacing to Master Control


Adding Songs and Links using NexGen

This topic is for users whose GSelector is interfaced with the RCS NexGen playout system. The procedures for adding Songs and Links, and particularly associating Audio, when GSelector is interfaced with NexGen, differ from the basic steps outlined in the Add Song and Add Link topics, and can differ further according to your selected Synchronization Mode setting in the NexGen Integration window. This topic outlines the steps to take depending on your system configuration.

Synchronization Modes
CD ripping

Notepad Link

Adding Songs
Adding Songs with Automatic Synchronization in NexGen
Adding Songs with Automatic Synchronization in GSelector
Adding Songs with Manual Synchronization in NexGen
Adding Songs with Manual Synchronization in GSelector

Adding Links
Adding Links with Automatic Synchronization in NexGen
Adding Links with Automatic Synchronization in GSelector
Adding Links with Manual Synchronization in NexGen
Adding Links with Manual Synchronization in GSelector

Topic Overview: Adding Songs and Links with NexGen

Synchronization Modes

GSelector offers two types of synchronization mode, which you set in the NexGen Integration window:
Automatic: Items added in either NexGen or GSelector are automatically updated.
Manual: GSelector allows you to choose when to synchronize your libraries and schedules. .

CD ripping

If you add Songs and associate audio using a CD ripper, the process is simplest when using NexGen's Smart Ripper® software. You create the Song entry in NexGen as a first step, automatically populating Artist, Title and Album fields, as well as the duration field. The Audio is stored in a dedicated NexGen folder, ready for playout. Note that GSelector cannot read the file format to play audio within GSelector. If you use Smart Ripper® when working with GSelector, you should copy the audio to the dedicated NexGen audio drive. For full details of Audio folders in NexGen consult NexGen help.

Topic Overview: Adding Songs and Links with NexGen

Adding Songs

Songs in NexGen and Songs in GSelector are 'matched', in that when you add a Song in either program, the data is placed in a corresponding section in the other program. Special provisions are made when sending Song information from NexGen into GSelector: Songs are added to the GSelector overall database, and then activated, station by station, in the relevant GSelector station database.

Adding Songs with Automatic Synchronization in NexGen

Many users choose this method as it allows audio for the Song to be added to the NexGen Database, but also ensures that the Media ID and Artist and Title fields are consistent.
1. Rip the desired CD contents with NexGen Smart Ripper®, and Load the Songs to the NexGen Production Song Library in the usual way. NexGen will automatically assign a unique Media Id value to each item, which, however, you can edit.
2. The Songs are then automatically copied to the GSelector database.
3. In the GSelector Library Browse window, browse the new additions by searching under the Automation Systems NexGen Attributes tab.
4. Then activate them in the Multi-Song Changer window.
5. Finally, assign Songs to specific Categories, and add Attribute and Participant information and coding.
6. Schedule and Edit in the usual way. Your edited schedule is automatically updated in the NexGen Control Room playout module. Note that NexGen will not accept schedule changes made in the past, the current hour, or the next hour.

Adding Songs with Automatic Synchronization in GSelector

1. Add Songs in the GSelector Add Song window.
2. The Song is automatically copied to the NexGen Production Song Library. If the Media ID value already exists in the NexGen Database, a new unique Media ID will be assigned and copied back to the GSelector database.
3. Locate the Song in the NexGen Production Songs window. It will be highlighted with an Orange background.
4. Double click the Song entry to open the NexGen Song Card for this song.
5. If audio exists for the Song, click the Navigation button to the right of the Audio field and locate the Audio file. When saving changes, NexGen will copy the song audio to the NexGen Songs folder and if necessary convert it to a file format supported by NexGen.
6. Alternately, click the Smart Ripper® button in the NexGen Song pane, and extract Audio for this song from a CD.
7. Your saved changes are automatically updated in GSelector.

Adding Songs with Manual Synchronization in NexGen

1. In NexGen, access the Production Songs window, and click the New Button.
2. Enter Song information.
3. If audio exists for the Song, click the Navigation button to the right of the Audio field and locate the Audio file. When saving changes, NexGen will copy the song audio to the NexGen Songs folder and if necessary convert it to a file format supported by NexGen.
4. Alternately, click the Smart Ripper® button in the NexGen Song pane, and extract Audio for this song from a CD.
5. Still in NexGen, access the Configuration/System window.
6. In this window, click the GSelector button.
7. In this window, click the Sync All Audio to GSelector button, and confirm in the next dialog.
8. The Song is then automatically copied to the GSelector database.
9. In the GSelector Library Browse window, browse the new addition by searching under the Automation Systems NexGen Attributes tab.
10. Then activate the Song in the Song window or the Multi-Song Changer window.
11. Finally, assign the Song to a Category, and add Attribute and Participant information and coding.
12. Schedule and Edit in the usual way. Your edited schedule is automatically updated in the NexGen Control Room playout module. Note that NexGen will not accept schedule changes made in the past, the current hour, or the next hour.

Adding Songs with Manual Synchronization in GSelector

1. Add Songs in the GSelector Add Song window.
2. In the Song Window, click the NexGen Synchronization button at the right of the toolbar.
3. In NexGen, click the Archive button to open the Archive window.
4. Select the Song in the Archived Audio pane.
5. Click the right-pointing arrow to copy the Song to the Available Audio list.
6. Close the Archive window and open the Production Song window.
7. Select the Song in the Song list, and double-click to open the Song pane for this song.
8. If audio exists for the Song, click the Navigation button to the right of the Audio field and locate the Audio file. When saving changes, NexGen will copy the song audio to the NexGen Songs folder and if necessary convert it to a file format supported by NexGen.
9. Alternately, click the CD/Extractor button in the NexGen Song pane, and extract Audio for this song from a CD.
10. Still in NexGen, access the Configuration/System window.
11. In this window, click the GSelector button.
12. In this window, click the Sync All Audio to GSelector button, and confirm in the next dialog.

Topic Overview: Adding Songs and Links with NexGen

Adding Links

Links in NexGen and Songs in GSelector need to be mapped during the setup process, in that NexGen needs to have one of its program types associated with Links in GSelector. Generally, this is the NexGen Beds program type; however, other areas can be used, If in doubt, consult NexGen support, or refer to the NexGen GSelector installation guide. Unlike in GSelector songs, Links are GSelector station specific, and are always active. A new Link exported from NexGen is created as an active Link in the associated GSelector station database.

Adding Links with Automatic Synchronization in NexGen

1. In NexGen go to the Production window.
2. Click the Beds toolbar button.
3. Click the New Button.
4. Add Link Details as usual.
5. If audio exists for the Link, click the Navigation button to the right of the Audio field and locate the Audio file. When saving changes, NexGen will copy the song audio to the NexGen Songs folder and if necessary convert it to a file format supported by NexGen.
6. Alternately, click the CD/Extractor button in the NexGen Link pane, and extract Audio for this Link from a CD. Your NexGen system may be interfaced with a third part editor; if this is enabled, you can use this instead.
7. Your saved changes are automatically updated in GSelector.

Topic Overview: Adding Songs and Links with NexGen

Adding Links with Automatic Synchronization in GSelector

1. Add Links in the GSelector Add Link window.
2. The Song is automatically copied to the NexGen Production Beds Library. If the Media ID value already exists in the NexGen Database, a new unique Media ID will be assigned and copied back to the GSelector database.
3. Locate the Link in the NexGen Production Beds window. It will be highlighted with an Orange background.
4. Double click the Link entry to open the NexGen Link Card for this song.
5. If audio exists for the Link click the Navigation button to the right of the Audio field and locate the Audio file. When saving changes, NexGen will copy the audio to the NexGen Beds folder and if necessary convert it to a file format supported by NexGen.
6. Alternately, click the CD/Extractor button in the NexGen Beds pane, and extract Audio from a CD.
7. Your saved changes are automatically updated in GSelector.

Topic Overview: Adding Songs and Links with NexGen

Adding Links with Manual Synchronization in NexGen

1. In NexGen, access the Production Beds window, and click the New Button.
2. Enter Link information.
3. If audio exists for the Link, click the Navigation button to the right of the Audio field and locate the Audio file. When saving changes, NexGen will copy the audio to the NexGen Beds folder and if necessary convert it to a file format supported by NexGen.
4. Alternately, click the CD/Extractor button in the NexGen Beds pane, and extract Audio from a CD. Your NexGen system may be interfaced with a third part editor; if this is enabled, you can use this instead.
5. Still in NexGen, access the Configuration/System window.
6. In this window, click the GSelector button.
7. In this window, click the Sync All Audio to GSelector button, and confirm in the next dialog.
8. The Link is then automatically copied to the default category in the associated GSelector Station database.

Topic Overview: Adding Songs and Links with NexGen

Adding Links with Manual Synchronization in GSelector

1. Add Links in the GSelector Add Link window.
2. In the Link Window, click the NexGen Synchronization button at the right of the toolbar.
3. In NexGen, access the Production/Beds window.
4. Select the Link and double-click to open the Link pane for this song.
5. If audio exists for the Link, click the Navigation button to the right of the Audio field and locate the Audio file. When saving changes, NexGen will copy the audio to the NexGen Beds folder and if necessary convert it to a file format supported by NexGen.
6. Alternately, click the CD/Extractor button in the NexGen Link pane, and extract Audio from a CD. Your NexGen system may be interfaced with a third part editor; if this is enabled, you can use this instead.
7. To refresh Link details in GSelector after editing in NexGen, click the Sync All Audio to GSelector button, and confirm in the next dialog.

Topic Overview: Adding Songs and Links with NexGen


NexGen Station Synchronization window

This window is used to synchronize Station Data with, and to export Schedule Information to, a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. station associated with a GSelector station. This allows the user to create or to refresh Station data in NexGen. The window is only displayed when GSelector is configured to interface with NexGen in the Tools menu option Interface NexGen Integration window. It can be used to push data from GSelector to NexGen. This window is used to initiate GSelector-NexGen synchronization at station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. level. To work at database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. level, see the Exporting to NexGen topic.

NOTE: When integrating a pre-existing GSelector database with a pre-existing NexGen database, we strongly urge you to Synchronize Station Data from your GSelector stations to your associated NexGen stations as the first step. This will insure that your Artist, Title and Version This field allows multiple versions of a Song/Artist combination to be entered in the Database. For example, some stations like to use combinations of a regular mix and an extended dance mix. information is correctly communicated to NexGen. Since GSelector uses text string In computing, this refers to an array of text characters. matching for spread and separation, and NexGen does not, it's more likely that there will be less data entry errors of this critical data in GSelector.

Accessing this window
Features in this window
Working in this window

Topic Overview: NexGen Synchronization window

Accessing this window

In a GSelector station that is interfaced with a NexGen station (see the notes here), click the Interfaces tab and then the NexGen tab.

Click any area for help

Click any area for help

Topic Overview: NexGen Synchronization window

Features in this window

Station Data Synchronization Button

Click to synchronize Station data between this GSelector station and the counterpart NexGen station.

Schedule Date Range

When synchronizing your Schedule, enter a Date and Time range in this pane, or click the dropdown arrows to use the Date and Time Range Panes. You can re-synchronize as many times as you want when re-editing. Note that when re-synchronizing schedules, NexGen protects the current hour, as well as the previous and next hour. So if you re-synchronize at 4:45 PM after editing in GSelector, your revised Schedule will not appear until the start of the following hour, at 6.00 PM.

Schedule Export button

Click to export your Schedule for the selected Date and Time range from this GSelector station to the counterpart NexGen station.

Topic Overview: NexGen Synchronization window

Pending Changes pane

This pane lists any changes made in the Station Database which have not yet been synchronized to the partner NexGen Database. This may be because network communication was interrupted, or because changes have made since the last Synchronization.

Progress Bar

Follow the progress of the schedule export or data synchronization in this field.

Discrepancy Report

The Discrepancy Report button will create a report in .csv format of all the active songs/links on mapped NexGen stations that are missing an Interface Reference number in GSelector. See the Interface Reference tab of the Song/Link card to view the interface reference number.

Results pane

This pane displays the results of the schedule export or data synchronization, including possible anomalies in the export or synchronization process.. Check the word wrap box to wrap text in the box; clear the box to display messages line by line in a scrollable view.

Output XML path

Specify the output path to export to NexGen in this field. You may need to consult with RCS support and/or your Network manager.

Save and Clear Output Path buttons

These buttons allow you to save the XML path settings, or to clear the current setting

Send Results to RCS

This button is activated when the Results pane displays text content, normally reporting on anomalies in the export or synchronization process. Click this button to send the results pane contents to RCS. You should normally only do this when requested to do so by RCS support.

Topic Overview: NexGen Synchronization window

Working in this window

Synchronizing Station Data
Exporting Schedule Information
The ID field in the Song and Link windows

Synchronizing Station Data

1. Ensure that NexGen is properly interfaced and running on your system.
2. Click the Synchronize button.

Exporting Schedule Information

1. Ensure that NexGen is properly interfaced and running on your system.
2. Synchronize your Station Data as described above.
3. Generate and Edit your Schedule as usual.
4. Select a Time and Date Range in this window.
5. Click the Export button.

NOTE: When re-synchronizing schedules, NexGen protects the current hour, as well as the previous and next hour. So if you re-synchronize at 4:45 PM after editing in GSelector, your revised Schedule will not appear until the start of the following hour from your re-synchronize point, at 6.00 PM.

Topic Overview: NexGen Synchronization window

The ID field in the Song and Link windows

When GSelector is integrated with NexGen, the ID fields in GSelector and Linker are used to link information in the two databases. As such, the ID field cannot be edited in GSelector. After integration, the ID field is displayed in the Song and Link window Information panes, and not in the Media Pane. When adding a Song or adding a Link, within Selector, you still add a value as usual in the ID field. However, where this value exists in the corresponding NexGen database, a new unique value will be automatically assigned upon Synchronization.


Link window

This window works like the Song window. It carries detailed information for each Link. The Link displayed in the window can be selected from the Link Browse window, or several other areas. Links, like Songs, are global database elements, and can be active An Active item - a Song, Link or Note - is available to schedule in the current station. or inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. for any station. Links can be banned from any Daypart in the Station Coding pane, and can also have hour restriction grids and start and end dates and times applied. This is useful for time-sensitive promos and trails. Using the F11 keyboard key in a field or tab in the Link window will navigate to a configuration setting or window for that field/tab. For example pressing F11 in the Category field of a link window will navigate GSelector to the Link Goals | Categories window.

See also the Link Additional fields, Notes and Multi-Station Link tab window topics.

Accessing this window

Features in this window

Working in this window

NOTE: If you do not have a Linker license, or your license has expired, the Linker Navigation bar tab is suppressed.

Accessing this window

Click the Linker tab, then the Link Library tab, and finally the Link tab.

Or from the Link Browse window, select a Link and double-click, or press Enter on your keyboard to open the Link window for that Link. Or click the Link tab to view details for any selected Link in the browse. Optionally, hold the CTRL key while double-clicking an attribute field for the link within the results pane, to jump to that specific field in the Link Window with the cursor in the field ready for editing.

Or from the Link Goals Categories window, select the Link from the Link Category list and double-click to open that Link's Link window.

Or from the Editor select a Link and double-click.

Or from the Analysis window select a Link and double-click.

Click any area in the image for specific help. Click on any Library Navigation tab to go to the topic for that tab.

Click any area in the image for specific help. Click on any Library Navigation tab to go to the topic for that tab.

Topic Overview: The Link window

Features in this window

Link Window Toolbar

Zetta and NexGen synchronization buttons

Multi User Link Synchronization

Global Link Information

Link Information fields

Link Attributes and Participants

Media

Link Station Coding Pane

Active checkbox

Link Category field

Packet field

Dayparts tab

Hours Restriction tab

Run Dates : set a start and end date and time for any Link.

Miscellaneous tab

Mood, Energy, Tempo and Opener fields

Texture

Station Link Attributes

Link window History Map pane

History map tab

Link Change History tab

Future Moves tab

Interface References tab

Clock Requests tab

Link window Toolbar

Click any toolbar button for help

The toolbar is common to all the Link window and all its subsidiary tab windows. It offers the same easy navigation as the Song window toolbar, and additionally allows you to Save or Cancel changes made while editing a Link, Add a New Link, Edit , Clone or Delete an existing Link, Export Link Details via XML, and select Link Attributes to view in the History Map pane.

Automation synchronization button (NexGen, Zetta and Master Control users only)

An additional button is displayed when a GSelector station is associated with either a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems., Zetta Zetta is the a RCS automation and audio playout system. or a Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. station, and the Enable All and Link boxes in the NexGen Manual Synchronization, Zetta Manual Synchronization or Master Control Manual Synchronization panes respectively are unchecked. Under these conditions, this button allows the user to synchronize the selected Link with the NexGen, Zetta or Master Control Link details in the interfaced NexGen, Zetta or Master Control database.

NOTE: You can only interface one playout system with any GSelector station.

Multi User Link Synchronization

Changes made to songs and links are now automatically pushed to all workstations. For example, say User A is working in Category Changer and moves a link from Category A to Category B and saves the change. Further suppose User B is looking at the same link in the editing window. When User A saves the change User B will immediately see the link’s Category assignment change from A to B. Song and Link changes propagate to the editing windows, browse lists, Category Changer and all of the Goals | Balance windows for both songs and links. For example, if User A is working on implementing the results of a new music test by changing song category assignments this will affect demand. If User B is looking at the Goals | Balance | Songs window she will see the window update immediately according to the actions of User A.

Multi User Notification

The multi user notification system is a message box that pops open in the upper right area of the main GSelector window whenever another user has made a change to a song, a link or a schedule. The message indicates the change made and the user who made the change. It does not show changes you make, just others. This feature works best when users have been defined under GSelector security. Note that you can open the notifications message box any time by clicking the notification icon [image] in the upper right of the main GSelector window.

User Modification Warning

If two users are changing the same link the user that saves last will receive the following warning about the other users change:

If there are no pending changes, the user just viewing the Link will see the update without any prompt.

Fallback Attributes

A Fallback Attribute is an attribute that GSelector can fallback to if the normal attribute scores too low to be scheduled. For Example: A Link is normally genre “A” but could be treated as genre “B” in a scheduling pinch because of the fallback attribute. If the Attribute Fallback Score Threshold is set to 65 in Link Goals | Priorities. The Scheduler will treat the link as “A” unless the link scores below 65, then it will treat the link as “B” and test it again. Fallback Attributes can be defined in the Attributes tab of the Setup | Station | Features window. When an attribute is selected in the Fallback Attributes pane additional columns to assign these attributes will be available in the song and link windows. Use the drop-down in the Fallback column to assign a fallback attribute. Fallback Attributes can be added to the system using the Link Coding window or Station Attributes window.

Topic Overview: The Link window

Global Link Information

The left side of the Main Link window contains settings and information about the Link that is Global or system-wide for all stations in the GSelector database.

Click any area in the image for help

Click any area in the image for help

Link Information pane

Link Attributes and Participants

Attributes grid

Participants grid

Fallback Attributes

Media

Runtime

Intros

Opening and Ending

Hook, Start and End fields

Trim Start and End fields

External checkbox

Early NTP

Filename

Link Information pane

This field, immediately above the Attributes and Participants pane, displays Link Media ID, Title, Version and Stopset information. You cannot directly edit either of these this fields; see the Edit Link window notes. The Title field is a mandatory field: you can't save information in a Link window unless you have entered a value in this field. The media ID field has specific properties, which vary according to whether GSelector is integrated with NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems., Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. or Zetta. When GSelector is integrated with Zetta the Media ID will match up to the External ID found in Zetta for the link asset. When the Stopset A broadcast event which significantly interrupts the flow of the music, generally an event lasting at least a minute. Speech items, News headlines, and Commercial Sports are generally Stopsets. is checked, Segue Bans will be ignored across this Link.

NOTE: Leading and Trailing spaces will not be saved to the Media ID. If you enter any leading or trailing spaces in this field a message will be displayed warning that the spaces will be removed.

Link Attributes and Participants Grids

The Link Attributes and Participants Grids are used to assign Global Attributes, Participants and Fallback Attributes to the currently selected Link. The Percentage column in the Link Attributes and Link Participants panes in the lower left corner of the Link window, allow the user to define participation levels less than the 100% default. The Attributes pane is used to define relationships between Links and Songs by selected Artists or Theme. This Relation is then used in scheduling, forming one of the ways you can define a Song-Link relationship in the Related Links window. Full details of how to define a relationship in this window, see the Related Links topic. Working in the Clocks Definition window, you assign Related Link Clock positions, either Leading In Clocks and the Editor, a Leading Link position is placed before a Song position. If Links exist that have a Relationship to the Song that is scheduled in that position, a Link can be be scheduled in the Leading Link position. For each Link, the relationship is defined in the Link window, associating the Link to Songs by Artist or Theme. or Trailing In Clocks and the Editor, a Trailing Link position is placed after a Song position. If Related Links exist that have a Relationship to the Song that is scheduled in that position, a Link can be be scheduled in the Trailing Link position. For each Link, the relationship is defined in the Link window, associating the Link to Songs by Artist or Theme., before or after a Song Clock position, as the names suggest. You then define, in the Related Links window, one or more Relationships between Songs and Links to drive this process.

When GSelector schedules a Song next to a fixed (Leading or Trailing) Clock Position, or a Fly-in Link into the schedule, it can insert a Link when that Link has one or more Related Artists or Themes, and the Relationship calls for a Link with one of those Related Songs or Links.

Edit Attributes and Participants button

Click the Edit button to open the Coding window.

Media

All values in the media pane can be used as search criteria in the Link Browse Window. See also the notes on Custom Attribute Values.

Runtime

Intros

Opening and Ending

Hook, Start and End fields

Trim Start and End fields

External checkbox

Early NTP

Filename

This central pane in the Link window stores fields for duration, intros and hook start and end fields. All values in the media pane can be used as search criteria in the Link Browse window.

TIP: Media pane field information can be used in custom browse formats in the Editor, Consideration window , and Browse windows. See the notes on designing and assigning Browse formats.

Runtime

This numeric field allows entry of the Song duration in minutes and seconds. Like the ID field, information in this field is common and shared across all stations. Many Audio Editors allow you to enter this value automatically, expressed as the difference between the trim out value and the trim in value in the Audio Editor.

NOTE: Durations in the Runtime and Intro fields can be entered in two ways: by typing a value such as 4:23, or by simply typing 423. Where a Song Runtime or Intro is longer than ten minutes, typing 1141 or 11:41 , for example, will enter the same time value in this field.

Intros

These three fields allows entry of values for Intros 1, 2 and 3 in minutes and seconds. Many audio editors allow you to enter at least one intro value automatically. Like the ID field, information in these this fields is common and shared across all stations.

Opening/Ending fields

These fields allow you to enter an optional freeform text description of the start and ending of the Song. There is no limit to how many characters you can use, but most programmers restrict the characters to one or two. Like the ID field, this field is common to all stations and the library.

Hook Start and End fields

Used in research, these fields store timing, expressed in minutes and seconds, for the start and end of the hook. These values are normally entered automatically when you set this information in your audio editor. Like the ID field, this field is common to all stations.

Trim Start and Trim End fields.

Immediately above the External field are the Trim Start and Trim End fields. These values can be directly edited or when working with audio files, can be entered automatically when using the Analyze tool in the Link window's Audio Analysis tab window.

Early NTP

Early NTP is the Early Next to Play position in the link. Currently this value has no specific use other than providing information. In the future this may be updated for integration with an automation system.

External checkbox

Select this option when the audio for the Link will be played from an outside source or storage system that is different from what is defined within the sequencer system. This feature was designed for use with Zetta Zetta is the a RCS automation and audio playout system., but can be used with any suitably configured system. When this option is selected the Filename field can be edited.

Filename field

GSelector supports MP3, MP3, wma and wav file formats. This pane displays the filename for the audio file associated with this link. Where this filename is automatically assigned by GSelector during the import/association process, this field should not be edited. To associate an audio file manually with, see the notes on Associating Audio in the Using Audio in GSelector topic. See also the notes on using the Filename Audio Paths in this topic. When the Filename path is longer than what is visible use the mouse to hover over the field to view the entire filename and path.

Topic Overview: The Link window

Station Coding pane

The right side of the Main Link window contains information and settings specific to the selected Station.

Click any area in the image for help

Click any area in the image for help

Active check-box

Link Category

Packet

Dayparts Balance tab

Hour Restrictions tab

Run Dates tab

Miscellaneous tab

Mood, Energy, Tempo and Opener fields

Texture

Station Link Attributes

Link window History Map pane

History map tab

Link Change History tab

Future Moves tab

Interface References tab

Clock Requests tab

Active check-box

The Active Check box is used to specify active or inactive status of the Link for the selected station.

Link Category Field

You can edit the Category of any Link by selecting from the drop-down list. Click the Save button in the toolbar to save your edit. See also the notes on Linker Categories in the Link Goals Categories window. Note that you can also assign or change a Link Category in the Category Changer window. When re-activating a Link, by default the Link is assigned the Category to which it was previously assigned.

Note: When the category of a song/link is changed, the daypart shifts resets to 0. Given that the daypart shifts are relative to the category, they need to be reset when the category changes.

Packet field

The Link Packet field is located in the station coding pane at top right. The field allows the user to select and assign an existing Packet to this Link by clicking the drop down arrow, remove an existing Packet from this Link, or create a new packet directly from this field. Click the Packet Management [image] button at the far right of the field to add, delete and rename Packets in the Packet Management window. Packets can be used to group any number of Links together. Links can be in any Category. When Links are grouped in a Packet, their rotation is reduced in direct proportion to the number of Links in that packet. For full details on working with Packets, see the Packets topic.

Dayparts Balance tab

This pane allows you to balance or block demand between Dayparts for the selected Link in this Station. Click the icon in the leftmost column to block this Link from the selected Daypart. You can also adjust demand by Daypart for any Link.

NOTE: Daypart settings made in the station coding pane are not affected when Dayparts are grouped, so settings are shared between Dayparts in the same group. So, for example, play for a Link can be banned, boosted or cut for any Daypart, and this setting will not be duplicated for any other Daypart in the group.

Dayparts list

All Dayparts are listed in this pane. They are sorted in order of importance, as specified in the Setup section Dayparts Definition window.

Frequency, Turnover and Demand Graph fields

These fields work in exactly the same way as their counterpart frequency , turnover and demand fields in the Link Goals Balance windows. Frequency and Demand for each Daypart is adjusted using the arrows in the shift column.

Shift Buttons

These buttons allow you to shift demand for the selected Link for any Daypart. Click to increase or reduce demand relative to the other Dayparts. See the balancing by daypart notes in this topic for more information. When the category of a song/link is changed, the daypart shifts resets to 0. Given that the daypart shifts are relative to the category, they need to be reset when the category changes.

Link window Daypart settings in Daypart Groups

Daypart settings made in the Link window in the Station coding pane are not copied when Dayparts are grouped. These settings are Link-specific, and allow the user to ban, boost or reduce play during individual Dayparts. These individual settings are not changed by the grouping process. So a change to AM Drive Daypart settings in the Station Coding pane or the Goals Balance window will not be copied to the PM Drive Daypart in the same "Drives" group.

Restrict percentage

Where an Hour Restriction is applied, any restriction to hours in the affected Daypart is displayed in this column.

Optional Station Coding Pane features: Alternate Category and Packet fields

You can assign a link to an alternate category and/or alternate packet for any Daypart. To enable this feature, check the Alternate Category checkbox in the Balance tab of the Setup | Station Features window to display these two fields in the Station coding pane.

NOTE: You cannot use Alternate Category if you use the Kick feature. If a Category Group is kicked, its Categories are not available for assigning as Alternate Categories.

To assign an Alternate Category or Packet for a specific Daypart:

  1. Select the Daypart tab.
  2. Click the Drop-down arrow in the Alt Cat or Alt Pack fields to see available Categories or Packets.
  3. Select the desired Alternate Category or Packet for each Daypart.
  4. Save your changes by clicking the Save button in the Toolbar.
  5. You can also assign or remove Alternate Category or Packet assignments to a browsed list of links in the Multi-Link Changer . See the notes on working in the Dayparts pane of this window.

Alternate Categories and Alternate Packets can be displayed in any Browse format by adding the Alternate Category or Packet field to the desired format. See the notes on custom-designing Browse formats. In a browse where multiple Alternate Categories or Packets are assigned to Links in different Dayparts, the multiple Alternate categories and Packets are displayed together in the Alternate Category or Alternate Packet field.

NOTE: If you enter values for either any Alternate Category or Packet in one or more Link windows, and you then uncheck the box for that setting in the Station - Features window, you will be prompted to confirm that you are deleting those settings.

TIP: Alternate Category and Packet assignment is determined by Dayparts, so Dayparts can be used in the Browse window to view Links with Alternate assignments. Select the Daypart and the Alternate Category or Packet to view all Links which are assigned to that Alternate Category or Alternate Packet in that Daypart.

Hour Restrictions tab

Sharing space in the Link window with the Dayparts tab, the Hour Restrictions tab opens the Hour Restriction pane, where you can assign an existing Hour Grid to the current Link or use the import button to Import an Hour Grid from another station within the database. Where no Hour Grid is assigned, the hours of the week grid is blank; where an Hour Grid is assigned from the drop-down in the selection field, the selected grid is displayed. Hour Restrictions are also displayed in the Link window History Map and the Editor History pane. The name of the Hour Grid, where assigned, is displayed on the tab.

See the Hour Grids topic notes on creating and assigning Hour Grids, as well as the notes on working with hour grids. As with Hour Restrictions in Songs or Notes, you can edit an hour grid directly from this window by clicking the Edit button to access the Hour Restriction Setup pane.

Run Dates tab

You can limit the scheduling period of a Link by setting a Start and End Date and Time. Check one or both checkboxes to enable this feature. if you leave the boxes unchecked, the Link can be scheduled immediately, and is available indefinitely. The default values in the Date fields are today's date, the default Start Time is today's Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window., and the default End time when selected is the current Hour by your system clock. Enter a date and time or adjust the values by selecting the Calendar Control or the time selection arrows. All values in the run dates pane can be used as search criteria in the Link Browse Window. See also the notes on Custom Attribute Values. All values in the run dates pane can be used as search criteria in the Browse Window and Advanced Search pane. See also the notes on Custom Attribute Values. When working in the Consideration pane of the Editor, any link with a Start Date and Time after the airtime of the schedule position or any link with a End Date and Time before the airtime of the schedule position will not be shown.

Miscellaneous tab

Station-specific ID field

This optional field is enabled for both Songs and Links by checking the Station-Specific ID box in the Station - Features window. It allows you to assign a Link ID that applies simply to the Link for the current Station. Where Station-Specific ID is enabled, and IDs exist, this field information can be used in custom browse formats in the Editor, Consideration window , and Link Browse windows. See the notes on designing and assigning Browse formats.

Split Behavior

A Split Behavior is set on the Songs, Links or Spot Blocks that are to be scheduled on a Zetta® Split Master Station where a split is to occur. The Split Behavior is respected in the On-Air, Hot Keys and Stacks modules of Zetta. The Split Behavior of an asset is set in the Miscellaneous tab of the assets song or link window. The Split Behavior of a Spot Block is set on the Spot Block in the Clocks | Spot Blocks tab. When a Spot Block has a Split Behavior it will override any Split Behavior of an Asset scheduled within the Spot Block.

None - A Split Behavior of None will play the asset through a stream enabled as Normal in the Player. Nothing will be sent to the Split Client.

Master Audio - A Split Behavior of Master Audio tells the Master station to play the audio and send a signal to the subscribing Split Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the same asset as the Master Station, if the asset is active on the subscribing station.

Master Silent - A Split Behavior of Master Silent tells the master station to be silent and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the asset scheduled on the Master station, if the asset is active on the subscribing station.

Master Monitor - A Split Behavior of Master Monitor will route the audio for the asset to the configured Monitor streams of the Player for the Master Station and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the client station will play the same audio asset that is scheduled on the Master Station, if the asset is active on the subscribing station. Master Monitor allows the user to hear the audio locally for the Master Station even though nothing is playing over the air for the Master Station.

See the Zetta® Help Guide for additional information on the Splits Feature and Tagging Assets.

Mood, Energy, Tempo and Opener fields

At the left of the Sound Codes pane are four further Mood This scalar attribute is used to separate or control segues between Songs or Links by a mood description you define and apply across the entire library. The Mood scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup/Station/General window., Energy This attribute is used to separate or control segues between Songs or Links according to the Energy of the Song or Link. Energy can be used with Mood, or instead of Mood; it's up to the user. Energy levels are on a scale of from 1 to 5, and can be renamed in the Setup/Station/General window., Tempo This scalar attribute is used to separate or control segues between Songs or Links. Each Song or Link can have two tempo values. The next Song or Link's Tempo level is allowed or banned according to settings in the previous Song or Link's Tempo value. Tempo values are on a scale of from 1 to 5; the values are set in the Tempo fields in the Song and Link windows. Tempo scale values can be renamed in the Setup/Station/General window. and Opener This scalar attribute is used to specify whether a Song or Link can be used as an Opener. The value for the Song or Link is set in the Opener field in the Song or Link window. Many users code 'neutral' items using a value of 3 and the center point of the scale, using 4 and 5 to indicate strong openers, and 2 and 1 for weak opener. Opener scale values can be renamed in the Setup/Station/General window. attribute fields. The use of these fields, and the Sound Code pane, is optional. Values entered here can be used for analysis, and will only be used in scheduling if their associated goals are activated in the Link Goals Priorities window. Each field allows you to set a value for an attribute:

Mood
Energy
Tempo
Opener
Each field accepts a value of between 1 and 5, or a descriptive value that you have previously defined in the Setup section Station - General window, as shown in the Energy and Texture fields. Fallback attributes can be assigned based on the Fallback Attributes defined in the Attributes tab of the Setup | Station | Features window.

Texture Pane

This pane allows you to assign Texture code values which can be used in with Song Texture Codes in scheduling. The Texture Codes you assign are common with Song Texture Codes. They can be used in Link Goals Segue Bans to block specific junctions between, say, a very loud Song ending and a Link with a very soft start. For details on assigning and creating Texture, see the notes in the Song window topic. See also the notes on Using Texture.

Station Attributes

This pane allows you to assign Sound code values, Station Specific attributes and Fallback Attributes to a Link. The Attributes assigned here are independent of Global Attributes. For details on assigning and creating Station Attributes, see the notes in the Station Attributes window topic.

Topic Overview: The Link window

Link window History Map pane

History map tab

History Map plots

Flyover Tooltip

Jumping to the Editor from the History Map

Change History tab

Future moves tab

Interface References

Clock Requests

History Map tab

This pane displays play history from the last day scheduled back to the number of days specified in the Days in Past setting for the Link, or the Link Title, or for all Links in the current Link Packet where selected. The options are selected from the Toolbar History Attribute button. Where a Link has had an Hour Restriction applied, the restricted hours are shown in the Map with a dash in each hour. Where the Link is banned, whether implicitly or explicitly for specific hours, those hours are also marked the same way. You can view the entire active date range using the right scroll bar. All Category changes are recorded in the Link Change History tab.

History Map Plots

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use the 1/4 hr plot check box. Each cell in the History Map is divided into four invisible, vertical quadrants. These represent, from left to right, the first, second, third and fourth quarter hour of the hour. Using the 1/4 hr plot option will replace the X with the vertical plot line positioned in the appropriate cell quadrant to denote the links scheduled position within the hour. There are additional options for vocalist and artist group in all link History Maps. Enabling any of these options will plot other links by the vocalist(s) and/or artist group(s) of the current link. In these modes, each cell in the History Map is divided into four invisible, horizontal quadrants within each vertical quadrant. These represent, from top to bottom, the link, the artist (songs only), the vocalist and the artist group. Color coding further helps to distinguish these plots. Any combination of these new options can be used, while clearing all of them returns the History Map to its default behavior. The colors used for these options can be changed by working in the new History Plot section of the Tools | Global Settings | Appearances | Global Assignments dialog box. The Hide button can be used to quickly hide the Vocalist and Artist Group plots. Click the Show button to quickly show the Vocalist and Artist Group plots again. The slider bar to the right of the check boxes allows the user to zoom in on the History Map.

On Air button

The On-Air button [image] to the right of the 1/4 hr Plot can be used to show the current day and play position of the scheduled log in the History map. GSelector determines the current position as the event with an air time that is less than or equal to the system time. If the system is integrated GSelector determines the current position as the event after the last event with a status of Played in the current day.

Flyover Tooltip

Using the mouse to hover over any of the plots in the History Pane, in either the Standard or Advanced mode, will display details about the Link scheduled.

Jumping to the Editor from the History map

You can jump directly to the Editor window for any Day and Hour in the History Map by selecting the Hour and double-clicking. If you select an Hour with a single play instance recorded in the History Map, the Editor will open showing the Link with a highlight. If the Hour shows plays for more than one item - for example , where there are two instances of the same Link Title in the same hour - GSelector will open the Editor highlighting the first of the multiple items. The default appearance of this highlight is the Focused Row Editor appearance. It can be modified in the Appearances Definition window.

Link Change History tab

This pane displays Total Plays, the most recent Last Edited date on any Station, the Date Added, the Activation Date for this station, and the Date on which the Link was last edited on this Station. Also shows are dates on which the Link changed category.

TIP: The information in these fields, along with the most recent Category Change History date, can be displayed in Browse formats used in the Editor window , the Consideration window , and the Link Browse window . See the detailed notes on designing and assigning formats.

Future Moves

This pane displays and allows the creation, deletion and editing of all Future Moves for this link. For full details on Future Moves, see the Future Moves topic.

Interface References

GSelector provides a Setup Interfaces window to use with the Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. , Selector Enterprise and NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. systems. This lets the GSelector database connect with the external databases in these systems to facilitate export and import of data for broadcast and reconciliation purposes. As schedules and library information are exported, GSelector tracks each item association with a unique reference number for each exported item. When a Link has been associated through exporting into one or more of these external databases, the association or associations are displayed along with the individual unique reference number. This tab also displays the database GUID for the Asset.

Clock Requests

In the Clock Requests tab will see a list of all clocks on which the current link has been assigned as a Specific Link. This list can be helpful when you want to understand the rotational pattern of a given link by seeing if it is being influenced by Specific, as opposed to Category, clock assignments. This window will be blank if the Link is only scheduled using the Link Category Group Clock Entry.

Topic Overview: The Link window

Working in the Link window

Activating and Deactivating Links

Adding a Link

Editing Links

Saving Changes

Deleting a Link

Balancing Link Demand

Banning a Link from a Daypart

Create and assign Link Attributes and Sound Codes

View a Browse list of Links

Texture codes and how to set up Texture Segue Bans between Songs and Links

Creating a Packet in the Link window

Jumping to the Editor from the History Map

Security Settings

Activating and Deactivating Links

See also the notes on Deleting or Deactivating Songs, Links, and Notes

When you add a Link, you select the Link's Category for the station you are working in. It is then active for that station. You may also add a Link and keep its status as inactive. To activate a Link for other stations rather than the currently selected station, see the Activating notes in the Link window Multi-Station tab Any Link, Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. or Active An Active item - a Song, Link or Note - is available to schedule in the current station. can be viewed in the browse window in any station. When you deactivate a Link, this removes its History from all schedules (past and future) for this station. If you don't want to do this, keep the Link Active and move it to a hold category. If the Link is already scheduled, it is removed from the log, and the position remains empty in the Editor , with its status set to deactivated.

To activate an inactive Link for any station.

  1. Access the Link window for the selected Link in the current Station.
  2. In the station coding pane, check the Active? box.

NOTE: When you work in a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. with a Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. whose Active/Inactive settings are inherited by the Child station, you cannot change the Active/Inactive status in the Child Station. See the Format Parent notes for more details.

Reactivating previously active Links

When reactivating a Link, GSelector assigns the last Category that was assigned to the link, where this Category still exists. If this Category does not exist anymore, the song is assigned the Default Category, and where a Default Category is not assigned, the Link is assigned the top Category in the Categories window.

NOTE: While you can add a Link to a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. at any time, and apply Station-specific settings to the Link in just in that station, if you activate the Link in the Child Station's Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. Station, you will overwrite Active/Inactive status and all other inherited settings in the Child Station. See the Format Parent notes for more details.

TIP: If you are activating a new Link you must assign attributes to be able to set goals. Existing Links, when reactivated, retain their previous attribute settings for the station.

To deactivate an active Link for any station

  1. Access the Link window for the selected Link in the current Station.
  2. In the station coding pane, uncheck the Active? box.

This will deactivate the link. When a link is deactivate it is not unscheduled. When a link is deactivated the History and Total Plays for the link are retained. This means when a link is deactivated the History in the Songs/Links window and the Editor will still show the previous and future history for the link. The deactivated link will remain in the schedule regardless of whether it is scheduled to play in the future or past. The link will also still be visible in the analysis window but show as inactive. The Total Plays column, where used, will still show the total plays for the inactive link.

Adding a Link

In any Link window, click the Add [image] button in the Toolbar to open the Add Link window. See the detailed Add Link window notes here.

Editing a Link

Select a Link, and click the Edit [image] button in the Toolbar to open the Edit Link window. See the detailed Edit Link window notes here.

Deleting a Single Link

See also the notes on Deleting or Deactivating Songs, Links, and Notes

Select a Link, and click the Delete [image] button in the Toolbar, and then confirm that you wish to delete this Link in the confirmation dialog box.

Using Texture

The Link window Texture fields use the same codes as the Song window Texture fields; this lets you control segues between songs and Links. You might, for example, schedule a Station Imager Category in fixed positions in the clock. Using a segue ban, you could ensure that a noisy song ending would not flow directly into a quiet Station Imager Link. See the notes on Song to Link Texture Segue Bans in the Segue Bans topic.

Balancing Link Demand by Daypart

In the Station Coding pane, select the Daypart and then click the Shift up or down button to increase or reduce demand for this Link. When the category of a song/link is changed, the daypart shifts resets to 0. Given that the daypart shifts are relative to the category, they need to be reset when the category changes.

Banning a Link from a Daypart

In the Station Coding pane, select the daypart, and click the leftmost Icon. The remaining Dayparts will show adjusted the demand for this link.

Viewing a Browse list of Links in the Link window

Browse a list of Links in the Linker Browse window. Then press enter or double-click any Link to view all Links in the Link window. The navigation buttons at the left of the toolbar allow you to move through a browse list of Links. You can move forward or backwards by one song, or jump to the beginning or end of the browse. The counter pane in the toolbar updates as you move through the list.

Navigating in a Browsed List

The navigation buttons at the left of the Link window toolbar allow the user to move through a browse list of Links. Move to the Next or Previous by one Link, or jump to the First or Last in the browse. The counter pane in the toolbar updates as the user moves through the list. Optionally, use the following keyboard shortcuts to navigate through the links.

Go to the First link - CTRL+Home

Go to the Previous link - CTRL+Left

Go to the Next link - CTRL+Right

Go to the Last link - CTRL+End

TIP: You can open a browsed list of Links from several areas in GSelector. See the accessing notes in this topic for more details. Once you have viewed the list, you can click the Back Navigation button to get back to the original window.

Saving and Cancelling changes

The Save and Cancel toolbar buttons are enabled when you edit any field in the Link window or any Link window tab. Click the Save button to save your changes in this window, or the Cancel button to clear any changes.

If you do not save your changes, you will be prompted to save them and enable Auto-Save when you leave the current Link window. You can enable Auto Save in the Station - Features window, by checking the Enable Auto-Save box. When you enable AutoSave after working in the Song, Link or Notes window, you enable it for all three elements.

Clone Link button

Click this toolbar button to make a copy of this Link. Clicking the button opens the Edit Link window with information from the existing Link displayed, allowing you to modify information, starting with the ID field, before making any changes in the underlying new Link window, and saving changes in the new Link.

NOTE: This button is disabled in Child Stations .

XML Export button

Click this button to view and select formats, designed and specified in the Export XML window, for Link XML export types. Select a format and click to export a XML file of Link details to the selected destination for that format. See the notes on Working with XML for more information.

TIP: This toolbar button allows you to export details of the Link in this window. To export the entire station Library, work in the Export XML window.

View History Display Options

This GSelector Link Window toolbar button allows you to select what is displayed in the History Map. Click the button to display a menu from which you can select: Link History, Title History, or Packet History, which shows History for all Links in the Packet.

Link window Security Access

When applying Security Settings in the Security Roles window , you can set security Access Levels for the Link Browse, Link Category Changer, Song and Multi-Link Changer windows. In the Link and Multi-Link Changer windows, you can further specify Security Access Levels for Global fields, which apply to all your Stations, on the left side of the Link window, and Station-specific fields, on the right-hand side of the Song window.

Topic Overview: The Link window


Link Browse window

The Link Browse window allows you to rapidly search for Links by Attribute, Title or Media value, or any combination of these. The left filter pane is where you select or filter Links. The right results pane shows your search. Links can be hidden, or unselected from the browse results display. Your search criteria can be saved and recalled for later use. These are called Saved Filters , and you can use them in many areas of GSelector. You can also save browsed Links as Link Lists, and recall these for later use. See also the notes for Browse windows Advanced Search mode, which offers a more powerful range of search criteria, and the Working with Browses topic .

NOTE: If you do not have a Linker license, or your Linker license has expired, the Linker tab in the Navigation bar is suppressed. See the Licensing topic for details.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Linker tab, then Link Library, then the Browse tab, to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Link Browse window

Features in this window

Find (CTRL+F)

Advanced Search

Saved Filter and List selection box

Toolbar

NexGen and Zetta synchronization buttons

Filter Pane Tabs

Attributes tab

Titles tab

Media tab

Filter Pane

Show Unselected Links checkbox

Link count field

Results Pane

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in both the Results pane and in the Filter Pane tabs for this window.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Advanced Search button

Click to use this window in Advanced Search mode. This allows you to apply complex multiple search Criteria, searching across the entire database. See the Advanced Search notes for full details.

Saved Filter and List selection field

As with the Song Browse window , you can select and apply any previously saved Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. , or display any saved List of Links. Click the selection arrow at right to see the list of saved Filters and lists.

Select or scroll down to the desired Filter or List, and click or enter to display Filtered Links or a Saved List of Links in the Results pane. Filters are shown in Black, Lists in Green.

TIP: Saved Filters and Link Lists, once created, can also be used in the Link Analysis and Link Category Changer windows.

Link Count field

In the default view, this field displays the number of active An Active item - a Song, Link or Note - is available to schedule in the current station. Links returned by the browse search request, and the number of the selected Link.

In the advanced search view, this field displays the number of active or inactive links returned by the browse search request, and the number of the selected link.

In both views, the field updates automatically to reflect edits and changes.

Toolbar

In the Toolbar, you can Add a Link, save any existing Filter or Link list, save a modified Filter or Link list as a new Filter or Link list, or delete the existing Filter or Link list. The buttons at the far right of the toolbar allow you to invert the Selected/Banned Link Selection and reset the Filter, copy Links to one or more Stations, view Dynamic Statistics for the Browsed Links, Export Links in XML format and run Reports. The toolbar also allows you to apply a different browse format, Merge Duplicates, Swap Links, open the Browse List pane and view the History for the selected link.

Save Filter or Link list button

Click this button to save changes to an existing Filter or Link List, or to Save a new Filter or Link List. If you are saving a new Filter or Link list, the Enter Name dialog box opens.

Save Filter or Link list As.. button

To save a modified Filter or Link list , click the Save As New Filter or Link list button to open the Enter Name dialog box .

Saving Filters or Lists: the Enter Name box

In the Enter Name dialog box, having specified a Filter or a Link list, enter a name for the new Filter or Link List and click the OK button. For full details and information about merging Saved Link Lists, see the Enter Name dialog box topic. When Saving a list, Unselected Links are not saved, whether or not the Show Unselected Links box is checked.

Delete Filter or Link list button

To permanently delete any Filter or Link list, select that Filter or Link list and click the Delete button. The library browse pane returns to its unfiltered state, and the Filter or Link List is removed from the saved list.

Invert Selection button

Click this button to reverse the selections for all Links in the Browse pane. If a Link is selected, it will become unselected; conversely, unselected Links will be selected.

Reset button

To clear a modified Filter or Link list from the browse without deleting the saved Filter or Link list, click the Reset Filter button. The library browse returns to its unfiltered state, but the Filter is retained in the saved Filter list.

Dynamic Statistics

Click this button to access the Dynamic Statistics window , which allows you to analyze and measure the contents of your browse in a number of ways.

XML Export button

Click this button to view and select formats, designed and specified in the Export XML window, for Link XML export types. Select a format and click to export a XML file of the currently browsed Link details to the selected destination for that format. See the notes on Working with XML for more information.

Note: To enable this Export to XML File button you must first a Format of Type Station Links in the Interface Export XML window.

Reports

The Reports button displays a drop-down menu of possible reports.

Double-click the Report name to open the report in the Reports View window.

Browse Format Selection button

The Browse Formats [image] button can be used to select a browse format for the Link Browse window or Browse List. It can be used to save the default format as a new format, save changes to an existing format, save an existing format to a new browse format, set a selected format as the assigned format for the window or temporarily assigned just for the session. Formats can also be permanently assigned to the Browse window in the Browse Formats Assignment window. This feature is available for Active songs only. Browse Formats can be designed in the Browse Formats Design window.

  1. Click the arrow to the right of the button.

  2. Select Library.

  3. Select a format.
  4. The new format is temporarily assigned to the browse window.
  5. Optionally, click the arrow to the right of the button again and select Set Selected Format as Assigned.
  6. Optionally, right-click a column header to Modify or Remove columns.
  7. Click the arrow to the right of the button again.
  8. Click Save or Save As if desired.

Merge Duplicates

This Merge Duplicates button enables users to resolve the common problem of having duplicate links in an enterprise database and the need to eliminate some or all of the duplicates after selecting one of the duplicate records to remain standing as the survivor. Schedule history and station-specific attributes will be moved over to the surviving record for each station of which the surviving Link is to become active. See the Merge Duplicates topic for additional details.

Swap Links

This Swap Links button opens the Swap Links window allowing the user to replace a current version of a link with a new version of the same link, essentially moving the schedule history of the current version to the new version for a specific station. When this option is executed, all schedule instances of the older version will be replaced with the newer version for the specific station. This will allow the newer version to show plays from when the older version of the link was in place. It will preserve the entire schedule history of the link, even though it was played under two different versions.

Browse List

Click the Browse List button to open the Browse List pane. From the Browse List pane the user can create lists of Links for scheduling special programming, such as Shows, “A to Z” weekends and other forms of programming in which an arbitrary list of links must be scheduled in sequence. Lists created using the Advanced Search window are available in the List drop-down of this pane and can be edited from this Browse List pane.

Automation synchronization buttons (NexGen, Zetta and Master Control users only)

An additional button is displayed when a GSelector station is associated with either a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems., Zetta Zetta is the a RCS automation and audio playout system. or a Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. station, and the Enable All and Link boxes in the NexGen Manual Synchronization, Zetta Manual Synchronization or Master Control Manual Synchronization panes respectively are unchecked . Under these conditions, this button allows the user to synchronize the selected Link Browse with the NexGen, Zetta or Master Control Link details in the interfaced NexGen, Zetta or Master Control database.

NOTE: You can only interface one playout system with any GSelector station.

Show History Pane

TIP: Press F7 to toggle pane open or closed.

Click this button to open the History pane for the selected link. This history map works similarly to the History Map in the Editor.

Hide History Pane

TIP: Press F7 to toggle pane open or closed.

Click this button to close the history pane.

History Attributes

Click this button to select an attribute to display in the History Pane when a Link is selected in the results pane. The display options are:

The Link selected in the results pane.

The Title of the Link selected in the results pane.

The Packet of the Link selected in the results pane. If the current Link is not in a packet, GSelector displays the history of the Link.

Add Link

In any Link Browse window, click the Add button in the Toolbar to open the Add Link window. See the detailed Add Link window notes here.

Filter pane tabs

To view Links in a browse list in the Results pane, by a selected Attribute, Title or Media value, or a combination of any of these, you work in the Filter pane.

  1. Select the appropriate Filter tab to display Attributes, Link Titles, or Media values or Artist in the Filter selection pane.
  2. With Attributes or Media values, you will see an expandable Attribute list where at least one value in one Link has been assigned; in the Media tab, all values are permanently displayed.

Attributes tab

Participants tab

Titles tab

Media tab

Attributes tab

The Attributes Filter tab is the default tab for the Linker Browse window. This tab gives access to an expandable list of all Linker Attributes to filter the Link library. The user can select or exclude Links by multiple Attribute values: for example, selecting a Category while excluding Links in a specific Packet. While some Attributes, such as Category, Daypart, Sound Code, Packet, and Texture are common to both Links and Songs, and used in similar ways, other Linker Attributes differ from Song Attributes in a number of ways.

See the detailed Link Attributes topic for full details.

Each Node in this pane can be expanded by clicking the [image] Expand button. For the Link Attributes Category, Daypart, Sound Code, Packet, Song Artist, Song Theme and Texture, this will display all values that have been assigned in at least one Link window.

In the Attributes/Participants/Titles the count for each attribute value is shown to the right of the elements.

For Example: If you open the Category Group node in the Attributes tab, you'll see the counts for each category. In the Media tab, you will only see counts for the Opening and Ending nodes.

For Link History Attributes like Date Added, Last Edited and Entered Category, and the Time attributes Start Time and End Time, GSelector offers a default range of value ranges, and also allows you to define Custom Values or Value ranges.

Participants tab

This Filter tab pane lists all Links sorted by Link Participants.

Titles tab

This Filter tab pane lists all Links sorted by Link Title.

Media tab

Click this tab to search by Link window media fields. Nodes in this pane can be expanded by clicking the [image] Expand button.

The Media External node allows selection of any items which have External Audio status assigned.

When expanded, the Media ID node will display all assigned Media ID fields, as well as the default (Not Coded) option.

In this image, the Runtime node is expanded. Selection options cover values below 2:30 and above 5:30, and three ranges of 60 seconds between this values. When searching by Media ID, you can also search by entering a value in the Media ID search box. Additionally, you can define a custom duration range or a custom value to filter the Link library by. See the Custom Attribute Values topic for full details.

Nodes

Click any node to change its status from expanded to closed, or from closed to expanded.

Results Browse pane

The results of your searches and list display requests are displayed in the Results pane. This pane can be formatted to display the fields of your choice; additionally, you can apply a predefined format from the toolbar. The browse allows hot key searching, sorting and a range of other functions. See the list of Results pane tasks in this topic, as well as the working with Browses notes. The pane also displays the active An Active item - a Song, Link or Note - is available to schedule in the current station. or inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. status or each Link. Inactive links can be viewed in the Advanced Search mode.

Show Unselected Links checkbox

TIP: Selected and Unselected links can have their selection status inverted by clicking the Invert toolbar button.

When you view the results of a search, the Links have Selected status. This is shown by a check in the Selected Column at left. You can remove any Link from the Results Browse pane by clicking on the Selected field. All Links that are not selected for display are unselected. GSelector will keep a tally of the number of selected and unselected Links. If you check the Show Unselected Links box, you will display all unselected Links in the Browse Display pane. When saving a list , only selected Links are saved, whether the unselected Links are displayed or not. GSelector maintains a record of selected and unselected Links.

TIP: If you have unselected Links from the Results Browse Pane and you want to see what you removed, view the removed Links by checking this box.

TIP: This form of selection can be changed to the Standard Windows Selection, where the SHIFT and CTRL keys on the keyboard or used for multiple selection, by changing the Library Browse Selection Mode in the Setup | Features | Miscellaneous tab.

Topic Overview: Link Browse window

Working in this window

The Browse Process Summarized

Working with Filters and Lists

Including and Excluding items in a search

Results Pane tasks

Hot-Key searching

Sorting Links in the Results pane browse

Jumping to a Link window

Exporting a Browse to XML

Merge Duplicates

Browse List

Add Link

The Browse Process Summarized

  1. In the Filter selection pane, select what to search by in the Attributes, Titles or Media tab.
  2. In the Attributes or Media tabs, open one or more nodes to display options to search by.
  3. Optionally, in the Titles tab, click to search by Title and optionally another search element.
  4. Optionally, in the Media tab open one or more nodes to display the options to search by, or use the Search field.
  5. To include or exclude search elements, or use a combination of these, click to select or exclude (see selection notes).
  6. Save any combination of search criteria , by clicking the Save Filter button, or the Save Filter as... toolbar button when working with an existing Filter, naming the Filter in the dialog box.
  7. Or select a Filter in the Filter selection box.
  8. The results of your search are displayed in the Results pane.
  9. Information in the browse Display Pane is displayed in a standard format. You can modify this in the Browse Formats Design window in Setup.
  10. Sort the browse by any header field by clicking the header.

Working with Link Filters and Link Lists

A Filter is a set of search criteria.
Once you have specified a combination of search criteria in the Link Browse window, you can save this combination as a Filter and recall it for later use. You can create, name, modify, save and delete any Filter. In the Link Browse window the results are displayed in the browse, or viewed in sequence in the Link window.

A List is a browse list or set of Links, Filtered or otherwise.
The Link list is created when applying a Filter, saved or otherwise. Any Link list can be re-Filtered using a different saved or new Filter. Once you have created a Link list, you can save this as a Saved Link and recall it for later use. When saving a Link list, only the selected Links in the Browse pane are saved. You can create, name, modify, save and delete any Link list. In the Link Browse window the results are displayed in the browse, or viewed in sequence in the Link window.

Filters and Lists can be Deleted, Modified and Saved using the Filter toolbar buttons.

NOTE: A Filter will always generate a list that is completely up to date. A list will not be updated once it is generated, unless you edit it.
For example, to generate a current list of Category A Links, filter by Category A. If you save this as a List, it will not update to reflect new additions to the Category.

Including and Excluding items in a search

In any filter tab, select from the list of Attributes, Titles or Media values by clicking the Neutral [image] icon for the item in the list shown for that tab. All Links with that Attributes, Titles or Media value will be displayed in the results pane. In the illustration here, showing a list of Link Category Groups, the Category Group (Promos) is selected. When any item is selected, not selected items are excluded from the browse display.

The rest of the category groups are not selected. When items are selected, non-selected items are excluded. When items are excluded, not-selected items will be displayed in the results pane. Clicking the Link Category Group (Promos) again will exclude the links in the Promos category group and display the links from the other categories in the browse window if no other item is selected.

You can click multiple items in each tab to display Links with selected multiple Attributes, Titles or Media Values. This lets you display Links with combinations of Artists, Titles or Media Values.

Optionally, there is a right-click menu that allows the user to easily return a selected/rejected Attribute, Participant, Title or Media back to Neutral [image]. This right-click menu can also be used to Select [image], Reject [image] or Select Only. Select Only will select the current Attribute, Participant, Title or Media and change all other selected or rejected attributes back to neutral. Using the CTRL key and clicking an Attribute, Participant, Title or Media will also perform the Select Only function.

Selected and Excluded totals

When one or more Attributes are selected or excluded in the Browse, GSelector displays the selected and excluded totals for each Attribute. In the above illustration, one Category is selected, and one is excluded. The totals for selected and excluded items are shown.

Modifying a Filter or Link list

GSelector has a feature to remind you when you are working with a changed Filter or Saved List. This gives you the option to use the changed Filter or Link List temporarily in this editing session, or to save the edited Filter as a new permanent Filter. With any previously saved Filter or Link list, changing the Filter request, re-filtering the Link List or deleting items in the Link list changes the name. In this illustration, the Link Contest Filter name, having been modified by additionally selecting PR/Promos, is now renamed to Link Contest* . Any changed Filter or Link list is available for the duration of the current session. To reset the Filter or Link list to its original value, click the Reset button, or exit the window, or GSelector completely without saving any changes.

Results Pane tasks

Hot-Key or Quick searching

Sorting Links in the Results pane browse

Playing Audio

Jumping to a Link window from the Browse window

Hot Key or Quick Searching

You can 'Hot Key search' in the default format Category, Title, Artist and Album browse fields, or in any field in a Customized format. Select the field, and type in the first letter to search by. In the Browse, selecting the Title Field and typing M will move the highlight to the first Link with a Title starting with that letter. For more details, see the Hot Key notes in the Working with Browses topic.

Sorting Links in the Results pane browse

Selecting a field in any browse and clicking on the sort order triangle in the header will order the browse by the contents of that column. Click again to re-sort in the alternate direction.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a Browse List, CTRL+F11 will play the element having focus if the Browse list has focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus if the Browse List has focus. When that element finishes playing, the next element lower in the Browse List will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Jumping to a Link window from the Browse window

Double-click a link in the results pane to jump to the Link window to view the details for that link. Optionally, hold the CTRL key while double-clicking an attribute field for the link within the results pane, to jump to that specific field in the Link Window with the cursor in the field ready for editing.

For Example: If you hold the CTRL key while double-clicking the Runtime field of a link, GSelector will jump to the Runtime field for that link in the Link Window with the cursor in the Runtime field ready for editing.

Topic Overview: Link Browse window


Association Reports

GSelector provides Association Report formats to create broadcast return reports to copyright authorities and rights collection agencies worldwide. These dedicated report formats are designed in conjunction with local copyright bodies and rights associations for each region.

NOTE: The USA BMI BMI is a USA performing right organization: It collects license fees on behalf of its songwriters, composers and music publishers and distributes them as royalties to those members whose works have been performed. and ASCAP ASCAP is a membership association of more than 320,000 U.S. composers, songwriters, lyricists, and music publishers. reports are generated in the Export Schedule window.

Accessing the Association Reports window

Features in the Association Reports window

Generating an Association Report

Accessing the Association Reports window

Click the Interface Tab and then the Association tab, to access a screen similar to the one illustrated here. In the Regions pane, select the Region and Report to use.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Association Reports window

Features in the Association Reports window

Date range

Wrap, Block or Hour Grid selection

Region

Path and filename

Tabbed options (vary by territory)

Date and Time Range pane

Enter a Date and Time Range for the selected Association Report. Note that Date formats may vary according to your territory. For full details on which formats are accepted in your region, contact your local RCS office.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to Report are entered in the Date and Time Range fields, the user can define further what they want Reported. When selecting the Wrap feature the reported range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours reported would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours reported would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be reported. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Country Pane

In this pane, select the Country and the Association Report type, where more than one Association Report is used for the region. Typically this is the case in many regions.

NOTE: When selecting Canada in this field, a Canadian Parameters tab is displayed in the Tabbed Options pane. GSelector users in Canada should contact the RCS Canada office for details. See the notes on assigning territory-specific codes in this topic.

When selecting Germany in this field, a German Musikcode tab is displayed in the Tabbed Options pane. GSelector users in Germany should contact the RCS Germany office for details.

When Selecting Australia in this field, the Report drop-down has four options. The Australian APRA New Music Association Report allows the selection of a User Defined Attribute and a Report Type. The former allows you to select an attribute for use in the report while the latter provides options of 'Items' and 'Time.' The 'Items' option provides spin counts as previously shown in the report. The new 'Time' option formats the report to show total seconds for each summary which are then summed to indicate actual song runtime instead of spins.

We have updated the format for the UK PPL association report and moved it under Ireland.

In addition we added an IMRO Links association report for Ireland and an ICASA association report for South Africa.

The only report available for the United States is the DMCA report. The BMI BMI is a USA performing right organization: It collects license fees on behalf of its songwriters, composers and music publishers and distributes them as royalties to those members whose works have been performed. and ASCAP ASCAP is a membership association of more than 320,000 U.S. composers, songwriters, lyricists, and music publishers. reports are generated in the Export Schedule window.

DMCA Report

The DMCA Association Report can be used to identify any songs that do not meet the following Digital Millennium Copyright Act (DMCA) performance complement rules:

(13) | The “sound recording performance complement” is the transmission during any 3-hour period, on a particular channel used by a transmitting entity, of no more than—
 | (A) | 3 different selections of sound recordings from any one phonorecord lawfully distributed for public performance or sale in the United States, if no more than 2 such selections are transmitted consecutively; or
 | (B) | 4 different selections of sound recordings—
 |  | (i) | by the same featured recording artist; or
 |  | (ii) | from any set or compilation of phonorecords lawfully distributed together as a unit for public performance or sale in the United States,
 |  |  | if no more than three such selections are transmitted consecutively: Provided , That the transmission of selections in excess of the numerical limits provided for in clauses (A) and (B) from multiple phonorecords shall nonetheless qualify as a sound recording performance complement if the programming of the multiple phonorecords was not willfully intended to avoid the numerical limitations prescribed in such clauses.

Reference: 17 U.S. Code § 114 - Scope of exclusive rights in sound recordings; https://www.law.cornell.edu/uscode/text/17/114

The report will check for violations regardless of whether the DMCA Rule is enabled.

Path and Filename pane

Specify a path to send the Association Report to. If necessary users can navigate to the desired folder using the More details button. The filename is normally selected automatically when the Association Report is selected. The option exists to overwrite this field is required. See the notes on using variables in filenames where these are required for details of the elements used in the filename.

Encoding

GSelector offers four coding standards for use when generating Association Reports: ASCII ASCII (American Standard Code for Information Interchange), is a character set most commonly used by computers and other communication equipment to represent text., ANSI ANSI (American National Standards Institute) is a variation on the ASCII character set commonly used by computers and other communication equipment to represent text. , Unicode A coding standard which reads characters from Western European, Eastern European, Cyrillic, Greek, Arabic, Hebrew, Chinese, Japanese, Korean, Thai, Urdu, Hindi and all other major world languages, living and dead, to be encoded in a single character set. , and UTF-8 A coding standard used by some systems. A variation on standard Unicode . The default setting is ANSI. Consult your system documentation for details on which standard to use.

Generate button

Click this button to generate the selected Association Report.

Tabbed Options

Tabbed options Save button

Link Categories

Day and Hour filter

Network Hours

For some territories, supplementary tabs at the right of the Association Reports window allow the user to specify hours when the station takes Networked output, or to add local Identifying codes, to set the Hours and Days when reports are generated, or to optionally specify what Link Categories are to be included in Reports. Where this takes place, users should also ensure that Song Segments are accurately entered in the Link window Additional Information window.

Tabbed Options Save button

GSelector provides a Save button at the top of this pane to save any changes to settings you make in any of the three tabbed options below.

Link Categories

Check all Link Categories to include in the Association report for this station. Then click the Save Associations [image] button.

Time Frames: Day and Hour Filter, Network Hours

The Day and Hour filter is available in all territories; The Network Hours grid is only presented for specific territories. Both access a grid of 168 checkboxes, one for each hour of the day across the week. In each tab view, you can manually check individual boxes for the hours and days to include in the report. To select an hour across the week, select and click the Hour box at left. To de-select, click the Hour box a second time. To select a day, click the Day Header at top. To de-select, click the Header a second time.

The Day and Hour grid controls the hours that will be included in the Association Report for this station.

The Networked Hours grid determines which shows are local and which are networked and generated remotely.

Topic Overview: Association Reports window

Generating an Association Report

NOTE: Due to the wide variety of different report formats for each region, the different options are only documented briefly. For full details on each region's report formats, contact the local RCS support office. GSelector users in regions which are not catered for by the options in this page should contact their nearest RCS office for information and guidelines on report formats for their country and copyright bodies.

  1. Select a Country and a Report Type.
  2. Specify a Path for the Association Report filename, and optionally specify a different dedicated Association Report filename when this is required in the Path and Filename pane. The filename is normally selected automatically when the Association Report is selected.
  3. Enter a Date and Time Range for the selected Association Report.
  4. Select Wrap, Block or Hour Grid to refine the Date and Time range.
  5. If required, specify Link Categories to include in the report.
  6. If required, specify the Days and Hours to include in the report.
  7. If required, specify Networked Hours to include in the report.
  8. Where required, enter local coding information such as a SACEM code.
  9. Click the Generate button to generate the selected Association Report.

Assigning territory-specific codes (Canada and Germany)

Copyright bodies in both Canada and Germany require information to be assigned to specific local parameters in the tabbed options pane of the Association Reports window. If this information is not already specified for songs in your GSelector database, no options can be selected in the tab panes in this window. For more details, contact your local office.

Topic Overview: Association Reports window


Reports window

The Reports section allows you to design and print or export Report for Songs, Links, Schedules and Notes. Existing Report formats are listed in this, the default main Reports window. In this window, you access, create, edit and delete existing Report formats. The other Report windows let you specify content and layout options, by defining filter and configuration options. When you construct a Report, you specify fields in the GSelector database, along with text captions, to display information in those fields, specific to the area you are working in, subject to filter and sorting options. You can design as many Reports as you wish.

Accessing this window
Features in this window
Working in this window

see also the notes on specifying Content in the Filter tab , Adding fields in the Columns window , Grouping Report content , Previewing in the View window , Laying out formats in the Editor window , and Report Settings and Appearances

Accessing this window

Click the Reports tab to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Main Reports window

Features in this window

Toolbar
Selected Report name
Export Option buttons
Preview pane
Report types: the Reports list

Toolbar

From this Toolbar, common to all Reports section windows, you Add , Rename and Delete Reports, Save your changes , modify existing Reports to Save as New Reports, define your Page Setup , and Import and Export Report Formats. Not all of these functions are available in all Reports section tab windows.

Selected Report name

The name of the selected Report (selected in the Reports list ) is shown at top right of the pane in every Reports window.

Export Option buttons

Immediately below the Navigation bar, two buttons allow the user to specify whether to send a report directly into Adobe® Acrobat® PDF or Excel® format.

Report Types and the Reports list

Immediately below the Toolbar is the Reports list pane. In this pane, you select Reports to modify, copy, delete, view or generate.

GSelector groups Reports by type under Songs, Links, Schedule, and Notes (where a Note report has nodes. Click any node to access Reports for that Report Type; click the opened node again to close the list of Report Formats for that Report Type. When you install GSelector, we supply a pre-designed Report templates for Songs, Links (where Linker is scheduled) series of headings and Schedule Reports. You can create further Reports for those Headings and Note Reports, starting by Adding a Report Name in the New Reports window.

To view details for any Report, select the Report format in this window by clicking on it, then select any of the Reports tabs to work on that Report, .

TIP: Notes Report types are only displayed if a Note report has been designed. Links Report types are only displayed if Linker is licensed.

Preview Illustration

Where a Report Format has been defined, the Preview Pane will display a sample image. You cannot edit the report from this image.

Topic Overview: Main Reports window

Working in this window

Adding a blank Report
Creating a Report
Generating a designed Report
Naming a Report
Deleting a Report
Saving an existing Format as a New Report Format
Saving a Report Format
Importing and Exporting Layouts
Retrieving a default Report format
Exporting a Report to PDF or Excel formats

Printing a Log

Add a blank Report

1. In the Toolbar for any Reports window, click the Add [image] button to open the New Report window.

2. Select the Report Type heading: Songs Links, Schedule or Notes
3. Then enter a Report Name.
4. Click the OK button to go to the Columns window to specify the Report Type Columns to use in this report.
5. When you first access the Reports window, there is no Notes node. As soon as you add a Note report, the Notes node is displayed in the Report types pane.

Creating a Report

1. First Add a blank Report.
2. Then follow the design steps in the Columns, Groups, Editor, and Filter windows.
3. Apply Appearances if required.
4. Then return to this window, open a Reports List Node and click on the Report Format name.

Generating a Report

1. In the Reports window, select a Report: open a Reports List Node and click on the Report Format name.
2. Click the Reports View tab.
3. If required for Schedule Reports or Song and Link Reports which use Spins and Date Stamps fields, specify a Date and Time range.
4. Follow the steps to Print or Export.

Renaming a Report

1. In the Toolbar, click the Rename [image] button at any time to rename a Report.
2. This opens a Rename Report window.
3. This is similar to the Add Reports window, but the Report Type field, while displayed, cannot be edited.
4. The existing name is displayed, and can be edited or changed.
5. Click OK to close this window.
6. After renaming the Report, click the Save button to save your changes.

Delete Reports

You can delete any format, either original or modified, for a clearer and simpler report display.
1. In the Reports window, select a Report in the Report types pane .
2. Click the Delete [image] toolbar button or press Del on your keyboard.

TIP: Original default formats are not permanently deleted from GSelector. Any original format can be retrieved using the Import button.

Save as New

After modifying an existing Report, click this Toolbar [image] button to open the Save Report As... window. This option allows you to use existing reports as templates for new reports, which can speed up the time taken to design a new Report format.

Saving changes

If you make any changes to any field, the Save [image] button in the Toolbar is activated. Click to save your changes. You will be prompted to save your changes when you leave the window, if you have not clicked this button.

Page Setup

Click the Page Setup [image] Toolbar button, where accessible, to open the Report Settings window. This button is available in the Groups , Columns and Editor windows. Where it is not available, it is grayed out. The Report Settings window has four separate areas, each offering a different utility, accessed by the buttons at right.

Importing and Exporting Report Layouts

Default formats supplied in the GSelector reports section cannot be directly edited. To modify a format, it must be saved as a new format. Any Saved format can be exported and saved. Equally, a Saved Format can be imported for use elsewhere.

To Export a Report Layout:
1. Save and Name the completed format.
2. Click the Export Format button to open the Export Report Layout window.
3. Navigate to the folder where you will save the Export Report Layout.
4. Enter a File name and click the Save button.

To Import a Report Layout:

1. Select a Report Type heading by opening the desired node in the Reports list .
2. Click the Import button to open the Import Report Layouts window.
3. Navigate to the Report Layouts folder if necessary.
4. Select a Report Layout filename.
5. Click the Open button.
6. The Report filename is displayed in the Report Types pane, and all Tabs will display the selected layout.

GSelector provides a default folder, shown here, which automatically stores Report formats. It can be used as a source folder when importing Reports. Its path, on any GSelector machine, is \rcs\gselector\support\reports.

Retrieving a deleted Report format

GSelector provides a range of default formats for your convenience. As formats can be deleted for display purposes, it may sometimes necessary to retrieve the original formats using the import window.

Exporting a Report to Adobe PDF or Excel format

Once the report is designed, select either the PDF or Excel toolbar buttons to send the currently selected report out in either format.

Printing a Page per Hour Log

The instructions given here cover one of the most common tasks: configuring a report so it can print a log displaying a page per hour.
1. in your selected station, click on the Reports tab.
2. Open an existing Schedule (Log) report. See the notes above on Report types.
3. Or create a new Schedule report if desired.
4. Navigate to the Groups window.
5. In this window, select the DateAndHour field in the Available Fields list.
6. Add this field to the groups by clicking the Add button.
7. Set Pagination to "Page Break" for this DateAndHour field.
8. Save your changes.

Topic Overview: Main Reports window


Report Settings

This window is used to define Page, Printer, Styles and Grid settings when working in the Reports Editor window .
Accessing this window
Features in this window

Accessing this window

First, in the Main Reports window , select a Report. Edit or modify as required.
Then, from the Reports window toolbar click the Page Setup button to open the Report Settings window.

Topic Overview: Report Settings window

Click any area in this window for help

Click any area in this window for help

Topic Overview: Report Settings window

Features in this window

The Report Settings window has four separate areas, each offering a different utility, accessed by the buttons at right.

Page Setup

Click the top button to edit or review Page Setup values. The values (Metric or Inches) displayed are set in your Windows™ Regional Settings page. The user can edit or review the margins for the Page used in the selected Report. A preview pane shows the effect of the changes , as shown in the image above .

Printer configuration

Click the second Printer Settings button to define Paper size, orientation, Collate/Duplex and Paper source settings. If these are set to default, the printer's default settings are used. The printer used will be the default printer associated with the machine on which this program is running. This is defined in your Windows™ Printer Settings page.

Styles

Styles can be created, modified, Imported and Exported in this window.

Click the third Report Settings button to access and edit a range of styles to apply to the Report. Styles designed here can then be selected to apply to fields in the Reports Editor window (see notes here ), from the Styles field in the Format Bar .

To create a new Style:
1. Click the New button in this window.
2. Enter a Name for the Style.
3. If you wish, and select an existing Style to base the New Style on.
4. Click OK to close the New Style window.
5. The new Style is now listed in this window.
6. Select the Style, and apply any formatting you choose.
7. Finally, click OK to save the new Style.
8. The selected Style can be modified on the fly in the Editor window , by editing values in the Appearance section of the Editor Customize pane.

Global Grid settings

The fourth button offers Global settings for use when laying out report elements in the Editor window grid (see notes here ) , including the Grid size, whether the selected report fields and elements (controls) snap to grid. and whether or not the Grid is displayed. You can also specify the number of Columns per inch or centimeter, and specify that the Design Grid Ruler above the Report Design Grid in the Editor window displays inches or centimeters.

OK/Cancel buttons

Click to confirm your settings or to close the window without saving any changes.

Topic Overview: Report Settings window


Reports Filter window

The Reports section allows you to design and print or export any kind of report. The content for any selected Report, using Filters for any Report element, is specified in this window.

Accessing this window
Features in this window

See also the Reports , Columns , Groups , Appearances and View tab window topics in this section, and the Designing the Report Format in the Editor window notes.

Accessing

Click the Reports tab, then select a Report, and finally click the Filter tab in the Reports Navigation Bar, to access the Reports Filter window. The default view shown below shows the filter selection field only, used when working with Songs reports; Songs, Links and Notes filters are each displayed as appropriate for the Song, Link or Notes report. However, when working with a Schedule Report , all three options (Songs, Links and Notes) are available.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Reports Filter window

Features in this window

Toolbar
Selected Report name
Filter and List selection field

TIP: See working with Filters and Lists in the Filter and List Enter Name box topic for more information about Filters and Song Lists.

Toolbar

From this toolbar you Add and Delete Reports, Save your changes , modify existing Reports to Save as New Reports, define your Page Setup , and Import and Export Report Definitions.

Selected Report name

The name of the selected Report (selected in the Reports list in the main Reports window ) is displayed at the top right of the pane, and every other Reports tab window.

Filter and List selection field (Song, Note and Link Reports only)

The Filter selection field is used to select content for the selected Song, Note or Link Report, by selecting a Filter A saved set of Search Criteria. These can be recalled for later use in a Song, Link or Note Browse or other window. or List A saved list of Songs, Links or Notes, browsed and saved in the Song, Link or Notes Browse window respectively. . If you do not select a Filter or Song or Note List, the report shows full Song, Note or Link information for every field in the report. Filters and Lists with Songs ort Notes can contain Active An Active item - a Song, Link or Note - is available to schedule in the current station. or Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. items. However, Active fields are not used in Schedule reports, as these are designed to show Songs, Notes and Links used over a specific time period.

Filter and List selection fields (Schedule Reports)

When working with Schedule reports, you can use filters for Songs and Links, as they are all elements in the Report. You can also show or suppress Breaknotes, Control Events, Exact Time Markers, Spots, Spot Blocks, Spotset Holders and Voice Tracks in your Schedule reports.

Topic Overview: Reports Filter window


Reports View window

The Reports View window is the last step in generating a report: You generate a selected Report by clicking the View tab. Depending on the size, design and complexity of the Report, and where on your network you are working from, you may have to wait a few moments.
Before this, you set the report up in the Reports , Columns , Editor and Groups windows, and optionally apply filters in the Reports Filter window , using Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. specified in the Appearances tab.

From this window, you can export a generated Report to an Excel format or a PDF file, and there are a range of navigation and viewing tools.

Accessing this window
Features in this window
Working in the Reports View window

Accessing this window

From any window for your selected Station, click the Reports tab, then the View tab to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Reports View window

Features in this window

Toolbar
Selected Report name
View Print controls
Viewing Pane

Toolbar

From this toolbar you Add and Delete Reports, Save your changes , modify existing Reports to Save as New Reports, define your Page Setup , and Import and Export Report Definitions.

Selected Report name

The name of the selected Report (selected in the Reports list ) is shown at top right of the pane in every Reports window.

Topic Overview: Reports View window

View/Print controls

Export buttons
Print options
Copy
Find button
Page view buttons
Zoom buttons
Previous and Next buttons
Page number

Click any control in the toolbar for help

The toolbar in the View/Print window offers a range of options.

Export buttons

These two buttons allow the user to export the report to Excel or to a PDF format. Click to start the process and to specify the file destination.

Print options

Click the Print button to open a Print Dialog box to print a hard copy of the report.

Copy

The Copy button allows the user to copy the contents of the report into another medium such as word.

Viewing pane

This pane shows the finished Report. You cannot directly edit this display, but you can Print and Export the report.

Topic Overview: Reports View window

Working in the Reports View window

Exporting a Report as a file
Printing a Report
Finding text in the Report
Viewing Options
Navigating in the Report
Annotation
Selecting Dates for Schedule Reports

Export buttons

The two Export toolbar buttons allow the user to export the report to Excel or to a PDF format. Click to start the process and to specify the file destination. Note that when you generate a report in Excel, Page Header and Footer information is only displayed at the start and end of the file, after and before the Report Header and Footer information respectively, unlike in PDF or View modes.

Print options

Click the toolbar Print button to open a Print Dialog box to print a hard copy of the report.

Find dialog box - find text in your report

Click to open a Windows™ Find dialog box.

Enter the Text to search for, set the whole word and case options, and the direction to search in, then click the Find Next button.

Topic Overview: Reports View window

Viewing options

Listed here are the various view and zoom options.

Page view buttons

The three View buttons offer a range of options.
Click the left [image] button from a Multi-Page view to revert to a Single page view.

Click the Middle button from a Single page view to access a range of Multi-Page viewing options.

This opens a graphic of the page layout. Mouse over the pages to select the view page layout.

Click the right [image] button to set the view to scroll through all pages in the report.

Zoom buttons and Enlargement percentage box

Click the zoom buttons to zoom in or out of any page. Or enter a value in the percentage box to specify a more precise degree of enlargement or reduction of the report image.

Topic Overview: Reports View window

Navigating in the Report

Previous and Next Page buttons

Click these buttons to move up or down through a report of multiple pages.

Page Number

This pane indicates the current page and total page number. You can jump to any page by entering the page number in this field.

Annotation

Use the Annotation drop-down to select an annotation type. To add the selected annotation to the report simply click and drag it to the location in the report. To edit the annotation once it is in the report right-click the dropped annotation and select properties.

Use the Annotation's Properties window to edit the Appearance, Data (text) and Layout.

Topic Overview: Reports View window

View/Print Pane

The view/print pane cannot be directly edited. It simply displays the report as formatted in the Reports Columns window and Reports Groups window , with the specified content options set in the Reports Filter window.

Selecting Dates for Schedule Reports

When you select a Schedule Report and then click the View tab, you are prompted to enter a Date and Time Range. GSelector proposes a default date range of the most recent seven days. To select dates, click the drop-down arrows to access a Calendar control. After selecting the From Date and Time and the Thru Date and Time the user can select how to interpret the range using the Wrap, Block or Hour Grid options.

Wrap: GSelector will consider all hours starting at the From Date and Time thru the Thru Date and Time.

Block: GSelector will consider the From and Thru times as a block of time within each date within the range. An example using a From date of 1/1/2011 and a From Time of 10:00am with a Thru Date of 1/17/2011 and a Thru Time of 2:00pm, GSelector will include the 10:00 AM through the 2:00 PM hours within each date from January 1, 2011 through and including January 17, 2011.

Hour Grid: The user will select an Hour Grid from a drop-down list. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

The report displayed in the View pane will display the schedule for the date and times selected. GSelector defaults to the last partially or completely scheduled day. Click Cancel or press the Esc key on your keyboard to close this window without viewing the schedule for the selected data and time range.

Topic Overview: Reports View window


Reports Columns window

The Reports section allows you to design and print or export any kind of report. Existing reports are listed in the Main Reports window , the default window accessed when you open this section. In the Reports Columns window, you design or edit the fields to use in the report format by specifying the Columns to use in the Report. Each Report Type can draw on a range of Columns specific to that type.

Accessing this window
Features in this window
Working in this window

see also the notes on Creating or selecting Reports in the main Reports window , specifying content with the Filter tab , grouping by fields in the Groups window , previewing in the View window , designing formats in the Editor window and applying Reports Appearances ,

Accessing this window

For an existing Report:
Click the Reports tab, select the Report and then click the Columns tab in the Reports window.
When creating a new Report:
Click the Reports tab, then follow the steps to Add a report. Once added, the Columns window opens for your newly added and named Report.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Reports Columns window

Features in this window

Toolbar
Selected Report name
Available fields
Add and remove buttons
Mockup pane
Columns Layout Pane
Font settings
Balance shift buttons
Columns layout buttons
Special Fields .........
......... Spins and Date Stamp fields (Songs, Links and Notes)
......... History fields

Toolbar

From this toolbar you Add and Delete Reports, Save your changes , modify existing Reports to Save as New Reports, define your Page Setup , and Import and Export Report Definitions.

Selected Report name

The name of the selected Report (selected in the Reports list ) is shown at top right of the pane in every Reports window.

Available Fields list

This pane displays the Fields you can use for the Report. The fields in this pane are specific for the selected Report Type. However, all available fields for all Report Type include History fields . From this list you add fields to or remove fields from the Columns layout pane using the Add and remove buttons .

See the notes on the use of Special fields in this topic. These cover History fields and fields used in Most Played Reports .

NOTE: Fields used to Group content in the Reports Groups window for this Report format are not displayed in this window.

Add Field and Remove Field buttons

Select a field to include in the Report format and click the right-pointing button to add the field to the Columns layout pane. The field is then displayed in the Columns Layout pane, where you can apply a font and move it up and down in the format using the Layout pane arrow buttons . To remove a field from the Columns Layout pane, select it in that pane and click the left pointing button. The field is displayed in the Available fields list again.

Font Settings

This pane lets the user specify font settings for all Column Headings, and for the information in the Column Cells. Settings you apply here are used for all Columns and Cells respectively. Click the Format details button to access the Windows™ font dialog box. Your format is displayed in the Cells or Column Headings pane. When you select a new font setting, this is reflected immediately in the Mockup pane. If you are Grouping material under headings in this Report Format, define font settings for the Group fields in the Font settings pane in the Reports Groups window. Each Column field also has a Header Font and Cell Font that will override the setting set here for the selected column.

Topic Overview: Reports Columns window

Columns Layout pane

Column name field
Format
Wrap
Column width shift and graph
Alignment
Summary

All fields used in any Report format are listed in this pane. The fields are displayed from top to bottom in this pane, in the order in which they are displayed in the report, from left to right. To change the field sequence, select a field, and click the Columns Pane Layout buttons, at the right of the Layout Pane to move that field up or down in the sequence. When designing a simple report, without Grouping, the report is sorted according to the field sequence. You can set the relative width of each Column by clicking the Balance Shift button for that Column.

Click any field in this image for help

Click any field in this image for help

Column Name

All fields that have been selected in the Available fields and moved to this pane with the Add field button are displayed, initially in the order in which they have been added, in this field. To change the sequence, use the Columns Layout Pane buttons . The top to bottom sequence in this Column determines the left to right sequence in the Report.

To remove a field from this pane, select it and click the Remove field button .

Format

Select a field in the Columns layout pane and click the More Information button to access the Output Format Dialog box. Depending on the selected field, you have a range of options to select. Dates and times can be displayed in several different modes. In this illustration, a range of date formats are displayed. you can select the default Use System Default option, where applicable, or uncheck this box and scroll through the list of formats to select the field format . Then click the OK button to apply the selected format to the field in the Columns Layout Pane. Your change is reflected immediately in the mockup pane. Where there is no specific format to apply, for example with Text fields where you are already applying a Font format, the General format is applied.

Wrap Checkbox

For any field in the Report, check the Wrap Checkbox to wrap text strings to multiple rows. Leave the box unchecked to truncate text information to the set width for that field.

Columns Shift Buttons and Balance Graph

When you add fields to a Report format, they are initially all given the same, equal, width. So if you select four fields, the report will show four equal Columns. If you select seven fields, the report will show seven equal Columns. You can, however, shrink or expand column width. A date column will not need as much space as, say, a name column. Select a field in the Columns layout pane, and click the left shift button to reduce the field width, and the right button to increase the field width. Your change is reflected immediately in the mockup pane.

Alignment field

Click the drop down arrow to specify that the text in selected field in the report is Left or Right aligned, placed in the center of the column, or that the text is Justified.

Summary field

With numeric content fields, you can specify a range of options for a summary field for each such field's Column. Click the drop-down arrow to select

the default None option, or any from the
Sum
Average
Count
Minimum or
Maximum options.

Where a summary value is specified, the requested value is displayed at the end of the Report at the bottom of that column.

Columns Layout Pane buttons

Select a field in the Columns Layout pane and click the up or down arrows to move that field up or down in the field sequence. The top to bottom sequence in the Column Name field determines the left to right sequence in the Report. The Report is sorted by field content in the topmost field in the Column Layout pane. See the notes on Sorting in this topic.

Mockup Pane

This window displays how your Report design will look. It displays the Report Name at the top, then the Header design, followed by one sample line of all fields as specified in the Columns Layout Pane. If fields are Grouped by a selected Grouping field (see the Reports Groups window notes), this is displayed as well.

Topic Overview: Reports Columns window

Special Fields

Spins, Rank and Date Stamp fields
History fields

Spins, Rank and Date Stamp fields (Song and Link Reports only)

These fields, available in Songs, Links and Notes Reports, and used in this window and Reports Groups, are time and date sensitive. When these fields are used in a Report, you are prompted to select a date and time range for the Report, using the Reports Calendar Control, which allows you to specify a minimum number of Spins. Information in these fields will wrap in the column if required. Spins and Rank are used together to create Most Played Reports.

History Fields

Information in the Date Activated (Songs and Notes only) Date Added, Entered Category , Last Edited and Total Plays fields, when called for in a Report, is automatically updated for the most recent schedule information. When sorting or grouping by any of these fields, the contents of a regularly generated Report can change considerably from day to day.

Note Title Script field (Schedule Reports only)

This field can be added to Schedule Reports and will display all scheduled Note Titles and Script information associated with a Song or Link that is in the Schedule report for the selected period. When you add this field in the Columns window, it is not displayed as part of the column structure, but instead simply displays across the entire width of the report immediately following the associated Song or Link. This allows you to add Scripts directly to a schedule or printed on Air Log, exactly as you have designed them to look in the Note window . You can also use this field to Group information.

Topic Overview: Reports Columns window

Workflow in this window

The Process Described
Sorting Report content by field order
Adding a Report
Creating a Most Frequently Played Report

Building a Format: the Process Described

1. For the selected Report type, select the fields from the Available fields pane.
2. For each field, click the Add button to place that field in the Columns layout pane.
3. Sort the fields into display order using the Columns Pane Layout buttons.
4. Specify which text fields can be wrapped or truncated with the Wrap checkbox in the Columns layout pane.
5. Determine the Font settings for the Header and fields.
6. Adjust the relative widths of each field using the Balance shift buttons.
7. Group fields under sub headings if required using the Reports Groups window
8. Specify a Filter if required in the Filter window.
9. Save the Report format if already named, or Save a Modified format as a New format.
10. View the Report in the Reports View window .

Sorting the Report

Content in any report is sorted in ascending Chronological, Numerical or Alphabetical order, according to the field. The leftmost field in the Report is the first field used to sort by. If there are several entries with the same value in this field - for example with the same date, then the next field is used to sort and so forth. When Report content is Grouped (see notes here ) by one or more fields, material under each Grouping is sorted the same way, but the Groups themselves can be sorted in ascending or descending order.

Creating a Most Frequently Played Report

This specialized Report type displays Songs, Notes or Links Ranked by the number of plays (Spins) that the Song, Note or Link has received in a specified period. A Most-Played Report must include both the Spins and Rank fields.

A typical method of creating a Most Frequently Played Report is:
1. In the Toolbar for any Reports window, click the Add [image] button to open the New Report window; select the Report Type heading: Songs, Links or Notes, and enter a Report Name. Click the OK button to close this window.
2. From the available fields pane, select the Rank field and the Spins field to add to the layout. See the building notes above.
3. Add other fields (Title and Artist as a minimum for Songs for example).
4. Adjust the relative width of all fields with the balance shift buttons: Spins and Rank do not need as much space as Title and Artist, for example.
5. Sort the fields into display order using the Columns Pane Layout buttons.
6. Optionally design a header in the Editor window, apply filters, or apply formats and appearances. Generally most played reports do not use the Grouping facility, sorted as they are by Spins.
7. To view the Report, click the View Report tab.
8. A Date and Time Range control opens.

9. Specify the Date and Time Range, and optionally a cutoff value for Spins (don't show items with low spins) and a Maximum Rank value (only show the top number of items up to the Ranking value).

10. Select Wrap, Block or hour Grid for the selected date range.
11. Click OK.
12. The report is generated in the view window.

Topic Overview: Reports Columns window


Reports Groups window

In this window, you specify, for a selected Report, the Grouping of fields by content for one or more selected fields. For example in the image below, Artist and Song Title entries for each song are grouped by Album Title.

Accessing this window
Features in this window
Working in this window

see also the notes on Creating or selecting Reports in the main Reports window , specifying content with the Filter tab , adding fields in the Columns window , previewing in the View window , designing formats in the Editor window and applying Reports Appearances ,

Accessing this window

Click the Reports tab, select a Report, and then click the Groups tab to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Reports Groups window

Features in this window

Toolbar
Selected Report name
Available fields
Add and remove buttons
Font settings box
Grouping pane
Nulls checkbox
Sort order
Mockup pane
Special Fields

Toolbar

From this toolbar you Add and Delete Reports, Save your changes , modify existing Reports to Save as New Reports, define your Page Setup , and Import and Export Report Definitions.

Selected Report name

The name of the selected Report (selected in the Reports list ) is shown at top right of the pane in every Reports window.

Available Fields list

This pane displays the Fields you can use to Group content by for the Report. The fields displayed in this pane are determined by the selected Report Type, or the Type specified when creating a Report . These fields are added or removed from the Grouping Pane using the Add and remove buttons .

Add Field and Remove Field buttons

Select a field to include in the Report format and click the right-pointing button to add the field to the Grouping pane. The field is then displayed in the Columns Layout pane, where you can apply a font and move it up and down in the format using the Layout pane arrow buttons . To remove a field from the Columns Layout pane, select it in that pane and click the left pointing button. The field is displayed in the Available fields list again.

Font Settings box

This pane lets the user specify font settings for all Group Headers, Group Summaries, and optionally Page Summaries and Report Summaries. Check the Page and Report Summary checkboxes to activate these two formatting options and display these in the Reports View. Format settings for the Report material displayed under each Group is set in the Font settings pane in the Reports Columns window. Click the Format details button to access the Windows™ font dialog box. Your format is displayed in the Cells or Column Headings pane. When you select a new font setting, this is reflected immediately in the Mockup pane. Each Group field also has a Header Font and Summary Font that will override the setting set here for the selected Group.

Topic Overview: Reports Groups window

Grouping Pane

To create Grouping by a field in a selected Report, select that field in the Available fields pane, and click the Add field button to move it to the Grouping pane. Then for each item specify Format options, the Grouping sort order, select Header and Footer options, and Pagination options.

Using the Grouping Pane to specify the Report Sort Order

Group item
Format field
Sort options
Nulls
Header and Footer
Pagination
Grouping pane Layout buttons

Click any field for help

Group Item

You cannot edit this field; it simply names the field or fields which items are grouped under.

Format

Select a field in the Grouping pane and click the More Information button to access the Output Format Dialog box. Depending on the selected field, you have a range of options to select. Dates and times can be displayed in several different modes. In this illustration, a range of date formats are displayed. you can select the default Use System Default option, where applicable, or uncheck this box and scroll through the list of formats to select the field format . Then click the OK button to apply the selected format to the field in the Grouping Pane. Your change is reflected immediately in the mockup pane. Where there is no specific format to apply, for example with Text fields where you are already applying a Font format, the General format is applied.

Nulls Checkbox

Remove the check from the Nulls checkbox to suppress any element in the report where there is nothing entered for the field by which the report is grouped. For example, if a Song Report was being Grouped by Sound Code, unchecking this option would suppress Songs with no Sound Code entry. Leaving this field checked will sort Songs with no Sound Code entries at the top of the Report.

Sort Order

Specify Ascending or Descending sort order for the Groups in the Report. If you are using multiple Groups, you can specify a different sort order for each Group. So you could sort material Grouped by Sales Rep in ascending Alphabetical order, but then Group material for each Sales Rep in descending Chronological order by Contract date.

NOTE: Items with no content for the selected Group field are shown first in the generated Report View, with an ascending Sort. To suppress these, check the Nulls checkbox.

Header and Footer options

Use the drop-down menu's to select the field name to display in the Header and footer of the Report. Changes take place immediately.

Summary

The Summary is used with the Footer selection to return a value based on what is selected in the footer and the summary fields.

the default None option, or any from the
Sum
Average
Count
Minimum or
Maximum options.

Where a summary value is specified, the requested value is displayed at the end of the Report in the footer for that group.

Pagination setting for each Group

These options control how you display Groups in the report. Click the dropdown to view and select from. Note that the Page Break option can significantly increase the size of your report, especially if used for a secondary grouping. Your options are to select:

None: do not apply any pagination settings specifically for this Group. This is the default value, and produces the most compact report.
Keep Together: select to display information for Groups on one page where possible. Keep Together starts information for a group on a new page if this means that the group would overflow to the next page. This can make for a clearer, slightly longer report.
Page Break: Display each new Group on a separate page. Page Break will always start a group on a new page. This can produce the clearest - but longest - report.

Grouping Pane Layout buttons

When working with more than one field in the Grouping pane to provide multiple levels of Grouping, select a field in the Grouping Pane and click the up or down arrows to move that field up or down in the field sequence. The top to bottom sequence in the Group Name field determines the grouping order in the Report.

Mockup Pane

This window displays how your Report design will look. It displays the Report Name at the top, then the Header design, then the Group layout, followed by one sample line of all fields specified in the Grouping Pane .

Topic Overview: Reports Groups window

Special Fields

Spins and Date Stamp fields (Song, Note and Link Reports only)
History fields
Note Title Script

Spins and Date Stamp fields (Songs, Notes and Links Reports only)

These two fields, available in Songs notes and Links Reports only, and available for selection in this window and Reports Columns , are time and date sensitive. When these fields are used in a Report, you are prompted to select a date and time range for the report, using the calendar control . Information in these fields will wrap in the column if required.

History fields

Information in the Date Activated (Songs and Notes only) Date Added, Entered Category , Last Edited and Total Plays fields, when called for in a Report, is automatically updated for the most recent schedule information. When sorting or grouping by any of these fields, the contents of a regularly generated Report can change considerably from day to day.

Note Title Script field (Schedule Reports only)

This field can be added to Schedule Reports and will display all scheduled Note Titles and Script information associated with a Song or Link that is in the Schedule report for the selected period. When you add this field in the Columns window, it is not displayed as part of the column structure, but instead simply displays across the entire width of the report immediately following the associated Song or Link. This allows you to add Scripts directly to a schedule or printed on Air Log, exactly as you have designed them to look in the Note window . You can also use this field to Group information in this window.

Topic Overview: Reports Groups window

Working in this window

Setting up Groups in Reports
Multiple groups

Using the Grouping Pane to specify Sort orders in a Report
Printing a Page per Hour Log

Setting up Groups in a Report: the process described

1. Follow the steps for Building a Report format in the Reports Columns window topic (see notes here ) .
2. Click the Groups tab to open the Groups window.
3. Select a field to Group Report entries under in the Available fields pane.
4. Click the Add field button to place this field in the Grouping pane.
5. Repeat for any further fields as required. See notes on using Multiple Groups .
6. Sort the Grouping fields order if necessary with the Grouping Pane buttons.
7. Set Sort order, Nulls, and Pagination options.
8. Define Font settings.
9. Save the Report format if already named, or Save a Modified format as a New format.
10. View the Report in the View window .

Multiple Groups

You can use Multiple fields to Group material in a Report. For example, an Artist Report can be Grouped by Country (as a User-Defined field ) and then by Record Label. To set this up, add both fields to the Grouping pane for a Song Report Type, and then specify the fields in order in the Grouping pane.

Using the Grouping Pane to specify Sort orders in a Report

When you edit or create a Report, a default Sort Order is defined by the order in which you arrange Report fields in the Columns window. If you do not use Grouping, this Sort order id applied. The Columns window sort order is modified when you add a field to the grouping pane. The report will first sort by the field you are grouping by, followed by all items under that group, sorted in Column window order.

An example might be a simple Titles Report showing Title, Artist and Category. Assembled in Columns, without any formatting applied in the Editor or Appearances windows, this would present a report Sorted by Title, then by Artist, and where there are two songs with the same Artist and Title information, these would be ranked by Category.

If we remove the Category column, and add a Category Group in the Groups window, the report would group all Songs under a Category heading, and under this heading, show Title and Artist information sorted by Title. We have done a small amount of work in the Editor pane to modify the Header and Column layout for clarity.

Topic Overview: Reports Groups window

Printing a Page per Hour Log

The instructions given here cover one of the most common tasks: configuring a report so it can print a log displaying a page per hour.
1. in your selected station, click on the Reports tab to open the Reports window.
2. Open an existing Schedule (Log) report.
3. Or create a new Schedule report if desired.
4. Navigate to the Groups window.
5. In this window, select the DateAndHour field in the Available Fields list.
6. Add this field to the groups by clicking the Add button.
7. Set Pagination to "Page Break" for this DateAndHour field.
8. Save your changes.

Topic Overview: Reports Groups window


Reports Editor window

This topic offers a simple guide to the Report Designer. The Reports Editor window is where you lay out the different elements of the Report. This window allows the user to specify fonts, type size, alignment, color for every element of the Report. The Editor section is the last stage in the Report design process. Having created a Report, assigned Columns , Groups and Filters , you specify the Layout of all these elements in this window, and preview your design in the View window before saving the Report.

The basic principle of Report Layout is: -
A Grid Pattern (see notes here ) , the size of which is defined in the Report Settings window (see notes here ) , allows the user to align fields (see notes here ) by dragging and dropping, sizing (see notes here ) and formatting text (see notes here ) for each Column and Group. For each Report section (Header, Footer, body of Report, etc), you can also add Text (see notes here ) .

Accessing this window
Features in this window
Working in this window

Accessing this window

From any window for your selected Station, click the Reports tab. If you're creating a new Report follow the design steps mentioned above , or select an existing Report and then click the Editor tab to access a window similar to this image. The image has been reduced in size to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Report Editor window

Features in this window

Toolbar
Report Design Grid
Report Sections
The Grid
....... Control fields
....... Text Boxes
Field Selection Pane
Customize Panes
The Toolbox

Toolbar

From this toolbar you Add and Delete Reports, Save your changes , modify existing Reports to Save as New Reports, define your Page Setup , and Import and Export Report Definitions.

Selected Report name

The name of the selected Report (selected in the Reports list in the main Reports window ) is displayed at the top right of the pane, and every other Reports tab window.

Topic Overview: Editor window

Report Sections

A Report is divided into several Sections. Each of these section has a header, as shown below. You do not have to use every Section. Each Section can be opened to show a grid pattern, on which the elements already selected, or the text fields you insert in this window, are displayed. Each element can be selected, repositioned and formatted. To access any Section for Layout work, place the mouse at the bottom edge of the Section, so that the pointer changes to a double-headed arrow. Then drag the border down to expose the grid area for that Section. Once you have opened any work area, you can close or reopen that work area by clicking the node button at the left of each header.

TIP: When generating a report in the Reports View window , Page Headers and Footers are displayed at the start and end of each page. However, when exporting to Excel , Page Headers and Footers are only displayed at the start and end of the document.

Click any section in this image for more information.

Click any section in this image for more information.

The Report can consist of the Report Header, which by default , a Page Header, one or more Group Headers and Footers, where groups have been defined in the Groups window , the Detail section (highlighted in this image) where the fields specified in the Columns window are displayed as Control fields , and Page and Report footer sections. You do not have to use every Section - leave a section blank unless you need to display information in that Section.

The Report Design Grid

This image shows the Page Header section expanded, with formatting applied and a Text Box added. In the Page Header section, the Report Name, defined when adding the Report in the Reports window , is displayed at the top. Immediately below is a selected Text Box , which has had text - Album Name - entered , and color formatting applied. When a Text Box or Control field is selected, its contents can be edited, and it can be formatted , sized and moved. Below the Highlighted Text box are two Control fields, representing the Column names selected in the Reports Columns window . These have been added to the Header section, where these Control fields will display the Column names in the eventual report. In the Detail section, Control fields are automatically displayed, along with display information for the selected column field.

TIP: While the Grid is a very necessary tool to help you align the different fields, it can give a very 'busy' screen display when working with a complex layout using small fonts. The view Grid button in the Format bar can toggle Grid lines on and off when required.

Editor Toolbar

The Editor toolbar contains a series of formatting tools allowing the selected field to be aligned to the Report Grid in a variety of ways. Hover the mouse over each field to its function. At the far left is the Reset button, which takes you back to the last saved format.

Editor Format Bar

Most of the features in this bar will be familiar to users of Word™ or other word-processing programs. Any selected field can have an overall style, font and font size applied. Selected text can be presented in Bold, Italics and Underlined, with Right, Center,- Left, or Justified margin alignment. Bullet points and Indents are also available. There are three Editor-specific buttons in this toolbar:

View Grid button

Click this button to toggle Grid lines on and off.

ReOrder Groups button

Content displayed under Groups is organized in Group sort order , as specified in the Reports Groups window . Click this button to re Order Group Sort Order in this window.

Toolbox Pane

The Toolbox pane, at the left of the Editor window, offers, as its name suggests, several tools. Note that this topic does not cover all of the options in the toolbox. To Insert a Label or Text Box, click the Label or TextBox button, then use the mouse, left-clicking anywhere in the grid to define a Label or Text box area. Then select the Data Text field in the Customize pane, and type in the desired text. See adding text for more information. To insert a Picture, click the Picture button, then use the mouse, left-clicking anywhere in the grid to define a Picture box area. Then navigate to the desired picture by clicking the navigation button in the Data Image field in the customize pane. To draw a shape or a line, click the relevant button, and use the mouse, left-clicking between Grid points.

Field selection pane

This pane, at the top right of the Editor window, lists all available fields for the report. All fields listed in the Field selection pane are derived from the Databases used in GSelector. When inserting a Control field in any section of the Report, select the field in the Fields list, and left-clicking, drag and drop the field to the desired place in the Report. Once a Control field has been placed in any area of the report, you can format, move and size the field as needed.

Text Boxes

Text Boxes are inserted by clicking the Text Box button in the Toolbox pane, then defining the area for the text in your selected section of the Report, then selecting the Data Text field in the Customize pane, and typing in the desired text. A Text box is simply a holder for the text you define.

Control Fields

Control fields display information in the Detail section of the Report for a selected Database field, according to the Filter applied to the report in the Reports Filter window . When you select fields to use in the Report, working in the Reports Columns window , these fields are automatically placed in the Detail section of the Report, and listed in the Page Header Section header of the Report. Control fields can also be added to any section of the report by dragging and dropping from the Field Selection pane .

TIP: Once a Text Box or Control field is added to any section of the report, it can be selected for formatting , sizing or moving .

Topic Overview: Editor window

Customize Panes

The Customize panes offer a large range of design options to apply to any selected field in the Design Grid. Each of the tabs in the Customize panes can be expanded or closed to access formatting options. When a specific customize field is selected, the Customize information panel at the bottom of the pane updates to give a hint of the action you can take for this format option, as shown in the image, where a Text Hint is displayed. All format options can be listed in strict Alphabetical order, or in Category sections by clicking the sort Buttons at the top of the Customize pane. Finally, the entire pane can be expanded or shrunk by clicking the edges of the pane and dragging and dropping.

When you add or select a field you can apply options as follows:

Appearance: set formatting options
Behavior: allow field data to grow, shrink or word-wrap, etc
Data: apply hyperlink, edit text, etc
Design: edit field name
Layout: enter numeric values for field size (see Sizing Text boxes and controls notes)
Misc. and Summary:

Topic Overview: Editor window

Working in this window

Adding boxes and Lines
Adding Text boxes and Control fields
Formatting
Moving Text boxes and Control fields
Renaming Control fields
Selecting
Sizing Text boxes and Control fields
View Grid

Adding Text

1. Click the TextBox button in the Toolbox.
2. Left-click and Drag to define a Text Box area in the desired Section of the Design Grid.
3. The Data Text field in the Customize pane is automatically opened.
4. Type text information as needed.
5. Apply formatting if required.

Renaming Control fields in Header fields

While a Control field specifically displays field information in the Details pane, Control fields which are either automatically or manually added to Header fields can be renamed.
1. Select the Control field.
2. Open the Data Text field in the Customize pane .
3. Type text information as needed.
4. Apply formatting if required.

Selecting a Text box or Control field

A Text Box or Control field that is not selected is displayed as in the image at left. The size of the image is marked by a gray boundary. See Sizing Text boxes and Control fields for notes on changing the field size. Click on a field to select that field. The field is then displayed with a Gray hatched surround and drag boxes to allow you to resize the field. You can only select one field at a time.

Formatting Text in Text Boxes and Control fields

1. Select a field.
2. Open the Appearance box in the Customize Pane .
3. Specify Alignment, Background and Text color, font size, Style and Alignment.

Sizing Text Boxes and Control fields

1. Select a field.
2. Click any of the 'handles' and drag to the desired size.

Moving Text Boxes and Control fields

1. Select a field.
2. Left-click a boundary of the selected field and drag the field to its new location.
3. The field border will automatically 'align' to the grid indicators.
4. To move text boxes in a freeform style, without using alignment, open the Report Settings window (see notes here ) , and uncheck the 'Align Controls to Grid box' in the Global Settings box.

Adding boxes and Lines

1. In the Toolbox, select the Lines or Box tool.
2. Draw lines or boxes as desired in any section of the Grid Designer.
3. The task is made much easier when using the Grid. We recommend the 'Align Controls to Grid box' in the Global Settings box in the Report Settings window is kept at its default checked setting.
4. The Line Color option in the Appearance section of the Customize pane opens automatically; apply desired formatting options.

Deleting a Field or Object

1. Select the field or object.
2. Press the Delete key on your keyboard.

Topic Overview: Editor window


Setup Section

This section of GSelector holds most of the configuration windows. Follow any link for more information.

Station Settings

General

Features

Interfaces

Yesterdays

Past Day

Dayparts

Definition

Assignment

Regions

No Repeat

Shows

Packets

Hours

Hour Grids

Drive Protection

Research

Columns window

Attributes window

Settings

Groups window

Artist Image

Browse formats

Assignment

Design

Hold Categories


Station - Features

Station Settings: Features

The Station Features window in Setup is used to specify options for, among other areas, Twofers/Artist Block, History, No-Repeat, New Vocalist, Kick, New Clock Sequence, and Balance window features, including Rotation Rules. Settings are station-specific.

TIP: You may wish to consider restricting access to this screen, working with GSelector's Security features.

Accessing this window

Features in this window

Accessing

From any window in GSelector, click the Setup tab, then the Station tab, and finally the Features tab to access a window similar to this illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Station settings Features tab

Features in this window

Toolbar

Twofers/Artist Block settings

History settings

Miscellaneous settings

Balance Settings

Clock and Schedule Columns settings

Advanced Settings

Global/Station Attributes

Toolbar

Setup Station windows all share the same toolbar. When you make a change in this window, the Save button is activated. Click to save your changes. If you do not click this button before exiting the window after editing a station setting, your changes are not saved. Click the Cancel button to delete any changes in this session.

Twofers/Artist Block Settings

Allow Twofers Checkbox

Classic Twofers: Match with and Percentage Participation Required

Minimum Artist Count setting

Allow Twofers checkbox

Check this to enable Twofers and Artists Blocks. When checked, Twofer Twofer is an old radio expression: the term was originally used to describe two songs by the same Artist. When a twofer is added in a Clock, GSelector will schedule a Song by the Artist in the preceding Song Position. and Artist Block Clock positions are available in the Clocks Definition window, and the Artist Block window is accessible. Uncheck to disable these features. Checking this box also creates a virtual <Twofer> Daypart. The <Twofer> Daypart works with the existing Daypart; it is not displayed in the Daypart window, but it is accessed in the Balance windows, from the Daypart Selection field. For more on the Twofers Process, see the Twofers notes in the Clocks Definition window topic. For more information on Artist Block Clock Positions, see the Artist Block topic.

Classic Twofers: Match with and Percentage Participation Required

GSelector can twofer on Artist or Vocalist based on the Match with setting selected in this section. When Vocalist is selected the Percentage Participation Required is also set, which is a minimum value. When this setting is enabled, the vocalist of any twofer scheduled must have a Percentage Participation equal to or greater than the specified value.

Minimum Artist Count Song setting

The value in this field is used to control the range of artists available for Artist Block scheduling. If the value in this field is 0, then the Artist must have at least the same number of Songs called for in the Artist Block to be considered for scheduling in the Clock position. So if the value is 0 and the Artist Block count is 3, then Artists with only one or two active Songs will be filtered out of Artist Block consideration. If the value in this field is 1 and the Artist Block count is 3, then Artists with less than four songs will be filtered out; only Artists with four or more active Songs will be considered.

Topic Overview: Station settings Features tab

History Settings

Click any area in the image for help

Click any area in the image for help

Days in past

History cutoff

Active Days

History Map

Advanced History Map Options

Display Song Attribute Proportionally

Show Link Attributes for Songs

Show Song Attributes for Links

Use Reconciled Airtime and Status

Activity Log - Days to retain Non-Schedule Edit History

History Days in Past setting

Set the number of days to retain Play history in this field. The default setting is 500 days, but a minimum of 31 days and a maximum of 999 days can be specified. History for plays beyond the set value in the past is deleted when a station is loaded.

NOTE: Scheduling dates cannot be viewed prior to the date defined in this field. To retain history for a long period, specify the time period in this field. The longer the period, the greater the impact on performance.

History Cutoff setting

Specify a setting in this field to determine how far back in History the Scheduler can look when evaluating items during the scheduling process. As with the Days in Past setting, the minimum setting is 4 days and the maximum is 999 days. Note however that the value in Cutoff cannot be greater than that in the Days in Past setting. The History Map will ignore this Cutoff setting and display back to the Days in Past setting.

History Active Days

The Active Days setting determines how long complete and detailed information for each scheduled item is kept. The full schedule is stored for the entire Days in past history window. But GSelector deletes the scoring, clock, automation, and some other details to save space beyond the point specified in this setting. Inactive days can still be modified in the Editor, as well as view History Maps beyond the Active Day cutoff. The minimum number of Active days is 4 and the maximum is 999 days. However, the value in Active Days cannot be greater than the Days in Past setting.

History Map

The History Map section allows the user to adjust how the history map window in the editor is displayed and what is displayed.

Advanced History Map Options

Display Song Attribute Proportionally

Show Link Attributes for Songs

Show Song Attributes for Links

Use Reconciled Airtime and Status

Advanced History Map Options

The Advanced History Map Options enables controls and drawing features that will be available in all instances of song history maps. These features will provide options for plotting of songs, artists, artist groups and vocalists within quarter hours. Use the Advanced Attribute Selection boxes to select or deselect what to see in the History Map; Artist, Vocalists and/or Artist Group.

The Vocalist Options allow the user to combine the plotting of multiple vocalists or plot vocalists individually. For individual display select Primary Artist Vocalist, All Artist Vocalists or All Vocalists. Define a Primary Artist Vocalist by dragging the vocalist that is to be the primary to the top of the vocalist list in the Artist Participants window of the song window. The All Artist Vocalists option will individually plot all artist vocalists and the All Vocalists option will individually plot all artist and song vocalists. The History map can have up to eight vocalist displayed. The appearance of these vocalist plots can be changed using the History Plot Appearances in the Global Settings Assignments window.

See the Song History Map or the Editor History Pane for more information on these features.

Display Song Attribute Proportionally

The Display Song Attribute Proportionally option will change the display of the song attribute plots in the history map. With this option disabled the History map will display a colored line in the 1/4 hour quadrant of the history map for a single song attribute. If multiple attributes are found, the line is portioned down to show all the attributes. When this option is enabled the plot is changed from a line to a proportional square plot for each attribute found.

For example: In the following illustration, John Lennon is the only vocalist for the song found in the 3rd quarter of the 7th hour. When this option is disabled, the history map plot shows an orange line for the 3rd quadrant.

However, when the Display Song Attribute Proportionally option is enabled, the attribute is plotted as a proportional square as seen in the following illustration.

Show Link Attributes for Songs

Use the Show Link Attributes for Songs option to see the schedule location of link attribute values matching those on a song, but not vice versa. When this option is deselected no links are shown when checking the attribute on a song.

Show Song Attributes for Links

Use the Show Song Attributes for Links option to see the schedule location of song attribute values matching those on a link, but not vice versa. When this option is deselected no songs are shown when checking the attribute on a link.

Use Reconciled Airtime and Status

The Use Reconciled Airtime and Status option is applicable to systems using NexGen, Zetta, or Master Control integration. When this checkbox is selected, all reconciled schedule elements will be plotted in the hour they actually played in the History Map. For example, if an element was scheduled for 2:58 PM but actually played at 3:02 PM, it will be plotted in the 3 PM hour of the History Map. Also, elements having a Status of Skipped will be suppressed from the History Map and will not be calculated in the Analysis window.

Note: The Goal Scheduling Test Engine continues to use the original airtime when plotting spread and separation values.

Activity Log

Use the Days to retain Non-Schedule Edit History option to set the number of days that the Activity Log for Non-Scheduled Edit History will be retained. The default number of days is 365 Days.

Topic Overview: Station settings Features tab

Balance Settings

These settings affect the display of fields used in Balance windows. The checkboxes allow you to optionally display specific settings fields in Balance windows. For general details on working in Balance windows, see the Adjusting Demand notes.

Click any area in the image for help

Click any area in the image for help

Demand Limit

The Demand Limit This optional settings field is enabled or diabled in the Setup Station Features window. It allows you to set a variable Demand Limit for any Attribute, Participant, Song or Artist. field is used in Song Goals and Link Balance windows. Check this box to display the field, uncheck to suppress. See the Limit field notes in the Balance windows topic. If you activate this field and enter values in Balance windows, and later uncheck the box in this window, you will be prompted to confirm that you are deleting those settings.

Maximum Per Hour

Check this box to display the Maximum per Hour This optional settings field is enabled in the Setup Station Features window. It allows you to set a Maximum per hour for any Attribute, Participant, Song or Artist. field in Song Goals and Link Balance windows. If you activate this field and enter values in Balance windows, and later uncheck the box in this window, you will be prompted to confirm that you are deleting those settings.

Alternate Category

Check this box to activate the Alternate Category and Alternate Packet fields in the Song window station coding pane. This allows you to assign a different Category and Packet to each Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. . If you activate this field and enter values in the station coding pane fields, and later uncheck the box in this window, you will be prompted to confirm that you are deleting those settings.

Auto Copy Song/Link Data between Grouped Dayparts

Selecting this option will allow Song/Link changes set in the Balance windows to be copied to all Dayparts in a Daypart Group. By default this is not selected.

Topic Overview: Station settings Features tab

Clock Settings

Click any area in the image for help

Click any area in the image for help

Advanced Clock/Schedule Columns

This pane allows you to optionally display additional fields in Clocks and the Editor. These fields are typically used with Master Control and other third party sequencers.

Check any of the field checkboxes to display that field in the Clock Definition window and the Editor browse formats. These fields can then be used in Clock format browse designs . When you check the Chain setting, you also display Chain Settings fields in the Fly-In position pane when defining a Fly-In Link relationship. Set the default chain type for each type of event using the Default Chain Settings. For more on the function of each field, follow these links to the Clocks Definition window topic:

Chain

External

Timing

Skip

Don't Copy

Fixed

Timing Goal

Advanced Clock Columns

The Advanced Clock Columns options are used to display the Song Position, Link Position and/or Spot Position columns in the Clocks | Definition window. As in our legacy Selector product, the position columns count the number of the associated element; songs, links or spots in the clock. These columns can also be added when working in the Setup | Browse Format | Formats windows.

Default Chain Settings

Chain Settings are used with automation systems. A default chain type can be set for Songs, Links and Control events so that Newly Created Log Positions automatically have a chain type set. The user can also set a default chain type for Traffic Integration. Control Events in GSelector can take on a Pause or Overlap Chain. You can set or edit the Chain for a Control Event in a Clock or the Editor. Chains for Control Events are also supported in the GSelector Import/Export Web Service.

Start Offset

The Start Offset - Song Intro for Start Offset Calculation is used to select the Intro the Clock is to use when calculating the Start Offset for a song.

Topic Overview: Station settings Features tab

Miscellaneous settings

Click any area in the image for help

Click any area in the image for help

Kick Start Day

No-Repeat Start day

Station Specific ID

Library Browse Selection Mode

Jump to Editor Hour

New Clock Sequence

Enable Film Name Attribute

Enable Auto-Save function

Enable Audit Trail

Enable Spot Blocks

Generate Spot Block Interstitials on Schedule Layin

Allow Mandatory Spot Blocks

Suppress Spot Block End

Count Daypart Ban and Hour Restriction Failure towards Search Depth

Advanced Export Format

Enable Split Behavior Attribute

Include Average Runtime for Unscheduled Position

Insert Dummy Spot During Integration

Schedule Daylight Savings Hour

Case-sensitive Auto-complete in Song/Link Windows

Delete traffic file after integration

Include Spotset/Spotblock in Export when Spots are present

Ignore same song plays in Legacy and Spread tests

Kick Start day

Kick projected rotations are analyzed across a one-week period, beginning on the Kick Start Day defined here. The default value is Monday. If you use the Kick feature, then you should define a Kick Start day. This should be set to the day after music changes are made, or whatever day the changes should take effect.

No Repeat Start Day

This setting works with the No Repeat (see notes here ) window. The longest span that a No repeat period can be set is 7 days. Normally most No Repeat periods are shorter than this. A typical use for this setting might be when using a No-Repeat Holiday weekend, where the day might be set to Friday.

Station-Specific ID

This field allows users to specify a Local ID in addition to the global ID used for Songs and Links in GSelector. The drop down field has three options: Hidden, Editable and Read Only. Select Editable or Read Only to enable the Song and Link Station-specific ID field in both the Song and Link windows.

TIP: Where Station-Specific ID is enabled, and IDs exist, this field information can be used in custom browse formats in the Editor, Consideration window, and Library Browse and Link Browse windows. See the notes on designing and assigning Browse formats.

Library Browse Selection Mode

The Library Browse Selection option is used to set how items in the Song, Link and Notes libraries are selected. This option has two selections, GSelector Legacy which is the default and Standard Windows Selection.

The GSelector Legacy option shows the checks in the Library browse window for selecting items to change. To unselect the items in the library click the check.

The Standard Windows Selection removes the checks for selection and instead uses the standard window keyboard selection keys SHIFT and CTRL.

Shift+up/down arrow: Continuous selection

Shift+click: Extend selection

Ctrl+click: Discontinuous selection

NOTE: If you have multiple records selected and your action would result in a single record selected, you will get a warning message to OK and accept the single record or Cancel to keep your multiple record selection. If you filter the list or open a saved filter/list, all the resulting records will be selected. All records will not be selected when the browse defaults to the all-set (all records displayed). The selected records are used throughout the system (ex: Multi Song Changer).

Jump to Editor Hour

The Jump to Editor Hour setting tells GSelector where to jump to when the user double-clicks an hour in the Scheduler window. When this setting is set to Top of Hour, if the user double-clicks an hour in the scheduler they will be taken to the top of the hour for that hour. When this setting is set to First Unscheduled/Scheduled, if the user double-clicks an hour in the Unscheduled tab of the Scheduler then the user will be taken to the first unscheduled position in the Editor for that hour. However, if the user double-clicks an hour in the Scheduled tab of the Scheduler then the user will be taken to the first scheduled position in the Editor for that hour. If all positions are scheduled and the user double-clicks an hour in the Unscheduled tab of the Scheduler then the user will be taken to the first position in the Editor for that hour. However, if all positions are scheduled and the user double-clicks an hour in the Scheduled tab of the Scheduler then the user will be taken to the first scheduled song or link position in the Editor for that hour.

Note: The First Unscheduled/Scheduled jump location is dependent on the History Options Type selected in the Scheduler. If the Type is Song then GSelector will jump to the First Unscheduled/Scheduled song.

New Clock Sequence

When creating a Clock (see notes here ) in the New Clock window (see notes here ) , GSelector uses the default sequence specified in this field.
Song information is entered as a number, representing Songs per sweep.
Breaknote In GSelector, a Breaknote is a non-music event. Breaknotes are used in clocks to mark the time and the duration of anything that is not a Song, a Link or a Spotset. Breaknotes are not used when GSelector is integrated with NexGen. between Sweeps are defined with a comma , (Note: Breaknotes are disabled when NexGen Integration is enabled.)

Spotsets These are used in Clocks as place holders for Spots. Spots are integrated into the schedule by your traffic program are inserted using the $ symbol
Automation System Event Used in GSelector Clocks, this Clock Position Type is used in association with external sequencers. In GSelector Clocks, it represents and holds a Clock Position for an event that is housed and controlled in the external sequencer. The Automation Events in GS synchronize the log flow so NexGen knows where to load songs in relation to other events in the hour. They should match the exact position of non-song events in the NexGen clock. services. are inserted using the - symbol.

You use any combination of Songs, Breaknotes, Spotsets, and Automation System Events, or retain the default setting, or leave this field completely blank.
When you edit a Clock in the Clock Definition window, the above symbols are used. However, Song sweeps can also be defined by Links and Rolling Clock requests, although these are not represented in Clock Sequence fields here or in the Clock Edit windows.

Enable Film Name Attribute

Check this box to enable the Film Name attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. . This allows you to use Film Name as an attribute, and add Film Names to Songs in the Song window. To enable Film Name as an attribute, check this box and click the Save button.

Enable Auto-Save function

Check this box to enable the Auto-Save function in the Song, Link, and Notes windows. This means that all changes in Songs, Notes or Links are automatically saved.

If this facility is not enabled, the Song, Link and Note windows Save dialog boxes allow you to enable Auto-Save when you leave a Song, Link or Note window if you have not yet saved your changes.

Enable Audit Trail

Check this box to enable Audit Trails in the Scheduler and Editor windows.

NOTE: We recommend that this box is left unchecked unless Audit Trails is needed for troubleshooting. Generating Audit Trails can have a noticeable impact on performance. Audit Trails can be added to a Backup. In order to do this, this box must be enabled.

Enable Spot Blocks

Check this box to enable Spot Blocks in Clocks.

Generate Spot Block Interstitials on Schedule Layin

When the Generate Spot Block Interstitials on Schedule Layin option is enabled, GSelector will insert the interstitials into the spot block when the log is scheduled so the user can see them in the log before the traffic is integrated into the log. The Interstitials will show in the Editor with a calculated Runtime, but will not show a calculated Air Time until traffic has been integrated into the Spot Block.

This option can be used with Zetta when traffic is loaded using a flat file in Zetta. This option allows for Song, Link and Control interstitials to be added to the spot block before the schedule is sent to Zetta. The Zetta Traffic Load Position can be place in a spot block as an interstitial to tell Zetta where to load the traffic in the spot block. The Zetta Fill Position can be added to a spot block as an interstitial to tell Zetta where to add fill material if needed for the spot block.

Allow Mandatory Spot Blocks

The Allow Mandatory Spot Blocks option enables the Mandatory options in Spot Blocks created for use in the Clocks. The Mandatory option will tell the automation system that the Spot Block must be played within the time specified.

Note: This feature requires an automation system that will accept these parameters. This is a future enhancement slotted for Zetta.

Suppress Spot Block End

Select this option to suppress the scheduling of the Spot Block End when a Spot Block is scheduled. This option is used for some third party play out systems. When selected, Spot Block End markers will not be included in a file generated in the Interface | Export | Schedule window.

Count Daypart Ban and Hour Restriction Failure towards Search Depth

Check this box if you wish Songs that are excluded from consideration through Daypart Bans or Hour Restrictions Hour Restriction grids are used to prevent the Song, Note, or Link to which it is applied from scheduling in specific hours. You can design as many Hour Grids as you need, and they can be applied interchangeably to Songs, Links and Notes. Hour Grids are designed in a dedicated window, accessed from the Song, Link or Note window. to still be considered in Search Depth calculations.

Advanced Export Format

Check this box to activate the Sub-Formats, Definitions and Assignment tabs of the Advanced Export Formats option in the Interfaces | Export windows for the Schedule, Songs and Links export windows.

Enable Split Behavior Attribute

The Enable Split Behavior Attribute option is used to enable the ability to set a split behavior on Songs, Links or Spot Blocks in GSelector. Once enabled the Split behavior can be set on the Song or Link using the Miscellaneous tab in the Station Coding section of the Song or Link window. The Split Behavior of a Spot Block is set on the Spot Block in the Clocks | Spot Blocks tab. This option is used with Splits feature in Zetta.

Include Average Runtime for Unscheduled Position

When Include Average Runtime for Unscheduled Position is checked, the Airtime of each position in the Editor following an unscheduled position will be adjusted to reflect the average runtime of the unscheduled position. Previously, in versions prior to 4.1.0 of GSelector, the Airtime of each position following an unscheduled position was the same as the airtime of the unscheduled position.

Insert Dummy Spot During Integration

GSelector Traffic Integration will place a Dummy Spot in every hour when the traffic file contains no spots in that hour. Uncheck this box to suppress scheduling of the Dummy Spot. You might want to do this if the presence of the Dummy Spot prevents proper Reconciliation back to the traffic system, or if you'd rather not have any Dummy Spots in your schedule and export files.

Schedule Daylight Saving Hour

This option allows the scheduling of the 2:00am Daylight Savings hour in the Spring. The default setting is disabled, GSelector will skip the scheduling of the 2:00am hour during Spring daylight saving.

Case-sensitive Auto-complete in Song/Link Windows

The song and link windows have an auto-complete feature when entering values into the fields such as, artist and album. This auto-complete by default is not case-sensitive. To make auto-complete case sensitive, enable the Case-sensitive Auto-complete in Song/Link Windows option.

Delete traffic file after integration

By default, when Traffic is integrated from a flat file, in the Linker | Traffic window, the file is automatically renamed and copied to a Processed Flat Files folder located in the path of the original flat file. The original file is still available in the original file path. To delete the traffic original flat file, enable the Delete traffic file after integration option. If for some reason the traffic file must be reintegrated into the schedule and GSelector cannot find the traffic file in the path specified it will look for a file with the date selected in the Processed Flat Files folder. If a file is found it will prompt the user to select the file from the previously integrated files.

Include Spotset/Spotblock in Export when Spots are present

The default action of GSelector is to output Spotsets and Spotblocks when there are no spots integrated when Exporting a Schedule in the Interfaces | Export | Schedule tab. When this option is selected, GSelector will export all Spotsets and Spotblocks even those Spotsets and Spotblocks that have Spots.

Ignore same song plays in Legacy and Spread tests

When the Ignore same song plays in Legacy and Spread tests option is selected, GSelector will ignore the same songs when applying Legacy and Spread goals during scheduling.

For example: For artist minimum separation, if checked, Bruce Springsteen / Born To Run would ignore Born To Run if it was the previous/next play. It would only protect against other Bruce Springsteen songs.

Topic Overview: Station settings Features tab

Advanced Settings

These settings should not normally be adjusted without consulting RCS Support.

Click any area in the image for help

Click any area in the image for help

Radial Failure Boost

Maximum Airplay Starvation Turnover Percentage

Next day Hour Separation

Separate Linear and Radial Goals

Allow Removal of Fixed Priorities

Allow Attribute Specific Legacy Rule Priorities

Separate Segue Ban Priorities

User Defined Priority Scoring

Enable Reverse Scheduling

Enable Optimization Options

Enable S3

DMCA

Radial Failure Boost (Artist and Vocalist Spread Goals)

This field allows the user to increase the importance of the radial One of two components of spread goals. Radial Spread affects positions in different days, in the future and the past, as opposed to Linear Spread, which covers positions in the same day. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. component of Artist and Vocalist Spread Goals over the linear One of two components of any spread goal. Linear Spread affects positions in the same day, as opposed to Radial Spread, which covers positions in different days. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. component. The default setting for this field is 1. This field should only be adjusted under advice from RCS support, and then very cautiously.

Maximum Airplay Starvation Turnover Percentage

The Maximum Airplay Starvation Turnover Percentage is used with the Airplay Starvation goal to determine when to schedule a song or link that has not played. The default setting is 200% the minimum value possible is 150% and the maximum value is 400%.

Next Day Hour Separation Threshold vs Turnover

The default setting for this field is 3 hours. GSelector automatically tries to separate items from scheduling in the same hour the next day. However, Songs in Categories with a turnover which is equal or less than this threshold Setting are ignored; a rapid turnover invalidates this protection period. The higher the setting, the easier it is for fast turnover Categories to be scheduled; the lower the setting, the more difficult.

Separate Linear and Radial Goals

Check this option to split out the Radial One of two components of spread goals. Radial Spread affects positions in different days, in the future and the past, as opposed to Linear Spread, which covers positions in the same day. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. and Linear One of two components of any spread goal. Linear Spread affects positions in the same day, as opposed to Radial Spread, which covers positions in different days. Linear and Radial Spread Goals are normally combined in any Spread Goal, but you can choose to separate the two for all Song and Link Spread Goals. Song Linear and Song Radial Spread are the only freestanding default separated goals. elements of all Spread Goals into separate Goals. This affects both Song settings in the Goals section Priorities tab and Link settings in the Link Goals Priorities window.

See the notes on Separating Linear and Radial in the Song Goals Priorities topic, and Separating Linear and Radial in the Link Goals Priorities topic for full details.

Allow Removal of Fixed Priorities

Check this box to remove Fixed status from the default Spread Goals in the Song and Link Priorities windows. For more details, see the Fixed Song Goals and Fixed Link Goals notes.

Allow Attribute Specific Legacy Rule Priorities

This option will separate the Legacy Rules by Attribute in the Goals | Priorities window. If the primary Rule is used, it enables the rule for all attributes, however if a separate rule is used for a specific attribute then the rule only focuses on songs/links with that attribute. For example: If Minimum Separation is in Goals | Priorities list, it works as before (pre 4.3.2) and enables MinSep for all attributes. If Minimum Separation Artist is in Goals | Priorities and Minimum Separation is not on the list, then songs will only get MinSep for artists. If both are in Goals | Priorities, then Minimum Separation Artist can be at one priority and Minimum Separation (covering all other attributes) can be at another making this a very powerful tool.

Separate Segue Ban Priorities

Check this option to split out like segue bans. For example, a user may have the following Segue Bans for Mood:

Segue Ban Mood don't segue Dark into Blinding

Segue Ban Mood don't segue Blinding into Dark

By default these segue bans will be displayed in the Priorities tab as Segue Ban Mood, by checking this option they will be separated as above allowing the user to define the Goal for each in the Priorities tab.

User Defined Priority Scoring

User Defined Priority Scoring gives the user the power to more precisely Define Priority Rank and Define Legacy Rule Scoring.

User Defined Priority Rank - When this option is enabled Weight and Goal Importance columns will be visible in the right pane of the Goals | Priorities | Definition and Linker | Link Goals | Priorities | Definition windows. This provides greater precision in specifying the importance of the selected priorities. Adjust the Weight of each priority to a value between 1 and 100. The higher the value the greater the importance of the associated priority during scheduling. Setting two or more priorities to the same Weight essentially ties their importance. With this option deselected adjusting GSelector priorities uses a simple ranking system to specify some priorities as being more important than others.

User Defined Legacy Rule Scoring - This feature provides precise control over the scoring of Legacy Rules failures in GSelector. Previously if a Legacy Rule was declared Unbreakable, all failures of the rule would score 0. When this feature is enabled the priority list will have a new “middle ground” known as ‘Fixed’ where a Value can be specified for rule failures. When the User Defined Priority Scoring option is enabled, a new Value column in the right pane of the Goals | Priorities | Definition and Linker | Link Goals | Priorities | Definition windows is displayed. This column shows the Fixed Failure Value when a goal is set as Fixed. Legacy Rules and Segue Bans can be set as Fixed when added or by right-clicking the goal field, in the Priorities pane and selecting Fixed. The selected rule will appear in the Fixed portion of the priority list, between Unbreakable and Breakable.

Enable Reverse Scheduling

Check this option to enable Reverse Scheduling. This ground breaking scheduling technique is intended to optimize rotations of smaller categories containing songs which also appear in pre-scheduled special programming. For example, you might air a Countdown show from 8:00 to 8:30 PM that features many of your high-rotation songs. Typically you would first hand-schedule the Countdown show, then allow GSelector to schedule the other songs in the normal way. The problem is potential poor rotation of the high-rotation songs close to the start of the Countdown show as the Scheduler makes compromises to protect the pre-scheduled music. Reverse Scheduling solves this problem by laying songs from designated category groups into the schedule in reverse chronological order, starting at the point where the hand scheduled songs have been placed. The pre-scheduled music thus establishes the “starting point” of the scheduling order, to provide optimized rotation through the hours immediately preceding the Countdown show. See the Reverse Scheduling notes in the Scheduler window topic.

Enable Optimization Options

This option enables the Optimizations tab in Goals. The Optimizations tab is where Multi Shot, Floating Categories and Legacy Optimizations are defined and assigned to Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. and Categories GSelector uses multiple Categories - as many as you want - as the basic way describe the different kinds of music you use. Categories are then organized into Category Groups..

Enable S3

This feature will allow local GSelector stations to subscribe to syndicated format programming. Subscribing implies near-automatic transfer of music and, optionally, imaging links from a central S3 GSelector database to the local station. Contact RCS for more information on this feature.

DMCA

The DMCA parameters in the Advanced tab can be used to adjust how the DMCA Rule detects violations to the rule.

DMCA Execution Setting

The DMCA Execution drop-down is used to set how the DMCA Rule is executed. The default setting is Execute when on Priority List.

Execute when on Priority List – The DMCA rule must be explicitly added in Goals | Priorities. This option will only execute the DMCA Rule when it is placed in the Priority List for the station.

Execute Always - In this case, the DMCA rule will be implicitly applied on the station whether the DMCA Rule is on the Priority List or not.

Important Note

To implicitly set the DMCA Rule to always execute and not allow the user to change that setting, install GSelector with the command switch /DMCA=True.

For Example: c:\Setup /DMCA=True

This will enforce the DMCA Rule to Execute Always and the DMCA Execution Settings will be disabled so the setting can not be changed.

This command switch applies to all databases/stations accessed from the Service Host computer.

Count Repeated Plays of the Same Song

This parameter defaults to unchecked. When unchecked, GSelector does not count the same song as a different selection for the artist/vocalist and album tests.

For example: The same Taylor Swift song can play an unlimited number of times in the 3 hour window (or consecutively). It isn't until the 5th distinct Taylor Swift song or 4th distinct album song that the DMCA rule would kick in.

To have repeat plays of the same song count toward the DMCA limits select Count Repeated Plays of the Same Song in the Advanced tab of the Setup | Station | Features window.

Treat Blank Album as Matching Any Album by Same Artist

This parameter defaults to checked. When checked, the song will be treated as coming from any album by that artist. Two different songs with no album by the same artist are assumed to be from the same album. One song with an album and another song without an album from the same artist will be treated as coming from the same album.

If the option Treat Blank Album as Matching Any Album by Same Artist is not checked, a song with no album is ignored with respect to the album test.

Vocalist Percentage Participation Cutoff

Vocalist will be ignored for the DMCA rule, if the percentage participation is below the cutoff set.

For example: If set to 100, any vocalist with a percentage participation of 99 or less will be ignored.

This option defaults to 100.

Consecutive Songs Maximum Time Separation (mm:ss)

Use the Consecutive Songs Maximum Time Separation setting to set the maximum time between consecutive songs from the same album. The default setting is 10:00.

For Example: If you had a song in positions 8, 9 and 11 from the same album and a link of 10:01 at position 10 this would not fail the DMCA songs in a row test. However if the link was 10:00 or less, with this set to 10:00 then the 3rd song would fail.

NOTE: A song from another album or artist/vocalist will always stop the consecutive test, regardless of the air time separation. In other words if you have Boston/Long Time ending at 1:15:00, followed by Bruce Springsteen/Born To Run with a runtime of 4.31 then Boston/More Than A Feeling starting at 1:19:31, it will not test across the Springsteen song even though the 2 Boston songs are within this 10 minute setting.

Exempt Record Labels
If a label is checked in the Exempt Record Labels list, songs from the selected label (set in the Additional tab of the Song in the Library) are ignored in all of the DMCA tests. If a new label is added, it will be unchecked by default in the Exempt Record Labels list. Record labels can grant a user a waiver for meeting the DMCA rules.

Global/Station Attributes

The Attributes tab is used to map song and link attributes to be Global or Station specific attributes. This tab is also used to select those attributes that can have Fallback attributes.

Click any tab in the image for help

Click any tab in the image for help

Global/Station Attribute Mappings

The left pane of the Attributes tab is used to set whether an attribute will be Global or Station specific. If the attribute is set to Station, then the attribute can be set for the asset in the Station Song Attributes or the Station Links Attributes window from the Song Window or the Link Window for the station. If the attribute is set to Global, use the Song Coding window or the Link Coding window to set a Global attribute for the song or link. Use the Attribute Type drop-down to change the selected attribute to Global or Station.

When configuring Child stations using the New Station window these station-specific attributes can be individually set to ignore, copy or inherit.

Fallback Attributes

A Fallback attribute is an attribute that GSelector can fallback to if the normal attribute scores too low to be scheduled.

For Example: A Song is normally genre “Dance” but could be treated as genre “Crossover” in a scheduling pinch because of the fallback attribute. Attribute Fallback Score Threshold is set to 65 in Goals | Priorities. The Scheduler will treat the song as “Dance” unless the song scores below 65, then it will treat the song as “Crossover” and test it again.

The Fallback Attributes pane is used to set the attributes that can be assigned to a song/link as a fallback attribute. The Attribute Fallback Score Threshold can be set by clicking the Threshold [image] button in the toolbar of the Goals Priorities Definition tab for songs and the Link Goals Priorities Definition tab for links. When an attribute is selected in the Fallback Attributes pane additional columns to assign these attributes will be available in the song and link windows.

Use Attribute Percentage Participation

When the Use Attribute Percentage Participation is enabled, the percentage participation setting in the Song/Link window is applied to both the normal and fallback values. When it is not checked, the percentage participation setting only applies to the normal value and NOT the fallback value.

Topic Overview: Station settings Features tab


Station - Interfaces

Setup Station Interfaces window

GSelector provides an Interface window in the Setup section to use with Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. for the selected GSelector station. This allows the GSelector database to connect with the database to export and import data for broadcast, research and reconciliation purposes. As schedules and library information are exported, GSelector tracks each item with a unique reference number for each exported item. The total number of item references is displayed here; each Song and Link that has been associated shows this data in the Song and Link Interfaces tab panes.

NOTE: If you have implemented an Interface in the NexGen Integration window, you are working at database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. level. This blocks you from setting up an Interface at station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. level in this window.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click Setup, then Station, and finally Interfaces, to access a window similar to this illustration.

Click any area in this window for help

Topic Overview: Interfaces window

Features in this window

Toolbar

Assign checkbox

Automation System

References

Toolbar

This lets you configure settings for any selected interface, and Save or Cancel your changes.

Assign checkbox

Check this box to activate the selected system in GSelector. This will activate fields associated with each assigned system in GSelector Editor and Clock windows. You can assign multiple systems. This will also create an associated Export section window which allows you to export to the assigned system.

Name

All currently configured systems are listed in this field.

References

This field cannot be edited. It displays a count of all items in assigned to each external Master Control database that has been associated with the GSelector database. When a Song or Link has been associated with one or more external databases, a unique reference number is displayed for that external database in the Song or Link window Interface References tab. Reference numbers are also used when Importing Data from an external XML database. See the duplicates notes in the Import XML window topic.

Topic Overview: Interfaces window

Working in this window

Configuring settings

Master Control

Setup Station button

Manual Synchronization (disable Automatic Synchronization)

Security

Configuring Settings

To configure a Master Control Master Control is the world’s only Selector-smart digital on-air automation system. Master Control is closely integrated with GSelector. interface, select the item and then double click, check the relevant box, click the toolbar Edit button or press Enter on your keyboard. This will open the respective configuration window.

Master Control

Master Control overview

The process described

Master Control overview

When GSelector is interfaced with Master Control, scheduling is done in GSelector and audio playout is handled by Master Control. Once a schedule has been created and edited in GSelector, it is exported to Master Control for playout. A separate function known as Synchronization “matches” songs and links in the two systems. This allows you to edit program elements in one system, and for these to be carried over to the other. Synchronization also reconciles past schedules from Master Control, bringing Master Control log changes back to GSelector. This keeps the schedule history in GSelector accurate and up-to-date. Once the interface access and path information has been entered, and the interface has been assigned in this Interface window, GSelector users can export and import information from Master Control; Master Control-specific fields are displayed in the Clock Designer window and all Editor formats. A Master Control Export button is displayed in the Editor window toolbar, and the Interface section Master Control window tab is displayed.

See the Interfacing with Master Control notes for full information, and the separate 'Importing from Selector XV to GS' help document.

The process described
  1. Select the Master Control checkbox in the Interfaces window to access the Master Control Settings dialog box to enable integration with Master Control.

  2. Specify the Master Control version in the top pane by clicking the relevant radio button.,
  3. For Versions 15.1 through 15.3.2, enter the Admin Machine Name and the Database Name. Alternatively you can enter the Windows logon credentials (Domain, Username and Password) for the Master Control Admin Machine.
  4. For Versions 15.3.3 and above enter the URL for the Master Control Web Service. Typically this is http://[machine name]:9876/selector.
  5. Select the Automatic Synchronization tab

  6. The default setting is to enable All elements. With the enable all selected changes are sent immediately upon completion of the change. Deselect this box to clear the elements in the details pane and select which elements to Automatically synchronize. When the Synchronize Schedule Only When Ready for Export option is selected Automatic Synchronization for the Scheduler and Editor will be deferred until the publication status for the scheduled hour is changed to Ready for Export. This allows the user to make multiple changes to the schedule before the changes are sent to Master Control. The Set Ready for Export button is available in the Editor toolbar when this option is selected.

NOTE: Automatic Synchronization for the Editor is disabled. Use the Export to Master Control toolbar button in the Editor to send schedule changes to Master Control. To make this easier GSelector will detect those hours that have been changed and show a ‘Synchronize Changed Hours’ option.

  6. Select the Miscellaneous tab

  8. Check the Create Vocalist(s) box to automatically create a Vocalist when importing a new artist.
  9. Click OK to close this window and return to the Interfaces window.
  10. Once Master Control is interfaced with GSelector, if Auto Synchronization is not Enabled, a Master Control export button is available in the Editor Toolbar.

Setup Station button

If the database has been rebuilt after a network failure, use the Setup Station button to send to Master Control all Songs in the GSelector database, and all Links in each station associated with Master Control. Do NOT use this button unless there is an existing corresponding Master Control database.

Manual Synchronization (disable Automatic Synchronization)

  1. To enable Manual Synchronization, uncheck the default checked setting Enable Automatic Synchronization box.
  2. This activates a Master Control [image] button in the toolbars in the Song and Link windows, the Song and Link Browse windows, and the Editor.
  3. Click this button in these windows to export the selected Song, Link, the Song or Link Browse list or the Schedule to Master Control.

Security

GSelector allows very detailed security access this interface. In the Security Roles window, define three access levels for any user A person with Password-protected access to GSelector. Users many not have full access to the program; access is set by the Administrator: Read, Read and Write, and No Access. See Working with Security for more details.

Topic Overview: Interfaces window


Station - Days of Week

Yesterday and Prior Day rule settings

This Setup Station window lets you define, for each day of the week, which day is treated as the previous day for clash checking with the Yesterday and Prior Day Rotation rule settings made in the Rotation Rules window. For example a station using the Yesterday rule may not wish to consider Sunday's programming on Monday, instead treating Friday as the previous day. Settings made in this window are Station-specific. This window is also used to set which days are to be consider the weekend, the default is Saturday and Sunday.

Accessing this window

Features in this window

Working in this window

See also the notes on applying settings for the Yesterday and Prior Day Rotation Rules in the Rotation Rules window topic.
To implement Past Day protection instead of Prior Day, see the Station - Past Day topic and the Past Day notes in the Rotation Rules window topic.

Accessing this window

  1. In the Priorities Definition window, implement the Yesterday or Prior Day Rotation rule
  2. Click the Days of Week tab in Station Setup.

Click any area in the image for help

Topic Overview: Station Days of Week

Features in this window

Toolbar

Day Column

Yesterday settings column

Future Protection checkboxes

Prior Day settings column

Weekend Column

Toolbar

Setup Station windows all share the same toolbar. When you make a change in this window, the Save button is activated. Click to save your changes. If you do not click this button before exiting the window after editing a station setting, your changes are not saved. Click the Cancel button to delete any changes in this session.

Day column

Days of the week are listed here; this column cannot be edited or changed.

Yesterday Assignment column

The default settings in this column show the previous day for each day in the Day column. You can select any day to be treated as Yesterday, and use a different 'Yesterday' for each day of the week.

Future Protection checkboxes (Yesterday and Prior Day)

For both the Yesterday and Prior Day Rotation Rules, you can check a box for each day of the week to apply future protection as well as the standard past protection. The setting that applied for Yesterday or Prior Day in the past will also apply to a future day. Setting Sunday as Yesterday or Prior Day for Monday, and checking the Future Protection checkbox will mean that Tuesday will be the future day protected. See also the Test Bar notes in this topic.

This is how Future Protection works using Monday as an example:

Day | Yesterday or Prior Day | Future Day Protected
Monday | Sunday (-1 day) | Tuesday (+1 day)
Monday | Saturday (- 2 days) | Wednesday (+2 days)
Monday | Friday (-3 days) | Thursday (+3 days)
Monday | Thursday (-4 days) | Friday (+4 days)
Monday | Wednesday (-5 days) | Saturday (+5 days)
Monday | Tuesday (-6 days) | Sunday (+ 6 days)
Monday | Monday (- 7 days) | Monday (+7 days)

Prior Day Assignment Column

The default settings in this column show the second day before the each day in the Day column. You can select any day to be treated as the Prior day, and use a different Prior Day for each day of the week.

Weekend Column

Weekends in the History Map and in the Scheduler are now shaded in pink by default to distinguish the weekends from the weekdays. The color can be changed in appearances and the default Saturday and Sunday weekend can be changed using the Weekend column.

Topic Overview: Station Days of Week

Working in this window

The Process described

Future Protection with Yesterday and Prior Day Rules in the Scheduler Test Bar failure pane

The Process described

  1. If you haven't already done so, enable the Yesterday or Prior Day Rotation rules in the Priorities Definition window, and implement settings in the Rotation Rules window.
  2. Then access this window by clicking the Days of Week tab in the Setup Station section.
  3. Select a Day in the Day column.
  4. For the Yesterday rule, click the drop down arrow in the corresponding Yesterday column, and select a day of the week.
  5. For the Prior Day rule, click the drop down arrow in the corresponding Prior Day column, and select a day of the week.
  6. Repeat for other days of the week as required, or accept the exiting defaults where appropriate.
  7. To apply protection in the future, check the Future protection box for each appropriate day for either rule.
  8. Optionally, set the Weekend using the weekend column.
  9. Finally Save the changes in the toolbar.

Future Protection with Yesterday and Prior Day Rules in the Scheduler Test Bar pane

When working with Future Protection in Station - Past Yesterday and Prior Day settings, where multiple time-related failures can occur, the Editor Test Bar pane will display the most recent past or future violation of the rule.

Topic Overview: Station Days of Week


Station - Past Day

Station - Past Days

This Setup Section window allows you to specify by how much your Past Day Rotation Rule settings, applicable to Songs, Links, Song Groups, Albums, Song or Link Attributes or Song Participants, are respected day by day, up to seven days in the Past. You can set a value of up to 100%, so that the Past Day's time setting is fully respected, or you can choose to relax the setting for any day. You can also optionally apply setting for any Past Day to the same number of Days into the Future.

Accessing this window
Features in this window
Working in this Window

To implement Prior Day instead of Past Day, see the Station - Yesterdays topic and the Prior Day Rule notes in the Rotation Rules window

Accessing this window

1. In the Priorities Definition window, implement the Yesterday or Prior Day Rotation rule
2. Click the Past Days tab in Station Setup.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Setup Station Past Days window

Features in this window

Toolbar
Days Back
Percentage Protection
Future Protection

Toolbar

Setup Station windows all share the same toolbar. When you make a change in this window, the Save button is activated. Click to save your changes. If you do not click this button before exiting the window after editing a station setting, your changes are not saved. Click the Cancel button to delete any changes in this session.

Days Back column

The number of Days Back field allows you to make settings for up to seven days in the past. This column cannot be edited or changed.

Percentage Protection

You can apply a value of between 1 and 100% in this column for any Past Day.

Future Protection checkboxes

For each Day Back, you can check a box to apply future protection as well as the standard past protection. The setting you apply for the selected Day Back will also apply the same number of Days in the future. See also the Test Bar notes in this topic.

Topic Overview: Setup Station Past Days window

Working in this Window

The Process Described
Future Protection with the Past Days Rule in the Scheduler Test Bar failure pane

The Process Described

1. If you haven't already done so, enable the Past Day Percentage Rotation rule in the Priorities Definition window, and implement settings in the Past Days column Rotation Rules window.
2. Then access this window by clicking the Past Days tab in the Setup Station section.
3. Select a Days Back in the Day column.
4. Set a Percentage value for this Day Back.
5. Repeat for other Day as required.
6. To apply protection in the future, check the Future protection box for each appropriate day for either rule.
7. Finally Save your changes in the toolbar.

Topic Overview: Setup Station Past Days window

Future Protection with the Past Days Rule in the Scheduler Test Bar

When working with Future Protection in the Station - Past Days window, where multiple time-related failures can occur, the Editor Test Bar pane will display the most recent past or future violation of the rule.


Daypart Regions

A Daypart Region is a section of the week you define in which the Song Linear, and Song Radial goals will operate independently. That is, when scoring either goal in one region, the plays in other regions are not considered. For example, some users may not want weekend scheduling of songs or links to affect play during weekday scheduling. By setting weekday and weekend Regions, Song Linear, Song Radial Goals can be respected within those Regions, but work independently of other Regions. When using Daypart Regions, you can use the Daypart Region Option in the Editor Consideration window.

When you start GSelector, all Dayparts are assigned the default 'Normal' Region. If you do not want to use Daypart Regions, you do not need to define any more Regions. To set up Daypart Regions, follow the steps to implement in this topic.

NOTE: You may want to use this feature in conjunction with the Define Yesterday window to ignore blocks of time, say across a weekend or to look back a week.

Accessing
Working in this window

Accessing

From any GSelector window, click the Setup tab, then the Dayparts tab, and finally the Regions tab, to access a window similar to this detail illustration. This image has been reduced to better fit in the Help window.

Click any area in this window for help

Click any area in this window for help

Toolbar

The Toolbar in this window allows you to Add a Region name, Edit a Add a Region name, Delete a Add a Region name, and Save or Cancel your changes.

Topic Overview: Daypart Regions window

Working in this window

Adding
Editing
Deleting
Save Changes
Implementing
Using Regions to replace large dayparts for faster scheduling

Add a Region

In the Setup Dayparts Region window, click the Add button in the Toolbar to open the Define Daypart Region window , and add a new Region Name.

Editing a Daypart Region Name

In the Setup Dayparts Region window, select a Daypart Region Name and click the Edit Button in the Toolbar , or double click the selected Daypart Region Name to open the Define Daypart Region window and edit the selected Name.

Define Region window

1. When adding a new Daypart Region, enter a name for the new Daypart Region, and click OK.
2. When editing an existing Daypart Region, enter a new name for the selected Daypart Region, and click OK.
3. The new or changed Daypart Region name is displayed in the Daypart Regions List pane.
4. Finally, click the OK button to add your changes to the Schedule pane.

Deleting a Daypart Region

Select a Daypart Region name in the name list in the Setup Daypart section Regions window and click the toolbar Delete button or press Del on your keyboard.

Save Changes

When you make any changes in this window, the toolbar Save button is activated. Click to save your changes. If you do not click this button, you will be prompted to save your changes when you leave the window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Daypart Region Name list

All existing Daypart Regions are displayed in this list. To change a Daypart Region Name, select it and click the edit button or double-click the name. If you have not defined any new Daypart Region Names, the default 'Normal' Region is assigned to all Dayparts.

Implementing Daypart Regions

1. First define one or more Daypart Region Names in addition to the default Normal Daypart Region name.
2. Assign these Daypart Regions to Dayparts in the Dayparts Definition window.
3. When multiple Daypart Regions have been assigned, the Region Name is displayed after the Daypart Name in the Daypart Assignment window.

Daypart Regions and the Rule Failure pane in the Editor

When you implement more than one Daypart Region, the Test Bar Pane (see notes here ) in the Editor will display the Closest Play in the current region under the Closest (Region) header. Play in other regions will be ignored.

Using Regions to replace large Dayparts for faster scheduling

When GSelector generates a schedule, each day is scheduled, Daypart by Daypart, in the Category Group priority sequence set in the Dayparts Definition window . Within each Daypart, GSelector's Optimizer The schedule Optimizer uses an internal algorithm to evaluate the best possible schedule for all possible combinations of Songs and Links in a Daypart. evaluates all possible combinations of Songs for each Clock position. The sequence with the best possible overall scores for all Songs is used.

The larger the Daypart, the more possible combinations exist, with consequences for scheduling speed. So while a conventional five hour Daypart will be evaluated speedily, a 12 hour Daypart, will take much longer. We suggest using Daypart Regions to define the overall area, and the use of small, conventionally sized, Dayparts within the Daypart Region. You can Copy settings (see notes here ) from one Daypart to any other Daypart in the Region or elsewhere, so that all Dayparts will carry the same setting if required.

Topic Overview: Daypart Regions window


Dayparts No Repeat

No Repeat window

In this window, you use the Dayparts defined in the Dayparts Definition window to build No Repeat Grids. You set up as many Grids as you need, using the same Dayparts in different combinations. Within the time set for each Grid, GSelector will only a schedule a Song once. Once defined, the process is automatic. While a Daypart can stretch across a number of Days - see the Daypart Assignment window for details - no repeat Grids are created by combining the Day or Days of the week with the hours set for any Daypart.

NOTE: Use No Repeat with caution. When the No Repeat Priority is set to unbreakable in the Priorities Definition, GSelector can only schedule a song once in each No Repeat Grid, zones which are too big, or which overlap can lead to unscheduled positions. In the example below, each No Repeat Grid is relatively small: for example five separate Monday to Friday workday grids. None overlap with any other No Repeat Grid. If the number of songs in any Category Group is smaller than the number of Clock Requests for that Category Group in any No Repeat Zone, this will give you unscheduled positions.

Accessing this window
Features in this window
Working in this window

Accessing this window

From any GSelector window, click the Setup tab, then the Dayparts tab, and finally the No Repeat tab to access a window similar to this illustration.

Click any area in this image for help

Click any area in this image for help

Topic Overview: No Repeat window

Features in this window

Toolbar
Grids list
Packet Protection
No Repeat Grid pane

Toolbar

In this toolbar, you can Create a new No Repeat Grid, Edit a No repeat Zone Name, Check All Boxes or Clear All Grid Zone boxes, and Save or Cancel changes.

Check All or Clear All buttons

The buttons allow you to clear all checks from Daypart checkboxes, or apply checks to all Daypart checkboxes for any selected No Repeat Grid.

Grids List Pane

All existing No Repeat Grids are listed in this pane, immediately below the Toolbar. To work on any No Repeat Grid, select the Grid Name in this pane.

Packet Protection

The Packet Protection is set when adding or editing a No Repeat Grid. When this option is enabled, if a song from a packet is scheduled during the No Repeat period, other songs from the same Packet cannot be scheduled in the period. When this option is disabled, if a song from a packet is scheduled during the No Repeat period, all other songs from the same Packet may be scheduled in the period.

No Repeat Grid pane

The No Repeat Pane is made up of Dayparts. To set up or edit a Zone, you create or select an existing No Repeat Grid in the List pane . Then check those Dayparts for selected to create the No Repeat Grid. You can check all or clear all Daypart boxes using the Check or Clear button in the Toolbar .

TIP: You can select the Dayparts in a Day column by clicking the Day header, and you can select all Dayparts in a row across the week by clicking the Daypart row header. Click again to deselect.

Topic Overview: No Repeat window

Working in this window

Create a No Repeat Grid
Edit a No Repeat Grid
See also the notes for setting a No Repeat Start Day .

Create a No Repeat Grid

1. In the Dayparts No Repeat window, click the Add [image] Button in the Toolbar to open the Define No Repeat Grid window.
2. In the Define No Repeat Grid, enter a Name in the Name field.

3. Optionally select the Additionally protect against packet plays to enabled Packet Protection.
4. Click the OK button to close the New No repeat Grid window.
5. The New No Repeat Grid name is displayed in the Grids List.
6. Select this Grid name in the List to create the Grid.
7. Check the required Dayparts for this No Repeat Grid.
8. If using No Repeat periods that span several Days, define the No Repeat Start Day (see notes here ) in Setup | Station | Features.
9. Finally, click the Save button in the toolbar to save your changes.

Edit a No Repeat Grid Name

1. Select a Grid to edit. The Grid pattern is displayed in the No Repeat Grid Pane.
2. Then click the Edit [image] Button in the Toolbar to open the Define No Repeat Grid window.
3. The selected Grid name is displayed.
4. Enter a new Name for this Grid.
5. Click the OK button to close the New No Repeat Grid window.
6. The revised No Repeat Grid name is displayed in the Grids List.
7. Then if necessary edit the Grid Pattern by checking or unchecking Daypart checkboxes. You can select the Dayparts in a Day column by clicking the Day header, and you can select all Dayparts in a row across the week by clicking the Daypart row header. Click again to deselect.
8. If using No Repeat periods that span several Days, define the No Repeat Start Day (see notes here ) in Setup | Station | Features. .
9. Finally, click the Save button in the toolbar to save your changes.

Saving Changes

Editing in this window activates the Save [image] button. Click to save your changes. If you do not click the button before exiting this window, you will be prompted to save your changes.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Topic Overview: No Repeat window


Dayparts Shows

Dayparts Shows window

The Shows tab, in the Setup | Dayparts window, is a feature that provides better control when using Alternate Categories to schedule a “show” which is outside the music boundaries of a stations’ regular programming. This feature allows use of a specific Priority List to control scheduling across the time boundaries of the show. You can construct the list to relax or tighten specific scheduling protections during the transition into or out of a show. Here you name the show, select the show’s region, choose the transition priority list and set a protection window time value.

Accessing this window
Features in this window
Working in this window

Accessing

From any GSelector window, click the Setup Tab. The default Station Settings window will open, or alternately, the last window accessed in this session. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview Dayparts Shows window:

Features in this window

Find (CTRL+F)
Toolbar
Show Settings

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in both panes simply click the pane and press CTRL+F to open the find option.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Toolbar

The Toolbar in the Shows window is used to Add, Edit, Delete, Save and Cancel changes.

Show Settings

The Show Settings are displayed in the show list pane, The settings in this pane are added using the Show Settings window. Click the Add Show [image] or Edit Show [image] buttons to access the Show Setting window.

The following settings are available in the Show Settings window:

Name - This field is used to give the Show a descriptive name of the show.

Region - This field is used to select a previously created Daypart Region for the show.

Transition Priority List - This field is used to select a previously created Priority List that will be used during the transition for the show.

Protection Window - The Protection window is the boundaries in which the Transition Priority List will be used. If you enter 01:00 hour, for example, the transition priority list will be used 1 hour before the show begins and 1 hour after the show ends. The Protection window is a minimum of 1 hour.

Topic Overview Dayparts Shows window:

Working in the Shows window

Show Scheduling process
Add a Show
Edit a Show
Delete a Show

Show Scheduling process

This section will walk you through the process on preparing to schedule a show of Songs. This can also be done with Links.

  1. Click the Regions tab in the Dayparts Setup window.
  2. Click the Add button to create a Region for the show.
  3. Click the Definition tab in the Dayparts Setup window.
  4. Click the Add button to create a Daypart for the show.
  5. Click the Definition tab in the Goals Priorities window.
  6. Click the Add button to create a Priorities list for the transition window.
  7. Click the Shows tab in the Dayparts Setup window.
  8. Click the Add [image] button to Add a Show.
  9. Enter a Name for the Show
  10. Select the Region created in Step 2
  11. Select the Transition Priority List created in step 6
  12. Set the Transition Window time.
  13. Click OK
  14. Click Save
  15. Next assign the created Daypart to the Songs in the Show.
  16. Click the Definition tab in Clocks to create a Clock for the Show.
  17. Click the Assignment tab in Clocks to assign the clock.
  18. Finally Schedule the Show.

Note: Any existing Daypart and/or Region can be used, such as a daypart that already exists for a Show.

Add a Show

  1. Click the Shows tab in the Dayparts Setup window.
  2. Click the Add [image] button to Add a Show.
  3. Enter a Name for the Show
  4. Select a Region
  5. Select a Transition Priority List
  6. Set the Transition Window time.
  7. Click OK
  8. Click Save

Edit a Show

  1. Click the Shows tab in the Dayparts Setup window.
  2. Select the Show to Edit.
  3. Click the Edit [image] button to Add a Show.
  4. Make changes as needed.
  5. Click OK
  6. Click Save

Delete a Show

  1. Click the Shows tab in the Dayparts Setup window.
  2. Select the show to remove
  3. Click the Delete [image] button to Remove the Show from the list.
  4. Click Save

Topic Overview Dayparts Shows window:


Packets window in Setup

This window displays all existing Packets for Songs, Links and Notes in the associated subsection tabs. This window allows users to manage, add, delete and edit Packets for Songs, Links or Notes without having to access the Packets pane in the Song Link or Note window. There are many ways to use Packets: two mixes of the same song can be packeted together, several songs from one album can be packeted, and so on.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Setup tab, and then select the Packets tab. The default view shows Song packets. If needed, select the Links or Notes tab to view Packets for these elements.

Click any area in this image for help.

Click any area in this image for help.

Packets window in Setup

Features in this window

Songs Links and Notes tabs

Toolbar

Find (CTRL+F)

Packets List

Songs Links and Notes tabs

The default view shows Song packets. If needed, select the Links or Notes tab to view Packets for these elements.

Toolbar

The Toolbar can be used to Add, Edit or Delete a Packet from the Packets List. The toolbar can also be used to Save or Cancel any changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in each tab of this window, select the pane and press CTRL+F to open the Find option.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Packets List

This pane displays all Packets in this Station for Songs, Links or Notes, as selected in the Songs Links or Notes Tab.

Add New Packet window

The Add New Packet window is accessed by selecting the Add [image] button in the toolbar of one of the tabs in the Setup | Packets tab or by selecting the add button in the Packet Management window by clicking the Packet Details [image] button, at right of the Packet Selection field in a Song, Link or Note. This window allows the user to define a Share, Days or Spins Packet Type. A Packet Type and Start Date can be assigned to a Song or Link Packet.

The Add New Packet window of the Note Packet only allows for the adding of the Short name and the Name of the Packet. Notes always have a Packet Type of Share with a 1:1 share.

Short Name

The Short Name can be up to four digits and is a reference name that will be used in other windows such as the Library Browse window in GSelector. The name can be as long as needed, but only a limited number of digits are displayed in the Packet field.

Name

Use the Name field to give the packet a descriptive name. The name can be as long as needed, but only a limited number of digits are displayed in the Packet field.

Packet Type

The Packet Type is used to select Share, Days or Spins. The Packet Type works with the target number set for each song to achieve the target rotation desired. Target rotation is used to apply a different style of rotation to the Songs or Links in a Packet. Notes always have a Packet Type of Share.

Days is used for setting up a rotation based on a target number of Days. When days is selected as the Packet Type, the user can specify that an item will persist at the top of the Packet 'stack' for the target number of days that is specified for the song/link/note. Once it has been scheduled, ideally across a number of dayparts, for the target number of days, it is placed at the bottom of the Packet stack, and the next item is considered for scheduling, and will also persist for the set target number of days.

For Example: With two songs in the packet, the first song A with a target of 3 and the second song B with a target of 2, this means play song A for 3 days then play song B for the next 2 days. On days 1-3 you will get song A and on days 4-5 you will get song B. Optionally, a Start Date can be set as the target date to start using this target rotation. When the start date is set the songs will have a 1:1 share until the start date set.

Spins is used to call for a target number of plays. When spins is selected as the Packet Type, the user can specify that an item will play for the target number of times that is specified for the song/link/note. Once it plays, for the target number of times, it is placed at the bottom of the Packet stack, and the next item is considered for play, and will also persist for the set target number of plays. This is similar to the "Comet" approach from V12/V15 where each song plays n times, then rests for a while.

For Example: With two songs in the packet, the first song A with a target of 3 and the second song B with a target of 2, this means play song A 3 times then play song B 2 times. With these target number of plays you will get a pattern of A/A/A/B/B. Optionally, a Start Date can be set as the target date to start using this target rotation. When the start date is set the songs will have a 1:1 share until the start date set.

Share is used to set up a ratio like 3:2 for a percentage of the Packet plays.

For Example: With two songs in the packet, the first song A with a target of 3 and the second song B with a target of 2, this means play song A 60% of the time and play song B 40% of the time. With these target number of plays you will end up with a pattern similar to A/B/A/B/A.

The target number for the above examples is set on each song/link in the packet using Target column the Edit Packet window.

Note: Although the UI for Note packets in 4.3.3 and earlier had the "Enable Target Days", "Target # of Days" & Target Date options, these did not work. You always got a 1:1 share between the notes in the packet. In 4.4.0, you will see the Packet Type disabled showing "Share". You are not able to set a Share Target for each packeted note. Note packets will always have a 1:1 share.

Start Date

The Start Date is optional but can be set for a Packet Type of Days or Spins. The Start Date is the target date the GSelector will use the Packets target settings. When the Start Date is set the songs/links in the packet will have a 1:1 share until the start date. When the down arrow next to the Start Date field is clicked, a calendar control is shown allowing the user to select a date. The current date is selected by default. Use the left and right arrow buttons to scroll through the months. Use the current date at the top to return to the current month and date. Use the Clear option at the bottom to clear the date from the Start Date field.

Edit Packet Window

The Edit Packet window can be used after the songs/links/notes have been added to the packet to set the Main version and the Target number for the packet items. The Edit window differs slightly depending on the Song, Link or Note Packet selected.

The Edit window of the Note Packet only allows for the editing of the Short name and the Name of the Packet. Notes always have a Packet Type of Share with a 1:1 share.

Main

The Main setting is used to set the song/link as the Main version of the packet. This is an optional setting but is helpful in the Analysis window. In the Analysis window, if Spins is set to Packet and the Flatten (Not Coded) is checked, the non-packeted songs will be commingled with the packets. The song selected as the main version will be shown for the packet. If a Main version is not selected the packet Short Name and Name will be used.

Title

The Title column displays the Title of the Song or Link.

Artist

The Artist column is shown in a Song packet and displays the artist for the song selected for the packet.

Version

The Version column displays the version of the Song/Link found in the Version field of the Song or Link window for the item.

Target

The Target column is used to set the target rotation based on the Packet Type selected for the packet and the rotation desired. Notes do not have a target setting. Note packets will always have a 1:1 share.

Packets window in Setup

Working in this window

Adding a Packet

Editing a Packet

Set target rotation within a song/link Packet

Deleting a Packet

Saving Changes

Canceling Changes

Adding a Song /Link Packet
  1. In the Setup | Packets window, select the Song, Link or Note tab, and click the Add [image] button.

  2. Enter a Short name of up to four digits in the Short name field
  3. Enter a Name. This is a longer, more descriptive, name than the Short Name. The Name can be as long as needed, but only a limited number of digits are displayed in the Packet field.
  4. Select the Packet Type to use for the song/link Packet.
  5. Optionally set a Start Date to start the target rotation of the song/link Packet. See the notes on handling Start Dates in Multi-Day scheduling.
  6. Click OK to create the Packet.
  7. The new Packet is then available to assign in the Song, Link or Note window or the Multi-Song Changer.

Editing a Song/Link Packet
  1. In the Setup | Packets window, select the Song, Link or Note tab, select a Packet, and click the Edit [image] button

  2. Optionally edit the Short name (up to four digits), and the longer, more descriptive, name in the Name field.
  3. Optionally, change the Packet Type to use for the song/link Packet.
  4. Optionally, set or change the Start Date to start the target rotation of the song/link Packet. See the notes on handling Start Dates in Multi-Day scheduling.
  5. Optionally, set one of the Songs/Links to be the Main version of the packet. This is helpful in the Analysis window.
  6. Optionally set a Target number for the Packet Type of the song/link Packet. If you are just starting out, we suggest you get used to regular rotation in Packets before moving to this more advanced step.

  7. Click OK to confirm the changes and close this window.

Set target rotation within a song/link Packet

  1. In the Setup | Packets window, select the Song or Link tab, select a Packet, and click the Edit [image] button

  2. Set a Target number for song/link using the up down arrows in the target column.
  3. Click OK to confirm the changes and close this window.

Deleting a Packet

Select the Song, Link or Note tab. Then select a Packet. Then click the Delete [image] Button to delete the selected Packet from all Songs, Links or Notes as appropriate.

Saving Changes

Click the Save [image] button to save all changes made in this window. If you do not save your changes in this session, you will be prompted to do so when leaving this window.

Canceling Changes

Click the Cancel Changes [image] button to undo any unsaved changed in this window.

Packets window in Setup


Drive Protection

The Drive Protection tab is used to setup hours of protection to prevent assets from being scheduled in other parts of the same day or in an adjacent day. For example, a person working 9-5 drives to work at 8A and returns home at 5P. Drive protection can protect the 5PM hour from playing a song that played during the 8AM hour. Drive Protection can also prevent the person hearing a song at 5PM yesterday from hearing it again at 8AM today.

Accessing this window
Features in this window
Working in this window

Accessing this window

Click the Setup tab then the Hours tab and finally the Drive Protection tab.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Drive Protection

Features

Drive Protection Toolbar

Drive Protection Definition Window

Grid
Hours of Protection List

Drive Protection Toolbar

The Hour Grids toolbar is used to Add, Edit, Delete, Save changes, and, Cancel unsaved changes in the Drive Protection tab.

Drive Protection Definition Window

Selecting Add or Edit from the toolbar opens the Drive Protection Definition window. Double-clicking a defined protection period from the List will also open this window.

The Hour Today is the Hour to be protected. The Previous Hour is the hour that GSelector looks at when scheduling the selected Hour Today to prevent playing a song or link from the previous hour. Depending on the hour selected in the Hour Today field will determine the hours available in the Previous Hour Field. The Day section of this window is the list of days to enable this drive protection rule. Use the Select All to enable the rule for all the days of the week. Once the Drive Protection rules are defined, implement the Drive Protection Legacy Rule in the Priorities Definition window.

Grid

The top section in the Drive Protection tab shows a grid of the protected hours. One protection period is defined when the same Key appears in two blocks of the grid.

Hours of Protection List

The list in the bottom pane is the a list of the defined hours of protection. The list shows the Hour Today, the Previous Hour, the Key and the Days of the Week to protect. The Key is what shows in the grid to designate what protection period is in place for the selected hours.

Working in this window

Add
Edit
Delete
Save Changes
Cancel

Add a Drive Protection
  1. Click the Add Drive Protection [image] button from the toolbar to open the Drive Protection definition window.

  2. Select the Hour Today to protect.
  3. Select the Previous Hour.
  4. Select the Days of the week to implement the drive protection. Optionally use the Select All to select all the days in the week.
  5. Click OK
  6. Click Save Drive Protection [image] from the toolbar

Edit a Drive Protection
  1. Select a Drive Protection rule from the List.
  2. Click the Edit Drive Protection [image] button. Optionally double-click the row in the list.

  3. Make the changes needed.
  4. Click OK
  5. Click Save Drive Protection [image] from the toolbar

Delete a Drive Protection
  1. Select a Drive Protection rule from the List.
  2. Click the Delete Drive Protection [image] button in the toolbar to delete the rule.
  3. Click Save Drive Protection [image] from the toolbar

Save Changes

The Save and Cancel toolbar buttons are activated when an addition or change has been made in the Drive Protection window. To save any changes, click the Save Drive Protection [image] button in the toolbar. If changes have not been saved and the user leaves the tab they will be prompt to save the changes.

Cancel

Click the Reset Grid [image] button in the toolbar to cancel any unsaved changes.

Topic Overview: Drive Protection


Research Columns window

This Setup section window is used to define Column Names, used for Research. Each column, typically, is used to hold information for a specific Demographic Cell that are used in researching songs in the library. When GSelector is interfaced with Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050., Research Columns can also store Mscore Media Monitors Mscore Switching calculates an index of switching in and out of a station when radio panelists react to songs on the radio. data. For more information on Media Monitors Mscores Research Columns, see the Importing Media Monitors Mscores notes.

Accessing this window

Features in this window

Working in this window

See also the notes for the Setup Research section Attributes and Import windows.

Accessing

From any GSelector window, click the Setup tab, then the Research tab. The default tab in this section is the Columns tab. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: Research Columns

Features in this window

Toolbar

Find (CTRL+F)

Research Columns pane

NOTE: When you first access the window, GSelector offers four columns: CO1, CO2, CO3 and CO4, with default ranges of minus 1000 to plus 1000. You can use these, or modify or delete them and replace them with your own column names and values.

Toolbar

The toolbar allows the user to respectively Add, Edit, Delete, and Save or Cancel changes to a Research Column Name. An Appearance can also be set for the selected column.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Column Name

The Column Names you define here are used in the History pane of the Song Window under the Research Scores Tab, and in the Import Research Scores window.

We use the expression 'Column Name' deliberately. A Column Name can denote Demographic Cells, or Auditorium Tests, or Call-Out Tests, or any other factor by which a station might wish to conduct Research. The Column Names you define in this window are used in the Research Scores tab of the History Pane in the Song Window. They reflect the way your station conducts its Research.

Minimum and Maximum Score fields

The pane displays fields for Column Names and values to define your Maximum and Minimum Research Score range. These values can be set to match a third party research system. You can specify a range that starts from -1000 and runs to +1000 - the default range, with 0 as the mid-point - or you can define a range starting at 0 and running to 100, for example. If you change an existing Score range, any Scores assigned for a Song or Artist which fall outside the Range will be deleted.

TIP: The Values you set here, including the Range you specify, can also be used in the Browse window as filters. You can also specify a number range within the range you define here, as a filter.

Topic Overview: Research Columns

Working in this window

Defining or Editing Column Names

Deleting Column Names

About Research Columns and Attributes

Setting a Column Appearance

Using Columns

Defining or Editing Columns

  1. In the Research section Columns window click the Add button to access a blank Research Column window, or
  2. Select an existing Column and click the Edit button to open the Research Column window.

  3. Enter/Edit new Column Name and Score Range details
  4. Then click the OK button.
  5. Finally click the Save button in the Toolbar.

TIP: Columns defined here can be used as Attributes in the Browse window. You can also select a Column and define a score range within the number range you define here.

Deleting a Column

In the Column window, select the Column Name and click the Delete button. When you delete a Column Name you automatically remove any Attributes entered anywhere for the station for that Column Name.

About Research Columns and Attributes

In GSelector, it is a straightforward process to define any existing Research headings. An unlimited number of Columns can be created, and within those Columns, Attributes for those columns. How the Column Names and the score range is defined is up to the user. A typical scenario might be to construct Columns as follows:

M25-34 and F25-34 each with a score range of 0-100, to represent the key demographic cells in the core audience.

Then build Research Attributes based on the Column Names. For example:

Attribute Name: Men Like with the Column Name M25-34 and a Score range of 51-100

Attribute Name: Men Dislike with the Column Name M25-34 and a Score range of 0-50

Attribute Name: Women Like with the Column Name F25-34 and a Score range of 51-100

Attribute Name: Women Dislike with the Column Name F25-34 and a Score range of 0-50

In the above example, the Score range of 0-100 covers a Positive range. A Positive and Negative range can be specified of, say -50 to +50. To assign a negative Attribute range the selected Column range must also have a negative value. The attribute range cannot exceed the column range. Where decimals are used for research scores such as 1.59 overlapping the ranges by 1 will cover the range of scores. For Example: In the ranges (1-5 and 5-100), there is logic to treat the second range as greater than the low score of the second range. “5” is part of the first range. “5.01” is in the second range.

Note: If you change the score range at any time, existing scores assigned for a Song or Artist which fall outside the range will be deleted.

Setting Color for Research Column Appearance

To set the Color for a research Column, go to the Setup | Research | Columns tab and right-click the Column to select the color from the predefined Appearances. Optionally, select the column then click the Define Appearances [image] button in the toolbar. The toolbar button is not available when the Appearances setting in the Setup | Research | Settings window is set to Attribute.

Saving Changes

Editing in this window activates the Save [image] button. Click to save your changes. If you do not click the button before exiting this window, you will be prompted to save your changes.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Using Columns

After defining Columns, work in the Setup section Research Attributes window to define score-specific Attributes to use in Goals and Library Browses. Both Column Names and Research Attributes are user-definable, accommodating any Research methodology. Research Attributes can be used just like any other Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling.to ban or boost or slow down Songs, working in the Balance Tab: Attributes Demand window. The most recent Research Score triggers the Research Attribute applied to the Song. Spread by Research Attribute can also be used in the Priorities window, or apply Segue Bans to any Research Attribute.

Topic Overview: Research Columns


Research Attributes window

This window is used to define Research Attributes. Research Attributes are automatically applied when the Song's Research Test Score imported into GSelector, matches the Score range defined for a Research Attribute. This window provides fields for Attribute names, grouped by Column Name, and qualified by the Minimum and Maximum scores set for each Attribute. Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050. subscribers can also use MScore switching scores as Research Attributes in scheduling.

About Research Attributes

Accessing this window

Features in this window

Working in this window

See also the notes on Using Research scores as Scheduling Attributes .

TIP: Research Attributes can be used in the Browse window as filters.

About Research Attributes

Research Attributes can be used like any other Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. : in searches in the Browse window, or in Goals, where you can spread by Research Attribute, or ban by Research Attribute, or implement a Segue Ban by Attribute. The major difference between Research Attributes and other Attributes (see Attribute notes here for full details) is that they are conditional on the most recent Research score stored in the Song window Research Scores Pane for the Song and relevant Column Name. For example, if a Song tests badly, and you defined a Research Attribute for a poor Research Test Score, that Research Attribute could lead to the Song being automatically banned in the Goals Attributes window, using a setting built to screen out Songs with negative Research Attributes. But if the following week, the Song gets a better score, a different Research Attribute would be applied to the Song, allowing it to be scheduled.

Accessing this window

From any GSelector window, click the Setup tab, then the Research tab, then the Attributes tab. This illustration is reduced in scale to better fit in the help window. When you first access the window, there are no columns defined. In this illustration, there are five Attributes assigned for the two Columns , where the Columns represent the station Core Male and Female Listeners.

Click any area in this image for help.

Click any area in this image for help.

Topic Overview: Research Attributes window

Features in this window

Toolbar

Find (CTRL+F)

Attributes column

Low and high Score range fields

Toolbar

The toolbar allows the user to respectively Add or Edit, Delete, and Save or Cancel changes to a Research Attribute. The user can also change the Appearance of the attribute by selecting the attribute and then clicking the Define Appearance button.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Attributes Name fields

For each column defined in the Research Columns window , you can add a range of Attributes. These Research Attributes will be automatically applied to any Song which has a Research score that matches the Research Attribute range.

Low and high Score range fields

Set a range of score ranges for the attributes in these fields. Values in ranges cannot overlap. See the setting values notes.

Topic Overview: Research Attributes window

Working in this window

Setting values for Columns and Attributes

Defining or Editing Attributes

Saving

Canceling

Setting values for Columns and Attributes

In GSelector, it is a straightforward process to define any existing Research headings. An unlimited number of Columns can be specified, and within those Columns, Attributes for those columns. How the Column Names and the score range is defined is up to the user. A typical scenario might be to construct Columns as follows:

M25-34 and F25-34 each with a score range of 0-100, to represent the key demographic cells in the core audience.

Research Attributes can be built based on the Column Names. For example:

Attribute Name: Men Like with the Column Name M25-34 and a Score range of 51-100

Attribute Name: Men Dislike with the Column Name M25-34 and a Score range of 0-50

Attribute Name: Women Like with the Column Name W25-34 and a Score range of 51-100

Attribute Name: Women Dislike with the Column Name W25-34 and a Score range of 0-50

In the above example, the Score range of 0-100 covers a Positive range. A Positive and Negative range can be specified of, say -50 to +50. To assign a negative Attribute range the selected Column range must also have a negative value. The attribute range cannot exceed the column range. Where decimals are used for research scores such as 1.59 overlapping the ranges by 1 will cover the range of scores. For Example: In the ranges (1-5, 5-100), there is logic to treat the second range as greater than the low score of the second range. “5” is part of the first range. “5.01” is in the second range.

Note: If you change the score range at any time, existing scores assigned for a Song or Artist which fall outside the range will be deleted.

Defining or Editing Attributes

NOTE: You cannot create a new Column name in the Attribute window. Create it in the Column window.

  1. In either the Research Attributes window, click the Add button to access a blank Research Attribute window, or
  2. Select an existing Attribute and click the Edit button to open the Research Attribute window.

  3. Enter a Research Attribute Name or
  4. Edit the existing Research Attribute Name
  5. Select a Column Name to associate with this Research Attribute.
  6. Define the Low and High Scores to set the Research Attribute range. Ranges can overlap between Attributes.
  7. Then click the OK button.
  8. Finally click the Save button in the Toolbar.

When you add a series of attributes, GSelector will list them in the order in which you add them.

Setting Color for Research Attributes

To set the Color for an attribute, right-click the attribute and select the color from the predefined Appearances.

Deleting an Attribute

In the Attribute window, select the Attribute Name and click the Delete button. When you delete an Attribute you do not delete any Research values entered into GSelector.

Saving Changes

Editing in this window activates the Save [image] button. Click to save your changes. If you do not click the button before exiting this window, you will be prompted to save your changes.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Topic Overview: Research Attributes window


Research Settings

This setup section window is used to selectively purge old Research Data. Research Data can be purged either by Entries or Days. The settings entered here are applied automatically when the station is loaded. Research Data can also be purged manually using these settings by working in the Housekeeping window.

Accessing

Features

Accessing

Click the Setup tab, then the Research tab, and then the Settings tab to access a window similar to this image.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Research Settings

Features

Save and Cancel buttons

No purging option

Enable Purging of Research by Entries

Enable Purging of Purge Research by Days

Appearances

Save and Cancel buttons

Click to either save your changes or cancel your changes.

No purging option

The default setting when you first access this window is the None setting.

Enable Purging of Research by Entries

Select this option by clicking the appropriate radio button and entering the number of entries to purge.

Enable Purging of Purge Research by Days

Select this option by clicking the appropriate radio button and entering the number of days to purge.

Appearances

Appearances can be set for Research Attributes and Columns. Select Attribute, Column or Attribute and Column.

Attribute: Songs that meet the research attribute condition will get the color defined for the research attribute appearance in the research attribute browse format field. The research attribute appearance is set by right-clicking on an attribute in either Goals | Balance | Attributes | Research Attribute or Setup | Research | Attributes.

Column: All songs will get the color defined for the research column appearance in the research column browse format field. The research column appearance is set by right-clicking on a column in Setup | Research | Columns. This option enables the Define Appearance button in the toolbar of the Setup | Research | Columns window.

Attribute and Column: The color defined for the research attribute appearance will be applied in the research column browse format field to songs with scores meeting the research attribute criteria. This option enables the Define Appearance button in the toolbar of the Setup | Research | Columns window.

NOTE: When the option Attribute and Column is selected, it is best to have research attributes where there are no overlaps in the score ranges. However, Where decimals are used for research scores such as 1.59 overlapping the ranges by 1 will cover the range of scores. For Example: In the ranges (1-5 and 5-100), there is logic to treat the second range as greater than the low score of the second range. “5” is part of the first range. “5.01” is in the second range.

Setting Color for Research Attributes

To set the Color for an attribute, go to the Setup | Research | Attributes tab and right-click the attribute to select the color from the predefined Appearances.

When an Appearance is applied it is visible in the windows where the attribute is viewed, such as the Goals | Balance | Attributes tab and...

..the Library | Browse | Attributes tab:

Topic Overview: Research Settings


Research Groups window

The Groups tab is used to define and assign research groups. Research Groups are groups of Columns (information for specific Demographic Cells grouped together and used in researching songs in the library). Once the Columns are created they can be added to a group using this window. These Research Groups can be assigned to a station and will appear on different tabs in the Research Scores and SongTrack ® tabs in the song window.

Accessing this window

Features in this window

Working in this window

See also the notes for the Setup Research section Attributes, Columns and Import windows.

Accessing this window

From any GSelector window, click the Setup tab, the Research tab and then the Groups tab. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Topic Overview: Research Groups

Features in this window

Definition tab

Assignment tab

Definition tab

The Definition tab is used to define custom Research Groups to use in Research Scores and SongTrack ® tabs for songs in the library.

Toolbar

The toolbar allows the user to respectively Add, Edit, Save, Cancel, Save As or Delete changes to a Research Group.

Research Groups

The Research Drop-down is used to view and edit the existing research groups defined in GSelector.

Research Fields

The research fields pane list all the defined Research Columns until they are assigned as Research Group Members

Research Group Members

The research group members pane list all the research columns that have been assigned to the Research Group created. The up and down arrows to the right of this pane are used to change the sort order of the research group members.

Assignment tab

The Assignment tab is used to assign the defined Research Groups to the current loaded station. Select the check-box next to the Research Group name to assign it to the station. These selected Research Groups will now appear on different tabs in the Research Scores and SongTrack ® tabs in the song window.

Topic Overview: Research Groups

Working in this window

Creating a New Research Group

Assign a Research Group to a Station

Edit a Research Group

Copy a Research Group

Saving Changes

Cancel Changes

Delete a Research Group

Creating a New Research Group

  1. After creating the Research Columns in the Setup | Research | Columns tab.
  2. Select the Definition tab from the Setup | Research | Groups tab in GSelector
  3. Click the New Research Group [image] button

  3. Enter a Name for the research group.
  4. Click OK
  5. Use the center Add/Remove [image] arrows in the Research Group Definition tab to add and remove Research Fields to the Research Group Members.
  6. Use the Up/Down Column Priority [image] arrows to the far right to change the Research Group Member order. Optionally, use the Alt+Up and Alt+Down on the keyboard to re-order the selected research group. This will change the column order in the Research Scores tab of the song window.

  7. Click Save [image] to save the research group.

Assign a Research Group to a Station

  1. Load the station to assign the Research Group
  2. After creating a New Research Group select the Assignment tab from the Setup | Research | Groups tab in GSelector
  3. Select the check-box next to the Research Group name to assign it to the loaded station.
  4. These selected Research Groups will now appear on different tabs in the Research Scores and SongTrack ® tabs in the song window.

Edit a Research Group

To edit a research group simply select the Group from the Research Groups drop-down and make changes using the Add/Remove [image] arrows or the Up/Down Column Priority [image] arrows. Click Save [image] to save the changes. Optionally, use the Alt+Up and Alt+Down on the keyboard to re-order the selected research group.

Copy a Research Group

To copy a research group simply select the Group from the Research Groups drop-down and click the Save as Research Group [image] button. Enter the Name for the copy, optionally, make changes using the Add/Remove [image] arrows or the Up/Down Column Priority [image] arrows. Optionally, use the Alt+Up and Alt+Down on the keyboard to re-order the selected research group. Click Save [image] to save the changes to the Copy.

Saving Changes

Creating a research group activates the Save [image] button. Click to save the new group. If save is not selected before exiting this window, the user will be prompted to save changes.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Delete a Research Group

A research group must be unassigned from all stations before if can be deleted. If a user tries to delete a Research Group that is assigned to a station the user will receive a warning that the group cannot be deleted because it is assigned to a station. To delete a research group simply select the Group from the Research Groups drop-down and click the Delete [image] button.

Topic Overview: Research Groups


Using Research scores as Scheduling Attributes

Imported Research scores can be used to trigger the automatic assignment and removal of Research Attributes to Songs, as those scores are imported or updated. This lets you set up custom Research Spread Goals in the Priorities window , and Segue Bans in the Segue Ban window , which are automatically updated. The beauty of this system is that attributes are automatically applied, revised or removed as test scores change. Media Monitors Media Monitors is the nation's leading radio, tv, cable and newsprint monitoring and verification service, used by broadcasters, print media, media researchers and ad agencies. The MM broadcast content recognition process of audio fingerprinting is protected by U.S. Patent 5,437,050. subscribers can use MScore switching scores in this system, and Mediabase Mediabase is a music industry website containing in-depth charts and analysis based on the monitoring of 1,836 radio stations in the US and Canada, in 175 radio markets. Mediabase features real-time charts in 25 radio formats, based on radio airplay. and Rate The Music Rate The Music (RateTheMusic.com) is a public website giving music listeners the chance to rate a variety of music styles. The service is also available to Radio Stations to allow listeners to rate station output. subscribers can import data, all as Research Attributes.

TIP: You can search by Research Scores in the Browse window and display Scores in the Editor using a custom Browse Format .

How it works

The Process described

Using Research in the Song window

Using Research in Library Browse and Editor formats

Using Research Attributes with Segue Bans

Using Research Attributes in Goals Balance windows

Research Cutoff setting

See also the History Research Tabs , and the notes on Importing Media Monitors MScores

How it works

Score-sensitive Research Attributes defined in the Research Attributes window are triggered for use in Scheduling by the Song's most recent Research score. That is, an Attribute such as 'Popular with M25-34 listeners' can apply to a Song one week, but not the next if the score for that Song drops below a defined threshold. For stations that use Research heavily, this is a powerful scheduling tool. You can define unlimited Research Columns and Research Attributes. The Columns you define are used to store Research Scores in the History Pane of the Song window under the Research Scores tab. The Research Attributes you create are used in the Browse and Goal windows.

The Process Described

  1. In the Setup Research Columns window, create Column Names (see notes here).
  2. In the Setup Research Attributes window, create Research Attributes (see notes here).
  3. In the Setup Research Import (see notes here ) window or XML Import window, configure your system to import Research scores.
  4. Import scores for each Research session.
  5. In the Song window, Research Scores are displayed in the History Pane Research Scores pane for each Song. Alternatively, you can enter scores manually for any Song in this pane.
  6. This will assign the appropriate score's Research Attributes to those Songs as you have specified.
  7. Balance or ban demand according to Research Attributes for your library in the Goals Balance Attributes window.
  8. Define Segue Bans for your Research Attributes in the Goals Segue Bans window.
  9. Optionally set up Research Spread Goals if so desired in the Goals Priorities window.

Using Research in Song History windows

See also the detailed notes for History Pane Research tabs in the Song window topic.

The History Pane in the Song window has a tab to enter Research Scores. The scores are entered for whatever date you set, and are entered for the existing Columns. If a Column Score matches the Range defined for a Research Attribute, that Research Attribute is automatically applied to the Song. Current Research Attributes for the Song are displayed under the Research Attributes tab. For more information see the History Pane Research Scores notes in the Song window topic.

In the above illustration, this Song's current Research Attributes are F Like and M Dislike. Any Segue Bans, Research Attributes Bans or Research Attribute Goals for these will be automatically applied. For more information see the History Pane Research Attributes notes in the Song window topic.

NOTE: Research scores can be time limited. That is, you can set the number of days that a Score is considered active, relevant data, and so be used to trigger Research Attributes. This is especially useful for fast-changing Categories which are get updated scores each week, and for Recurrent Categories that need re-testing. For more details see the Research Cutoff notes on in the Category Group Options window topic.

Using Research in Library Browse and Editor formats

Because Research columns and attributes are station-specific and browse formats are global, any Research fields in a browse format created in one station will not display data when that browse format is used in any other station. When editing a browse format containing Research fields in a station other than the one in which it was created, generic placeholders replace the fields. For this reason it will be far better if you edit any browse format containing Research fields only in the station in which it was created.

Using Research Attributes with Segue Bans

Any Attribute can be used with the Segue Bans tool. So it would be possible to implement a Segue Ban that would prevent Songs with Negative Research Attributes form playing next to each other. This will automatically spread out Songs which currently have negative attributes assigned to them.

For example, using these typical Mscore Media Monitors Mscore Switching calculates an index of switching in and out of a station when radio panelists react to songs on the radio. Attributes, defined in the Research Attributes window

You could construct a Segue Ban like this in the Segue Bans window

This would prevent Songs with negative Mscore values from playing next to each other, at a minimum. Of course much will depend on your range of Research Attributes.

Using Research Attributes in Goals Balance windows

If you make regular use of Research Attributes, it's worth revisiting the Goals Balance Attributes window each time you import research data. The values you import will trigger changes automatically in this window, as the number of songs associated with each Research Attribute vary following the research values you import for each song. However, shifts to individual Attributes made in the Balance Attributes window will have different effects depending on the number of songs associated with that attribute., and we recommend that this is reviewed after each import session.

This is a sample view of the Goals/Balance/Attributes immediately after importing research data, with no adjustment applied:

And this balance could be significantly adjusted by applying a Shift to songs with a Positive Switching attribute:

Research Cutoff setting

As Research scores and MScores are time-sensitive, they generally are not seen as permanent. You can specify a period of validity for Research scores in the Category Group Importance window. If the Research import date falls the allotted period of validity, Research Attributes and MScore Attributes will be applied to the Song. This length of the period before the cutoff date can vary according to your programming needs, and can be set individually for each Category Group. See the Research Cutoff notes in the Category Group Importance window .

Topic Overview: Using Research


Artist Image

In this window you can optionally define and manage Artist Images. Artist Images provide a means of segmenting your Artists into groups according to their demand. Once you have created two or more Artist Images, you can apply them to Artist Blocks to manage where they will appear in your schedules.

How Artist Image works

Accessing the Artist Image window
Features in the Artist Image window
Working with Artist Image

See also the Clock Artist Block window. Artist Block Clock Positions are created to select songs by the Artist Image attributes defined in this window.

Accessing this window

Click the Setup tab, and then the Artist Image tab, to open a window similar to this illustration, which has been edited to better fit in the Help window.

Click any area in the image for help

Topic Overview: Artist Image window

Features in this window

Toolbar
Find (CTRL+F)
List Pane

Artist Image Toolbar

From the Toolbar, you can Add a new Artist Image Name, Edit an Existing Artist Image Name, Delete an Artist Image Name, Save or Cancel your changes, and move Image Names up and down in order of importance.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in the Artist Image List pane, select the pane and press CTRL+F to open the Find option.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Artist Image List Pane

All Artist Images are listed in this pane. As each Image is added, GSelector automatically assigns a percentage range to each Artist Image, dividing the total percentage range equally between all the Artist Image Names. In the above example the three Artist Image Names have equal percentage ranges of 33%. If a fourth Artist Image Name is added, the ranges would become 25% for each Artist Image Name.

This Artist Image Names are sorted by the Maximum Percentage Range figure, in ascending or descending order. To assign a different order to an Artist Image name, select the name and use the Change list buttons.

Topic Overview: Artist Image window

Working with Artist Image

How Artist Image works
Artist Image in Artist Block
Add an Artist Image Name
Edit and Artist Image Name
Delete an Artist Image Name
ReOrder Artist Image list Order
The Process Described

How Artist Image works

GSelector analyses Artist Demand, working across all Dayparts. All Artists are then ranked by Demand, and assigned a value in percentage terms. The Clocks used to assess Artist Demand are those currently assigned in the default Clock Assignment grid . The Artist with lowest Demand is given an Artist Image value of 0%, and the Artist with highest Demand a value of 100%. In between these two extremes, the user defines ranges to create Artist Image values. In this window, you define as many Images as you need from within this percentage range. A typical Artist Image range could be values like
0 - 33: Tertiary
34 - 66: Secondary
67 - 100: Power
The artists assigned to these ranges are automatically updated as songs move between Categories, or Clocks are adjusted, so altering Category Demand.

NOTE: If you don't care about using Artist Image to define the Artists used for Artist Block scheduling, assign one overall Artist Image.

Artist Image in Artist Block

When you insert a Clock Artist Block Position, GSelector will call for a song or songs for the Artist Block by the specific Artist Image defined in this window. See the Artist Image notes in the Working with Artist Block topic for full details.

Add a new Artist Image Name

Click the Add button in the Toolbar to open the Define Artist Name Dialog box and add a New Artist Image Name.

Edit an existing Artist Image Name

In the Setup section Artist Image window, select an existing Artist Name in the List Pane , and click the Edit button in the Toolbar, or simply double-click the selected Image name to open the Define Artist Name Dialog box and edit the selected Artist Image Name.

Define Artist Image Name Dialog box

This window is opened when Adding or Editing an Artist Image Name. Type the desired Artist Image Name in the name field, and click OK. The dialog box closes, and the new or edited Artist Image Name is displayed in the Artist Image List Pane.

Delete an Artist Image Name

Select a name in the Artist Image window list pane and click the Delete button. The Percentage Ranges for the remaining Artist Image Names automatically adjust to account for the removal of this Artist Image name.

Save changes

When you make any changes in this window, the Save button is activated in the Toolbar. Click the button to save your changes.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Change Artist Image List Order

elect an Artist Image Name and click the buttons in the toolbar to move the Artist Image up and down in the list. Remember to click the Save button to make the change permanent.

Implementing Artist Image : The Process Described

1. Decide how many Artist Image names to use.
2. Enter all the Artist Images names using the Define Artist Image name box .
3. Adjust the priority of Artist Image Names if needed.
4. Click the Save button in the Toolbar.
4. If using Artist Block Clock Positions, specify the Artist Image to use when defining the Artist Block Clock Position.

Topic Overview: Artist Image window


Browse Formats Assignment window

From this window, Browse Formats can be assigned to the Editor Log and Consideration window, the Library Browse, Category Changer, Analysis, Kick Override Order and Browse Lists windows for both Songs and Links. Browse Formats are designed in the Browse Formats Design window. A format, once designed and saved, is available to assign to the windows listed here, in any Station.

TIP: You can temporarily assign or set a format assignment in any of these windows by using the toolbar Format Selection button in any of these windows. They can also be edited then saved using the Select Browse Format [image] button.

Accessing this window

Assigning a Format

Browse Formats Design window

NOTE: There is no limit to the number of formats that can be designed. So you can custom-design format for all your stations if you want. Any format can be applied to any station; however, the Default Formats in each window cannot be edited or deleted. This lets you get back to the standard screen layouts and start over if you need to.

Accessing this window

Click the Setup tab, and then the Browse Formats tab, and then the Assignment tab. The image shown here has been edited to better fit in the Help window.

Assigning a Format

  1. Design one or more formats in the Browse Formats Design window, working in any Station.
  2. Select the Station in which to assign formats from the Stations Menu option.
  3. Navigate to that Station's Assignment window as described above.
  4. Select the GSelector window in which to apply a format for this station.
  5. Click the drop-down arrow in the format field and select a format.
  6. A format can be used in any window, providing of course that it is appropriate.
  7. Note that Default formats cannot be accessed for editing.
  8. Click the Save button in this window.
  9. Repeat for other stations as required.

Topic Overview: Format Assignment window


Browse Formats Design window

Browse Formats: Format design

This window is used to design formats to apply in Library ( Browse and Category Changer ), Editor ( Log or Consideration ), Analysis and Kick Override Order windows. These are assigned in the Browse Formats Assignment window. You can create as many formats as required; in each format, fields can be selected and specified in the order you choose. You can also assign a Browse sort order and sort directions to any field. Any field can be renamed just for that format, and field widths can be set in a mock-up pane. A format, once designed, can be used in any Station.

Accessing this window
Features in this window
Designing in this window
Fields listed

See also the Browse Formats Assignment window notes.

NOTE: Format selection in the Browse and other Library windows is available for Active An Active item - a Song, Link or Note - is available to schedule in the current station. songs only. To view inactive songs, select the default format

Accessing this window

Click the Setup tab, then the Browse Formats tab, and finally the Formats tab to access a window similar to this image.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Browse Formats design

Features in this window

Song/Link tabs

Toolbar

Select Format

Available Fields

Add & Remove buttons

Selected Fields

Find (CTRL+F)

Alias

Sort Order and Sort direction

# of Chars

Delimiter

Available Fields list

Song/Link tabs

The Song and Link tabs are setup the same. The Song tab is used to setup custom Browse format for All Song related fields. These Song Browse Formats can then be assigned as Editor or Song Formats. The Link tab is used to setup custom browse formats for All Link related fields. These Formats can then be assigned to Link Formats.

Toolbar

From this toolbar, you can Add a New Format, Save or Cancel changes to a Format, Save an Existing or Changed Format as a new Format , and Delete a format.

Select Format field

All existing formats are displayed in this pane. Click the drop-down button to access the list of existing formats. Note that all Formats are available on all Stations.

Available Fields list

All Fields not used in the format are listed in alphabetical order in this pane. The Song tab Fields list holds fields used in the Main Song window, the Song Additional tab, and History fields (Date Added, Date Activated, Entered Category, Last Edited and Total Plays) along with the Airtime field. From here, select a field and click the Add button to place the field in the Selected list. Optionally, drag and drop the selected field into the Selected list. The Link tab Fields List holds fields used in the Main Link window, the Link Additional tab, and History fields (Date Added, Date Activated, Entered Category, Last Edited and Total Plays). All Song and Link fields are available for use in any format, including the User-defined fields in the Additional Information pane.

NOTE: Some fields for each format are permanent. They cannot be removed from the format, and are not displayed in the Available Fields windows. They are always included in the final format, although you do not have to display them if the other fields take up enough space to move them out of view. In the Editor, for example, the Score and Lowest Score fields and the Status fields are always included in the format.

Add and Remove field buttons

These buttons are used to move Fields to and from the available Fields and Selected Fields panes. The Right-pointing Add button at top places a highlighted Field in the Selected Fields List. The Left-pointing Remove button returns a selected field back to the Fields List. Optionally, fields can be added or removed by dragging and dropping the selected field with the mouse.

Selected Fields list

All fields selected for the current format are displayed in this pane. Their order can be adjusted by using the Field Sequencing buttons or by dragging and dropping the field to a new order location.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in the Selected Fields List of this window, select the pane and press CTRL+F to open the Find option.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Alias

In any Format, you can optionally display a different Name for the field, by typing the different Name into the Alias field. The Alias used is specific to that Format, although is nothing to prevent the same Alias being used in multiple formats.

Sort Order and Sort direction

The Sort field allows you to both specify a sort order, and a direction for the sort, which is applied to the Browse from any field or fields in the Browse format. This allows you, for example, to call for a format which sorts by Category first, and then by Artist and Title, with each sorted in direction you specify. Or you could sort by Duration and then by Artist and Title. Sort order is determined by the order you set up in the Selected Fields pane, and sort direction is applied to each field. If you don't want to sort on any field, you can select this option as well.

  1. First order the fields to set the sort order using the field sequencing buttons.
  2. Select each field and click the drop down arrow in the Sort column for that field to set sort direction.
  3. Select None for no Sort (0rder or direction), or the ASCending or DESCending options to apply a sort order.
  4. Save and name the browse format.
  5. In the browse window, the format will be applied with the sorts requested in the selected fields.

TIP: You can specify sort direction for any field in a browse - see the sorting notes in the Working with Browses topic - by clicking on the header for that field.

# of Chars

The # of Chars is the number of characters that will show for the value in the field selected. For example, if the # of Chars was set to 2 and the selected field was Sound Code then an event with the Sound Code of Rock would only show Ro in the resulting field of the Browse window.

Delimiter

The Delimiter is the character between two or more values. If a song had two Sound Codes such as, Rock and Fast and the Delimiter was + then the resulting field would show Rock+Fast or Ro+Fa if the # of Chars was set to 2.

Field Sequencing buttons

Click these buttons to order fields in the Selected Fields pane. This determines the sort order and the field sequence in the browse. Click to select a field, and then move that field up and down in the field sequence. Fields are displayed from top to bottom, and read from left right in the Preview Pane and in the Log or Consideration Pane formats. Optionally, use the Alt+Up and Alt+Down on the keyboard or drag and drop the field to re-order the selected field.

Set Column Widths

To save a Column width for the Browse Format go to the desired window such as the Library Browse window, adjust the column widths, then use the [image] Format Selection drop-down to save the changes to the column widths.

Topic Overview: Browse Formats design

Designing in this window

Adding a format

Editing a Format

Adding and Removing fields when creating or editing a Format

Ordering Fields

Renaming Fields in a Format

Saving a format

Saving an existing Format as a New Format

Deleting a Format

Available Fields list

Adding a Format: the New Format window

  1. In the Setup | Browse Formats | Formats window, click the Add button in the Toolbar to access the New Format window.

  2. In this window, enter a (preferably descriptive) Name for the Format
  3. Then click the OK button
  4. Finally, click the Save button in the Toolbar.
  5. The new Format is now available to edit; select it in the Select Format field.

TIP: This window is also opened when Saving an Existing format as a New Format with the Save As option.

Editing a Format

  1. In the Setup | Browse Formats | Formats window, select a Format in the Select Format field.
  2. Add or Delete fields with the Add and Remove buttons. Optionally, drag and drop Fields to or from the Selected Fields pane.
  3. Set the field order with the Field Sequencing buttons. Optionally, use the Alt+Up and Alt+Down on the keyboard to re-order the selected field.
  4. Optionally apply Alternative names to any field in the Alias fields.
  5. Finally, click the Save or Save as New button (if modifying an existing format) in the toolbar.

TIP: Custom Formats are available in all Stations, although users may not need the same format in a different station with a different set of requirements. You can, of course, design formats for a specific station, and name them accordingly.

Saving

Click the Save [image] button to save your changes in this window. If you do not click the button upon leaving the window, you will be prompted to save your changes at this point.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

TIP: If you save changes to an existing format, that format is changed permanently. To retain an existing format while saving the changes, use Save as New button.

Saving a Format as new

Use the Save As option to create a new format from an existing format. This can save a lot of time when designing formats.

  1. Select a Format.
  2. Click the Save As [image] button.
  3. This opens the New Format window.
  4. Enter a Name and click OK.
  5. The selected Format is saved under a new name; the original source format is left untouched.
  6. Edit the new format as required.

Deleting a Format

  1. Select a Format to Delete.
  2. Click the Delete button in the toolbar.
  3. If the format is assigned, you will be asked if you wish to remove that format from the Stations to which it is assigned.
  4. You cannot delete the default format, not edit it.
  5. Finally click the Save button to save your changes.

Adding and Removing fields

To Add a field:
Select in the Available Fields list, then click the Right-pointing Add button to add to Selected Fields List. When the cursor is on any entry in the Selected Fields grid, newly added fields are placed above this field, except when the cursor is on the last entry in the grid. Here, newly added fields are placed below the last entry. Optionally, drag and drop Fields to the Selected Fields pane.
To Remove a field:
Select in the Selected Fields list, then click the Left-pointing Remove button to return to the Available Fields List. Optionally, drag and drop Fields from the Selected Fields pane.

Ordering Fields

  1. Select a field in the Selected fields pane.
  2. Click the up or down Field Sequencing arrows to move the field to its desired position. Optionally, use the Alt+Up and Alt+Down on the keyboard or drag and drop the field to re-order the selected.
  3. Repeat as required for other fields.
  4. Finally click the Save button to save your changes.

Renaming Fields in a Format

  1. Select and Sequence fields as usual.
  2. Select a field and click in the Alias column for that field.
  3. Enter the desired name in the Alias column against the field.
  4. Repeat as required for other fields.
  5. Finally click the Save button to save your changes.

NOTE: Adding an Alias in any format does not change the field name anywhere else in GSelector

Topic Overview: Browse Formats design

Available Fields used in Log, Consideration window and Library Browse formats

The following is a list of Fields available in the Fields list of the Songs or Links tab. Some attributes may also have a Fallback Attribute listed depending on the settings in the Attributes tab of the Setup | Station | Features window.

Air Time Field

This field displays the theoretical start time of the Log Item after scheduling. GSelector calculates the value for any Log Item by adding the Runtime field value to the previous Log Item's Airtime value. It does not take non-scheduled items into account. When working with Master Control or a Third party automation system, the field displays the actual start time, sometime referred to as the event time, of the Log item.

Album field

This Song information field displays Album field information.

Alternate Category

The Alternate Category displays the category that is assigned as the alternate in the Dayparts tab of the Song window. Check the Alternate Category checkbox in the Setup section Station Features window to display this field in the Station coding pane.

Alternate Packet

The Alternate Packet displays the packet that is assigned as the alternate in the Dayparts tab of the Song window. Check the Alternate Category checkbox in the Setup section Station Features window to display this field in the Station coding pane.

Arranger field

This Song Participant field displays Arranger information.

Artist Field

For Songs this field displays the Song Artist;
For Spots, this field displays Sponsor 1 information;
for all other Log Elements, this field is blank.

Artist Group

This Song Attributes field displays Artist Group information.

Association field

This Song Additional Information field displays Details Pane field data.

Automation Systems

The Automation systems field displays the Interfaced automation systems name and the Media ID.

Breaknote Media

The Breaknote Media will display what is in the Media field of the scheduled Breaknote.

Browse List Counter

When a Browse List is used in a schedule, the Browse List counter field shows the position number of an element scheduled via that browse list.

Category Field

Where a Song or Link is used, this color-coded field displays the short Category name; otherwise the field is blank.

Category Group field

This field lists the Names of Song Category Groups, or other Log Items such as Exact Time Markers, Controls. See the notes for Clock Elements for full details.

Clock Goal

The Clock Goal field shows the Clock Goal that was selected for the clock position.

Composer field

This Song Participant field displays Composer information.

Conductor field

This Song Participant field displays Conductor information.

Constraint

The Constraint field show the Constraint used for the clock position.

Content

This Song Attributes field displays Content information. This Attribute is used, generally but not exclusively, to indicate that the song is, or is not, part of a Content Library. Where local regulations require stations to feature music with specific local content, this Attribute can be used to denote such songs. When Content is an available choice in the list then Content is set as a Global Attribute in the Setup | Station | Features | Attributes tab. If Content is not visible in the list then Content is set as a Station attribute; look for Station-Content in the list.

Country field

This Song Additional Information field displays Details Pane field data.

Cumulative Airtime

This field, when added to a format, displays the airtime of the event without resetting at the top of every hour, calculated as starting from the Broadcast Start Hour The Broadcast Start Hour can be set to any hour in the day, but it can not bisect a Daypart. This allows users to define Dayparts that 'wrap' round midnight. Clock and Daypart Assignment grids and History Maps all start from the defined Hour. Cumulative Airtime is calculated from this point. The Hour is defined in the Setup Dayparts Assignment window. . This field can also be used in Schedule Reports, and when designing an Export Schedule format.

Date Activated field

This Song and Link Change History field displays the date the Song and Link was activated .

Date Added field

This Song and Link window Change History field displays the date the Song or Link was added.

Early NTP

Early NTP is the Early Next to Play position in the song or link. Currently this value has no specific use other than providing information. In the future this may be updated for integration with an automation system to use these values for Link/Song Chains.

Edit Code

The Edit Code field shows the editing status of the associated schedule position. The Edit code is also available in the Interface | Export | Schedule window and in Schedule Reports.

Duplicated - The Copied status is displayed when an element is copied using Copy Schedule

Juggled - displayed if the item has been juggled

Inserted - displayed if the item has been inserted

Integrated - The Integrated status is displayed when the item was added during traffic Integration.

Replaced - displayed if the item has been replaced

Moved - displayed when an item has been dragged from one position to another in the Editor.

Recycled - displayed when the item is recycled.

End Time

The End Time sets the end date and time in which the item can be scheduled, the end time is set in the songs and Links Run Dates tab.

Ending field

This Song Media pane field displays Ending information.

Energy Field

This Song Attributes field displays Energy information.

Energy Graph

This field will display a graphical representation of the Energy attribute.

Entered Category field

This Song and Link window Change History field displays the date the Song or Link entered its current Category.

Era field

This Song Attributes field displays Era information. When Era is an available choice in the list then Era is set as a Global Attribute in the Setup | Station | Features | Attributes tab. If Era is not visible in the list then Era is set as a Station attribute; look for Station-Era in the list.

Event Filename

Event Filename is used in the scheduler to view the file name for Voice Tracks created in Master Control.

Failure Code

The Failure Code field is used only when GSelector is interfaced with Master Control. It contains a description of any issue encountered within Master Control when the schedule position was being processed for on-air playback. The Failure code is also available in the Interface | Export | Schedule window and in Schedule Reports.

Fallback

The Fallback field will display the Fallback used for the clock position.

Filename

The Filename column displays the path and filename for the Song or Link.

Film Name

This optional Attribute is used to separate songs by the name of the Film which the song was featured in. This feature is designed primarily for Film music regions, but it can be optionally in any market. This attribute is implemented by checking the Enable Film Attribute box in the Station - Features window.

GUID (asset)

The GUID (asset) is a globally unique identifying number for the asset.

GUID (Log Event)

The GUID (Log Event) is a globally unique identifying number for the Log Event.

Genre field

This Song Attributes field displays Genre information. When Genre is an available choice in the list then Genre is set as a Global Attribute in the Setup | Station | Features | Attributes tab. If Genre is not visible in the list then Genre is set as a Station attribute; look for Station-Genre in the list.

Hook Start and End fields

These Song Media pane fields display Hook Start and End time values.

Hour Restrictions

Displays the Hour Grid that is applied using the Hour Restriction tab for the element. Hour Restrictions are applied to both Song and Links using Hour Grids. Each Hour Grid specifies the hours where a Song of Link can or cannot be scheduled. They are designed in the Setup Hour Restrictions Grids window, accessible from the Song or Link window, and applied directly to Songs or Links in the Song and Link windows.

Instrument field

This Song Attributes field displays Instrument information. When Instrument is an available choice in the list then Instrument is set as a Global Attribute in the Setup | Station | Features | Attributes tab. If Instrument is not visible in the list then Instrument is set as a Station attribute; look for Station-Instrument in the list.

Intros 1, 2 and 3 fields

These Song Media pane fields display Intros 1, 2 and3 time values.

ISRC field

This Song Additional Information field displays Details Pane field data.

Label field

This Song Additional Information field displays Details Pane field data.

Last Edited

The Last Edited field will show the date the Song or Link was last changed.

Last Played

The Last Played field will show the date and hour the Song or Link was last played. This is a great option when working with song or link lists needing to be filtered or sorted on the most recent play of the element.

License field

This Song Additional Information field displays Details Pane field data.

Link Pos

This is a Legacy option that will show the Link Pos column that displays a count for the number of the links in the hour.

Media External

The Media External Field will display a check mark if the element is marked as External in the song or link window.

Media ID field

This Song, Link Media pane field displays ID information, and also Spot ID information.

Mood field

This Song and Link Attributes field displays Mood information.

Mood Graph

This displays a Graphical representation of the Mood attribute.

Most Recent Last Edited field

This Song and Link window Change History field displays the date the Song or Link was last Edited.

Musician field

This Song Participant field displays Musician information.

Notes

The Notes field will display a Note [image] if the element has a Note assigned to it.

Opener field

This Song and Link Attributes field displays Opener information.

Opener Graph

This displays a Graphical representation of the Opener attribute.

Opening

This Song Media pane field displays Opening information.

Packet Field

This Song and Link Attributes field displays Packet information.

Prefix field

This Song Additional Information field displays Details Pane field data.

Producer field

This Song Participant field displays Producer information.

Promoter field

This Song Additional Information field displays Details Pane field data.

Publisher field

This Song Additional Information field displays Details Pane field data.

Record Number field

This Song Additional Information field displays Details Pane field data.

Research Attribute fields

These Song Attributes fields display automatically updated Research information. See Using Research scores as Scheduling Attributes for details.

NOTE: Because research columns and attributes are station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. -specific and browse formats can be applied to all fields in the entire Library, any research fields in a browse format created in one station will not display data when that browse format is used in any other station.

Research Score Date

The Research Score Date field displays the date the research score was last updated. This field can also be used in Reports, Export and Browse Formats

Research Columns

These fields represent the Column Names in the Research Columns window . If you have already added columns, they will be listed in the Fields list in alphabetical order. See Using Research scores as Scheduling Attributes for details.

Runtime Field

This field displays the Song. Link or Clock Element runtime. Some items such as Exact Time Markers to not have durations; in this case, the field is blank.

Song Group

If the Song is placed in a configured Song Group the song group name will be displayed. Songs can be grouped together and can share both global and local attributes. A Song Group can be used to spread Songs, and Song demand within a Group can be balanced in the Balance: Song Groups window.

Song Pos

This is a Legacy option that will show the Song Pos column that displays a count for the number of the songs in the hour.

Sound Code field

This Song and Link Attributes field displays Sound code information.

Split Behavior

The Split Behavior field displays the split behavior of the Song, Link or Spot Block. Split Behavior is enabled in the Station Settings: Features window.

Spot Pos

This is a Legacy option that will show the Spot Pos column that displays a count for the number of the spots in the hour.

Start Offset

The Start Offset time displays a plus or minus time value for starting the element. For example, this time will display on elements that have been voice tracked.

Start Time

The Start Time sets the start date and time in which the item can be scheduled, the start time is set in the songs Run Dates tab.

Station Last Edited

Displays the date the song or link was last changed such as the Category being changed.

Station-Specific Attributes

The Station-Specific Attributes (Station Artist Group, Station Content, Station Era, Station Genre, Station Instrument, Station Theme, Station Vocal) are available in the Station Coding section of the song when the Attribute is set to Station in the Attributes tab of the Setup | Station | Features tab.

Station-Specific ID field

Where a Station-Specific ID exists for a Song or Link, information is displayed in this field. Station Specific IDs are enabled in the Station Settings: Features window.

Suffix

The Suffix information is the catalogue number configured in the Song Additional Tab.

Tempo field

This Song and Link Attributes field displays Tempo information.

Tempo Graph

This displays a Graphical representation of the Tempo attribute.

Texture Open and Close fields

These Song and Link Attributes fields display Texture information.

Texture Open and Close Graph

This displays a Graphical representation of the Texture attribute.

Theme field

This Song Attributes field displays Theme information. When Theme is an available choice in the list then Theme is set as a Global Attribute in the Setup | Station | Features | Attributes tab. If Theme is not visible in the list then Theme is set as a Station attribute; look for Station-Theme in the list.

Title Field

This field displays the Song, Link, Spot or Clock Element title.

Total Plays field

This Song and Link window Change History field displays the Total number of Plays for the Song or Link.

User-designated fields 1-10

These Song and Link Additional Information fields display User-defined field data.

Version field

This Song information field displays Version information.

Vocal field

This Song Attributes field displays Vocal information. When Vocal is an available choice in the list then Vocal is set as a Global Attribute in the Setup | Station | Features | Attributes tab. If Vocal is not visible in the list then Vocal is set as a Station attribute; look for Station-Vocal in the list.

Vocalist field

This Song Participant field displays Vocalist information.

Writer/Lyricist field

This Song Participant field displays Writer/Lyricist information.

Topic Overview: Browse Formats design


Hold Categories

The Setup Hold categories window lets you specify, for each station, a designated Song or Link Hold Category for each station. When you delete a Song or a Link, working in a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. or Zetta Zetta is the a RCS automation and audio playout system. station, that item is placed in the designated Hold Category for its counterpart GSelector station. This action retains all the play history and station-specific information for each Song or Link, which would otherwise be lost if you deleted (see the notes here ) or deactivated the Song or Link.

You can assign any category in any station as a Hold Category. For this function to work correctly with NexGen, ensure that the Hold Category is not assigned in Clocks. All Stations, whether they are synchronized with NexGen / Zetta or not, must have a Hold Category created and assigned for both Songs and Links, when working with a GSelector and NexGen / Zetta combination. The GSelector NexGen Integration or Zetta Integration windows cannot be activated until Hold categories are assigned for Songs and Links across all stations. Note that the Hold Categories do not have to contain any material - they function simply as a safety net holder to catch items that are deleted in NexGen or Zetta .

NOTE: It is only possible to synchronize one external playout system to one GSelector database.

Accessing this window
Features in this window
Working in this window

Topic Overview: Hold Categories

Accessing this window

Ensure that NexGen or Zetta is running. Then
Click the Setup Tab and then the Hold Categories tab to access this window.

Or from the Tools/Interfaces/NexGen or the Tools/Interfaces/Zetta synchronization window Station Associations tab pane, click the Hold Categories button for the selected GSelector station.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Hold Categories

Features in this window

Toolbar

This allows you to save or cancel your changes.

Stations list

All GSelector stations are listed for both Songs and Links.

Designated Hold Categories

Select a Hold Category to assign for each station in this field.

Working in this window

1. Select a Station that has an associated NexGen or Zetta station - that is, a station that uses NexGen or Zetta as its sequencer.
2. If no Hold Category exists, first create a Hold Category and Category Group A group of categories, generally containing songs that are similar in nature or function, depending on scheduling requirements; Category Groups are used in scheduling in the Categories window (see notes here ) .
3. Select a designated Hold Category for that station.
4. Repeat as required for other stations.
5. Save your changes.

Topic Overview: Hold Categories


Notes Browse window

Note Browse window

Notes can be used across your entire GSelector Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. . Like Songs, the same Note can be active in multiple Stations. The Notes Browse window works much like the Song and Link Browse windows. In the left hand filter pane, you select Notes or apply filters, searching by any Note Attribute or Note Title. The results pane at right shows the selected Notes, displayed in a browse. The combination of elements you search, or filter by - your search criteria - can be saved off and recalled for later use. These are called Saved Filters, and you can use them in many areas of GSelector. You can also save browsed Notes as Note Lists.

Accessing this window
Features in the Browse window
Working in the Browse window

See also the Browse Window Advanced Search notes, and the Working with Browses topics.

Accessing this window

Click the Notes tab in the top Navigation bar. The first time you access the Notes tab in any GSelector session, you will access the Notes Browse; otherwise, click the Browse tab.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Notes Browse window

Features in the Browse window

Find (CTRL+F)

Advanced Search

The Toolbar

The Filter Selection Box

Counter pane

The Filter Selection pane

Filter Pane Tabs

The Results Browse

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in both the Results pane and in the Filter Pane tabs for this window.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Advanced Search button

Click to use this window in Advanced Search mode.

Toolbar

In the Toolbar, you can save any existing Filter or Note list, save as a new Filter or Note List any modified Filter or Note List , or delete any Filter or Note list. The buttons at the far right of the toolbar allow you to invert the Note Selection, reset the Filter and view any Note Reports you have created.

Filter or Note list selection box

You can apply any previously saved Filter, or display any saved Note List. Click the selection arrow to access the list of saved Filters and Note lists. You may need to use the scroll bar to select. Select or scroll down to the desired Filter or Note list, and click or enter to display Notes the selected Filter, or the saved Note List in the Results pane .

Save Filter or Note list button

Click this button to save changes to an existing Filter or Note List, or to Save a new Filter or Note List. If you are saving a new Filter or Note List, the Enter Name dialog box opens.

NOTE: When Saving a List, Unselected Notes are not saved, whether or not the Show unselected box is checked.

Save Filter or Note List As.. button

To save a modified Filter or Note List , click the Save As New Filter or Note List button to open the Enter Name dialog box.

Saving Filters or Lists: the Enter Name box

First click a Radio Button to specify a Filter or a Note List. Then enter a name for the new Filter or Note List , and click the OK button.

Delete Filter or Note List button

To permanently delete any Filter or Note List, select that Filter or Note List and click the Delete button. The Results Browse pane returns to its unfiltered state, and the Filter or Note List is removed from the saved list.

Invert Selection button

Click this button to reverse the selections for all Notes in the Browse pane. If a Note is selected, it will become unselected; conversely, unselected Notes will be selected.

Reset button

To clear a modified Filter or Note List from the browse without deleting the saved Filter or Note List, click the Reset Filter button. The library browse returns to its unfiltered state, but the Filter is retained in the saved Filter list.

Reports

The Reports button displays a drop-down menu of possible reports.

Double-click the Report name to open the report in the Reports View window.

Note: To enable this Reports button you must create a Report Type of "Notes" in the Reports section.

Show Unselected checkbox

When you view the results of a search in the Results Browse pane, the Notes are said to be selected. This is shown by a check in the Selected Column at left. You can remove any Note from the Results Browse pane by clicking on the Selected field. All Notes that are not selected for display are unselected. GSelector will keep a tally of the number of selected and unselected Notes. If you check the Show Unselected box, you will display all unselected Notes in the Browse Display pane. See selecting Notes in the Browse pane for more information. When saving a List , only selected Notes are saved, whether the unselected Notes are displayed or not. GSelector displays the total of selected and unselected Notes.

TIP: If you have removed Notes from the Results Browse pane, you can view the Notes you remove by checking this box.

Displayed Notes counter

This field, above the Results Browse pane, displays the total number of selected Notes in the browse, and the number of the selected Note.

Filter Pane Tabs

Click one of the tabs above the Filter selection pane to open either a list of Note Title, or an expandable Note Attribute list in the Filter pane. Selecting one or more items in the Filter selection pane will open a list of Note matches in the browse pane.

The Filter Pane

To view Notes in a browse list in the Results Browse , you work in the Filter pane.

  1. Select the appropriate Filter tab: Attributes, or Title.
  2. The Attributes tab displays a list all Attributes. Selecting or excluding any of these will refine your search.
  3. Open any Attribute node, and scroll to an Attribute and click your selection.
  4. If you are working with the Date fields (Anniversary, Activated, Edited, Start and End), note they all have a Date and a Custom Date field to select from. See the Custom Values topic for details on working with this feature.
  5. Once you have entered a value, the relevant Attribute header now displays a total of selected and excluded items.
  6. The unselected icon changes to a selected [image] icon, and the associated Notes are displayed in the browse display pane.
  7. Clicking the selected Attribute a second time reverses the selection process, and displays every Song not [image] associated with this Attribute/Participant/Artist/Title/Album.
  8. When you have displayed a list of Notes by searching under Attributes, you can also repeat the process. So you could display all Notes with a given Attribute, and then search for Notes with a specific Title.

Wildcard Title searches

In a keyword search, a symbol may sometimes be inserted in the middle of a search term to retrieve words containing any character in the designated position. The Title filter pane tab allows the use of Wildcards. In GSelector, the default setting is a single asterisk. For example, typing wom*n will retrieve both "woman" and "women." Typing A* will retrieve all Titles beginning with A. Used on its own, this will find everything in the database.

And / Or Radio buttons in Titles.

Click the And radio button to search by a single selected Title or a specific combination of Titles. Each time you select a Title you add another condition to your search. If the And button is selected, your search will get narrower until eventually no Notes may show.

Click the Or button to search by the selected Title or another search element from any other tab. These conditions will also be cumulative, but will increase your results if records meet the new criteria.

Click the reset button to clear this set of criteria and start a new search filter.

The Results Browse pane

Click any area for Help

The Results Browse pane shows the results of your search criteria, in a Browse format. The Browse displays active An Active item - a Song, Link or Note - is available to schedule in the current station. and inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Note status. This Browse, like most GSelector browses, has full sort capabilities. For more information, see the Working with Browses topic. The leftmost column in the Browse displays Selected status. See the Show Unselected section in this topic for details on viewing or excluding Unselected Items from the display. Where items are packeted, the Packet Name is displayed. You can of course view all Packeted Notes by sorting on this field. Finally, The Title field displays all selected Note Titles. You can jump to the Note window for any Note by double-clicking on any field for that Note in the Browse.

Topic Overview: Notes Browse window

Working in the Notes Browse window

Active/Inactive status

Modifying a Filter or Note list

Selecting Criteria in the Notes filter pane

Selecting Notes in the Results Browse

Active/Inactive status

The current status - active or inactive - of each Note in this browse is displayed in this field.

Modifying a Filter or Note List

GSelector has a feature to remind you when you are working with a changed Filter or Saved List. This gives you the option to use the changed Filter or List temporarily in this editing session, or to save the edited Filter as a new permanent Filter (see notes here ) . Modifications to an existing Filter or Note List - changing the Filter request, re-filtering the Note List or deleting items in the Note List - changes the name. Any changed Filter or Note List is available for the duration of the current session. To reset the Filter or Note List to its original value, click the Reset button, or exit the window, or GSelector completely without saving any changes.

Selecting and excluding Criteria in the Notes filter pane

In either filter tab, select from the list of Attributes or Titles by clicking the Icon for the item in the list for that tab. All selected Notes Attribute or Title will be displayed in the results pane. You can click multiple items in each tab to display Notes with multiple Attributes or Titles values. This lets you display combinations of Attributes or Titles by using the And-Or (see notes here ) radio buttons in the Titles tab.

Selected and Excluded totals

When one or more Attributes are selected or excluded in the Browse, GSelector displays the selected and unselected totals for each Attribute.

Selecting Notes in the Results Browse

When you apply any criterion in any of the Filter tabs, you are selecting Notes. All Notes that are not selected for display are unselected.

Notes can be also be unselected from display in the Browse Display pane by clicking on the song status field. If the Show unselected checkbox is unchecked when you click the song status field, the Notes are removed from display.

Check the Show Unselected box to display all Notes that are unselected in the Browse Display pane, and if necessary, to change their status again. The caption displays the total of unselected and selected Notes. If Notes are unselected from the default main Library view, and you check the Show unselected box, these Notes can be displayed along with any Filtered view later on. Selecting and unselecting Notes does not prevent them from being scheduled.

TIP: When saving a list , only selected Notes are saved, whether the unselected Notes are displayed or not.

TIP: This form of selection can be changed to the Standard Windows Selection, where the SHIFT and CTRL keys on the keyboard or used for multiple selection, by changing the Library Browse Selection Mode in the Setup | Features | Miscellaneous tab.

Topic Overview: Notes Browse window


Notes Window

Notes can be used across your entire GSelector Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. . Like Songs, the same Note can be active in multiple Stations. Notes are used to store and display extra information about Songs or Links. Notes are very flexible and can be used for a number of purposes, like specific instructions to the presenter, supplementary information, and so on. Notes are scheduled by being associated with one or more Songs, Links, or Song and Link Attributes . Notes can be date-sensitive, only appearing at specified times. Notes can be printed out on a Log or displayed on-screen in a studio playout system.

The Notes window works in a similar way to the Song and Link windows. You can open the window to view one or more browsed Notes from the Notes Brows window, and create, edit, and delete Notes. You can also access a Notes window directly from the Song or Link window Notes tab.

Accessing the Notes window

Features in the Notes window

Working in the Notes window

Toolbar Functions

Editing Notes

Accessing the Notes window

Click the Notes section tab in the top Navigation bar, and then the Note tab; the default view in this tab is the Main Notes window; click the other tab for the Multi-Station Notes Window. You can also access a Browse of Notes from the Notes Browse window , by clicking any search result in the Browse pane.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Notes window

Features in the Notes window

Toolbar Functions

Title Field

Live Checkbox

Schedule Options pane

Run Dates

Anniversary Dates and window

Special settings field

Associations Pane

Find (CTRL+F)

Active Checkbox

Notes Packet field

Hour Restrictions tab

Note History tab

1/4 hr plot

Flyover Tooltip

Change History tab

Script pane tab

Toolbar Functions

Along with the usual Save , Add , Cancel , and Delete functions, the toolbar buttons allow you to view a succession of Notes in a browsed list , by clicking the navigation buttons, and let you specify Note or Note Packet History to display in the History pane. Once added, Notes can be edited directly in the Note window.

Title Field

This field displays the Note Title. When adding a Note, you start by working in the Add Note window to add a new Note Title. When editing a Note Title, you work directly in this field.

NOTE: You can have multiple instances of the same Note Title in each Station.

Live Checkbox

Check this box when using a Script that is intended to be a "live read." The checkbox is only enabled when you enter text in the Script pane. If the checkbox is selected and you delete the Script text, the selection is cleared when you save your changes. This feature is designed for use with Zetta Zetta is the a RCS automation and audio playout system. , but can also be used with other suitably configured systems.

Schedule Options

Run Dates

Notes can be Time Sensitive. You can call for both a Start and a End Date and Time. If you specify both Start and End Dates and Times, the Run Date period will wrap around midnight. See Using Run Dates for more information.

Anniversary date and Anniversary window fields

These fields are used to schedule Notes around an Anniversary Date that you specify in the Anniversary field. Notes will only schedule on this date, and for the number of days on either side of this date that you specify in the Anniversary window field. See Using Anniversary Dates for more information.

Special settings field

This dropdown field controls Note scheduling in conjunction with the defined Association in the Associations pane. There are three options:
Mandatory: the Note is always scheduled where an associated program element, defined in the Associations pane, is scheduled.
Hold: the Note is not scheduled. It is used for informational purposes only.
None: this setting is used where several Notes are associated with a program element. In this case, all the associated Notes are rotated.

Associations Pane

Once a Note has been Added , you can create Associations for that note. Notes can be associated for scheduling purposes with any Song, and Link, or any Song or Link Attribute, so that when that Song, Link, or Song or Link Attribute is scheduled, the associated Note is scheduled as well. You can edit existing Note associations at any time in the Note Association window , which is opened from the Note Window. See the Note Association window topic for more information on working with Associations.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in the Associations pane for this window.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Active Checkbox

Notes can be Active or Inactive, like Songs. When this box is checked, a Note is available to schedule in the current Station. See Activating Notes in this topic.

Notes Packet field

Notes can be grouped into Packets. Typically, multiple Notes can be placed into one packet, and will then rotate whenever an associated item is scheduled. Select an existing Packet from the drop-down field, or click the more information button to open the Packet Management window.

Hour Restrictions tab

The Hour Restrictions Tab shares space with the History and Change History tabs. The Hour Restrictions tab is the default display option. Click the Hour Restrictions tab to access the Hour Restriction grid, where you can assign an existing Hour Grid to the selected Note or use the import button to Import an Hour Grid from another station within the database. Where no Hour Grids is assigned, the hours of the week grid is blank; where an Hour Grid is assigned from the drop-down arrow in the selection field, the selected grid is displayed in the Tab itself. Hour Restrictions are also displayed in the Note's History Map . In all cases, the name of the Hour Grid, where assigned, is displayed on the tab. As with Hour Restrictions in Songs or Links, you can edit an hour grid directly from this window by clicking the Edit button to access the Hour Restriction Setup pane .

See the Hour Grids topic for details on creating and assigning Hour Grids, as well as the working with hour grids notes.

Topic Overview: Notes window

Note History tab

The maps in the History tab, like other History Maps in GSelector, display all scheduling instances of the Note, or the Note Packet in the current schedule. You can view the entire active date range using the right Scrollbar. Where an Hour Restriction has been applied, the restricted hours (in the image here, 6a-8a) are marked on the History Map with a dash. See the Hour Restriction section in this topic, and also the Setup Hour Grids topic . Where an associated Song, Note, or Song or Link Attribute is banned, whether implicitly or explicitly for specific hours, those hours are also marked the same way. This History Map, like the other History Maps in GSelector, is automatically updated whenever you make a change in the Editor. For information on working with the Note Packet History, see the Viewing Packet History notes in the Packets topic.

TIP: As with all History maps, you can select any hour in the History Map and jump to that hour in the Editor by double-clicking.

1/4 hr plot

By enabling the Advanced History Map Options in the Setup | Station | Features | History tab, the user has the option to use the 1/4 hr plot check box. Each cell in the History Map is divided into four invisible, vertical quadrants. These represent, from left to right, the first, second, third and fourth quarter hour of the hour. Using the 1/4 hr plot option will replace the X with the vertical plot line positioned in the appropriate cell quadrant to denote the notes scheduled position within the hour. There is also an On Air button in every History Map found in GSelector. When clicking the On Air button in the History Map, the map will jump to the date and hour containing an Airtime less than or equal to the system time or, when integrated with Zetta or Master Control, the map will jump to the data and hour containing the most recent Played status.

Flyover Tooltip

Using the mouse to hover over any of the plots in the History Pane, in either the Standard or Advanced mode, will display details about the Note scheduled.

Change History tab

This tab window keeps track of key dates for each Note:
The date and time each Note is Added to the GSelector Database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. ;
The date and time each Note is Activated for the Station you are working in;
The date and time the note was last Edited, anywhere in the GSelector Database.
You cannot edit these fields; they are automatically updated by GSelector.

Script pane tab

The Script Pane allows you to enter (or copy and paste from your text editor) any Text you wish to display in the printed Log or your on-screen playout system. The pane has full text formatting options. You can select any supported font, increase or decrease the font size (note that these are expressed in html font size increments), display text in italics, bold or underlined, and apply color . You can also add numbering or bullets, center your text, right-, left- or parallel justify your text , add Hyperlinks for web radio GSelector applications, and increase or reduce indentation. This information can then be displayed on-screen when the Note is scheduled with its associated item.

NOTE: When using the Live Checkbox option, script has to be present in this pane.

Using Script Content in Reports

When generating a Schedule Report, the Reports Columns and Groups windows allow you to use a special field - Note Title Script - which will display Note Title and any Script content - exactly as designed in the Script Pane. Such a Schedule report will then display this information for any Note associated with a Song or Link in the schedule, providing the dates in the Note Run field match the Schedule Report period, and there are no Hour Restrictions.

Topic Overview: Notes window

Working in the Note window

Note window toolbar functions

Add a Note

New Note Window

Delete a Note

Viewing and Navigating a Browse list

Save changes

Cancel changes

Editing Notes

Setting Note Run Dates and Times

Using Anniversary Dates

Activating Notes

Working with Packets

Working with Hour Restriction Grids

Note Association window

Adding or Editing Text

Inserting a Hyperlink into Text

Using Script Content in Reports

Using Run Dates and Times

Navigating in a List

The navigation buttons at the left of the Note window toolbar allow you to move through a browse list of Notes. You can move forward or backwards one Note at a time, or jump to the beginning or end of the browse. The Note counter pane in the toolbar updates as you move through the list.

TIP: You can open a browse list of Notes from several areas in GSelector. See the accessing section in this topic for more details. Once you have viewed the list, you can click the Back Navigation button to get back to the original window.

Save Note Changes

The Save and Cancel toolbar buttons are activated when you edit any field in the Note window. To save your changes, click the Save toolbar button.

If you do not save your changes, you will be prompted to save them and optionally to enable Auto-Save when you leave the current Note window. You can enable Auto Save in the Station - Features window, by checking the Enable Auto-Save box. When you enable AutoSave after working in the Song, Link or Notes window, you enable it for all three elements.

Cancel Note Changes

The Save and Cancel toolbar buttons are activated when you edit any field in the Note window. To cancel your changes, click the Cancel button. This will return the window to where it was when it was last saved. If you do not save your changes, you will be prompted to save them when you leave the current Note window.

Add Note Window

TIP: You can also add a Note from the Song or Link Notes tab windows . However, in these windows, you are limited to creating Note Associations with just the Attributes and Participants for that Song or Link, and you cannot apply Date restrictions .

  1. From any Note window, click the Add [image] button in the toolbar to open the Add Note window.

  2. Enter a title for the new Note. You can have more than one Note with the same title.
  3. Choose whether the Note is Active An Active item - a Song, Link or Note - is available to schedule in the current station. or Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. by accepting the default checked setting or unchecking the Active box. You can activate, deactivate and reactivate Notes using the Active checkbox in the main Note window at any time.
  4. Click OK or click Cancel to close this window and abort the Note Add process.
  5. This window closes, and the Note Title is displayed in the Note window, ready to be assigned optional Run Dates and Association settings.

NOTE: GSelector will not allow you to create Notes for any station with the same title. Notes with the same title can exist on different stations. However, if you have created a note in one station which shares the same title with a Note in another station, GSelector will not allow you to export that note to the target Station.

Delete a Note

  1. In the Note window, for the selected Note, click the Delete [image] button in the toolbar.
  2. You will be prompted to confirm your action.
  3. When you delete a Note you delete it from the station you are working in and from the entire library. If you do not want to delete the Note, but instead want to remove it from scheduling, click the Active checkbox (see the deactivate notes) .

Using Anniversary Dates

  1. Enter a Date in the Anniversary Date (see notes here ) field for the selected Note.
  2. Specify the number of days that the Note can be scheduled on either side of the Anniversary Date, in the Anniversary Window field.
  3. The Note will only be scheduled on the permitted Anniversary Date and the number of Days set on either side.

Activating Notes

Notes can be Active An Active item - a Song, Link or Note - is available to schedule in the current station. or Inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. . That is, they are available to schedule or not available to schedule. You can change a Note's status at any time by checking or unchecking this box. When you Add a Note , you can specify Active or Inactive in the Add Note Window .

Inserting a Hyperlink or other item into Note Script text

  1. In the selected Note window, enter or copy text in the script pane.
  2. To enter a Hyperlink, place the cursor in the text at the desired position.
  3. Click the Hyperlink [image] button in the Script pane toolbar to open the Hyperlink window.

  4. Enter the required web address and confirm by clicking OK.
  5. The Hyperlink is entered into your text for the script.

Using Run Dates and Times

  1. First check the Start Time and End Time boxes.
  2. This activates the Run Dates fields. When activated, the default setting is the system Date and Time to the nearest hour.
  3. Enter Start and End Dates.
  4. Enter Start and End Times.
  5. You can optionally specify an 'open-ended' Note by leaving the End Time Box unchecked.
  6. A Note that does not have a Start Time and Date is available for scheduling immediately, and will run until its End Time.
  7. Leave both boxes unchecked for a permanently available Note.

Topic Overview: Notes window


Multi-Station Notes Window

This Note window tab allows any Note to be activated or deactivated , and to be assigned or reassigned to a different Category in any station, no matter what station is currently selected. Just as with the Song and Link windows, a browsed list of Notes can be accessed, Note by Note in turn, for activation in any station.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Notes tab, then the Browse window to access the desired Note or Notes. Then in any Note window, click the Multi-Station tab to access a window similar to this illustration.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Multi-Station Notes window

Features in this window

Toolbar

Title

Station List

Active Checkbox

Copy Attributes From

Toolbar

The Multi-Station Note window shares the same toolbar with the Note window tab. For details, see the Note Window topic toolbar notes.

Title

Title information for the selected Note is displayed next to the toolbar.

Station List

All Stations in the GSelector database are listed here. Select a station to edit active status for this Note.

Active Checkbox

For any station, check or uncheck this box to activate or deactivate the selected Note.

Copy Attributes from

For any station, click the drop down arrow to see a list of Stations from which to copy Attributes over to the Note in the target station. The field will list all potential target stations as well as a <none> option.

NOTE: Values are only copied if there a matching Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. in the target station. Dayparts, Hour Restrictions and Packets are matched on their names, and Categories on their short names. If a name does not exist in the selected target station or stations, the value will not be copied, and existing target station data will be preserved. Daypart Shifts and Bans will be copied to matching Daypart names in the target station.

Topic Overview: Multi-Station Notes window

Working in this window

Activating or Deactivating a Note

Working with a browsed list of Notes

Activating or Deactivating a Note
  1. Select the Note, and click the Multi-station tab.
  2. Select a Station in the station list.
  3. Check or uncheck the box to activate or deactivate the Note for the selected station.
  4. When a Note is activated, the default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. (or where there is no default category, the Category at the top of the Categories list in the Goals Categories window) is assigned in the Category field.

Working with a browsed list of Notes

The navigation buttons at the left of the Note window toolbar allow you to move through a browsed list of Notes. You can move forward or backwards by one Note, or jump to the beginning or end of the browse. The Note counter pane in the toolbar updates as you move through the list. Each Note can be modified for as many stations as you require; however, you will also need to save your changes before jumping to the next Note.

Topic Overview: Multi-Station Notes window


New Note Association window

Notes are stored in the GSelector database independently of Songs or Links, and can be associated with any Song or Link in any Station. The New Note Association window allows you to define a new Association for an existing Note. Note Associations are a very powerful tool. A Note can be associated not just with a Song or Artist, but with Links, and with any Song or Link attribute. So you can associate a Note so that it will schedule with, for example, songs of a specific Genre, or Research Attributes, or with Themed Songs.

TIP: You can edit or add associations to an existing Song or Link, working in the Song or Link Notes tab window. However, you are limited to associating active Notes to one Song or Link and you can only define associations with the attributes applied to that Song or Link.

Accessing this window

Features in this window

Working in this window

Accessing this window

From the Notes window , click the Add button in the Associations pane at bottom left to open a window similar to this illustration.

Click any Area in the image for help

Click any Area in the image for help

Topic Overview: New Note Association window

Features in this window

Find (CTRL+F)
Existing Associations list pane
Song or Link selection
Attributes list pane
Add-Remove buttons

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in both panes simply click the pane and press CTRL+F to open the find option.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Existing Associations list pane

All existing Note Associations for the selected Note are listed in this pane. The pane will show the Attribute and value that has been associated with the Note in this station.

Song or Link selection

A Note can be associated with Songs, Links, or both. Select Song or Link from the dropdown box to display Song or Link Attributes in the available Attributes list.

Available Attributes list pane

This pane displays available Attributes for either Songs or Links. First select Songs or Links to display in the Song or Link selection box . A scrollable list of Song or Link Attributes for the Song or Link is displayed. Each Attribute has a Node. Click the Node Icon to expand the Node and see the values for that Attribute. Alternately, double click on the Attribute to expand the node. All Attribute values that have not yet been used in an existing Association are listed. In this image, we show the expanded Link Categories list.
Click the Node button again to close the node.

Add-Remove buttons

The Add and Remove buttons allow you to add or remove Song or Link Attributes to the existing Associations list.

Topic Overview: New Note Association window

Working in this window

Adding a new Association
Selecting Song or Link attributes
Deleting an Association

Adding a new Association

  1. Access this window for the selected Note.
  2. Select Song or Link Attributes in the Song - Link selection box (see Notes here ) ; this will display the relevant Attributes in the available Attributes list .
  3. In the available Attributes list, select an Attribute, and click the [image] node button to expand that node.
  4. Scroll to select the Attribute.
  5. Click the left-pointing Add-Remove button to create a new Association. This is displayed in the Existing Associations pane.
  6. Repeat as necessary to add more Associations.
  7. Finally click OK to close this window.
  8. The new Notes and Associations are displayed in the Notes window Associations pane
  9. Click the Save button in the Notes window main toolbar to save your changes.

Selecting Song or Link attributes

Click the drop-down arrow to display Songs or Links. Select and press enter on your keyboard or left-click.

Deleting an Association

  1. Select the Association to remove in the existing Associations pane .
  2. Click the right-pointing Add-Remove button to remove this Association.
  3. Repeat as necessary to remove more Associations.
  4. Finally click OK to close this window.
  5. The Notes window Associations pane is updated.
  6. Click the Save button in the Notes window main toolbar to save your changes.

Topic Overview: New Note Association window


Linker

The Linker tab in the Navigation bar gives access to a range of Link A non-Song item. Promos, Station Imagers, Trails, and Jingles are all Links. Links are managed in the Linker section of GSelector. Library, Link Goal and Link Analysis tools. This section also gives access to the Related Links, Reconciliation and Traffic windows.

Follow these links for more information on the main Linker section windows

Link Browse

Link window

Link Goals

Link Analysis

Related Links

Reconciliation

Traffic


Link Attributes

Link Attributes describe or qualify links. An Attribute is simply something that is to do with the link. Attributes are applied globally, across the entire database The global database, which holds all the Songs, Links and Notes used in every Station; Songs Links and Notes can be shared by Station Databases. GSelector supports multiple global Databases. and as Station attributes at Station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. level. Attributes can be used with Filters , Spread Goals, Shifts A change in demand; also used as a field in Goals Balance and Link and Song Categories windows to display demand shifts., Dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks., and Segue Bans.

There are several different kinds of Attributes:

Descriptive Attributes are used to separate links from other links in scheduling. When assigning Descriptive Attributes, you work in the link coding window, opened for any link. You choose in this window whether to create an Attribute to be used just for this station, or for all stations.
Descriptive Attributes used at Global level are listed and described here.
Descriptive Attributes used at Station level are listed and described here.

History Attributes are automatically applied when the Link is added, or changes Category, or is edited.
History Attributes are listed and described here.

Global/Station Link Attributes - These attributes can be either Global or Station attributes

Global attributes

Station attributes

Using Attributes

Spreading by Attribute

Clock Attribute Goals

Renaming Attributes

Fallback Attributes

How are Attributes used?

Attributes are used to separate by Category, or by a defined value - for example, Mood or Sound Code values - using Spread Goals; Attributes are also used to prevent two Links or Links and Songs with specific Attributes from playing next to each other, using the Segue Ban A Segue Ban prevents or controls segues between two songs or sweeps of three songs by selected attributes or participants. goal. In addition, when defining Goals, Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. are used to define Goals. See the Participants notes for full details.

NOTE: Attribute and Participant Spread and Segue Ban Goals only work when they are appropriately assigned to songs/links and when their goals are activated in the Goal Priorities window.

Goals: Spreading by Attributes and Attribute Segue Bans

When you use a Goal in the Priorities window to spread by any Attribute, GSelector will try to achieve maximum separation of all Links, Songs, Songs and links or links and songs with that Attribute or Attribute code. When you implement a Segue Ban A Segue Ban prevents or controls segues between two songs or sweeps of three songs by selected attributes or participants. between songs/links with Attributes, GSelector will try to prevent segues between songs/links with the Attribute or Attribute code you specify.

While you may wish to fully exploit GSelector to better describe your link library and so develop a powerful programming tool, we do not recommend setting too many Goals at first. When first starting out with GSelector, we suggest you work with some basic Goals, and only add further Goals when you need to refine your schedule.

Default Fixed spread Goals

GSelector spreads by default Goals. These are normally fixed in the Priorities Goals window. While these goals are fixed, they can be given a low priority if you wish. Most programmers however, choose to place a high priority for these goals. For details on setting priorities for your goals, see the Priorities window notes.

Using Attributes in Clock Goals

Four Attributes - Mood , Energy , Tempo and Opener - can be used as position-specific Goals in any Clock. See the Clock Goals for more information. Attributes and Attribute Values can also be specified in Clock Constraints - this allows you to call for or avoid Links with specific Attributes and Attribute values.

Fallback Attributes

A Fallback Attribute is an attribute that GSelector can fallback to if the normal attribute scores too low to be scheduled. For Example: A Link is normally genre “A” but could be treated as genre “B” in a scheduling pinch because of the fallback attribute. If the Attribute Fallback Score Threshold is set to 65 in Link Goals | Priorities. The Scheduler will treat the link as “A” unless the link scores below 65, then it will treat the link as “B” and test it again. Fallback Attributes can be defined in the Attributes tab of the Setup | Station | Features window. When an attribute is selected in the Fallback Attributes pane additional columns to assign these attributes will be available in the song and link windows. Use the drop-down in the Fallback column to assign a fallback attribute. Fallback Attributes can be added to the system using the Link Coding window or Station Attributes window.

Topic Overview: Link Attributes

Global/Station Attributes

These attributes can be defined globally or on a station-specific basis. These Attributes are designated as Global or Station based on the settings in the Attributes tab of the Setup | Station | Features tab. If the attribute type is set to Station, then the attribute can be set for the link in the Station Attributes window for the station. If the attribute type is set to Global, use the Link Coding window to set a Global attribute for the link. Using the following attributes, Segue Bans can be created to prevent two Links, two Songs or Links and Songs with specific Attributes from playing next to each other. Use the Priorities window to spread these elements by Attribute.

Artist Group

Content

Era

Genre

Instrument

Theme

Vocal

Artist Group
This Attribute is used to separate or control segues between elements by artists who are part of the same group based on the Segue Ban defined.

Content
This Attribute is used, generally but not exclusively, to indicate that the link is, or is not, part of a Content Library. Where local regulations require stations to feature audio with specific local content, this Attribute can be used to denote such links. Use the Content tab in the Link Goals tab to define the Content Rule Requirement then Apply the Content Rule in the Link Goals | Priorities | Definition tab.

Era
This Attribute is used to separate links by era or time period. You can assign codes to fit your programming goals: some stations with longer time ranges in their library select decades as era Attributes; others use far shorter periods.

Genre
This Attribute is used to separate or control segues between elements by the musical genre. You assign and define the genres to use in all stations.

Instrument
This Attribute is used to separate or control segues between elements by Instrumentation. You assign and define the instruments to use in all stations.

Theme
This Attribute is used to separate or control segues between elements by a general description you define and apply across the entire library. There is no limit to the number of descriptors you can define. Themes can be applied in any way you choose. It's up to you, your imagination and your programming needs.

Vocal
This Attribute is used to separate or control segues between elements by a vocal description you define and apply across the entire library. There is no limit to the number of descriptors you can define. Commonly used descriptors can be 'Male', 'Female', 'Group', and so on.

Topic Overview: Link Attributes

Global Link Attributes

Title

Version

Related Song Artists and Themes

Date Added to the Database

Date Last Edited (anywhere in the Database)

Additional and User-defined attributes

Notes

Automation System association

Date Added (to the global Database)

The date on which a Link was added to any station in the GSelector database. This Attribute is displayed in the Link Window Change History pane, and can be used as a search value in the Browse window . A custom value or range can be entered in the Browse window .

Date Last Edited

The date on which Link details were most recently edited, anywhere in the Database. This Attribute is displayed in the Link Window Change History pane, and can be used as a search value in the Browse window . A custom value or range can be entered in the Browse window.

Automation System

When one or more external Automation Systems have been configured in the NexGen Integration or the Station - Interfaces windows, this Attribute is displayed when Links are associated with an Automation system. Click to open the node to see the Automation System(s). You can then search for Links that have been Synchronized to each system.

Topic Overview: Link Attributes

Station-specific Link Attributes

Category

Packet

Dayparts

Hour Restrictions

Run Dates

Station-specific ID

Active/Inactive status

Energy

Mood

Opener

Tempo

Texture

Sound Codes

Link History Attributes

Date Entered Category

Date Edited on this Station

Date Activated on this Station

Link Category and Category Groups

Links can be in different Categories and Category Groups on different stations.

Link Packet

This Attribute is used to group Links together by any association the user may choose to define. A packet name is added to Link Packet fields . The association is then used to spread Links so that they do not schedule close to each other. Packeted Links can exist in different Categories and Category Goals. For more details, see the Packets notes . Songs and Links can have Packets with the same name, but they cannot share the same packet.

Link Dayparts

Settings in the Link Dayparts pane can be varied between Stations. Dayparts are Station specific.

Link Hour Restrictions

Settings in the Hour Restrictions are Station-specific, as are Hour Restrictions.

Station-specific ID

This field is exposed for Songs and Links when you check the Station Specific ID checkbox in the Setup section Station - Features window.

Active/Inactive status

The Link window Active checkbox can be set individually for Links in each Station.

Link Energy

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to separate or control segues between Links according to the Energy of a Link. Energy can be used with Mood, or instead of Mood; it's up to the user. Energy levels are on a scale of from 1 to 5; the value for the Link is set in the Energy field in the Link window. The Energy scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Energy Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Link with no assigned Energy value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such Link. For best results, we strongly suggest that when using the Clock Energy Goal with Links, all Links are accurately coded for the selected Attribute.

Mood

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to separate or control segues between Links by a mood description you define and apply across the entire library. The Mood scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Mood Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Link with no assigned Mood value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such Link. For best results, we strongly suggest that when using the Clock Mood Goal, all Links are accurately coded for the selected Attribute.

Opener

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to specify whether a Link can be used as an Opener. This setting uses a scale of 1 to 5; the value for the Link is set in the Opener field in the Link window. While the scale can be used in different ways, many users code 'neutral' songs using a value of 3 and the center point of the scale, using 4 and 5 to indicate good and strongest openers, and 2 and 1 as weak and very weak openers. The Opener scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Opener Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Link with no assigned Opener value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such Link. For best results, we strongly suggest that when using the Clock Opener Goal, all Links are accurately coded for the selected Attribute.

Tempo

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to separate or control segues between Links according to the Tempo of two adjacent Links. Each Link has two tempo values. A segue is allowed or banned between the closing Tempo level and the opening Tempo level of the outgoing and following Links respectively. Tempo values are on a scale of from 1 to 5; the values are set in the Tempo fields in the Link window. The Tempo scale values of 1 to 5 can be renamed to suit your requirements for each station in the Setup Station - General window. These scalar values can be displayed graphically in the Browse Lists using the Tempo Graph column.

TIP: This attribute can be used when setting a position-specific goal in Clocks. See the Clock Goals topic for details. GSelector will automatically treat any Link with no assigned Tempo value as having a value of 3 - the halfway mark in the scale of 1 to 5. Because this value is in the middle of the scale, it has the least chance of being acted on by the Clock Goal. Without this, you might not get the results you would expect for any such Link. For best results, we strongly suggest that when using the Clock Tempo Goal, all Links are accurately coded for the selected Attribute.

Link Texture

This scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. attribute is used to separate or control segues between Links, or between Links and Songs according to the Texture of the Song or Link. Texture can represent the 'thickness' of the Link or Song sound. Texture levels are on a scale of from 1 to 5; for each Link, the value is set in the Link window Texture field. The Texture scale values of 1 to 5 can be renamed for any station in the Station - General window. The codes you define are used for both Songs and Links. These scalar values can be displayed graphically in the Browse Lists using the Texture Graph columns.

TIP: If you use Texture in Songs and Links, be sure to define Segue Bans for Songs and Links. In Linker Goals Segue Bans, you can specify Segue Bans from Link to Link, and between Songs and Links, and Links and Songs. See also the notes on using Texture in the Link window topic.

Link Sound Code

This Attribute is used to separate or control segues by descriptive sound codes that you define and apply. Link Sound Codes are defined in the Station Attributes window, accessed from the Link window.

Topic Overview: Link Attributes

Station-specific Link History Attributes

Link History Attributes are automatically applied when the Link is added, or changes Category or status, or is edited.

Date Entered Category

Date Link Activated on this Station

Date Link Edited on this Station

See also the notes for these Global History Attributes

Date Link Added

Date Link Last Edited

Date Entered Category

The date on which a Link was added to its current Category. This Attribute is displayed in the Link Window Change History pane, and can be used as a search value in the Browse window . A custom value or range can be entered in the Browse window .

Date Link Activated for this Station

The most recent date on which this Link was activated on this Station. This Attribute is displayed in the Link Window Change History pane, and can be used as a search value in the Browse window . A custom value or range can be entered in the Browse window .

Date Link last Edited on this Station

The date on which Link details were most recently edited on this station. This Attribute is displayed in the Link Window Change History pane, and can be used as a search value in the Browse window . A custom value or range can be entered in the Browse window .

Topic Overview: Link Attributes


Add Link window

The Add Link window is accessed from the Link window to add a new Link. It allows the user to add Media ID The Media ID field in Song and Link windows is used to identify a Song or Link, often in conjunction with a Playout system database. values, Title and Category information when defining a new Link.

Accessing

Features

Working in this window

Accessing

Click the Linker tab, and then the Link tab. In the Link window, click the toolbar Add [image] Button, to open the Add Link window. Optionally, select the Add Link button from the Link Library Browse window.

Click any area for help

Topic Overview: Add Link window

Features

Media ID

Unique Media ID

Media ID field when working with NexGen

Title field

Runtime field

Version

Category field

Stopset

Media ID

This field allows you to specify an ID value for this Link. The field can accept any value, but can be specified as Unique and can be Alphanumeric or Numeric, according to the settings you call for in the Setup section Station - Media ID window. The field is also used when working with external playout systems. When GSelector is integrated with Zetta the Media ID will match up to the External ID found in Zetta for the link asset.

NOTE: Leading and Trailing spaces will not be saved to the Media ID. If you enter any leading or trailing spaces in this field a message will be displayed warning that the spaces will be removed.

Unique Media ID

If Media ID is set to be unique in the Link tab of the Global Setting | Media IDs window the Media ID entered must be unique. If a Media ID is entered that matches the media ID of another Link, a Media ID Error will occur when the user clicks OK and a Media ID Error window will be shown.

GSelector will suggest the next available Media ID and allow the user to click Yes to accept the ID, No to return to the Edit Link window or Cancel returning to the window (Link Browse or Link Window) where the Add Link button was clicked.

Media ID field when working with NexGen

A secondary NexGen-associated field is used when GSelector is interfaced with NexGen. This field is the NexGen Cut field. When entering Link details, you can enter any three digit numerical value in this field, or leave it at its default value of 000. When the GSelector Link entry is then synchronized with NexGen, this value will be overwritten by the synchronization process. The two Media ID fields are then permanently assigned to the Link. For more details, see the notes in the Exporting to NexGen topic. See also the notes on Adding Links in the Adding Songs and Links using NexGen topic.

Title

In the Add Link window, the Title field is mandatory - that is, you will not be allowed to save information in the Link window unless you have entered information in this field.

Runtime

This numeric field allows entry of the Link duration in minutes and seconds. Like the ID field, information in this field is common and shared across all stations.

NOTE: Durations in the Runtime field can be entered in two ways: by typing a value such as 4:23, or by simply typing 423.

Version

The Version field is used when working with two or more different mixes or versions of the same link, allowing the user to differentiate between the versions of the link.

Category

The Category field displays the Default Category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. where this has been assigned in the Categories window. Where no Default Category has been specified, the field displays Inactive. You can select any defined Category by clicking the drop-down arrow.

Stopset Checkbox

Check this box to mark the Link as a Stopset A broadcast event which significantly interrupts the flow of the music, generally an event lasting at least a minute. Speech items, News headlines, and Commercial Sports are generally Stopsets.. If the Stopset box is checked, then Segue Bans will be ignored across this Link.

Working in this window

  1. Where required, enter a Media ID field. Where GSelector is configured with some play out systems, different settings may apply to the Media ID field.
  2. Enter the Link Title.
  3. Select the Link Category from the drop-down field. Note: A Category must be created before assigning it to a Link.
  4. Then click OK to open a new Link window displaying the Link with a Media ID field, new Title and selected Category.
  5. Continue to add details (Timing, Sound Codes, Texture, Daypart balance) as required in the Link window.

Topic Overview: Add Link window


Link window Additional Information

Link window Additional Information fields

This Linker window can store additional copyright and catalog information, globally assigned User-Defined information, Song Segments where music is used as part of the Link, and where this information is needed for Association Reports (see notes here ). The User-defined information fields can be used as Attributes in filters , spread goals , dayparts A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. , and segue bans . A User-defined field is one which does not already exist in GSelector. Information in these fields is not used for scheduling or Goals, but Links can be browsed by User-defined fields, Reports can be generated, and Browse formats designed using User-defined fields. You can name or rename any User-Defined field in the Options window: User-Defined Fields window. User-defined fields are common to Songs and Links; once defined in any station they are applied to all stations.

Accessing this window

Features in this window

Working in this window

Accessing

Click the Linker tab, then the Link tab, select a Link, and finally click the Additional tab. This image is reduced in size to better fit in the help window.

Click any area in the window for help

Click any area in the window for help

Topic Overview: Link Additional Information window

Features in this window

Browse Navigation keys

Toolbar

Details Pane

User Defined fields pane

Song Segments

Browse Navigation keys

If you have accessed this window from a browse of Links, you can navigate through the browse list using the arrow keys. The number of Links in the browse and the place the current Link holds in this list are displayed. This information automatically updates as you click through the browse.

Link Details

As you click through the browse, the Media ID, Category and Title is displayed next to the toolbar.

NOTE: If you click to another Link having made changes in and Link window tab, you are prompted to save or discard those changes before moving to the next Link.

Link window Toolbar

The toolbar is common to all Link window tabs. See the detailed notes here.

Details pane

These fields are used to store catalog information. In this pane, you can enter Publisher, Label, ISRC number, Record Number, Promoter, Country, License, Association, and Prefix and Suffix catalog number information. Auto-Complete This optional feature suggests a completed spelling for the text field entry you are typing. To accept it, press Enter; to ignore the suggestion, continue typing. Switch the feature on or off by typing Shift +F1 is enabled. Not all fields are compulsory for all territories. For further information, consult your local RCS office.

TIP: Information stored in these fields can be displayed in formats used in the Editor window , the Consideration window , and the Link Browse window . For details, see the notes on designing and assigning Browse formats

User-Defined Fields pane

You may optionally add information in the ten fields provided here. These fields are common to Songs and Links. That is, if you name a User-Defined field for a Song, it will also be so named for Links. You cannot, when naming fields, assign the same name to more than one field. Auto-Complete This optional feature suggests a completed spelling for the text field entry you are typing. To accept it, press Enter; to ignore the suggestion, continue typing. Switch the feature on or off by typing Shift +F1 is enabled for all user-defined fields

TIP: Information stored in these fields can be displayed in formats used in the Editor window , the Consideration window , and the Song Browse and Link Browse windows. For details, see the notes on designing and assigning Browse formats

Topic Overview: Link Additional Information window

Working in this window

Naming User-Defined fields

Song Segments

Naming User-defined fields
  1. From the Menu, select Tools, then Options to open the Options window.
  2. Click the User-Defined tab to access the Options window: User-Defined fields (see notes here).
  3. Enter a name for any User-Named field, and click OK.
  4. The newly assigned Name will be displayed for this field for both Songs and Links.

Song Segments pane

This pane allows the user to add timed Segments of Songs to any Link. Songs are accessed using the Add Segment window, which allows the user to select any active song in the Station library. Local copyright laws can oblige a station to make association reports covering music used in Links. See the notes in the Association Reports section for more details. See the Song Segments notes for full details.

Topic Overview: Link Additional Information window


Edit Link window

The Edit Link window is accessed from the associated Link window. It allows the user to modify Title information for existing Links and Media ID information under certain conditions.

NOTE: When GSelector is integrated with NexGen, the Media ID field is not available to edit, so this field is not displayed.

Accessing this window

Working in this window

Accessing this window

In the selected Link window, click the toolbar Edit [image] Button, to open the Edit Link window. Alternately, double-click the Link Information pane. The Edit Link window opens with Media ID, Title Runtime, Version and Stopset information for the selected Link. The Media ID can be edited when interfaced with NexGen or Zetta.

Topic Overview: Edit Link

Working in this window

  1. Browse a Link or set of Links in the Link Browse window.
  2. Then click the Edit button in the Toolbar. Alternatively, click the Link Information pane.
  3. This opens the Edit Link window.
  4. Enter a new Media ID, Title, Runtime, Version or select the Stopset checkbox
  5. Click OK.

See the notes on editing IDs with NexGen integration.

Unique Media ID

If Media ID is set to be unique in the Link tab of the Global Setting | Media IDs window the Media ID entered must be unique. If a Media ID is entered that matches the media ID of another Link, a Media ID Error will occur when the user clicks OK and a Media ID Error window will be shown.

GSelector will suggest the next available Media ID and allow the user to click Yes to accept the ID, No to return to the Edit Link window or Cancel returning to the Link window.

Media ID field when working with NexGen

For NexGen Users only: a secondary NexGen-associated field is used when GSelector is interfaced with NexGen. This field is the NexGen Cut field. When entering Link details, you can enter any three digit numerical value in this field, or leave it at its default value of 000. When the GSelector Link entry is then synchronized with NexGen, this value will be overwritten by the synchronization process. The two Media ID fields are assigned to the Link, but can be edited. For more details, see the notes in the Exporting to NexGen topic. See also the notes on Adding Links in the Adding Songs and Links using NexGen topic. When GSelector is integrated with Zetta the Media ID will match up to the External ID found in Zetta for the link asset.

Cloning a Link

This process is often adopted by users who work with multiple versions of a Link. This allows them to quickly copy an existing version of the Link and then update only the applicable fields in the cloned version. Note that you cannot clone Links in Child Stations.

  1. In the Link Browse window, browse to the desired Link, and open the Link window.
  2. In the Link window, click the Clone Link [image] button in the Toolbar.
  3. This opens the Edit Link window in Clone Mode, populated with information from the source Link.
  4. GSelector will not let you save a new Link with an existing Media ID and Title combination. No two Links can have the same Media ID value.
  5. NexGen users have a secondary field appended to the ID field. This is the Cut field. See the Media ID field when configured for NexGen notes.
  6. Click OK to save the Link, and then make changes in the newly cloned Link if required.
  7. The new Link will be active An Active item - a Song, Link or Note - is available to schedule in the current station. in the current station and inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. an all other stations. It will retain History from the original Link.

Topic Overview: Edit Link


Link Coding window

The Link Coding window is an extension of the Link Window and Multi-Link Changer Attributes and Participants grids. It displays and allows editing of Attributes and Participants A Participant is a person who plays a part in the Song: Composers, Producers, Arrangers, Vocalists, Musicians and others are all Participants. You can assign Artist Participants and Song Participants. for the Link in the current link window or the browsed Link List. From here, you can add, edit and remove Attributes and Participants for Links. Attributes and Participants that are added or edited in this window are added across the full Database, even though they might only be assigned to Links in one Station. This window is also used to add edit and remove Related Song Artists and Related Song Themes.

For a list of Attributes, see the Attributes topic.
For a list of Participants, see the Participants topic.

Accessing Link Coding window Attributes view

Accessing Link Coding window Participants view

Features in the Link Coding windows

Working in the Link Coding windows

Accessing the Link Coding window

Place the mouse pointer in the Link window Attributes tab grid or Participants tab grid and double-click.

Or Click the Edit button at top right or the Attributes tab grid or Participants tab grid in the Link window or Multi-Link Changer window. The window opens displaying the tab view accessed. The image in the window illustration below is the Attributes tab view. See here for the Participants tab view.

Click any area in the image for help.

.

Click any area in the image for help.

TIP: You can rapidly jump to any Attribute in a long list by typing the first letter of the Attribute code. See the Hot Key search notes in the Working with Browses topic for more details.

Topic Overview: Link Coding window

Features in the Link Coding windows

Assigned Attributes

Available Attributes

Related Song Artist and Song Theme

Participants tab

Assigned Participants

Available Participants

Participants Search text box

Searching for Participants across all Stations

Display this Station or All Stations

Add

Edit

Delete

Add/Remove buttons

Assigned Attributes

On the left side of this window are the attributes and the attribute value, that have been assigned to a selected link. These can be removed from the link by using the add/remove buttons to the right of the list.

Available Attributes

This is an expanding pane which allows you to select codes and descriptions to assign to the Attributes list. By clicking the Add Attribute [image] button, you can add a heading or code to the Available Attributes. The attributes listed here can be dragged and dropped into the Attributes grid using the mouse. The Add/Remove buttons can also be used to assign attributes.

Related Song Artists and Song Themes

The Related Song Artists and Themes are assigned in the Attributes tab of the Link window and allow the user to associated Song Artists and Song Themes to any Link. Once associated, Artists and Themes are displayed in the Attributes tab in the Link window. The Related Song Artists are pulled from the Artist field of the Song window. The Related Song Themes are pull from Available Theme Attributes created in the Song Coding window that are assigned to a Song. The Related Song Artists and Related Song Themes cannot be edited from this window. See the notes on Specifying attributes and values and Working with Related Songs in the Link window for more on how this works. A Related Artist setting, once implemented, is applied to the Link across the entire database.

Link Coding Participants tab

Click the Participants tab from the Link Coding window Attributes tab view or click the Edit button at top right of Participants tab in the Link Window to access the Participants tab view.

Click any area in the image for help.

Click any area in the image for help.

TIP: You can rapidly jump to any Participant by typing the first letter of the Participant's name.

Assigned Participants

On the left side of the Participant tab are the Participants Role and Name that have been assigned to a selected link. These can be removed from the link by using the add/remove buttons to the right of the list.

Available Participants

The Available Participants pane allows you to select names to assign as Participants. By clicking the Add Participant [image] button, you can add a participant to the Available Participants. See the notes for Creating and Assigning Participants in this topic. The participants listed here can be dragged and dropped into the Participants grid using the mouse. The Add/Remove buttons can also be used to assign attributes.

Participants Search text box

Enter the part or all of the name of a Participant and click the Search button. To view all available participants in the database simply click the search [image] button.

Searching for Participants across all Stations

In many Library databases, the list of potential Participants can often run into the thousands. GSelector automatically displays all Participant names for the current station, when you select the Station radio button. When searching for Participants across all Stations in the Library, select the All Participants radio button, and a Text Search box is activated, in the same way that you search in the Browse window for Inactive songs. Enter all or part of the Artist name in this box, click the search button at right of the text field, and GSelector automatically displays any matches for the string entered here. The Participant can then be selected or edited in the usual way.

Display this Station or All Stations

Select either the Station or the All radio button to show assigned Attributes or Participants for this station, or all Attributes or Participants across the entire Library. Results are shown in the in Available Attributes list or the Available Participants list.

Add

To create a new Participant or Attribute, click to create a Add Attribute or Add Participant [image] button.

Edit

Click the Edit button [image] to change a selected Attribute or Participant. The Related Song Artists and Related Song Themes cannot be edited from this window.

Delete

Click the Delete button [image] to remove a selected Attribute or Participant.

Add/Remove buttons

The add-remove buttons, in the center of the window, move items into and out of the Attribute or Participant grids lists and their associated panes in each view. Click the left-pointing buttons to move the selected Attribute and Participant to assign the selected value. Click the right-pointing buttons remove the selected Attribute or Participant from the assigned grid.

Close button

Click the Close button to close the Link coding window and return to the underlying Link window.

Topic Overview: Link Coding window

Working in the Link Coding windows

Attributes:

Creating and assigning Attributes

Assigning an Existing Attribute

Adding a Related Song Artist or Related Song Theme

Removing a Related Song Artist or Related Song Theme

Deleting Attribute codes

Editing Attribute codes

Participants

Creating and assigning Participants

Assigning an Existing Participant

Deleting Participant names

Editing Participant names

Creating and assigning a New Attribute
  1. In any Link Coding window, click the Attributes tab to view Attributes.
  2. In the Attributes view, click the Add [image] button to open the Create New Attribute window.
  3. Select an Attribute in the left hand field from the drop-down list.
  4. Type in a Name for the code.
  5. Click OK to confirm and close the Create New Attribute window.
  6. The new name value is displayed in the Available Attributes list under its specific Attributes heading and added to the selected Link's Attributes list

TIP: It is very easy to create overlapping names and descriptions for Attributes. Before creating a new Attribute, check the list of Attributes already created by expanding the Available Attributes.

Assigning an existing Attribute
  1. In the Attributes window, click the radio button to view this station's Attributes or all Attributes.
  2. Select an Attribute Header to view all Attribute codes for that Attribute.
  3. Select an Attribute.
  4. Drag and drop the Attribute to the Attributes grid to assign it. Optionally, click the Add to button to assign the Attribute.

Adding a Related Song Artist or Related Song Theme
  1. Select the Link to work in.
  2. Click the edit button in the Attributes tab
  3. Click the All radio button all Attributes.
  4. Double click the Related Song Artist or Related Song Theme Attributes in the Available attributes.
  5. Select an Artist or a Theme from the Available list pane.
  6. Click the left pointing arrow to assign the Song Artist or Theme.
  7. Click the Close button to close the window and return to the underlying Link window.

Removing a Related Song Artist or Related Song Theme
  1. Select the Link to work in.
  2. Click the edit button in the Attributes tab
  3. Select an assigned Artist or Theme from the Assigned list pane.
  4. Click the right pointing arrow to remove the Artist or Theme from the assigned list.
  5. Click the Close button close the window and return to the underlying Link window.

Creating and assigning a new Participant
  1. In the Link Coding window, click the Participant tab to view Participants
  2. In the Participant view, click the Add [image] button to open the Create New Participant window.
  3. Select the Participant Role from the drop-down field
  4. Enter a Name in the name field,
  5. Click OK to confirm and close this window
  6. The Role and the Name are displayed in the Available Participants list and added to the selected Link's Participants list

Assigning an existing Participant
  1. In the Participants tab, click the radio button to view this station's Participants or all Participants.
  2. Select an available Participant.
  3. Drag and Drop the Participant to the Participants grid. Optionally, click the left pointing arrow to assign the Participant.
  4. Click the drop-down arrow in the Role field to select a Participant role.
  5. Click the OK button to confirm the Role for this Participant, and close the window.
  6. The Participant is now displayed in the Assigned Participant grid

TIP: You can edit Participant roles at any time right in the grid. Click the Participant role to display a list of roles.

Deleting an Attribute value or Participant name
  1. In the Link Coding window, select the Attribute or Participant tab.
  2. Then in the right hand Attributes or Participants pane, double click on the Attribute or Participant with the value or name to be removed.
  3. Select the Attribute value or Participant name from the list.
  4. Click the Delete [image] button. The Delete and edit buttons are not available for Related Song Artists or Related Song Theme Attributes.
  5. In the message box, click OK to confirm that you are about to delete this Attribute value or Participant name. This will also remove the Attribute value or Participant name from all other records in this and all other stations in the database.
  6. Click the Close to close the Link Coding window.

NOTE: The process of deleting an Attribute value or Participant name is permanent. Once it has been deleted, it is removed from all Songs/Links to which it has been assigned, and the value or name is removed from the library.

Editing an Attribute code or Participant name
  1. In the Link Coding window, select the Attribute or Participant tab.
  2. Then in the right hand Attributes or Participants pane, double click the Attribute or Participant to edit.
  3. Select the Attribute value or Participant name from the list.
  4. Click the Edit [image] button. The Delete and edit buttons are not available for Related Song Artists or Related Song Theme Attributes.
  5. In the message box, click OK to confirm that you are about to edit this Attribute code or Participant name. This will also change the Attribute value or Participant name in all records where it is used in this and all other stations.
  6. Modify the name or value
  7. Click the Close button to close the Link Coding window.

NOTE: The process of editing an Attribute value or Participant name is permanent. Once it has been changed, the change is applied to all Songs/Links to which it has been assigned.

Topic Overview: Link Coding window


Link window Multi-Station tab

This Link window tab allows any Links to be activated or deactivated, and assigned to a different Category in any station, from any station. Just as with the main Link, Additional Information and Notes windows, window, a browsed list of Links can be accessed, Link by Link in turn, for activation or category assignment in any station.

Accessing this window

Features in this window

Working in this window

See also the notes for the Multi-Station window - Multi Link Changer tab. This window allows you to bulk change a Browsed List of Links.

Accessing this window

Click the Linker tab, then the Link Browse window, then select a Link or a browse of Links.

Or access the Link window from another area in GSelector.

Then from any selected Link window, click the Multi-Station tab to access a window similar to this illustration.

Click any area in the image for help.

Click any area in the image for help.

Topic Overview: Link window Multi-Station tab

Features in this window

Toolbar

Link Details

Station List

Active Checkbox

Category fields

Copy Attributes From

Toolbar

The Link window Multi-Station tab shares the same toolbar with all other Link window tabs. For details, see the Link Window topic toolbar notes.

Link Details

As you click through the browse, the Media ID, Category and Title is displayed next to the toolbar.

Station List

All Stations in the GSelector database, with the exception of a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. , are listed here. Select a station to edit active status and change Category for the current Link .

Active Checkbox

For any station, check or uncheck this box to activate or deactivate the selected Link. When a Link is activated, the default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. (or where there is no default category, the Category at the top of the Categories list in the Goals Categories window) is assigned in the Category field.

Category field

When a Link is activated for the selected Station, click the drop down arrow to view available Categories for that station. Where a Link is active, the current category is displayed. The current Category for the Link in the selected station is indicated with an asterisk.

Copy Attributes from Station

For any selected station, click the drop down arrow to see a list of Stations from which to copy Attributes over to the Link in the target station. The field will list all potential target stations as well as a <none> option.

NOTE: Values are only copied if there a matching Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. in the target station. Dayparts, Hour Restrictions and Packets are matched on their names, and Categories on their short names. If a name does not exist in the selected target station or stations, the value will not be copied, and existing target station data will be preserved. Daypart Shifts and Bans will be copied to matching Daypart names in the target station.

Topic Overview: Link window Multi-Station tab

Working in this window

Activating or Deactivating a Link

Changing a Category

Working with a browsed list of Links

Activating or Deactivating a Link
  1. Select a single Link or a Link in a Browse of Links, and click the Multi-station tab.
  2. Select a Station in the station list.
  3. Check or uncheck the box to activate or deactivate the Link for the selected station.
  4. When a Link is activated, the default category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. (or where there is no default category, the Category at the top of the Categories list in the Goals Categories window) is assigned in the Category field.

Changing a Category
  1. Select a single Link or a Link in a Browse of Links, and click the Multi-station tab.
  2. Select a Station in the station list.
  3. Ensure the Link is active for that station.
  4. Click the drop-down arrow.
  5. Select the Category from the available Categories list for that station.

Working with a browsed list of Links

The navigation buttons at the left of the Link window toolbar allow you to move through a browsed list of Links. You can move forward or backwards by one Link, or jump to the beginning or end of the browse. The Link counter pane in the toolbar updates as you move through the list. Each Link can be modified for as many stations as you require; however, you will also need to save your changes before jumping to the next Link.

TIP: You can open a browse list of Links from several areas in GSelector. Once you have viewed the list, you can click the Back Navigation button to get back to the original window.

NexGen Hold Category

GSelector provides a Hold Categories window to handle Links that are deleted in a NexGen NexGen Digital is one of RCS's flagship automation and audio playout systems. station. The item is placed in the designated Hold Category for its counterpart GSelector station, retaining all play history and station-specific information for the Links, which would otherwise be lost. Links can be assigned to that category in this window. You can also assign Links to the designated Hold Category in GSelector.

Topic Overview: Link window Multi-Station tab


Song Segments

Song Segments Link pane

This pane allows the user to add timed Segments of Songs to any Link. This enables the accurate copyright returns of music used in Promos and trails, etc. See the notes in Association Reports for more information. Links can be retained in GSelector while the Song Segments used in each Link can be updated or edited. Songs are accessed using the Add Segment window, which allows the user to select any active song in the Station library.

The pane contains a toolbar to add, delete edit or reorder Segments, and the list of Segments assigned to this link.

Adding Song Segments
Deleting Song Segments
Editing Song Segments
Adjusting Song Segment sequences

Topic Overview: Song Segments

Adding Song Segments

  1. In the Song Segments Pane of the Link Additional Information window for the selected Link, click the Add Segment button
  2. This opens the Add Song Segment window
  3. Click the dropdown arrow to access a list of Song Titles, or type in the first few letters of the Song Title. The Song Titles in the list are active in the current Station.
  4. Add the duration of the Segment in minutes and seconds.
  5. Click OK to add the Segment to the Song Segment list.
  6. Repeat as required.
  7. Sort into sequential order if desired.
  8. Finally save your changes in the Link window.

Deleting Song Segments

  1. Select a Segment in the song Segment list.
  2. Click the delete button in the toolbar.
  3. Save your changes in the Link window.

Editing Song Segments

  1. In the Song Segments Pane of the Link Additional Information window for the selected Link, click the Edit Segment button
  2. This opens the Edit Song Segment window, similar to the Add Song Segment window.
  3. Change the song and/or the duration details.
  4. Click OK to add the changes to the Song Segment list.
  5. Finally save your changes in the Link window.

Adjusting Song Segment sequences in a Link

1. In the Song Segments Pane of the Link Additional Information window for the selected Link, select a Segment in the Song Segment list.
2. Click the up and down arrows to move the Segment up or down in the list.
3. Repeat with other Segments as required.
4. Finally save your changes in the Link window.

Topic Overview: Song Segments


Multi-Link Changer

This window allows you to simultaneously modify multiple fields in a list of Links. Working in the Link Browse window, you prepare a list of Links to change, then click the Multi-Link Changer tab to access this window.

Changes assigned on the left side of the window are applied globally to the entire database; changes assigned on the right side, under the Station Coding section, of the window are applied at a station-specific level only.

TIP: GSelector offers configurable security access to different areas in the Multi-Link Changer window. See the notes on Security Access in this topic.

Accessing the Changer
Features in this window
Working in this window

Accessing the Multi-Link Changer

1. First work in the Link Browse window, to create a Browse List of Links. See the working in the Link Browse window notes for details.
2. Then click the Multi-Link Changer tab, to access a window similar to this illustration. The window opens to the default Link tab, which shows all the Link window fields that can be changed for the selected Link. Any element can be changed for the selected Links by first selecting that element or code, then entering the desired value. For more details, see the list of attributes and codes here.

To access the Multi-Link changer for the Additional Link window fields, click the Additional tab. A further tab, the Multi-Station tab, allows you to assign Attributes to, and activate Links in this browse list, for any station Station Databases are subsets of the global Database; Songs can be common to several Stations, but their Attributes can be coded differently for each Station database. .

Click any area in this image for help

Click any area in this image for help

Topic Overview: Multi-Link Changer

Features in this window

Selected Links count
Changer Edit Controls
Toolbar
Link tab changer window fields
Additional tab changer window fields
Multi-Station tab changer window fields

Selected Links count

The number of Links in the Browsed list is shown next to the Toolbar buttons. This shows the total number of Links you will be changing in this window. If you have not browsed a list in the Link Browse window, the entire Link library will be available to change.

Changer Edit Controls

You specify changes to your Link list by selecting the fields to change with that field's edit control. Click on the edit control to cycle through the modes. Each control has two or three modes, depending on the field you are editing.

All fields in the changer window that allow editing initially display the changer control in neutral. This means that no changes will be applied to values for that field. The field is inactive in the changer window.

When working with Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. and Child Stations , any Attributes that are set as Inherited in the Parent station are disabled in the Child Station Multi-Station Changer window. This is indicated by a lighter shade of gray. See the notes on Child Stations in the counterpart Multi-Song changer topic.

To select a field, click on that field's edit control to activate and enable it for editing. The changes that you enter in the activated field will be applied to all Links in your Link list.

Some fields allow you to click a second time, to delete or inactivate field information. When you work with a field with a dropdown list, you can also specify that you will delete <all> codes or values from the Links in your Link list.

Toolbar: Saving or Clearing changes and Deleting Browse lists

When you make a setting change to any field, the Save button is activated. Click Save to apply the changes you have called for in this window, or Clear to undo the changes in the window without saving, and Delete to completely delete all Links in the selected browse list.

NOTE: When you first access this window, the Delete button is active, and will allow you to delete the selected Link list from all stations. GSelector will prompt you to deactivate the Link rather than delete, in the usual way. Once an Attribute is selected to add or delete, the Delete button is deactivated, and the Change button is activated.

Link Tab Changer window fields

Version
Stopset
Attributes and Participants Tabs
Media Fields

Media ID
Runtime
Intros
Opening and Ending
Hooks

Early NTP
External

Station Coding
......Active/Inactive status
...... Link Category
...... Packet
...... Hour Restriction
...... Dayparts
...... Run Dates

Miscellaneous

Mood
Energy
Tempo
Opener
Texture Open and Close
Station Attributes

Version

The Version field is used when working with two or more different mixes or versions of the same Link, to differentiate between the two.

Stopset

Click the Edit Control to toggle between Adding or Deleting the Stopset A broadcast event which significantly interrupts the flow of the music, generally an event lasting at least a minute. Speech items, News headlines, and Commercial Sports are generally Stopsets. status of the selected Links.

Attributes and Participants Tabs

These tabs display assigned Global Attributes, Participants and Fallback Attributes. The Attributes grid is the default view; click the Participants tab to view Participants. Both grids operate the same way. Attributes and Participants are defined and assigned in the Link Coding window, accessed by clicking the Edit button. This pane is used to define relationships between the selected Links in this list and Songs by applying Related Song Artist or Related Song Theme associations. When you associate an Artist or a Theme in this window, or remove an association, the change is applied to all Links in the list. See the Changer Edit Controls notes. For full lists of Attributes and Participants, see the Attributes and Participants topics.

TIP: Attribute and Participant details can be used in custom browse formats in the Editor, Consideration window, and Library Browse windows. See the notes on designing and assigning Browse formats.

Media fields

Use the Changer to assign or delete a Media value to all selected Links. Select the field by specifying whether you are adding or deleting data, enter the desired value and click the Change button.

NOTE: These fields, with the Exception of External, are not displayed when GSelector is integrated with NexGen or Zetta. This data is shared with NexGen or Zetta, and the Multi-Link Changer works on GSelector fields only.

Media ID

Runtime

Intros

Opening and Ending

Hooks

Early NTP

External

Media ID

Enter a value in this field to apply a single Media ID to all Links in the selected list, or to enter a specific ID to delete, or to delete all Media IDs. See the Changer Edit Controls notes. This field is not displayed when GSelector is integrated with NexGen or Zetta.

Runtime

Enter a value in this field to apply a single Runtime to all Links in the selected list, or to enter a specific Runtime to delete, or to delete all Runtimes IDs. See the Changer Edit Controls notes. This field is not displayed when GSelector is integrated with NexGen or Zetta.

Intros 1, 2 and 3

Use the Changer to assign the same Intro 1 2 and 3 value to all selected Links, or to remove Intro values from the selected Links. Select the fields by specifying whether you are adding or deleting data,(see the Edit controls notes for details), enter the desired values and click the Change button. These fields are not displayed when GSelector is integrated with NexGen or Zetta.

NOTE: Durations in the Runtime and Intro fields can be entered in two ways: by typing a value such as 4:23, or by simply typing 423. Where a Runtime or Intro is longer than ten minutes, typing 1141 or 11:41 , for example, will enter the same time value in this field.

Opening and Ending

Use the Changer to assign or delete the same Opening and Ending codes to all selected Links. Select the fields by specifying whether you are adding or deleting data, enter the desired values and click the Change button. These fields are not displayed when GSelector is integrated with NexGen or Zetta.

Hook Start and End fields

Use the Changer to assign the same Hook Start and Hook End values to all selected Links, or to remove all Values form these fields in the selected Links. Select the fields by specifying whether you are adding or deleting data, (see the Edit controls notes for details), enter the desired values, and click the Change button. These fields are not displayed when GSelector is integrated with NexGen or Zetta.

Early NTP

Early NTP is the Early Next to Play position in the link. Currently this value has no specific use other than providing information. In the future this may be updated for integration with an automation system.

External

Apply the Changer Control to this field to either assign or remove External Audio status to all selected Links. When a Link has External status assigned, Audio for the Link will be played from outside your assigned sequencer system. This feature was designed for use with Zetta Zetta is the a RCS automation and audio playout system., but can be used with any suitably configured system.

Topic Overview: Multi-Link Changer

Station Coding

Active/Inactive
Link Category
Packet
Hour Restriction
Dayparts
Run Dates

Miscellaneous

Mood
Energy
Tempo
Opener
Texture Open and Close
Station Attributes

Active/Inactive Status

Use the Changer to assign Active or Inactive status to all selected Links. Select the field by specifying whether you are activating or deactivating the Links, (see the Edit Controls notes for details), and click the Change button. When working in the Multi-Link Changer, if an inactive Inactive Songs, Links or Notes are not available to schedule in the current Station. Songs are deactivated in the Song window or the Multi-Song changer; Links in the Link window, and Notes in the Note window. Link is activated, it is assigned the Default Category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. where this exists. Where no Default Category has been assigned, inactive Links are activated to the top Category in the Link Goals Categories window. See also the notes on Deleting or Deactivating Songs/Links.

Link Category

Use the Changer to assign the same Category to all selected Links. Select the field, click the dropdown arrow to select the Category, enter the desired values and click the Change button.

Packet

Use the Changer to assign a single Packet Packets are used to group Songs, Links or Notes together. Songs or Links can be in any Category. When items are Packeted, the rotation is reduced in direct proportion to the items in that Packet. to all selected Links, or remove all Packet information, or a selected Packet, from all selected Links. You can also create a Packet and assign the new Packet to all Links. For details see creating packets in the Packets topic.

To add existing Links to a Packet, select the Packets field, specify that you are adding information (see Edit controls for details), click the dropdown arrow to select a Packet, and finally click the Change button. The new Packet assignment overwrites any existing Packet information for any Link.

To delete Packet information from the Links in the list, toggle to specify that you are removing information, click the dropdown arrow to select the <All> Packets option, or select any Packet in the list, and finally click the Change button.

Hour Restriction

Use the Changer to assign a single Hour Restriction to all selected Links, or remove all Hour Restrictions, or one specific Hour Restriction, from the selected Links. For more on working with Hour Restrictions, see the Hour Restrictions notes.

To add an existing Hour Restriction to the Links in a browse, select the Hour Restriction field, specify that you are adding information (see Edit controls for details), click the drop-down arrow to select an Hour Restriction or use the import button to Import an Hour Grid from another station, and finally click the Change button. The new Hour Restriction assignment overwrites any existing information for any Link in the browsed list.

To delete Packet information from the Links in the list, toggle to specify that you are removing information, click the drop-down arrow to select the <All> option, or select any Hour restriction in the list, and finally click the Change button.

Dayparts

The Dayparts panel shares space with the Run Dates fields. Each section is accessed using a tab. The Dayparts panel is the default view

Use the Changer to specify a Daypart boost or cut to list of Links for any active Daypart. Changes made here will be applied to all Links in the browsed list.
1. To shift demand in any Daypart, toggle the Select Edit control to Add status, then click the buttons up or down , and click the Change button to apply your changes.
2. To block play in any Daypart for all browsed Links, toggle the Select Edit Control to Delete status, and click the Change button to apply your changes.

Run Dates

The Run Dates fields share space with the Dayparts panel. Each section is accessed using a tab. The Dayparts panel is the default view. To access the Run Dates fields click the tab above the Dayparts panel. See the Run Dates notes in the Link window topic for full information.

Use the Changer to add a Start or a End Run Date/Time, or a Run Date/Time range, to a Browsed list of Links, or to Delete all assigned Run Date and Time Ranges from the selected Links.
1. To Add a Start or a End Date and Time in either field to all Links, toggle the Select Edit control for that field to Add status, then specify the Date and Time in the desired field(s).
2. To Delete all Start or End Date and Time information in either field from all Links in the list, toggle the Select Edit control for that field to Delete status. The Date field displays [All].
3. Finally click the Change button to apply your changes.

Miscellaneous

The Miscellaneous tab shares space with the Dayparts and Run Dates tabs. To access the Miscellaneous settings click the tab above the Dayparts panel. See the Miscellaneous tab notes in the Link window topic for full information.

To change the Split Behavior of Multiple Links, click the Edit control to select the Split Behavior field, then choose the desired Split Behavior from the drop-down box.

Mood, Energy, Tempo and Opener

The Mood, Energy, Tempo and Opener fields allow you to delete as well as to specify existing settings. Select the fields by toggling between adding or deleting settings, (see the Edit controls notes for details), select the desired settings in the fields, and click the Change button.

If you select Delete when working in these fields, you are initially prompted to delete All settings in this field for the selected Links.

If you do not intend to delete all the settings, click the drop down arrow and select the setting to delete. Any Links which do not have this setting will not be affected. Click the Change button to make your changes.

Texture Open and Close

The Texture Open and Close fields allow you to delete as well as to specify settings. Select the fields by toggling between adding or deleting settings for these fields, (see the Edit controls notes for details), enter the desired settings in the fields, and click the Change button.

If you select Delete when working in these fields, you are initially prompted to delete All settings in this field for the selected Links. If you do not intend to delete all the settings, click the drop down arrow and select the setting to delete. Any Links which do not have this setting will not be affected.

Click the Change button to make your changes.

Station Attributes

Click the Station Attributes Edit control to select this panel, and to specify whether you are adding or deleting Station Attributes to the selected Links. Then click the Edit button to open the Station Attributes Window, where you can create new Sound Codes or Station specific attributes, edit or delete existing Codes, and select Codes to be added, changed or deleted. Optionally, set a Fallback Attribute from this pane.

Finally, click the Save Changes button to make your changes to the selected Links.

Additional tab Changer window fields

The Multi Link Changer window Additional tab allows you to apply changes to Link window Additional Information fields.

Click any area in this image for help.

Click any area in this image for help.

Publisher, Label, ISRC, Record Number, Promoter, Country, License, Association, Prefix and Suffix fields

Use the Changer to assign or delete the details to selected Links. Select the fields, specify whether to add or delete data, (see the Edit controls notes for details), enter the desired values and click the Save Changes button.

These fields are used to store catalogue information. In this pane, the Publisher, Label, ISRC number, Record Number, Promoter, Country, License, Association, and Prefix and Suffix information can be modified for a to a list of Links simultaneously. Not all fields are compulsory for all territories. For further information, consult the local RCS office.

User-Defined fields 1-10

Use the Changer to assign the same User-defined field values to all selected Links. Select the fields by toggling the Edit Controls for the desired fields to specify whether you are adding a value or deleting All or specific data, enter the desired values and click the Change button.

If you select Delete when working in these fields, you are initially prompted to delete All settings in this field for the selected Links.

Topic Overview: Multi-Link Changer

Working in this window

The Change Process Described
Selecting elements to change
Deleting a Browse list
Multi-Link Changer Window Security Access

The Change Process Described

1. First create or access a Link list in the Link Browse window.
2. Click the Multi-Song Changer tab from any Link window.
3. Select the elements to change by clicking that element's edit control.
4. Enter values or settings as appropriate.
5. Click the Save Changes button to make your changes.
6. When you have added or edited attributes or participants in the Multi-Link changer, click the Link Browse window reset filter button to refresh the attribute or participants lists.

NOTE: While you can select inactive Links in the browse window, any edits that you apply to those Links in the changer will activate them for the station you are working in.

The Changer Edit Controls: selecting elements to change

You specify changes to your Link list by selecting the fields to change with that field's edit control. Click on the edit control to cycle through the modes. Each control has two or three modes, depending on the field you are editing.

All fields in the changer window that allow editing initially display the changer control in neutral. This means that no changes will be applied to values for that field. The field is inactive in the changer window.

When working with Format Parent A Format Parent station provides some or all attributes and settings to a Child Station. The association is configured in the Add or Edit Station windows, which are accessed from the Administration section of GSelector. and Child Stations , any Attributes that are set as Inherited in the Parent station are disabled in the Child Station Multi-Station Changer window. This is indicated by a lighter shade of gray.

To select a field, click on that field's edit control to activate and enable that field for editing. The changes that you apply to the activated field will be applied to all Songs in your Song list.

Some fields allow you to click a second time, to delete or inactivate field information. When you work with a field with a dropdown list, you can also specify that you will delete <all> codes or values from the Links in your Link list.

Multi-Link Changer Security Access

When applying Security Settings in the Security Roles window, you can set security Access Levels for a number of areas including Changer windows. In the Multi-Link Changer window, you can further specify Security Access Levels for Global fields, which apply to all your Stations (on the left side of the Multi-Link Changer window), and Station-specific fields (on the right-hand side of the Multi-Song Changer window).

Topic Overview: Multi-Link Changer


Multi-Link Changer Multi-Station tab

This tab window is used to bulk change Categories and Attributes of a group of Links together, including activating or deactivating Links in any Station, and copying different Station Attributes settings. To apply individual changes to Links in a Browsed list, work in the Link Window Multi-Station tab.

Accessing this window
Features in this window
Working in this window

Accessing this window

Click the Linker tab, then the Link Library tab and work in the Link Browse window to create or access a browsed list of Links. Then click the Multi-Link Changer tab, and finally click the Multi-Station tab.

Click any area in this image for help

Click any area in this image for help

Topic Overview: Multi Link Changer Multi-Station tab

Features in this window

Toolbar
Selected songs counter
Stations list
Activate/Changer options column
Copy Attributes from Station column
Category selection Column

Toolbar

Save or cancel your changes.

Topic Overview: Multi Link Changer Multi-Station tab

Selected songs Counter

The total number of browsed songs is displayed in this counter pane

Stations list

All Stations in the GSelector database, with the exception of a Child Station Child Stations are derived from existing (Parent) Stations. When creating a Child Station, all the features of the original Station are retained, but unlike a regular Station, most settings can not be edited. , are listed here. Select a station to edit Active status apply changes for the selected Links.

Activate/Changer control column

You specify changes to your Link list, and select each Station to apply changes in, by toggling the control in the Active column for that station. Click on the edit control to cycle through the modes.

The control is initially in neutral: no changes will be applied. The Copy Attributes and Category Selection fields are inactive in the changer window.

To activate the selected Links for any Station, click in that Station's Active column to toggle to Active status. The Copy Attributes and Category Selection fields are active in the changer window, allowing you to apply changes in either field. The Category selection field initially displays the Default Category When a song or link is activated in a Station Database, it can be assigned the Default Category for that Database, where this exists. If a default Category has not been assigned in the Song or Link Goals categories window, the topmost Category in that window is used in its place. for the selected station.

Topic Overview: Multi Link Changer Multi-Station tab

Click a second time, to deactivate the Link list in the selected station. The Copy Attributes and Category Selection fields are inactive in the changer window.

Copy Attributes from Station column

When the Active column is set to Active for any station, the Copy Attributes field allows you to select any Station to Copy Attributes from. Settings will be applied to all songs in the browsed list on the selected Station. Note that any Attribute values that are not defined in the target station will not be copied.

Category selection Column

When the Active column is set to Active for any station, the Category selection column is active. This allows you to select the Category to apply to all songs in the browsed list on the selected Station.

Topic Overview: Multi Link Changer Multi-Station tab

Working in this window

The process described
Activating Links
Deactivating Links

The process described

1. First browse a list of Links in the Link Browse window .
2. Access this window.
3. For any target station, click the edit control to toggle between neutral, activate or deactivate status.
4. With Active status selected, optionally specify Attributes from any station to copy to the selected target station.
5. With Active status selected, optionally specify a Category in the target station.
6. Click the Save button in the toolbar.

Activating Links

1. First browse a list of Links in the Link Browse window.
2. Access this window.
3. For any target station, including the current station you are working in, click the edit control to toggle to activate status.
4. Specify a Category in the target station, or accept the default category status.
5. Click the Save button in the toolbar.

Deactivating Links

1. First browse a list of Links in the Link Browse window.
2. Access this window.
3. For any target station, including the current station you are working in, click the edit control to toggle to deactivate status.
4. Click the Save button in the toolbar.

Topic Overview: Multi Link Changer Multi-Station tab


Link Goals

Link Goals windows work the same way as Song Goals windows. In the Link Goals windows, create and edit Link Category Groups, Link Categories, adjust demand for Links in Link Categories, adjust demand for Link Attributes, define Priorities and specify Link-specific and Song-to-Link Segue Bans.

Click any link for details.

Link Goals Balance

Link Goals Categories

Link Goals Priorities

Link Goals Segue Bans

Link Goals Content Rule

Link Goals Recycling

Daypart selection

Adjusting balance

Selecting a Daypart

The settings made in all Goals windows are daypart-specific. GSelector sets up to the first Daypart in the Daypart Definition window list. To view and edit demand for any other Daypart, select the Daypart from the Dayparts Menu option.

TIP: The Copy function provides a quick way to set Goals for all dayparts - simply copy to a new Daypart and adjust your goals for the new time.

Adjusting the Balance

This works the same way when setting relative demand in categories, or any other area in GSelector. For each Category, Artist, Participant, Attribute, Song or Link, increase or decrease relative demand by clicking the Demand Shift [image] buttons.


Link Balance window

TIP: For detailed information on how Balance windows work, see the Balance Windows topic.

The Link Balance window, like the other Balance windows, allows the user to shift demand and predict rotation for individual Links. This window lists all Links in the station library in its default view.
Accessing this window
Features in this window
Working in this window

Accessing this window

Click the Linker tab, then the Link Goals tab, the Balance tab and finally the Links tab. The window will open showing settings and demand for the Daypart A part of the broadcast day, defined by the programmer, used to ensure Song and Link rotation; Dayparts are defined in the Dayparts Definition window, and are also used to build No Repeat time blocks. assigned the highest Daypart Priority, and the currently assigned Clock Grid. To view demand for a combination of Dayparts, click the Cross Daypart Analysis button. See the Participants, Attributes and Adjustments topics in the Goals section of this guide for information on using these tabs.

Click any area in this window for help.

Click any area in this window for help.

TIP: You can jump to any Link Title by typing the first letter of the Title. See the Hot Key search notes in the Working with Browses topic.

Topic Overview: Link Balance window

Features in this window

Daypart selection
Clock Assignment Grid selection
Find (CTRL+F)
Save button
Cancel Changes
Copy settings to a different Daypart
Adjustments button
Clear Adjustments
Cross-Daypart Analysis button
Single Daypart Analysis button
Set Default Minimum Separation
Balance Pane fields
Optional Fields

Dayparts selection pane

Click the drop down arrow to select a Daypart. See the dayparts assignment window for detail on creating and assigning dayparts.

NOTE: When working in Dayparts that have been grouped so that all Daypart settings are shared between Dayparts in the same group, settings made for a Daypart in this window are not shared. So, for example, a Song can be banned or boosted or cut for a Morning Daypart, and this setting will not be duplicated in any other Daypart in the group.

Clock Assignment Grid selection

Where two or more Clock Assignment Grids have been defined, this panel is displayed. Click the drop down arrow to select a different Clock Assignment grid. The display updates to show the demand for Links generated by the Clocks in the selected Grid. For details on Clock Assignment Grids, see the Clock Assignment window topic.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Toolbar Buttons

The toolbar is common to all Balance windows. From it you can Save or Cancel Changes to your settings, Copy settings from one Daypart to another, view an analysis for demand across multiple Dayparts, view only items where Adjustments have been made to demand, clear adjustments for this window and access the Rotation Rules window.

Save Button

Click to save your changes in this window.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Copy Song settings to a different Daypart

Click to copy your settings to other dayparts. This accesses the Copy Daypart Dialog Box . When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Songs, set in the Song window station coding pane, are ignored.

Cross Daypart Analysis

Click the Cross Daypart Analysis button in this window to open a Cross Daypart Analysis window, which displays turnover figures for two or more dayparts in combination. For more details, see the Cross-Daypart Analysis topic.

Closing Cross Daypart Analysis windows

Once a Cross Daypart Analysis view is accessed, the Close button is activated. Click this button to return to the default single Daypart mode.

Adjustments button

Click this button to filter out all unchanged items and only display items that have had adjustments applied.

Clear Adjustments

The Clear Adjustments button will open the Clear Adjustments dialog box. The Clear Adjustments dialog provides controls that enable the user to remove song or link adjustments across one or more dayparts.

Rotation Rules

This button allows you to access the Rotation Ruules window. No matter which Balance window you are working in, this window allows you to set a default Minimum Separation for Links for each Category.

TIP: A value that is defined directly in the Minimum Separation column in this window will override a Default Category Minimum Separation setting.

Optional fields

These optional Link Balance window fields are enabled in the Station - Features window:
Maximum Per Hour
Limit field

Balance pane fields

For full details, see the notes in the Balance Windows topic. The following fields are exclusive to the Link Balance window.

Link Category

This displays the Link Category. You cannot edit this field. Click the column header to sort by the contents of the column, in ascending or descending order.

Link Title

This displays the Link Title. You cannot edit this field. Click the column header to sort by the contents of the column, in ascending or descending order.

Topic Overview: Link Balance window

Working in this window

TIP: For general notes on balancing, see the Balance window notes.

Increasing or reducing demand
Viewing and adjusting Cross-Daypart demand

Playing Audio

Jumping to Link windows

Clear Shift and Ban Adjustments

Increasing or reducing demand

Demand is shifted up or down for the selected Daypart for each Song by clicking the Demand Shift buttons. The relative demand for each Attribute is displayed in the Demand Percentage and Demand Graph columns.

Viewing and adjusting Cross-Daypart demand

To view demand for a combination of dayparts, click the Cross Daypart Analysis button.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Jumping to the Link window from any Balance window

1. Select a Link.
2. Press Enter on your Keyboard or double-click to view the Link in the Link window.

Clear Shift and Ban Adjustments

Occasionally there is a need to clear the adjustments made in the Balance windows to get back to the baseline.

  1. In the Linker | Link Goals | Balance select the balance window tab Participant, Attribute, Link or Adjustments.

  2. Click the [image] Clear Adjustments button to open the Clear Adjustments window.

  3. Select the Daypart or select All to select all dayparts

  4. Select the options to Clear

  5. Click OK

Topic Overview: Link Balance window


Link Category Changer

The Link Category Changer window offers drag and drop Link Category changes. You can display three or more lists of Links selected by Category. Any Link can be dragged from its original Category pane to any other Category pane, to be assigned to that Category. You can also view inactive Links and reactivate them by dragging and dropping.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Linker tab, then click the Link Library tab, and finally the Category Changer tab.

Click any area in this image for help

Click any area in the above image for help

Topic Overview: Link Category Changer

Features in this window

Display Categories window

Toolbar

Inactive Link Window option

Browse Format Selection

Show History Pane/Hide History Pane

History Attributes

Inactive Link Window

Find (CTRL+F)

Category Panes

Displaying Categories

The Category Changer window opens displaying the first three Categories sorted by Short Category name (see the notes on short and long Category names). To show more or less Category windows, select the number to display in the Category Windows field. Each additional Category pane will squeeze up to accommodate the new Category numbers. The minimum number of panes is 2.

Toolbar

he menu bar allows you to undo, redo, and save your changes. When you open the Category Changer, the buttons are inactive. Moving Links activates the undo, redo and save buttons. Undoing a change activates the redo button.

Inactive Link Window option

Check the Inactive Link window option to open the Inactive Links window. This lets you view and optionally activate currently inactive Links for this station.

Browse Format Selection button

While formats can be permanently assigned to the Browse window in the Browse Formats Assignment window, this button allows you to temporarily select and apply any format that you have designed in the Browse Formats Design window. This button can be used to save the default format as a new format, save changes to an existing format or save an existing format to a new browse format. This feature is available for Active links only.

  1. Click the arrow to the right of the button.
  2. Select a format and double-click or press enter.
  3. The new format is assigned to the browse window.
  4. Optionally, right-click a column header to Modify or Remove columns.
  5. Click the arrow to the right of the button again.
  6. Click Save or Save As if desired
  7. The new format is assigned to the browse window.

For more information on custom designing formats, see the Browse Formats Design and Browse Formats Assignment topics.

Show History Pane

TIP: Press F7 to toggle pane open or closed the selected Category window.

Click this button to open the History pane for the selected link. This history map works similarly to the History Map in the Editor.

Hide History Pane

TIP: Press F7 to toggle pane open or closed the selected Category window.

Click this button to close the history pane.

History Attributes

Click this button to select an attribute to display in the History Pane when a Link is selected in the results pane. The display options are:

The Link selected in the results pane.

The Title of the Link selected in the results pane.

The Packet of the Link selected in the results pane. If the current Link is not in a packet, GSelector displays the history of the Link.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the pane to search and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Category panes

The Categories are displayed in panes in the main body of the window. The number of panes is set in the Category Windows . You can size and sort the content of all panes at once by clicking on any Category pane header bar. The currently highlighted link position and total number of links in the Category are shown at the bottom of each pane.

Categories Selection pane

At the top of each pane is a drop down box. Click the drop-down arrow to open a list of Categories. Select a Category from the list and enter to display the contents of that Category in that pane.

NOTE: A Category can only be selected once. A selected Category it cannot be selected again for another Category pane.

Inactive Link window

Check the Inactive Link window box to open this window at the right of the Link Category Changer window. See the displaying Inactives notes for more information in using this pane.

To display Links in this pane, click the drop-down arrow and select or enter the name of a saved Inactives Filter or saved Inactives Link list. If you have only saved one list, it is displayed by default. The pane can be 'pinned' by clicking the Pin icon. This means that it will remain easily accessible. The pane collapses to a vertical tab button at the right of the Category Changer pane. It can be partially opened again by clicking this tab, and fully reopened by clicking the Pin icon again.
To close the pane, click the close icon at top right.

TIP: If you have a small Link Library you can create a filter in the Link Browse window which calls for all Inactives. This will be displayed by default if this is your only Filter list. See the working with Filters notes in the Filter and List topic.

Topic Overview: Link Category Changer

Working in this window

Selecting Categories

Displaying more Categories

Moving Links from Category to Category

Play Audio

Sorting and Formatting

Jumping to the Link window

Activating Inactive Links

Selecting Categories

1. In any Category pane, click the dropdown arrow in the Categories selection pane.
2. Select a Category from the list
3. That Category's Links are then displayed in the associated Category pane.

NOTE: GSelector will remember what Categories were selected in the previous editing session in this window.

Moving Links from Category to Category

1. First select the source and target Categories in two or more panes.
2. Select one or more Links in the source Category pane, and drag to a target Category pane.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Sorting and Formatting

As with all Browses, the columns in each Category pane can be sized and sorted. For full details, see the notes in the Working with Browses topic. GSelector will remember the sorts and column sizes applied in each pane from the previous editing session.

Jumping to the Link window

1. Select any Link in a Category pane.
2. Double-click
3. This takes you to the relevant Link window.

Activating Inactive Links

1. Open the Inactive Link window
2. Select desired Categories
3. Select one or more inactive Links in the Inactive Links window, left-click and drag to a target Category pane.

Topic Overview: Link Category Changer


Link Goals Categories

In the Link Goals Categories window, you create and edit Link Categories Groups, Categories, and adjust Link demand. The window offers three display options : Category Groups, Groups and Categories or Groups, Categories and Links.

NOTE: If you do not have a Linker license, or your Linker license has expired, Linker windows are not accessible; the Linker tab in the Navigation bar is suppressed. See the Licensing topic for details.

Accessing this window

Link Goals Categories window features

Working in the Link Goals Categories window

Accessing

From any GSelector window, click the Linker tab, then Link Goals, and finally Categories, to access a window similar to this illustration. This illustration is reduced in scale to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Link Goals Categories window

Features in the Link Goals Categories window

Category Groups

Category Short and Long names

Daypart selection

Clock Assignment Grid selection pane

Toolbar

Link Goals Categories Results Pane

Play Audio

Category Groups

Categories are created and organized into Groups in this window (see the working section). A Group of Categories generally contains Links that are similar in nature or function. Category Groups are used in scheduling, in that they are ranked in order of scheduling importance in the Category Group Settings window . A group does not have to contain multiple Categories.

TIP: The sequence in which Category Groups are displayed in this and other windows is set in the Category Group Settings window.

Category Short and Long names

When creating or editing a Category, GSelector asks for a Short and a Long Category Name. The Long Name field can be used to describe the Category and its contents. The Short Name is a one-three digit Alphanumeric ID, used to save space in browses, and also when copying a schedule to another station.

Daypart selection pane

The Categories window opens with settings for the default Daypart. The default Daypart is the Daypart defined as the first to be scheduled in the Dayparts Definition window. To view settings for another daypart, click the drop-down arrow in the Daypart selection box, and select another daypart.

Clock Assignment Grid selection pane

Where multiple Clock Assignment Grids are used, this field allows the user to select any grid and adjust settings for that grid.

Link Goals Categories Toolbar functions

Click any toolbar icon for help

From the Toolbar, you can Add a Category Group, Add a Category, access the Category Group Settings window to apply a range of settings, Edit a Category or Group, Delete a Category or Delete a Group, Save or Cancel Changes, select View options, Copy Settings to another Daypart, access Category Analysis windows, assign Appearances to a category Group or Category and view the Projected Turnover for a Category.

New Category Group

In the Link Goals Categories window, click the New Category Group [image] button in the toolbar to open the New Category Group window.

Enter the name of the new Category Group, and select a Demand Type for the Category Group. Then click OK.

Category Group Settings

In the Link Goals Categories window, click the Category Group Settings [image] button to open the Category Group Settings window , to set the order for Category Groups and other elements, ranking them by importance in scheduling. This also sets the sequence in which Category Groups are displayed in this and other GSelector windows. You can also set search depths, select a stack scheduling method, apply slotted and kick status and specify a research cutoff period for each Category Group.

New Category

The New Category [image] button in the toolbar opens the Create New Category window for the selected Category Group in the Link Goals Categories window. Use the Group drop-down to change the Category Group, add a one to three digit short name and use the Name field to give the Category a long descriptive name. The Default Category check box in this window can be used to set or change the default category to this newly created category.

Edit Category or Category Group

The Edit Category/Group [image] button is used to edit either the Category Group or the Category within a Group. If a Category Group is selected in the Link Goals Categories window then the Edit button will open the Edit Category Group window allowing the user to change the Name or the Demand type for the group.

If a Category within a Category Group is selected the edit button will open the Edit Category window where the user can change the Group, Short name, Long name or Default Category.

Delete

The Delete [image] button can be used to delete a Category or a Category Group. To Delete a category the category must be empty. To Delete a Category Group the Category group must be empty and can not be assigned in a clock. So before you can delete a Category Group, you must move all the Categories from within the group, and ensure that the group is not assigned in clocks.

Save

If any changes are made while working in this window, the Save [image] button is activated. Click to confirm the changes. if you leave the window without saving your changes, you are prompted to confirm or discard your changes.

Cancel

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Link Goals Categories window content view options

These three buttons in the Categories window allow you to view Category Group content in detail. The tree control in the Categories window is expanded by clicking these buttons. Alternately click the [image] icon to left of a selected Category Group or a selected Category to expand that section and the - icon to close it again.

Click the left button to view just the Category Groups.

Click the middle button to expand the Groups to show the Category Groups and the Categories in these Groups. Note that the Link count and active/inactive Category fields are now accessible.

Click the right-most button to expand the Categories to show the Links.

Copy to Daypart

The Copy to Daypart [image] button is used to access the Copy Daypart Dialog Box. This allows you to copy any Goal setting including the settings made in this window, to another Daypart. When copying settings from one Daypart to another, Daypart Inclusion or Exclusion settings for individual Links, set in the Link window Station Coding pane, are ignored.

Categories Window Analysis

These three toolbar buttons Categories Goals, Cross Daypart Analysis and Clock Request are used to access three different Categories Window views. The first button returns you to the default Categories Goals view and is only available when in the Cross Daypart Analysis and Clock Request windows. The second lets is used to obtain figures for any combination of Dayparts in the Cross-Daypart Analysis view. The third button opens the Clock Requests view, and by clicking the associated drop-down button at right, lets you select any Category Group to view in the Analysis Pane. GSelector will reopen the window to display the last-selected Category Group, you can switch to another Category group by clicking the drop-down arrow and selected another Category Group to view.

Define Appearance

The Define Appearance [image] button allows you to select any Link Category Group or Category and assign a predefined Appearance. Select the item, and click the button to open a drop-down menu to select from existing Appearances. See the notes on Appearances definition and Using Color.

Projected Turnover

The Projected Turnover [image] button open the Projected Turnover window This is a tool to help you understand the math, rotations and projected turnover of an existing category or a new one you might be contemplating. Keep in mind that projected turnover is calculated without any regard to goals and rules. It’s strictly a mathematical analysis assuming all links rotate evenly.

Link Goals Categories Results Pane

Name

Default Category

Count

Play status

Demand Share/Shift

Turnover (time/dayparts)

Demand %

Frequency

Spins/Week

Allow Attribute Adjustment

Relative demand graph

Name fields

The Name fields in the Categories Browse display the Link Category Group, the Link Category Name, and the Link Title where the Category is expanded. Click the column header to sort by the contents of the column, in ascending or descending order.

Default Category

The Default Category is marked in the Category and Link Goals windows by the letters [Default Category] as part of the Long Category name. It can be assigned or reassigned when creating or editing a Category.

The Default Category is optionally assigned to Songs or Links copied from one station to another in the Copy Schedule window, and to Songs or Links during the reconciliation process, where reconciled Songs/Links in the Target or Reconciliation Station are inactive. In the Edit Category and Create New Category windows, you can assign Default Category status to a Category by checking the Default Category box. If a Default Category is already assigned, checking the box when creating or editing a default Category will reassign Default status to that Category. When working in the Multi-Link Changer, if an inactive Link is activated, it is assigned the Default Category where this exists. Where no Default Category has been assigned, inactive Links are activated to the top Category in the Categories window. By default GSelector automatically creates a Hold category and sets it as the Default Category for newly created databases.

Category Nodes

Click any Category node to change its status from Open to Closed, or from Closed to open. To view all Links in a Category, click the node button at the left of the Category Name to expand the display. A list of all Links in that Category is displayed. You can open one or more nodes at the same time. Alternately, click the Display Links button in the Toolbar. See the viewing options section of this topic.

Link Count and Total Count fields

These two fields display the number of Links which can be scheduled in this daypart, and in the Total field, all Links for the Station, the Category Group and for each Category. These fields cannot be edited. Additionally, the totals for available Links and all Links are summed at the bottom of the browse pane. Note that there is also a count field displaying active totals for the selected Daypart at top right of the browse.

Play Status (Play column)

This field shows each Link's Play status - that is, if it can be played in the selected daypart.

Explicitly Banned. A Link that is banned for the Daypart is shown with the Banned symbol.

Active. A Link that is active for the Daypart is shown with the Active symbol.

Both the above Play statuses can be changed by clicking the Icon to toggle to the alternate status.

Implicitly Banned. There is a third Link Play status, shown here. A Link that is not assigned to a Clock in this Daypart is shown with a No Demand symbol. To change this status, assign the Link or its Category in the Clocks for this daypart

Share/Shift

The Link Categories window Share/Shift field setting is used with Category Groups with more than one Category. There are two choices: Link Turnover and Category Exposure. These govern the share of spins for Links within the Group. The setting can be made for each Category Group in the Share/Shift column, or when creating or editing a category group.

Link Turnover

When Share/Shift is set to Link Turnover, Links are rotated within the context of the entire Link Category Group. In the Share/Shift example, Links in Categories SP and SW will get roughly equal play; while Links in IM will get about three times, and Links in NW about twice the plays of Links in SP and SW. The advantage of this option is that as the number of Links change, the system automatically adjusts to give the Link turnover asked for.

Category Exposure

When Share/Shift is set to Category Exposure, Links are rotated within the context of Categories, and the Categories are then rotated within the context of the Category Group. In the Share/Shift example, when the 'Secondary Links' Category Group is scheduled, Category SPS Links will be used three times for every two Category PRS Links, and once for Categories IMS, NWS, PSA and SWS.

Shift Category Demand

Click the Demand Shift buttons to increase or reduce demand for any Link Category within its category group. See the Adjusting Demand notes for full details.

NOTE: Setting a share value of zero (no share) for all Categories in a Category group will prevent Links in those Categories from scheduling. If Clocks call for Links from that Category Group, you will get unscheduled positions. If the Category Spread Goal is implemented in the Priorities window, this Goal is disabled if there is only one Category allocated a share (that is, the other Categories in the group have a zero share value) in any Daypart.

Turnover (time/dayparts)

This field displays two values for each Category or individual Link.

In Categories, the first figure is the average turnover for all Links in the Category for the selected daypart; the second figure is the average number of dayparts that Links will be scheduled in before repeating in the selected daypart. For Links, these figures represent the actual turnover and actual number of dayparts the Link will be scheduled in before repeating in this daypart. As you adjust demand, these figures change. The values in this field cannot be directly edited, but they are affected by shifts to demand.

Demand fields

This field displays Percentage Demand for all Categories and Links. The values in this field can not be edited, but are directly affected by shifts in demand. Click the column header to sort by the contents of the column, in ascending or descending order.

Frequency field

This field displays an approximate figure for the frequency of the selected Category or Link. The values in this field cannot be edited, but are directly affected by shifts in demand. Click the column header to sort by the contents of the column, in ascending or descending order.

Spins per week

This field displays the number of spins per Category or Link per week. The values in this field cannot be edited, but are directly affected by shifts in demand. Click the column header to sort by the contents of the column, in ascending or descending order.

Allow Attribute Adjustment

Toggling this setting to Banned for any Category means GSelector will ignore non-Link attribute shifts and adjustments; however, Link Daypart boosts, cuts or bans are still respected. When this happens, the Balance for the Category returns to its 'natural' state. In most situations, this setting is left at the default On setting, shown by the check mark. However, in exceptional cases (for example: very small rapid turnover Categories where the content is refreshed frequently, where the content and rotation overrides any other scheduling consideration), this tool can be used.

Relative Demand Graph

This bar reflects overall Demand for all items in a Bar Graph display. This field reflects changes made using the Demand Shift buttons. Click the column header to sort by the contents of the column, in ascending or descending order.

Playing Audio Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. See the Using Audio in GSelector topic for more information on playing audio.

Topic Overview: Link Goals Categories window

Working in the Link Category Goals window

Create a New Link Category Group

Create a New Link Category

Edit Link Category Group

Edit Link Category

Copy to Daypart

Assigning Categories to Category Groups

Delete a Link Category Group

Delete a Link Category

Applying Appearances to Link Titles

See also the notes on Adjusting Demand

Create a New Link Category Group

In the Linker | Link Goals | Categories tab, click the Category Group [image] Toolbar button to open the New Category Group window.

Enter the name of the new Category Group, and select a Demand type for the Category Group. Then click OK. Link Category Groups cannot have the same name as Song Category Groups, a duplicate message will be displayed when clicking OK if the name is already used.

Create a New Link Category

  1. In the Link Goals Categories window, click the Create [image] button in the Categories window toolbar to open the Create New Category window.

  2. Select an existing Group from the left drop-down field.

  3. Enter a new Category Name in the Name field, with a two-letter abbreviation on the Short Name box. Categories have both a Short and Long Name. The Short name is used in sorting Categories in displays and lists; you can use up to three digits. The Long name is used to describe the general content of a Category. In this example, the Overnight Recurrent category, with the Short Name D2 has been created. The selected group is group D. Category Names and Short Names must be unique for the station. Link Categories cannot have the same name as Song Categories, a duplicate message will be displayed when clicking OK if the name is already used.

  4. Optionally check the Default Category box to make this the default Category . Click OK to confirm and add the Category to the Group.

Edit Link Category Group

  1. In the Link Goals Categories window, select a Category Group.

  2. Click the Edit [image] button to access the Edit Category Group window.

  3. Edit the Name or Demand type as needed.

  4. Then click OK.

Edit Link Category

  1. In the Link Goals Categories window, select a Category.
  2. Click the Edit [image] button to access the Edit Category window.
  3. To allocate a Category to another Group, select the Group from the drop down field.
  4. Edit the Short Name or full Name of the Category as needed.
  5. Optionally change the Category to be the Default Category
  6. Click OK.

You cannot create a Category Group in this dialog box; you have to create a new Group first then move the Category to that Group.

Assigning Categories to Category Groups

  1. Select a Category
  2. Click the Edit Category [image] button.
  3. In the Edit Category window, select a Group to assign to the Category.
  4. The Category is assigned to the new Group; continue as needed.
  5. Finally, click the Save [image] button in the Toolbar.

Delete a Link Category Group

A Category Group cannot be deleted if it contains Link Categories, or if it is assigned in a clock. So before you can delete a Category Group, you must Assign the Categories in the Group to another Group, and ensure that it is not assigned in clocks.

  1. In the Link Goals Category window, locate the Category Group to remove.
  2. Edit each of the Categories in the Group and change the Group assignment.
  3. In the Categories window, select a category and then click the Clock Requests button to see which hours have requests for that Category Group.
  4. Work in those hours of the clock to remove the category group assignments.
  5. When the Category Group has no Categories remaining and is not assigned in Clocks, it can be deleted.
  6. Select the empty Category Group and click the toolbar Delete [image] button.

Delete a Link Category

A Category cannot be deleted if it contains Links, or if it is assigned in a clock. So before you can delete a Category, you must move all the Links from that Category, and ensure that it is not assigned in clocks.

  1. In the Link Library Browse tab, expand the Category attribute
  2. Select the category to remove this will filter the window for the links in the category.
  3. Use the Multi Link Changer, Link or Category Changer tab to move the Links to a different category.
  4. Select the empty Category in the Link Goals Categories tab
  5. Click the toolbar Delete [image] button.

Applying Appearances to Link Categories and Category Groups

You can assign an Appearance to any selected Link Category or Title. This can allow you to spot items more easily in the Browse window or in the Editor.

  1. Design as many Appearances as required in the Options: Appearances definition window.
  2. Select the Link Title in the Link Goals window.
  3. Right-click to see all Appearances.
  4. Select the desired Appearance to apply to the Link Title
  5. Repeat as required.
  6. All assigned Appearances are displayed in Library browses with the selected foreground and background color, alignment and font.
  7. In the Editor, field-specific Appearances override any globally assigned Appearance set up for the Editor.

For more information, see the Using Color topic.

NOTE: When you assign Appearances to Link Categories, the Appearance is displayed in the Clock Browse Description field , and in the Clock Mockup pane for each Link Position.

Topic Overview: Link Goals Categories window


Link Goals Segue Bans

The Link Goals Segue Bans window works the same way as the Goals Segue Bans window. It lets you ban Segues between Songs and Songs, between Song and Links, between Links and Songs, and Links and Links.

Segue Bans between Songs can be created using the Link Segue Ban window, but can only be viewed and edited in the Song Goals Segue Bans window.

Accessing this window
Link Segue Ban features
Working in the Link Segue Ban window

Accessing

NOTE: If you do not have a Linker license, or your Linker license has expired, Linker windows are not accessible, as the Linker tab in the Navigation bar is suppressed. See the Licensing topic for details.

Click the Linker tab, then the Link Goals tab, and finally the Segue Bans tab. This detail illustration is reduced to better fit in the help window.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Link Segue Ban Pane

Link Segue Ban window features

Toolbar
Detail Buttons
Segue Ban pane
See the Goals Segue Bans topic for additional details.

Toolbar

The Toolbar allows you to Create , Delete and Save or Cancel changes.

Detail Buttons

Click the detail button for a selected Segue Ban to view or edit details for that Segue Ban.

Segue Ban pane

This pane lists all current Segue Bans by Attribute or Participant. When you first access the Segue Ban window, this pane is empty. The list is sorted in alphabetical order, and can be re-sorted in descending order by clicking on the header bar. When you add a Segue Ban, it is listed in this window. To edit a Segue Ban, select the Segue Ban and click the View Details [image] button to open a Segue Ban Detail window. Depending on the Attribute, this will be a Detail list or Detail grid window.

Working in the Segue Bans window

Adding a Segue Ban or Editing Segue Ban details

1a. Click the Add button in the Segue Ban window Toolbar, to open the Add Segue Ban window.

1b. In this window, select the Priority for the Segue Ban.
1c. Click the OK button to open the relevant Segue Ban Sweep or Grid details window.
2. To Edit a Segue Ban, click the View details [image] button to open the relevant Segue Ban Details window, or select the Segue Ban and double click.
3. This will open a Segue Ban Sweeps window, or scalar Mood, Energy, Tempo or Opener values are defined on a scale of from 1 up to 5. So these Attribute settings are said to be scalar. Attribute Segue Ban Grid.
4. Follow the notes on working in the Segue Ban Sweeps window or the Segue Ban Grid window, for Energy, Mood, Tempo or Texture Segue Bans.

Deleting a Segue Ban

Select a Segue ban and click this button to delete it.

Saving Changes

Once you have made any changes - either by adding a Segue ban or editing an existing Segue ban - you must save them when you leave the window. If you do not, you will be prompted to save them before you can open another window.

TIP: If you are doing a lot of editing in this window, it's a good idea to save your changes frequently.

Cancel Changes

Click the Cancel button to re-read the original settings and return to the window to its last saved state.

Editing a Segue Ban

In the Segue Ban window, select a Segue ban in the list pane and click the Edit button for that Segue Ban. This will open the Segue Ban Edit window for this Segue Ban, showing your existing settings.

Topic Overview: Link Segue Ban Pane


Related Links

Related Links schedule in association with Songs. The process that puts a Related Link in the Log is always driven by the connected Song, but it can be done in two ways, using the Fly-In and the Clock methods. For both methods, GSelector is instructed to find a specific Link type when a specific kind of Song is scheduled. Related Link settings are Station-specific. Priority Lists can be assigned to the scheduling of Related Links. This is done in the Linker | Link Goals | Priorities | Assignment tab.

NOTE: Related Links are one of the last items to be considered when generating a schedule. This is because Songs must be in the running order before an associated Related Link can be scheduled, as well as Clock Link positions and Link Category group positions. So it is possible that the user might see some low scores for separation, daypart rotation and the like for the Related Link that is eventually scheduled. If the Lowest Score Threshold settings are used for Links, pay particular attention to settings in this window.

Accessing this window

Fly In

Clock

Features in this window

Fly-In

Clock

Working in Related Links windows

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. The Find option is available in both the Fly-In and Clock tabs in this window. Click the pane in the tab and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Accessing the Related Links Fly-In window

Click the Linker tab and then the Related Links tab, to access a window similar to this illustration. This window has two tabs the default window is the Fly-In tab and the second tab is the Clock tab.

Click any area in this image for details.

Click any area in this image for details.

Topic Overview: Related Links

Related Link Fly-In Features

When a Song with Related Links is scheduled using the Fly-In method, a Related Link that is available to schedule is placed before or after that Song in the Log. GSelector flies the Link in to a new space in the schedule. If no suitable Related Link is available, no Link is scheduled for that Song. All the fields detailed in this window are edited in the Edit or New Relationship window, which is accessed through the toolbar or by selecting a Fly-In Relation and double-clicking. Click any field in the image above, or in the Edit Related Link window for details.

Fly-In Related Links Toolbar
Relation fields
Edit Fly-In Relationship window

Fly-In Related Links Toolbar

The toolbar allows the user to Add, Delete, Edit, or Save or Cancel changes to a Relation in the Fly-In and Clock windows, and Configure demand in the Fly-In Link Demand window. Note that this button is only available in the Fly-In window, shown above.

Relation fields

Values for these following fields are defined in the Fly-In or Clock Edit or New Relation window, and saved to the Fly-In or Clock window. Each line in the Relationship list holds details of a specific Fly-In Relation The conditions which allow a Related Link to be 'flown in' to the Schedule when a triggering Song is scheduled. or Clock Relation The conditions which allow a Related Link to be scheduled into a leading or Trailing Link Clock position when a triggering Song is scheduled..

Song Attribute

Song Attribute Value

Link Attribute

Link Attribute Value

Start and End Date and Times (Fly-In only)

Adjacency (Fly-In only)

Position and Chain (Fly-In only)

Fly-In Add/Edit Relationship window

The Clock and Fly-In dialog boxes work similarly; additionally, Fly-In Related Links offer Start and End Date, Time options, Position and Adjacency options. Typically, you specify that for certain Songs, which you select by Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and Value The range used to define any Attribute: each Sound Code, for example, has a value. , GSelector will look for one of more Links, also with selected Attributes and Values. See the notes below for more information.

Click any area in the image for help

Click any area in the image for help

The Add/Edit Relationship dialog box is accessed when creating or editing a Fly-In Relation The conditions which allow a Related Link to be 'flown in' to the Schedule when a triggering Song is scheduled.. Click the Add [image] or Edit [image] button in the toolbar, or select an existing Relation and double-click to edit, which opens this window. In this window, select the Song Attribute and Value, to match with a Link Attribute and Value. Link Attributes can include Song Artists and Song Themes, as specified in the Link window. Additional options in this window are described in the following sections of this topic.

Song Attribute

Song Value

Link Attribute

Link Value

Run Dates: Start and End Time

Position and Chain options

Adjacency settings

Replaceable Category Groups

Song Attribute (Fly-In and Clock)

The Song Attribute option is found in the Fly-In Relationship and the Clock Relationship and is used to select a Song Attribute for the Relation. See the Attributes notes for full details. The [Song] attribute is matched to the SongID. The Song Value will show the Title/Artist/Version of the Song selected from the Song ID section of the Song window.

Song Value (Fly-In and Clock)

The Song Value option is found in the Fly-In Relationship and the Clock Relationship and displays the required Value for the defined Song Attribute for the Relation. Select an appropriate value for the selected Song Attribute.

Link Attribute (Fly-In and Clock)

The Link Attribute option is found in the Fly-In Relationship and the Clock Relationship and is used to select a Link Attribute for the Relation. When Match is chosen as the Link Attribute, no Link Value is specified. When the Link Attribute is set to Match, the Song Value can be set to <All> where available. Otherwise, select from [Link], Title, Related Song Artist, Related Song Theme, Sound Code or Category.

Link Value (Fly-In and Clock)

The Link Value option is found in the Fly-In Relationship and the Clock Relationship and displays the required Value for the defined Link Attribute for this Relation. Select an appropriate value for the selected Link Attribute.

Run Dates: Start and End Time (Fly-In only)

The Run Dates are used to optional select Start and End, Times and Dates for the Fly-In Relation. Check the appropriate boxes to enable the fields, and enter the desired values.

Fly-In Position and Chain options

Radio button choices here are to allow Links to go only Before or After, or on Either side of the trigger Song. If there is a choice of related Links for any Song, GSelector prioritizes Before, then Either, and lastly After. When working with Related Links in Clocks, you specify a Leading or Trailing position.

When enabled, you can optionally define these following Chain settings Used with playout systems, Chain settings govern how the next scheduled item will play in relation to the currently scheduled item. Chain settings are built into Clock Positions in the Clock Definition window or added when a Fly-In Related Link is scheduled. : Overlap , Pause , Auto-Post Used with sequencers, this setting allows the Link to be back-timed from the Intro of the Song about to play. The Song and Link are then started by the sequencer and synchronized so the Link finished at the end of the Intro period. and Link-Song and Song-Link when creating or editing a Fly-In Link. The Chain setting will be applied to the Fly-In Link when it is scheduled. For more details see the notes on Enabling Fly-In Chain settings in this topic. For details of Chain settings see the Chain notes in the Clocks Definition window.

Adjacency settings

Radio button choices here are to Prevent or Allow Related Links next to other Links, or in between Songs.

NOTE: These checkbox settings are not mutually exclusive, but combining some settings under certain conditions might completely prevent Related Links from scheduling. Much depends on your Clock design. The default setting for both these checkboxes is blank.

Replaceable Category Groups

The Replaceable Category Group is used to select a Link Category Group that can be replaced when found in the schedule that is adjacent to the related song. If a scheduled link in one of the selected Category Groups is adjacent to the related song, the Fly-In link will take the place of the scheduled link which will then be removed from the schedule.

OK/Cancel (Fly-In and Clock)

Click the OK button to save your settings back to either Relation pane; click the Cancel tab to exit without making any changes.

Topic Overview: Related Links

Accessing the Related Links window Clocks tab

Clock Related Links are simpler, but do not always guarantee scheduled positions. Build Leading or Trailing Link positions into the Clocks, and define Song-Link Relationships which will trigger Link scheduling into these positions when a specific Song is scheduled in an adjacent Clock Position. If the Song or an attribute of that song is not defined as part of a Song-Link Relationship, the Clock Related Link position will remain unscheduled. This window is used to define a Link Relationship that can be built directly into Clocks. Click the Linker tab, then the Related Links tab, and then if necessary the Clock tab, to access a window similar to this illustration.

Click any area in the image for help.

Click any area in the image for help.

To Create or edit a Clock Relation, click the Add button, or select a Relation click the Edit toolbar button, or double-click that relation. See the Working in Related Link dialog boxes for full details.

Related Links Clock tab features

Clock Related Links Toolbar
Relation fields

TIP: Many users use dedicated Song Category groups or Song Themes, and dedicated Link Categories to use in scheduling. This lets them use Clock Theme Song or Category Group positions, where all songs with that Theme or in that Category Group are associated with one or more Links.

Clock Related Links Toolbar

The toolbar allows you to Add, Delete, Edit, or Save or Cancel changes to a Fly-In Clock.

Note: that the Configure Fly-In Demand button is only available in the Fly-In window.

Clock Add/Edit Related Link dialog box

Click any area in the image for help

Click any area in the image for help

This dialog box is accessed when creating or editing a Clock Relation The conditions which allow a Related Link to be scheduled into a leading or Trailing Link Clock position when a triggering Song is scheduled.. Click the Add or Edit button in the toolbar, or select an existing Relation in the Related Links list, and double-click.

This method of using Related Links is driven by Clock Positions. In the Clock window, you call for Leading or Trailing Link positions. Just as with Fly-In Links, GSelector then looks for a Link which is related to the Song; if the conditions are met, the Link is placed in either the Leading or Trailing Link Clock Request. This allows you to place a Related Link precisely in the schedule, and to set the maximum number of Related Links in each hour. Without a Leading or Trailing Link Clock Request, GSelector has no request to meet; but this method does not guarantee that the Clock Request Link will be met - it depends on how many Links are available to meet both conditions and demand.

In this example, the Clock Relation specifies that when a 'Aerosmith' is scheduled, GSelector will try to schedule a Link which has an association with a 'Aerosmith' Song into the appropriate leading of trailing Link Clock position next to a 'Aerosmith' song.

Name of Clock Relationship

Song Attribute

Song Value

Link Attribute

Link Value

Fallback Category Group

Name of Clock Relationship

This field displays the Clock Relation name that is created when working in either the Add or Edit Related Link window. This field identifies the Clock Relation and is used to select a Relation when inserting a Related Link in the Editor.

Fallback Category Group

The Fallback Category Group drop-down is used to select a Category Group that GSelector can fall back to if there is no Leading or Trailing Link for the adjacent song. If there is no leading or Trailing link is found for the adjacent song, a link from the fall back Category Group will be scheduled in its place.

Topic Overview: Related Links

Working in Related Links windows

NOTE: Related Link timings are not used when working with the Timing goal. Related Link scheduling is not recommended when using this goal.

The Process Described

Adding a Relation

Deleting a Relation

Editing a Relation

Saving a Relation

Configuring Demand for a the Fly-In Relation

Enabling Chain Settings with Fly-In Links

Specifying attributes and values: define the conditions that trigger a Related Link request

Working with the Related Songs pane in the Link window

The Process Described

  1. Working in the Related Links window, define the conditions (the Relation) which allow a Related Link to be scheduled.
  2. Typically, for Songs selected by Attribute Attributes are used to describe songs, links and notes in different ways, and to separate songs, links and notes from other songs, links and notes in scheduling. and Value The range used to define any Attribute: each Sound Code, for example, has a value., GSelector will look for one or more Links, also with selected Attributes and Values.
  3. If GSelector finds a Link that matches the Fly-In or Clock Relation, it places the Link in the schedule in the way that is specified, within an optional time range, and subject to the number of links called for in the Schedule in a set period.
  4. Clocks don't have to be modified: if GSelector can meet the requirements, it schedules the related Link; if it can't, it doesn't schedule anything.

Adding a Relation

In the Linker Related Links (Clock or Fly-In) window, click the Add [image] button in the Toolbar to open the New Relationship window.

Editing a Relation

In the Linker Related Links (Clock or Fly-In) window, select any Relation in the list and click the Edit [image] button in the Toolbar to open the Edit Relationship window or double-click any Relation to open this window.

Deleting a Relation

  1. In the Linker Related Links window, select any Relation in the list.
  2. Click the Delete [image] button in the toolbar to delete that Fly-In Relation.

Saving a Relation

When a Relationship has been created or edited, click OK in the window then the Save [image] button to save the changes.

Cancel Changes

Click the Cancel [image] button to discard any changes made since the last saved state.

Enabling Chain Settings with Fly-In Links

  1. If the Chain Settings fields are not displayed in the Add or Edit Fly In Link Relationship windows, check the Chain checkbox in Advanced Clock/Schedule columns pane in the Setup section Station Features window.
  2. This displays the Chain settings fields in the Add or Edit Fly In Link Relationship window here, and in the optional fields in the Clocks Definition window.
  3. In the Add or Edit Fly In Link Relationship window for the selected Fly-In Link, select the Before, After or Either radio button option in the Fly-In position pane.
  4. Enter a Chain setting as appropriate.
  5. Click OK to save your changes.

Configuring Demand for a Fly-In Relation

  1. Add or Edit Fly-In Link relations as normal.
  2. In the Fly-In Link pane, select a Relation.
  3. Click the Configure Flu-In Demand [image] button in the toolbar.

The Flu-In Link Demand window is used to set a maximum number of Fly-In Related Links per Hour, Daypart or Day, and minimum Score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better.. For a fuller discussion of scores, see the notes in the Editor window.

Tip: You may need to experiment with the value set here. If you are calling for a very restricted range of Related Links that are associated with Songs that turn over rapidly, you may have problems meeting a high Minimum Score value, as there is a good chance that your ideal Link will have been scheduled recently. So you might wish to specify quite a low value. But if you want to ensure that you get the best possible results, while accepting that this might exclude some Links from scheduling on occasion, set a high value.

Specifying Attributes and Values

When you specify the attributes and values, you ask GSelector to react to the scheduling of a Song from a specific Attribute range by scheduling Links with a related set of Attributes and Values. We'll look at each of these in turn.

Song Attributes and Values

For each Fly-In Relation, you call for a Songs by Attribute that can trigger a Related Link. You start by specifying a value from the drop-down list in the Song Attribute field. You can specify any Song Attribute (See the Attributes notes for full details). Having selected a Song Attribute, GSelector will display the related choice of Attribute values in the Song Value drop-down field.

The [Song] attribute is matched to the SongID. The Song Value will show the Title/Artist/Version that is found in the Song ID section of the song window for the selected song.

Link Attributes and Values

The related Links that GSelector will look for can be selected in a number of different ways. You can opt to select the Match option in the Link Attributes field, discussed below, in which case the Link Value field is disabled. Or, you can choose to call for a Link range as follows:
For the Link Title attribute, select any Link Title in the Link Value field.
For the Related Song Artist attribute, select from the Artist list in the Link Value field.
For the Related Song Theme attribute, select from the Theme list in the Link Value field.
The [Link] attribute is matched to the LinkID. The Link Value will show the Title/Version that is found in the Link ID section of the link window for the selected link.

NOTE: The range of Song Artist and Song Themes that you can access when you select these options is determined by the Song Artists and Song Themes that you have already assigned in the Related Songs field in the Link window. See working with Related Songs in the Link window.

For the Sound Code attribute, select any existing Song Sound Code in the value field.
For the Category attribute, select any Link Category in the value field

Match Attributes

This option is both simple and powerful. When, having specified Song Attribute and Song Value, you select Match in the Link Attribute field, you ask GSelector to find a Link which exactly matches what is called for in the Song Attribute and Song Value fields. For this to work, you need to have a stock of suitable Links. This is not as complicated as it might seem. If, for, example you choose to use Related Links to fly in dedicated jingles to highlight Songs in a selected Category, it is a simple matter to set up the jingles for this purpose in a matching Link Category. If you opt to match by Song Title, GSelector will attempt to match the Link Title, and so on. The use of this feature is very flexible, and only limited by the features you choose to design.

Note: If Link Attribute is set to Match on Song Attribute Theme or Station Theme, the link must have a Related Song Theme attribute, not a Theme or Station Theme attribute. If theme is mapped to Station instead of Global in Setup | Station Features Attributes then set the Related Song Theme in the station attributes section of the Link (The right side of the Link window).

Working with the Related Songs pane in the Link window

In the Related Songs (see notes here) Link window pane, you can define multiple Artist and Theme relations to any Link. So this would allow you to, for example, define a string of Promo Links with a relation to an Artist who is going to be playing in your area. Or you could use a theme for Links you would wish to associated with the Weather, event or concept that you might want to apply in your programming. Here, the process would be:

  1. Define the relationships in the related songs pane for your desired Link Windows.
  2. In the top line select either the Artist Attribute and a Value, OR the Theme Attribute and a Value.
  3. In the Link Attribute line, select Match.

Building Related Link Positions in Clocks

See the notes on Related Links in the Clocks Definition topic.

Topic Overview: Related Links


Reconciliation

This GSelector Linker window allows transmitted schedules (event logs) to be imported back into GSelector history after playout on any external sequencer or playout system. GSelector can reconcile event logs from most major systems, and can reconcile from any other system through a standardized format. GSelector will reconcile Songs, Links, Spots and Breaknotes if present in the broadcast log.

NOTE: This topic is only for users of Third Party systems. If you use Master Control, the schedule is integrated with the GSelector Log, and reconciliation takes place automatically. If you use NexGen, GSelector integrates output and reconciles broadcast events directly

How Reconciliation works

Accessing

Features in this window

Working in this window

The Process Described

Configuring your system's event log

How Reconciliation works

When working with a third party playout system, GSelector exports the schedule file in a specified format to the playout system. This is either preset to match the playout system's requirements, configured within GSelector, or converted by the playout system from a standard GSelector format. After playout, an event log is generated by the third party system. This file contains the exact air time and exact duration of each item in the schedule, in chronological sequence. The file is then imported back into GSelector, and overwrites the original schedule in this window. So all changes from the schedule, no matter how small, are reported. This could be the result of a song being faded early, a changed start time, or a different item being played. When importing an event log from a third party system, GSelector analyzes the file for discrepancies with the original exported schedule and, where there is a change, replaces the original scheduling history.

GSelector uses the Media ID field to match and compare fields in each Song or Link for reconciliation purposes. However, this can be changed using the Match On ID drop-down to station-specific ID or any User Defined field in use, GSelector will use that field instead.

TIP: As a precaution, if no songs or links match in the entire day, the day will not be unscheduled.

Accessing

Click the Linker tab, and then the Reconciliation tab to access a window similar to this detail illustration. This image has been reduced to better fit in the help window.

Click any area in this image for help

Click any area in this image for help

Topic Overview: GSelector Reconciliation window

Features in this window

Automation System Selection field

Reconciliation File Path

Match on ID

Load Button, Reconcile button and File List pane

Unschedule Empty Hours checkbox

Discrepancy Details pane

Songs/Links Activated to Default Category pane

Unrecognized Songs/Links/Breaknotes pane

Automation System Selection field

Click the drop down button to select from a list of the major playout systems in use worldwide. RCS has built GSelector to seamlessly interface with any of these systems. If your system is included in this list, the event log for that system is converted and then imported. If your system is not in this list, select the RCS Format (ID) option, and follow the detailed instructions for configuring 3rd Party Event Logs in this topic.

Reconciliation File Path

GSelector needs to know where to find the event log import file. File locations can be anywhere on your system that can be accessed by the GSelector machine. This path is Station-specific, so a different path can be set for each station.

Match On ID

The Match on ID field defaults to Media ID. GSelector uses the Media ID field to match and compare fields in each Song or Link for reconciliation purposes. However, this can be changed using the Match On ID drop-down to match on station-specific ID or any User Defined field that is in use.

Unschedule Empty Hours checkbox

The default setting for this box is checked. This allows any empty hours in your playout system's output file to be automatically unscheduled in GSelector as part of the reconciliation process.

Typically, a user might want to use the default setting to protect hours that have not yet been played, when reconciling during today. in this case, the box could be unchecked to protect the GSelector schedule. More typically, when reconciling a day in the past with where nothing was played in specific hours by the automation system, checking the box would unschedule the log for those hours.

Load Button, Reconcile button and File List pane

Click the Load button to find unreconciled event logs and display them by date and hour in the File List pane. All unreconciled event logs are displayed sorted by date and where the file format calls for this, by hour in the file list pane. To view the contents of any event log, select that log by date and, where required by hour, in this pane. A summary of discrepancies between the event log and the original schedule is displayed in the Discrepancy details pane. To reconcile an event log, check the box for that log in the file list pane, as shown in this detail image, and click the Reconcile button.

Discrepancy Details pane

Select an event file in the File list pane. This will display a summary of all 'events' in the details pane. An 'event', for Reconciliation purposes, is an item that has been played and so entered into the event log. Click any hour to expand the view and review the discrepancies before reconciling. Note that items that have been omitted from the playout are not shown here. Any item that has been dropped has its history updated as part of the reconciliation process. As a result, such items will be immediately available for scheduling.

NOTE: Reconciliation into GSelector works in the basis of the Song or Link ID. Both active and inactive Song IDs are recognized. If an item is used that is not in the station into which the event log file is being reconciled, it will not be recognized. So if a show is networked and then reconciled locally, it is essential that all participating stations are up to date.

Songs/Links Activated to Default Category pane

Where a song exists in the GSelector library, but is not active An Active item - a Song, Link or Note - is available to schedule in the current station. in the station to which it is being reconciled, it will be displayed in this pane, and then activated and assigned to the station default category.

Unrecognized Songs/Links/Breaknotes pane

This pane is designed for songs which are, by external means, placed in an automation system, and which do not exist as active or inactive songs in the Library. When presented for reconciliation in the associated event file, GSelector will list such songs in this pane. This material can be then manually added.

Topic Overview: GSelector Reconciliation window

Working in this window

The Process described

Configuring Third Party Event logs

The Process Described

  1. The playout system generates an event log. In general, this log can be placed in any folder of your choosing.
  2. Navigate to this folder in the Path field.
  3. Select your playout system in the Automation System selection list.
  4. Select the GSelector field to use for Media ID matching.
  5. Alternately configure the file format as described in the Configuring 3rd Party Event Logs notes.
  6. When you are ready to reconcile, normally the day after broadcast, click the Load button.
  7. All event logs are loaded to the File List pane for review of reconciliation, listed by date.
  8. To review, select day files in the File List pane, and click hours to review in the Discrepancy Details pane.
  9. To reconcile, check the date checkboxes in the File List pane and click the Reconcile button.

Configuring third party event logs

  1. First check that your system is not listed in the Automation System Selection list box.
  2. In the playout system configure a text file event log for each day's output, consulting its documentation if needed.
  3. The event log filename should be YYMODD.INP, where YY represents the Year, MO the Month and DD the date.
  4. Define a path for this file, accessible from the GSelector machine.
  5. Select RCS Format (ID) in the Automation System Selection.
  6. Design the format as specified here, with the minimum fields that MUST be included as follows:
Column | Length | Input Field
9 | 7 | ID
79 | 1 | Event Type (S-song, L-link)
80 | 8 | Actual Air Time (HR:MN:SC, ex: "13:05:03")
88 | 5 | Actual Runtime (MM:SS, or "04:13")
  7. However, we recommend this format, which includes Title and Artist/Sponsor for ease of reference, and which includes any modified runtimes:
Column | Length | Input Field
9 | 7 | ID
31 | 24 | Artist (Songs only)
55 | 23 | Title
79 | 1 | Event Type (S-song, L-link, T-traffic, H - spotset holder if no traffic follows)
80 | 8 | Actual Air Time (HR:MM:SS, or "13:05:03")
88 | 5 | Actual Runtime (MM:SS, or "04:13")
  8. Export the event log from the playout system to the designated folder.
  9. Then follow steps 4 onwards from the Process described notes above.

Other operational notes

Your Automation system should be able to delete GSelector export files. Import files in the input path are deleted after reconciliation. If a song or link's Actual Air Time has been pushed back or forward to the previous or next date, that event is moved to that date's event log file.

Topic Overview: GSelector Reconciliation window


Traffic window

Traffic window - Current Station

The Traffic windows allows integration and reconciliation of Traffic files of the GSelector schedule. During the Integration process, Spots are placed into the finished schedule, as specified by the Traffic system, into locations specified in each Clock (either a Spotset or a Spot Block), at times specified by Exact Time Markers. The total time for each hour is revised to include actual timings; these replace the estimated timings defined in Clocks for each Spotset. Reconciliation allows the user to create a reconcile file, to use in the traffic system, with any changes made to spots while in GSelector.

This window is the default view for Traffic in GSelector, and allows Integration and reconciliation of Traffic for the current active station. See the notes for the Multi-Station Traffic window for notes on integrating and reconciling multiple stations simultaneously.

This window is only accessible for GSelector stations which are licensed for Linker.

Accessing

Features

Workflow

Notes on Traffic Integration

Accessing the Traffic window

For the selected station, click the Linker tab, and then the Traffic tab, and finally the Current Station tab to access a window similar to this detail illustration.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Traffic window

Features in this window

NOTE: Some fields are common to the Current Station Traffic window and the Multi-Station Traffic window.

Integrate

Reconcile

Integrate Tab

The Integrate tab is used to integrate a traffic file with GSelector.

Traffic System

Path field

Filename

Station Number

Character Set

Filter Commercial Types

Date Range Pane

Wrap, Block or Hour Grid selection

Integrate Button

Run Scheduler after Integration

Integrated file list

Traffic System

Click to select the station's traffic system from the drop-down list. GSelector works with all major traffic systems in use worldwide. The relevant traffic filename for the selected system is displayed in the Filename field.

Path field

Enter or use the navigation button to create the path to the station Traffic system machine in this field. Work with the site IT manager for assistance.

Filename

This field stores the filename format for the traffic system for the selected station. The field is automatically filled out when the Traffic System is selected. However, this field can be edited to reflect any customized changes made in the Traffic system. See the notes in the Export Schedule topic for details on the variables used.

Station Number

Where used, enter a station number. This is used in some traffic systems to identify stations in a group.

Character Set

Traffic systems use either ASCII ASCII (American Standard Code for Information Interchange), is a character set most commonly used by computers and other communication equipment to represent text. or ANSI ANSI (American National Standards Institute) is a variation on the ASCII character set commonly used by computers and other communication equipment to represent text. character sets. Consult your Traffic system documentation as to the Character set used, and select the appropriate radio button..

Filter Commercial Types

The Filter Commercial Types field allows the user to enter a list of commercial types that should not be integrated. Each type is marked by a code. Each code in this field should be separated (delimited) with a comma. If a spot has a commercial code that the user has entered in the filter box, then that spot will not be integrated by the Linker window. Refer to the Traffic Systems documentation for details of what codes are assigned in that system for this purpose.

Date Range Pane

The default date is the day after the last date integrated. Select the desired date and time range for the Traffic Schedule. If less than 24 hours is selected for Traffic integration the user will receive the following warning.

Wrap, Block or Hour Grid selection

After the start and end dates and hours to schedule are entered in the Date Range Pane, the user can define further what they want scheduled. When selecting the Wrap feature the scheduled range will include all hours and days specified in the range. So if the Range selected were From: Sat 12/25/2010 at 8 AM Thru: Fri 12/31/2010 at 2PM the hours scheduled would be from 8AM on the 25th of December thru 2PM the 31st of December, but if the user were to select Block for the same range the hours scheduled would be only 8AM thru 2PM on the selected days the rest of the hours on the selected days would not be scheduled. When using an Hour Grid the user will select an existing Hour Grid from a drop-down list or use the import button to Import an Hour Grid from another station within the database. When the Grid Inclusion option is selected the hours that are selected in the Hour Grid will be the only hours included for the Date and Time range specified. If the Grid Exclusion is selected the hours in the Hour Grid will be excluded for the Date and Time Range selected.

Integrate Button

Click the Integrate button to import and combine the traffic schedule with the music schedule. After the flat file is integrated it is copied to the Processed Flat Files folder and renamed with the date and time that the file was originally integrated. The Processed Flat Files folder is found in the same directory as the original flat file. The original file is still available in the original file path. To have the original flat file deleted after it is integrated and copied to the Processed Flat File folder, enable the Delete traffic file after integration option in the Miscellaneous tab of the Setup | Station | Features tab. If for some reason the traffic file must be reintegrated into the schedule and GSelector cannot find the traffic file in the path specified it will look for a file with the date selected in the Processed Flat Files folder. If a file is found it will prompt the user to select the file from the previously integrated files.

Run Scheduler after Integration

The Run Scheduler after Integration checkbox will schedule the days log in the Scheduler after the traffic file has been integrated. This can be used to Schedule any Interstitials that might be used in the Spot Blocks. GSelector will first integrate the Traffic into the Spot Block and place Unscheduled Song or Unschedule Link Category positions into the Spot Block where interstitials are specified. If the Run Scheduler after Integration is selected these unscheduled positions will then be scheduled. If the Run Scheduler after Integration is not checked these position will remain unscheduled until the Scheduler is initiated to schedule the positions.

Integrated file list

When integrating the schedule, all Traffic files are listed in this pane, along with the Station name and post-Integration Status.

Topic Overview: Traffic window

Reconcile Tab

The Reconcile tab is used to create an export a Traffic system reconcile file.

Click any area in the image for help

Traffic System

Path field

Filename

Station Number

Character Set

Date Range Pane

Wrap, Block or Hour Grid selection

Reconcile Button

Reconciled file list

Traffic System

Click to select the station's traffic system from the drop-down list. GSelector works with all major traffic systems in use worldwide. The relevant traffic filename for the selected system is displayed in the Filename field.

Path field

Enter or use the navigation button to create the path to your station Traffic system machine in this field. You may need to work with your IT manager.

Filename

This field stores the filename format for your traffic system for the selected station. The field is automatically filled out when you select the Traffic System. However, this field can be edited to reflect any customized changes you may have made in your Traffic system. See the notes in the Export Schedule topic for details on the variables used.

Station Number

Where used, enter a station number. This is used in some traffic systems to identify stations in a group.

Date Range Pane

Enter the date and time range of the Traffic Schedule.

Reconcile Button

Click the Reconcile button to export and create the reconciliation file for your traffic system.

Character Set

Traffic systems use either ASCII ASCII (American Standard Code for Information Interchange), is a character set most commonly used by computers and other communication equipment to represent text. or ANSI ANSI (American National Standards Institute) is a variation on the ASCII character set commonly used by computers and other communication equipment to represent text. character sets. Consult your Traffic system documentation as to the Character set used, and select the appropriate radio button..

Reconciled file list

When reconciling the schedule, all Traffic files are listed in this pane, along with the Station name and reconcile Status.

Topic Overview: Traffic window

Workflow in the Traffic window

To initially configure the Traffic integration window, select your Traffic System, specify the Character set, and set up the Path to the Traffic schedule file.

For day to day operation, follow these steps:

  1. Specify the Date Range
  2. Select Wrap, Block or Grid to define the date range further
  3. Select the Station Number.
  4. When your daily Traffic file is prepared and ready to be integrated, click the Integrate button.
  5. The schedule is examined for each station by GSelector for ETM Spotsets. If no GSelector schedule has been generated, GSelector will, for each station, create an empty schedule from applicable Clocks, and then examine the schedule for ETM Spotsets. The Scheduler can be run for the selected dates at any time after integration.
  6. The Traffic file is imported and integrated into the Schedule. Each file in the date range is displayed in the Integrated file list pane.
  7. Several traffic systems accept a file to import changes made to spots within GSelector. Select the Reconciliation tab to access this feature.
  8. Specify the Date Range and select the Station Number.
  9. Click the Reconcile button.
  10. Use the created file to reconcile your traffic system.

Notes on Traffic Integration

These notes cannot deal with all aspects of configuring your Traffic system, but they highlight some of the key issues of synchronizing your Traffic and GSelector schedule.

Building GSelector Clocks for Traffic integration

Spotset Timings

Schedule Timing Implications

Schedule Information

How GSelector handles Spot loads

How GSelector handles Spot Blocks

Spot Block Conditions

Spot Blocks Scheduling and Traffic Integration

Dummy Spot suppression

Building GSelector Clocks for Traffic integration

When designing Clocks, you should place an Exact Time Marker Defined in minutes and seconds, these mark points in the Clock hour. They are used to adjust the air time in the schedule, or to tell operators when a program element should be broadcast before each Spotset to identify where that Spotset is placed in the Schedule. While the timing of the intervening Clock elements is generally not quite as critical as the placement of the Exact Time Markers, you should aim to neither under-run nor over-run between Exact Time Markers. At the same time, ETM times should as far as possible match both the Start Times specified in your Traffic system, and the intervals between those ETMs.

Spotset Timings

The Start Time indicated for each Spotset in your Traffic file is read by GSelector Traffic integration. GSelector places Traffic file Spotsets so their Start Time matches or follows an Exact Time Marker time in the clock, and before the following Exact Time Marker time.

If the schedule contains ETM Spotsets with timings of 0.12.00 and 0.24.00, a Spotset in the Traffic file with a Start Time of 0.13.00 will be placed immediately after the first ETM. Note that if you have another Spotset in the Traffic file with a Start Time of less than 0.24.00, it, too, will be placed immediately after the 0.12.00 first GSelector ETM Spotset.

If you only have one Spotset in the Traffic file in a given hour, with a Start Time of, for example, 0.45.00, this will be placed on or after a GSelector ETM Spotset of with a timing of 0.45.00, no matter how many ETMs are in the schedule for that hour. If there is at least one spot integrated in an hour, then the runtime on all Spotset holders in the hour is ignored for timing purposes.

NOTE: If you do not place ETM Spotsets in the schedule, all Spots in the Traffic file are placed at the top of hour for that hour.

Schedule Timing Implications

The Spotset runtimes and following Air Times runtime in the Schedule are be modified to take account of the duration of the Spots inserted in the log from the Traffic file. If Spots lasting 1'30" are inserted into a Clock Spotset lasting 2'00", the overall duration of the Hour in the Schedule is reduced by 30", and subsequent Air Times are adjusted accordingly.

Schedule Information

When working in the Schedule in the Editor window , Spots are displayed by Air Time, ID, Spot Title and Sponsor where appropriate (in the Artist field). The status field will display Integrated for all Spots that have been Integrated into the schedule.

How GSelector handles Spot loads

During the Traffic Integration process, when there is at least one spot in an hour, GSelector replaces the Clock runtimes of Spotset Holders with the actual spot timings, and the total times for each hour will reflect the new values in the Spotset Holders. Where, however, there are no Spots to be integrated into the schedule, GSelector schedules a dummy spot titled "No Spots in [ xx] Hour", where xx represents the hour in question, in every hour in which there are no spots in the traffic file.

Dummy Spot suppression

The GSelector Traffic Integration process will place a Dummy Spot in every hour when the traffic file contains no spots in that hour. Uncheck the Insert Dummy Spot box in the Station - Features window to suppress scheduling of the Dummy Spot. You might want to do this if the presence of the Dummy Spot prevents proper Reconciliation back to the traffic system, or if you'd rather not have any Dummy Spots in your schedule and export files.

Topic Overview: Traffic window


Traffic Window - Multi Station

The Multi-Station tab in the Linker Traffic section offers similar functionality to that in the Current Station window, but does it for all the Stations in your database. It allows you to specify paths, traffic systems and then Integrate or reconcile Traffic for all selected stations for one time period, with one click. This window is only accessible for GSelector stations which are licensed for Linker. With the exception of features designed expressly for multiple Station integration and reconciliation, most of the settings fields are the same as in the Current Station window, but are laid out to ease of multiple Station Traffic configuration.

Accessing this window

Features in this window

Working in this window

Accessing this window

Click the Linker tab, then Traffic, and finally the Multi-Station tab.

Click any area in this image for help

Click any area in this image for help

Topic Overview Multi-Station Traffic window

Features in this window

Multi-Station window fields

Common fields to the Multi-Station and Current Station window

Multi-Station window fields

Station List

Station Selection Checkboxes

Select All Checkbox

Station List

All Stations in the GSelector database are listed in this column. This allows you to make settings for each station in the various common Traffic window fields. You can integrate a traffic file into any station, both those with On-Air licenses , and without.

Station Selection Checkboxes

The default setting for each of these boxes is Checked, which allows Integration for the selected Station. Uncheck the box to remove this Station from the Integration process.

Select All Stations Checkbox

Check this box to automatically include all stations in the Integration process.

Common fields to the Multi-Station and Current Station window

There are a number of common features with the Current Station Traffic window. For many of these the only functional difference is that you assign specific settings to each Station in the Station List on the following fields:

Traffic System - Note: You can integrate from any available system; there is no restriction on integrating from different systems in one operation.

Path

Filename

Station Number

Character Set

Filter Commercial Types

Date and Time Range

Wrap, Block or Hour Grid selection

Integrate button

Schedule after Integration

Integrated Traffic file Report pane

Reconcile button

Reconcile

Reconcile Traffic Report Pane

Topic Overview Multi-Station Traffic window

Working in this window

  1. Configuration: for each Station, select the Traffic System to use, specify the Character set, and enter the Path to the Traffic schedule file.
  2. Operation: Specify the Date Range, Wrap, Block or Hour Grid and select the Station Number.
  3. When Traffic files are available, click the Integrate button.
  4. The schedule is examined for each station by GSelector for ETM Spotsets.
  5. If no GSelector schedule has been generated, GSelector will, for each station, create an empty schedule from applicable Clocks, and then examine the schedule for ETM Spotsets. The Scheduler can be run for the selected dates at any time after integration.
  6. The Traffic files are imported and integrated into the Schedule, in the order set in the Stations window in the Administration section of GSelector.
  7. Each file in the date range is displayed in the Integrated file list pane.
  8. After the days logs have been executed, select the Reconciliation tab
  9. Specify the Date Range and select the Station Number.
  10. Select Reconcile button
  11. Each file in the date range is displayed in the Reconciled file list pane, use the created files to reconcile your traffic system.

See also the notes on these topics in the main Traffic window topic

Building GSelector Clocks for Traffic integration

Spotset Timings

Schedule Timing Implications

Schedule Information

How GSelector handles Spot loads

Topic Overview Multi-Station Traffic window


Using Audio in GSelector

GSelector supports the playback of audio associated with Songs, Links and Zetta Voice Tracks. GSelector windows display a set of Audio Controls in the top Menu Bar, to preview audio for one or more Songs or Links in Library screens, or scheduled Songs and Links in the Editor. For example, when using the GSelector player, you can preview the opening and closing of Songs in sequence in the Editor. The title bar displays the name of the Song or Link being played. When GSelector is Integrated with Zetta, Spots and Voice Tracks in the Editor can also be played.

Audio can be played from these windows:

The Song window, Browse window, Browse List and Category Changer windows in the Library section;

The Link window and Link Browse window in the Linker section;

The Balance tab: Song Demand in Goals;

The Categories window in Goals and Link Goals Categories in Linker;

The Spin and History tabs in Analysis and Spins and History tabs in Link Analysis;

The Editor window (for stations with On-Air Status only).

If you have already started a playing Songs or Links from one of the above windows, and then navigate to another window, these will continue to play as you work in the new window.

Audio files for GSelector player access can be stored locally or on a network. They can be played through the GSelector player, or through an External Audio player of your choice. The External Player setting also supports playout of Video files through a suitably equipped player.

Manually Associating Audio with a Song or Link

Working with large external Databases

Defining Audio Paths

using Song or Link fields

using full file or basic filenames

Working with the GSelector player

Playing audio from an integrated Zetta system

Working with an External player

Using GSelector field data as metadata

Playing Video files

Manually associating Audio with a Song or Link

GSelector supports the ability to manually specify a path to a specific file for any Song or Link in your database from the filename field in the Song or Link window. If you use the GSelector Song and Link Audio Paths to automatically reference files in a dedicated audio store, you do not need to use this field. Providing that the address information in this field is accurate, there is no need to remove data from this field if you switch to Audio Paths after using Filename associations. If this may not be the case, it's a good idea to review the contents of this field if you implement Audio paths.

To manually associate a Song or Link window with audio:

  1. Select the Song or Link window
  2. In the Media pane, click the navigation [image] button at right of the Filename field.
  3. Navigate to your designated Audio Storage folder.
  4. Select the appropriate file.
  5. Click the Save button in the toolbar to save your changes.
  6. To add runtime and trim values, click the Audio Analysis tab to open the Additional Information window for this Song or Link.

Topic Overview: Using Audio

Working with large external Databases

When interfacing GSelector to an external playout system across a network, audio files are generally stored in a dedicated audio store. In many cases, file information for each item is copied directly to a specific field in the GSelector database. For details, contact RCS support. In other cases, users add audio files to their store and then enter the filename into a selected field in GSelector. When file information is stored this way, it enables the user to automatically access and play audio files from any Song or Link window from GSelector, by referencing the field in the audio path. See the notes below on Defining Audio Paths.

Defining Audio Paths

The GSelector Setup section Station - General window supports Audio Paths for Songs and Links. You can specify a path to the Audio folder for both Songs and Links, and to include one or more custom macros , which can specify the GSelector field storing the audio file name, or any field used on the Song or Link windows, listed below. You can also use a macro which references the filename field on the Song or Link windows. When you click the play button, GSelector reads the path details and locates the filename.

Audio paths using Song or Link fields

Audio paths using full file or basic file macros

To define Audio paths using Song or Link fields

  1. Click the Setup tab and in this section click the Station Tab, then the General tab to access the Setup section Station - General window. This detail illustration shows just the Audio Paths pane.

  2. In this pane, specify paths for Song and Link Audio files. If you store all your audio in one folder, enter the same path; otherwise specify a path for each item.
  3. The illustration above shows that the user is entering a value in the Station Specific ID field for both Songs and Links. Note that you can only specify one GSelector field.
  4. To select a field to use in the Song or Link path, click the Field Picker [image] button at the right of the field.
  5. This opens a drop-down list of available Song or Link window fields, any of which can be incorporated into the path.

This is the list of Song fields:

Internal ID

Station Specific ID

Media ID

User-Defined field 1

User-Defined field 2

User-Defined field 3

User-Defined field 4

User-Defined field 5

User-Defined field 6

User-Defined field 7

User-Defined field 8

User-Defined field 9

User-Defined field 10

NOTE: The Song and Link Additional tab User-Defined fields are listed, in sequence, by the names assigned to them in the User-Defined Fields window. For example, if you have defined Field 1 as 'Address', and Field 2 as 'Complete Work', those text strings will be displayed in order in the drop down. If you need to construct a more complex path manually using the User-defined fields, build in path information using the original field name, e.g. <%UserDefined3%>.

Title

Artist

Station Name

Category Name

Category Long Name

Film Name

Runtime

Intro 1

Intro 2

Intro 3

Trim In

Trim Out

Hook Start

Hook End

The last two options allow you to specify Audio Paths using Filenames, detailed below.

Filename (with path)

Filename (without path)

  6. Add one or more fields to the path by clicking the Field Picker button, and selecting a field. When first specifying a Path, the selected field is placed in the Path at the start of the field.

This allows you to create a path using multiple GSelector fields, which carries specific information which can be used and sorted by the External application, or by a Macro A macro (in computing terms) specifies how a sequence of characters should be processed according to a defined procedure. which could parse this information. See the Using GSelector metadata notes.

  7. When using audio files in a designated audio folder, audio filename information can be placed in the GSelector field of your choice. For example, to use the Media ID field, select Media ID from the field list. This places the <% MEDIAID%> macro in the path, as the first item.
  8. Then, with the cursor at far left, define the audio path in the usual way. For example, a typical path might be “ c:\ audio\<% MEDIAID%>.wav”.
  9. Enter the appropriate values in the Media ID field for each Song, Breaknote and Link window, corresponding to the audio filename for each item. If the media ID is “1234” for a Song, GSelector will open the “ c:\audio\1234.wav” file.

When audio paths are specified in this way, there is no requirement to manually associate Audio in the Song or Link Media Pane Filename field. However, this does not prevent you from entering a value in this field. Some users enter values in both fields as a backup. Other users store local audio references in the Song and Link window filename fields, which could allow, for example, a user to check audio while working away from base with a laptop.

Audio paths using full file or basic file macros

When working with these options, GSelector will reference the file and path information stored in the Song or Link Media Pane Filename field. This allows a range of configuration options depending on your programming requirements.

  1. Click the Setup tab and in this section click the Station Tab, then the General tab to access the Setup section Station - General window.
  2. In either the Song or Link path window, click the Field Picker [image] button, and scroll down to the bottom to select one of the two filename options.
  3. Alternately, enter either of these macros: <%filename%> or <%basename%>
  4. The first option enters the full filename and path into the Song or Link path field, and the second simply the filename.

Topic Overview: Using Audio

The GSelector player

NOTE: While the GSelector Player will work with most common audio file types, RCS Audio Analysis software will only work with .wav files.

The GSelector player uses Window Media Player functionality in minimized mode. It can play any compatible audio file format. If the audio file format is not compatible with this player, you can optionally switch to the External Player.

Controls

Keyboard Shortcuts

Select Play Options

Associating Audio with a Song or Link

GSelector Player Controls

GSelector player controls are embedded in the menu bar at the top of the GSelector window. This Player cannot be expanded. To use Windows Media Player's other functions, you can opt to configure Windows Media Player as an External player.

Click any control in the image for help

Keyboard Shortcuts

Keyboard Shortcuts can also be used to initiate the play of a single audio event or a list of audio events. Ctrl+F11 will play a single element. In a list, it will play the element having focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus. When that element finishes playing, the next element lower in the list will play. This process will continue until the bottom of the list is reached. In a Browse List, CTRL+F11 will play the element having focus if the Browse list has focus. Alt+F11 will play elements in a list consecutively. In a list, Alt+F11 will play the element having focus if the Browse List has focus. When that element finishes playing, the next element lower in the Browse List will play. This process will continue until the bottom of the list is reached. In a non-list context, such as in the song editing window, Ctrl+F11 and Alt+F11 will play only the current element. These keyboard shortcuts can be used in the following windows to play audio.

Editor

Library | Browse - Library Browse List

Library | Song

Library | Category Changer

Goals | Balance | Songs

Goals | Balance | Song Groups

Goals | Categories

Linker | Link Library | Browse - Link Library Browse List

Linker | Link Library | Link

Linker | Link Library | Category Changer

Linker | Link Goals | Categories

Linker | Link Goals | Balance

Analysis

Play Rest of Audio for all events

Click this button to play all audio events in the Browse List or Log Editor. The player will play your selected audio option (All/Hook/Open and Close/Open, Hook and Close) for all items in the list. Note that the player does not segue or overlap audio files. Each file or file segment is played in its entirety, before moving on to the next audio file.

Play the Audio for this event

Click this button to play the selected audio event in the Browse List or Log Editor. The player will play your selected option for all items. When an item is being played, the Artist, Title, and elapsed time is displayed in the menu bar.

NOTE: When working with an External player, the Play Rest and Play This audio buttons will open the External Player application. Thereafter, you control the audio playback with the Player's controls.

Select Play Options

Click the button next to the Event Play button to select the Audio Play Options. GSelector will continue using the setting selected here as the default setting until it is changed. The options are:

All - All will play the entire audio file.

Hook - Hook will play the audio between the Hook A clearly recognizable part of a Song, used in research and for song identification. Start and Hook End markers.

Open/Close - Open/Close will play a set duration after the Trim Trim Start and Trim End are audio markers placed on an audio file to mark the begininng and end of the usable part of the audio. Start marker and a set duration before the Trim End marker.

Open/Hook/Close - Open/Hook/Close will play the above and the hook audio portion.

Auto Play - Auto Play will switch from the previously playing element to the current element if the focus/selection changes.

For Example: If you have selected Song A and start playing it, then when you move to Song B, Song A will stop and Song B will start playing.

Pause

Click to pause the player. Click again to resume playing Audio.

Stop Audio

Click to stop the selected item or items from playing.

Go to Previous and Go to Next

Jump to the next or previous items in the list.

Seek Slider

The Seek Slider control lets you change the playback position at any time. This control appears between the Play Option buttons and the Mute button. The control is adjustable only when audio is being played. When playing a hook, the seek slider will adjust to the length of the hook.

Mute

Use the speaker button to mute and unmute the audio being played.

Volume Control

Use this slider control to adjust volume.

Playing audio from an integrated Zetta system

When GSelector is Integrated with Zetta, Zetta tells GSelector the filename and path of the audio for the asset. This allows the user to preview the Zetta audio for the Song or Link from the Library/Link Library in GSelector. Zetta Songs, Links, Spots and Voice Tracks can also be previewed in the GSelector Editor. The Spots can be integrated through GSelector using Linker | Traffic or through Zetta using flat file.

Note: The Log must be generated in both Zetta and GSelector for scheduled spots and Voice Tracks to be playable in the GSelector Editor.

Topic Overview: Using Audio

External Players

GSelector supports the use of external players. This lets you use a player of your choice to playback any audio - or video - file, not just those files supported by Windows Media Player. You can select any suitable media player, including Windows Media Player. This allows you to use any external player's full functionality.

Controls

Configuring an External Player

Using GSelector Metadata

Playing Video files

Controls

When you configure an external player, the only operational GSelector buttons are the Play Rest, Play This buttons and the Seek Slider. Click either to access the External player, which opens in a separate window. Thereafter, once the External Player begins playback, you use the player controls.

Configuring GSelector for an External Audio Player

  1. From the Menu, select the Tools option, and then the Configuration sub-option , to access the Configuration window. This detail illustration shows the External Audio Player pane.

  2. Check the Use External Player checkbox.
  3. Check the Non-ASX mode box if the selected Third Party player does not support the use of Windows Media Player playlist files (*. asx This is a Windows Media file, which provides information about ASF (Advanced Streaming Format) media files, including descriptions of multimedia content such as playlists. When a browser links to an ASX file, the ASX file in turn links to its associated ASF file on a server. ) formats. Refer to your player's documentation for more information.
  4. Enter a path on this machine to the desired external player. if this field is left blank, the default GSelector player will be used.
  5. Save your changes and close this window.

Using GSelector field data as metadata

However, any Song or Link field available to you when you define an Audio Path can be incorporated into the Song or Link path to automatically carry GSelector Song or Link data, and this can be used as Song- or Link-specific Metadata Metadata, in computing and database terms, is "data about other data", of any sort in any media. Audio file Metadata is often used to store secondary information about the contents of the audio file.. The tool is particularly useful if GSelector has a very detailed database. This allows you to export detailed metadata to a suitably equipped third party player. When using audio paths this way, you should work with your IT department to create macros to parse this information so it can be used by the third party player.

Playing Video files

You can access and play .wmv and other video file formats, subject to your External player's capabilities.

  1. Store the video filenames in the usual way, either in the Song or Link Filename field, or in a specific field that can be referenced by the Song or Link Audio Path.
  2. Configure an External Player with video capability.
  3. Click the Play this or Play rest buttons to open the External Player and play a Browse List or a Single item.
  4. The External Player controls are used from this point onwards.

Topic Overview: Using Audio


Selector2GO® Overview

Selector2GO® is a feature of GSelector but is tailored for the web, Selector2GO works on all of today’s contemporary browsers and across platforms and mobile devices. This includes most PC and Mac computers as well as the vast majority of current smart phones, tablets and e-readers, including the iPad and iPhone. The data flow is kept small to enable fast performance, even on mobile networks like 3G. Selector2GO gives you powerful core scheduling, schedule editing functionality and essential analysis details of your rotations in the palm of your hand.

Selector2GO is based on the same basic functionality of GSelector.

Device Requirements

A special Internet server is automatically installed along with GSelector. After installation Selector2GO can be accessed by opening a VPN connection to the location of the GSelector Service Host machine and entering the following line in the Web browser of the device to be used:

http://[ipaddress or fully qualified machine name]/selector2go

Important Note!

Selector2GO is only supported on Internet Explorer version 9 or higher and cannot be run in "Compatibility Mode". Use IE9 or higher or a different browser, such as Google Chrome, Firefox, or Safari.

GSelector Requirements

This feature requires GSelector Version 4.0 or higher. The user will connect to the Service Host Server for the site. The Image below shows a Large GSelector Server Setup, but any Server installation configuration is supported with Selector2Go.

Important Note!

Selector2GO is not supported using the Stand-Alone option during GSelector installation.

Overview: Product Overview


Connecting to Selector2GO®

Selector2GO® is an online connection to the Service Host Server. The client can use Internet Explorer 9, Google Chrome, Firefox, Opera or Safari when using a PC, Mac or Laptop to connect to the Desktop Web version of Selector2GO. The user can also connect to the mobile version of Selector2GO, using an Apple iPhone or iPad or an Android smart phone or tablet.

Accessing Selector2GO

Login Window

Accessing Selector2GO

To reach the login screen for Selector2GO, enter the IP address of the Service Host computer, then a slash and finally the words "selector2go" into the Web Browse window. The login page will differ depending on the device used to connect.

Example: http://<ip_address>/selector2go

Login Window

A valid GSelector user name and password are required for access to the web page for Selector2GO. To acquire a login to the GSelector database, contact the GSelector Administrator to obtain a login.

Important Note!

Administrators: A word to the wise, if you do not have Security enabled in GSelector, anyone will be able to access the service using the ‘Everyone’ account. See the Working with Security section of this guide for additional information on Securing GSelector.

Login options

By clicking the options button, the user can set the device to Remember User Name and/or set the connection to remain logged in using the Keep me logged in option. The user will remain logged into Selector2GO as long as there is user activity, after 20 minutes of inactivity, the user will be logged out automatically. After this time, if the Keep me logged in option is used the login page is bypassed and the main menu is loaded immediately when reconnecting to Selector2GO. To change the idle time, edit the C:\Program Files\RCS\GSelector\RCS.GSelector.Web\Web.config file and set the timeout value under sessionState to the desired value in minutes. Optionally, the same changes can also be made to the C:\Program Files\RCS\GSelector\RCS.GSelector.Web.Mobile\Web.config, which will control the timeout for the Mobile version of Selector2GO.

For more information on this feature, see the full Selector2GO Help Guide on any GSelector Client machine at: C:\Program Files\RCS\GSelector\SSelector2GO.pdf

Topic Overview: Connecting to Selector2GO


Using the Help System

The GSelector Help System is a detailed online guide. Online Help is always at your fingertips, and is shipped updated with every new release. The topics below give full details about online help, with general information on how help topics are set out.

Help System Topics

Click any topic for details, or scroll down to read all of the topics.

Accessing Help
Button Pane
Content Pane
Contents tab
Customizing the Help Viewer Display
Glossary
Graphic Links
Help Menu
Help System Viewer
Hypertext Links
Index tab
Navigation Pane
Search tab
GSelector Help

Accessing Help

GSelector help is context sensitive: that is, the help page you access when you press F1 on your keyboard is relevant to the window you are working in. Click Help from any screen menu, then select Dynamic Help or press F1 on your keyboard to access Help for the current window.

Help System Viewer

Help is displayed in the Help Viewer. This has three major areas: the content pane, the button pane and the navigation pane. To hide the Help Viewer, click the minimize button [image] at the top right of the Help window. This will minimize the Viewer, placing it on the Windows® taskbar. To reopen GSelector Help after minimizing, click its button on the taskbar.

Customizing the Help Viewer Display:

To resize the navigation pane or content pane
Place the mouse pointer on the divider between the two panes. When the pointer changes to a double-headed arrow drag the divider right or left.

To shrink or enlarge the entire Help Viewer
Place the mouse pointer on any corner. When the mouse pointer changes to a double-headed arrow, drag the corner.

To change the height or width of the Help Viewer
Place the mouse pointer on any edge. When the mouse pointer changes to a double-headed arrow, drag the edge.

To move the Help Viewer
Click its title bar and drag it to a new position.

Content Pane

Help content - the text you are reading now - is displayed in the content pane of the help viewer. Scroll through the text using the scrollbars.

Hypertext Links

A hypertext link is an underlined word or phrase that, when clicked with the left mouse button, jumps to a different area of the help system. To see how it looks and works, click the hypertext link here.

Graphic Links

A graphic link is an area of an image that, when clicked, takes you to textual information related to that section of the image. To see how it looks and works, click the image above.

Not all graphic images contain links. Those that do are indicated by text within a box - like this one - above or underneath the graphic. This shows that you can click an area of the image to learn more about that particular area.

Button Pane

The button pane is at the top of the Help Viewer. Its buttons access features and functions in the online help system.

Click any of the buttons above to see specific help for that button.

Click the Hide button to close the help system navigation pane. When the navigation pane is closed, the hide button becomes a show button.

Click the Show button to open the navigation pane again. When the navigation pane is opened, the show button becomes a hide button.

Click the Back button to go back to the previous displayed topic. Repeat clicks will retrace all of the topics accessed in this session in online help.

Click the Forward button to go forward (where possible).

Click the Print button to print information in the help system. There are three options: the current topic visible in the content pane, all topics in the current heading, or all of the topics in the help system.

Click the Options button to show a drop-down menu of options that can be selected, many match the buttons described above.

Navigation Pane

The navigation pane is at the left of the content pane. It uses a tabbed interface that gives access to help topics in four ways. Click any of the tab names at the top of the pane to access it. The available tabs are:

Contents tab

Index tab

Search tab

Glossary tab

Contents tab

The contents tab of the Help Viewer's navigation pane displays an ordered listing of help topics. Each topic is represented by an icon and a heading. Click any heading to display the associated topic in the help system's content pane. The system uses the books and pages metaphor.

A book icon means a group of topics organized into chapters and sections. Click the book heading to open the book to view additional topics or books. Book icons may be "nested." One book may contain one or more other books of related information. For example, the book Library, contains other book icons. Some books a associated with topics, the associated topic will be displayed in the help system's content pane.

A page icon indicates a single help topic. Click the page icon heading to display the topic in the content pane.

Index tab

The index tab of the Help Viewer's navigation pane provides a list of terms and concepts detailed in online help. List items may be grouped: one word or term may have others associated with it. In the example index tab shown below, for example, the terms "Artist," "Formatting," "Links" and "Menu" are indented and listed beneath "Browse window", indicating a relationship.

There are two ways to work in the index tab. Move the vertical scrollbar to find a topic, or type it in the edit field above the list box. Typing an entry will auto-complete where possible: the list box will locate the most closely matching term.

In the contents tab here, typing br in the edit field jumps to the term Browse Object, the first closest match to the text we entered.

Double click an item or phrase in the list box or select it and click the Display button. If only one help topic is found, it appears in the content pane. If more than one topic is found, the Topics Found dialog box appears.

Double click a topic or select it and click the Display button. The topic will be displayed in the content pane. To continue a search, click the Cancel button and continue looking for other terms in the index tab.

Search tab

The Search tab tool searches the entire help system contents. Unlike the index tab, it can locate any text. Type a phrase or word in the box at the top of the pane. Click the List Topics button to display all of the topics containing the specified word or phrase. Capitalization is ignored for all searches. The system locates topics with search words according to their spelling. Upper and lower case letters make no difference in the results. Each topic in the List Box contains at least one instance of the specified word or phrase. To open a topic, double click or select it and click the Display button. The selected topic will then appear in the content pane. All instances of the word or phrase within the topic will be highlighted. All topics with the word or phrase can be selected, in any order.

Glossary tab

This tab displays an alphabetically sorted list of commonly used words or phrases relevant to GSelector, along with a brief explanation of each word or phrase. These are also highlighted in the help text as expanding text where used. Click any highlighted expanding text to view further information for that word or phrase.

GSelector Help

Help Contents book headings generally match the way GSelector is set out. When browsing for general help in a subdivision of the system, open the heading for that subdivision for the topics documented there.

TIP: Throughout the help system you will see text displayed with a gray background like this. This is to highlight important information. Note the heading:
A TIP provides a shortcut or explains a process that might not be readily apparent.
A NOTE contains more information about the preceding material.
INFORMATION contains further material that is not necessarily needed, but helpful.
CAUTION or IMPORTANT warns of situations in which care should be exercised.

Help Menu

The online help system is accessed via the menu or F1 from most windows in GSelector. The last or right-most selection is usually the help option. The following choices are available on the help sub-menu:

Menu Option | shortcut | comments
Dynamic Help | F1 | Depending on the window you are viewing, either you will see Context-Sensitive help for the current field or page, or the opening screen of the Help System will be displayed.
About GSelector |  | Provides technical information about the GSelector software and database.

Topic Overview: Using the Help System


GSelector Server Error

When working in GSelector there might be a time when a GSelector Error will interrupt you. You will see a message box similar to what you see below.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

When this error or similar error occurs during startup first check the Service Manager to verify all the services required for GSelector are running. If all the services are running uses one of the following actions and contact RCS Support.

Following are details about understanding the message box and working with it.

Error Description

The blue Error Description pane displays a technical description of the error as text. Don’t worry if you do not understand the text. RCS Support can use this information to help find the source of the problem.

Send Report to RCS

Click the Send Report to RCS button only if a support technician asks you to do so. The error description will go directly to our development department where it can be analyzed..

More Information

Click the More Information button to display the complete text of the error message. Right-click the selected text to copy it to the Windows Clipboard. You could then paste the text into an e-mail message to send to RCS Support.

Reload Options

To dismiss the error message and resume working in GSelector try these options in this order:

  1. Reload Current Page: Select the Reload Current Page radio button and click Continue. The GSelector Error message box will close, the page you were working on will be refreshed and you may be able to resume work. If things aren’t working correctly or the GSelector error reappears, try the next step.
  2. Reload Station: Select the Reload Station radio button and click Continue. The GSelector Error message box will close and the station will be reloaded, returning you to the Library | Browse window where you may be able to resume work. If things aren’t working correctly or if the GSelector error reappears, try the next step.
  3. Restart GSelector: Select the Restart GSelector radio button and click Continue. GSelector will close and then automatically restart. You should be able to resume work now. If not, call RCS Support for assistance.

Topic Overview GSelector Server Error:


RCS World Headquarters

445 Hamilton Avenue, 7th Floor,
White Plains,
New York 10601
United States of America
(914) 428-4600

Support:
+1 914 259 4900
support@rcsworks.com


RCS Academy

If you are interested in attending one of our online or on-site training courses, contact your RCS Sales Manager.


Support and Feedback

Support - immediate help

Computer programs can present problems. If you're experiencing difficulty, we can help. Our support team is always available, with helpful, friendly guidance, and extensive experience in radio programming and computer technology. We don't just understand the technical underpinnings of GSelector, but the issues you face fighting the radio war.

RCS has offices and representatives worldwide. Contact your local RCS office via telephone for assistance of any kind. For non-critical problems, please call during regular business hours, or send us feedback. The RCS website has a full list of contact numbers for RCS Worldwide Offices. If you can't access the RCS website and do not know the telephone number of your local RCS office, call RCS World Headquarters.

Feedback - report non-critical problems; suggest enhancements.

It's serious: For a serious problem needing immediate attention, call RCS +1 914 259 4900.

Non-Critical Problems: Otherwise, use feedback to report any non-critical problem, preferably by E-mail.

When writing, provide

  1. As much detail as possible.
  2. As a minimum, tell us the product and version you're using and the operating system on which you're running the program. Find this by clicking Help on any menu, and then clicking About.
  3. Describe the task in hand, what should happen, and why the results do not match your expectations.
  4. It is also helpful to provide a brief description of your computer system, including processor type and speed, and the amount of memory in your system.

Click this link to email a problem report

IMPORTANT: If your E-mail program does not respond when you click either of the "send" links above, please direct your problem report to this address: Support@rcsworks.com


Clocks Fallback

This feature will allow the Scheduler to consider an alternate collection of songs or links if all the elements in the original collection specified on the clock, score below the Fallback Threshold. A Clocks Fallback is used to define one or more Category Groups to be used as a Fallback when all songs or links in the selected Clock Category Group fall below the Fallback Threshold. The Clocks Fallback tab is used to add or edit Fallback definitions which can then be assigned to a clock position in the Clock Definition window.

Accessing this window

Features in this window

Working in this window

See also the notes for the Scheduler Fallback Definition window.

Accessing this window

Click the Navigation Bar Clocks tab to open the default Clock Definition window then click the Fallback tab. This window is used to create Song and Link Fallback Definitions.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Clock Song Constraint window

Features in this window

Toolbar

Find (CTRL+F)

Fallback list

Toolbar

The Toolbar allows the user to create or edit a new Fallback, or to delete an existing constraint, and to save or cancel any changes.

Find (CTRL+F)

Pressing the CTRL+F will open the Find option allowing the user to do a "Smart Filter" find. The Finder will search for results as they are typed. To open the Find option click the Fallback List pane in the Song or Link tab and press the CTRL+F keys on the keyboard.

CTRL+F - Invokes the Find Panel.

ESC - Clears the search box. If the search box is empty, pressing ESC closes the Find Panel.

DOWN ARROW - Moves focus from the Find Panel to the grid's data area.

Fallback List

After a Fallback has been defined, it is listed here. A Fallback that has been assigned to at least one Clock position is indicated by a green check mark in the Assigned column. To edit an existing Fallback, select the Song/Link tab then the Fallback in the list, then double-click or click the Edit button.

Topic Overview: Clocks Fallback window

Working in this window

Defining a Fallback

Editing a Fallback

Deleting a Fallback

The Schedule Fallback Definition window

Saving Changes

Defining a Fallback

In the Clocks Fallback window select the Song or Link tab. Then click the New Fallback [image] button or press the Ins key on the keyboard to access a blank Scheduler Fallback Definition window.

Editing an existing Fallback

In the Clocks Fallback window select the Song or Link tab. Then select the Fallback to edit from the list, then double-click or click the Edit [image] button to open the Scheduler Fallback Definition window, displaying the current details for the selected Fallback.

Deleting a Fallback

First select the Fallback from the Song or Link tab that will be deleted, then click the Delete [image] toolbar button or press the Del key on the keyboard to delete the selected Fallback.

NOTE: If a Fallback is assigned to one or more clock positions, you will be asked to confirm that you are deleting the Fallback from all clocks and schedule.

Saving Changes

Click the Save [image] button to save any changes. A prompt will be displayed when leaving the Clocks Fallback window with unsaved changes.

Cancel Changes

Click the Cancel [image] button to re-read the original settings and return to the window to its last saved state.

Topic Overview: Clocks Fallback window


New Clock and Edit Clock Name window

New Clock window
Edit Clock Name window
Save As Clock Name window (Copy Clocks)

These windows are opened from the Clocks Definition window when Creating a new Clock, editing an existing Clock Name, or Copying an existing Clock. When you finish in these windows, close the window to return to the Definition window.

Accessing Clock Add or Edit windows
Creating a Clock
Editing a Clock

Accessing

When Creating a New Clock:
Click the New/Add button in the Clocks Definition window Toolbar , to open the New Clock window.

When Editing a Clock Name:
Select the Clock Name in the Clocks Definition window List pane , and click the Edit button in the Clocks Definition window Toolbar . Or select the Clock Name in the List Pane, and double-click, to open the Edit Clock Name window.

When Saving an existing Clock as a New Clock:
Select the Clock Name to edit in the Clocks Definition window List pane , and click the Save as New button in the Clocks Definition window Toolbar .

Topic Overview
see also Clocks Definition window

Creating a New Clock

  1. Access this window as specified above.
  2. Enter or edit the Clock Name.
  3. If this Clock is a Feeder Clock A Clock which feeds schedule elements in a preset sequence to a corresponding Master Clock. Feeder Clocks are assigned to Rolling Grids for use in Rolling Clock scheduling. used in a Rolling Grid A specialised Clock Assignment Grid which holds Feeder Clocks. These feed schedule elements to associated Master Clocks in Rolling Clock scheduling, , specify a Transition Style and Next position value; otherwise leave the settings at their default values. For more details, see the notes in the Rolling Clocks topic.
  4. Enter values for the Song, Break and Spotset holder Clock Element Sequence, or accept the default value, set in the New Clock Sequence field in the Station - Features window. (Note: Breaknotes are disabled when NexGen Integration is enabled.)
  5. Click the OK button.
  6. The Clock is created or saved.

Topic Overview

Clock Element Sequence

When creating editing or saving to a new Clock, enter Name details in the Name field.
When creating or editing a new Clock, work in the Sequence field. Song information is entered as a number representing the Songs per sweep. Sweeps are defined by entering a comma, and this creates a Breaknote In GSelector, a Breaknote is a non-music event. Breaknotes are used in clocks to mark the time and the duration of anything that is not a Song, a Link or a Spotset. Breaknotes are not used when GSelector is integrated with NexGen. in the clock. (Note: Breaknotes are disabled when NexGen Integration or Zetta Integration is enabled. Instead you will see the default 4-3-4-3 where the dash represents an Automation System Event.) If you add Link Clock requests or Rolling Clock requests later, these will also be indicated in the sequence by a comma. The other item that can be added to the sequence at this stage is a Spotset, using the $ symbol. This basic structure is then fleshed out in the Clock Definition window.

Click OK to save, and to display the new Clock name in the Clock Definition window List pane and the initial contents in the Clock Definition window content pane. Once you have specified the Clock sequence, you can then go on to edit Clock content. All Songs added when you create a Clock are assigned the default category group. Then modify your basic starting Clock Structure in Clock Definitions.

The default sequence used in this field is specified in the New Clock Sequence field in the Miscellaneous tab of the Setup Station Features window. You can set this to any Song/ Breaknote/Spotset combination you wish, use the default GSelector sequence, or leave it completely blank if preferred.

Click the OK button to close this window and add the new Clock to the Click List in the Clocks Definition window

NOTE: In the above illustration, the Clock Sequence will be
A Sweep of 5 Songs
A Breaknote, Link or Rolling Clock call
A Sweep of 2 Songs
A Breaknote, Link or Rolling Clock call
A Spotset
A Breaknote, Link or Rolling Clock call
A Sweep of 7 Songs

Topic Overview
see also Clocks Definition window

Editing an existing Clock Name

  1. Access this window as specified above.
  2. In the Edit Clock Name window, you work in a modified New Clock pane where you may edit the name of the Clock.
  3. This does not change the Clock's content or any existing assignment.
  4. If this Clock is a Feeder Clock A Clock which feeds schedule elements in a preset sequence to a corresponding Master Clock. Feeder Clocks are assigned to Rolling Grids for use in Rolling Clock scheduling. used in a Rolling Grid A specialised Clock Assignment Grid which holds Feeder Clocks. These feed schedule elements to associated Master Clocks in Rolling Clock scheduling, , edit the Feeder Transition style and Next Feeder position if required.
  5. The Sequence can not be edited in this pane; to change the sequence, you work in the Content pane of the Clocks Definition window.
  6. When you have edited the Clock Name, click the OK button to close this window and return to the Definition window.

Topic Overview
see also Clocks Definition window

Save As Clock Name

This feature lets you use a selected Clock as a template, from which to create new Clocks. As with the Edit Clock Name window, you work in a modified New Clock pane where you can Save the name of the source Clock as its new Name. In the Copy Clock process, you select a Clock to copy, assign a new name to the copied version of this Clock, and then edit the new Clock in the Clocks Definition window. If this Clock is a Feeder Clock A Clock which feeds schedule elements in a preset sequence to a corresponding Master Clock. Feeder Clocks are assigned to Rolling Grids for use in Rolling Clock scheduling. used in a Rolling Grid A specialised Clock Assignment Grid which holds Feeder Clocks. These feed schedule elements to associated Master Clocks in Rolling Clock scheduling, , edit the Feeder Transition style and Next Feeder position if required. The Sequence can not be edited in this pane. To change the sequence, you work in the Content pane of the Clocks Definition window.

When you have saved the new Clock Name, click the OK button to close this window and return to the Definition window. The new Clock name is displayed in the List pane of the Clocks Definition window.

Topic Overview
see also Clocks Definition window


Scheduler Fallback Definition window

This window is accessed when editing or creating a Song or Link Clock Fallback. The Fallback definitions created or edited here are listed in the Clocks Fallback window, and assigned in the Clocks in the Clocks Definition window.

Accessing this window

Features in this window

Working in this window

Accessing this window

From the Clock Fallback toolbar, click the New Fallback or Edit button. Optionally, select an existing Fallback and double-click it to access a window similar to this image.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Clock Edit Constraints window

Features in this window

Fallback Name field

Fallback Threshold

Retreat Threshold

Add Fallback Category Group

Delete Fallback Category Group

OK/Cancel buttons

Fallback Name field

This field is used to enter or edit the Fallback name.

Fallback Threshold

This is the lowest score threshold for the original clock category group. If all the songs/links in the original clock category group score below the Fallback Threshold then GSelector will select a song from the Fallback Category Groups defined, in the Fallback definition, for the clock position. If all songs/links in the fallback category groups score below the Retreat Threshold GSelector will revert to the original category group and schedule the best song/link for the clock position.

Retreat Threshold

This is the lowest score threshold for the elements in the fallback category group. When GSelector determines that all songs/links in the original category group fall below the Fallback Threshold it will check the scores of the Fallback Category Group. If all songs/links in this group fall below the Retreat Threshold then GSelector will revert to the original clock category group and schedule the best song/link for the clock position.

Add Fallback Category Group

The Add [image] button is used to add Category Groups to the Scheduler Fallback Definition. Click the Add button then select a category group from the drop-down.

Delete Fallback Category Group

The Delete [image] button is used to remove a selected category group from the Scheduler Fallback Definition. Select a category group from the list and click the Delete button.

OK/Cancel buttons

Click the OK button to save the Scheduler Fallback definition. It will then be displayed in the Fallback list, and can be selected in the Clock Fallback fields in the Clocks Definition window

Topic Overview: Clock Edit Constraints window

Working in this window

The process described

Delete Fallback Category Group

The process described
  1. In the Clocks Fallback window, select the Song or Link tab at the bottom of the window.
  2. Click the New Fallback [image] button to open the Scheduler Fallback Definition window. Optionally select an existing fallback and double-click, or click the Edit [image] button

  3. Enter a Name for the Fallback
  4. Set the Fallback Threshold.
  5. Set the Retreat Threshold.
  6. Click the Add [image] button to add a Fallback Category Group
  7. Select a Category Group from the drop-down list

  8. Click OK to close the window.
  9. The new Fallback definition is displayed in the List pane. Click Save [image] to save the new or edited Fallback.
  10. To apply the Fallback to a Clock position, select the position and click the drop-down arrow in the Fallback column of the Clocks Definition window to select a defined fallback.

Topic Overview: Clock Edit Constraints window


RCS Support

Phone: +1 914 259 4900
Email: support@rcsworks.com


Goals

The Goals windows are used to create and edit Song Categories, adjust demand for Songs in Song Categories, adjust demand for Attributes, define goal Priorities and specify Segue Bans.

Balance

Adjustments windows

by Daypart

by Packets windows

by Hour Restriction

Categories

Kick Override

Priorities

Segue Bans

Content Rules

Recycling

Optimizations


Score Threshold

Score Threshold panes for Songs and Links

These windows allow users to specify the lowest acceptable score The Score value shows how close the selected item is to meeting the Song or Link Scheduling Goal for this Log position. The greater the deviation from the ideal, the lower the score; the closer to 100, the better. for Songs and Links in scheduling. If the lowest score of all tested records is less than the Scheduling Score Threshold, the scheduler will leave the position unscheduled. Setting a Scheduling Score Threshold for songs and links allows users to spot and fix a scheduling condition that would lead to poor scheduling, as it blocks the automatic relaxation of goals beyond the point specified. This pane is also used to set the Attribute Fallback Score Threshold when using fallback attributes.

Accessing this window

Setting a Score Thresholds

Threshold Levels

Accessing this window

In the Song Priorities or Link Priorities windows, click the Threshold [image] button in the toolbar to access the song or link Score Threshold pane. The score Threshold pane gives access to the Scheduling Score Threshold and the Attribute Fallback Score Threshold window for songs in the Goals Priorities Definition tab and for links in the Link Goals Priorities Definition tab.

Click any area in the image for additional help

Click any area in the image for additional help

Features in the Score Threshold panes

Scheduling Score Threshold

Scheduling Threshold Levels

Attribute Fallback Score Threshold

Scheduling Score Threshold

The Scheduling Score Threshold is used to specify the lowest acceptable score for songs in scheduling. If the lowest score of all tested records is less than the Scheduling Score Threshold, the scheduler will leave the position unscheduled. Setting a score threshold allows users to block the automatic relaxation of goals beyond the point specified.

Scheduling Threshold Levels

Deciding what Scheduling Score Threshold to set for either songs or links depends on the natural balance in your database, the way you set your scheduling goals, and your database in general. A useful general guide to the Threshold level you should consider can be gained from studying the lowest scores, and the way they fall away, in the Editor Hotspots filter pane, as well as the overall Lowest Scores in the main Editor window, and the Failure Details window. If you set too high a threshold, you risk spending too much time troubleshooting scheduling failures in the Editor; too low a threshold, and you will not get the benefit of this tool.

Note: The Song or Link threshold you implement applies to all Song and Link categories. As Songs become harder to schedule the further down they are in the Category Group Importance window order, the greater the likelihood of lower Scores with low order Categories.

Attribute Fallback Score Threshold

If fallback is enabled for an attribute and if the highest/best lowest score for all songs tested is below the Attribute Fallback Score Threshold, then GSelector will use the fallback value instead of the normal value.

Topic Overview: Score Threshold panes

Working in the Score Threshold panes

Setting the Scheduling Score Threshold for Songs or Links

Setting the Attribute Fallback Score Threshold for Songs or Links

Setting the Scheduling Score Threshold for Songs or Links
  1. Click the Threshold [image] button in the toolbar of the Goals Priorities Definition tab for songs and the Link Goals Priorities Definition tab for links.
  2. Select the Enable checkbox for the Scheduling Score Threshold so it is checked.
  3. Enter a Score value.
  4. Click the Apply button to implement the threshold setting and return to the Song or Link Priorities window.
  5. Repeat for Links or Songs if desired.

Setting the Attribute Fallback Score Threshold for Songs or Links
  1. Click the Threshold [image] button in the toolbar of the Goals Priorities Definition tab for songs and the Link Goals Priorities Definition tab for links.
  2. Select the Enable checkbox for the Attribute Fallback Score Threshold so it is checked.
  3. Enter a Score value.
  4. Click the Apply button to implement the threshold setting and return to the Song or Link Priorities window.
  5. Repeat for Links or Songs if desired.

Topic Overview: Score Threshold panes


Compile Date

This edition of GSelector help was compiled on 2016-08-17.


Credits

External Software programs referenced in RCS help documents.

Adobe and Acrobat are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States and/or other countries.

Mac is a trademark is a trademark of Apple Computer, Inc., registered in the U.S. and other countries.

Microsoft, Excel, Internet Explorer, SQL Server, Windows and Windows Explorer are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.


Graphic Link example

Congratulations - you have just jumped to this topic by way of a graphic link! By clicking the graphic link in the topic you were previously reading, you asked the help system to show you this related information.

This is a rather useless example of how a graphic link works, but it makes its point. When you use GSelector online help, you will find hypertext and graphic links throughout the topics. Use these when you need additional information related to the topic you're reading.

You can return to the topic you were reading previously by clicking the Back button in the button pane of the help system window. The Back button is located just below the upper border of the help viewer. When clicked, the help system displays the topic you were reading before you made your most recent hypertext or graphic jump. You can also get back to the topic you came from by clicking this hypertext link, or by clicking the Graphic Link in the Button image.

To view the Help notes for the Button Pane, click here.

Other Help System Topics


Hypertext Link Example

Congratulations - you have just jumped to this topic by way of a hypertext link! By clicking the hypertext link in the topic you were previously reading, you asked the help system to show you this related information.

This is a rather useless example of how a hypertext link works, but it makes its point. When you use GSelector online help, you will find hypertext and graphic links throughout the topics. Use these when you need additional information related to the topic you're reading.

You can return to the topic you were reading previously by clicking the Back button in the button pane of the help system window. The Back button is located just below the upper border of the help viewer. When clicked, the help system displays the topic you were reading before you made your most recent hypertext or graphic jump. You may also return to the topic that led you here by clicking this hypertext link.

Other Help System Topics


Surf To RCS

RCS on the Web

Click here to go to the RCS Website.

Click here for RCS offices worldwide, with Phone, Website and E-mail addresses.


Save Changes dialog box

Save Changes dialog box - Songs, Links and Notes

This dialog box appears when the Enable AutoSave checkbox in the Setup section Station - Features window is unchecked. It is then automatically displayed if you exit a Song, Link or Notes window with unsaved changes.

You can implement Auto-Save either by checking the Enable Auto-Save box in this window, or by checking the counterpart box in the Setup section Station - Features window. When you enable Auto-Save, either from this dialog box or from the Setup Station Features window, the setting applies to Songs, Links and Notes for your current station.


Swap Songs/Links

The Swap Song or Swap Link function replaces one or more current versions of a song or link with a new version of the same song or link by moving the schedule history of the current versions to the new version. Here is an example of how this could be useful: Assume Station A and Station B begin playing a new song at the same time. Weeks later a new version of the song is released. Station A wants to continue playing the current version while Station B wants to begin playing the new version. We don't want to replace the old version with the new version because Station A wants to continue playing it. If we create a new song in Station B for the current version, all previous schedule history will be lost. When the Swap Song is executed, all schedule instances of the older version will be replaced with the newer version in Station B. This will allow the newer version to show plays from when the older version of the song was in place. It will preserve the entire schedule history of the song, even though it was played under two different versions.

Accessing Swap Songs/Links window
Features in the Swap Songs/Links window
Working in the Swap Songs/Links window

Accessing

The Swap Songs function is located in the Library | Browse window and the Swap Links function is located in the Linker | Link Library | Browse window. Us the Swap Song/Link [image] button to open the Swap window.

Click any area in the image for help for that area.

Click any area in the image for help for that area.

Features in the Swap Song/Links window

Toolbar
Swap List

Toolbar

The Toolbar is used to Swap selections and undo or redo a selection.

Swap List

The Merge List is pulled from the Filtered or Browse List being viewed in the Browse window before the Merge Duplicates button was clicked. The following columns are visible in the Merge List:

Include - The Include column is used to remove songs so they will not be included in the swap.

Title - The Title shows the title of each the Song or Link.

Artist / Album / Version - These columns help identify different instances of the same song.

Media ID - The Media ID column identifies a Song or Link.

Runtime - The runtime column shows the runtime of the Song or Link

Deactivate - The Deactivate column is used to select the Song or Link that will be deactivated on the station the history of this asset will be transferred to the survivor for the current station.

Survivor - The Song or Link selected as the Survivor will be the record that survives the swap with the other Songs or Links in the list. This will be the asset that retains the history of the assets swapped.

Working in the Swap Song/Link window

  1. Using the Song or Link Browse window create a Filter or Browse List.
  2. Click the Swap [image] button from the Browse window toolbar
  3. Verify the assets in the Swap window are the assets you wish to swap, use the Include column to remove assets that are not to be swapped
  4. Select the Survivor asset using the survivor column.
  5. Optionally select the Deactivate column to deactivate the old version of the asset for the current station

  6. Click the Swap [image] button
  7. Confirm the Swap of the Songs or Links by clicking OK or Cancel to return to the Swap window.

Topic Overview Swap Song/Links window:


Using Cover Art

If you have access to album cover art, image files can be associated with one or more songs, for display when that song is accessed in the Song window. You don't have to create a special folder for your files, but many programmers do. GSelector supports .jpg, . bmp, .png, .tif and .gif image file formats.

To add an image to a song:

1. In the selected Song window, ensure that information has been added to the Album field in the Song information fields. If no data is stored in the Album field, the Album Image button is not active.
2. Click the Album Image button to open the Import Album Cover window, shown here.
2. Click the Browse button to open a Windows® navigation pane and locate the designated Images folder.
3. Once you have opened the Image folder, select the image using the thumbnail view, and click the Open button.
4. The album image is displayed in the Import Album Cover window.
5. Click Ok to import into the GSelector Song window.
6. In the Song window, click the Save button.


Reports Appearances

The Appearances tab in Reports allows you to assign Appearances Named combinations of Font, Alignment and Color settings, which can be assigned to specific elements for display in browse fields. to any selected Report entry type. You can also highlighted Report items selected with song or link filters . Appearances are specific to each selected Report.

Accessing this window
Features in this window
Working in this window

See also the Reports window , Columns , Editor , Filter , Groups and View topics.

Accessing this window

Click the Reports tab, select a Report such as the Schedule - Printed Log, and finally click Appearances in the Reports Navigation Bar.

Click any area in the image for help

Click any area in the image for help

Topic Overview: Reports Appearances window

Features in this window

Toolbar
Selected Report
Appearances tab toolbar
Apply Global Appearances checkbox
Apply Attribute Appearance checkbox
Song and/or Link filter selection boxes

Toolbar

From here you Add and Delete Reports, Save your changes , modify existing Reports to Save as New Reports, define your Page Setup , and Import and Export Report Definitions. This toolbar is common to all reports windows.

Selected Report name

The name of the selected Report (selected in the Reports list in the main Reports window ) is shown at top right of the pane in every Reports window.

Appearances tab toolbar

The Appearances tab toolbar lets you cancel changes, and delete Appearance assignments in the Entry type and Filter assignment fields.

Topic Overview: Reports Appearances window

Apply Global Appearances checkbox

Check this box to apply your existing global Log and Clock entry type Appearances to the same entry types in this report. See the Appearances Global Assignment window notes for how to apply Appearances to Entry Types.

NOTE: Checking this box disables editing in the Entry Type pane.

Apply Attribute Appearance checkbox

Check this box to apply Attribute Appearances to the same attributes in this report. See the applying Attributes appearances notes for how to apply Appearances to Attributes.

Song and Link Filter selection boxes

NOTE: We show both Filter/Song List boxes, as used in schedule reports. Song and Link report windows only show their own Filter/Song List box.

Click a filter box to select a filter or song list; this lets you apply an appearance to the selected filter or song or link list in the Filter assignment pane . See the Applying Appearances to filters notes for how apply an Appearance to the selected filter or song list.

Topic Overview: Reports Appearances window

Entry Type assignment pane

This expanding field lists all Entry Types for the report. You can apply an Appearance to any Entry Type. Click the [image] open node button to expand the list, and the [image] close node button to collapse the list again. See the Applying Appearances to Entry Types notes for how to work in this field.

Filter assignment pane

You can highlight anything you want to in any Report, by using filters. This expanding field lets you apply an Appearance to the selected Song and/or Link filter , depending on the report type. Click the [image] open node to access the filters and apply an Appearance, and the [image] close node button to collapse the list again. See the notes on Applying Appearances to Entry Types for how to work in these fields.

Topic Overview: Reports Appearances window

Working in this window

The process described
Designing Appearances
Applying an Appearance to Filters and Song Lists
Applying an Appearance to Entry Types

The process described

1. Select a Report format in the Reports window
2. Click the Reports Appearances tab.
3. Then choose to
apply existing Global Appearances by checking the Apply Global appearances box .
apply existing Attribute Appearances by checking the Apply Attribute Appearances box .
apply an Appearance to Song or Link filters.
apply one or more Appearances to one or more Entry types
4. Save the Report format if already named, or Save a Modified format as a New format.
5. View the Report in the Reports View window.

Designing Appearances

You design Appearances in the Options Appearances definition window, accessed from the Tools menu.

Applying an Appearance to Filters and Song Lists

1. Select a filter or song list in the Song or Link highlighting fields.
2. Click the [image] Filter assignment pane node to open the Filter assignment pane

3. Click the drop down arrow for either Song or Link highlight to select an appearance.

4. Click the appearance to assign to the Song or Link highlight.

5. Finally, Save your changes in the main toolbar .
6. Appearances assigned here are exclusively applied to this Report. To apply the same Appearances to Filter types in other reports, select the Report and work in that Report's Appearances window.

Topic Overview: Reports Appearances window

Applying Appearances to Entry Types

1. Ensure that the Apply Global Appearances check box is unchecked.
2. If necessary, click the [image] Open node button to expand the Entry Type pane , similar to the pane in the Options Appearances Assignment window .
3. Assign Appearances to Entry Types as outlined in the Appearances Assignment window .
4. Finally, Save your changes in the main toolbar .
5. Appearances assigned here are exclusively applied to this Report. To apply the same Appearances to Entry types in other Reports, select the Report and work in that Report's Appearances window.

Topic Overview: Reports Appearances window


Theme Scheduling

GSelector offers several ways to schedule by Theme. The first is more likely to give you good results, as it allows all songs with the assigned Theme to be considered. The second method restricts you to scheduling songs from a specific Category Group. There is a third way to use Themes, and that is to use Constraints to prevent or call for songs with a specific Theme in specific schedule positions.

In the Category Group Options window, Themes are assigned a low importance by default. However, you can give Themes a higher importance. This would allow a station to place Theme songs in the schedule before, say, songs in Gold category groups, so avoiding major artist image artists or core artists scheduled in earlier passes depriving <Twofer> or Theme scheduling positions in later passes of those artists.

Theme Scheduling with Theme Clock Positions

  1. Define Themes in the Attributes tab in the Song Coding window, opened from the Song window.
  2. Assign Themes individually to Songs in the Song Coding window, or to a list of songs in the Multi-Song Changer.
  3. Build Theme positions into Clocks in the Clocks Definition window.
  4. Assign a level of importance to the <Themes> pass in the Category Group Importance window.

Theme Scheduling using Clock Constraints

  1. Define Themes in the Attributes tab in the Song Coding window, opened from the Song window.
  2. Assign Themes individually to Songs in the Song Coding window, or to a list of songs in the Multi-Song Changer.
  3. Define one or more Clock Constraints for each Theme in the Edit Clock Constraints window, opened from the Clock Constraints window.
  4. Each Constraint should specify a specific Theme, and call for the Constraint to Match this Theme.
  5. Build Clock Constraint positions into Clocks in the Clocks Definition window, assigning these to conventional Category Group positions.

Using Clock Constraints to exclude Songs by Theme

  1. Define Themes in the Attributes tab in the Song Coding window, opened from the Song window.
  2. Assign Themes individually to Songs in the Song Coding window, or to a list of songs in the Multi-Song Changer.
  3. Define one or more Clock Constraints for each Theme in the Edit Clock Constraints window, opened from the Clock Constraints window.
  4. Each Constraint should specify a specific Theme, and call for the Constraint to Avoid this Theme.
  5. Note that you can also exclude all Songs with a Theme Assigned by calling for the Constraint to Match any song with <Not Coded> in Themes.
  6. Build Clock Constraint positions into Clocks in the Clocks Definition window, assigning these to conventional Category Group positions.